<?php
namespace App\Helpers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Models\Accessorial;
use App\Models\Admin;
use App\Models\AdminTrailerType;
use App\Models\Alert;
use App\Models\Announcement;
use App\Models\AppCenter;
use App\Models\Bookmark;
use App\Models\Broker;
use App\Models\BrokerContact;
use App\Models\Carrier;
use App\Models\CarrierContact;
use App\Models\Commodity;
use App\Models\Company;
use App\Models\CompanyAccessorial;
use App\Models\CompanyAccidentViolationCode;
use App\Models\CompanyAdmin;
use App\Models\CompanyAdminModule;
use App\Models\CompanyAdminModulePermission;
use App\Models\CompanyAdminPermission;
use App\Models\CompanyAdminRole;
use App\Models\CompanyAdminRoleModulePermission;
use App\Models\CompanyCitationsViolationCode;
use App\Models\CompanyCommodity;
use App\Models\CompanyDisciplinaryAction;
use App\Models\CompanyHoliday;
use App\Models\CompanyHosViolationCode;
use App\Models\CompanyInspectionLevel;
use App\Models\CompanyLoadRequirement;
use App\Models\CompanyLoadRequirementsItem;
use App\Models\CompanyTerm;
use App\Models\Customer;
use App\Models\Document;
use App\Models\Driver;
use App\Models\DriverAccident;
use App\Models\DriverAccidentViolationCode;
use App\Models\DriverAvoidState;
use App\Models\DriverCitation;
use App\Models\DriverCitationsViolationCode;
use App\Models\DriverComplianceSafety;
use App\Models\DriverDisciplinaryAction;
use App\Models\DriverFinancial;
use App\Models\DriverFinancialQuaterlyGlobal;
use App\Models\DriverHosViolation;
use App\Models\DriverHosViolationCode;
use App\Models\DriverHosViolationsData;
use App\Models\DriverInformation;
use App\Models\DriverInspectionLevel;
use App\Models\DriverMechanicalIssue;
use App\Models\DriverNonViolation;
use App\Models\DriverNonViolationsData;
use App\Models\DriverOnboarding;
use App\Models\DriverOnboardingHistory;
use App\Models\DriverOnboardingSetting;
use App\Models\DriverOnboardingSubStage;
use App\Models\DriverRestrictedState;
use App\Models\DropTrailer;
use App\Models\Event;
use App\Models\EventType;
use App\Models\FileUpload;
use App\Models\Gallery;
use App\Models\GalleryDocument;
use App\Models\GalleryDocumentName;
use App\Models\HazardousOption;
use App\Models\Holiday;
use App\Models\IntegrationSetting;
use App\Models\Leave;
use App\Models\LeaveType;
use App\Models\LeaveUserType;
use App\Models\Load;
use App\Models\LoadAudit;
use App\Models\LoadDetail;
use App\Models\LoadDetention;
use App\Models\LoadDriver;
use App\Models\LoadFile;
use App\Models\LoadFileType;
use App\Models\LoadLog;
use App\Models\LoadNote;
use App\Models\LoadNoteFile;
use App\Models\LoadRequirement;
use App\Models\LoadRequirementsItem;
use App\Models\LoadStop;
use App\Models\LoadTrailer;
use App\Models\Maintenance;
use App\Models\MaintenanceAppointment;
use App\Models\MaintenanceAppointmentType;
use App\Models\MaintenanceCalendar;
use App\Models\MaintenanceTicketType;
use App\Models\ManageCompanyType;
use App\Models\ManageType;
use App\Models\ManageTypeCategory;
use App\Models\MasterMaintenanceAppointmentType;
use App\Models\MasterMaintenanceTicketType;
use App\Models\Note;
use App\Models\Notification;
use App\Models\NotificationDaytime;
use App\Models\Notify;
use App\Models\Offer;
use App\Models\OfferHistory;
use App\Models\Receiver;
use App\Models\ReportDriver;
use App\Models\ScollableDiv;
use App\Models\Shipper;
use App\Models\State;
use App\Models\Team;
use App\Models\Term;
use App\Models\Terminal;
use App\Models\Timezone;
use App\Models\Trailer;
use App\Models\TrailerMaintenanceLog;
use App\Models\TrailerMaintenanceLogFile;
use App\Models\TrailerType;
use App\Models\Truck;
use App\Models\TruckMaintenanceLog;
use App\Models\TruckMaintenanceLogFile;
use App\Models\User;
use App\Models\Vendor;
use App\Models\WeeklyFuelSurcharge;
use App\Models\Widget;
use DateTime;
use DateTimeZone;
use Log;
use Carbon\Carbon;
use Illuminate\Http\Request;

class Common_bk
{
	public static function getStringFilterResult( $data, $key )
	{
		//try {
			$conditionReq = 'search_string_condition_'.$key;
			$sortReq = 'search_string_sort_'.$key;
			$nameReq = 'search_string_name_'.$key;
			$sortReq = 'search_string_sort_'.$key;
			$typeReq = 'search_string_type_'.$key;
			$tableNameReq = 'search_table_name_'.$key;
			$colAliasReq = 'search_string_col_alias_'.$key;
			$val1 = 'search_string_value_'.$key;
			$relationTableReq = 'search_string_relation_table_'.$key;
			$colName1Req = 'search_string_col_name1_'.$key;
			$colName2Req = 'search_string_col_name2_'.$key;
			$colName3Req = 'search_string_col_name3_'.$key;
			$stringStaticReq = 'search_string_static_'.$key;
			$colAlName1Req = 'search_string_col_alias1_name_'.$key;
			$colAlName2Req = 'search_string_col_alias2_name_'.$key;
			$colAlName3Req = 'search_string_col_alias3_name_'.$key;
			$colAlName4Req = 'search_string_col_alias4_name_'.$key;
			$colAlName5Req = 'search_string_col_alias5_name_'.$key;
			$colAlName6Req = 'search_string_col_alias6_name_'.$key;
			$colHavingReq = 'search_string_having_'.$key;
			$orCol2Req = 'search_string_orcol2_'.$key;
			$colNotNullReq = 'search_string_notnull_'.$key;
			$prevColNameReq = 'search_string_prevcol_'.$key;

			$origData = request()->$nameReq;
			$condition = request()->$conditionReq;
			$condition_sort = request()->$sortReq;
			$type = request()->$typeReq;
			$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
			$colAlias = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';
			$relationTableName = isset( request()->$relationTableReq ) ? request()->$relationTableReq : '';
			$colName1 = isset( request()->$colName1Req ) ? request()->$colName1Req : '';
			$colName2 = isset( request()->$colName2Req ) ? request()->$colName2Req : '';
			$colName3 = isset( request()->$colName3Req ) ? request()->$colName3Req : '';
			$stringStatic = isset( request()->$stringStaticReq ) ? request()->$stringStaticReq : '';
			$colAlName1 = isset( request()->$colAlName1Req ) ? request()->$colAlName1Req : '';
			$colAlName2 = isset( request()->$colAlName2Req ) ? request()->$colAlName2Req : '';
			$colAlName3 = isset( request()->$colAlName3Req ) ? request()->$colAlName3Req : '';
			$colAlName4 = isset( request()->$colAlName4Req ) ? request()->$colAlName4Req : '';
			$colAlName5 = isset( request()->$colAlName5Req ) ? request()->$colAlName5Req : '';
			$colAlName6 = isset( request()->$colAlName6Req ) ? request()->$colAlName6Req : '';
			$colHaving = isset( request()->$colHavingReq ) ? request()->$colHavingReq : '';
			$orCol2 = isset( request()->$orCol2Req ) ? request()->$orCol2Req : '';
			$colNotNull = isset( request()->$colNotNullReq ) ? request()->$colNotNullReq : '';
			$prevColName = isset( request()->$prevColNameReq ) ? request()->$prevColNameReq : '';

			$value1 = request()->$val1;
			$value2 = '';

			if( $condition == '=' ) {
				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), $value1 )->orWhere($colAlName6,$value1);
				}
				elseif( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'like', "%".$value1."%" );
					} else {
						if( $orCol2 != '' ) {
							$tableColumn = explode(".", $prevColName);
							$valnew = Common::SearchByFullValue($value1);
							// $qry = $data->whereNotNull($colNotNull);
							return $data->having( $colName1, $value1 )->orHaving( $orCol2, $valnew );
						} else {
							return $data->having( $colName1, $value1 );
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas($relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								\Log::emergency("COLNAME 3");
								$q->having(DB::raw('COUNT(drivers.team_id)'), '=', $value1);
							}
							elseif( $colName2 == "" ) {
								\Log::emergency("COLNAME 23");
								$q->where($colName1,'=',$value1);
							} else {
								\Log::emergency("COLNAME ELSE");
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), $value1 );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, $value1 );
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, $value1 );
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), '=', $value1 );
								} else {
									return $data->where( $origData, $value1 );
								}
							}
						}
					}
				}
			}

			if( $condition == '!=' ) {
				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), 'not like', "%".$value1."%")->orWhere($colAlName6, 'not like', "%".$value1."%");
				}
				elseif( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'not like', "%".$value1."%" );
					} else {
						if( $orCol2 != '' ) {
							$valnew = Common::SearchByFullValue($value1);
							return $data->having( $colName1, '!=', $value1 )->orHaving( $orCol2, '!=', $valnew );
						} else {
							return $data->having( $colName1,'!=', $value1 );
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'), '!=', $value1);
							}
							elseif( $colName2 == '' ) {
								$q->where( $colName1, '!=', $value1);
							} else {
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), '!=', $value1 );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, '!=', $value1 );
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, '!=', $value1 );
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), '!=', $value1 );
								} else {
									return $data->where( $origData, '!=', $value1 );
								}
							}
						}
					}
				}
			}

			if( $condition == 'starts' ) {
				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), 'like',"{$value1}%")->orWhere($colAlName6, 'like', "{$value1}%");
				}
				elseif( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'like', "{$value1}%" );
					} else {
						if( $orCol2 != '' ) {
							$valnew = Common::SearchByStringStart($value1);
							$qry = $data->having( $colName1, 'like', "{$value1}%" );

							if( count($valnew) > 0 ) {
								foreach( $valnew as $a => $b ) {
									$qry->orHaving( $orCol2, 'like', "{$b}%" );
								}
							}

							return $qry;
						} else {
							return $data->having( $colName1, 'like', "{$value1}%");
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'), 'like', "{$value1}%");
							}
							elseif( $colName2 == '' ) {
								$q->where( $colName1, 'like', "{$value1}%");
							} else {
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), 'like', "{$value1}%" );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, 'like', "{$value1}%");
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, 'like', "{$value1}%");
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), 'like', "{$value1}%" );
								} else {
									return $data->where( $origData, 'like', "{$value1}%");
								}
							}
						}
					}
				}
			}

			if( $condition == 'contain' ) {

				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), 'like', "%".$value1."%")->orWhere($colAlName6, 'like', "%".$value1."%");
				}
				elseif( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'like', "%".$value1."%" );
					} else {
						if( $orCol2 != '' ) {
							$valnew = Common::SearchByString($value1);

							$qry = $data->having( $colName1, 'like', "%".$value1."%" );

							if( count($valnew) > 0 ) {
								foreach( $valnew as $a => $b ) {
									$qry->orHaving( $orCol2, 'like', "%".$b."%" );
								}
							}

							return $qry;
						} else {
							return $data->having( $colName1, 'like', "%".$value1."%");
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'),'like', "%".$value1."%");
							}
							elseif( $colName2 == '' ) {
								$q->where( $colName1, 'like', "%".$value1."%");
							} else {
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), 'like', "%".$value1."%" );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, 'like', "%".$value1."%");
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, 'like', "%".$value1."%");
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), 'like', "%".$value1."%" );
								} else {
									return $data->where( $origData, 'like', "%".$value1."%");
								}
							}
						}
					}
				}
			}

			if( $condition == 'empty' ) {
				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), 'like',"")->orWhere($colAlName6, 'like', "");
				}
				elseif( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'like', "" );
					} else {
						if( $orCol2 != '' ) {
							return $data->having( $colName1, 'like', '' )->orHaving( $orCol2, 'like', '' );
						} else {
							return $data->having( $colName1, '');
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'), '');
							}
							elseif( $colName2 == '' ) {
								$q->where( $colName1, '');
							} else {
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), '=', '' );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, '' );
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, '' );
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), '' );
								} else {
									return $data->where( $origData, '' );
								}
							}
						}
					}
				}
			}

			if( $condition == 'not_empty' ) {
				if( $colAlName3 != '' && $colAlName4 != '' && $colAlName5 != '' ) {
					$data->where( DB::raw("CONCAT(". $colAlName1 .", ' ', ". $colAlName2 .", ' ', ". $colAlName3 .", ' ', ". $colAlName4 .", ' ', ". $colAlName5 .")" ), 'not like',"")->orWhere($colAlName6, 'not like', "");
				}
				if( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->having( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), 'not like', "" );
					} else {
						if( $orCol2 != '' ) {
							return $data->having( $colName1, 'not like', '' )->orHaving( $orCol2, 'not like', '' );
						} else {
							return $data->having( $colName1, '!=', '');
						}
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $value1 ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'), '!=', '' );
							}
							elseif( $colName2 == '' ) {
								$q->where( $colName1, '!=', '' );
							} else {
								$q->where( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), '!=', '' );
							}
						});
					} else {
						if( $colAlias != '' ) {
							return $data->where( $tableName.'.'.$colAlias, '!=', '' );
						} else {
							if( $tableName != '' ) {
								return $data->where( $tableName.'.'.$origData, '!=', '' );
							} else {
								if( $colAlName1 != '' ) {
									return $data->where(DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), '!=', '' );
								} else {
									return $data->where( $origData, '!=', '' );
								}
							}
						}
					}
				}
			}

			if( isset( $condition_sort ) ) {
				if( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->orderBy( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), $condition_sort );
					} else {
						return $data->having( $colName1, $condition_sort );
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->whereHas( $relationTableName, function($q) use( $colName1, $colName2,$colName3, $condition_sort ) {
							if( $colName3 != '' ) {
								$q->having(DB::raw('COUNT(drivers.team_id)'), $condition_sort);
							}
							elseif( $colName2 == '' ) {
								$q->orderBy( $colName1, $condition_sort );
							} else {
								$q->orderBy( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), $condition_sort );
							}
						});
		            } else {
						if( $colAlias != '' ) {
							return $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
						} else {
							if( $tableName != '' ) {
								return $data->orderBy( $tableName.'.'.$origData, $condition_sort );
							} else {
								if( $colAlName1 != '' ) {
									return $data->orderBy( DB::raw("CONCAT(".$colAlName1.", ', ', ".$colAlName2.")"), $condition_sort );
								} else {
									return $data->orderBy( $origData, $condition_sort );
								}
							}
						}
					}
				}
			}
		// } catch( \Exception $e ) {
		// 	\Log::emergency( "File: ".$e->getFile() );
		// 	\Log::emergency( "Line: ".$e->getLine() );
		// 	\Log::emergency( "Message: ".$e->getMessage() );
		// }
	}

	public static function sortStringFilter( $data, $key )
	{
		try {
			$nameReq = 'search_string_name_'.$key;
			$sortReq = 'search_string_sort_'.$key;
			$colAliasReq = 'search_string_col_alias_'.$key;
			$tableNameReq = 'search_table_name_'.$key;
			$relationTableReq = 'search_string_relation_table_'.$key;
			$colNameReq = 'search_string_col_name_'.$key;
			$relationTableReq = 'search_string_relation_table_'.$key;
			$colName1Req = 'search_string_col_name1_'.$key;
			$colName2Req = 'search_string_col_name2_'.$key;
			$colHavingReq = 'search_string_having_'.$key;

			$origData = request()->$nameReq;
			$condition_sort = request()->$sortReq;
			$colAlias = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';
			$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
			$relationTableName = isset( request()->$relationTableReq ) ? request()->$relationTableReq : '';
			$colName = isset( request()->$colNameReq ) ? request()->$colNameReq : '';
			$relationTableName = isset( request()->$relationTableReq ) ? request()->$relationTableReq : '';
			$colName1 = isset( request()->$colName1Req ) ? request()->$colName1Req : '';
			$colName2 = isset( request()->$colName2Req ) ? request()->$colName2Req : '';
			$colHaving = isset( request()->$colHavingReq ) ? request()->$colHavingReq : '';

			if( isset( $condition_sort ) ) {
				if( $colHaving != '' && $colHaving == '1' ) {
					if( $colName1 != '' && $colName2 != '' ) {
						return $data->orderBy( DB::raw("concat_ws(',',".$colName1.",".$colName2.")" ), $condition_sort );
					} else {
						return $data->having( $colName1, $condition_sort );
					}
				} else {
					if( $relationTableName != '' ) {
						return $data->has($relationTableName)->with([$relationTableName => function ($q) use( $colName1, $colName2, $condition_sort ) {
							if( $colName2 == '' ) {
								$q->orderBy( $colName1, $condition_sort );
							} else {
								$q->orderBy( DB::raw("CONCAT(". $colName1 .", ' ', ". $colName2 .")" ), $condition_sort );
							}
						}]);
		            } else {
						if( $colAlias != '' ) {
							return $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
						} else {
							if( $tableName != '' ) {
								return $data->orderBy( $tableName.'.'.$origData, $condition_sort );
							} else {
								return $data->orderBy( $origData, $condition_sort );
							}
						}
					}
				}
			}
		} catch( \Exception $e ) {
			\Log::emergency( "File: ".$e->getFile() );
			\Log::emergency( "Line: ".$e->getLine() );
			\Log::emergency( "Message: ".$e->getMessage() );
		}
	}

	public static function sortDateFilter( $data, $key )
	{
		try {
			$nameReq = 'search_date_name_'.$key;
			$sortReq = 'search_date_sort_'.$key;
			$colAliasReq = 'search_date_col_alias_'.$key;
			$tableNameReq = 'search_date_table_name_'.$key;

			$origData = request()->$nameReq;
			$condition_sort = request()->$sortReq;
			$colAlias = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';
			$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';

			if( isset( $condition_sort ) ) {
				if( $colAlias != '' ) {
					return $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
				} else {
					if( $tableName != '' ) {
						return $data->orderBy( $tableName.'.'.$origData, $condition_sort );
					} else {
						return $data->orderBy( $origData, $condition_sort );
					}
				}
			}
		} catch( \Exception $e ) {
			\Log::emergency( "File: ".$e->getFile() );
			\Log::emergency( "Line: ".$e->getLine() );
			\Log::emergency( "Message: ".$e->getMessage() );
		}
	}

	public static function getDateFilterResult( $data, $key )
	{
		$conditionReq = 'search_date_condition_'.$key;
		$sortReq = 'search_date_sort_'.$key;
		$nameReq = 'search_date_name_'.$key;
		$sortReq = 'search_date_sort_'.$key;
		$typeReq = 'search_date_type_'.$key;
		$tableNameReq = 'search_date_table_name_'.$key;
		$colAliasReq = 'search_date_col_alias_'.$key;
		$val1 = 'search_date_from_value_'.$key;
		$val2 = 'search_date_to_value_'.$key;
		$relationTableReq = 'search_string_relation_table_'.$key;
		$colName1Req = 'search_string_col_name1_'.$key;
		$colName2Req = 'search_string_col_name2_'.$key;

		$origData = request()->$nameReq;
		$condition = request()->$conditionReq;
		$condition_sort = request()->$sortReq;
		$type = request()->$typeReq;
		$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
		$colAlias = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';
		$relationTableName = isset( request()->$relationTableReq ) ? request()->$relationTableReq : '';
		$colName1 = isset( request()->$colName1Req ) ? request()->$colName1Req : '';
		$colName2 = isset( request()->$colName2Req ) ? request()->$colName2Req : '';

		$value1 = date("Y-m-d");

		if( isset( request()->$val1 ) ) {
			$value1 = Carbon::createFromFormat( config('settings.date_format','Y/m/d'), request()->$val1 )->format('Y-m-d');
		}

		$value2 = '';

		if( request()->$val2 != '' ) {
			$value2 = Carbon::createFromFormat( config('settings.date_format','Y/m/d'), request()->$val2 )->format('Y-m-d');
		}

		if( $condition == '=' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '=', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, $value1 );
					} else {
						return $data->whereDate( $origData, $value1 );
					}
				}
			}
		}

		if( $condition == '!=' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '!=', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '!=', $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '!=', $value1 );
					} else {
						return $data->whereDate( $origData, '!=', $value1 );
					}
				}
			}
		}

		if( $condition == '>' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '>', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '>', $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '>', $value1 );
					} else {
						return $data->whereDate( $origData, '>', $value1 );
					}
				}
			}
		}

		if( $condition == '>=' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '>=', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '>=', $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '>=', $value1 );
					} else {
						return $data->whereDate( $origData, '>=', $value1 );
					}
				}
			}
		}

		if( $condition == '<' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '<', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '<', $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '<', $value1 );
					} else {
						return $data->whereDate( $origData, '<', $value1 );
					}
				}
			}
		}

		if( $condition == '<=' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '<=', $value1);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '<=', $value1 );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '<=', $value1 );
					} else {
						return $data->whereDate( $origData, '<=', $value1 );
					}
				}
			}
		}

		if( $condition == '<>' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1, $value2 ) {
					$q->whereBetween( $colName1, [$value1, $value2]);
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereBetween( $tableName.'.'.$colAlias, [$value1, $value2]);
				} else {
					if( $tableName != '' ) {
						return $data->whereBetween( $tableName.'.'.$origData, [$value1, $value2] );
					} else {
						return $data->whereBetween( $origData, [$value1, $value2] );
					}
				}
			}
		}

		if( $condition == 'today' ) {
			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereDate( $colName1, '=', date('Y-m-d'));
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereDate( $tableName.'.'.$colAlias, '=', date('Y-m-d') );
				} else {
					if( $tableName != '' ) {
						return $data->whereDate( $tableName.'.'.$origData, '=', date('Y-m-d') );
					} else {
						return $data->whereDate( $origData, '=', date('Y-m-d') );
					}
				}
			}
		}

		if( $condition == 'month' ) {
			$start = Carbon::now()->startOfMonth()->format('Y-m-d');
			$end = Carbon::now()->endOfMonth()->format('Y-m-d');

			if( $relationTableName != '' ) {
				return $data->whereHas( $relationTableName, function($q) use( $colName1, $value1 ) {
					$q->whereBetween( $colName1, '=', [$start, $end] );
				});
            } else {
				if( $colAlias != '' ) {
					return $data->whereBetween( $tableName.'.'.$colAlias, [$start, $end] );
				} else {
					if( $tableName != '' ) {
						return $data->whereBetween( $tableName.'.'.$origData, [$start, $end] );
					} else {
						return $data->whereBetween( $origData, [$start, $end] );
					}
				}
			}
		}

		if( isset( $condition_sort ) ) {
			if( $colAlias != '' ) {
				return $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
			} else {
				if( $tableName != '' ) {
					return $data->orderBy( $tableName.'.'.$origData, $condition_sort );
				} else {
					return $data->orderBy( $origData, $condition_sort );
				}
			}
		}
	}

	public static function getStaticLoadStatus()
	{
		$array = [
			'0' => 'Pending',
			'1' => 'Accepted',
			'2' => 'Preplaned',
			'3' => 'Confirmed',
			'4' => 'In Transit',
			'5' => 'Delivered',
			'6' => 'Ready To Bill',
			'7' => 'On Hold',
			'8' => 'Complete',
			'9' => 'Cancelled',
			'10' => 'Invoiced',
			'11' => 'Send To Driver'
		];

		return $array;
	}

	public static function getStaticLoadTables()
	{
		$array = array(
			0 => array(
				"name" 	=> 'table1',
				"id" 	=> 'All',
				"class" => 'data-table',
				"route" => route('company.admin.loads.index')
			),
			1 => array(
				"name" 	=> 'table2',
				"id" 	=> 'NewLoad',
				"class" => 'new-load-data-table',
				"route" => route('company.admin.new.loads.index')
			),
			2 => array(
				"name" 	=> 'table3',
				"id" 	=> 'delivered',
				"class" => 'delivered-data-table',
				"route" => route('company.admin.delivered.loads.index')
			),
			3 => array(
				"name" 	=> 'table4',
				"id" 	=> 'CompleteLoad',
				"class" => 'complete-load-data-table',
				"route" => route('company.admin.complete.loads.index')
			),
			4 => array(
				"name" 	=> 'table5',
				"id" 	=> 'onhold',
				"class" => 'onhold-load-data-table',
				"route" => route('company.admin.onhold.loads.index')
			),
			5 => array(
				"name" 	=> 'table6',
				"id" 	=> 'Cancel',
				"class" => 'cancel-load-data-table',
				"route" => route('company.admin.cancel.loads.index')
			),
			6 => array(
				"name" 	=> 'table7',
				"id" 	=> 'unoccupied',
				"class" => 'unoccupied-load-data-table',
				"route" => route('company.admin.unoccupied.loads.index')
			),
			7 => array(
				"name" 	=> 'table8',
				"id" 	=> 'allload',
				"class" => 'allload-load-data-table',
				"route" => route('company.admin.allload.loads.index')
			),
			8 => array(
				"name" 	=> 'table9',
				"id" 	=> 'oosapproval',
				"class" => 'oosapproval-load-data-table',
				"route" => route('company.admin.oos.pending.loads.index')
			)
		);

		return $array;
	}

	public static function getStaticDispatchTables()
	{
		$array = array(
			0 => array(
				"name" => 'table1', /// on holds
				"id" => 'on-hold-load-collapsable',
				"class" => 'on-hold-load-data-table',
				"table" => 'settings.table_dispatchhub1',
				"route" => route('company.admin.on.hold.loads.list'),
				"getField" => '$getField',
			),
			1 => array(
				"name" => 'table2', /// Transit Loads
				"id" => 'collapsable5',
				"class" => 'in-transit-loads-data-table',
				"table" => 'settings.table_dispatchhub2',
				"route" => route('company.admin.in.transit.loads.list'),
				"getField" => '$getField2',
			),
			2 => array(
				"name" => 'table3', // Available Drivers
				"id" => 'collapsable2',
				"class" => 'available-drivers-data-table',
				"table" => 'settings.table_dispatchhub3',
				"route" => route('company.admin.available.drivers.list'),
				"getField" => '$getField3',
			),
			3 => array(
				"name" => 'table4', /// Planned
				"id" => 'collapsable4',
				"class" => 'planned-load-data-table',
				"table" => 'settings.table_dispatchhub4',
				"route" => route('company.admin.planned.loads.list'),
				"getField" => '$getField4',
			),
			4 => array(
				"name" => 'table5', // Available loads
				"id" => 'collapsable5',
				"class" => 'available-load-data-table',
				"table" => 'settings.table_dispatchhub5',
				"route" => route('company.admin.available.loads.list'),
				"getField" => '$getField5',
			)
		);

		return $array;
	}

	public static function getLoadStatusOrderById( $id )
	{
		$sort_order = 0;

		if( $id == 0 || $id == '0' ) {
			$sort_order = 8;
		}

		if( $id == 1 || $id == '1' ) {
			$sort_order = 0;
		}

		if( $id == 2 || $id == '2' ) {
			$sort_order = 9;
		}

		if( $id == 3 || $id == '3' ) {
			$sort_order = 3;
		}

		if( $id == 4 || $id == '4' ) {
			$sort_order = 6;
		}

		if( $id == 5 || $id == '5' ) {
			$sort_order = 4;
		}

		if( $id == 6 || $id == '6' ) {
			$sort_order = 10;
		}

		if( $id == 7 || $id == '7' ) {
			$sort_order = 7;
		}

		if( $id == 8 || $id == '8' ) {
			$sort_order = 2;
		}

		if( $id == 9 || $id == '9' ) {
			$sort_order = 1;
		}

		if( $id == 10 || $id == '10' ) {
			$sort_order = 5;
		}

		if( $id == 11 || $id == '11' ) {
			$sort_order = 11;
		}

		return $sort_order;
	}

	public static function getStatusFilterResult( $data, $key )
	{
		try {
			$sortReq = 'search_status_sort_'.$key;
			$sortColNameReq = 'search_status_sort_column_'.$key;
			$nameReq = 'search_status_name_'.$key;
			$tableNameReq = 'search_table_name_'.$key;
			$valArr = [];
			$stringArr = [];

			foreach( Common::getStaticLoadStatus() as $ke => $val ) {
				$valReq = 'search_status_value_'.$key.'_'.$ke;

				$valExist = isset( request()->$valReq ) ? request()->$valReq : '';

				if( $valExist != '' ) {
					$valArr[] = $ke;
					$stringArr[$ke] = $val;
				}
			}

			$origData = request()->$nameReq;
			$condition_sort = request()->$sortReq;
			$condition_sort_column = request()->$sortColNameReq;
			$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';

			if( count( $valArr ) > 0 ) {
				return $data->whereIn( $origData, $valArr );
			}

			if( isset( $condition_sort ) ) {
				return $data->orderBy( $condition_sort_column, $condition_sort );
			}
		} catch( \Exception $e ) {
			\Log::emergency( "File: ".$e->getFile() );
			\Log::emergency( "Line: ".$e->getLine() );
			\Log::emergency( "Message: ".$e->getMessage() );
		}
	}

	public static function sortStatusFilter( $data, $key )
	{
		try {
			$sortReq = 'search_status_sort_'.$key;
			$sortColNameReq = 'search_status_sort_column_'.$key;
			$nameReq = 'search_status_name_'.$key;
			$tableNameReq = 'search_table_name_'.$key;
			$valArr = [];
			$stringArr = [];

			foreach( Common::getStaticLoadStatus() as $ke => $val ) {
				$valReq = 'search_status_value_'.$key.'_'.$ke;

				$valExist = isset( request()->$valReq ) ? request()->$valReq : '';

				if( $valExist != '' ) {
					$valArr[] = $ke;
					$stringArr[$ke] = $val;
				}
			}

			$origData = request()->$nameReq;
			$condition_sort = request()->$sortReq;
			$tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
			$condition_sort_column = request()->$sortColNameReq;

			if( isset( $condition_sort ) ) {
				return $data->orderBy( $condition_sort_column, $condition_sort );
			}
		} catch( \Exception $e ) {
			\Log::emergency( "File: ".$e->getFile() );
			\Log::emergency( "Line: ".$e->getLine() );
			\Log::emergency( "Message: ".$e->getMessage() );
		}
	}

	public static function SearchByFullValue($value)
	{
		$loadtype = getLoadTypeList();

		$search = array_search(strtolower($value), array_map('strtolower', $loadtype));

		if( $search != false ) {
			$result = $search;
		} else {
			$result = '';
		}

		return $result;
	}

	public static function SearchByString($value)
	{
		$loadtype = getLoadTypeList();

		$search = [];

		foreach( $loadtype as $k => $val ) {
			$searchBy = strtolower($value);
			$searchWith = strtolower( $val );
			if( str_contains( $searchWith, $searchBy ) ) {
				$search[] = $k;
			}
		}

		return $search;
	}

	public static function SearchByStringStart($value)
	{
		$loadtype = getLoadTypeList();

		$search = [];

		foreach( $loadtype as $k => $val ) {
			$searchBy = strtolower($value);
			$searchWith = strtolower( $val );
			if( str_starts_with( $searchWith, $searchBy ) ) {
				$search[] = $k;
			}
		}

		return $search;
	}
}

?>
