<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use App\Models\Company;
use App\Models\CompanyAdmin;
use App\Models\Bookmark;

use Hash;
use Carbon\Carbon;
use Mail;
use Illuminate\Support\Str;

class BookmarkController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }






    public function store(Request $request)
    {
        // dd($request->all());
        $input = $request->except(['_token']);

        $allCheck = 0;
        foreach($request->field as $key => $filed){
            if($filed == 1){
                $allCheck = 1;
            }
        }

        if($allCheck == 0){
            notification('error', 'Please check at least one checkbox.');
            return redirect()->back();    
        }

        $input['company_id'] = getUserCompnayId();
        $input['user_id'] = auth()->guard('company-admin')->user()->id;
        $input['user_type'] = auth()->guard('company-admin')->user()->type;
        $input['config'] = serialize($request->field);

        

        $isCheck = Bookmark::where('company_id',$input['company_id'])->where('user_id',$input['user_id'])->where('user_type',$input['user_type'])->where('table_id',$request->table_id)->delete();
        // dd($isCheck);
        Bookmark::create($input);
        notification('success', $this->crudMessage('update', 'Bookmark'));

        return redirect()->back();
    }
   
}
