<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

use App\Models\Timezone;

use Config;
use Carbon\Carbon;

class CompanyAdminController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        view()->share('companyAdminTheme','companyAdminTheme.default');
    }

    public function crudMessage($type, $module)
    {
        switch ($type) {
            case 'create':
                return $module . ' created successfully';
                break;
            case 'delete':
                return $module . ' deleted successfully';
                break;
            case 'update':
                return $module . ' updated successfully';
                break;
            default:
                # code...
                break;
        }
    }
}
