<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\State;

class ExtraController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    /**
     * Display the specified state from storage.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function stateList(Request $request)
    {
        if ($request->q) {
            $data = State::select('id','name')->where('name','LIKE','%'.$request->q.'%')->get();
            return response()->json($data);
        }
    }
}
