<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as Middleware;

class VerifyCsrfToken extends Middleware
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
        'company-admin/loads-get-trimble',
        'chat/get_general_boards',
        'chat/get_user_details',
        'chat/samsara_send_message',
        'chat/temo_demo',
        'chat/get_chat_load_by_friendly_name',
        'sendgrid/send-email',
        'sendgrid/webhook',
        'receive-email-response',
        'twilio/send-sms',
        'twilio/receive-sms',
        'sms-status',
        'incoming-email-sendgrid',
        'chat/create_load_internal_group',
    ];
}
