<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChatLoadInternal extends Model
{
    use HasFactory;

    protected $table    = 'chat_load_internal';
    protected $fillable = [
        'company_id',
        'unique_id',
        'friendly_name',
        'sid',
        'ttl',
        'status',
        'created_at',
        'updated_at'
    ];

    public function participants(){
        return $this->hasMany(ChatLoadInternalParticipants::class,'chat_load_internal_id','id');
    }
}
