<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DriverFinancial extends Model
{
    use HasFactory;

    protected $table = 'driver_financials';

    protected $fillable = ['driver_id','year','quarter','occupancy','revenue_target','cpm_target','target_miles','start_date','end_date'];

    /**
     * Get the driver.
     */
    public function driver()
    {
        return $this->belongsTo(Driver::class, 'driver_id');
    }
}
