<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWeeklyFuelSurchargesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('weekly_fuel_surcharges', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->float('fuel_surcharge');
            $table->timestamp('date');
            $table->timestamp('start_date');
            $table->timestamp('end_date');
            $table->integer('week');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('weekly_fuel_surcharges');
    }
}
