<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trucks', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('carrier_id')->nullable();
            $table->string('unit')->nullable();
            $table->string('year')->nullable();
            $table->string('make')->nullable();
            $table->string('vin_number')->nullable();
            $table->string('tag')->nullable();
            $table->string('nyhut')->nullable();
            $table->boolean('vented')->nullable();
            $table->boolean('e_track')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trucks');
    }
}
