<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_drivers', function (Blueprint $table) {
            $table->id();
            $table->integer('load_id');
            $table->integer('load_detail_id')->nullable();
            $table->integer('driver_id');
            $table->float('pay_percentage')->nullable();
            $table->float('mileage_percentage')->nullable();
            $table->float('pay')->nullable();
            $table->float('miles')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_drivers');
    }
}
