<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddOccupiedPickupDayInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->boolean('occupied_pickup_day')->after('shipping_time_range')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('occupied_pickup_day');
        });
    }
}
