<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadFileTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_file_types', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->timestamps();
        });

        DB::table('load_file_types')->insert(
            array(
                [
                    'name' => 'Lumper',
                ],
                [
                    'name' => 'BOL',
                ],
                [
                    'name' => 'Rate Confirmation',
                ],
                [
                    'name' => 'Scale Ticket',
                ],
                [
                    'name' => 'Detention Slip',
                ],
                [
                    'name' => 'Blind BOL',
                ],
                [
                    'name' => 'Other',
                ],
            )
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_file_types');
    }
}
