<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateManageTypeCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('manage_type_categories', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->timestamps();
        });

        DB::table('manage_type_categories')->insert(
            array(
                [
                    'name' => 'HOS Violations',
                ],
                [
                    'name' => 'Citations/Violations/Warnings',
                ],
                [
                    'name' => 'Accident/Incident/Claim/Injury',
                ],
                [
                    'name' => 'Mechanical Issues',
                ]
            )
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('manage_type_categories');
    }
}
