<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNotificationToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('notifictiono_hours')->after('reason_on_hold')->nullable();
            $table->integer('notifictiono_no_off')->after('reason_on_hold')->default(0);
            $table->string('notification_reason')->after('reason_on_hold')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('notifictiono_hours');
            $table->dropColumn('notifictiono_no_off');
            $table->dropColumn('notification_reason');
        });
    }
}
