<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeRevenueTargetToDriverFinancialsTable extends Migration
{
    
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->decimal('revenue_target', 12, 2)->change();
            $table->decimal('occupancy', 12, 2)->change();
            $table->decimal('cpm_target', 12, 2)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_financials', function (Blueprint $table) {
            $table->integer('revenue_target')->change();
            $table->decimal('cpm_target', 5, 2)->change();
            $table->decimal('cpm_target', 5, 2)->change();
        });
    }
}
