<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCampnayAddressFieldToCompanyAdminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->string('logo')->after('notifictiono_hours')->nullable();
            $table->string('email_logo')->after('logo')->nullable();
            $table->string('campany_address')->after('email_logo')->nullable();
            $table->string('campany_address2')->after('campany_address')->nullable();
            $table->string('campany_city')->after('campany_address2')->nullable();
            $table->string('campany_state')->after('campany_city')->nullable();
            $table->string('campany_zip')->after('campany_state')->nullable();
            $table->string('billing_information')->after('campany_zip')->nullable();
            $table->string('contact_information')->after('billing_information')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->dropColumn('logo');
            $table->dropColumn('email_logo');
            $table->dropColumn('campany_address');
            $table->dropColumn('campany_address2');
            $table->dropColumn('campany_city');
            $table->dropColumn('campany_state');
            $table->dropColumn('campany_zip');
            $table->dropColumn('billing_information');
            $table->dropColumn('contact_information');
        });
    }
}
