<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScollableDivsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('scollable_divs', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->string('columnId');
            $table->string('company_id');
            $table->text('sortable_style')->nullable();
            $table->text('resizable_style')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('scollable_divs');
    }
}
