<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStopNoteFieldToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->longText('stop_note')->nullable()->after('date_time_end');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn('stop_note');
        });
    }
}
