<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RenameDetensionStatusInLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->renameColumn('detension_status', 'detention_status');
            $table->renameColumn('detension_start_time', 'detention_start_time');
            $table->renameColumn('detension_end_time', 'detention_end_time');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->renameColumn('detention_status', 'detension_status');
            $table->renameColumn('detention_start_time', 'detension_start_time');
            $table->renameColumn('detention_end_time', 'detension_end_time');
        });
    }
}
