<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverFinancialQuaterlyGlobalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_financial_quaterly_globals', function (Blueprint $table) {
            $table->id();
            $table->string('driver_id');
            $table->year('year');
            $table->string('quarter');
            $table->decimal('occupancy', 5, 2);
            $table->integer('revenue_target');
            $table->decimal('cpm_target', 5, 2);
            $table->integer('target_miles');
            $table->date('start_date');
            $table->date('end_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_financial_quaterly_globals');
    }
}
