<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeReviewStatusEnumToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('In Progress','In Progress - Acknowledged','In Progress - Acknowledged - Sent to broker','In Progress - Acknowledged - Seen by broker','Detention Stopped - Pending Approval','In Progress - Sent to broker','Pending Broker Review','Broker Amendment Request','Denied','Completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'In Progress';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('In Progress','In Progress - Acknowledged','Detention Stopped - Pending Approval','In Progress - Sent to broker','In Progress - Seen by broker','Broker Amendment Request','Denied','Completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'In Progress';");
    }
}
