<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddScoreRattingToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('score_ratting')->nullable()->after('ext');
            $table->string('score_credit')->nullable()->after('score_ratting');
            $table->datetime('score_updated_at')->nullable()->after('score_credit');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['score_ratting','score_credit','score_updated_at']);
        });
    }
}
