<?php

use App\Models\Commodity;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Company;
use App\Models\CompanyCommodity;

class InsertDataToAdminCommodityTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Commodity::truncate();
        Commodity::insert([
            ['name' => 'Abrasive Material', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'AC Units', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'AG Material', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Air Filter', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Airplant Equipment', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Alcoholic Beverage', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Aluminum', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Apples', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Appliances', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'ATV - 4 Wheeler', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Automotive Parts', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Backhoe', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Beef', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Beer', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Beverages', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Bicycles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Brick', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Building Materials', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cable', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cable Reel', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cement Board', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Charcoal', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Chassis', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Chemical (HAZMAT)', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Chemical (Non Haz)', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cigarettes', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cleaning Supplies', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Clothing', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Coal', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Compressors', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Concrete', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Conveyor', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Copper', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Decking', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Dirt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Doors', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Drinks', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Drywall', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Electronics', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Elevator', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Engines', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Excavator', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'FAK', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Fertilizer', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Filters', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Fire Extinguishers', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Foam', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Forklifta', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Furniture', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Generator', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Glass', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Hardware', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Hay', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Hemp', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Hot Tubs', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Household Goods', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Ice', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Insulation', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Light Poles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Liquor', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Lubricants', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Lumber', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mattresses', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Medical Supplies', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Military Equipment', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Military Vehicles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mineral', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mulch', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mulch', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Nursery Product', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Nuts', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Office Supplies', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Packaging Material', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Paint', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pallets', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Paper Products', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pellets', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Personal Care Items', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pet Products', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pipe', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pipe', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Plants', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Plywood', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Poles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Porta-potty', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Potatoes', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Produce', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pumps', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Racking', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Radiator Fuel', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reatils Product', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Rebar', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Recycled Metals', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Rock', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Roofing', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Salt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Scaffolding', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Seed', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Seed', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Shopping Carts', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Shower', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Siding', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Signs', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Sod', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Steel Beams', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Steel Drums', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Steel Joist', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Tires', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Tools', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Toys', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Transformers', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Transmissions', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trash', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trees', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Vaccines', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Vehicles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Vending Machines', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Wheat', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Wire', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Wood', 'created_at' => now(), 'updated_at' => now()]
        ]);

        CompanyCommodity::truncate();
        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            $commodities = Commodity::get();
            foreach($commodities as $commodity) {
                CompanyCommodity::create(['company_id' => $compnay->id, 'name' => $commodity->name]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Commodity::truncate();
        CompanyCommodity::truncate();
    }
}
