<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\HazardousOption;
class InsertDataHazardousOptionsTabel extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        HazardousOption::truncate();
        HazardousOption::insert([
            ['name' => 'General', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Caustic', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Explosives', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Flammable', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Inhalants', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Radioactive', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'HarmfulToWater', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Tunnel', 'created_at' => now(), 'updated_at' => now()],
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        HazardousOption::truncate();
    }
}
