<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddUploadUserTypeToLoadFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->enum('upload_user_type', ['Company Admin', 'Driver'])->nullable()->after('upload_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->dropColumn('upload_user_type');
        });
    }
}
