<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnTwoFactorSecretInCompanyAdminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->string('two_factor_secret', 10)->nullable()->after('timezone_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_admins', function (Blueprint $table) {
            $table->dropColumn('two_factor_secret');
        });
    }
}
