<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckAdditionalEquipmentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_additional_equipment', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->integer('title')->nullable();
            $table->string('qty')->nullable();
            $table->string('value')->nullable();
            $table->string('description')->nullable();
            $table->string('entered_by')->nullable();
            $table->date('date_entered')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_additional_equipment');
    }
}
