<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnWarrantyStartInTruckWarrantyPmServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_warranty_pm_services', function (Blueprint $table) {
            $table->string('warranty_start')->nullable()->change();
            $table->string('warranty_exp')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_warranty_pm_services', function (Blueprint $table) {
            $table->date('warranty_start')->nullable()->change();
            $table->date('warranty_exp')->nullable()->change();
        });
    }
}
