<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDefaultFuelSurchargesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('default_fuel_surcharges', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->double('default_fuel_surcharge_diesel', '10', 2)->nullable();
            $table->double('default_fuel_surcharge_gas', '10', 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('default_fuel_surcharges');
    }
}
