<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerRequiredDocumentProfilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_required_document_profiles', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned();
            $table->string('profile_name');
            $table->text('shipper_documents');
            $table->text('shipper_doc_types');
            $table->text('shipper_include_w_billing');
            $table->text('shipper_hide_from_driver');
            $table->text('receiver_documents');
            $table->text('receiver_doc_types');
            $table->text('receiver_include_w_billing');
            $table->text('receiver_hide_from_driver');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_required_document_profiles');
    }
}
