<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DropColumnsForContactsAt28122023OnBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn(['contact_first_name', 'contact_middle_name', 'contact_last_name', 'contact_department', 'contact_phone_number', 'contact_ext', 'contact_fax', 'contact_cell_phone', 'preferred_contact_method', 'contact_date_of_birth', 'contact_start_date_workiversary', 'contact_gender', 'contact_suffix', 'contact_email', 'invite_pro_chat_messenger', 'contact_prochat_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            //
        });
    }
}
