<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnFileVerifyInLoadAccessorialsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_accessorials', function (Blueprint $table) {
            $table->tinyInteger('file_verify')->default(0)->after('temp_details')->comment('0: Pending, 1: Approved, 2: Rejected');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_accessorials', function (Blueprint $table) {
            $table->dropColumn('file_verify');
        });
    }
}
