<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddHistoryToLoadFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->longText('history')->nullable()->comment('Documentation request history')->after('hide_from_driver');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->dropColumn('history');
        });
    }
}
