<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnReminderStatusInLoadBillingReminderHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_reminder_histories', function (Blueprint $table) {
            $table->tinyInteger('reminder_status')->default(1)->comment('0: Off, 1: On')->after('created_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_reminder_histories', function (Blueprint $table) {
            $table->dropColumn('reminder_status');
        });
    }
}
