<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadBillingHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_billing_histories', function (Blueprint $table) {
            $table->id();
            $table->integer('load_detail_id')->unsigned();
            $table->string('type');
            $table->dateTime('date_time');
            $table->string('action_by');
            $table->text('extra_params')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_billing_histories');
    }
}
