<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckTransponderProviderHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_transponder_provider_histories', function (Blueprint $table) {
            $table->id();
            $table->integer('truck_id');
            $table->string('action');
            $table->string('truck_number');
            $table->string('provider');
            $table->string('provider_id');
            $table->dateTime('action_date_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_transponder_provider_histories');
    }
}
