<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnPaymentDateTypeInLoadBillingPayInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_pay_invoices', function (Blueprint $table) {
            $table->dateTime('payment_date')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_pay_invoices', function (Blueprint $table) {
            $table->date('payment_date')->change();
        });
    }
}
