<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call([
            AdminSeeder::class,
            StateSeeder::class,
            TimezoneSeeder::class,
            EmailTempleteSeeder::class,
            PdfTemplateSeeder::class,
            // DriverSeeder::class,
            // UpdateDriverReport::class,
            LoadSeeder::class
        ]);
    }
}
