<?php

namespace Database\Seeders;

use App\Models\Driver;
use App\Models\ReportDriver;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;

class UpdateDriverReport extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Driver::whereNull('deleted_at')->update(['is_report_drivers' => 0]);

        $getDriver      = Driver::whereNull('deleted_at')->where('is_report_drivers', 0)->pluck('id')->toArray();
        $cronRunCount   = count(array_chunk($getDriver, 20));

        for ($i = 0; $i < $cronRunCount; $i++){
            Artisan::call('reportdriversdata:cron');
        }
    }
}
