$('.modal').on('hidden.bs.modal', function (e) {
    if($.inArray($(this).attr('id'), ['boxModal','mapModal']) == -1){
        var footer      = $(this).find('.modal-footer'); //$('.modal .modal-footer');
        var geoBtn      = footer.find('.geocoding-btn');
        if(geoBtn.length > 0){
            if (geoBtn.is( ":button" ) ) {
                geoBtn.text('Verify').removeClass('btn-success').addClass('btn-warning');
            }else{
                geoBtn.text('Verify Address');
            }
            var saveBtn = footer.find('.save-btn');
            if(saveBtn.length > 0){
                saveBtn.addClass('d-none');
            }
        }
    }
});

$('body').on('keyup','.geocoding-address-1,.geocoding-city,.geocoding-state,.geocoding-zip',function(event) {
    event.preventDefault();
    // console.log('geocoding-keyup');
    // return false;

    var that                        		= $(this);
    var geocoding                   		= that.closest('.geocoding');
    var except                              = (typeof geocoding.attr('data-except') == "undefined")? '0' : '1';
    if(except=='1'){
        var arry                            = [];
        if(geocoding.find('.geocoding-address-1').val()){
            arry.push(geocoding.find('.geocoding-address-1').val());
        }
        if(geocoding.find('.geocoding-address-2').val()){
            arry.push(geocoding.find('.geocoding-address-2').val());
        }
        if(geocoding.find('.geocoding-city').val()){
            arry.push(geocoding.find('.geocoding-city').val());
        }
        if(geocoding.find('.geocoding-state').val()){
            arry.push(geocoding.find('.geocoding-state').val());
        }
        if(geocoding.find('.geocoding-zip').val()){
            arry.push(geocoding.find('.geocoding-zip').val());
        }
        if(arry.length > 0){
            geocoding.find('.geocoding-abbr').prop('required',true);
        }else{
            geocoding.find('.geocoding-abbr').prop('required',false);
            geocoding.find('.geocoding-abbr').parsley().reset();
        }
    }

    var type                        		= geocoding.attr('data-type');
    var verified                    		= geocoding.find('.geocoding-verified').val();

    if(verified=='1'){
        if(typeof type == "undefined"){
            if(geocoding.find('.geocoding-timezone').length > 0){
                geocoding.find('.geocoding-timezone').html('').addClass('d-none');
            }
            geocoding.find('.geocoding-abbr').val('');
            geocoding.find('.geocoding-latitude').val('');
            geocoding.find('.geocoding-longitude').val('');
            geocoding.find('.geocoding-verified').val('0');

            var btn                 		= geocoding.find('.geocoding-btn');
            if (btn.is( ":button" ) ) {
                btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
            }else{
                btn.text('Verify Address');
            }
        }else{
            if(type=='shipper'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var shipperModal    		= that.closest('#addShipperModal');
                shipperModal.find('.save-btn').addClass('d-none');

                var btn             		= shipperModal.find('.geocoding-btn');
                if (btn.is( ":button" ) ) {
                    btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    btn.text('Verify Address');
                }
            }else if (type=='receiver'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var receiverModal   		= that.closest('#addReceiverModal');
                receiverModal.find('.save-btn').addClass('d-none');

                var btn             		= receiverModal.find('.geocoding-btn');
                if (btn.is( ":button" ) ) {
                    btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    btn.text('Verify Address');
                }
            }else if(type=='stop'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var stopModal       		= that.closest('.modal');
                stopModal.find('.save-btn').addClass('d-none');

                var btn             		= stopModal.find('.geocoding-btn');
                if (btn.is( ":button" ) ) {
                    btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    btn.text('Verify Address');
                }
            }else if(type=='vendor'){
            	geocoding.find('.geocoding-abbr').val('');
            	geocoding.find('.geocoding-latitude').val('');
            	geocoding.find('.geocoding-longitude').val('');
            	geocoding.find('.geocoding-verified').val('0');

            	var vendorModal  			= that.closest('#addVendorModal');
            	vendorModal.find('.save-btn').addClass('d-none');

            	var btn           			= vendorModal.find('.geocoding-btn');
                if (btn.is( ":button" ) ) {
                    btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    btn.text('Verify Address');
                }
            }else if(type=='appointment'){
            	geocoding.find('.geocoding-abbr').val('');
            	geocoding.find('.geocoding-latitude').val('');
            	geocoding.find('.geocoding-longitude').val('');
            	geocoding.find('.geocoding-verified').val('0');

            	if(that.closest('#addAppointments').length > 0){
            	    var appointmentModal    = that.closest('#addAppointments');
            	}else{
            	    var appointmentModal    = that.closest('#editAppointment');
            	}

            	appointmentModal.find('.save-btn').addClass('d-none');

            	var btn                     = appointmentModal.find('.geocoding-btn');
                if (btn.is( ":button" ) ) {
                    btn.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    btn.text('Verify Address');
                }
            }else if(type=='pickup-drop'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var pickupDropTrailerModal    		= that.closest('#pickupDropTrailerDiv');
                var btn = pickupDropTrailerModal.find('.geocoding-btn');
                btn.text('Verify Address');
            }else if(type=='pickup-drop-hook'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var pickupDropHookTrailerModal    		= that.closest('#pickupDropHookTrailerDiv');
                var btn = pickupDropHookTrailerModal.find('.geocoding-btn');
                btn.text('Verify Address');
            }else if(type=='stop-drop'){
                var stopIndex= geocoding.attr('data-index');

                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var dropTrailerBlock= that.closest('#dropTrailerDiv_'+ stopIndex);
                var btn = dropTrailerBlock.find('.geocoding-btn');
                btn.text('Verify Address');
            }else if(type=='stop-drop-hook'){
                var stopIndex= geocoding.attr('data-index');

                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var dropTrailerHookBlock= that.closest('#dropTrailerHookDiv_'+ stopIndex);
                var btn = dropTrailerHookBlock.find('.geocoding-btn');
                btn.text('Verify Address');
            }else if(type=='delivery-drop'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var deliveryDropTrailerModal    		= that.closest('#deliveryDropTrailerDiv');
                var btn = deliveryDropTrailerModal.find('.geocoding-btn');
                btn.text('Verify Address');
            }else if(type=='delivery-drop-hook'){
                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                var deliveryDropHookTrailerModal    		= that.closest('#deliveryDropHookTrailerDiv');
                var btn = deliveryDropHookTrailerModal.find('.geocoding-btn');
                btn.text('Verify Address');
            }
        }

        var verifiedIs                      = geocoding.find('.geocoding-verified').val();
        if($('.is_load_page').attr('is_load')==1 && verifiedIs==0){
            drowMapCreate();
        }
    }
});

$('body').on('click','.geocoding-btn',function(event) {
    event.preventDefault();
    // console.log('geocoding-btn');
    // return false;

    if(!trimbleMapsAPIKey){
        toastr.error('Trimble map api key does not exist.', 'Error Alert', {
            timeOut: 5000
        });
        return false;
    }

    var that                    	= $(this);
    var type                        = that.attr('data-type');
    if(that.text()=='Verified'){
        return false;
    }

    if(typeof type == "undefined"){
        var geocoding           	= that.closest('.geocoding');
    }else if(type=='shipper'){
        var shipperModal        	= that.closest('#addShipperModal');
        var geocoding           	= shipperModal.find('.geocoding');
    }else if(type=='receiver'){
        var receiverModal       	= that.closest('#addReceiverModal');
        var geocoding           	= receiverModal.find('.geocoding');
    }else if(type=='stop'){
        var stopModal           	= that.closest('.modal');
        var geocoding           	= stopModal.find('.geocoding');
    }else if(type=='vendor'){
        var vendorModal         	= that.closest('#addVendorModal');
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='appointment'){
    	var appointmentModal        = that.closest('#addAppointments');
    	if(appointmentModal.length > 0){
    	    var geocoding           = appointmentModal.find('.geocoding');
    	}else{
    	    var appointmentModal    = that.closest('#editAppointment');
    	    var geocoding           = appointmentModal.find('.geocoding');
    	}
    }else if(type=='pickup-drop'){
        var vendorModal         	= that.closest('#pickupDropTrailerDiv');
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='pickup-drop-hook'){
        var vendorModal         	= that.closest('#pickupDropHookTrailerDiv');
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='stop-drop'){
        var stopIndex            = that.attr('data-index');
        var vendorModal         	= that.closest('#dropTrailerDiv_'+ stopIndex);
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='stop-drop-hook'){
        var stopIndex            = that.attr('data-index');
        var vendorModal         	= that.closest('#dropTrailerHookDiv_'+ stopIndex);
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='delivery-drop'){
        var vendorModal         	= that.closest('#deliveryDropTrailerDiv');
        var geocoding           	= vendorModal.find('.geocoding');
    }else if(type=='delivery-drop-hook'){
        var vendorModal         	= that.closest('#deliveryDropHookTrailerDiv');
        var geocoding           	= vendorModal.find('.geocoding');
    }else{
        return false;
    }

    var error                       = {};
    var addr1                       = geocoding.find('.geocoding-address-1').val();
    if(addr1==''){
        error['addr1']              = 'The address field is required.';
    }
    var city                        = geocoding.find('.geocoding-city').val();
    if(city==''){
        //error['city']             = 'The city field is required.';
    }
    var state                       = geocoding.find('.geocoding-state').val();
    if(state==''){
        error['state']              = 'The state field is required.';
    }
    var zip                         = geocoding.find('.geocoding-zip').val();
    if(zip==''){
        error['zip']                = 'The zip field is required.';
    }
    if($.isEmptyObject(error)){
        TrimbleMaps.Geocoder.geocode({
            address: {
                addr: addr1,
                city: city,
                state: state,
                zip: zip,
                region: TrimbleMaps.Common.Region.NA
            },
            listSize: 1,
            success: function(response) {
                if(response.length > 0){
                    var data            = response[0];
                    if(!$.isEmptyObject(data)){
                        var etype       = [];
                        var emsg        = [];
                        if(data.Errors.length > 0){
                            data.Errors.forEach(function(e) {
                                etype.push(e.Type);
                                emsg.push(e.Description);
                            });
                        }
                        emsg            = emsg.join(', ');
                        if(etype.length == 0){ // if($.inArray(1, etype) == -1){ // type == 0
                            // console.log('Value Not exists');
                            if(data.TimeZone){
                                if(geocoding.find('.geocoding-timezone').length > 0){
                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                }
                                geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                geocoding.find('.geocoding-abbr').parsley().reset();
                            }
                            if(data.Coords){
                                geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                            }
                            geocoding.find('.geocoding-verified').val('1');

                            if (that.is( ":button" ) ) {
                                that.text('Verified').removeClass('btn-warning').addClass('btn-success');
                            }else{
                                that.text('Verified');
                            }

                            if($('.is_load_page').attr('is_load')==1){
                                drowMapCreate();
                            }

                            if(typeof type !== "undefined"){
                                that.closest('.modal-footer').find('.save-btn').removeClass('d-none');
                            }

                            if(emsg){
                                toastr.error(emsg, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        }else{
                            // console.log('Value exists in Array variable');
                            var uid         = that.attr('data-uid');
                            if(uid){
                                var uidElem = $('#boxModal').find('.uid');
                                uidElem.text(uid);
                                setTimeout(function() {
                                    $('#boxModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                }, 250);
                            }else{
                                toastr.error(emsg, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        }
                    }
                }
            },
            failure: function(response) {
                if(typeof type == "undefined"){
                    if(geocoding.find('.geocoding-timezone').length > 0){
                        geocoding.find('.geocoding-timezone').html('').addClass('d-none');
                    }
                }else{
                    that.closest('.modal-footer').find('.save-btn').addClass('d-none');
                }

                geocoding.find('.geocoding-abbr').val('');
                geocoding.find('.geocoding-latitude').val('');
                geocoding.find('.geocoding-longitude').val('');
                geocoding.find('.geocoding-verified').val('0');

                if (that.is( ":button" ) ) {
                    that.text('Verify').removeClass('btn-success').addClass('btn-warning');
                }else{
                    that.text('Verify Address');
                }

                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                    timeOut: 5000
                });
            }
        });
    }else{
        var html                    = '<div class="alert alert-danger"><ul>';
        $.each(error, function (key, val) {
            html                    += '<li>'+val+'</li>';
        });
        html                        +='</ul></div>';
        Swal.fire({
            // title: '<strong>HTML <u>example</u></strong>',
            icon: 'error',
            html: html,
            showCloseButton: true,
            showCancelButton: true,
            focusConfirm: false,
        });
    }
});

// po box
$('body').on('click', '#boxModal .q-btn', function (e) {
    e.preventDefault();
    // console.log('q-btn');
    // return false;

    var q_btn       = $(this);
    var q_btn_type  = q_btn.attr('data-type');
    if(q_btn_type){
        if(q_btn.closest('.modal-body').find('.q-btn.active').length > 0){
            return false;
        }else{
            var uid                             = $('#boxModal').find('.uid').text();
            if(uid){
                q_btn.addClass('active');
                $('#boxModal').modal('hide');

                var that                        = $('.geocoding-btn[data-uid="'+uid+'"]');

                var type                        = that.attr('data-type');
                if(that.text()=='Verified'){
                    return false;
                }

                if(typeof type == "undefined"){
                    var geocoding               = that.closest('.geocoding');
                }else if(type=='shipper'){
                    var shipperModal            = that.closest('#addShipperModal');
                    var geocoding               = shipperModal.find('.geocoding');
                }else if(type=='receiver'){
                    var receiverModal           = that.closest('#addReceiverModal');
                    var geocoding               = receiverModal.find('.geocoding');
                }else if(type=='stop'){
                    var stopModal               = that.closest('.modal');
                    var geocoding               = stopModal.find('.geocoding');
                }else if(type=='vendor'){
                    var vendorModal             = that.closest('#addVendorModal');
                    var geocoding               = vendorModal.find('.geocoding');
                }else if(type=='appointment'){
                    var appointmentModal        = that.closest('#addAppointments');
                    if(appointmentModal.length > 0){
                        var geocoding           = appointmentModal.find('.geocoding');
                    }else{
                        var appointmentModal    = that.closest('#editAppointment');
                        var geocoding           = appointmentModal.find('.geocoding');
                    }
                }else{
                    return false;
                }

                var error                       = {};
                var city                        = geocoding.find('.geocoding-city').val();
                if(city==''){
                    //error['city']             = 'The city field is required.';
                }
                var state                       = geocoding.find('.geocoding-state').val();
                if(state==''){
                    error['state']              = 'The state field is required.';
                }
                var zip                         = geocoding.find('.geocoding-zip').val();
                if(zip==''){
                    error['zip']                = 'The zip field is required.';
                }
                if($.isEmptyObject(error)){
                    if(q_btn_type==1){
                        // console.log('City state & zip to direct verify');
                        TrimbleMaps.Geocoder.geocode({
                            address: {
                                city: city,
                                state: state,
                                zip: zip,
                                region: TrimbleMaps.Common.Region.NA
                            },
                            listSize: 1,
                            success: function(response) {
                                if(response.length > 0){
                                    var data                = response[0];
                                    if(!$.isEmptyObject(data)){
                                        var etype           = [];
                                        var emsg            = [];
                                        if(data.Errors.length > 0){
                                            data.Errors.forEach(function(e) {
                                                etype.push(e.Type);
                                                emsg.push(e.Description);
                                            });
                                        }
                                        emsg                = emsg.join(', ');
                                        if($.inArray(1, etype) == -1){ // type == 0
                                            // console.log('Value Not exists');
                                            if(data.TimeZone){
                                                if(geocoding.find('.geocoding-timezone').length > 0){
                                                    geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                                }
                                                geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                                geocoding.find('.geocoding-abbr').parsley().reset();
                                            }
                                            if(data.Coords){
                                                geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                                geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                            }
                                            geocoding.find('.geocoding-verified').val('1');

                                            if (that.is( ":button" ) ) {
                                                that.text('Verified').removeClass('btn-warning').addClass('btn-success');
                                            }else{
                                                that.text('Verified');
                                            }

                                            if($('.is_load_page').attr('is_load')==1){
                                                drowMapCreate();
                                            }

                                            if(typeof type !== "undefined"){
                                                that.closest('.modal-footer').find('.save-btn').removeClass('d-none');
                                            }

                                            if(emsg){
                                                toastr.error(emsg, 'Error Alert', {
                                                    timeOut: 5000
                                                });
                                            }
                                        }else{
                                            // console.log('Value exists in Array variable');
                                            toastr.error(emsg, 'Error Alert', {
                                                timeOut: 5000
                                            });
                                        }
                                    }
                                }
                            },
                            failure: function(response) {
                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }else{
                        // console.log('drag map to verify');
                        TrimbleMaps.Geocoder.geocode({
                            address: {
                                city: city,
                                state: state,
                                zip: zip,
                                region: TrimbleMaps.Common.Region.NA
                            },
                            listSize: 1,
                            success: function(response) {
                                if(response.length > 0){
                                    var data                = response[0];
                                    if(!$.isEmptyObject(data)){
                                        var etype           = [];
                                        var emsg            = [];
                                        if(data.Errors.length > 0){
                                            data.Errors.forEach(function(e) {
                                                etype.push(e.Type);
                                                emsg.push(e.Description);
                                            });
                                        }
                                        emsg                = emsg.join(', ');
                                        if($.inArray(1, etype) == -1){ // type == 0
                                            if(data.Coords){
                                                var uidElem = $('#mapModal').find('.uid');
                                                uidElem.text(uid);
                                                uidElem.attr({
                                                    'data-longitude':data.Coords.Lon,
                                                    'data-latitude':data.Coords.Lat
                                                });
                                                setTimeout(function() {
                                                    $('#mapModal').modal({backdrop: 'static', keyboard: false}, 'show');
                                                }, 250);
                                            }else{
                                                toastr.error(emsg, 'Error Alert', {
                                                    timeOut: 5000
                                                });
                                            }
                                        }else{
                                            // console.log('Value exists in Array variable');
                                            toastr.error(emsg, 'Error Alert', {
                                                timeOut: 5000
                                            });
                                        }
                                    }
                                }
                            },
                            failure: function(response) {
                                toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                }else{
                    var html                    = '<div class="alert alert-danger"><ul>';
                    $.each(error, function (key, val) {
                        html                    += '<li>'+val+'</li>';
                    });
                    html                        +='</ul></div>';
                    Swal.fire({
                        // title: '<strong>HTML <u>example</u></strong>',
                        icon: 'error',
                        html: html,
                        showCloseButton: true,
                        showCancelButton: true,
                        focusConfirm: false,
                    });
                }
            }else{
                return false;
            }
        }
    }
});

$('#boxModal').on('hidden.bs.modal', function() {
    var that = $(this);
    that.find('.q-btn.active').removeClass('active');
    that.find('.uid').text('');
});

$('#mapModal').on('hidden.bs.modal', function() {
    var that = $(this);
    that.find('.uid').text('').removeAttr('data-longitude data-latitude');
    that.find('#map-container').removeAttr('class');
    that.find('#map-container').data('map-instance', null);
    that.find('#map-container').html('');
    that.find('.longitude').html('');
    that.find('.latitude').html('');
    that.find('.map-btn').prop('disabled', false).html('Submit');
});

$('#mapModal').on('shown.bs.modal', function () {
    var uidElem             = $('#mapModal').find('.uid');
    var uid                 = uidElem.text();
    var longitude           = uidElem.attr('data-longitude');
    var latitude            = uidElem.attr('data-latitude');
    setTimeout(function() {
        // console.table(longitude, latitude);
        const map               = new TrimbleMaps.Map({
            container: 'map-container', // container id
            center: [longitude, latitude],
            zoom: 12.5,
            scrollZoom: false
        });

        // Store map instance in data attribute
        $('#map-container').data('map-instance', map);

        // Disable scroll zoom controls
        // map.scrollZoom.disable();

        map.addControl(new TrimbleMaps.NavigationControl({
            showCompass : false
        }));

        // // Save the panel elements
        const lngElem           = $('#mapModal').find('.longitude');
        const latElem           = $('#mapModal').find('.latitude');

        const marker            = new TrimbleMaps.Marker({
            draggable: true
        }).setLngLat([longitude, latitude]).addTo(map);

        lngElem.html(longitude);
        latElem.html(latitude);

        // // Listen to the dragend event of the marker
        marker.on('dragend', function(e){
            // Extract the lngLat object from the marker in the event
            const lngLat        = e.target.getLngLat();

            // Update the values in the panel
            lngElem.html(lngLat.lng);
            latElem.html(lngLat.lat);
        });
    }, 250);
});

$("#mapModal #map-container").on('wheel', function (e) {
    // Prevent the event from bubbling up the DOM tree
    e.stopPropagation();
    
    // Log that the scroll event is detected in #map-container
    // console.log("Scroll event detected in #map-container");

    // Check if the Ctrl key is pressed
    if (e.originalEvent.ctrlKey) {
        // Prevent the default scrolling behavior
        e.preventDefault();
        
        // Log that the Ctrl key is pressed
        // console.log("Ctrl key is pressed.");
        
        // Check if the map is drawn and ready for interaction
        if (isMapDrawn('#map-container')) {
            // Retrieve map instance from data attribute
            var map             = $(this).data('map-instance');
            // console.log('map:', map);
            // console.log('map instanceof TrimbleMaps.Map:', map instanceof TrimbleMaps.Map);
            // Check if map is already initialized and is an instance of TrimbleMaps.Map
            if (map && (map instanceof TrimbleMaps.Map)) {
                // Remove the 'map-scroll' class from #map-container
                $("#map-container").removeClass('map-scroll');

                // Adjust zoom level based on scroll direction
                var direction   = e.originalEvent.deltaY > 0 ? 'out' : 'in';
                if (direction === 'in') {
                    map.zoomIn();
                } else {
                    map.zoomOut();
                }
            }
        }
    } else {
        // Log that the Ctrl key is not pressed
        // console.log("Ctrl key is not pressed.");
        
        // Check if the map is drawn and ready for interaction
        if (isMapDrawn('#map-container')) {
            // Add the 'map-scroll' class to #map-container
            $("#map-container").addClass('map-scroll');
            setTimeout(function(){
                $("#map-container").removeClass('map-scroll');
            }, 5000);
        }
    }
});
// Remove the 'map-scroll' class from #map-container after 1500 milliseconds
$("#mapModal #map-container").on('mouseleave', function () {
    setTimeout(function(){
        $("#map-container").removeClass('map-scroll');
    }, 1500);
});

$('body').on('click', '#mapModal .map-btn', function(event) {
    event.preventDefault();
    // console.log('map-btn');
    // return false;

    const lngVal                        = $('#mapModal').find('.longitude').text();
    const latVal                        = $('#mapModal').find('.latitude').text();
    const uid                           = $('#mapModal').find('.uid').text();

    var that                            = $('.geocoding-btn[data-uid="'+uid+'"]');

    var type                            = that.attr('data-type');
    if(that.text()=='Verified'){
        return false;
    }

    if(typeof type == "undefined"){
        var geocoding                   = that.closest('.geocoding');
    }else if(type=='shipper'){
        var shipperModal                = that.closest('#addShipperModal');
        var geocoding                   = shipperModal.find('.geocoding');
    }else if(type=='receiver'){
        var receiverModal               = that.closest('#addReceiverModal');
        var geocoding                   = receiverModal.find('.geocoding');
    }else if(type=='stop'){
        var stopModal                   = that.closest('.modal');
        var geocoding                   = stopModal.find('.geocoding');
    }else if(type=='vendor'){
        var vendorModal                 = that.closest('#addVendorModal');
        var geocoding                   = vendorModal.find('.geocoding');
    }else if(type=='appointment'){
        var appointmentModal            = that.closest('#addAppointments');
        if(appointmentModal.length > 0){
            var geocoding               = appointmentModal.find('.geocoding');
        }else{
            var appointmentModal        = that.closest('#editAppointment');
            var geocoding               = appointmentModal.find('.geocoding');
        }
    }else{
        return false;
    }

    if(geocoding.length > 0){
        Swal.fire({
            text: 'Would you like to update Address 1 box with the new address?',
            icon: "warning",
            showDenyButton: true,
            showCancelButton: false,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: 'Yes',
            cancelButtonText: `No`,
            allowOutsideClick: false
        }).then((result) => {
            var mapBtn                      = $(this);
            mapBtn.prop('disabled', true).html('Please Wait...');

            TrimbleMaps.Geocoder.reverseGeocode({
                lonLat: new TrimbleMaps.LngLat(lngVal, latVal),
                region: TrimbleMaps.Common.Region.NA,
                success: function(response) {
                    if(response.length > 0){
                        var data            = response[0];
                        if(!$.isEmptyObject(data)){
                            var etype       = [];
                            var emsg        = [];
                            if(data.Errors.length > 0){
                                data.Errors.forEach(function(e) {
                                    etype.push(e.Type);
                                    emsg.push(e.Description);
                                });
                            }
                            emsg            = emsg.join(', ');
                            if($.inArray(1, etype) == -1){ // type == 0
                                // console.log('Value Not exists');
                                $('#mapModal').modal('hide');
                                if(data.Address){
                                    if (result.isConfirmed) {
                                        geocoding.find('.geocoding-address-1').val(data.Address.StreetAddress);
                                    } else {
                                        // console.log('sweet alert cancel');
                                    }
                                    geocoding.find('.geocoding-city').val(data.Address.City);
                                    geocoding.find('.geocoding-state').val(data.Address.State);
                                    geocoding.find('.geocoding-zip').val(data.Address.Zip);
                                }
                                if(data.TimeZone){
                                    if(geocoding.find('.geocoding-timezone').length > 0){
                                        geocoding.find('.geocoding-timezone').html(data.TimeZone).removeClass('d-none');
                                    }
                                    geocoding.find('.geocoding-abbr').val(data.TimeZone);
                                    geocoding.find('.geocoding-abbr').parsley().reset();
                                }
                                if(data.Coords){
                                    geocoding.find('.geocoding-latitude').val(data.Coords.Lat);
                                    geocoding.find('.geocoding-longitude').val(data.Coords.Lon);
                                }
                                geocoding.find('.geocoding-verified').val('1');

                                if (that.is( ":button" ) ) {
                                    that.text('Verified').removeClass('btn-warning').addClass('btn-success');
                                }else{
                                    that.text('Verified');
                                }

                                if($('.is_load_page').attr('is_load')==1){
                                    drowMapCreate();
                                }

                                if(typeof type !== "undefined"){
                                    that.closest('.modal-footer').find('.save-btn').removeClass('d-none');
                                }

                                if(emsg){
                                    toastr.error(emsg, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            }else{
                                // console.log('Value exists in Array variable');
                                mapBtn.prop('disabled', false).html('Submit');
                                toastr.error(emsg, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        }else{
                            mapBtn.prop('disabled', false).html('Submit');
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        mapBtn.prop('disabled', false).html('Submit');
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                },
                failure: function(response) {
                    mapBtn.prop('disabled', false).html('Submit');
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                }
            });
        });
    }
    return false;
});

function trimbleAutocomplete(){
    if(typeof trimbleMapsAPIKey != 'undefined' && trimbleMapsAPIKey != '') {
        $('.trimble-autocomplete').autocomplete({
            source: function(request, response) {
                $.ajax({
                    url: 'https://singlesearch.alk.com/NA/api/search',
                    data: {
                        query: request.term,
                        authToken: trimbleMapsAPIKey,
                        includeTrimblePlaceIds: true
                    },
                    beforeSend: function() {
                        // Add loading class to the input during the search
                        $(this).addClass("ui-autocomplete-loading");
                    },
                    success: function(data) {
                        var addresses = [];

                        if(data.Locations.length > 0){
                            $.each(data['Locations'], function(key, item) {
                                if(item.Address['City'] != '' && item.Address['State'] != '' && item.Address['Zip'] != ''){
                                    var location = '';
                                    if(item.Address['LocalArea'] != ''){
                                        location += item.Address['StreetAddress'] + ' ' + item.Address['LocalArea'] + ' ' + item.Address['City'] + ' ' + item.Address['State'] + ' ' + item.Address['Zip'];
                                    }else{
                                        location += item.Address['StreetAddress'] + ' ' + item.Address['City'] + ' ' + item.Address['State'] + ' ' + item.Address['Zip'];
                                    }
                                    addresses.push({
                                        label: location,  // Displayed in the dropdown
                                        value: location,  // Value when the item is selected
                                        address1: item.Address['StreetAddress'] || '',
                                        address2: item.Address['LocalArea'] || '',
                                        city: item.Address['City'] || '',
                                        state: item.Address['State'] || '',
                                        zip: item.Address['Zip'] || '',
                                        latitude: item.Coords['Lat'] || '',
                                        longitude: item.Coords['Lon'] || '',
                                        trimblePlaceId: item['TrimblePlaceId'] || '',
                                    });
                                }
                            });
                        }
                        response(addresses);
                    },
                    complete: function() {
                        // Remove loading class after the response is received
                        $(this).removeClass("ui-autocomplete-loading");
                    },
                    error: function(err) {
                        console.error("Autocomplete error:", err);
                    }
                });
            },
            select: function(event, ui) {
                // Set the input value
                $(this).closest('.geocoding').find('.geocoding-address-1').val(ui.item.address1);
                $(this).closest('.geocoding').find('.geocoding-address-2').val(ui.item.address2);
                $(this).closest('.geocoding').find('.geocoding-city').val(ui.item.city);
                $(this).closest('.geocoding').find('.geocoding-state').val(ui.item.state);
                $(this).closest('.geocoding').find('.geocoding-zip').val((ui.item.zip).slice(0, 5));
                $(this).closest('.geocoding').find('.geocoding-latitude').val(ui.item.latitude);
                $(this).closest('.geocoding').find('.geocoding-longitude').val(ui.item.longitude);
                $(this).closest('.geocoding').find('.geocoding-trimble-place-id').val(ui.item.trimblePlaceId);

                if(ui.item.trimblePlaceId != ''){
                    $('#geofence-tab .geofence-updated-at').val(moment().format('MM/DD/YYYY'));
                    $('#geofence-tab .geofence-updated-at-text').text(moment().format('MM/DD/YYYY'));
                }

                $(this).closest('.geocoding').find('.geocoding-btn').click();
                $(this).trigger("focusout");

                // Prevent the default behavior of Autocomplete
                return false;
            }
        });
    }
}

trimbleAutocomplete();