@extends($adminTheme)

@section('title')
    Event Types
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">Event Types</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Color Code</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var table = $('.data-table').DataTable({
    stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,  
            order: [[1, "desc"]],
            ajax: "{{ route('admin.event-type.index') }}",
            columns: [
                { data: 'name', name: 'name' },
                { data: 'color', name: 'color' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    </script>
@endsection