@extends($adminTheme)

@section('title')
    Admin Dashboard
@endsection

@section('content')
    <div class="name-ttl">
        <h2>Welcome {{ auth()->guard('admin')->user()->name }}</h2>
        <div class="row">
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4">
                    <div class="box-padding employee-box spl-hgt">
                        <span class="big-ttl">Companies</span>
                        <h5 class="centr">194</h5>
                        <ul class="per-data">
                            <li class="imgshow"><img src="{{ asset('theme/img/users-icon.png') }}" alt=""></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4">
                    <div class="box-padding employee-box spl-hgt">
                        <span class="big-ttl">Open Ticket</span>
                        <h5 class="centr">12</h5>
                        <ul class="per-data">
                            <li class="imgshow"><img src="{{ asset('theme/img/phone-icon.png') }}" alt=""></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4">
                    <div class="box-padding employee-box spl-hgt">
                        <span class="big-ttl">Open Invoice</span>
                        <h5 class="centr">2</h5>
                        <ul class="per-data">
                            <li class="imgshow"><img src="{{ asset('theme/img/credit-card-icon.png') }}" alt=""></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4">
                    <div class="box-padding employee-box spl-hgt">
                        <span class="big-ttl">Canceled this month</span>
                        <h5 class="centr">2</h5>
                        <ul class="per-data">
                            <li class="imgshow"><img src="{{ asset('theme/img/credit-card-icon.png') }}" alt=""></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4">
                    <div class="box-padding employee-box spl-hgt">
                        <span class="big-ttl">New this month</span>
                        <h5 class="centr">2</h5>
                        <ul class="per-data">
                            <li class="imgshow"><img src="{{ asset('theme/img/plus-box-icon.png') }}" alt=""></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class=".col-xl-2 col-lg-2 col-md-4 col-sm-6">
                <div class="white-box mb-4 pad-24">
                    <div class="box-padding employee-box centr spl-hgt">
                        <img src="{{ asset('theme/img/chart-icon.png') }}" alt="">
                        <p class="big-ttl">New this month</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="red-box">
                    <p>Reports and Graphs</p>
                </div>
            </div>
        </div>
        <div class="white-box mb-30">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-sm-12 col-md-6">
                        <h3 class="table-title mb-0">Latest Invoice</h3>
                    </div>
                    <div class="col-sm-12 col-md-6">
                        <ul class="fltr-box">
                            <!-- <li>
                            <img src="images/fillter-icon.png" class="" alt="">
                            <p>Filters</p>
                            </li> -->
                            <li>
                                <div class="search-cmn">
                                    <input type="text" class="header-search srch-2" placeholder="Search...">
                                    <img src="images/header-search.png" class="search-icon t-35" alt="">
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
          <div class="table-responsive tbl-2">
             <table class="table">
                <thead>
                    <tr>
                        <th>Invoice No</th>
                        <th>Clients</th>
                        <th>Date</th>
                        <th>Type</th>
                        <th>Status</th>
                        <th>Amount</th>
                        <th style="width: 70px;">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>#LA-0234</td>
                        <td>vPro tec LLC</td>
                        <td>08/17/2020</td>
                        <td><img src="images/visa-card.jpg" alt=""></td>
                        <td><span class="paid-bg status-bg"></span> Paid</td>
                        <td>$15,000</td>
                        <td class="text-right icon-space">
                            <a href="javascript:void(0);" class=""><img src="images/big-mail.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/big-printer.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/delete-icon.png" alt=""></a>
                        </td>
                    </tr>
                    <tr>
                        <td>#LA-0234</td>
                        <td>vPro tec LLC</td>
                        <td>08/17/2020</td>
                        <td><img src="images/visa-card.jpg" alt=""></td>
                        <td><span class="pending-bg status-bg"></span> Pending</td>
                        <td>$15,000</td>
                        <td class="text-right icon-space">
                            <a href="javascript:void(0);" class=""><img src="images/big-mail.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/big-printer.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/delete-icon.png" alt=""></a>
                        </td>
                    </tr>
                    <tr>
                        <td>#LA-0234</td>
                        <td>vPro tec LLC</td>
                        <td>08/17/2020</td>
                        <td><img src="images/visa-card.jpg" alt=""></td>
                        <td><span class="error-bg status-bg"></span> Error</td>
                        <td>$15,000</td>
                        <td class="text-right icon-space">
                            <a href="javascript:void(0);" class=""><img src="images/big-mail.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/big-printer.png" alt=""></a>
                            <a href="javascript:void(0);"><img src="images/delete-icon.png" alt=""></a>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="col-md-12">
                <div class="cust-pagination">
                    <div class="page-item pre-arw">
                        <a class="page-link" href="javascript:void(0);" aria-label="Previous">
                            <span aria-hidden="true"><i class="fa fa-arrow-left"></i></span>
                            <span class="sr-only ml-1">Previous</span>
                        </a>
                    </div>
                    <ul class="pagination">
                        <li class="page-item"><a class="page-link active" href="javascript:void(0);">1</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
                    </ul>
                    <div class="page-item nxt-arw">
                        <a class="page-link" href="javascript:void(0);" aria-label="Next">
                            <span class="sr-only mr-1">Next</span>
                            <span aria-hidden="true"><i class="fa fa-arrow-right"></i></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="white-box mb-30">
        <div class="ttl-box">
            <div class="row">
                <div class="col-sm-12 col-md-6">
                    <h3 class="table-title mb-0">Account Sumary</h3>
                </div>
                <div class="col-sm-12 col-md-6">
                </div>
            </div>
        </div>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Account #</th>
                        <th>Company Name</th>
                        <th>Drivers</th>
                        <th>Owner</th>
                        <th>Phone</th>
                        <th>Monthly Revenue</th>
                        <th>Signup Date</th>
                        <th>Status</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>#AD1245</td>
                        <td>Hilda Wallace</td>
                        <td>12</td>
                        <td>Tom Smigo</td>
                        <td>540-352-4435</td>
                        <td>$12,541.36</td>
                        <td>07/23/2020</td>
                        <td><span class="paid-bg status-bg"></span> Active</td>
                    </tr>
                    <tr>
                        <td>#AD1245</td>
                        <td>Hilda Wallace</td>
                        <td>12</td>
                        <td>Tom Smigo</td>
                        <td>540-352-4435</td>
                        <td>$12,541.36</td>
                        <td>07/23/2020</td>
                        <td><span class="pending-bg status-bg"></span> Pending</td>
                    </tr>
                    <tr>
                        <td>#AD1245</td>
                        <td>Hilda Wallace</td>
                        <td>12</td>
                        <td>Tom Smigo</td>
                        <td>540-352-4435</td>
                        <td>$12,541.36</td>
                        <td>07/23/2020</td>
                        <td><span class="error-bg status-bg"></span> Canceled</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
@endsection
