<div class="white-box target-calendar border-none bg-theme-color">
    <div class="calender-title-content">
        <div class="row align-middle align-items-center">
            <div class="col-sm-8">
                <h5 class="calender-title text-white">{{ $month_name }} {{ $year }}</h5>
                <input type="hidden" class="cyear" value="{{ $year }}" />
                <input type="hidden" class="cmonth" value="{{ $month }}" />
            </div>
            <div class="col-sm-4">
                <div class="btn-group float-right" role="group" aria-label="Basic example">
                    <button type="button" class="btn btn-outline btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                    <button type="button" class="btn btn-outline btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
                </div>
            </div>
        </div>
    </div>
    <div class="company-information-content pt-4">
        <div class="row g-3">
            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Billable Trucks">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/trailer-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $truckStatusLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Active Trucks</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="truck_status_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>

            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Number of Drivers">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/driver-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $driverStatusLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of Drivers</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="driver_status_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Number of Trailers">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/truck-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $trailerStatusLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of Trailers</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="trailer_status_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Number of Dispatchers">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/dispatchers-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $dispatcherStatusLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of Dispatchers</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="dispatcher_status_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Number of Managers">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/management-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $managerStatusLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of Managers</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="manager_status_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-sm-6">
                <div class="card" title="Number of Loads">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/load-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $loadLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of Loads</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="load_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>

            <div class="col-xl-4 col-md-6">
                <div class="card" title="Number of SMS’s sent / Number of SMS’s purchased">
                    <div class="card-header p-3 pt-2 bg-white">
                        <div class="icon icon-lg position-absolute">
                            <img src="{{ asset('theme/images/mail-icon.svg') }}" alt="" class="img-fluid" />
                        </div>
                        <div class="text-end pt-1">
                            <h3>{{ $smsLogCount }}/{{ $smsPurchaseLogCount }}</h3>
                            <h4 class="text-sm mb-0 text-capitalize">Number of SMS’s sent/Number of SMS’s purchased</h4>
                        </div>
                    </div>
                    <hr class="dark horizontal my-0" />
                    <div class="card-footer px-3 py-2 bg-white">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#logdataModal" data-id="sms_logs" class="text-theme-color fw-bolder logdata" title="View Details">View Details<i class="fa fa-chevron-circle-right ml-2" aria-hidden="true"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
