@extends($companyAdminTheme)

@section('title')
    Dispatch Pro Announcement
@endsection

@section('header-title')
    View Dispatch Pro Announcement
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $announcement->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Description</label>
                        </div>
                        {!! $announcement->description !!}
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Created At</label>
                            <h5>{{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
