@if(!empty($loadDetail->load_billing_histories))
    @foreach($loadDetail->load_billing_histories as $loadDetailLoadBillingHistories)
        <div class="block">
            <div class="dot"></div>
            <div>
                <div class="click-text">
                    @if($loadDetailLoadBillingHistories->type == 'delivered')
                        <p>Load Delivered <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'paperwork')
                        <p>Paperwork Complete <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'audited')
                        <p>Audit Complete <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'invoiced')
                        <p>Invoice Created <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'email_sent')
                        <p>Sent Email<i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'sms_sent')
                        <p>Sent SMS<i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_email')
                        <p>Viewed <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_sms')
                        <p>Viewed <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_scan_qr')
                        <p>Viewed <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_shared_link')
                        <p>Viewed <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'email_re_sent')
                        <p>Resent Email<i class="fa fa-angle-down" aria-hidden="true"></i>
                    @elseif($loadDetailLoadBillingHistories->type == 'sms_re_sent')
                        <p>Resent SMS<i class="fa fa-angle-down" aria-hidden="true"></i>
                    @elseif($loadDetailLoadBillingHistories->type == 'create_link')
                        <p>Create Link <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @elseif($loadDetailLoadBillingHistories->type == 'updated_invoice')
                        <p>Invoice Updated <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                    @endif
                    <span>{!! $loadDetailLoadBillingHistories->date_time ?? '' !!}</span>
                </div>
                <div class="hide">
                    @if($loadDetailLoadBillingHistories->type == 'delivered')
                        <span>Entered By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!}</span>
                    @elseif($loadDetailLoadBillingHistories->type == 'paperwork')
                        <span>Entered By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!}</span>
                    @elseif($loadDetailLoadBillingHistories->type == 'audited')
                        <span>
                            Audited By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Amount: $ {!! $loadDetailLoadBillingHistories->extra_params['amount'] ?? '$0.00' !!} <br>
                            Invoice: {!! $loadDetailLoadBillingHistories->extra_params['currency'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'invoiced')
                        <span>
                            Created By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Amount: $ {!! $loadDetailLoadBillingHistories->extra_params['amount'] ?? '$0.00' !!} <br>
                            Invoice: {!! $loadDetailLoadBillingHistories->extra_params['currency'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'email_sent')
                        <span>
                            Send By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            Email: {!! $loadDetailLoadBillingHistories->extra_params['email'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['to'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'sms_sent')
                        <span>
                            Send By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['to'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_email')
                        <span>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['ip_address'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_sms')
                        <span>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['ip_address'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_scan_qr')
                        <span>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['ip_address'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'viewed_shared_link')
                        <span>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['ip_address'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'email_re_sent')
                        <span>
                            Send By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            Email: {!! $loadDetailLoadBillingHistories->extra_params['email'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['to'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'sms_re_sent')
                        <span>
                            Send By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                            Type: {!! $loadDetailLoadBillingHistories->extra_params['type'] ?? '' !!} <br>
                            To: {!! $loadDetailLoadBillingHistories->extra_params['to'] ?? '' !!}
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'create_link')
                        <span>
                            Created By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                        </span>
                    @elseif($loadDetailLoadBillingHistories->type == 'updated_invoice')
                        <span>
                            Updated By: {!! $loadDetailLoadBillingHistories->action_by ?? '' !!} <br>
                        </span>
                    @endif
                </div>
            </div>
        </div>
    @endforeach
@endif
@foreach($loadDetail->load_billing_pay_invoices()->orderBy('id', 'ASC')->get()  as $loadBillingPaidInvoice)
    @php
        $totalPaidAmount = 0;
        $chargebackAgainstBalance = $loadBillingPaidInvoice->chargeback_against_balance ?? [];
        $chargebackAmountsData = $loadBillingPaidInvoice->chargeback_amount ?? [];
        if(!empty($chargebackAmountsData)){
            $chargebackAmounts = array_sum(collect($chargebackAmountsData)->map(function ($value, $key) use ($chargebackAgainstBalance){
                $amounts = [];
                if(isset($chargebackAgainstBalance[$key]) && $chargebackAgainstBalance[$key] == '1'){
                    $amounts[] = $value;
                }
                return array_sum($amounts);
            })->toArray());
            $totalPaidAmount = ($loadBillingPaidInvoice->total_payment + $chargebackAmounts);
        }else{
            $totalPaidAmount = $loadBillingPaidInvoice->total_payment;
        }
    @endphp
    <div class="block red-block">
        <div class="dot"></div>
        <div>
            <div class="click-text">
                <p>Payment <i class="fa fa-angle-down" aria-hidden="true"></i></p>
                <span>{!! \Carbon\Carbon::parse($loadBillingPaidInvoice->payment_date)->format('m/d/Y H:i:s A') !!}</span>
            </div>
            <div class="hide">
                <span>
                    Payment Type: {!! getPaymentTypes()[$loadBillingPaidInvoice->payment_type] ?? '' !!} <br>
                    @if($loadBillingPaidInvoice->payment_type != '2')
                        Account: XXXX{!! getPaymentAccountNumber($loadBillingPaidInvoice->load_detail_id)[$loadBillingPaidInvoice->account_number] ?? '' !!} <br>
                    @endif
                    Amount: {!! number_format($totalPaidAmount, 2) !!}<br>
                    Balance: {!! number_format($loadBillingPaidInvoice->total_balance, 2) ?? '' !!} <br>
                    Note: {!! $loadBillingPaidInvoice->notes ?? '' !!}
                </span>
            </div>
        </div>
    </div>
@endforeach
@if(isset($loadDetail->load_billing_activities) && $loadDetail->load_billing_activities->paid_invoice == '1')
    <div class="block green-block">
        <div class="dot"></div>
        <div>
            <div class="click-text">
                <p>Paid <i class="fa fa-angle-down" aria-hidden="true"></i>
                </p>
                <span>{!! \Carbon\Carbon::parse($loadDetail->load_billing_activities->paid_invoice_date_time)->format('m/d/Y H:i:s A') !!}</span>
            </div>
            <div class="hide">
                <span>
                    Amount Due: $ {{ $invoiceData['totalInvoice'] ?? '0.00' }} <br>
                    Amount Paid: $ {{ $invoiceData['totalInvoice'] ?? '0.00' }} <br>
                    Balance: $ 0.00 <br>
                    @php
                        $paidInvoiceDateTime = \Carbon\Carbon::parse($loadDetail->load_billing_activities->paid_invoice_date_time);
                        $now = \Carbon\Carbon::now();
                    @endphp
                    Days To Pay: {{ $paidInvoiceDateTime->diffInDays($now) ?? 0 }}
                </span>
            </div>
        </div>
    </div>
@endif
