<div class="modal-body p-0">
    <div class="table-responsive ">
        <table>
            <thead>
            <tr>
                <th></th>
                <th>Name</th>
                <th>Payment Type</th>
                <th>Account Number</th>
                <th>Exp. Date</th>
                <th>Default</th>
                <th></th>
            </tr>
            </thead>
            <tbody id="paymentAccountListBody">
                @forelse($loadDetail->load_billing_payment_accounts as $loadBillingPaymentAccount)
                    <tr>
                        <td><a href="javascript:void(0);" class="btn-link" data-id="{{ base64Encode($loadBillingPaymentAccount->id) }}" data-name="{{ $loadBillingPaymentAccount->account_name }}" data-type="{{ $loadBillingPaymentAccount->account_payment_type }}" data-number="{{ $loadBillingPaymentAccount->account_number }}" data-exp="{{ $loadBillingPaymentAccount->account_expiration }}" data-status="{{ $loadBillingPaymentAccount->account_status }}" id="editPaymentAccount" data-dismiss="modal">Edit</a></td>
                        <td>{{ $loadBillingPaymentAccount->account_name ?? '' }}</td>
                        <td>{{ getPaymentTypes()[$loadBillingPaymentAccount->account_payment_type] ?? '' }}</td>
                        <td class="text-lowercase">{{ 'xxxx'.$loadBillingPaymentAccount->account_number ?? '' }}</td>
                        <td>{{ $loadBillingPaymentAccount->account_expiration ?? '' }}</td>
                        <td>
                            <div class="form-check">
                                {!! Form::checkbox('account_status', 1, $loadBillingPaymentAccount->account_status ?? null, array('class' => 'form-check-input', 'id' => 'account-status-'.$loop->index, 'data-id' => base64Encode($loadBillingPaymentAccount->id))) !!}
                                <label class="form-check-label pl-1" for="account-status-{{$loop->index}}"></label>
                            </div>
                        </td>
                        <td>
                            <a href="javascript:void(0);" data-id="{{ base64Encode($loadBillingPaymentAccount->id) }}" id="deletePaymentAccount">
                                <i class="fa fa-trash text-danger"></i>
                            </a>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="7" class="text-center">No account found</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
    </div>
    <div class="py-2 px-3 text-right">
        <a href="javascript:void(0);" class="btn-link" data-id="{{ base64Encode($loadDetail->id) }}" id="createPaymentAccount" data-dismiss="modal">Add New</a>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
</div>
