<div class="modal-body p-0">
    <div class="modal-padding">
        <form id="ṛeqDocFrm" name="ṛeqDocFrm" autocomplete="off">
            <div class="mb-3">
                <input type="hidden" name="is_child_row" value="{{ $formData['is_child_row'] ?? 'false' }}">
                <input type="hidden" name="parentRowIndex" value="{{ $formData['parentRowIndex'] ?? '' }}">
                <input type="hidden" name="params" value="{{ json_encode($formData) }}">
                <div class="mb-2">
                    <div class="row g-20">
                        <div class="col-md-6">
                            @php
                                $stop_no                = '';
                                $number                 = '';
                                if(isset($jsonData['stop']['name']) && $jsonData['stop']['name'] != ''){
                                    $number             = $jsonData['stop']['name'];
                                }
                                $number_detail          = [];
                                if(isset($jsonData['stop']['customer_name']) && $jsonData['stop']['customer_name'] != ''){
                                    $number_detail[]    = $jsonData['stop']['customer_name'];
                                }
                                if(isset($jsonData['stop']['addresses']) && $jsonData['stop']['addresses'] != ''){
                                    $number_detail[]    = $jsonData['stop']['addresses'];
                                }
                                $number_detail          = implode(' ', $number_detail);
                                $stop_no                = $number != '' ? $number.': '.$number_detail : $number_detail;
                            @endphp
                            <div class="form-group">
                                <label>Stop No.</label>
                                <select class="form-control fil-disabled select2-selectModal" name="stop_no" required>
                                    <option value="">Select</option>
                                    @if($stop_no != '')
                                        <option value="{{ $stop_no }}" selected>{{ $stop_no }}</option>
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            @php
                                $addresses              = [];
                                if(isset($jsonData['stop']['customer_name']) && $jsonData['stop']['customer_name'] != ''){
                                    $addresses[]        = $jsonData['stop']['customer_name'];
                                }
                                if(isset($jsonData['stop']['addresses']) && $jsonData['stop']['addresses'] != ''){
                                    $addresses[]        = $jsonData['stop']['addresses'];
                                }
                            @endphp
                            <p class="address">
                                {!! implode(' <br>', $addresses) !!}
                            </p>
                        </div>
                    </div>
                </div>
                <div class="row g-20">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Driver</label>
                            <select class="form-control fil-disabled select2-selectModal" name="driver_id" required>
                                <option value="">Select</option>
                                @if(isset($jsonData['stop']['driver_id']) && $jsonData['stop']['driver_id'] != '')
                                    <option value="{{ $jsonData['stop']['driver_id'] }}" selected>{{ $jsonData['stop']['driver_full_name'] }}</option>
                                @endif
                            </select>
                        </div>
                        @php
                            $name                       = '';
                            if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'){
                                $name                   = 'Other - '.$jsonData['filename'];
                            }else{
                                $name                   = $jsonData['filename'];
                            }
                        @endphp
                        <div class="form-group">
                            <label>Document Name</label>
                            <input type="text" class="form-control fil-disabled" name="name" value="{{ $name }}">
                        </div>
                        <div class="form-group">
                            <label>Document Type</label>
                            <select class="form-control fil-disabled select2-selectModal" name="type" required>
                                <option value="">Select</option>
                                <option value="1" {{ ('1' == ($jsonData['type'] ?? '')) ? 'selected' : '' }}>Copy</option>
                                <option value="2" {{ ('2' == ($jsonData['type'] ?? '')) ? 'selected' : '' }}>Original</option>
                            </select>
                        </div>
                        @php
                            $getCompanyTwilioData       = getCompanyTwilioData();
                        @endphp
                        <div class="form-group">
                            <label>Request Via</label>
                            <select class="form-control select2-selectModal" name="request_via" data-parsley-errors-container="#rtbdrm_request_via-error" required>
                                <option value="">Select</option>
                                <option value="1" selected>Email</option>
                                @if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes')
                                    <option value="2">SMS</option>
                                @endif
                            </select>
                            <div id="rtbdrm_request_via-error"></div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Instructions</label>
                            <textarea class="form-control" name="instructions" id="rtbdrm_instructions" rows="12" placeholder="Enter Instructions"></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <button type="button" class="docReqHistory-button active">History <i class="fa fa-caret-down"></i></button>
            <div class="table-responsive table-docReqModal text-center d-none">
                <table>
                    <thead>
                    <tr>
                        <th>Request No.</th>
                        <th>Request Time/Date</th>
                        <th>Upload Time/Date</th>
                        <th>Requested By</th>
                        <th>Requested To</th>
                        <th>Uploaded By</th>
                        <th>Upload Type</th>
                    </tr>
                    </thead>
                    <tbody>
                    @php
                        $history = isset($jsonData['history']) && is_array($jsonData['history']) && !empty($jsonData['history']) ? $jsonData['history'] : [];
                    @endphp
                    @if(empty($history))
                        <tr>
                            <td colspan="7">No data available in table</td>
                        </tr>
                    @endif
                    </tbody>
                </table>
            </div>
        </form>
    </div>
</div>
<div class="modal-footer d-block">
    <div class="row g-20 align-items-center">
        <div class="col-sm-4 col-lg-2">
            <div class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" name="include_w_billing" id="rtbdrm_include_w_billing" value="yes" {{ (isset($jsonData['include_w_billing']) && $jsonData['include_w_billing']=="yes") ? "checked" : "" }}>
                <label class="custom-control-label" for="rtbdrm_include_w_billing">Include w/Billing</label>
            </div>
        </div>
        <div class="col-auto ml-auto">
            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        </div>
        <div class="col-auto">
            <button type="button" class="btn btn-bluefill reqDoc-save-btn">Request</button>
        </div>
    </div>
</div>
