@php
	$addresses 							= [];
@endphp

@if($detention->is_stop==1)
	@if(isset($detention->stop->address_one) && $detention->stop->address_one!=='')
	    @php
	        $addresses[]        		= $detention->stop->address_one;
	    @endphp
	@endif
	@if(isset($detention->stop->address_two) && $detention->stop->address_two!=='')
	    @php
	        $addresses[]        		= $detention->stop->address_two;
	    @endphp
	@endif
	@if(isset($detention->stop->city) && $detention->stop->city!=='')
	    @php
	        $addresses[]        		= $detention->stop->city;
	    @endphp
	@endif
	@if(isset($detention->stop->state) && $detention->stop->state!=='')
	    @php
	        $addresses[]        		= $detention->stop->state;
	    @endphp
	@endif
	@if(isset($detention->stop->zip) && $detention->stop->zip!=='')
	    @php
	        $addresses[]        		= $detention->stop->zip;
	    @endphp
	@endif
@else
	@if($detention->type==1)
		@if(isset($detention->load_detail->shipper_address_one) && $detention->load_detail->shipper_address_one!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->shipper_address_one;
		    @endphp
		@endif
		@if(isset($detention->load_detail->shipper_address_two) && $detention->load_detail->shipper_address_two!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->shipper_address_two;
		    @endphp
		@endif
		@if(isset($detention->load_detail->shipper_city) && $detention->load_detail->shipper_city!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->shipper_city;
		    @endphp
		@endif
		@if(isset($detention->load_detail->shipper_state) && $detention->load_detail->shipper_state!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->shipper_state;
		    @endphp
		@endif
		@if(isset($detention->load_detail->shipper_zip) && $detention->load_detail->shipper_zip!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->shipper_zip;
		    @endphp
		@endif
	@else
		@if(isset($detention->load_detail->delivery_address_one) && $detention->load_detail->delivery_address_one!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->delivery_address_one;
		    @endphp
		@endif
		@if(isset($detention->load_detail->delivery_address_two) && $detention->load_detail->delivery_address_two!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->delivery_address_two;
		    @endphp
		@endif
		@if(isset($detention->load_detail->delivery_city) && $detention->load_detail->delivery_city!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->delivery_city;
		    @endphp
		@endif
		@if(isset($detention->load_detail->delivery_state) && $detention->load_detail->delivery_state!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->delivery_state;
		    @endphp
		@endif
		@if(isset($detention->load_detail->delivery_zip) && $detention->load_detail->delivery_zip!=='')
		    @php
		        $addresses[]    		= $detention->load_detail->delivery_zip;
		    @endphp
		@endif
	@endif
@endif

@php
	$arrival_time 						= '';
@endphp

@if($detention->is_stop==1)
	@php
		$timezone_abbr 					= isset($detention->stop->timezone_abbr) ? $detention->stop->timezone_abbr : '';
		$bracket 						= '';
		if($timezone_abbr!=''){
			$bracket 					= '('.$timezone_abbr.')';
		}else{
			$timezone_abbr 				= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
			$bracket 					= '('.$timezone_abbr.')';
		}
		if(isset($detention->detention_arrival_time)){
			$arrival_time 				= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
				'str' 					=> $detention->detention_arrival_time,
				'toFormat' 				=> getTimeLayout(),
				'fromFormat' 			=> 'Y-m-d H:i:s',
				'abbr' 					=> $timezone_abbr
			]) : '';
		}else{
			$arrival_time 				= isset($detention->stop->arrived_at) ? convertTimeToUSERzone([
				'str' 					=> $detention->stop->arrived_at,
				'toFormat' 				=> getTimeLayout(),
				'fromFormat' 			=> 'Y-m-d H:i:s',
				'abbr' 					=> $timezone_abbr
			]) : '';
		}
	@endphp
@else
	@if($detention->type==1)
		@php
			$timezone_abbr 				= isset($detention->load_detail->shipper_timezone_abbr) ? $detention->load_detail->shipper_timezone_abbr : '';
			$bracket 					= '';
			if($timezone_abbr!=''){
				$bracket 				= '('.$timezone_abbr.')';
			}else{
				$timezone_abbr 			= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
				$bracket 				= '('.$timezone_abbr.')';
			}
			if(isset($detention->detention_arrival_time)){
				$arrival_time 			= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
					'str' 				=> $detention->detention_arrival_time,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr
				]) : '';
			}else{
				$arrival_time 			= isset($detention->load_detail->shipper_arrived_at) ? convertTimeToUSERzone([
					'str' 				=> $detention->load_detail->shipper_arrived_at,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr
				]) : '';
			}
		@endphp
	@else
		@php
			$timezone_abbr 				= isset($detention->load_detail->delivery_timezone_abbr) ? $detention->load_detail->delivery_timezone_abbr : '';
			$bracket 					= '';
			if($timezone_abbr!=''){
				$bracket 				= '('.$timezone_abbr.')';
			}else{
				$timezone_abbr 			= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
				$bracket 				= '('.$timezone_abbr.')';
			}
			if(isset($detention->detention_arrival_time)){
				$arrival_time 			= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
					'str' 				=> $detention->detention_arrival_time,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr
				]) : '';
			}else{
				$arrival_time 			= isset($detention->load_detail->delivery_arrived_at) ? convertTimeToUSERzone([
					'str' 				=> $detention->load_detail->delivery_arrived_at,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr
				]) : '';
			}
		@endphp
	@endif
@endif

@php
	$detention_status 					= isset($detention->detention_status) ? $detention->detention_status : 0;

	$review_status 						= isset($detention->review_status) ? $detention->review_status : 'In Progress';
	$reviewer_comment_rows 				= 5;
	if($detention_status==1){
		if(in_array($review_status,[
			'In Progress - Acknowledged',
			'In Progress - Acknowledged - Sent to broker',
			'In Progress - Acknowledged - Seen by broker'
		])){
			$reviewer_comment_rows		= 7;
		}
	}else{
		$reviewer_comment_rows 			= 7;
	}

	$is_send_to_broker 					= isset($detention->is_send_to_broker) ? $detention->is_send_to_broker : 0;
	$is_send_to_broker_disabled 		= '';
	if($is_send_to_broker=='1'){
		if(in_array($review_status,[
			'In Progress - Acknowledged - Sent to broker',
			'In Progress - Acknowledged - Seen by broker',
			'In Progress - Sent to broker',
			'Pending Broker Review',
			'Broker Amendment Request',
			'Broker Denied Request'
		])){
			$is_send_to_broker_disabled = 'disabled';
		}
	}
@endphp

<form id="detentionForm" name="detentionForm" class="form-horizontal {{ (in_array($detention->load_detail->load_status, ['10', '8'])) ? 'disabled-section' : '' }}">
	<input type="hidden" name="timezone" value="{{ timezone_name_from_abbr($timezone_abbr) }}">
	<input type="hidden" name="id" value="{{ $detention->id }}">
	<input type="hidden" name="detention_status" value="{{ $detention_status }}">
	<input type="hidden" name="review_status" value="{{ $review_status }}">
	@if($is_send_to_broker_disabled=='disabled')
		<input type="hidden" name="is_send_to_broker" value="1">
	@endif
	<div class="detail-block">
		<div class="form-group mb-0">
			<label class="control-label">Driver Name:
				<span>
					{{ isset($detention->driver) ? $detention->driver->full_name :''}}
				</span>
			</label>
		</div>
		<div class="form-group mb-0">
			<label class="control-label">Broker:
				<span>
					{{ isset($detention->broker->name) ? $detention->broker->name : '' }}
				</span>
			</label>
		</div>
		<div class="form-group mb-0">
			<label class="control-label">Address:
				<span>
					{{ implode(', ', $addresses) }}
				</span>
			</label>
		</div>
		@if(isset($gpsLocation) && !is_null($gpsLocation))
		<div class="form-group mb-0">
			<label class="control-label">GPS Location:
				<span>
					{{ $gpsLocation }}
				</span>
			</label>
		</div>
		@endif
	</div>
	<div class="form-group">
	    <div class="d-flex align-items-center justify-content-between">
	    	<label>Driver Comments: </label>
	    	<div class="justify-content-between">
		    	<div class="flex-all justify-content-start">
		    		<label class="control-label mr-2">Show To broker?</label>
		        	<div class="custom-control custom-switch" style="margin-top: -10px;">
		            	<input type="checkbox" class="custom-control-input" name="driver_comment_show_to_broker" id="driver_comment_show_to_broker" value="1" @if(isset($detention->driver_comment_show_to_broker) && $detention->driver_comment_show_to_broker=='1') checked @endif>
		            	<label class="custom-control-label" for="driver_comment_show_to_broker"></label>
		        	</div>
		    	</div>
			</div>
		</div>
	    <textarea class="form-control" name="driver_comment" rows="2">{{ isset($detention->driver_comment) ? $detention->driver_comment : '' }}</textarea>
	</div>
	<div class="row">
		<div class="col-md-5">
			<div class="form-group">
				<label class="control-label arrival_time_label" data-arrival_time="{{ $arrival_time }}">Arrival Time {{ $bracket }} : </label>
				<input type="text" class="form-control" name="detention_arrival_time" value="{{ $arrival_time }}" onPaste="return false" readonly="true">
				<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
			</div>
			<div class="form-group">
				<label class="control-label start_time_label" data-start_time="{{ isset($detention->detention_start_time) ? convertTimeToUSERzone([
					'str' 				=> $detention->detention_start_time,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr]) : convertTimeToUSERzone([
					'str' 				=> \Carbon\Carbon::now()->format(getTimeLayout()),
					'toFormat' 			=> getTimeLayout(),
					'abbr' 				=> $timezone_abbr
				]) }}">Start Time {{ $bracket }} : </label>
				<input type="text" class="form-control" name="detention_start_time" value="{{ isset($detention->detention_start_time) ? convertTimeToUSERzone([
					'str' 				=> $detention->detention_start_time,
					'toFormat' 			=> getTimeLayout(),
					'fromFormat' 		=> 'Y-m-d H:i:s',
					'abbr' 				=> $timezone_abbr]) : convertTimeToUSERzone([
					'str' 				=> \Carbon\Carbon::now()->format(getTimeLayout()),
					'toFormat' 			=> getTimeLayout(),
					'abbr' 				=> $timezone_abbr
				]) }}" onPaste="return false" readonly="true">
				<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
			</div>
			@if($detention_status==1)
				<div class="form-group">
					<label>Time Lapsed: <span class="time-lapsed">00:00</span></label>
				</div>
				@if(in_array($review_status,[
					'In Progress - Acknowledged',
					'In Progress - Acknowledged - Sent to broker',
					'In Progress - Acknowledged - Seen by broker'
				]))
					<button type="button" class="btn btn-block btn-warning detention-force-stop mb-2" data-id="{{ $detention->id }}">Force Stop</button>
				@endif
			@else
				<div class="form-group">
					<label class="control-label end_time_label" data-end_time="{{ isset($detention->detention_end_time) ? convertTimeToUSERzone([
						'str' 			=> $detention->detention_end_time,
						'toFormat' 		=> getTimeLayout(),
						'fromFormat' 	=> 'Y-m-d H:i:s',
						'abbr' 			=> $timezone_abbr]) : convertTimeToUSERzone([
						'str' 			=> \Carbon\Carbon::now()->format(getTimeLayout()),
						'toFormat' 		=> getTimeLayout(),
						'abbr' 			=> $timezone_abbr
					]) }}">End Time {{ $bracket }} : </label>
					<input type="text" class="form-control" name="detention_end_time" value="{{ isset($detention->detention_end_time) ? convertTimeToUSERzone([
						'str' 			=> $detention->detention_end_time,
						'toFormat' 		=> getTimeLayout(),
						'fromFormat' 	=> 'Y-m-d H:i:s',
						'abbr' 			=> $timezone_abbr]) : convertTimeToUSERzone([
						'str' 			=> \Carbon\Carbon::now()->format(getTimeLayout()),
						'toFormat' 		=> getTimeLayout(),
						'abbr' 			=> $timezone_abbr
					]) }}" onPaste="return false" readonly="true">
					<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
				</div>
				<div class="form-group">
					<label>Detained Time: <span class="time-lapsed">00:00</span></label>
				</div>
			@endif
		</div>
		<div class="col-md-7">
			<div class="form-group">
			    <div class="d-flex align-items-center justify-content-between">
			    	<label>Reviewer Comments: </label>
			    	<div class="justify-content-between">
				    	<div class="flex-all justify-content-start">
				    		<label class="control-label mr-2">Show To broker?</label>
				        	<div class="custom-control custom-switch" style="margin-top: -10px;">
				            	<input type="checkbox" class="custom-control-input" name="reviewer_comment_show_to_broker" id="reviewer_comment_show_to_broker" value="1" @if(isset($detention->reviewer_comment_show_to_broker) && $detention->reviewer_comment_show_to_broker=='1') checked @endif>
				            	<label class="custom-control-label" for="reviewer_comment_show_to_broker"></label>
				        	</div>
				    	</div>
					</div>
				</div>
			    <textarea class="form-control" name="reviewer_comment" rows="{{ $reviewer_comment_rows }}">{{ isset($detention->reviewer_comment) ? $detention->reviewer_comment : '' }}</textarea>
			</div>
		</div>
	</div>
	@if($detention_status!=1)
		<div class="row">
			<div class="col-md-5 free_time_div">
				<div class="form-group">
					<label class="control-label">Free Time: </label>
					<input type="text" class="form-control html-duration-picker" name="free_time" value="{{ isset($detention->free_time) ? $detention->free_time : '' }}" data-hide-seconds>
					<span class="invalid-feedback" style="display: none;">Please enter correct value</span>
				</div>
			</div>
			@if($review_status=='Broker Amendment Request')
				<div class="col-md-5 offset-md-2">
					<div class="form-group">
						<label class="control-label">Broker Amendment Request</label>
					</div>
				</div>
			@endif
		</div>
		<div class="row">
			<div class="col-md-5">
				<div class="form-group">
					<label class="control-label">Billed Time: </label>
					<input type="text" class="form-control" name="billed_time" value="{{ isset($detention->billed_time) ? $detention->billed_time : '' }}" data-billed_time="{{ isset($detention->billed_time) ? '1' : '0' }}" readonly>
				</div>
			</div>
			@if($review_status=='Broker Amendment Request')
				<input type="hidden" name="is_adjusted_billed_time" value="0">
				<div class="col-md-5 offset-md-2 adjusted_div">
					<div class="form-group">
						<label class="control-label">Billed Time:
							@if(isset($detention->adjusted_billed_time) && $detention->adjusted_billed_time!='')
								<a href="javascript:void(0);"
									class="adjusted_billed_time_btn"
									data-adjusted_billed_time="{{ isset($detention->adjusted_billed_time) ? $detention->adjusted_billed_time : '' }}" data-billed_time="{{ isset($detention->billed_time) ? $detention->billed_time : '' }}"
									data-is_accept="0"
								>Accept</a>
							@endif
						</label>
						<input type="text" class="form-control" name="adjusted_billed_time" value="{{ isset($detention->adjusted_billed_time) ? $detention->adjusted_billed_time : '' }}" readonly>
					</div>
				</div>
			@endif
		</div>
		<div class="row">
			<div class="col-md-5">
				<div class="form-group">
					<label class="control-label">$/hr: </label>
					<div class="input-group mb-3">
					  	<div class="input-group-prepend">
					    	<span class="input-group-text">$</span>
					  	</div>
					  	<input type="number" class="form-control number" name="rate" min="0" step=".01" aria-label="Amount (to the nearest dollar)" value="{{ isset($detention->rate) ? $detention->rate : '' }}" data-parsley-errors-container="#rate-errors" required>
					</div>
					<div id="rate-errors"></div>
				</div>
			</div>
			@if($review_status=='Broker Amendment Request')
				<input type="hidden" name="is_adjusted_rate" value="0">
				<div class="col-md-5 offset-md-2 adjusted_div">
					<div class="form-group">
						<label class="control-label">$/hr:
							@if(isset($detention->adjusted_rate) && $detention->adjusted_rate!='')
								<a href="javascript:void(0);"
									class="adjusted_rate_btn"
									data-adjusted_rate="{{ isset($detention->adjusted_rate) ? $detention->adjusted_rate : '' }}" data-rate="{{ isset($detention->rate) ? $detention->rate : '' }}"
									data-is_accept="0"
								>Accept</a>
							@endif
						</label>
						<div class="input-group mb-3">
						  	<div class="input-group-prepend">
						    	<span class="input-group-text">$</span>
						  	</div>
						  	<input type="text" class="form-control" name="adjusted_rate" value="{{ isset($detention->adjusted_rate) ? $detention->adjusted_rate : '' }}" readonly>
						</div>
					</div>
				</div>
			@endif
		</div>
		<div class="row">
			<div class="col-md-5">
				<div class="form-group">
					<label class="control-label">Detention Due: </label>
					<input type="text" class="form-control" name="detention_due" value="{{ isset($detention->detention_due) ? $detention->detention_due : '' }}" readonly>
				</div>
			</div>
			@if($review_status=='Broker Amendment Request')
				<div class="col-md-5 offset-md-2 adjusted_div">
					<div class="form-group">
						<label class="control-label">Detention Due: </label>
						<input type="text" class="form-control" name="adjusted_detention_due" value="{{ isset($detention->adjusted_detention_due) ? $detention->adjusted_detention_due : '' }}" readonly>
					</div>
				</div>
			@endif
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Billing Comments: </label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			    		<label class="control-label mr-2">Show To broker?</label>
			        	<div class="custom-control custom-switch" style="margin-top: -10px;">
			            	<input type="checkbox" class="custom-control-input" name="billing_comment_show_to_broker" id="billing_comment_show_to_broker" value="1" @if(isset($detention->billing_comment_show_to_broker) && $detention->billing_comment_show_to_broker=='1') checked @endif>
			            	<label class="custom-control-label" for="billing_comment_show_to_broker"></label>
			        	</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="comment" rows="4">{{ isset($detention->comment) ? $detention->comment : '' }}</textarea>
		</div>
	@endif
	<div class="form-group justify-content-between">
	    <div class="flex-all justify-content-start">
	    	<label class="control-label mr-2">Send To broker?</label>
	        <div class="custom-control custom-switch" style="margin-top: -10px;">
	            <input type="checkbox" class="custom-control-input" name="is_send_to_broker" id="is_send_to_broker" value="1" @if($is_send_to_broker=='1') checked @endif {{ $is_send_to_broker_disabled }}>
	            <label class="custom-control-label" for="is_send_to_broker"></label>
	        </div>
	    </div>
	</div>
	<div class="field_wrapper">
		@if(isset($detention->broker_emails) && !empty(unserialize($detention->broker_emails)))
			@php
				$broker_emails 				= unserialize($detention->broker_emails);
			@endphp
			@foreach ($broker_emails as $key => $broker_email)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<input type="email" class="form-control" name="broker_email[]" data-parsley-type="email" value="{{ $broker_email }}" placeholder="Enter Broker Email" @if($is_send_to_broker=='1') required @endif>
						</div>
					</div>
					<div class="col-md-1">
						@if ($loop->first)
							<a href="javascript:void(0);" class="btn btn-success add_button" title="Add field"><i class="fa fa-plus"></i></a>
						@else
							<a href="javascript:void(0);" class="btn btn-danger remove_button" title="Remove field"><i class="fa fa-trash"></i></a>
					    @endif
					</div>
					@if ($loop->first)
						@if($is_send_to_broker=='1')
							@if(in_array($review_status,[
								'In Progress - Acknowledged - Sent to broker',
								'In Progress - Sent to broker',
							]))
								<div class="col-md-7">
									<button type="button" class="btn btn-success resend-to-broker float-right" data-id="{{ $detention->id }}">Resend to Broker</button>
								</div>
							@endif
						@endif
					@endif
				</div>
			@endforeach
		@else
			@php
				if(isset($detention->load_detail->broker_email) && $detention->load_detail->broker_email!=''){
					$broker_emails 			= $detention->load_detail->broker_email;
				}else{
					$broker_emails 			= isset($detention->broker->email) ? $detention->broker->email : '';
				}
			@endphp
			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<input type="email" class="form-control" name="broker_email[]" data-parsley-type="email" value="{{ $broker_emails }}" placeholder="Enter Broker Email" @if($is_send_to_broker=='1') required @endif>
					</div>
				</div>
				<div class="col-md-1">
					<a href="javascript:void(0);" class="btn btn-success add_button" title="Add field"><i class="fa fa-plus"></i></a>
				</div>
				@if($is_send_to_broker=='1')
					@if(in_array($review_status,[
						'In Progress - Acknowledged - Sent to broker',
						'In Progress - Sent to broker',
					]))
						<div class="col-md-7">
							<button type="button" class="btn btn-success resend-to-broker float-right" data-id="{{ $detention->id }}">Resend to Broker</button>
						</div>
					@endif
				@endif
			</div>
		@endif
	</div>
	<div class="modal-footer footer-block justify-content-between">
		<div>
			<p class="mb-0 review-status-p">Status: {{ $review_status }}</p>
		</div>
		<div>
			@if($detention_status==1)
				@if($review_status=='In Progress')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					@if($is_send_to_broker==1)
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="In Progress - Acknowledged - Sent to broker">Acknowledge and Send</button>
					@else
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="In Progress - Acknowledged">Acknowledge</button>
					@endif
				@elseif($review_status=='In Progress - Acknowledged')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					<button type="button" class="btn btn-warning btn-sm" data-dismiss="modal">Close Window</button>
					<button type="button" class="btn btn-success btn-sm detention-submit d-none" data-review_status="In Progress - Acknowledged - Sent to broker" data-is_send_to_broker="0">Acknowledge and Send</button>
				@elseif(in_array($review_status,[
					'In Progress - Acknowledged - Sent to broker',
					'In Progress - Acknowledged - Seen by broker',
				]))
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					<button type="button" class="btn btn-warning btn-sm" data-dismiss="modal">Close Window</button>
				@elseif($review_status=='Denied')
					<button type="button" class="btn btn-warning btn-sm detention-revert" data-id="{{ $detention->id }}">Revert</button>
					<button type="button" class="btn btn-success btn-sm" data-dismiss="modal">Close</button>
				@endif
			@else
				@if($review_status=='In Progress')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					@if($is_send_to_broker=='1')
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="In Progress - Sent to broker">Save and Send</button>
					@else
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="Completed">Approve</button>
					@endif
				@elseif($review_status=='Detention Stopped - Pending Approval')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					@if($is_send_to_broker=='1')
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="In Progress - Sent to broker">Save and Send</button>
					@else
						<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="Completed">Approve</button>
					@endif
				@elseif(in_array($review_status,[
					'In Progress - Sent to broker',
					'Pending Broker Review',
				]))
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="Completed">Approve</button>
				@elseif($review_status=='Broker Amendment Request')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="Completed">Approve</button>
				@elseif($review_status=='Broker Denied Request')
					<button type="button" class="btn btn-danger btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Accept Deny Detention Request</button>
					<button type="button" class="btn btn-success btn-sm detention-submit" data-review_status="Completed">Approve</button>
				@elseif($review_status=='Denied' || $review_status=='Completed')
					<button type="button" class="btn btn-warning btn-sm detention-revert" data-id="{{ $detention->id }}">Revert</button>
					<button type="button" class="btn btn-success btn-sm" data-dismiss="modal">Close</button>
				@endif
			@endif
		</div>
	</div>
	@if($review_status!='In Progress')
		<div class="modal-footer footer-block justify-content-between">
			<div>
				<p class="mb-0 logs">Logs</p>
				@if(isset($detention->acknowledged_by) && $detention->acknowledged_by!='')
					<p class="mb-0 logs">Acknowledged by:
						@if($detention->acknowledged_user_type=='Driver')
							{{ isset($detention->acknowledgedor->full_name) ? $detention->acknowledgedor->full_name : '' }}
						@else
							{{ isset($detention->acknowledgedor->full_name) ? $detention->acknowledgedor->full_name : '' }}
						@endif
					</p>
					<p class="mb-0 logs">Acknowledged on:
						{{ isset($detention->acknowledged_at) ? convertTimeToUSERzone([
							'str' 					=> $detention->acknowledged_at,
							'toFormat' 				=> getTimeLayout(),
							'fromFormat' 			=> 'Y-m-d H:i:s',
							'abbr' 					=> $timezone_abbr
						]).' '.$timezone_abbr : '' }}
					</p>

					<p class="mb-0 logs">Sent acknowledgement to broker: {{ $detention->sent_acknowledgement_to_broker=='1' ? 'Yes' : 'No' }}</p>
					@if($detention->sent_acknowledgement_to_broker=='1')
						<p class="mb-0 logs">Time sent acknowledgement to broker:
							{{ isset($detention->sent_acknowledgement_to_broker_at) ? convertTimeToUSERzone([
								'str' 				=> $detention->sent_acknowledgement_to_broker_at,
								'toFormat' 			=> getTimeLayout(),
								'fromFormat' 		=> 'Y-m-d H:i:s',
								'abbr' 				=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
						@if(isset($detention->acknowledgement_emails) && !empty(unserialize($detention->acknowledgement_emails)))
							@php
								$broker_emails 		= unserialize($detention->acknowledgement_emails);
							@endphp
							<p class="mb-0 logs">Acknowledgement emails sent to: {{ implode(', ', $broker_emails) }}</p>
						@else
							<p class="mb-0 logs">Acknowledgement emails sent to: </p>
						@endif

						<p class="mb-0 logs">Broker viewed acknowledgement: {{ isset($detention->broker_viewed_acknowledgement_at) ? 'Yes' : 'No' }}</p>
						@if(isset($detention->broker_viewed_acknowledgement_at) && !is_null($detention->broker_viewed_acknowledgement_at))
							<p class="mb-0 logs">Broker viewed acknowledgement at:
								{{ isset($detention->broker_viewed_acknowledgement_at) ? convertTimeToUSERzone([
									'str' 			=> $detention->broker_viewed_acknowledgement_at,
									'toFormat' 		=> getTimeLayout(),
									'fromFormat' 	=> 'Y-m-d H:i:s',
									'abbr' 			=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
							<p class="mb-0 logs">Broker acknowledgement IP: {{ $detention->broker_acknowledgement_ip }}</p>
						@endif
					@endif
				@endif

				@if(isset($detention->stopped_by) && $detention->stopped_by!='')
					<p class="mb-0 logs">Detention Stopped by:
						@if($detention->stopped_user_type=='Driver')
							{{ isset($detention->stoppedor->full_name) ? $detention->stoppedor->full_name : '' }}
						@else
							{{ isset($detention->stoppedor->full_name) ? $detention->stoppedor->full_name : '' }}
						@endif
					</p>
					<p class="mb-0 logs">Detention Stopped at:
						{{ isset($detention->stopped_at) ? convertTimeToUSERzone([
							'str' 					=> $detention->stopped_at,
							'toFormat' 				=> getTimeLayout(),
							'fromFormat' 			=> 'Y-m-d H:i:s',
							'abbr' 					=> $timezone_abbr
						]).' '.$timezone_abbr : '' }}
					</p>
				@endif

				@if(isset($detention->submitted_by) && $detention->submitted_by!='')
					<p class="mb-0 logs">Detention Billing Submitted by:
						@if($detention->submitted_user_type=='Driver')
							{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
						@else
							{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
						@endif
					</p>
					<p class="mb-0 logs">Detention Billing Submitted at:
						{{ isset($detention->submitted_at) ? convertTimeToUSERzone([
							'str' 					=> $detention->submitted_at,
							'toFormat' 				=> getTimeLayout(),
							'fromFormat' 			=> 'Y-m-d H:i:s',
							'abbr' 					=> $timezone_abbr
						]).' '.$timezone_abbr : '' }}
					</p>

					<p class="mb-0 logs">Detention Billing sent to broker: {{ $detention->sent_to_broker=='1' ? 'Yes' : 'No' }}</p>
					@if($detention->sent_to_broker=='1')
						@if(isset($detention->sent_to) && !empty(unserialize($detention->sent_to)))
							@php
								$broker_emails 		= unserialize($detention->sent_to);
							@endphp
							<p class="mb-0 logs">Detention Billing sent to: {{ implode(', ', $broker_emails) }}</p>
						@else
							<p class="mb-0 logs">Detention Billing sent to: </p>
						@endif
						<p class="mb-0 logs">Detention Billing sent to broker at:
							{{ isset($detention->sent_to_broker_at) ? convertTimeToUSERzone([
								'str' 				=> $detention->sent_to_broker_at,
								'toFormat' 			=> getTimeLayout(),
								'fromFormat' 		=> 'Y-m-d H:i:s',
								'abbr' 				=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
					@endif

					@if(isset($detention->approved_by) && $detention->approved_by!='')
						<p class="mb-0 logs">Detention Billing Approved by:
							@if($detention->approved_user_type=='Company Admin')
								{{ isset($detention->approvedor->full_name) ? $detention->approvedor->full_name : '' }}
							@elseif($detention->approved_user_type=='Broker')
								{{ isset($detention->approvedor->name) ? $detention->approvedor->name : '' }} - {{ $detention->signature_name }}
							@endif
						</p>
						<p class="mb-0 logs">Detention Billing Approved at:
							{{ isset($detention->approved_at) ? convertTimeToUSERzone([
								'str' 				=> $detention->approved_at,
								'toFormat' 			=> getTimeLayout(),
								'fromFormat' 		=> 'Y-m-d H:i:s',
								'abbr' 				=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
						<p class="mb-0 logs">Detention Billing Approved by IP address: {{ $detention->approved_ip }}</p>
					@endif

					@if(isset($detention->amended_by) && $detention->amended_by!='')
						<p class="mb-0 logs">Detention Billing Amendment Request by:
							{{ isset($detention->amended_broker->name) ? $detention->amended_broker->name : '' }} - {{ $detention->signature_name }}
						</p>
						<p class="mb-0 logs">Detention Billing Amendment Request at:
							{{ isset($detention->amended_at) ? convertTimeToUSERzone([
								'str' 				=> $detention->amended_at,
								'toFormat' 			=> getTimeLayout(),
								'fromFormat' 		=> 'Y-m-d H:i:s',
								'abbr' 				=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
						<p class="mb-0 logs">Detention Billing Amendment Request by IP address: {{ $detention->amended_ip }}</p>
					@endif

					@if(isset($detention->broker_denied_by) && $detention->broker_denied_by!='')
						<p class="mb-0 logs">Detention Billing Boker Denied Request by:
							{{ isset($detention->denied_broker_request->name) ? $detention->denied_broker_request->name : '' }} - {{ $detention->signature_name }}
						</p>
						<p class="mb-0 logs">Detention Billing Boker Denied Request at:
							{{ isset($detention->broker_denied_at) ? convertTimeToUSERzone([
								'str' 				=> $detention->broker_denied_at,
								'toFormat' 			=> getTimeLayout(),
								'fromFormat' 		=> 'Y-m-d H:i:s',
								'abbr' 				=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
						<p class="mb-0 logs">Detention Billing Boker Denied Request by IP address: {{ $detention->broker_denied_ip }}</p>
					@endif

					@if(isset($detention->signature) && $detention->signature!='' && \File::exists(public_path('storage/companyAdmin/signature/'.$detention->signature)))
						<p class="mb-0 logs">Detention Billing Signature:
							<a href="{{ asset('storage/companyAdmin/signature/'.$detention->signature) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
						</p>
					@endif
				@endif

				@if(isset($detention->denied_by) && $detention->denied_by!='')
					<p class="mb-0 logs">Detention Billing Denied by:
						@if($detention->denied_user_type=='Company Admin')
							{{ isset($detention->deniedor->full_name) ? $detention->deniedor->full_name : '' }}
						@elseif($detention->denied_user_type=='Broker')
							{{ isset($detention->deniedor->name) ? $detention->deniedor->name : '' }} - {{ $detention->signature_name }}
						@endif
					</p>
					<p class="mb-0 logs">Detention Billing Denied at:
						{{ isset($detention->denied_at) ? convertTimeToUSERzone([
							'str' 					=> $detention->denied_at,
							'toFormat' 				=> getTimeLayout(),
							'fromFormat' 			=> 'Y-m-d H:i:s',
							'abbr' 					=> $timezone_abbr
						]).' '.$timezone_abbr : '' }}
					</p>
					<p class="mb-0 logs">Detention Billing Denied by IP address: {{ $detention->denied_ip }}</p>
				@endif
			</div>
		</div>
	@else
		@if(isset($detention->submitted_by) && $detention->submitted_by!='')
			<div class="modal-footer footer-block justify-content-between">
				<div>
					<p class="mb-0 logs">Logs</p>
					<p class="mb-0 logs">Detention Billing Submitted by:
						@if($detention->submitted_user_type=='Driver')
							{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
						@else
							{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
						@endif
					</p>
					<p class="mb-0 logs">Detention Billing Submitted at:
						{{ isset($detention->submitted_at) ? convertTimeToUSERzone([
							'str' 					=> $detention->submitted_at,
							'toFormat' 				=> getTimeLayout(),
							'fromFormat' 			=> 'Y-m-d H:i:s',
							'abbr' 					=> $timezone_abbr
						]).' '.$timezone_abbr : '' }}
					</p>
				</div>
			</div>
		@endif
	@endif
</form>
