@if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload']))
    @php
        if(isset($formData['random_id']) && $formData['random_id'] != ''){
            $random_id  = $formData['random_id'];
        }else{
            $random_id  = 'required_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
            $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
        }

        $name           = '';
        if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'){
            $name       = 'Other - '.$jsonData['filename'];
        }else{
            $name       = $jsonData['filename'];
        }
        if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file'])){
            $documents  = $jsonData['file'];
        }else{
            $documents  = [];
        }
    @endphp
    <ul class="ready-to-bill-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-random_id="{{ $random_id }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            {{ $name }}
        </li>
        <li>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</li>
        <li>
            @if($jsonData['status'] != 'Complete')
                @if(isset($jsonData['hide_from_driver']) && $jsonData['hide_from_driver'] == 'yes')
                    <button class="btn btn-blue" disabled>Hidden from driver</button>
                @else
                    <a href="javascript:void(0);" class="btn btn-blue request-document d-flex">Request Doc <img src="{{ asset('theme/images/file-edit.svg') }}" alt="Request Doc" class="img-fluid ml-2"></a>
                @endif
            @endif
        </li>
        <li class="border-right">
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="btn btn-blueBr remove-document mx-2">Remove</a>
                @if($jsonData['type'] == '1' && !empty($documents))
                    <a href="javascript:void(0);" class="btn btn-link text-theme-color d-flex align-items-center px-1 mx-2" data-name="{{ $name }}" data-documents="{{ json_encode($documents) }}" data-path="{{ asset('storage/companyAdmin/load_detail_document') }}">view<i class="fa fa-pencil ml-1 fs-12" aria-hidden="true"></i></a>
                @endif
            @else
                @if($jsonData['type'] == '1')
                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                    </a>
                @else
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center mx-2">
                        <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                        <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                    </div>
                @endif
            @endif
        </li>
        <li class="text-center">
            <a href="javascript:void(0);" class="text-theme-color history-button">History</a>
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_document_request_items')
    @php
        if(isset($formData['random_id']) && $formData['random_id'] != ''){
            $random_id  = $formData['random_id'];
        }else{
            $random_id  = 'requested_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
            $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
        }

        $name           = '';
        if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'){
            $name       = 'Other - '.$jsonData['filename'];
        }else{
            $name       = $jsonData['filename'];
        }
        if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file'])){
            $documents  = $jsonData['file'];
        }else{
            $documents  = [];
        }
    @endphp
    <ul class="ready-to-bill-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-random_id="{{ $random_id }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            {{ $name }}
        </li>
        <li>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</li>
        <li>
            @if($jsonData['status'] != 'Complete')
                @if(isset($jsonData['hide_from_driver']) && $jsonData['hide_from_driver'] == 'yes')
                    <button class="btn btn-blue" disabled>Hidden from driver</button>
                @else
                    <a href="javascript:void(0);" class="btn btn-blue request-document d-flex">Request Doc <img src="{{ asset('theme/images/file-edit.svg') }}" alt="Request Doc" class="img-fluid ml-2"></a>
                @endif
            @endif
        </li>
        <li class="border-right">
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="btn btn-blueBr remove-document mx-2">Remove</a>
                @if($jsonData['type'] == '1' && !empty($documents))
                    <a href="javascript:void(0);" class="btn btn-link text-theme-color d-flex align-items-center px-1 mx-2" data-name="{{ $name }}" data-documents="{{ json_encode($documents) }}" data-path="{{ asset('storage/companyAdmin/load_detail_document') }}">view<i class="fa fa-pencil ml-1 fs-12" aria-hidden="true"></i></a>
                @endif
            @else
                @if($jsonData['type'] == '1')
                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                    </a>
                @else
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center mx-2">
                        <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                        <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                    </div>
                @endif
            @endif
        </li>
        <li class="text-center">
            <a href="javascript:void(0);" class="text-theme-color history-button">History</a>
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_accessorials')
    @php
        if(isset($formData['random_id']) && $formData['random_id'] != ''){
            $random_id  = $formData['random_id'];
        }else{
            $random_id  = 'accessorial_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
            $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
        }

        $name           = $jsonData['filename'];
        if(isset($jsonData['file']) && !is_array($jsonData['file']) && $jsonData['file'] != ''){
            $documents  = $jsonData['file'];
        }else{
            $documents  = '';
        }
    @endphp
    <ul class="ready-to-bill-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-random_id="{{ $random_id }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            {{ $name }}
        </li>
        <li>Copy</li>
        <li>
            @if($jsonData['status'] != 'Complete')
                @if(isset($jsonData['hide_from_driver']) && $jsonData['hide_from_driver'] == 'yes')
                    <button class="btn btn-blue" disabled>Hidden from driver</button>
                @else
                    <a href="javascript:void(0);" class="btn btn-blue request-document d-flex">Request Doc <img src="{{ asset('theme/images/file-edit.svg') }}" alt="Request Doc" class="img-fluid ml-2"></a>
                @endif
            @endif
        </li>
        <li class="border-right">
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="btn btn-blueBr remove-document mx-2">Remove</a>
                @if($documents != '')
                    <a href="javascript:void(0);" class="btn btn-link text-theme-color d-flex align-items-center px-1 mx-2" data-name="{{ $name }}" data-documents="{{ $documents }}" data-path="{{ asset('storage/companyAdmin/gallery') }}">view<i class="fa fa-pencil ml-1 fs-12" aria-hidden="true"></i></a>
                @endif
            @else
                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                </a>
            @endif
        </li>
        <li class="text-center">
            <a href="javascript:void(0);" class="text-theme-color history-button">History</a>
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_files')
    @php
        if(isset($formData['random_id']) && $formData['random_id'] != ''){
            $random_id  = $formData['random_id'];
        }else{
            $random_id  = 'other_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
            $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
        }

        $name           = $jsonData['filename'];
        if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file'])){
            $documents  = $jsonData['file'];
        }else{
            $documents  = [];
        }
    @endphp
    <ul class="ready-to-bill-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-random_id="{{ $random_id }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li></li>
        <li></li>
        <li>
            {{ $name }}
        </li>
        <li>Copy</li>
        <li>
            @if($jsonData['status'] != 'Complete')
                @if(isset($jsonData['hide_from_driver']) && $jsonData['hide_from_driver'] == 'yes')
                    <button class="btn btn-blue" disabled>Hidden from driver</button>
                @else
                    <a href="javascript:void(0);" class="btn btn-blue request-document d-flex">Request Doc <img src="{{ asset('theme/images/file-edit.svg') }}" alt="Request Doc" class="img-fluid ml-2"></a>
                @endif
            @endif
        </li>
        <li class="border-right">
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="btn btn-blueBr remove-document mx-2">Remove</a>
                @if(!empty($documents))
                    <a href="javascript:void(0);" class="btn btn-link text-theme-color d-flex align-items-center px-1 mx-2" data-name="{{ $name }}" data-documents="{{ json_encode($documents) }}" data-path="{{ asset('storage/companyAdmin/loadfile') }}">view<i class="fa fa-pencil ml-1 fs-12" aria-hidden="true"></i></a>
                @endif
            @else
                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                </a>
            @endif
        </li>
        <li class="text-center">
            <a href="javascript:void(0);" class="text-theme-color history-button">History</a>
        </li>
    </ul>
@endif