<div class="shadow dishpatchPlan-main">
    <table class="table m-0">
        <tbody>
        <tr>
            <td style="max-width: 103px;">
                {{--<select class="form-control cust-box updateStatus" data-load="{{$rowData->load_id}}" data-tabel="planned-load-data-table">
                    @foreach(dispatchHubStatus() as $key => $value)
                        <option value="{{$key}}" {{(($key == $rowData->load_status) ? "selected" : "" )}}>{{$value}}</option>
                    @endforeach
                </select>--}}
                {!! updateStatusDropdown($rowData->load_id, $rowData->load_status, "planned-load-data-table") !!}
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Customer Name:</label>
                        <span>{{$rowData->broker_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Phone Number:</label>
                        <span>{{$rowData->broker_phone_number ?? ''}}</span>
                    </div>
                    <div>
                        <label>Customer Contact:</label>
                        <span>{{$rowData->broker_contact_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Customer Email:</label>
                        <span>{{$rowData->broker_email ?? ''}}</span>
                    </div>
                    <div>
                        <div>
                            <a href="javascript:void(0);" class="btn btn-danger">Request Detention</a>
                        </div>
                        <ul>
                            @if(!is_null($rowData->broker_phone_number))
                                <li>
                                    <a href="tel:{{ $rowData->broker_phone_number }}">
                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                            <li>
                                <a href="javascript:void(0);">
                                    <i class="fa fa-commenting" aria-hidden="true"></i>
                                </a>
                            </li>
                            @if(!is_null($rowData->broker_email))
                                <li>
                                    <a href="mailto:{{$rowData->broker_email}}">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Carrier:</label>
                        <span>{{$rowData->carrier_name  ?? ''}} @if(!is_null($rowData->carrier_mc_number)) ({{$rowData->carrier_mc_number}}) @endif</span>
                    </div>
                    <div>
                        <label>Terminal:</label>
                        <span>{{$rowData->terminal_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Team:</label>
                        <span>{{$rowData->driver_team_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Dispatch Name:</label>
                        <span>{{$rowData->dispatcher_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Dispatch Phone:</label>
                        <span>{{$rowData->dispatcher_cell_phone ?? ''}}</span>
                    </div>
                    <div>
                        <label>Dispatch Email:</label>
                        <span>{{$rowData->dispatcher_email ?? ''}}</span>
                    </div>
                    <div>
                        <div></div>
                        <ul>
                            @if(!is_null($rowData->dispatcher_cell_phone))
                                <li>
                                    <a href="tel:{{ $rowData->dispatcher_cell_phone }}">
                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                            <li>
                                <a href="javascript:void(0);">
                                    <i class="fa fa-commenting" aria-hidden="true"></i>
                                </a>
                            </li>
                            @if(!is_null($rowData->dispatcher_cell_phone))
                                <li>
                                    <a href="mailto:{{$rowData->dispatcher_cell_phone}}">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Driver Name:</label>
                        <span>{{$rowData->driver_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Co Driver:</label>
                        <span>
                            @if(!is_null($rowData->co_driver_name))
                                {{ $rowData->co_driver_name }}
                            @else
                                <a href="javascript:void(0);" class="btn-link addCoDriver">+ Add</a>
                                <div class="d-none coDriverDiv">
                                    <select class="custom-select updateCoDriver form-control" data-load="{{$rowData->load_id}}" data-tabel="planned-load-data-table" style="width: auto;">
                                        <option value="">Co-Driver</option>
                                        @foreach(getDriverListByCompany(auth()->guard('company-admin')->user()->company_id) as $driverId => $driverName)
                                            <option value="{{$driverId}}">{{$driverName}}</option>
                                        @endforeach
                                    </select>
                                    <br/>
                                    <a href="javascript:void(0);" class="btn-link removeCoDriver float-right">- Remove</a>
                                </div>
                            @endif
                        </span>
                    </div>
                    <div>
                        <label>Driver Phone:</label>
                        <span>{{$rowData->driver_cell_phone ?? ''}}</span>
                    </div>
                    <div>
                        <label>Truck Number:</label>
                        <span>{{$rowData->truck_number ?? ''}}</span>
                    </div>
                    <div>
                        <label>Trailer Number:</label>
                        <span>{{$rowData->trailer_number ?? ''}}</span>
                    </div>
                    <div>
                        <label>Last Location:</label>
                        <span>{{ getAddressCityState($rowData->delivery_city, $rowData->delivery_state) }}</span>
                    </div>
                    <div>
                        @if(!is_null($rowData->driver_id))
                            <div>
                                <a href="javascript:void(0);" class="btn btn-blueLightTheme liveLocation" data-driver="{{$rowData->driver_id}}">
                                    Live Location<i class="fa fa-map-marker" aria-hidden="true"></i>
                                </a>
                            </div>
                        @endif
                        <ul>
                            @if(!is_null($rowData->driver_cell_phone))
                                <li>
                                    <a href="tel:{{ $rowData->driver_cell_phone }}">
                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                            <li>
                                <a href="javascript:void(0);">
                                    <i class="fa fa-commenting" aria-hidden="true"></i>
                                </a>
                            </li>
                            @if(!is_null($rowData->driver_email))
                                <li>
                                    <a href="mailto:{{$rowData->driver_email}}">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Extra Stops:</label>
                        <span>{{ $rowData->load_stop_count ?? '0' }}</span>
                    </div>
                    <div>
                        <label>Total Miles:</label>
                        <span>{{ isset($rowData->total_miles) ? formatNumberWithoutZeros($rowData->total_miles) : '' }}</span>
                    </div>
                    <div>
                        <label>Rate:</label>
                        <span>@if(!is_null($rowData->agreed_upon_rate)) {{ '$'.formatNumberWithoutZeros($rowData->agreed_upon_rate) ?? ''}} @endif</span>
                    </div>
                    <div>
                        <label>Pay:</label>
                        <span>TBD</span>
                    </div>
                </div>
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Shipper:</label>
                        <span>{{$rowData->shipper_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Address:</label>
                        <span class="dispatchPlanAddress">{{$shipperAddress ?? ''}}</span>
                    </div>
                    <div>
                        <label>Phone:</label>
                        <span>{{$rowData->shipper_phone ?? ''}}</span>
                    </div>
                    <div>
                        <label>Contact:</label>
                        <span>{{$rowData->shipper_dispatch_contact ?? ''}}</span>
                    </div>
                    <div>
                        <label>Email:</label>
                        <span>{{$rowData->shipper_email ?? ''}}</span>
                    </div>
                    <div>
                        <label>Pickup Date:</label>
                        <span>{{ \Illuminate\Support\Carbon::parse($rowData->shipper_date_time)->timezone(getTimeZone())->format('m/d/Y') ?? '' }}</span>
                    </div>
                    <div>
                        <label>Pickup Time:</label>
                        <span>{{ \Illuminate\Support\Carbon::parse($rowData->shipper_date_time)->timezone(getTimeZone())->format('h:i A') ?? '' }}</span>
                    </div>
                    <div>
                        <label>Pickup Number:</label>
                        <span>{{$rowData->shipper_phone ?? ''}}</span>
                    </div>
                    <div>
                        <div></div>
                        <ul>
                            @if(!is_null($rowData->shipper_phone))
                                <li>
                                    <a href="tel:{{ $rowData->shipper_phone }}">
                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                            <li>
                                <a href="javascript:void(0);">
                                    <i class="fa fa-commenting" aria-hidden="true"></i>
                                </a>
                            </li>
                            @if(!is_null($rowData->shipper_email))
                                <li>
                                    <a href="mailto:{{$rowData->shipper_email}}">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            </td>
            <td>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Receiver:</label>
                        <span>{{$rowData->receiver_name ?? ''}}</span>
                    </div>
                    <div>
                        <label>Address:</label>
                        <span class="dispatchPlanAddress">{{$receiverAddress ?? ''}}</span>
                    </div>
                    <div>
                        <label>Phone:</label>
                        <span>{{$rowData->receiver_phone ?? ''}}</span>
                    </div>
                    <div>
                        <label>Contact:</label>
                        <span>{{$rowData->receiver_dispatch_contact ?? ''}}</span>
                    </div>
                    <div>
                        <label>Email:</label>
                        <span>{{$rowData->receiver_email ?? ''}}</span>
                    </div>
                    <div>
                        <label>Delivery Date:</label>
                        <span>{{ \Illuminate\Support\Carbon::parse($rowData->delivery_date_time)->timezone(getTimeZone())->format('m/d/Y') ?? '' }}</span>
                    </div>
                    <div>
                        <label>Delivery Time:</label>
                        <span>{{ \Illuminate\Support\Carbon::parse($rowData->delivery_date_time)->timezone(getTimeZone())->format('h:i A') ?? '' }}</span>
                    </div>
                    <div>
                        <label>Delivery Number:</label>
                        <span>{{$rowData->receiver_phone ?? ''}}</span>
                    </div>
                    <div>
                        <div></div>
                        <ul>
                            @if(!is_null($rowData->receiver_phone))
                                <li>
                                    <a href="tel:{{ $rowData->receiver_phone }}">
                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                            <li>
                                <a href="javascript:void(0);">
                                    <i class="fa fa-commenting" aria-hidden="true"></i>
                                </a>
                            </li>
                            @if(!is_null($rowData->receiver_email))
                                <li>
                                    <a href="mailto:{{$rowData->receiver_email}}">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
    <div class="dishpatchPlan-icon">
        <ul>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-1.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-2.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-3.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-4.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-5.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-6.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-7.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-8.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-9.svg')}}" alt="icon">
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <img src="{{asset('theme/images/planLoad-10.svg')}}" alt="icon">
                </a>
            </li>
        </ul>
    </div>
</div>
