@if(isset($offer->histories) && $offer->histories->isNotEmpty())
    @foreach ($offer->histories as $key => $history)
        @php
            $message        = '';
        @endphp
        @if($history->type==1)
            @php
                $message    .= 'Counter Offer: ';
            @endphp
        @elseif($history->type==2)
            @php
                $message    .= 'Final Rate: ';
            @endphp
        @else
            @php
                $message    .= 'Original Offer: ';
            @endphp
        @endif
        @php
            $message        .= isset($history->rate)?'$'.formatNumberWithoutZeros($history->rate).' ':'';
            $message        .= isset($history->company_admin->full_name) ? $history->company_admin->full_name.' ' : '';
        @endphp
        @if(isset($history->created_at) && !is_null($history->created_at))
            @php
                $message    .= \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $history->created_at)->setTimezone(getTimeZone())->format(getTimeLayout())." ".getTimeZoneId();
            @endphp
        @endif
        <p>{{ $message }}</p>
    @endforeach
@endif