
<div class="row profile-tabs-section mt-3">
    <div class="d-block col-12">
        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
            
            <li class="nav-item" role="presentation">
                <a class="nav-link active" id="leaves-tab" data-toggle="pill" href="#leaves-tab-content" role="tab" aria-controls="leaves" aria-selected="false"><i class="fa fa-history" aria-hidden="true"></i>Leaves</a>
            </li>
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="time-off-tab" data-toggle="pill" href="#time-off-tab-content" role="tab" aria-controls="time-off" aria-selected="false"><i class="fa fa-bug" aria-hidden="true"></i>Time Off</a>
            </li>
            @if(hasPermission(config('settings.company_admin_modules.leaveusertypes'),config('settings.permissions.edit')))
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="allowance-tab" data-toggle="pill" href="#allowance-tab-content" role="tab" aria-controls="allowance" aria-selected="false"><i class="fa fa-sliders" aria-hidden="true"></i>Allowance</a>
            </li>
            @endif
        </ul>
    </div>
    <div class="col-12 leavsecion">
        
            <div class="tab-content " id="pills-tabContent">
                <div class="tab-pane fade active show" id="leaves-tab-content" role="tabpanel" aria-labelledby="leaves-tab">
                    

                    <div class="row">
                        <div class="col-lg-4">
                            {!! Form::open(array('route' => 'company.admin.leaves.store','method'=>'POST','files'=>'true','class'=>'createLeave')) !!}
                            <input type="hidden" name="dispatcher_id" value="{{ $companyAdmin->id }}">
                            <div class="white-box-small">
                                <h4 class="box-title">Book time off</h4>
                                <div class="box-padding">
                                    <div class="filter-box">
                                        <div class="form-group ">
                                        <label>Leave type :</label>
                                        <select class="form-control" name="leave_type_id" required>
                                            <option value="">Select Leave Type</option>
                                            @foreach($getLeaveUserType as $leave_user_type)
                                                <option value="{{ $leave_user_type->leave_type_id }}" leave="{{ $leave_user_type->days_per_year_for_dispatcher - $leave_user_type->days_per_year_for_dispatcher_used  }}">{{ $leave_user_type->leave_type->name }}</option>
                                            @endforeach
                                        </select>
                                        </div>
                                        <div class="form-group ">
                                            <label>Duration :</label>
                                            <select class="form-control" name="duration" required>
                                                <option value=""> Select Duration Type</option>
                                                @foreach(getLeaveDurationType() as $key => $duration_type)
                                                    <option value="{{ $key }}"> {{ $duration_type }}</option>
                                                @endforeach

                                            </select>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group ">
                                                    <label>From Date :</label>
                                                    <input type="text" class="form-control leave_from_date" name="from_date" required />
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group ">
                                                    <label>To Date :</label>
                                                    <input type="text" class="form-control leave_to_date" name="to_date" required />
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group ">
                                            <textarea class="form-control" placeholder="Comment" name="comment" required></textarea>
                                        </div>
                                    </div>
                                    <div class=" ">
                                        <button class="btn" type="submit" id="booktimeoff-btn"><i class="fa fa-paper-plane-o" aria-hidden="true"></i> Book time off</button>
                                    </div>
                                </div>
                            </div>
                            {!! Form::close() !!}
                        </div>
                        <div class=" col-lg-4 ">
                            <div class="white-box-small" style="min-height: 435px;">
                                <!-- <h4 class="box-title">My next leaves</h4> -->

                                <div class="box-padding">
                                    <div class="table-responsive nextleaves-table">
                                        <table class="table px-3">
                                            <tr>
                                                <th class="text-left">My next leaves</th>
                                                <th class="text-right"><small> day</small></th>
                                            </tr>
                                            <tbody class="leaveColumn4"></tbody>

                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 ">
                            <div class="white-box-small" style="min-height: 435px;">
                                <!-- <h4 class="box-title">My next leaves</h4> -->

                                <div class="box-padding">
                                    <div class="table-responsive nextleaves-table">
                                        <table class="table px-3">
                                            <tr>
                                                <th class="">Balance</th>
                                                <th class="text-right">Used </th>
                                                <th class="text-right">Available</th>
                                                <th class="text-right">Allowance</th>

                                            </tr>
                                            <tbody class="leaveColumn3"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="col-md-12 ">

                            <div class="white-box ">
                                <div class="monthly-occupancy-title ">
                                    <!-- <h4 class="box-title text-uppercase ">Monthly Occupancy Tracker (Linear View)</h4> -->
                                </div>
                                <div class="p-20 mb-5">
                                    <div class="occupancy-toolbar text-center tooembo-box-leave disabled-click">
                                        <button type="button" class="prev-arrow"><img src="{{ asset('theme/img/lft-arrow.png') }}" class="" alt=""></button>
                                        <h2 class="mtitle-leave">{{ $month_name }} {{ $year }}</h2>
                                        <button type="button" class="next-arrow"><img src="{{ asset('theme/img/rgt-arrow.png') }}" class="" alt=""></button>
                                        <input type="hidden" class="cyear-leave" value="{{ $year }}">
                                        <input type="hidden" class="cmonth-leave" value="{{ $month }}">
                                    </div>
                                    <div class="append-view-leave"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    
                </div>
                <div class="tab-pane fade" id="time-off-tab-content" role="tabpanel" aria-labelledby="time-off-tab">
                  <div class="row">
                      <div class="col-md-6">
                        <div class=" white-box-small">
                          <div class="table-responsive">
                              <table class="table">
                                  <tr>
                                      <th>
                                          <p class=""><i class="fa fa-calendar-check-o" aria-hidden="true"></i><input type="type" class="leavesAllowanceYear2 form-control" value="<?php echo date('Y'); ?>" /></p>
                                      </th>
                                      <th class="text-center">
                                          <strong>Used</strong>
                                      </th>
                                      <th class="text-center">
                                          <strong>Available</strong>
                                      </th>
                                      <th class="text-center">
                                          <strong> Allowance</strong>
                                      </th>
                                  </tr>
                                  <tbody class="leavesAllowance2"></tbody>
                                  
                              </table>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class=" white-box-small">
                          <div class="table-responsive">
                              <table class="table">
                                  <tr>
                                      <th>
                                          Next Leaves
                                      </th>
                                      <th class="text-right">
                                          <strong> a day</strong>
                                      </th>
                                  </tr>
                                  <tbody class="leavesAllowance3"></tbody>
                              </table>
                          </div>
                        </div>
                      </div>
                    </div>

                   
                </div>
                @if(hasPermission(config('settings.company_admin_modules.leaveusertypes'),config('settings.permissions.edit')))
                <div class="tab-pane fade" id="allowance-tab-content" role="tabpanel" aria-labelledby="allowance-tab">
                    <div class=" white-box-small">
                      <div class="table-responsive">
                          <table class="table">
                             <tr >
                                  <th>
                                      <p class=""><i class="fa fa-calendar-check-o" aria-hidden="true"></i><input type="type" class="leavesAllowanceYear form-control" value="<?php echo date('Y'); ?>" /></p>
                                  </th>
                                  <th class="text-right">
                                      <strong> Allowance</strong>
                                  </th>
                              </tr>
                            <tbody class="leavesAllowance"></tbody>
                          </table>
                      </div>
                    </div>
                  
                </div>
                @endif
            </div>
        
    </div>
</div>
