<div class="modal-body">
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label>Title</label>
                <h5>{{ $driverAccident->title ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Date</label>
                <h5>{{ $driverAccident->date ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Report Number</label>
                <h5>{{ $driverAccident->report_number ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Type</label>
                <h5>{{ getAccidentIncidentClaimInjuryList()[$driverAccident->type] ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Load Number</label>
                <h5>{{ $driverAccident->load_number ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>State</label>
                <h5>{{ getStateList()[$driverAccident->state] ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Injury</label>
                <h5>{{ ($driverAccident->state == '1') ? 'Yes' : 'No' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Fault</label>
                <h5>{{ $driverAccident->fault ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Drug Test Required</label>
                <h5>{{ ($driverAccident->drug_Test == '1') ? 'Yes' : 'No' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>File on Insurance</label>
                <h5>{{ ($driverAccident->file_on_insurance == '1') ? 'Yes' : 'No' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Damage Estimate</label>
                <h5>{{ ($driverAccident->damage_estimate != '') ? '$'.number_format($driverAccident->damage_estimate, '2', '.', ',') : '-' }}</h5>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label>Notes</label>
                <h5>{{ $driverAccident->note ?? '-' }}</h5>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Image</label>
            </div>
            @if (!is_null($driverAccident->image))
                <img src="{{ asset('storage/companyAdmin/driver/'.$driverAccident->image) }}" style="width: 100%; height: 192px; border-radius: 10px;object-fit: cover;">
            @else
                -
            @endif
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
</div>

