<div class="occupancy-table linerviewtabe">
    <div class="table-responsive">
        <table class="table-bordered">
            <thead>
                <tr>
                    <th></th>
                    @foreach($monthdata as $mdata)
                        <th>{{ $mdata['dayname'] }}</th>
                    @endforeach
                    <th></th>
                </tr>
                <tr>
                    <th>Name</th>
                    @foreach($monthdata as $mdata)
                        <th>{{ $mdata['daynumber'] }}</th>
                    @endforeach
                    <th>Occupancy</th>
                </tr>
            </thead>
            <tbody>
                @foreach($driver_list as $driver)
                    <tr class="abc">
                        <td class="text-center table-data" data-value="{{ strtolower($driver->last_name) }}" >
                          <span href="javascript:void(0)" class="show-available-driver" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#availableDriverModal">{{ $driver->last_name }}, {{ $driver->first_name }}</span><br>
                       </td>
                        @foreach($monthdata as $mdata)
                            @php
                            echo liner_fleet_calendar($mdata['date'],$driver->id,$mdata['daynumber'],);
                            @endphp
                        @endforeach
                    </tr>
                @endforeach
                
            </tbody>
            <tfoot>
                <tr>
                    <td>{{ $month_name }} Total</td>
                    @foreach($monthdata as $mdata)
                    <td>{{ count($driver_list) }}</td>
                    @endforeach
                    
                </tr>
                <tr>
                    <td>Fleet Occupancy</td>
                    <input type="hidden" class="montcc" value="0" />
                    <input type="hidden" class="montedcc" value="0" />
                    @foreach($monthdata as $mdata)
                        <script type="text/javascript">
                            var coln = '{{$mdata['daynumber']}}';
                            var workingday = $("td.dayn"+coln).length;
                            var oday = $("td.o-box.dayn"+coln).length;
                            var ctot = (oday * 100) / workingday;
                            var ctot = Math.round(ctot);
                            if (isNaN(ctot)){
                                var ctot = 0;
                            }else{
                                var montcc = $(".montcc").val();
                                $(".montcc").val(parseInt(ctot)+parseInt(montcc));

                                var montedcc = $(".montedcc").val();
                                $(".montedcc").val(parseInt(montedcc) + 1);
                            }
                            $("td.colnu"+coln).html(Math.round(ctot)+'%');
                        </script>
                        <td class="colnu{{$mdata['daynumber']}}"></td>
                    @endforeach                        
                </tr>
            </tfoot>
        </table>
    </div>
</div>