{!! Form::model($driverMechanicalIssue,array('route' => ['company.admin.mechanical.issue.update',$driverMechanicalIssue->id],'method'=>'PATCH','files'=>'true','class'=>'updateMechanicalIssueForm')) !!}
    <div class="modal-body">
        <div class="form-group">
            <label>Title<span>*</span></label>
            {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
            <span class="error title_error text-danger"></span>
        </div>
        <div class="form-group">
            <label>Date<span>*</span></label>
            {!! Form::text('date', old('date'), array('class' => 'form-control date', 'autocomplete' => 'off')) !!}
            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
        </div>
        <span class="error date_error text-danger"></span>
        <div class="form-group">
            <label>Type</label>
            {!! Form::select('type', ['' => 'Select']+getMechanicalIssuesList(), null, ['class' => 'custom-select form-control mechanical-issue-type']) !!}
        </div>
        <div class="form-group other-div" style="{{ $driverMechanicalIssue->type == 1 ? "" : "display: none" }};">
            <label>Other</label>
            {!! Form::text('other', old('other'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
        </div>
        <div class="form-group">
            <label>Load Number</label>
            {!! Form::text('load_number', old('load_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
        </div>
        <div class="form-group">
            <label>State</label>
            {!! Form::select('state', ['' => 'Select']+getStateList(), null, ['class' => 'custom-select select2 form-control']) !!}
        </div>
        <div class="form-group">
            <label>Notes</label>
            {!! Form::textarea('note', old('note'), array('class' => 'form-control spl-tarea', 'autocomplete' => 'new', 'rows' => '5')) !!}
        </div>
        <div class="choose-file">
            <div class="row align-items-center">
                <div class="col-lg-2 col-md-3">
                    <div class="image-wrapper">
                        @if (!is_null($driverMechanicalIssue->image))
                            <img src="{{ asset('storage/companyAdmin/driver/'.$driverMechanicalIssue->image) }}" class="" alt="Uploaded file" id="uploadImg" width="100" style="opacity: 1;">
                            <label class="label" for="input">{{ $driverMechanicalIssue->image }}</label>
                            <div class="input">
                                {!! Form::file('image', ['class' => 'form-control', 'id' => 'file']) !!}
                                <input type="button" value="Changes file" id="upload" class="changeImg">
                            </div>
                        @else
                            <label class="label" for="input">No file selected.</label>
                            <div class="input">
                                {!! Form::file('image', ['class' => 'form-control', 'id' => 'file']) !!}
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn blue-btn">Update</button>
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
    </div>
{!! Form::close() !!}