@extends($companyAdminTheme)

@section('title')
    Integration Settings
@endsection

@section('content')
<ul class="nav nav-tabs" id="myTab" role="tablist">
    <li class="nav-item" role="presentation">
        <a class="nav-link active" id="UserSettings-tab" data-toggle="tab" href="#UserSettings" role="tab" aria-controls="Settings" aria-selected="true">Integration Settings</a>
    </li>
</ul>
<div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="UserSettings" role="tabpanel" aria-labelledby="UserSettings-tab">
        @if(isset($setting->id) && !empty($setting->id))
            {!! Form::model($setting,array('route' => ['company.admin.integration.update',$setting->id],'method'=>'PATCH','files'=>'true','class'=>'edit-form')) !!}
        @else
            {!! Form::open(array('route' => 'company.admin.integration.save','method'=>'POST','files'=>'true','class'=>'store-form')) !!}    
        @endif
		
            <div class="row">

                <div class="col-lg-4 col-md-6">
                    <div class="white-box mb-4">
                        <h4 class="box-title">Samsara API key</h4>
                        <div class="box-padding row">
                            <div class="col-lg-12 col-md-12">
                                <div class="form-group">
                                    {!! Form::textarea('samsara_api_key', old('samsara_api_key'), array('class' => 'form-control', 'placeholder' => 'ex. samsara_api_xxxxxxx','rows' => '4')) !!}
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

            <div class="button-bottom">
	            <a href="{{ route('company.admin.home') }}" class="cancel-btn">Cancel</a>
	            <button class="submit-btn">Submit</button>
	        </div>

		{!! Form::close() !!}

    </div>
</div>

@endsection
