@extends($companyAdminTheme)

@section('title')
    App Center
@endsection
@section('style')
<style type="text/css">
    .white-box {overflow: hidden;}
</style>
@endsection
@section('content')
<div class="row">
    @foreach($appCenter as $app)
    <div class="col-sm-6 col-lg-3 col-xl-3">
        <div class="white-box mb-4">
            @if(getAppIsActive($app->id))
            <p class="activeapp">Active</p>
            @else
            <p class="he15"></p>
            @endif
            <div class="box-padding">
                <div class="row">
                    <div class="col-lg-12 text-center">
                        <img src="{{ asset('storage/companyAdmin/app_logo'); }}/{{ $app->logo }}" class="app-center-logo" title="{{ $app->name }}"> 
                    </div>
                </div>
                <!--div class="row">
                    <div class="col-lg-12 text-center mb-4">
                        <h4>{{ $app->name }}</h4>
                    </div>
                </div-->
                <div class="row">
                    <div class="col-lg-12 text-center mb-4 contenapp">
                        <p>{{ Str::limit($app->short_description, 100) }}</p>
                    </div>
                </div> 
                <div class="row">
                    <div class="col-lg-12 text-center mb-4">
                        <a href="{{ route('company.admin.integration.view.app', $app->id)}}" class="btn btn-secondary appbutton">{{ $app->name }} Integration</a>
                    </div>
                </div> 
            </div>
        </div>
    </div>
    @endforeach
</div>

@endsection
