{!! Form::model($getLeave,array('route' => ['company.admin.leaves.update',$getLeave->id],'method'=>'PATCH','files'=>'true')) !!}
<div class="modal-body">

    <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label>Leave Type</label>
                <h6>{{ $getLeave->leave_type->name }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Date</label>
                @if($getLeave->from_date == $getLeave->to_date)
                    <h6>{{ $getLeave->from_date }}</h6>
                @else
                    <h6>{{ $getLeave->from_date }} to {{ $getLeave->to_date }} </h6>
                @endif
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Leave Duration</label>
                <h6>{{ getLeaveDurationType()[$getLeave->duration] }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Total Leave</label>
                <h6>{{ $getLeave->day_count }}</h6>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="form-group">
                <label>Status</label>
                <h6>{{ getLeaveStatus()[$getLeave->status] }}</h6>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="form-group">
                <label>Applicant comment</label>
                <h6>{{ $getLeave->comment }}</h6>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="form-group">
                <label>Notes</label>
                <textarea class="form-control" name="notes">{{ $getLeave->notes }}</textarea>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <div class="row">
        <div class="col-lg-12">
            <button type="submit" class="btn blue-btn mr-2" name="status" value="1" ><i class="fa fa-hand-o-right" aria-hidden="true"></i> Approve</button>
            <button type="submit" class="btn red-btn" name="status" value="2" ><i class="fa fa-thumbs-o-down" aria-hidden="true"></i> Decline</button>
        </div>
    </div>
</div>
{!! Form::close() !!}