<div class="modal-body">
    <div class="row">
        <div class="col-lg-6">
            <div class="form-group">
                <label>Leave Type</label>
                <h6>{{ $getLeave->leave_type->name }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Date</label>
                @if($getLeave->from_date == $getLeave->to_date)
                    <h6>{{ $getLeave->from_date }}</h6>
                @else
                    <h6>{{ $getLeave->from_date }} to {{ $getLeave->to_date }} </h6>
                @endif
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Paid Type</label>
                <h6>{{ getPaidType()[$getLeave->paid_type] }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Leave Duration</label>
                <h6>{{ getLeaveDurationType()[$getLeave->duration] }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Total Leave</label>
                <h6>{{ $getLeave->day_count }}</h6>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-group">
                <label>Status</label>
                <h6>{{ getLeaveStatus()[$getLeave->status] }}</h6>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="form-group">
                <label>Applicant comment</label>
                <h6>{{ $getLeave->comment }}</h6>
            </div>
        </div>
        @if(!empty($getLeave->notes))
        <div class="col-lg-12">
            <div class="form-group">
                <label>Comment By Admin</label>
                <h6>{{ $getLeave->notes }}</h6>
            </div>
        </div>
        @endif
    </div>

</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
</div>
