@if(count($getLeave) > 0)
    @foreach($getLeave as $leave)

    <div class=" col-lg-4 ">
        <div class="white-box-small">
            <div class="box-padding">
                <div class="table-responsive nextleaves-table">
                    <table class="table px-3">
                        <tr>
                            @if(!empty($leave->driver_id))
                                <th class="text-left">{{ $leave->driver->full_name }} - Driver</th>
                            @else
                                <th class="text-left">{{ $leave->companyAdmin->full_name }} - @if($leave->companyAdmin->type == 1) Manager @endif @if($leave->companyAdmin->type == 2) Dispatcher @endif</th>
                            @endif
                            
                            <th class="text-right"><small> day</small></th>
                        </tr>
                        <tr>

                            <td class="text-left"><span class="green-dot" style="background-color:{{ $leave->leave_type->color }};"></span> {{ $leave->leave_type->name }} - Driver <br> 
                            @if($leave->from_date == $leave->to_date)
                                {{ $leave->from_date }} to {{ $leave->to_date }}
                            @else
                                {{ $leave->from_date }}
                            @endif
                            </td>
                            <td class="text-right">{{ getLeaveStatus()[$leave->status] }} <br> Total {{ $leave->day_count }} leaves</td>
                        </tr>

                    </table>
                    <a class="btn yenot-btn text-center mb-3 take-decision" href="javascript:void(0)" id="yenot-btn" data-leave-id="{{ $leave->id }}" data-toggle="modal" data-target="#takeADecisionModal">
                        <span class="text-green"> <i class="fa fa-hand-o-right" aria-hidden="true"></i> Approve</span> or <span class="text-danger"><i class="fa fa-thumbs-o-down" aria-hidden="true"></i> Decline</span>
                    </a>
                </div>
            </div>
        </div>
    </div>
    @endforeach
@else
    <div class=" col-lg-12 ">
        <div class="white-box-small">
            <div class="box-padding">
                <p>Record not found.</p>
            </div>
        </div>
    </div>
@endif