<div class="col-md-12 mt-2 mb-2 pl-0">
    <p class="mt-2 mb-1">When Shipper - <span class="text-primary rep-broker-contact" data-toggle="modal" id="shipperaddRowUpload">Add New</span></p>
</div>
<div class="col-md-12">
    @php
        if(!empty($data->shipper_files_upload)){
            $shipper_files = unserialize($data->shipper_files_upload);
        }elseif(!empty($data->shipper_files)){
            $shipper_files = unserialize($data->shipper_files);
        }else{
            $shipper_files = unserialize(config('settings.shipper_files'));
        }

        $newSetShi=1001;
    @endphp
    @if(is_array($shipper_files) && count($shipper_files) > 0)
        @foreach($shipper_files as $shipperf)
        <div class="row" id="shipperinputFormRowUpload">
            <input type="hidden" name="shipper_files_upload[type][{{$newSetShi}}]" value="{{$shipperf['type']}}">
            <input type="hidden" name="shipper_files_upload[is_required][{{$newSetShi}}]" value="{{$shipperf['is_required']}}">
            <div class="col-md-4 pl-0 pr-0 mr-2">
                @if($shipperf['fixed'] == 'yes')
                <div class="form-group mt-1">
                    <input type="hidden" name="shipper_files_upload[name][{{$newSetShi}}]" value="{{$shipperf['name']}}" />
                    <label>{{$shipperf['name']}} -  <span class="text-red">@if($shipperf['type'] == 1) Copy @else Original @endif</span>
                    </label>
                </div>
                @else
                <div class="form-group">
                    <input class="form-control" name="shipper_files_upload[name][{{$newSetShi}}]" value="{{$shipperf['name']}}" type="text" required />
                </div>
                @endif
            </div>
            <div class="col-md-6 pl-0 pr-0 mr-2">
                <div class="form-group">
                    @if($shipperf['is_required'] == 'on')
                        
                        @if(!empty($shipperf['file']))
                            <input type="file" name="shipper_files_upload[file][{{$newSetShi}}][]" class="form-control uplaoddocfile" multiple>
                        @else
                        <input type="file" name="shipper_files_upload[file][{{$newSetShi}}][]" class="form-control uplaoddocfile" required="required"  multiple>
                        <label class=" control-label">
                            <input type="checkbox" name="shipper_files_upload[file_not_provided][{{$newSetShi}}]" class="form-control loadregucheck notprodfile"  @if(isset($shipperf['file_not_provided']) && $shipperf['file_not_provided'] == 'on') checked @endif> Not provided by broker</label>
                        @endif
                    @else
                        <input type="file" name="shipper_files_upload[file][{{$newSetShi}}][]" class="form-control uplaoddocfile" multiple>
                    @endif
                    @if(!empty($shipperf['file']))
                        @php
                            if(!empty($shipperf['file'])){
                                $documents = $shipperf['file'];
                            }else{
                                $documents = [];
                            }
                        @endphp
                        @if(is_array($documents) && count($documents) > 0)

                            @foreach($documents as $document)
                                <input type="hidden" name="shipper_files_upload[file_exists][{{$newSetShi}}][]" value="{{$document}}">
                                @php
                                    $file_path = 'storage/companyAdmin/load_detail_document/'.$document;
                                    $type = \File::extension($file_path);
                                @endphp
                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                @else
                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                @endif
                            @endforeach
                        @endif
                    @endif
                </div>
            </div>
            <div class="col-md-1 pl-0 pr-0">
                @if($shipperf['fixed'] == 'yes')
                    <input type="hidden" name="shipper_files_upload[fixed][{{$newSetShi}}]" value="yes">
                @else
                    <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRowUpload"><i class="fa fa-trash"></i></a>
                    <input type="hidden" name="shipper_files_upload[fixed][{{$newSetShi}}]" value="no">
                @endif
                
            </div>
        </div>
        @php $newSetShi++; @endphp
        @endforeach
    @endif
    <div id="shippernewRowUpload">
    </div>
</div>


<script type="text/javascript">
    var i = parseInt('{{$newSetShi}}');
    $("#shipperaddRowUpload").click(function () {
        var html = '';
        html += '<div class="row" id="shipperinputFormRowUpload">';
        html += '<input type="hidden" name="shipper_files_upload[type]['+i+']" value="1">';
        html += '<input type="hidden" name="shipper_files_upload[is_required]['+i+']" value="off">';
        html += '<div class="col-md-4 pl-0 pr-0 mr-2">';
        html += '<div class="form-group">';
        html += '<input class="form-control" name="shipper_files_upload[name]['+i+']" type="text" required />';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-6 pl-0 pr-0 mr-2">';
        html += '<div class="form-group">';
        html += '<input type="file" name="shipper_files_upload[file]['+i+'][]" class="form-control uplaoddocfile" required="required" multiple="">';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-1 pl-0 pr-0">';
        html += '<a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRowUpload"><i class="fa fa-trash"></i></a>';
        html += '<input type="hidden" name="shipper_files_upload[fixed]['+i+']" value="no">';
        html += '</div>';
        html += '</div>';

        $('#shippernewRowUpload').append(html);
        i++
    });

    // remove row
    $(document).on('click', '#shipperremoveRowUpload', function () {
        $(this).closest('#shipperinputFormRowUpload').remove();
    });

    $(document).on('change', '.notprodfile', function () {
        if(this.checked) {
            var shipper_loci = $(this).closest('#shipperinputFormRowUpload').find('.uplaoddocfile').prop('required',false).attr('aria-describedby');
            $('#'+shipper_loci).hide();
        }else{
            var shipper_loci = $(this).closest('#shipperinputFormRowUpload').find('.uplaoddocfile').prop('required',true).attr('aria-describedby');
            $('#'+shipper_loci).show();
        }
    });

</script>