<div class="modal fade blank-modal-body" id="updateRepeatsForm" tabindex="-1" aria-labelledby="updateRepeatsForm" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Change Repeats</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {!! Form::model($maintenance,array('route' => ['company.admin.maintenance.udpate.due.date',$maintenance->id],'method'=>'POST','files'=>'true','class'=>'updateRepeatsForm')) !!}
            <input type="hidden" name="id" value="{{ $maintenance->id }}">
            <div class="modal-body">
                <div class=" row">
                    <div class="col-xl-12">
                        <div class="form-group">
                            <label>Repeats?</label>
                            <div class="row">
                                <div class="col-sm-5">
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('repeats', 1, $maintenance->repeats == 1 ? true : false, array('class' => 'custom-control-input', 'id' => 'does_not_repeat')) !!}
                                        <label class="custom-control-label" for="does_not_repeat">Does not Repeat</label>
                                    </div>                             
                                </div>
                                <div class="col-sm-3">
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('repeats', 2, $maintenance->repeats == 2 ? true : false, array('class' => 'custom-control-input', 'id' => 'date_repeat')) !!}
                                        <label class="custom-control-label" for="date_repeat">Date</label>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('repeats', 3, $maintenance->repeats == 3 ? true : false, array('class' => 'custom-control-input', 'id' => 'mileage_repeat')) !!}
                                        <label class="custom-control-label" for="mileage_repeat">Mileage</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8 selenondriveruser3 mb-4" @if($maintenance->repeats == 2) style="display:block;" @else style="display:none;" @endif >
                        <div class="form-grop">
                            <label>How Often?</label>
                            <!-- {!! Form::select('how_often', ['' => 'Select often']+getHowOften(), null, ['class' => 'select2 form-control how_often']) !!} -->
                            {!! Form::select('how_often', ['' => 'Select often'], null, ['id' => 'how_often','class' => 'select2 form-control how_often']) !!}
                        </div>
                        <input type="hidden" name="how_often_text" class="how_often_text">
                    </div>

                    <div class="col-md-8 repeat_milage_div mb-4" @if($maintenance->repeats == 3) style="display:block;" @else style="display:none;" @endif>
                            <div class="form-grop">
                                    <label>Mileage</label>
                                    <input type="number" class="form-control" name="repeat_due_miles" id="repeat_due_miles" value="{{$maintenance->repeat_due_miles}}" />
                            </div>
                        </div>

                    <div class="how_often_end" @if($maintenance->how_often == 8 && $maintenance->repeats == 2) style="display:block;" @else style="display:none;" @endif >
                        <div class="col-md-12 mb-4 mt-3">
                            <div class="form-grop">
                                <div class="row">
                                    <div class="col-md-3">
                                        <label>Repeat Every</label>
                                    </div>
                                    <div class="col-md-2">
                                        {!! Form::number('custom_repeat_every_number', old('custom_repeat_every_number'), array('class' => 'form-control')) !!}
                                    </div>
                                    <div class="col-md-3">
                                        {!! Form::select('custom_repeat_every_type', ['1' => 'Week','2' => 'Month','2' => 'Year'], null, ['class' => 'select2 form-control']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 ">
                            <div class="form-group load-type">
                                <label>Repeat On</label>
                                <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 0) active @endif">
                                    {!! Form::radio('custom_repeat_on', 0, $maintenance->custom_repeat_on == 0 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} S
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 1) active @endif">
                                    {!! Form::radio('custom_repeat_on', 1, $maintenance->custom_repeat_on == 1 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} M
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 2) active @endif">
                                    {!! Form::radio('custom_repeat_on', 2, $maintenance->custom_repeat_on == 2 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} T
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 3) active @endif">
                                    {!! Form::radio('custom_repeat_on', 3, $maintenance->custom_repeat_on == 3 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} W
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 4) active @endif">
                                    {!! Form::radio('custom_repeat_on', 4, $maintenance->custom_repeat_on == 4 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} T
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 5) active @endif">
                                    {!! Form::radio('custom_repeat_on', 5, $maintenance->custom_repeat_on == 5 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} F
                                    </label>
                                    <label class="btn btn-secondary load-type-label @if($maintenance->custom_repeat_on == 6) active @endif">
                                    {!! Form::radio('custom_repeat_on', 6, $maintenance->custom_repeat_on == 6 ? true : false, array('class' => 'load-type-radio custom-control-input')) !!} S
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 mb-3 mt-2">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>End</label>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="checkbox d-inline-block mr-2">
                                                  <label class=" control-label">
                                                        {!! Form::radio('custom_ends', 1, false, array('class' => 'form-control loadregucheck','checked' => 'checked')) !!} Never
                                                  </label>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="checkbox d-inline-block mr-2">
                                                  <label class=" control-label">
                                                        {!! Form::radio('custom_ends', 2, false, array('class' => 'form-control loadregucheck')) !!} On
                                                  </label>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="checkbox d-inline-block mr-2">
                                                  <label class=" control-label">
                                                        {!! Form::radio('custom_ends', 3, false, array('class' => 'form-control loadregucheck')) !!} After
                                                  </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 mt-4">
                                    <div class="form-group">
                                        {!! Form::text('custom_ends_date', request()->get('custom_ends_date'), array('placeholder' => 'Select Date', 'class' => 'form-control date', )) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="default_current_time">
                                    </div>
                                    <div class="form-grop">
                                        <div class="row">
                                            <div class="col-md-4">
                                                {!! Form::number('custom_ends_occurrences_number', old('custom_ends_occurrences_number'), array('class' => 'form-control')) !!}
                                            </div>
                                            <div class="col-md-8">
                                                {!! Form::text('custom_ends_occurrences_type', old('custom_ends_occurrences_type'), array('class' => 'form-control', 'placeholder' => 'Enter occurrences')) !!}
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="modal-footer">
            <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                <button class="btn blue-btn vednorsave">Save</button>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>

