<div class="append-form">

    <div class="modal-body">
        <div class="form-group">
            <label>Title : {{$eventData->name}}</label>
        </div>

        <div class="form-group">
            <label>Ticket Number : {{$eventData->ticket_number}}</label>
        </div>

        <div class="form-group">
            <label>Ticket Type : @if($eventData->equipment_type == 1) Truck @else Trailer @endif</label>
        </div>

        <div class="form-group">
            @if($eventData->equipment_type == 1)
                <label>Truck: {{ $eventData->truck->unit }}</label><br/>
            @else
                <label>Trailer: {{ $eventData->trailer->trailer_id }}</label><br/>
            @endif
        </div>
        @if(isset($eventData->vendor->name) && !empty($eventData->vendor->name))
        <div class="form-group">
            <label>Vendor : {{ $eventData->vendor->name }}</label>
        </div>
        @endif

        <div class="form-group">
            <label>Estimated Cost : {{ ($eventData->estimated_cost) ? $eventData->estimated_cost : '-'}}</label>
        </div>

        <div class="form-group">
            <label>Final Cost : {{ ($eventData->final_cost) ? $eventData->final_cost : '-'}}</label>
        </div>

        <div class="form-group">
            @if($eventData->due_on == 1)
                <label>Due Date: {{ $eventData->due_date }}</label><br/>
            @else
                <label>Due Mileage: {{ $eventData->due_miles }}</label><br/>
            @endif
        </div>

        <div class="form-group">
            <label>Status : {{getTicketStatusList()[$eventData->status]}}</label>
        </div>

        <div class="form-group">
            <label>Created By : {{ $eventData->companyAdmin->full_name }}</label>
        </div>

    </div>
    <div class="modal-footer">
        <a class="btn blue-btn" href="{{ route('company.admin.maintenances.show', base64Encode($eventData->id)) }}" target="_blank">View Ticket</a>
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
    </div>
</div>


<script>


    $('#calendar').fullCalendar('refetchEvents');

    $(".eveclFullc").click(function () {
        setTimeout(function () {
            $('#calendar').fullCalendar('refetchEvents');
        }, 500);

    });

    <?php if(isset($_GET['calendar']) && $_GET['calendar'] == 1): ?>
    setTimeout(function () {
        $('.eveclFullc').trigger('click');
    }, 300);
    <?php endif; ?>


    $('.faicon input[type="radio"]').click(function () {
        $(this).parent().addClass('active').siblings('label').removeClass('active')
    });

    $(".faicon").hide();
    $(".addshoicon").click(function () {
        if ($(this).is(":checked")) {
            $(".faicon").show(300);
        } else {
            $(".faicon").hide(200);
        }
    });

    $('.eventstart,.eventend').datetimepicker({
        format: dateTimeLayout,
        useCurrent: false,
        //minDate: moment()
    });
    $('.eventstart').datetimepicker().on('dp.change', function (e) {
        var CurrentDate = $(this).val();
        var CurrentD = moment(CurrentDate).add(0, 'day').format(dateTimeLayout);
        $('.eventend').data('DateTimePicker').minDate(CurrentD);
        $('.eventend').val(CurrentD);
    });

    $('.date').datepicker({
        autoclose: true,
        todayHighlight: true,
    });
</script>
