        <div class="col-12">
                <label> This report is for the period starting from {{$current_startdate}} to {{$current_enddate}} </label>
            </div>
            <div class="col-md-6 col-lg-3 md-4">
                <div class="card">
                    <div class="card-header " style="background-color:red">
                         {{$loadDriverdata['0']['teamName']}}
                    </div>

                    <!-- <ul class="list-group list-group-flush">
                            <li class="list-group-item text-center p-0">Fleet Totals</li>Total Target Revenue
                        </ul> -->
                    <table class="cs-table   w-100 fleet-content">

                        <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                ${{number_format((float)$tot_count_revenue_target_new, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                   {{number_format((float)$sum_divide_tot_total_target_miles, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{@$sum_count_active_driverdatanew}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                    {{$sum_count_inactive_driverdatanew}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                     {{@$sum_count_active_driverdatanew + $sum_count_inactive_driverdatanew}}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">

                                   ${{number_format((float)@$totalRevenue, 2, '.', '')}}<!--11-april-2022 {{number_format((float)@$sum_count_revenueperUnit_totalTeam, 2, '.', '')}} -->
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">

                                {{@round($sum_count_mileagePerunit_totalTeam)}}

                                </td>
                            </tr>
                            <tr>
                                <td>CPM Per Unit</td>
                                <td class="text-right">
                                     ${{number_format((float)@$sum_count_getLoadCPM_data, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>


                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue </h5>

                                     @if($sum_count_OccupancyreveData < $sumcount_revenueperUnit_totalTeam_actual)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($sum_count_OccupancyreveData > $sumcount_revenueperUnit_totalTeam_actual)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                  <!--   @if($total_count_occupancy_revenue > $totalRevenue)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-right  ">

                                    ${{@number_format((float)$divide_by_tot_revenuOccData, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-right">

                                     ${{@number_format((float)$sumcount_revenueperUnit_totalTeam_actual, 2, '.', '')}}

                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                        @php $counttotRevall = $sumcount_revenueperUnit_totalTeam_actual - $divide_by_tot_revenuOccData;  @endphp

                                     {{@number_format((float)$counttotRevall, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage</h5>

                                     @if($all_count_total_occupancy_miles < $totalMiles)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($all_count_total_occupancy_miles > $totalMiles)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                  <!--   @if($all_count_total_occupancy_miles > $totalMiles)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-right  ">
                                    {{number_format((float)@$all_count_total_occupancy_miles, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-right">

                                       {{@round($active_driverData)}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                    @php $actualMileData = $active_driverData - $all_count_total_occupancy_miles;  @endphp
                                    {{number_format((float)@$actualMileData, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile </h5>

                                     @if($totalCPM_driver < $sum_count_getLoadCPM_data)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($totalCPM_driver > $sum_count_getLoadCPM_data)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if($totalCPM_driver > $sum_count_getLoadCPM_data)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-right  ">

                                   {{number_format((float)@$totalCPM_driver, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM</td>
                                <td class="text-right">
                                    @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                    @endphp

                                   {{number_format((float)intval(@$sum_count_getLoadCPM_data), 2, '.', '')}}

                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                    @php $dataminallcpm = intval($sum_count_getLoadCPM_data) - $totalCPM_driver; @endphp

                                      {{number_format((float)@$dataminallcpm, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal </h5>


                                    @if($main_unitatgoal < $totcount_countfleetoccgoal)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($main_unitatgoal > $totcount_countfleetoccgoal)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if($main_unitatgoal > $totcount_countfleetoccgoal)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50"><strong> {{number_format((float)@$main_unitatgoal, 2, '.', '')}}</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Fleet Occupancy </td>
                                    <td class="text-center w-50"><strong>{{@round($sum_count_fleet_occupancy)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal </td>
                                <td class="text-center w-50"><strong><!-- {{number_format((float)@$sum_tot_actualreve_divide_by, 2, '.', '')}} --> {{@round($sum_tot_actualreve_divide_by)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                   <!--  {{number_format((float)$sum_tot_actualreve_divide_by - $totcount_countfleetoccgoal, 2, '.', '')}} -->

                                    {{@round($sum_tot_actualreve_divide_by - $totcount_countfleetoccgoal)}}%</strong></td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy </h5>

                                     @if($all_divide_quarterly_occupancy_totdata < $totcount_countfleetoccgoal)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($all_divide_quarterly_occupancy_totdata > $totcount_countfleetoccgoal)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                    <!-- @if($all_sum_quarterly_occupancy > $totalfleet_occupancy)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50"><strong><!-- {{number_format((float)$all_divide_quarterly_occupancy_totdata, 2, '.', '')}}  --> {{@round($all_divide_quarterly_occupancy_totdata)}}%</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>
                                {{@round($sum_count_fleet_occupancy)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                @php $totoccupanyData = $totcount_countfleetoccgoal - @$all_divide_quarterly_occupancy_totdata;  @endphp
                               <!--  {{number_format((float)$totoccupanyData, 2, '.', '')}} --> {{@round($totoccupanyData)}}%</strong></td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table gauge-table   w-100 table-bordered">

                         <tbody>
                             <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>

                                        <figure class="highcharts-figure1">
                                          <div id="maincontainer1"></div>

                                        </figure> </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage</span>

                                        <figure class="highcharts-figure2">
                                          <div id="maincontainer2"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                        <figure class="highcharts-figure3">
                                          <div id="maincontainer3"></div>

                                        </figure>
                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                        <figure class="highcharts-figure4">
                                          <div id="maincontainer4"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <div style="border: 1px solid black; margin:8px 0">
                        <table class="cs-table  revenue-band-table m-0 w-100 ">
                            <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                            </thead>
                           <tbody>
                                <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_sum_3000Lower}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_3000to4000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_4000to5000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_5000to6000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_6000to7000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_greater_then_seven}}</strong></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            @php $i='1'; @endphp
            @foreach($loadDriverdata as $dataArrayset)
            @php $colorcode = "#" . rand(100,1000);

                 $base_enco = base64_encode($dataArrayset['teamId']);
            @endphp

            <div class="col-md-6 col-lg-3 md-4">
                <div class="card">
                    <div class="card-header " style="background-color:{{@$colorcode}}">

                             {{@$dataArrayset['Drivername']}}
                    </div>
                    <table class="cs-table   w-100 fleet-content">

                        <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                    ${{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                    {{number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                        </thead>
                          <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{@$dataArrayset['active_driverdatanew']}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                     {{@$dataArrayset['inactive_driverdatanew']}}
                                </td>
                            </tr>
                           <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                     {{(@$dataArrayset['active_driverdatanew']) + ($dataArrayset['inactive_driverdatanew'])}}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">

                                    ${{@number_format((float)$dataArrayset['revenue'], 2, '.', '')}}<!-- 11-april-2022{{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}} -->
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">

                                     {{@round($dataArrayset['mileagePerunit'])}}
                                </td>
                            </tr>
                            <tr>
                                <td>CPM Per Unit</td>
                                <td class="text-right">
                                     ${{number_format((float)@intval($dataArrayset['getLoadCPM_data']), 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue

                                    @if(@$dataArrayset['revenuOccData'] < @$dataArrayset['revenueperUnit'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['revenuOccData'] > @$dataArrayset['revenueperUnit'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif
<!--
                                    @if(@$dataArrayset['OccupancyreveData'] > @$dataArrayset['revenue'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                    </h5>
                                </th>
                            </tr>
                        </thead>
                       <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-right  ">
                                   ${{@number_format((float)$dataArrayset['revenuOccData'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-right">
                                     ${{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">

                                @php $counttotRev = ($dataArrayset['revenueperUnit']) - ($dataArrayset['revenuOccData']);  @endphp
                                  {{@number_format((float)$counttotRev, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage

                                    @if(@$dataArrayset['total_occupancy_miles'] < @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                 <!--    @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->

                                    </h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-right  ">

                                {{number_format((float)@$dataArrayset['total_occupancy_miles'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-right">

                                     {{@round(@$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])}}

                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                         @php $actualMileDataall =
                                         ($dataArrayset['actual_milecount_total_occupancy_miles_datanew']) -
                                         ($dataArrayset['total_occupancy_miles']);  @endphp
                                    {{number_format((float)@$actualMileDataall, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile

                                    @if(@$dataArrayset['target_CPM'] < intval(@$dataArrayset['getLoadCPM_data']))

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['target_CPM'] >  intval(@$dataArrayset['getLoadCPM_data']))

                                        <div class="valu-content  l-tike"> </div>

                                    @endif
<!--
                                    @if(@$dataArrayset['target_CPM'] > @$dataArrayset['getLoadCPM_data'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif
 -->
                                     </h5>
                                </th>
                            </tr>
                        </thead>
                       <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-right  ">

                                     {{number_format((float)@$dataArrayset['target_CPM'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM</td>
                                <td class="text-right">
                                    @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                    @endphp

                                    {{number_format((float)@intval($dataArrayset['getLoadCPM_data']), 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">

                                     @php

                                    // dd($dataArrayset['getLoadCPM_data'], $dataArrayset['target_CPM']);
                                     $dataminallcpmper =
                                     intval($dataArrayset['getLoadCPM_data']) -
                                     intval($dataArrayset['target_CPM']); @endphp

                                      {{number_format((float)@$dataminallcpmper, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal

                                    @if(@$dataArrayset['unitatgoalData'] < @$dataArrayset['fleet_occupancy'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                   @if(@$dataArrayset['unitatgoalData'] > @$dataArrayset['fleet_occupancy'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                  <!--   @if(@$dataArrayset['unitatgoalData'] > @$dataArrayset['fleet_occupancy'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                    </h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50"><strong> {{number_format((float)@$dataArrayset['unitatgoalData'], 2, '.', '')}} </strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['fleet_occupancy'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal </td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['actualreve_divide_by'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                    @php $countReveData = $dataArrayset['actualreve_divide_by'] - @$dataArrayset['fleet_occupancy'] ; @endphp

                            {{@round($countReveData)}}%</strong></td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy

                                    @if($dataArrayset['divide_quarterly_occupancy_totdata'] < @$dataArrayset['countfleetoccgoal'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($dataArrayset['divide_quarterly_occupancy_totdata'] > @$dataArrayset['countfleetoccgoal'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                    <!--  @if($dataArrayset['divide_quarterly_occupancy_totdata'] > @$dataArrayset['quarterly_occupancy'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif
 -->
                                     </h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50"><strong>
                                {{@round($dataArrayset['divide_quarterly_occupancy_totdata'])}}%</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy </td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['fleet_occupancy'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong> @php $fleet_occ = ($dataArrayset['countfleetoccgoal']);

                                     $quarterly_occ = ($dataArrayset['divide_quarterly_occupancy_totdata']);

                                     $minsOcc = $fleet_occ - $quarterly_occ;
                                 @endphp

                           {{@round($minsOcc)}}%</strong></td>
                            </tr>


                        </tbody>
                    </table>

                    <table class="cs-table gauge-table   w-100 table-bordered">

                         <tbody>
                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>

                                         <figure class="highcharts-figure1">
                                          <div id="container1{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>
                                    </div>
                                </td>

                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage </span>

                                        <figure class="highcharts-figure2">
                                          <div id="container2{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                            <figure class="highcharts-figure3">
                                          <div id="container3{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                         <figure class="highcharts-figure4">
                                          <div id="container4{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <div style="border: 1px solid black; margin:8px 0">
                        <table class="cs-table  revenue-band-table m-0 w-100  ">
                            <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                            </thead>
                            <tbody>
                               <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['three_Lower']}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['threeTofour']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['fourTofive']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['fiveTosix']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['sixToseven']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['greater_then_seven']}}</strong></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
<!--                 <figure class="highcharts-figure">
                    <div id="container{{@$i}}"></div>
                    <p class="highcharts-description">

                    </p>
                </figure> -->
            </div>
            <script>

            ///// start 1st /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container1{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Target Revenue: ${{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}} </strong><strong> Actual Revenue: ${{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}],
                   // data: [{{@number_format((float)$sum_count_OccupancyreveData, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}</span>$<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 1st //


                 ///// start 2nd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container2{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Target Miles: {{@number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}} </strong><strong> Actual Miles: {{number_format((float)@$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{number_format((float)@$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}],
                  //  data: [{{@number_format((float)$actualMileData, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{number_format((float)@$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 2nd //

                ///// start 3rd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container3{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> CPM: {{@number_format((float)$dataminallcpmper, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataminallcpmper, 2, '.', '')}}],
                  //  data: [{{@number_format((float)$dataArrayset['getLoadCPM_data'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataminallcpmper, 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 3rd //

                ///// start 4th /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container4{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$dataArrayset['divide_quarterly_occupancy_totdata'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Occupancy: {{@number_format((float)$dataArrayset['divide_quarterly_occupancy_totdata'], 2, '.', '')}} %</strong><strong>Fleet Occupancy: {{@number_format((float)$dataArrayset['countfleetoccgoal'], 2, '.', '')}} %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataArrayset['countfleetoccgoal'], 2, '.', '')}}],
                   // data: [{{@number_format((float)$totoccupanyData, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataArrayset['countfleetoccgoal'], 2, '.', '')}}</span>%<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 4th //
                </script>
            @php $i++; @endphp
            @endforeach
                  <script type="text/javascript">

///// start 1st /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer1', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$tot_count_revenue_target_new, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Target Revenue: ${{@number_format((float)$tot_count_revenue_target_new, 2, '.', '')}} </strong><strong> Actual Revenue: ${{@number_format((float)$sumcount_revenueperUnit_totalTeam_actual, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$sumcount_revenueperUnit_totalTeam_actual, 2, '.', '')}}],
                    //data: [{{@number_format((float)$dataArrayset['OccupancyreveData'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$sumcount_revenueperUnit_totalTeam_actual, 2, '.', '')}}</span>$<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 1st //

            ///// start 2nd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer2', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$sum_divide_tot_total_target_miles, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Target Miles: {{@number_format((float)$sum_divide_tot_total_target_miles, 2, '.', '')}} </strong><strong> Actual Miles: {{@number_format((float)$active_driverData, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$active_driverData, 2, '.', '')}}],
                    //data: [{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$active_driverData, 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 2nd //

            ///// start 3rd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer3', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> CPM: {{@number_format((float)$dataminallcpm, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataminallcpm, 2, '.', '')}}],
                   // data: [{{@number_format((float)$sum_count_getLoadCPM_data, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataminallcpm, 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 3rd //

            ///// start 4th /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer4', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$all_divide_quarterly_occupancy_totdata, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong> Occupancy: {{@number_format((float)$all_divide_quarterly_occupancy_totdata, 2, '.', '')}} %</strong><strong> Fleet Occupancy: {{@number_format((float)$sum_count_fleet_occupancy, 2, '.', '')}} %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$sum_count_fleet_occupancy, 2, '.', '')}}],
                   // data: [{{@number_format((float)$minsOcc, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$sum_count_fleet_occupancy, 2, '.', '')}}</span>%<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 4th //
</script>
