{!! Form::open(array('route' => 'company.admin.teams.store','method'=>'POST','files'=>'true','class'=>'storeTeamForm')) !!}
    <div class="modal-body">
        <h5 class="body-title mb-0">Information</h5>
        <div class="row">
            <div class="col-8 py-3">
                <div class="form-group">
                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'placeholder' => 'Team Name', 'autocomplete' => 'new')) !!}
                    <span class="error name_error text-danger"></span>
                </div>
                <div class="form-group">
                    {!! Form::select('head_id', ['' => 'Team Lead']+$dispatcherList, null, ['class' => 'custom-select form-control']) !!}
                </div>
            </div>
            <div class="col-4">
                <div class="choose-file m-0">
                    <div class="image-wrapper">
                        <label class="label" for="input">No file selected.</label>
                        <div class="input">
                            {!! Form::file('image', ['class' => 'form-control', 'id' => 'file']) !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
        <button class="btn blue-btn">Add New</button>
    </div>
{!! Form::close() !!}
