@php $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY); @endphp
@if (!empty($teams))
    @foreach ($teams as $team)
        <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="white-box py-5">
                <span class="grid-img">
                    @if (!is_null($team->image))
                        <img src="{{ asset('storage/companyAdmin/team/'.$team->image) }}" class="" alt="Uploaded file" id="" width="100" style="opacity: 1;">
                    @endif
                </span>
                <h5>
                    @if (!is_null($team->dispatcher))
                        {{ $team->dispatcher->first_name }} {{ $team->dispatcher->last_name }}
                    @else
                        -
                    @endif
                </h5>
                <span>{{ $team->name }}</span>
                <ul>
                    <li class="btn btn-sm btn-outline-black-action edit-btn" data-id="{{ $team->id }}" data-toggle="modal" data-target="#editTeamModal">
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </li>
                    <li class="btn btn-sm btn-outline-black-trash destroy" data-action="{{ route('company.admin.teams.destroy',$team->id) }}" data-id="{{ $team->id }}">
                        <i class="fa fa-trash" aria-hidden="true"></i>
                    </li>
                </ul>
                <div class="row grid-partition">
                    <div class="col-6">
                        <h4>{{ $team->drivers()->count() }}</h4>
                        <span>Drivers</span>
                    </div>
                    <div class="col-6">
                        <h4>{{ $fmt->formatCurrency($team->getLifeTimeRevenue(), "USD") ?? '$0.00' }}</h4>
                        <span>Earnings</span>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@endif
