<div class="row pb-2" data-last-index="{{ $rowIndex }}">
    <div class="col-md-2 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="title" class="mb-1">Title</label>
            @endif
            {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $equipment_additional_item->company_equipment_title_id ?? null, [
                    'class'             => 'form-control select2'
                ]
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="qty" class="mb-1">Qty</label>
            @endif
            {!! Form::text('qty[]', $equipment_additional_item->qty ?? null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter'
                )
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="value" class="mb-1">Value</label>
            @endif
            <div class="input-group pre-append">
                <div class="input-group-prepend">
                    <span class="input-group-text">$</span>
                </div>
                {!! Form::text('value[]', $equipment_additional_item->value ?? null, array(
                        'class'         => 'form-control integer-input comma-integer-input',
                        'placeholder'   => 'Enter'
                    )
                ) !!}
            </div>
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="description" class="mb-1">Description</label>
            @endif
            {!! Form::text('description[]', $equipment_additional_item->description ?? null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter'
                )
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="entered-by" class="mb-1">Entered By</label>
            @endif
            {!! Form::text('entered_by[]', $equipment_additional_item->entered_by ?? null, array(
                    'class'             => 'form-control',
                    'placeholder'       => 'Enter'
                )
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="date-entered" class="mb-1">Date Entered</label>
            @endif
            <div class="input-group">
                {!! Form::text('date_entered[]', $equipment_additional_item->date_entered ?? null, array(
                        'class'         => 'form-control date',
                        'placeholder'   => 'Enter'
                    )
                ) !!}
                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
            </div>
        </div>
    </div>
    <div class="pl-1 @if($rowIndex == 0) mt-4 @endif">
        <div class="form-group d-flex">
            @if(isset($equipment_additional_item))
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                @if($isLast)
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                @endif
            @else
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            @endif
        </div>
    </div>
</div>
