@if(count($getLog))
<?php $i=1; ?>
<table class="table load-table" >
    <tr>
        <th>No.</th>
        <th>Due On</th>
        <th>Completed On</th>
        <th>Description</th>
        <th>Waranty On</th>
        <th>Files</th>
        <th>Action</th>
    </tr>
  @foreach ($getLog as $log)
    <tr >
      <td>{{ $i }}</td>
      @if($log->due_date)
        <td>Date: {{ $log->due_date }}</td>
      @else
        <td>Miles: {{ $log->due_miles }}</td>
      @endif
      @if($log->due_date)
        <td>Date: {{ $log->completed_date }}</td>
      @else
        <td>Miles: {{ $log->miles_at_completion }}</td>
      @endif
      <td>{{ $log->description }}</td>
      @if($log->waranty_date)
        <td>Date: {{ $log->waranty_date }}</td>
      @else
        <td>Miles: {{ $log->waranty_miles }}</td>
      @endif
      
      <td>
        
        @if(count($log->Uploadfile) > 0)
        <?php print_r($log->Uploadfile); exit('awec'); ?>
        @foreach($log->Uploadfile as $filedata)
        
        <a href="javascript:void(0);" data-toggle="modal" class="fileenewm" data-target="#loadModal{{$filedata->id}}">{{ $filedata->name }}</a>
        <div class="modal fade teamModal" id="loadModal{{$filedata->id}}" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadModalLabel">{{ $filedata->name }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <?php 
                            $file_path = asset('/storage/companyAdmin/trailerfile').'/'.$filedata->file;
                            $type = \File::extension($file_path);

                        ?>
                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                           <a href="{{ asset($file_path) }}" target="_blank" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid mb-2"></a>
                        @else
                            <a href="{{ asset($file_path) }}"  target="_blank" class="btn btn-outline-primary">{{ $filedata->name }}</a>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        @endforeach
        @endif
      </td>

      <td>
        <div class="custom-control custom-switch iscomshw">
            <input class="custom-control-input isCompleted" data-action="{{ route('company.admin.trailer.maintenance.is.completed',$log->id) }}" <?php if($log->is_completed == 1){ echo 'checked'; } ?> data-id="3" id="is_completed{{ $log->id }}" name="is_completed" type="checkbox" value="{{ $log->id }}">
            <label class="custom-control-label" for="is_completed{{ $log->id }}" title="Mark As Completed"></label>
        </div>
        <a href="javascript:void(0);" class="destroyAjax" data-action="{{ route('company.admin.trailer.maintenance-data.delete',$log->id) }}" data-id="3"><img class="delete-icon" src="{{ asset('theme/img/delete-icon.png') }}" alt=""></a>
      </td>

    </tr>
    <?php $i++; ?>
  @endforeach
</table>
@else
<p><strong>Files Record Not Found.</strong></p>
@endif

<script type="text/javascript">
    $("body").on("click", ".destroyAjax", function () {
        var current_object = $(this);
        Swal.fire({
            title: "Are you sure?",
            text: "You won't be able to revert this!",
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "Yes, delete it!",
        }).then((result) => {
            if (result.value) {
                $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                var action = current_object.attr('data-action');
                var id = current_object.attr('data-id');
                var token = $("input[name='_token']").val();

                $.ajax({
                  url: action,
                  method: "delete",
                  data: { _token : token , id : id},
                  success: function(response) {
                     toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                     getMaintenanceData();
                  }
               }); 
            }
        });
    });
    $("body").on("click", ".isCompleted", function () {
        var current_object = $(this);
        //$("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
        var action = current_object.attr('data-action');
        var id = current_object.attr('data-id');
        var token = $("input[name='_token']").val();

        $.ajax({
          url: action,
          method: "delete",
          data: { _token : token , id : id},
          success: function(response) {
             toastr.success('Status updated', 'Success Alert', {timeOut: 5000})
             //getMaintenanceData();
          }
       }); 
    });
</script>