<table class="table  w-100 mt-0">
    <tr>
        <th>Sr.No.</th>
        <th>Action</th>
        <th>Truck Number</th>
        <th>Provider</th>
        <th>Provider ID</th>
        <th>Action Date Time</th>
    </tr>
    @forelse($transponderHistory as $history)
        <tr>
            <td>{{ $loop->iteration ?? '' }}</td>
            <td>{{ $history->action ?? '' }}</td>
            <td>{{ $history->truck_number ?? '' }}</td>
            @if($history->provider == 'ez-pass')
                <td>EZPass</td>
            @elseif($history->provider == 'pre-pass')
                <td>PrePass</td>
            @elseif($history->provider == 'best-pass')
                <td>BestPass</td>
            @endif
            <td>{{ $history->provider_id ?? '' }}</td>
            <td>{{ convertTimeToUSERzone(['str' => $history->action_date_time,'toFormat' => getTimeLayout(),'fromFormat' => 'm/d/Y H:i']) ?? '' }}</td>
        </tr>
    @empty
        <tr class="text-center">
            <td colspan="6" class="text-danger">No record found.</td>
        </tr>
    @endforelse
</table>

