<div class="left-menu ngd-left-menu ">
    <a href="{{ route('company.admin.home') }}" class="left-logo">
        <img src="{{ asset('theme/img/logo.png') }}" alt="Logo">
    </a>
    <div class="left-responsive">
        <ul>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-dashboard-icon.png") }}');"></span>
                </a>
            </li>
            @if(hasPermission(config('settings.company_admin_modules.reports'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.loads.by.week.index') }}">
                        <span style="background-image: url('{{ asset("theme/images/left-dispatch-hub-icon.png") }}');"></span>
                    </a>
                </li>
            @endif
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-loads-selected-icon.png") }}');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-user-icon.png") }}');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-calendar-icon.png") }}');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-chat-icon.png") }}');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('{{ asset("theme/images/left-brief-icon.png") }}');"></span>
                </a>
            </li>
        </ul>
        <ul class="left-bottom">
            <li>
                <div class="dropup">
                    <a
                        href="javascript:void(0);"
                        id="dropdownMenuButton"
                        data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false">
                        <span style="background-image: url('{{ asset("theme/images/left-settion-icon.png") }}');"></span>
                    </a>
                    <div class="dropdown-menu setting-menu" aria-labelledby="dropdownMenuLink">
                        <a
                            class="dropdown-item setting-menu-item"
                            href="{{ route('company.admin.integration.index') }}">
                            <i class="fa fa-cloud-download"></i> App Center
                        </a>
                        <a
                            class="dropdown-item setting-menu-item"
                            href="{{ route('company.admin.notifications-status.index') }}">
                            <i class="fa fa-bell"></i> Notifications
                        </a>
                        @if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1')
                            <a class="dropdown-item setting-menu-item" href="{{ route('company.admin.setting.index') }}"><i class="fa fa-industry" ></i> Company Setting</a>
                        @endif
                        <a
                            class="dropdown-item setting-menu-item"
                            href="{{ route('company.admin.account.index') }}">
                            <i class="fa fa-toggle-on"></i> Account Setting
                        </a>
                    </div>
                </div>
            </li>
            <li class="">
                <a href="javascript:void(0);" class="menuToggle">
                    <span style="background-image: url('{{ asset("theme/images/left-menu-icon.png") }}');"></span>
                </a>
            </li>
        </ul>
    </div>
</div>

{{--  start left menu  --}}
@if(auth()->guard('company-admin')->user())
    <div class="left-menu-open ngdNew-left-menu left-menu-open-left
        {{
            Request::is('company-admin/usage*') ||
            Request::is('company-admin/chart-of-accounts') ||
            Request::is('company-admin/dispatch-pro-announcement*') ||
            Request::is('company-admin/announcement*') ||
            Request::is('company-admin/email-templates*') ||
            Request::is('company-admin/pdf-templates*') ||
            Request::is('company-admin/roles*') ||
            Request::is('company-admin/galleries*') ||
            Request::is('company-admin/request-documents*') ||

            Request::is('company-admin/maintenance-appointment-types*') ||
            Request::is('company-admin/maintenance-ticket-types*') ||
            Request::is('company-admin/trailer-types*') ||
            Request::is('company-admin/truck-types*') ||

            Request::is('company-admin/trailer-groups*') ||
            Request::is('company-admin/truck-groups*') ||

            Request::is('company-admin/driver-hos-violation-code*') ||
            Request::is('company-admin/driver-citations-violation-code*') ||
            Request::is('company-admin/driver-accident-violation-code*') ||
            Request::is('company-admin/driver-inspection-level*') ||
            Request::is('company-admin/driver-disciplinary-action*') ||

            Request::is('company-admin/company-holiday*') ||
            Request::is('company-admin/leave-type*') ||
            Request::is('company-admin/manage-type*') ||

            Request::is('company-admin/load-document*') ||
            Request::is('company-admin/load-requirements-items*') ||

            Request::is('company-admin/accessorial*') ||
            Request::is('company-admin/commodity*') ||
            Request::is('company-admin/terms*') ||

            Request::is('company-admin/work-order-documents*') ||
            Request::is('company-admin/safety-and-compliance-documents*') ||
            Request::is('company-admin/onboarding-documents*') ||
            Request::is('company-admin/deduction-names*') ||
            Request::is('company-admin/recruiting-source*') ||

            Request::is('company-admin/insurance-types*') ||
            Request::is('company-admin/pm-types*') ||
            Request::is('company-admin/pm-service-types*') ||
            Request::is('company-admin/pm-warranty-providers*') ||
            Request::is('company-admin/equipment-titles*') ||
            Request::is('company-admin/document-titles*') ||
            
            Request::is('company-admin/drop-locations*') ||

            Request::is('company-admin/truck-insurance-profiles*') ||
            Request::is('company-admin/truck-pm-service-profiles*')  ||
            Request::is('company-admin/truck-equipment-profiles*') ||
            Request::is('company-admin/truck-on-board-document-profiles*') ||
            Request::is('company-admin/truck-warranty-profiles*') ||

            Request::is('company-admin/trailer-insurance-profiles*') ||
            Request::is('company-admin/trailer-pm-service-profiles*')  ||
            Request::is('company-admin/trailer-equipment-profiles*') ||
            Request::is('company-admin/trailer-on-board-document-profiles*') ||
            Request::is('company-admin/trailer-warranty-profiles*') ||

            Request::is('company-admin/integration-settings')
            ? '' : 'menu-close' }}">
@else
    <div class="left-menu-open ngdNew-left-menu left-menu-open-left menu-close">
@endif
        <div class="left-responsive-open">
            <ul class="left-menus">
                <li>
                    <a href="javascript:void(0);"><b>Admin Setting</b></a>
                </li>
                <li>
                    <a href="javascript:void(0);">Company</a>
                </li>
                <li>
                    <a href="javascript:void(0);">Billing and Subscription</a>
                </li>
                @if(hasPermission(config('settings.company_admin_modules.usage'),config('settings.permissions.view')))
                    <li>
                        <div class="dropdown {{ Request::is('company-admin/usage*') ? 'show' : '' }}">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Usage
                            </button>
                            <div class="dropdown-menu {{ Request::is('company-admin/usage*') ? 'show' : '' }}" aria-labelledby="dropdownMenuButton1">
                                <a href="{{ route('company.admin.usage.email.index') }}" class="dropdown-item {{ Request::is('company-admin/usage/email*') ? 'active' : '' }}">Email</a>
                                <a href="{{ route('company.admin.usage.sms.index') }}" class="dropdown-item {{ Request::is('company-admin/usage/sms*') ? 'active' : '' }}">SMS</a>
                            </div>
                        </div>
                    </li>
                @endif
                <li>
                    <div class="dropdown {{ Request::is('company-admin/chart-of-accounts*') ? 'show' : '' }}">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Accounting
                        </button>
                        <div class="dropdown-menu {{ Request::is('company-admin/chart-of-accounts*') ? 'show' : '' }}" aria-labelledby="dropdownMenuButton2">
                            @if(hasPermission(config('settings.company_admin_modules.chart_of_accounts'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.chart-of-accounts.index') }}" class="dropdown-item {{ Request::is('company-admin/chart-of-accounts*') ? 'active' : '' }}">Chart Of Account</a>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <a href="javascript:void(0);">Operations</a>
                </li>
                <li>
                    <a href="javascript:void(0);">Events</a>
                </li>
                @if(
                    hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view')) ||
                    hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view'))
                )
                <li>
                    <div class="dropdown {{ Request::is('company-admin/dispatch-pro-announcement*') || Request::is('company-admin/announcement*') ? 'show' : '' }}">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Announcements
                        </button>
                        <div class="dropdown-menu {{ Request::is('company-admin/dispatch-pro-announcement*') || Request::is('company-admin/announcement*') ? 'show' : '' }}" aria-labelledby="dropdownMenuButton1">
                            @if(hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.compel.announcement.index') }}" class="dropdown-item {{ Request::is('company-admin/dispatch-pro-announcement*') ? 'active' : '' }}">Dispatch Pro Announcement</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.announcement.index') }}" class="dropdown-item {{ Request::is('company-admin/announcement*') ? 'active' : '' }}">
                                    @if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1')
                                        Company Announcement
                                    @else
                                        Company Announcement
                                    @endif
                                </a>
                            @endif
                        </div>
                    </div>
                </li>
                @endif
                @if(
                    hasPermission(config('settings.company_admin_modules.email_templates'),config('settings.permissions.view')) ||
                    hasPermission(config('settings.company_admin_modules.pdf_templates'),config('settings.permissions.view'))
                )
                    <li>
                        <div class="dropdown 
                            {{ 
                                Request::is('company-admin/email-templates*') || 
                                Request::is('company-admin/pdf-templates*') 
                            ? 'show' : '' }}">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Templates
                            </button>
                            <div class="dropdown-menu {{ 
                                Request::is('company-admin/email-templates*') ||
                                Request::is('company-admin/pdf-templates*')
                            ? 'show' : '' }}" aria-labelledby="dropdownMenuButton1">
                                @if(hasPermission(config('settings.company_admin_modules.email_templates'),config('settings.permissions.view')))
                                    <a href="{{ route('company.admin.email-templates.index') }}" class="dropdown-item {{ Request::is('company-admin/email-templates*') ? 'active' : '' }}">Email Templates</a>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.pdf_templates'),config('settings.permissions.view')))
                                    <a href="{{ route('company.admin.pdf-templates.index') }}" class="dropdown-item {{ Request::is('company-admin/pdf-templates*') ? 'active' : '' }}">Pdf Templates</a>
                                @endif
                            </div>
                        </div>
                    </li>
                @endif
                @if(hasPermission(config('settings.company_admin_modules.roles'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.role.index') }}" class="{{ Request::is('company-admin/roles*') ? 'active' : '' }}"> Roles and Permissions</a>
                </li>
                @endif
                @if(hasPermission(config('settings.company_admin_modules.request_documents'),config('settings.permissions.view')))
                    <li>
                        <a href="{{ route('company.admin.request-documents.index') }}" class="{{ (Request::is('company-admin/request-documents*') || Request::is('company-admin/galleries*')) ? 'active' : '' }}">Request Document</a>
                    </li>
                @endif
                @if(
                    hasPermission(config('settings.company_admin_modules.insurance_profiles'),config('settings.permissions.view')) || 
                    hasPermission(config('settings.company_admin_modules.pm_service_profiles'),config('settings.permissions.view')) || 
                    hasPermission(config('settings.company_admin_modules.equipment_profiles'),config('settings.permissions.view')) ||
                    hasPermission(config('settings.company_admin_modules.on_board_document_profiles'),config('settings.permissions.view')) ||
                    
                    hasPermission(config('settings.company_admin_modules.trailer_insurance_profiles'),config('settings.permissions.view')) || 
                    hasPermission(config('settings.company_admin_modules.trailer_pm_service_profiles'),config('settings.permissions.view')) || 
                    hasPermission(config('settings.company_admin_modules.trailer_equipment_profiles'),config('settings.permissions.view')) ||
                    hasPermission(config('settings.company_admin_modules.trailer_on_board_document_profiles'),config('settings.permissions.view'))
                )
                <li class="mb-0">
                    <a class="accordion-heading" data-toggle="collapse" data-target="#submenu1">
                        <span class="nav-header-primary">Profiles</span>
                    </a>
                    <ul class="nav nav-list collapse {{ (
                            Request::is('company-admin/truck-insurance-profiles*') || 
                            Request::is('company-admin/truck-pm-service-profiles*') || 
                            Request::is('company-admin/truck-equipment-profiles*') || 
                            Request::is('company-admin/truck-on-board-document-profiles*') ||
                            Request::is('company-admin/truck-warranty-profiles*') ||

                            Request::is('company-admin/trailer-insurance-profiles*') || 
                            Request::is('company-admin/trailer-pm-service-profiles*') || 
                            Request::is('company-admin/trailer-equipment-profiles*') || 
                            Request::is('company-admin/trailer-on-board-document-profiles*') ||
                            Request::is('company-admin/trailer-warranty-profiles*')
                        ) ? 'show' : '' }}" id="submenu1">
                        <li class="mb-0">
                            <a class="accordion-heading" data-toggle="collapse" data-target="#submenu2">Truck Profiles</a>
                            <ul class="nav nav-list collapse {{ (
                                    Request::is('company-admin/truck-insurance-profiles*') || 
                                    Request::is('company-admin/truck-pm-service-profiles*') || 
                                    Request::is('company-admin/truck-equipment-profiles*') || 
                                    Request::is('company-admin/truck-on-board-document-profiles*') ||
                                    Request::is('company-admin/truck-warranty-profiles*')
                                ) ? 'show' : '' }}" id="submenu2">
                                @if(hasPermission(config('settings.company_admin_modules.insurance_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.truck-insurance-profiles.index') }}" class="{{ Request::is('company-admin/truck-insurance-profiles*') ? 'active' : '' }}">Insurance Profiles</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.pm_service_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.truck-pm-service-profiles.index') }}" class="{{ Request::is('company-admin/truck-pm-service-profiles*') ? 'active' : '' }}">PM Maintenance & Services</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.equipment_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.truck-equipment-profiles.index') }}" class="{{ Request::is('company-admin/truck-equipment-profiles*') ? 'active' : '' }}">Tools, Equipment & Accessories</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.on_board_document_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.truck-on-board-document-profiles.index') }}" class="{{ Request::is('company-admin/truck-on-board-document-profiles*') ? 'active' : '' }}">On Board Document Profiles</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.warranty_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.truck-warranty-profiles.index') }}" class="{{ Request::is('company-admin/truck-warranty-profiles*') ? 'active' : '' }}">Warranty Profiles</a>
                                    </li>
                                @endif
                            </ul>
                        </li>
                        <li class="mb-0">
                            <a class="accordion-heading" data-toggle="collapse" data-target="#submenu3">Trailer Profiles</a>
                            <ul class="nav nav-list collapse {{ (
                                    Request::is('company-admin/trailer-insurance-profiles*') || 
                                    Request::is('company-admin/trailer-pm-service-profiles*') || 
                                    Request::is('company-admin/trailer-equipment-profiles*') || 
                                    Request::is('company-admin/trailer-on-board-document-profiles*') ||
                                    Request::is('company-admin/trailer-warranty-profiles*')
                                ) ? 'show' : '' }}" id="submenu3">
                                @if(hasPermission(config('settings.company_admin_modules.trailer_insurance_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.trailer-insurance-profiles.index') }}" class="{{ Request::is('company-admin/trailer-insurance-profiles*') ? 'active' : '' }}">Insurance Profiles</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.trailer_pm_service_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.trailer-pm-service-profiles.index') }}" class="{{ Request::is('company-admin/trailer-pm-service-profiles*') ? 'active' : '' }}">PM Maintenance & Services</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.trailer_equipment_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.trailer-equipment-profiles.index') }}" class="{{ Request::is('company-admin/trailer-equipment-profiles*') ? 'active' : '' }}">Tools, Equipment & Accessories</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.trailer_on_board_document_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.trailer-on-board-document-profiles.index') }}" class="{{ Request::is('company-admin/trailer-on-board-document-profiles*') ? 'active' : '' }}">On Board Document Profiles</a>
                                    </li>
                                @endif
                                @if(hasPermission(config('settings.company_admin_modules.trailer_warranty_profiles'),config('settings.permissions.view')))
                                    <li class="mb-0">
                                        <a href="{{ route('company.admin.trailer-warranty-profiles.index') }}" class="{{ Request::is('company-admin/trailer-warranty-profiles*') ? 'active' : '' }}">Warranty Profiles</a>
                                    </li>
                                @endif
                            </ul>
                        </li>
                    </ul>
                </li>
                @endif
                <li>
                    <div class="dropdown
                        {{
                            Request::is('company-admin/maintenance-appointment-types*') ||
                            Request::is('company-admin/maintenance-ticket-types*') ||
                            Request::is('company-admin/trailer-types*') ||
                            Request::is('company-admin/truck-types*') ||

                            Request::is('company-admin/trailer-groups*') ||
                            Request::is('company-admin/truck-groups*') ||

                            Request::is('company-admin/driver-hos-violation-code*') ||
                            Request::is('company-admin/driver-citations-violation-code*') ||
                            Request::is('company-admin/driver-accident-violation-code*') ||
                            Request::is('company-admin/driver-inspection-level*') ||
                            Request::is('company-admin/driver-disciplinary-action*') ||

                            Request::is('company-admin/company-holiday*') ||
                            Request::is('company-admin/leave-type*') ||
                            Request::is('company-admin/manage-type*') ||

                            Request::is('company-admin/load-document*') ||
                            Request::is('company-admin/load-requirements-items*') ||

                            Request::is('company-admin/accessorial*') ||
                            Request::is('company-admin/commodity*') ||
                            Request::is('company-admin/terms*') ||

                            Request::is('company-admin/work-order-documents*') ||
                            Request::is('company-admin/safety-and-compliance-documents*') ||
                            Request::is('company-admin/onboarding-documents*') ||
                            Request::is('company-admin/deduction-names*') ||
                            Request::is('company-admin/recruiting-source*') ||

                            Request::is('company-admin/insurance-types*') ||
                            Request::is('company-admin/pm-types*') ||
                            Request::is('company-admin/pm-service-types*') ||
                            Request::is('company-admin/pm-warranty-providers*') ||
                            Request::is('company-admin/equipment-titles*') ||
                            Request::is('company-admin/document-titles*') ||

                            Request::is('company-admin/drop-locations*')
                        ? 'show' : '' }}">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                             Lists
                        </button>
                        <div class="dropdown-menu
                            {{
                                Request::is('company-admin/maintenance-appointment-types*') ||
                                Request::is('company-admin/maintenance-ticket-types*') ||
                                Request::is('company-admin/trailer-types*') ||
                                Request::is('company-admin/truck-types*') ||

                                Request::is('company-admin/trailer-groups*') ||
                                Request::is('company-admin/truck-groups*') ||

                                Request::is('company-admin/driver-hos-violation-code*') ||
                                Request::is('company-admin/driver-citations-violation-code*') ||
                                Request::is('company-admin/driver-accident-violation-code*') ||
                                Request::is('company-admin/driver-inspection-level*') ||
                                Request::is('company-admin/driver-disciplinary-action*') ||

                                Request::is('company-admin/company-holiday*') ||
                                Request::is('company-admin/leave-type*') ||
                                Request::is('company-admin/manage-type*') ||

                                Request::is('company-admin/load-document*') ||
                                Request::is('company-admin/load-requirements-items*') ||

                                Request::is('company-admin/accessorial*') ||
                                Request::is('company-admin/commodity*') ||
                                Request::is('company-admin/terms*') ||

                                Request::is('company-admin/work-order-documents*') ||
                                Request::is('company-admin/safety-and-compliance-documents*') ||
                                Request::is('company-admin/onboarding-documents*') ||
                                Request::is('company-admin/deduction-names*') ||
                                Request::is('company-admin/recruiting-source*') ||

                                Request::is('company-admin/insurance-types*') ||
                                Request::is('company-admin/pm-types*') ||
                                Request::is('company-admin/pm-service-types*') ||
                                Request::is('company-admin/pm-warranty-providers*') ||
                                Request::is('company-admin/equipment-titles*') ||
                                Request::is('company-admin/document-titles*') ||

                                Request::is('company-admin/drop-locations*')
                                ? 'show' : '' }}" aria-labelledby="dropdownMenuButton">
                            @if(hasPermission(config('settings.company_admin_modules.maintenance_ticket_types'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.maintenance-appointment-types.index') }}" class="dropdown-item {{ Request::is('company-admin/maintenance-appointment-types*') ? 'active' : '' }}">Maintenance App Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.maintenance_ticket_types'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.maintenance-ticket-types.index') }}" class="dropdown-item {{ Request::is('company-admin/maintenance-ticket-types*') ? 'active' : '' }}">Maintenance Ticket Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.trailer_types'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/trailer-types*') ? 'active' : '' }}" href="{{ route('company.admin.trailer-types.index') }}">Trailers Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.truck_types'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/truck-types*') ? 'active' : '' }}" href="{{ route('company.admin.truck-types.index') }}">Truck Types</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.trailer_groups'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/trailer-groups*') ? 'active' : '' }}" href="{{ route('company.admin.trailer-groups.index') }}">Trailers Groups</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.truck_groups'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/truck-groups*') ? 'active' : '' }}" href="{{ route('company.admin.truck-groups.index') }}">Truck Groups</a>
                            @endif

                            @if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.driver-hos-violation-code.index') }}" class="dropdown-item {{ Request::is('company-admin/driver-hos-violation-code*') ? 'active' : '' }}">Violations - Drivers </a>
                                <a href="{{ route('company.admin.driver-citations-violation-code.index') }}" class="dropdown-item {{ Request::is('company-admin/driver-citations-violation-code*') ? 'active' : '' }}">Violations - Citations </a>
                                <a href="{{ route('company.admin.driver-accident-violation-code.index') }}" class="dropdown-item {{ Request::is('company-admin/driver-accident-violation-code*') ? 'active' : '' }}">Violations - Accident</a>
                                <a href="{{ route('company.admin.driver-inspection-level.index') }}" class="dropdown-item {{ Request::is('company-admin/driver-inspection-level*') ? 'active' : '' }}">Inspection Levels </a>
                                <a class="dropdown-item {{ Request::is('company-admin/driver-disciplinary-action*') ? 'active' : '' }}" href="{{ route('company.admin.driver-disciplinary-action.index') }}">Disciplinary Action</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.company_holiday'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.company-holiday.index') }}" class="dropdown-item {{ Request::is('company-admin/company-holiday*') ? 'active' : '' }}">Holidays</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.leave_type'),config('settings.permissions.view')) || hasPermission(config('settings.company_admin_modules.leave_type'),config('settings.permissions.edit')))
                                <a href="{{ route('company.admin.leave-type.index') }}" class="{{ Request::is('company-admin/leave-type*') ? 'active' : '' }} dropdown-item"> Leave Type</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.manage_type'),config('settings.permissions.view')))
                                <a href="{{ route('company.admin.manage-type.index') }}" class="dropdown-item {{ Request::is('company-admin/manage-type*') ? 'active' : '' }}">Manage Type</a>
                            @endif
                            
                            @if(hasPermission(config('settings.company_admin_modules.load_document'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/load-document*') ? 'active' : '' }}" href="{{ route('company.admin.load-document.index') }}">Load Document</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.load_requirements_items'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/load-requirements-items*') ? 'active' : '' }}" href="{{ route('company.admin.load-requirements-items.index') }}">Load Requirements Items</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.accessorial'),config('settings.permissions.view')))
                              <a class="dropdown-item {{ Request::is('company-admin/accessorial*') ? 'active' : '' }}" href="{{ route('company.admin.accessorial.index') }}">Accessorial</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.commodity'),config('settings.permissions.view')))
                              <a class="dropdown-item {{ Request::is('company-admin/commodity*') ? 'active' : '' }}" href="{{ route('company.admin.commodity.index') }}">Commodity</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.terms'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/terms*') ? 'active' : '' }}" href="{{ route('company.admin.terms.index') }}">Terms</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.work_orders'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/work-order-documents*') ? 'active' : '' }}" href="{{ route('company.admin.work-order-documents.index') }}">Work Order Documents</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.safety_compliance'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/safety-and-compliance-documents*') ? 'active' : '' }}" href="{{ route('company.admin.safety-and-compliance-documents.index') }}">Safety And Compliance</br>Documents</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.onboarding'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/onboarding-documents*') ? 'active' : '' }}" href="{{ route('company.admin.onboarding-documents.index') }}">Onboarding Documents</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.deduction_names'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/deduction-names*') ? 'active' : '' }}" href="{{ route('company.admin.deduction-names.index') }}">Deduction Names</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.recruiting_source'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/recruiting-source*') ? 'active' : '' }}" href="{{ route('company.admin.recruiting-source.index') }}">Recruiting Source</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.insurance_types'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/insurance-types*') ? 'active' : '' }}" href="{{ route('company.admin.insurance-types.index') }}">Insurance Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.pm_types'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/pm-types*') ? 'active' : '' }}" href="{{ route('company.admin.pm-types.index') }}">PM Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.pm_service_types'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/pm-service-types*') ? 'active' : '' }}" href="{{ route('company.admin.pm-service-types.index') }}">PM Service Types</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.pm_warranty_providers'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/pm-warranty-providers*') ? 'active' : '' }}" href="{{ route('company.admin.pm-warranty-providers.index') }}">PM Warranty Providers</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.equipment_titles'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/equipment-titles*') ? 'active' : '' }}" href="{{ route('company.admin.equipment-titles.index') }}">Equipment Titles</a>
                            @endif
                            @if(hasPermission(config('settings.company_admin_modules.document_titles'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/document-titles*') ? 'active' : '' }}" href="{{ route('company.admin.document-titles.index') }}">Document Titles</a>
                            @endif

                            @if(hasPermission(config('settings.company_admin_modules.drop_locations'),config('settings.permissions.view')))
                                <a class="dropdown-item {{ Request::is('company-admin/drop-locations*') ? 'active' : '' }}" href="{{ route('company.admin.drop-locations.index') }}">Drop Location</a>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <a href="javascript:void(0);" class="">Payroll</a>
                </li>
                <li class="mb-5">
                    <a href="{{ route('company.admin.integration.index') }}" class="">App Center</a>
                </li>
            </ul>
        </div>
</div>
