@if($widget['slug']=='occupancy' || $widget['slug']=='revenue' || $widget['slug']=='cpm')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
                <span class="headingDate"></span>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="w" data-type="filter">Current Week</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="m" data-type="filter">Current Month</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="y" data-type="filter">Current Year</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='trailer_type')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='company_stats' || $widget['slug']=='driver_per_team' || $widget['slug']=='target_actual_revenue' || $widget['slug']=='loads_stats' || $widget['slug']=='notes' || $widget['slug']=='loads_in_transit')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget @if($widget['slug']=='notes') widget-notes @endif" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='revenue_by_team' || $widget['slug']=='revenue_by_trailer_type')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
                <span class="headingDate"></span>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="w" data-type="filter">Current Week</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="m" data-type="filter">Current Month</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-range="y" data-type="filter">Current Year</a></li>
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='revenue_actual_vs_goal' || $widget['slug']=='revenue_occupancy_vs_goal' || $widget['slug']=='revenue_occupancy')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='events')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='compel_announcements')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                    <li><a href="{{ route('driver.admin.compel.announcement.index') }}">View More</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@elseif ($widget['slug']=='company_announcements')
    <div class="card" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}">
        <div class="card--header">
            <div>
                <h2>{{ $widget['name'] }}</h2>
            </div>
            <div class="btn-group chartmenu">
                <button type="button" class="btn btn-default fa fa-bars" data-toggle="dropdown" aria-haspopup="true">
                    <span class="sr-only">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="javascript:void(0);" data-id="{{ $widget['id'] }}" data-slug="{{ $widget['slug'] }}" data-type="delete">Delete</a></li>
                    <li><a href="{{ route('driver.admin.announcement.index') }}">View More</a></li>
                </ul>
            </div>
        </div>
        <div class="card--body">
            <div class="chart-block">
                <div class="add-widget" id="w_{{ $widget['slug'] }}">
                    <div class="loadingdiv">
                        <img src="{{ asset('theme/img/loading.gif') }}">
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif
