@if(isset($param['is_stop']) && $param['is_stop']==1)
	@if(isset($param['is_view']) && $param['is_view']==1)
		<form id="detentionForm" name="detentionForm" class="form-horizontal">
			<div class="detail-block">
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver)?$driver->full_name:''}}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>
							@php
								$addresses 			= [];
							@endphp
							@if(isset($stop->address_one) && $stop->address_one!=='')
								@php
									$addresses[] 	= $stop->address_one;
								@endphp
							@endif
							@if(isset($stop->address_two) && $stop->address_two!=='')
								@php
									$addresses[] 	= $stop->address_two;
								@endphp
							@endif
							@if(isset($stop->city) && $stop->city!=='')
								@php
									$addresses[] 	= $stop->city;
								@endphp
							@endif
							@if(isset($stop->state) && $stop->state!=='')
								@php
									$addresses[] 	= $stop->state;
								@endphp
							@endif
							@if(isset($stop->zip) && $stop->zip!=='')
								@php
									$addresses[] 	= $stop->zip;
								@endphp
							@endif
							{{ implode(', ', $addresses) }}
						</span>
					</label>
				</div>
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
			<!-- 'abbr' => $timezone_abbr -->
			@php
				$timezone_abbr 		= isset($stop->timezone_abbr)?$stop->timezone_abbr:'';
				$bracket 			= '';
				if($timezone_abbr!=''){
					$bracket 		= '('.$timezone_abbr.')';
				}
			@endphp
			@php
				$arrived_at 		= isset($stop->arrived_at)?convertTimeToUSERzone(['str' => $stop->arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				$detention_status 	= isset($detention->detention_status)?$detention->detention_status:0;
				if(isset($detention->detention_start_time)){
					$startTime 		= convertTimeToUSERzone(['str' => $detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
				}else{
					$startTime 		= '';
				}
				$endTime 			= isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
			@endphp
			<div class="form-group mb-0">
				<label class="control-label arrival_time_label" data-arrival_time="{{ $arrived_at }}">Arrival Time {{ $bracket }} :
					<span>
						{{ $arrived_at }}
					</span>
				</label>
			</div>
			<div class="form-group mb-0">
				<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} :
					<span>
						{{ $startTime }}
					</span>
				</label>
			</div>
			@if(in_array($detention_status,[2,3]))
				<div class="form-group mb-0">
					<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} :
						<span>
							{{ $endTime }}
						</span>
					</label>
				</div>
			@else
				<div class="form-group mb-0">
					<label class="control-label end_time_label">End Time {{ $bracket }} :
					</label>
				</div>
			@endif
			<div class="form-group">
				<label>Time Lapsed: <span class="time-lapsed">00:00</span></label>
			</div>
			@if($detention_status==1)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
				</div>
			@elseif($detention_status==2)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<?php /*
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: In Progress</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: In Progress</p>
					@endif
					*/ ?>
				</div>
			@elseif($detention_status==3)
				<div class="modal-footer footer-block justify-content-between">
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: Pending Review</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: Pending Review</p>
					@endif
				</div>
			@else
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: New</p>
				</div>
			@endif
		</form>
	@else
		<form id="detentionForm" name="detentionForm" class="form-horizontal">
			<input type="hidden" name="id" value="{{ $stop->id }}">
			<input type="hidden" name="is_stop" value="{{ (isset($param['is_stop']) && $param['is_stop']==1)?1:0 }}">
			<input type="hidden" name="detention_id" value="{{ isset($detention)?$detention->id:'' }}">
			<input type="hidden" name="driver_id" value="{{ isset($driver)?$driver->id:'' }}">
			<input type="hidden" name="broker_id" value="{{ isset($broker)?$broker->id:'' }}">
			<div class="detail-block">
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver)?$driver->full_name:''}}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>
							@php
								$addresses 			= [];
							@endphp
							@if(isset($stop->address_one) && $stop->address_one!=='')
								@php
									$addresses[] 	= $stop->address_one;
								@endphp
							@endif
							@if(isset($stop->address_two) && $stop->address_two!=='')
								@php
									$addresses[] 	= $stop->address_two;
								@endphp
							@endif
							@if(isset($stop->city) && $stop->city!=='')
								@php
									$addresses[] 	= $stop->city;
								@endphp
							@endif
							@if(isset($stop->state) && $stop->state!=='')
								@php
									$addresses[] 	= $stop->state;
								@endphp
							@endif
							@if(isset($stop->zip) && $stop->zip!=='')
								@php
									$addresses[] 	= $stop->zip;
								@endphp
							@endif
							{{ implode(', ', $addresses) }}
						</span>
					</label>
				</div>
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
			<!-- 'abbr' => $timezone_abbr -->
			@php
				$timezone_abbr 		= isset($stop->timezone_abbr)?$stop->timezone_abbr:'';
				$bracket 			= '';
				if($timezone_abbr!=''){
					$bracket 		= '('.$timezone_abbr.')';
				}
			@endphp
			@php
				$arrived_at 		= isset($stop->arrived_at)?convertTimeToUSERzone(['str' => $stop->arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				$detention_status 	= isset($detention->detention_status)?$detention->detention_status:0;
				if(isset($detention->detention_start_time)){
					$startTime 		= convertTimeToUSERzone(['str' => $detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
				}else{
					$startTime 		= '';
				}
				$endTime 			= isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
			@endphp
			<div class="form-group mb-0">
				<label class="control-label arrival_time_label" data-arrival_time="{{ $arrived_at }}">Arrival Time {{ $bracket }} :
					<span>
						{{ $arrived_at }}
					</span>
				</label>
			</div>
			@if($detention_status==0)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==1)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
					<div class="col-md-4 end_time_div d-none">
						<div class="form-group">
							<label class="control-label end_time_label">End Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_end_time" value="" onPaste="return false" readonly="true">
							<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
						</div>
						<div id="detention_end_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==2)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_end_time" value="{{ $endTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_end_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
						</div>
						<div id="detention_end_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==3)
				<div class="form-group mb-0">
					<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} :
						<span>
							{{ $startTime }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} :
						<span>
							{{ $endTime }}
						</span>
					</label>
				</div>
			@endif
			<div class="form-group">
				<label>Time Lapsed: <span class="time-lapsed">00:00</span></label>
			</div>
			@if($detention_status==0)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: New</p>
					<div>
						<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel Detention Request</button>
						<button type="button" class="btn btn-success detention-submit" data-detention_status="1">Start</button>
					</div>
				</div>
			@elseif($detention_status==1)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<div>
						@if(isset($detention->review_status) && $detention->review_status=='Pending')
							<button type="button" class="btn btn-danger detention-submit" data-detention_status="0">Cancel Detention Request</button>
						@endif
						<button type="button" class="btn btn-warning detention-continue" data-dismiss="modal">Continue</button>
						<button type="button" class="btn btn-success detention-submit detention-stop-and-submit" data-detention_status="2">Stop</button>
						<button type="button" class="btn btn-success detention-submit detention-submit-for-review d-none" data-detention_status="3">Submit for review</button>
					</div>
				</div>
			@elseif($detention_status==2)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<?php /*
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: In Progress</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: In Progress</p>
					@endif
					*/ ?>
					<div>
						@if(isset($detention->review_status) && $detention->review_status=='Pending')
							<button type="button" class="btn btn-danger detention-submit" data-detention_status="0">Cancel Detention Request</button>
						@endif
						<button type="button" class="btn btn-success detention-submit" data-detention_status="3">Submit for review</button>
					</div>
				</div>
			@elseif($detention_status==3)
				<div class="modal-footer footer-block justify-content-between">
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: Pending Review</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: Pending Review</p>
					@endif
				</div>
			@endif
		</form>
	@endif
@else
	@if(isset($param['is_view']) && $param['is_view']==1)
		<form id="detentionForm" name="detentionForm" class="form-horizontal">
			<div class="detail-block">
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver)?$driver->full_name:''}}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>
							@if(isset($param['shipper_is_arrived']) && $param['shipper_is_arrived']==1)
								@php
									$addresses 			= [];
								@endphp
								@if(isset($loadDetail->shipper_address_one) && $loadDetail->shipper_address_one!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_address_one;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_address_two) && $loadDetail->shipper_address_two!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_address_two;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_city) && $loadDetail->shipper_city!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_city;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_state) && $loadDetail->shipper_state!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_state;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_zip) && $loadDetail->shipper_zip!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_zip;
									@endphp
								@endif
								{{ implode(', ', $addresses) }}
							@else
								@php
									$addresses 			= [];
								@endphp
								@if(isset($loadDetail->delivery_address_one) && $loadDetail->delivery_address_one!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_address_one;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_address_two) && $loadDetail->delivery_address_two!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_address_two;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_city) && $loadDetail->delivery_city!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_city;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_state) && $loadDetail->delivery_state!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_state;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_zip) && $loadDetail->delivery_zip!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_zip;
									@endphp
								@endif
								{{ implode(', ', $addresses) }}
							@endif
						</span>
					</label>
				</div>
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
			<!-- 'abbr' => $timezone_abbr -->
			@if(isset($param['shipper_is_arrived']) && $param['shipper_is_arrived']==1)
				@php
					$timezone_abbr 	= isset($loadDetail->shipper_timezone_abbr)?$loadDetail->shipper_timezone_abbr:'';
					$bracket 		= '';
					if($timezone_abbr!=''){
						$bracket 	= '('.$timezone_abbr.')';
					}
				@endphp
				@php
					$arrived_at 	= isset($loadDetail->shipper_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->shipper_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				@endphp
			@else
				@php
					$timezone_abbr 	= isset($loadDetail->delivery_timezone_abbr)?$loadDetail->delivery_timezone_abbr:'';
					$bracket 		= '';
					if($timezone_abbr!=''){
						$bracket 	= '('.$timezone_abbr.')';
					}
				@endphp
				@php
					$arrived_at 	= isset($loadDetail->delivery_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->delivery_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				@endphp
			@endif
			@php
				$detention_status 	= isset($detention->detention_status)?$detention->detention_status:0;
				if(isset($detention->detention_start_time)){
					$startTime 		= convertTimeToUSERzone(['str' => $detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
				}else{
					$startTime 		= '';
				}
				$endTime 			= isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
			@endphp
			<div class="form-group mb-0">
				<label class="control-label arrival_time_label" data-arrival_time="{{ $arrived_at }}">Arrival Time {{ $bracket }} :
					<span>
						{{ $arrived_at }}
					</span>
				</label>
			</div>
			<div class="form-group mb-0">
				<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} :
					<span>
						{{ $startTime }}
					</span>
				</label>
			</div>
			@if(in_array($detention_status,[2,3]))
				<div class="form-group mb-0">
					<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} :
						<span>
							{{ $endTime }}
						</span>
					</label>
				</div>
			@else
				<div class="form-group mb-0">
					<label class="control-label end_time_label">End Time {{ $bracket }} :
					</label>
				</div>
			@endif
			<div class="form-group">
				<label>Time Lapsed: <span class="time-lapsed">00:00</span></label>
			</div>
			@if($detention_status==1)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
				</div>
			@elseif($detention_status==2)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<?php /*
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: In Progress</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: In Progress</p>
					@endif
					*/ ?>
				</div>
			@elseif($detention_status==3)
				<div class="modal-footer footer-block justify-content-between">
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: Pending Review</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: Pending Review</p>
					@endif
				</div>
			@else
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: New</p>
				</div>
			@endif
		</form>
	@else
		<form id="detentionForm" name="detentionForm" class="form-horizontal">
			<input type="hidden" name="id" value="{{ $loadDetail->id }}">
			<input type="hidden" name="is_stop" value="{{ (isset($param['is_stop']) && $param['is_stop']==1)?1:0 }}">
			<input type="hidden" name="detention_id" value="{{ isset($detention)?$detention->id:'' }}">
			<input type="hidden" name="driver_id" value="{{ isset($driver)?$driver->id:'' }}">
			<input type="hidden" name="broker_id" value="{{ isset($broker)?$broker->id:'' }}">
			<input type="hidden" name="shipper_is_arrived" value="{{ (isset($param['shipper_is_arrived']) && $param['shipper_is_arrived']==1)?1:0 }}">
			<input type="hidden" name="delivery_is_arrived" value="{{ (isset($param['delivery_is_arrived']) && $param['delivery_is_arrived']==1)?1:0 }}">
			<div class="detail-block">
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver)?$driver->full_name:''}}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>
							@if(isset($param['shipper_is_arrived']) && $param['shipper_is_arrived']==1)
								@php
									$addresses 			= [];
								@endphp
								@if(isset($loadDetail->shipper_address_one) && $loadDetail->shipper_address_one!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_address_one;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_address_two) && $loadDetail->shipper_address_two!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_address_two;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_city) && $loadDetail->shipper_city!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_city;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_state) && $loadDetail->shipper_state!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_state;
									@endphp
								@endif
								@if(isset($loadDetail->shipper_zip) && $loadDetail->shipper_zip!=='')
									@php
										$addresses[] 	= $loadDetail->shipper_zip;
									@endphp
								@endif
								{{ implode(', ', $addresses) }}
							@else
								@php
									$addresses 			= [];
								@endphp
								@if(isset($loadDetail->delivery_address_one) && $loadDetail->delivery_address_one!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_address_one;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_address_two) && $loadDetail->delivery_address_two!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_address_two;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_city) && $loadDetail->delivery_city!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_city;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_state) && $loadDetail->delivery_state!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_state;
									@endphp
								@endif
								@if(isset($loadDetail->delivery_zip) && $loadDetail->delivery_zip!=='')
									@php
										$addresses[] 	= $loadDetail->delivery_zip;
									@endphp
								@endif
								{{ implode(', ', $addresses) }}
							@endif
						</span>
					</label>
				</div>
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
			<!-- 'abbr' => $timezone_abbr -->
			@if(isset($param['shipper_is_arrived']) && $param['shipper_is_arrived']==1)
				@php
					$timezone_abbr 	= isset($loadDetail->shipper_timezone_abbr)?$loadDetail->shipper_timezone_abbr:'';
					$bracket 		= '';
					if($timezone_abbr!=''){
						$bracket 	= '('.$timezone_abbr.')';
					}
				@endphp
				@php
					$arrived_at 	= isset($loadDetail->shipper_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->shipper_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				@endphp
			@else
				@php
					$timezone_abbr 	= isset($loadDetail->delivery_timezone_abbr)?$loadDetail->delivery_timezone_abbr:'';
					$bracket 		= '';
					if($timezone_abbr!=''){
						$bracket 	= '('.$timezone_abbr.')';
					}
				@endphp
				@php
					$arrived_at 	= isset($loadDetail->delivery_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->delivery_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
				@endphp
			@endif
			@php
				$detention_status 	= isset($detention->detention_status)?$detention->detention_status:0;
				if(isset($detention->detention_start_time)){
					$startTime 		= convertTimeToUSERzone(['str' => $detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
				}else{
					$startTime 		= '';
				}
				$endTime 			= isset($detention->detention_end_time)?convertTimeToUSERzone(['str' => $detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
			@endphp
			<div class="form-group mb-0">
				<label class="control-label arrival_time_label" data-arrival_time="{{ $arrived_at }}">Arrival Time {{ $bracket }} :
					<span>
						{{ $arrived_at }}
					</span>
				</label>
			</div>
			@if($detention_status==0)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==1)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
					<div class="col-md-4 end_time_div d-none">
						<div class="form-group">
							<label class="control-label end_time_label">End Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_end_time" value="" onPaste="return false" readonly="true">
							<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
						</div>
						<div id="detention_end_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==2)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_start_time" value="{{ $startTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
						</div>
						<div id="detention_start_time-errors"></div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} : </label>
							<input type="text" class="form-control" name="detention_end_time" value="{{ $endTime }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_end_time-errors" required>
							<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
						</div>
						<div id="detention_end_time-errors"></div>
					</div>
				</div>
			@elseif($detention_status==3)
				<div class="form-group mb-0">
					<label class="control-label start_time_label" data-start_time="{{ $startTime }}">Start Time {{ $bracket }} :
						<span>
							{{ $startTime }}
						</span>
					</label>
				</div>
				<div class="form-group mb-0">
					<label class="control-label end_time_label" data-end_time="{{ $endTime }}">End Time {{ $bracket }} :
						<span>
							{{ $endTime }}
						</span>
					</label>
				</div>
			@endif
			<div class="form-group">
				<label>Time Lapsed: <span class="time-lapsed">00:00</span></label>
			</div>
			@if($detention_status==0)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: New</p>
					<div>
						<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel Detention Request</button>
						<button type="button" class="btn btn-success detention-submit" data-detention_status="1">Start</button>
					</div>
				</div>
			@elseif($detention_status==1)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<div>
						@if(isset($detention->review_status) && $detention->review_status=='Pending')
							<button type="button" class="btn btn-danger detention-submit" data-detention_status="0">Cancel Detention Request</button>
						@endif
						<button type="button" class="btn btn-warning detention-continue" data-dismiss="modal">Continue</button>
						<button type="button" class="btn btn-success detention-submit detention-stop-and-submit" data-detention_status="2">Stop</button>
						<button type="button" class="btn btn-success detention-submit detention-submit-for-review d-none" data-detention_status="3">Submit for review</button>
					</div>
				</div>
			@elseif($detention_status==2)
				<div class="modal-footer footer-block justify-content-between">
					<p>Status: In Progress</p>
					<?php /*
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: In Progress</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: In Progress</p>
					@endif
					*/ ?>
					<div>
						@if(isset($detention->review_status) && $detention->review_status=='Pending')
							<button type="button" class="btn btn-danger detention-submit" data-detention_status="0">Cancel Detention Request</button>
						@endif
						<button type="button" class="btn btn-success detention-submit" data-detention_status="3">Submit for review</button>
					</div>
				</div>
			@elseif($detention_status==3)
				<div class="modal-footer footer-block justify-content-between">
					@if(isset($detention->review_status))
						@if($detention->review_status=='Pending')
							<p>Status: Pending Review</p>
						@else
							<p>Review Status: {{ $detention->review_status }}</p>
						@endif
					@else
						<p>Status: Pending Review</p>
					@endif
				</div>
			@endif
		</form>
	@endif
@endif