<div class="col-12">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_files"><i class="fa fa-plus"></i> Load Files</h4>
        @else
            <h4 class="box-title">Load Files</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_files">
        @else
            <div class="box-padding">
        @endif
            <div class="row">
                <div class="col-md-8">
                    <div class="table-responsive" id="loadfile">
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <form action="{{ route('driver.admin.loads.file.view.save') }}" method="post" enctype="multipart/form-data" class="filesave" autocomplete="off">
                        <input type="hidden" name="load_id" value="{{ $loadDetail->load_id }}">
                        @csrf
                        <div class="form-group">
                            <label>File Name</label>
                            <input type="text" name="filename" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <div class="drop-zone">
                                <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                <input type="file" name="file[]" class="drop-zone__input" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Note</label>
                            <textarea class="form-control" id="filenote" name="filenote"></textarea>
                        </div>
                        <button class="green-btn notes-btn w-100" >Upload</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>