<div class="col-md-6">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_load_miles_finances"><i class="fa fa-plus"></i> Load Miles and Finances</h4>
        @else
            <h4 class="box-title">Load Miles and Finances</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_load_miles_finances">
        @else
            <div class="box-padding">
        @endif
            <div class="row">
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Pay: 
                            <span>
                                {{ isset($loadDetail->total_bill)? '$'.formatNumberWithoutZeros($loadDetail->total_bill) : '' }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Total Miles: 
                            <span>
                                {{ isset($loadDetail->total_miles) ? formatNumberWithoutZeros($loadDetail->total_miles) : '' }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">CPM: 
                            <span>
                                @php
                                    $actualCPM      = 0;
                                @endphp
                                @if($loadDetail->driver_revenue > 0 && $loadDetail->total_miles > 0)
                                    @php
                                        $actualCPM  = $loadDetail->driver_revenue/$loadDetail->total_miles;
                                    @endphp
                                @endif
                                @php
                                    $actualCPM      = min(100, $actualCPM);
                                @endphp
                                {{ formatNumberWithoutZeros($actualCPM) }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Trailer Number: 
                            <span>
                                {{ isset($loadDetail->trailer_number)? $loadDetail->trailer_number : '#######' }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Trailer Type: 
                            <span>
                                {{ $gtypeLabel }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Weight: 
                            <span>
                                {{ isset($loadDetail->weight) ? $loadDetail->weight:'#######' }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Temp: 
                            <span>
                                {{ isset($loadDetail->temp) ? $loadDetail->temp :'#######' }}
                            </span>
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>