<div class="col-md-6">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_required_docs"><i class="fa fa-plus"></i> Required Docs</h4>
        @else
            <h4 class="box-title">Required Docs</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_required_docs">
        @else
            <div class="box-padding">
        @endif
            @if(in_array($loadDetail->load_status,[0,1,2,3,11]))
                @if($loadDetail->load_status!=3)
                    @php
                        $docs_count     = array_sum(array_map("count", $reDocsArry));
                    @endphp
                    @if($docs_count > 0)
                        @foreach ($reDocsArry as $type => $docs)
                            @if(!empty($docs))
                                <p style="margin-bottom: 0px;">
                                    @if($type=='shipper')
                                        When Shipper
                                    @elseif($type=='consignee')
                                        When Consignee
                                    @elseif($type=='accessorial')
                                        When Accessorial
                                    @endif
                                </p>
                                <ul style="margin-left: 20px;margin-bottom: 5px;">
                                @foreach ($docs as $fkey => $doc)
                                    <li style="list-style: disc;">{{ $doc }}</li>
                                @endforeach
                                </ul>
                            @endif
                        @endforeach
                    @else
                        <p>No Required Documents for this load</p>
                    @endif
                @else
                    @php
                        $upload_docs                = [];
                        if(isset($loadDetail->shipper_files) && is_serialized($loadDetail->shipper_files) && !empty(unserialize($loadDetail->shipper_files))){
                            $upload_docs            = array_filter(unserialize($loadDetail->shipper_files));
                        }else{
                            if(isset($loadDetail->broker->shipper_files) && is_serialized($loadDetail->broker->shipper_files) && !empty(unserialize($loadDetail->broker->shipper_files))){
                                $upload_docs        = array_filter(unserialize($loadDetail->broker->shipper_files));
                            }else{
                                $upload_docs        = array_filter(unserialize(config('settings.shipper_files')));
                            }
                        }
                        $uploaded_docs              = unserialize($loadDetail->shipper_files_upload);
                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                            $uploaded_docs          = [];
                        }
                        $docs_count                 = array_sum(array_map("count", $upload_docs));

                        $shipper_accessorials      = $loadDetail->shipper_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                    @endphp
                    @if($docs_count > 0 || $shipper_accessorials->isNotEmpty())
                        @if($loadDetail->shipper_is_arrived==1)
                            <form action="{{ route('driver.admin.loads.required.file.save') }}" method="post" enctype="multipart/form-data" class="required-file-save" autocomplete="off">
                                @csrf
                                <input type="hidden" name="id" value="{{ $loadDetail->load_id }}">
                                <input type="hidden" name="type" value="Pickup">
                                <p>When Shipper</p>
                                <div class="row">
                                    @foreach ($upload_docs as $ukey => $docs)
                                        @php
                                            $searchkey  = array_search($docs['name'], array_column($uploaded_docs, 'name'));
                                        @endphp
                                        @if($searchkey!==false && isset($uploaded_docs[$searchkey]))
                                            @php
                                                $docs   = $uploaded_docs[$searchkey];
                                            @endphp
                                        @endif
                                        <div class="col-md-12">
                                            <div class="form-group row">
                                                <input type="hidden" name="upload_docs[name][{{ $ukey }}]" value="{{ $docs['name'] }}">
                                                <input type="hidden" name="upload_docs[type][{{ $ukey }}]" value="{{ $docs['type'] }}">
                                                <input type="hidden" name="upload_docs[fixed][{{ $ukey }}]" value="{{ ($docs['fixed']=='yes')?'yes':'no' }}">
                                                <input type="hidden" name="upload_docs[is_required][{{ $ukey }}]" value="{{ $docs['is_required'] }}">
                                                <input type="hidden" name="upload_docs[custom][{{ $ukey }}]" value="{{ $docs['custom'] ?? 'no' }}">
                                                @if($docs['fixed'] == 'yes')
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $docs['name'] }} -
                                                        <span class="text-red">
                                                            @if($docs['type'] == 1) Copy @else Original @endif
                                                        </span>
                                                    </label>
                                                @else
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $docs['name'] }} -
                                                        <span class="text-red">
                                                            @if($docs['type'] == 1) Copy @else Original @endif
                                                        </span>
                                                    </label>
                                                @endif
                                                <div class="col-md-7">
                                                    @if($docs['type'] == 1)
                                                        <!--  -->
                                                        @if($docs['is_required'] == 'on')
                                                            @if(isset($docs['file']) && !empty($docs['file']))
                                                                <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                            @else
                                                                @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on')
                                                                    <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                @else
                                                                    <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple required>
                                                                @endif
                                                                <label class="col-form-label">
                                                                    <input type="checkbox" class="form-control loadregucheck notprodfile" name="upload_docs[file_not_provided][{{ $ukey }}]" @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on') checked @endif> Not provided
                                                                </label>
                                                            @endif
                                                        @else
                                                            <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                        @endif
                                                        <!--  -->
                                                        @if(isset($docs['file']) && !empty($docs['file']))
                                                            @foreach($docs['file'] as $document)
                                                                <input type="hidden" name="upload_docs[file_exists][{{ $ukey }}][]" value="{{ $document }}">
                                                                @php
                                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                    $type       = \File::extension($file_path);
                                                                @endphp
                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                @else
                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                        <!--  -->
                                                    @else
                                                        @if(isset($docs['is_received']))
                                                            <div class="radio-div">
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on" @if(isset($docs['is_received']) && $docs['is_received'] == 'on') checked @endif> Received
                                                                </label>&nbsp;
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" @if(isset($docs['is_received']) && $docs['is_received'] == 'off') checked @endif> Not Received
                                                                </label>
                                                            </div>
                                                        @else
                                                            <div class="radio-div">
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on"> Received
                                                                </label>&nbsp;
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" checked> Not Received
                                                                </label>
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                @if($shipper_accessorials->isNotEmpty())
                                    <p>When Accessorial</p>
                                    <div class="row">
                                        @foreach ($shipper_accessorials as $lakey => $node)
                                            <div class="col-md-12">
                                                <div class="form-group row">
                                                    <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][id]" value="{{ $node->id }}">
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $node->company_accessorial->name }}
                                                    </label>
                                                    <div class="col-md-7">
                                                        @if(isset($node->gallery))
                                                            <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                        @else
                                                            @if(isset($node->file_not_provided) && $node->file_not_provided == 'on')
                                                                <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                            @else
                                                                <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple required data-parsley-fileextension="jpg, jpeg, png, gif">
                                                            @endif
                                                            <label class="col-form-label">
                                                                <input type="checkbox" class="form-control loadregucheck notprodfile" name="accessorial_upload_docs[{{ $lakey }}][file_not_provided]" @if(isset($node->file_not_provided) && $node->file_not_provided == 'on') checked @endif> Not provided
                                                            </label>
                                                        @endif
                                                        <!--  -->
                                                        @if(isset($node->gallery))
                                                            <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][file_exists][]" value="{{ $node->gallery->id }}">
                                                            @php
                                                                $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                                $type       = \File::extension($file_path);
                                                            @endphp
                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                               <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                            @else
                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                            @endif
                                                        @endif
                                                        <!--  -->
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                @endif
                                <button class="green-btn notes-btn w-100 mb-3 mt-2">Upload</button>
                            </form>
                        @else
                            <p style="margin-bottom: 0px;">When Shipper</p>
                            <ul style="margin-left: 20px;margin-bottom: 5px;">
                                @foreach ($upload_docs as $ukey => $doc)
                                    <li style="list-style: disc;">{{ $doc['name'] }}</li>
                                @endforeach
                            </ul>
                            @if($shipper_accessorials->isNotEmpty())
                                <p style="margin-bottom: 0px;">When Accessorial</p>
                                @php
                                    $accessorial_array                  = [];
                                @endphp
                                <ul style="margin-left: 20px;margin-bottom: 5px;">
                                    @foreach ($shipper_accessorials as $key => $node)
                                        @if(isset($node->company_accessorial->name) && !in_array($node->company_accessorial->name,$accessorial_array))
                                            @php
                                                $accessorial_array[]    = $node->company_accessorial->name;
                                            @endphp
                                            <li style="list-style: disc;">{{ $node->company_accessorial->name }}</li>
                                        @endif
                                    @endforeach
                                </ul>
                            @endif
                        @endif
                    @else
                        <p>No Required Documents for this load</p>
                    @endif
                @endif
            @elseif($loadDetail->load_status==4)
                @php
                    $totalStop          = $loadDetail->loads->load_stops->count();
                @endphp
                @if($totalStop>0)
                    @php
                        $completeStop   = $loadDetail->loads->load_stops->whereIn('status', [1,2])->count();
                    @endphp
                    {{-- $loadDetail->loads->load_stops->whereIn('status', [1])->count(); --}}
                    @if($totalStop==$completeStop)
                        @php
                            $upload_docs                = [];
                            if(isset($loadDetail->consignee_files) && is_serialized($loadDetail->consignee_files) && !empty(unserialize($loadDetail->consignee_files))){
                                $upload_docs            = array_filter(unserialize($loadDetail->consignee_files));
                            }else{
                                if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                    $upload_docs        = array_filter(unserialize($loadDetail->broker->consignee_files));
                                }else{
                                    $upload_docs        = array_filter(unserialize(config('settings.consignee_files')));
                                }
                            }
                            $uploaded_docs              = unserialize($loadDetail->consignee_files_upload);
                            if(is_null($uploaded_docs) || empty($uploaded_docs)){
                                $uploaded_docs          = [];
                            }
                            $docs_count                 = array_sum(array_map("count", $upload_docs));

                            $receiver_accessorials     = $loadDetail->receiver_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                        @endphp
                        @if($docs_count > 0 || $receiver_accessorials->isNotEmpty())
                            @if($loadDetail->delivery_is_arrived==1)
                                <form action="{{ route('driver.admin.loads.required.file.save') }}" method="post" enctype="multipart/form-data" class="required-file-save" autocomplete="off">
                                    @csrf
                                    <input type="hidden" name="id" value="{{ $loadDetail->load_id }}">
                                    <input type="hidden" name="type" value="Delivery">
                                    <p>When Consignee</p>
                                    <div class="row">
                                        @foreach ($upload_docs as $ukey => $docs)
                                            @php
                                                $searchkey  = array_search($docs['name'], array_column($uploaded_docs, 'name'));
                                            @endphp
                                            @if($searchkey!==false && isset($uploaded_docs[$searchkey]))
                                                @php
                                                    $docs   = $uploaded_docs[$searchkey];
                                                @endphp
                                            @endif
                                            <div class="col-md-12">
                                                <div class="form-group row">
                                                    <input type="hidden" name="upload_docs[name][{{ $ukey }}]" value="{{ $docs['name'] }}">
                                                    <input type="hidden" name="upload_docs[type][{{ $ukey }}]" value="{{ $docs['type'] }}">
                                                    <input type="hidden" name="upload_docs[fixed][{{ $ukey }}]" value="{{ ($docs['fixed']=='yes')?'yes':'no' }}">
                                                    <input type="hidden" name="upload_docs[is_required][{{ $ukey }}]" value="{{ $docs['is_required'] }}">
                                                    <input type="hidden" name="upload_docs[custom][{{ $ukey }}]" value="{{ $docs['custom'] ?? 'no' }}">
                                                    @if($docs['fixed'] == 'yes')
                                                        <label class="col-md-5 col-form-label">
                                                            {{ $docs['name'] }} -
                                                            <span class="text-red">
                                                                @if($docs['type'] == 1) Copy @else Original @endif
                                                            </span>
                                                        </label>
                                                    @else
                                                        <label class="col-md-5 col-form-label">
                                                            {{ $docs['name'] }} -
                                                            <span class="text-red">
                                                                @if($docs['type'] == 1) Copy @else Original @endif
                                                            </span>
                                                        </label>
                                                    @endif
                                                    <div class="col-md-7">
                                                        @if($docs['type'] == 1)
                                                            <!--  -->
                                                            @if($docs['is_required'] == 'on')
                                                                @if(isset($docs['file']) && !empty($docs['file']))
                                                                    <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                @else
                                                                    @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on')
                                                                        <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                    @else
                                                                        <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple required>
                                                                    @endif
                                                                    <label class="col-form-label">
                                                                        <input type="checkbox" class="form-control loadregucheck notprodfile" name="upload_docs[file_not_provided][{{ $ukey }}]" @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on') checked @endif> Not provided
                                                                    </label>
                                                                @endif
                                                            @else
                                                                <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                            @endif
                                                            <!--  -->
                                                            @if(isset($docs['file']) && !empty($docs['file']))
                                                                @foreach($docs['file'] as $document)
                                                                    <input type="hidden" name="upload_docs[file_exists][{{ $ukey }}][]" value="{{ $document }}">
                                                                    @php
                                                                        $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                        $type       = \File::extension($file_path);
                                                                    @endphp
                                                                    @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                       <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                    @else
                                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                    @endif
                                                                @endforeach
                                                            @endif
                                                            <!--  -->
                                                        @else
                                                            @if(isset($docs['is_received']))
                                                                <div class="radio-div">
                                                                    <label class="col-form-label">
                                                                        <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on" @if(isset($docs['is_received']) && $docs['is_received'] == 'on') checked @endif> Received
                                                                    </label>&nbsp;
                                                                    <label class="col-form-label">
                                                                        <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" @if(isset($docs['is_received']) && $docs['is_received'] == 'off') checked @endif> Not Received
                                                                    </label>
                                                                </div>
                                                            @else
                                                                <div class="radio-div">
                                                                    <label class="col-form-label">
                                                                        <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on"> Received
                                                                    </label>&nbsp;
                                                                    <label class="col-form-label">
                                                                        <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" checked> Not Received
                                                                    </label>
                                                                </div>
                                                            @endif
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                    @if($receiver_accessorials->isNotEmpty())
                                        <p>When Accessorial</p>
                                        <div class="row">
                                            @foreach ($receiver_accessorials as $lakey => $node)
                                                <div class="col-md-12">
                                                    <div class="form-group row">
                                                        <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][id]" value="{{ $node->id }}">
                                                        <label class="col-md-5 col-form-label">
                                                            {{ $node->company_accessorial->name }}
                                                        </label>
                                                        <div class="col-md-7">
                                                            @if(isset($node->gallery))
                                                                <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                            @else
                                                                @if(isset($node->file_not_provided) && $node->file_not_provided == 'on')
                                                                    <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                                @else
                                                                    <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple required data-parsley-fileextension="jpg, jpeg, png, gif">
                                                                @endif
                                                                <label class="col-form-label">
                                                                    <input type="checkbox" class="form-control loadregucheck notprodfile" name="accessorial_upload_docs[{{ $lakey }}][file_not_provided]" @if(isset($node->file_not_provided) && $node->file_not_provided == 'on') checked @endif> Not provided
                                                                </label>
                                                            @endif
                                                            <!--  -->
                                                            @if(isset($node->gallery))
                                                                <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][file_exists][]" value="{{ $node->gallery->id }}">
                                                                @php
                                                                    $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                                    $type       = \File::extension($file_path);
                                                                @endphp
                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                @else
                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                @endif
                                                            @endif
                                                            <!--  -->
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    @endif
                                    <button class="green-btn notes-btn w-100 mb-3 mt-2">Upload</button>
                                </form>
                            @else
                                <p style="margin-bottom: 0px;">When Consignee</p>
                                <ul style="margin-left: 20px;margin-bottom: 5px;">
                                    @foreach ($upload_docs as $ukey => $doc)
                                        <li style="list-style: disc;">{{ $doc['name'] }}</li>
                                    @endforeach
                                </ul>
                                @if($receiver_accessorials->isNotEmpty())
                                    <p style="margin-bottom: 0px;">When Accessorial</p>
                                    @php
                                        $accessorial_array                  = [];
                                    @endphp
                                    <ul style="margin-left: 20px;margin-bottom: 5px;">
                                        @foreach ($receiver_accessorials as $key => $node)
                                            @if(isset($node->company_accessorial->name) && !in_array($node->company_accessorial->name,$accessorial_array))
                                                @php
                                                    $accessorial_array[]    = $node->company_accessorial->name;
                                                @endphp
                                                <li style="list-style: disc;">{{ $node->company_accessorial->name }}</li>
                                            @endif
                                        @endforeach
                                    </ul>
                                @endif
                            @endif
                        @else
                            <p>No Required Documents for this load</p>
                        @endif
                    @else
                        @foreach ($stops as $slkey => $stop)
                            @php
                                $sNo    = ++$slkey;
                            @endphp
                            @if($stop->status==0)
                                @if($stop->customer_type==2)
                                    @php
                                        $upload_docs                = [];
                                        if(isset($stop->stop_consignee_files) && is_serialized($stop->stop_consignee_files) && !empty(unserialize($stop->stop_consignee_files))){
                                            $upload_docs            = array_filter(unserialize($stop->stop_consignee_files));
                                        }else{
                                            if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                                $upload_docs        = array_filter(unserialize($loadDetail->broker->consignee_files));
                                            }else{
                                                $upload_docs        = array_filter(unserialize(config('settings.consignee_files')));
                                            }
                                        }
                                        $uploaded_docs              = unserialize($stop->stop_consignee_files_upload);
                                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                                            $uploaded_docs          = [];
                                        }
                                        $docs_count                 = array_sum(array_map("count", $upload_docs));
                                    @endphp
                                @else
                                    @php
                                        $upload_docs                = [];
                                        if(isset($stop->stop_shipper_files) && is_serialized($stop->stop_shipper_files) && !empty(unserialize($stop->stop_shipper_files))){
                                            $upload_docs            = array_filter(unserialize($stop->stop_shipper_files));
                                        }else{
                                            if(isset($loadDetail->broker->shipper_files) && is_serialized($loadDetail->broker->shipper_files) && !empty(unserialize($loadDetail->broker->shipper_files))){
                                                $upload_docs        = array_filter(unserialize($loadDetail->broker->shipper_files));
                                            }else{
                                                $upload_docs        = array_filter(unserialize(config('settings.shipper_files')));
                                            }
                                        }
                                        $uploaded_docs              = unserialize($stop->stop_shipper_files_upload);
                                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                                            $uploaded_docs          = [];
                                        }
                                        $docs_count                 = array_sum(array_map("count", $upload_docs));
                                    @endphp
                                @endif
                                @php
                                    $stop_accessorials              = $stop->accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                                @endphp
                                @if($docs_count > 0 || $stop_accessorials->isNotEmpty())
                                    @if($stop->is_arrived==1)
                                        <form action="{{ route('driver.admin.loads.required.file.save') }}" method="post" enctype="multipart/form-data" class="required-file-save" autocomplete="off">
                                            @csrf
                                            <input type="hidden" name="id" value="{{ $stop->id }}">
                                            <input type="hidden" name="type" value="{{ $stop->customer_type=='2'?'Delivery':'Pickup' }}">
                                            <input type="hidden" name="is_stop" value="1">
                                            <p>When {{ $stop->customer_type=='2'?'Consignee':'Shipper' }}</p>
                                            <div class="row">
                                                @foreach ($upload_docs as $ukey => $docs)
                                                    @php
                                                        $searchkey  = array_search($docs['name'], array_column($uploaded_docs, 'name'));
                                                    @endphp
                                                    @if($searchkey!==false && isset($uploaded_docs[$searchkey]))
                                                        @php
                                                            $docs   = $uploaded_docs[$searchkey];
                                                        @endphp
                                                    @endif
                                                    <div class="col-md-12">
                                                        <div class="form-group row">
                                                            <input type="hidden" name="upload_docs[name][{{ $ukey }}]" value="{{ $docs['name'] }}">
                                                            <input type="hidden" name="upload_docs[type][{{ $ukey }}]" value="{{ $docs['type'] }}">
                                                            <input type="hidden" name="upload_docs[fixed][{{ $ukey }}]" value="{{ ($docs['fixed']=='yes')?'yes':'no' }}">
                                                            <input type="hidden" name="upload_docs[is_required][{{ $ukey }}]" value="{{ $docs['is_required'] }}">
                                                            <input type="hidden" name="upload_docs[custom][{{ $ukey }}]" value="{{ $docs['custom'] ?? 'no' }}">
                                                            @if($docs['fixed'] == 'yes')
                                                                <label class="col-md-5 col-form-label">
                                                                    {{ $docs['name'] }} -
                                                                    <span class="text-red">
                                                                        @if($docs['type'] == 1) Copy @else Original @endif
                                                                    </span>
                                                                </label>
                                                            @else
                                                                <label class="col-md-5 col-form-label">
                                                                    {{ $docs['name'] }} -
                                                                    <span class="text-red">
                                                                        @if($docs['type'] == 1) Copy @else Original @endif
                                                                    </span>
                                                                </label>
                                                            @endif
                                                            <div class="col-md-7">
                                                                @if($docs['type'] == 1)
                                                                    <!--  -->
                                                                    @if($docs['is_required'] == 'on')
                                                                        @if(isset($docs['file']) && !empty($docs['file']))
                                                                            <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                        @else
                                                                            @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on')
                                                                                <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                            @else
                                                                                <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple required>
                                                                            @endif
                                                                            <label class="col-form-label">
                                                                                <input type="checkbox" class="form-control loadregucheck notprodfile" name="upload_docs[file_not_provided][{{ $ukey }}]" @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on') checked @endif> Not provided
                                                                            </label>
                                                                        @endif
                                                                    @else
                                                                        <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                    @endif
                                                                    <!--  -->
                                                                    @if(isset($docs['file']) && !empty($docs['file']))
                                                                        @foreach($docs['file'] as $document)
                                                                            <input type="hidden" name="upload_docs[file_exists][{{ $ukey }}][]" value="{{ $document }}">
                                                                            @php
                                                                                $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                                $type       = \File::extension($file_path);
                                                                            @endphp
                                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                               <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                            @else
                                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                            @endif
                                                                        @endforeach
                                                                    @endif
                                                                    <!--  -->
                                                                @else
                                                                    @if(isset($docs['is_received']))
                                                                        <div class="radio-div">
                                                                            <label class="col-form-label">
                                                                                <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on" @if(isset($docs['is_received']) && $docs['is_received'] == 'on') checked @endif> Received
                                                                            </label>&nbsp;
                                                                            <label class="col-form-label">
                                                                                <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" @if(isset($docs['is_received']) && $docs['is_received'] == 'off') checked @endif> Not Received
                                                                            </label>
                                                                        </div>
                                                                    @else
                                                                        <div class="radio-div">
                                                                            <label class="col-form-label">
                                                                                <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on"> Received
                                                                            </label>&nbsp;
                                                                            <label class="col-form-label">
                                                                                <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" checked> Not Received
                                                                            </label>
                                                                        </div>
                                                                    @endif
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            </div>
                                            @if($stop_accessorials->isNotEmpty())
                                                <p>When Accessorial</p>
                                                <div class="row">
                                                    @foreach ($stop_accessorials as $lakey => $node)
                                                        <div class="col-md-12">
                                                            <div class="form-group row">
                                                                <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][id]" value="{{ $node->id }}">
                                                                <label class="col-md-5 col-form-label">
                                                                    {{ $node->company_accessorial->name }}
                                                                </label>
                                                                <div class="col-md-7">
                                                                    @if(isset($node->gallery))
                                                                        <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                                    @else
                                                                        @if(isset($node->file_not_provided) && $node->file_not_provided == 'on')
                                                                            <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                                        @else
                                                                            <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple required data-parsley-fileextension="jpg, jpeg, png, gif">
                                                                        @endif
                                                                        <label class="col-form-label">
                                                                            <input type="checkbox" class="form-control loadregucheck notprodfile" name="accessorial_upload_docs[{{ $lakey }}][file_not_provided]" @if(isset($node->file_not_provided) && $node->file_not_provided == 'on') checked @endif> Not provided
                                                                        </label>
                                                                    @endif
                                                                    <!--  -->
                                                                    @if(isset($node->gallery))
                                                                        <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][file_exists][]" value="{{ $node->gallery->id }}">
                                                                        @php
                                                                            $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                                            $type       = \File::extension($file_path);
                                                                        @endphp
                                                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                           <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                        @else
                                                                            <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                        @endif
                                                                    @endif
                                                                    <!--  -->
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            @endif
                                            <button class="green-btn notes-btn w-100 mb-3 mt-2">Upload</button>
                                        </form>
                                    @else
                                        <p style="margin-bottom: 0px;">When {{ $stop->customer_type=='2'?'Consignee':'Shipper' }}</p>
                                        <ul style="margin-left: 20px;margin-bottom: 5px;">
                                            @foreach ($upload_docs as $ukey => $doc)
                                                <li style="list-style: disc;">{{ $doc['name'] }}</li>
                                            @endforeach
                                        </ul>
                                        @if($stop_accessorials->isNotEmpty())
                                            <p style="margin-bottom: 0px;">When Accessorial</p>
                                            @php
                                                $accessorial_array                  = [];
                                            @endphp
                                            <ul style="margin-left: 20px;margin-bottom: 5px;">
                                                @foreach ($stop_accessorials as $key => $node)
                                                    @if(isset($node->company_accessorial->name) && !in_array($node->company_accessorial->name,$accessorial_array))
                                                        @php
                                                            $accessorial_array[]    = $node->company_accessorial->name;
                                                        @endphp
                                                        <li style="list-style: disc;">{{ $node->company_accessorial->name }}</li>
                                                    @endif
                                                @endforeach
                                            </ul>
                                        @endif
                                    @endif
                                @else
                                    <p>No Required Documents for this load</p>
                                @endif
                                @break
                                <!-- break -->
                            @endif
                        @endforeach
                    @endif
                @else
                    @php
                        $upload_docs                = [];
                        if(isset($loadDetail->consignee_files) && is_serialized($loadDetail->consignee_files) && !empty(unserialize($loadDetail->consignee_files))){
                            $upload_docs            = array_filter(unserialize($loadDetail->consignee_files));
                        }else{
                            if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                $upload_docs        = array_filter(unserialize($loadDetail->broker->consignee_files));
                            }else{
                                $upload_docs        = array_filter(unserialize(config('settings.consignee_files')));
                            }
                        }
                        $uploaded_docs              = unserialize($loadDetail->consignee_files_upload);
                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                            $uploaded_docs          = [];
                        }
                        $docs_count                 = array_sum(array_map("count", $upload_docs));

                        $receiver_accessorials      = $loadDetail->receiver_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                    @endphp
                    @if($docs_count > 0 || $receiver_accessorials->isNotEmpty())
                        @if($loadDetail->delivery_is_arrived==1)
                            <form action="{{ route('driver.admin.loads.required.file.save') }}" method="post" enctype="multipart/form-data" class="required-file-save" autocomplete="off">
                                @csrf
                                <input type="hidden" name="id" value="{{ $loadDetail->load_id }}">
                                <input type="hidden" name="type" value="Delivery">
                                <p>When Consignee</p>
                                <div class="row">
                                    @foreach ($upload_docs as $ukey => $docs)
                                        @php
                                            $searchkey  = array_search($docs['name'], array_column($uploaded_docs, 'name'));
                                        @endphp
                                        @if($searchkey!==false && isset($uploaded_docs[$searchkey]))
                                            @php
                                                $docs   = $uploaded_docs[$searchkey];
                                            @endphp
                                        @endif
                                        <div class="col-md-12">
                                            <div class="form-group row">
                                                <input type="hidden" name="upload_docs[name][{{ $ukey }}]" value="{{ $docs['name'] }}">
                                                <input type="hidden" name="upload_docs[type][{{ $ukey }}]" value="{{ $docs['type'] }}">
                                                <input type="hidden" name="upload_docs[fixed][{{ $ukey }}]" value="{{ ($docs['fixed']=='yes')?'yes':'no' }}">
                                                <input type="hidden" name="upload_docs[is_required][{{ $ukey }}]" value="{{ $docs['is_required'] }}">
                                                <input type="hidden" name="upload_docs[custom][{{ $ukey }}]" value="{{ $docs['custom'] ?? 'no' }}">
                                                @if($docs['fixed'] == 'yes')
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $docs['name'] }} -
                                                        <span class="text-red">
                                                            @if($docs['type'] == 1) Copy @else Original @endif
                                                        </span>
                                                    </label>
                                                @else
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $docs['name'] }} -
                                                        <span class="text-red">
                                                            @if($docs['type'] == 1) Copy @else Original @endif
                                                        </span>
                                                    </label>
                                                @endif
                                                <div class="col-md-7">
                                                    @if($docs['type'] == 1)
                                                        <!--  -->
                                                        @if($docs['is_required'] == 'on')
                                                            @if(isset($docs['file']) && !empty($docs['file']))
                                                                <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                            @else
                                                                @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on')
                                                                    <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                                @else
                                                                    <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple required>
                                                                @endif
                                                                <label class="col-form-label">
                                                                    <input type="checkbox" class="form-control loadregucheck notprodfile" name="upload_docs[file_not_provided][{{ $ukey }}]" @if(isset($docs['file_not_provided']) && $docs['file_not_provided'] == 'on') checked @endif> Not provided
                                                                </label>
                                                            @endif
                                                        @else
                                                            <input type="file" class="form-control uplaoddocfile" name="upload_docs[file][{{ $ukey }}][]" multiple>
                                                        @endif
                                                        <!--  -->
                                                        @if(isset($docs['file']) && !empty($docs['file']))
                                                            @foreach($docs['file'] as $document)
                                                                <input type="hidden" name="upload_docs[file_exists][{{ $ukey }}][]" value="{{ $document }}">
                                                                @php
                                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                    $type       = \File::extension($file_path);
                                                                @endphp
                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                @else
                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                        <!--  -->
                                                    @else
                                                        @if(isset($docs['is_received']))
                                                            <div class="radio-div">
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on" @if(isset($docs['is_received']) && $docs['is_received'] == 'on') checked @endif> Received
                                                                </label>&nbsp;
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" @if(isset($docs['is_received']) && $docs['is_received'] == 'off') checked @endif> Not Received
                                                                </label>
                                                            </div>
                                                        @else
                                                            <div class="radio-div">
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="on"> Received
                                                                </label>&nbsp;
                                                                <label class="col-form-label">
                                                                    <input type="radio" class="form-control loadregucheck" name="upload_docs[is_received][{{ $ukey }}]" value="off" checked> Not Received
                                                                </label>
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                @if($receiver_accessorials->isNotEmpty())
                                    <p>When Accessorial</p>
                                    <div class="row">
                                        @foreach ($receiver_accessorials as $lakey => $node)
                                            <div class="col-md-12">
                                                <div class="form-group row">
                                                    <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][id]" value="{{ $node->id }}">
                                                    <label class="col-md-5 col-form-label">
                                                        {{ $node->company_accessorial->name }}
                                                    </label>
                                                    <div class="col-md-7">
                                                        @if(isset($node->gallery))
                                                            <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                        @else
                                                            @if(isset($node->file_not_provided) && $node->file_not_provided == 'on')
                                                                <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple data-parsley-fileextension="jpg, jpeg, png, gif">
                                                            @else
                                                                <input type="file" class="form-control uplaoddocfile" name="accessorial_upload_docs[{{ $lakey }}][file][]" multiple required data-parsley-fileextension="jpg, jpeg, png, gif">
                                                            @endif
                                                            <label class="col-form-label">
                                                                <input type="checkbox" class="form-control loadregucheck notprodfile" name="accessorial_upload_docs[{{ $lakey }}][file_not_provided]" @if(isset($node->file_not_provided) && $node->file_not_provided == 'on') checked @endif> Not provided
                                                            </label>
                                                        @endif
                                                        <!--  -->
                                                        @if(isset($node->gallery))
                                                            <input type="hidden" name="accessorial_upload_docs[{{ $lakey }}][file_exists][]" value="{{ $node->gallery->id }}">
                                                            @php
                                                                $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                                $type       = \File::extension($file_path);
                                                            @endphp
                                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                               <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                            @else
                                                                <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                            @endif
                                                        @endif
                                                        <!--  -->
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                @endif
                                <button class="green-btn notes-btn w-100 mb-3 mt-2">Upload</button>
                            </form>
                        @else
                            <p style="margin-bottom: 0px;">When Consignee</p>
                            <ul style="margin-left: 20px;margin-bottom: 5px;">
                                @foreach ($upload_docs as $ukey => $doc)
                                    <li style="list-style: disc;">{{ $doc['name'] }}</li>
                                @endforeach
                            </ul>
                            @if($receiver_accessorials->isNotEmpty())
                                <p style="margin-bottom: 0px;">When Accessorial</p>
                                @php
                                    $accessorial_array                  = [];
                                @endphp
                                <ul style="margin-left: 20px;margin-bottom: 5px;">
                                    @foreach ($receiver_accessorials as $key => $node)
                                        @if(isset($node->company_accessorial->name) && !in_array($node->company_accessorial->name,$accessorial_array))
                                            @php
                                                $accessorial_array[]    = $node->company_accessorial->name;
                                            @endphp
                                            <li style="list-style: disc;">{{ $node->company_accessorial->name }}</li>
                                        @endif
                                    @endforeach
                                </ul>
                            @endif
                        @endif
                    @else
                        <p>No Required Documents for this load</p>
                    @endif
                @endif
            @endif
        </div>
    </div>
</div>

