@if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload']))
    @php
        $random_id  = 'required_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</span>
                </div>
                <div>
                    <label>Stop</label>
                    <span>{{ $jsonData['stop']['name'] ?? '' }}</span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span>{{ $jsonData['stop']['customer_name'] ?? '' }}</span>
                </div>

                <div>
                    <label>Location</label>
                    <span>{{ $jsonData['stop']['addresses'] ?? '' }}</span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                            Other - {{ $jsonData['filename'] }}
                        @else
                            {{ $jsonData['filename'] }}
                        @endif
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    @if($jsonData['status'] == 'Complete')
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    @else
                        @if($jsonData['type'] == '1')
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        @else
                            <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                            </div>
                        @endif
                    @endif
                </div>
            </div>
        </div>
    </div>
@elseif($jsonData['source'] == 'load_document_request_items')
    @php
        $random_id  = 'requested_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</span>
                </div>
                <div>
                    <label>Stop</label>
                    <span>{{ $jsonData['stop']['name'] ?? '' }}</span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span>{{ $jsonData['stop']['customer_name'] ?? '' }}</span>
                </div>

                <div>
                    <label>Location</label>
                    <span>{{ $jsonData['stop']['addresses'] ?? '' }}</span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                            Other - {{ $jsonData['filename'] }}
                        @else
                            {{ $jsonData['filename'] }}
                        @endif
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    @if($jsonData['status'] == 'Complete')
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    @else
                        @if($jsonData['type'] == '1')
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        @else
                            <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                            </div>
                        @endif
                    @endif
                </div>
            </div>
        </div>
    </div>
@elseif($jsonData['source'] == 'load_accessorials')
    @php
        $random_id  = 'accessorial_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</span>
                </div>
                <div>
                    <label>Stop</label>
                    <span>{{ $jsonData['stop']['name'] ?? '' }}</span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span>{{ $jsonData['stop']['customer_name'] ?? '' }}</span>
                </div>

                <div>
                    <label>Location</label>
                    <span>{{ $jsonData['stop']['addresses'] ?? '' }}</span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        {{ $jsonData['filename'] }}
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>Copy</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    @if($jsonData['status'] == 'Complete')
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    @else
                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                        </a>
                    @endif
                </div>
            </div>
        </div>
    </div>
@elseif($jsonData['source'] == 'load_files')
    @php
        $random_id  = 'other_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</span>
                </div>
                <div>
                    <label>Stop</label>
                    <span>{{ $jsonData['stop']['name'] ?? '' }}</span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span></span>
                </div>

                <div>
                    <label>Location</label>
                    <span></span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        {{ $jsonData['filename'] }}
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>Copy</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    @if($jsonData['status'] == 'Complete')
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    @else
                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                        </a>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endif