<header>
    <div class="container-fluid">
        <nav class="navbar navbar-expand-lg navbar-light">
            <h3 class="header-title">@yield('header-title')</h3>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <div class="dropdown date-selection">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fa fa-calendar"></i> May 21, 2021 - Jun 21, 2021
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="javascript:void(0);">Last 7 Days</a>
                                <a class="dropdown-item" href="javascript:void(0);">Last 30 Days</a>
                                <a class="dropdown-item" href="javascript:void(0);">This Month</a>
                                <a class="dropdown-item" href="javascript:void(0);">Last Month</a>
                                <a class="dropdown-item" href="javascript:void(0);">This Year</a>
                                <a class="dropdown-item" href="javascript:void(0);">Last Year</a>
                                <a class="dropdown-item" href="javascript:void(0);">Custom Range</a>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item">
                        <input type="text" class="header-search" placeholder="Search...">
                        <img src="{{ asset('theme/img/header-search.png') }}" class="search-icon" alt="">
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('manager.load.create') }}">+ New Load</a>
                    </li>
                    <li class="nav-item">
                        <div class="dropdown">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Reports
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="javascript:void(0);">Option 1</a>
                                <a class="dropdown-item" href="javascript:void(0);">Option 2</a>
                                <a class="dropdown-item" href="javascript:void(0);">Option 3</a>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item">
                        <div class="dropdown">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Loads
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="javascript:void(0);">Option 1</a>
                                <a class="dropdown-item" href="javascript:void(0);">Option 2</a>
                                <a class="dropdown-item" href="javascript:void(0);">Option 3</a>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/img//mail-icon.png') }}" alt="">
                            <span class="notify"></span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/img//bell-icon.png') }}" alt="">
                            <span class="notify"></span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/img//user-icon.png') }}" alt="">
                        </a>
                    </li>

                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="{{ route('manager.logout') }}"
                           onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                            <img src="{{ asset('theme/img/logout.png') }}" alt="">
                        </a>

                        <form id="logout-form" action="{{ route('manager.logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
