<?php

use App\Http\Controllers\Auth\CompanyAdmin\LoginController;
use App\Http\Controllers\Auth\CompanyAdmin\ResetPasswordController;
use App\Http\Controllers\Auth\CompanyAdmin\ForgotPasswordController;

use App\Http\Controllers\CompanyAdmin\TwoFactorSettingController;
use App\Http\Controllers\CompanyAdmin\TwoFactorAuthenticationController;

use App\Http\Controllers\CompanyAdmin\CronJobController;

use App\Http\Controllers\CompanyAdmin\HomeController;
use App\Http\Controllers\CompanyAdmin\ProfileController;
use App\Http\Controllers\CompanyAdmin\SettingController;
use App\Http\Controllers\CompanyAdmin\AccountSettingController;

use App\Http\Controllers\CompanyAdmin\SamsaraController;
use App\Http\Controllers\CompanyAdmin\IntegrationSettingsController;

use App\Http\Controllers\CompanyAdmin\BookmarkController;

use App\Http\Controllers\CompanyAdmin\TeamController;
use App\Http\Controllers\CompanyAdmin\DriverController;
use App\Http\Controllers\CompanyAdmin\ManagerController;
use App\Http\Controllers\CompanyAdmin\DispatcherController;
use App\Http\Controllers\CompanyAdmin\RolePermissionController;

use App\Http\Controllers\CompanyAdmin\BrokerController;
use App\Http\Controllers\CompanyAdmin\VendorController;
use App\Http\Controllers\CompanyAdmin\TerminalController;

use App\Http\Controllers\CompanyAdmin\CarrierController;
use App\Http\Controllers\CompanyAdmin\TruckOwnerController;

use App\Http\Controllers\CompanyAdmin\TruckController;
use App\Http\Controllers\CompanyAdmin\TrailerController;

use App\Http\Controllers\CompanyAdmin\CustomerController;
use App\Http\Controllers\CompanyAdmin\ShipperController;
use App\Http\Controllers\CompanyAdmin\ReceiverController;

use App\Http\Controllers\CompanyAdmin\DriverCitationController;
use App\Http\Controllers\CompanyAdmin\DriverAccidentController;
use App\Http\Controllers\CompanyAdmin\DriverHosViolationController;
use App\Http\Controllers\CompanyAdmin\DriverMechanicalIssueController;
use App\Http\Controllers\CompanyAdmin\DriverComplianceSafetyController;

use App\Http\Controllers\CompanyAdmin\DriverOnboardingController;
use App\Http\Controllers\CompanyAdmin\DriverOnboardingSettingController;

use App\Http\Controllers\CompanyAdmin\LoadController;
use App\Http\Controllers\CompanyAdmin\LoadDocumentController;
use App\Http\Controllers\CompanyAdmin\LoadReqirementController;
use App\Http\Controllers\CompanyAdmin\LoadRequirementsItemController;

use App\Http\Controllers\CompanyAdmin\DetentionRequestController;
use App\Http\Controllers\CompanyAdmin\AppointmentRequestController;

use App\Http\Controllers\CompanyAdmin\SearchController;
use App\Http\Controllers\CompanyAdmin\ProRoutesController;
use App\Http\Controllers\CompanyAdmin\DispatchHubController;
use App\Http\Controllers\CompanyAdmin\RevenuetrackerController;
use App\Http\Controllers\CompanyAdmin\RevenueTrackersController;
use App\Http\Controllers\CompanyAdmin\OccupancyCalendarController;
use App\Http\Controllers\CompanyAdmin\LinerFleetCalendarController;
use App\Http\Controllers\CompanyAdmin\DriverQuaterlyLoadController;
use App\Http\Controllers\CompanyAdmin\WeeklyFuelSurchargeController;

use App\Http\Controllers\CompanyAdmin\LeaveController;
use App\Http\Controllers\CompanyAdmin\LeaveUserTypesController;

use App\Http\Controllers\CompanyAdmin\NoteController;

use App\Http\Controllers\CompanyAdmin\NotifyController;
use App\Http\Controllers\CompanyAdmin\NotificationController;

use App\Http\Controllers\CompanyAdmin\DocumentController;

use App\Http\Controllers\CompanyAdmin\GalleryController;
use App\Http\Controllers\CompanyAdmin\GalleryDocumentController;
use App\Http\Controllers\CompanyAdmin\GalleryDocumentNameController;

use App\Http\Controllers\CompanyAdmin\ComplianceController;
use App\Http\Controllers\CompanyAdmin\FuelSurchargesController;

use App\Http\Controllers\CompanyAdmin\MaintenanceController;
use App\Http\Controllers\CompanyAdmin\MaintenanceAppointmentController;

use App\Http\Controllers\CompanyAdmin\UsageController;
use App\Http\Controllers\CompanyAdmin\ChartOfAccountController;

use App\Http\Controllers\CompanyAdmin\AnnouncementController;
use App\Http\Controllers\CompanyAdmin\CompelAnnouncementController;

use App\Http\Controllers\CompanyAdmin\EmailTemplateController;
use App\Http\Controllers\CompanyAdmin\PdfTemplateController;

use App\Http\Controllers\CompanyAdmin\MaintenanceTicketTypeController;
use App\Http\Controllers\CompanyAdmin\MaintenanceAppointmentTypeController;

use App\Http\Controllers\CompanyAdmin\TrailerTypeController;
use App\Http\Controllers\CompanyAdmin\TruckTypeController;

use App\Http\Controllers\CompanyAdmin\TrailerGroupController;
use App\Http\Controllers\CompanyAdmin\TruckGroupController;

use App\Http\Controllers\CompanyAdmin\DriverHosViolationCodeController;
use App\Http\Controllers\CompanyAdmin\DriverCitationsViolationCodeController;
use App\Http\Controllers\CompanyAdmin\DriverAccidentViolationCodeController;
use App\Http\Controllers\CompanyAdmin\DriverInspectionLevelController;
use App\Http\Controllers\CompanyAdmin\DriverDisciplinaryActionController;

use App\Http\Controllers\CompanyAdmin\CompanyHolidayController;
use App\Http\Controllers\CompanyAdmin\LeaveTypeController;
use App\Http\Controllers\CompanyAdmin\ManageTypeController;

use App\Http\Controllers\CompanyAdmin\AccessorialController;
use App\Http\Controllers\CompanyAdmin\CommodityController;
use App\Http\Controllers\CompanyAdmin\TermsController;

use App\Http\Controllers\CompanyAdmin\WorkOrderController;
use App\Http\Controllers\CompanyAdmin\SafetyComplianceController;
use App\Http\Controllers\CompanyAdmin\OnboardingController;
use App\Http\Controllers\CompanyAdmin\DeductionTypeController;
use App\Http\Controllers\CompanyAdmin\RecruitingSourceController;

use App\Http\Controllers\CompanyAdmin\InsuranceTypeController;
use App\Http\Controllers\CompanyAdmin\PmTypeController;
use App\Http\Controllers\CompanyAdmin\PmServiceTypeController;
use App\Http\Controllers\CompanyAdmin\PmWarrantyProviderController;
use App\Http\Controllers\CompanyAdmin\EquipmentTitleController;
use App\Http\Controllers\CompanyAdmin\DocumentTitleController;

// Truck Profiles
use App\Http\Controllers\CompanyAdmin\InsuranceProfileController;
use App\Http\Controllers\CompanyAdmin\PmServiceProfileController;
use App\Http\Controllers\CompanyAdmin\EquipmentProfileController;
use App\Http\Controllers\CompanyAdmin\OnBoardDocumentProfileController;
use App\Http\Controllers\CompanyAdmin\WarrantyProfileController;

// Trailer Profiles
use App\Http\Controllers\CompanyAdmin\TrailerInsuranceProfileController;
use App\Http\Controllers\CompanyAdmin\TrailerPmServiceProfileController;
use App\Http\Controllers\CompanyAdmin\TrailerEquipmentProfileController;
use App\Http\Controllers\CompanyAdmin\TrailerOnBoardDocumentProfileController;
use App\Http\Controllers\CompanyAdmin\TrailerWarrantyProfileController;

use App\Http\Controllers\CompanyAdmin\DropLocationController;

use App\Http\Controllers\CompanyAdmin\BillingController;
use App\Http\Controllers\CompanyAdmin\ListController;
use App\Http\Controllers\CompanyAdmin\MapController;

use App\Http\Controllers\ChatController;
use App\Http\Controllers\SendGridController;
use App\Http\Controllers\LeftSideBarController;
use App\Http\Controllers\CompanyAdmin\AddPortalsController;

Route::get('maintenances-set-ticket-number', [MaintenanceController::class, 'setTicketNumber'])->name('setTicketNumber');
Route::get('encript', [MaintenanceController::class, 'encript'])->name('encript');

// LoginController
Route::get('login', [LoginController::class, 'showLoginForm'])->name('login.view');
Route::post('login', [LoginController::class, 'login'])->name('login');
Route::post('logout', [LoginController::class, 'logout'])->name('logout');

// ForgotPasswordController
Route::get('password/reset', [ForgotPasswordController::class, 'showLinkRequestForm'])->name('password.request');
Route::post('password/email', [ForgotPasswordController::class, 'sendResetLinkEmail'])->name('password.email');

// ResetPasswordController
Route::get('password/reset/{token}', [ResetPasswordController::class, 'showResetForm'])->name('password.reset');
Route::post('password/reset', [ResetPasswordController::class, 'reset'])->name('password.update');

Route::group(['prefix' => 'cronjob', 'as' => 'cronjob.'], function () {
    Route::get('/driver-missing-load', [CronJobController::class, 'driverMissingLoad'])->name('driver.missing.load');
    Route::get('/load-not-picked-up-on-time', [CronJobController::class, 'loadNotPickedUponTime'])->name('load.not.picked.up.on.time');
    Route::get('/load-not-delivered-on-time', [CronJobController::class, 'loadNotDeliveredOnTime'])->name('load.not.delivered.on.time');
    Route::get('/load-accessorial-temps/destroy', [CronJobController::class, 'loadAccessorialTempsDestroy'])->name('load.accessorial.temps.destroy');
    Route::get('/offer-expire', [CronJobController::class, 'offerExpire'])->name('offer.expire');
    Route::get('/real-time-truck-location/update', [CronJobController::class, 'realTimeTruckLocationUpdate']);
    Route::get('/appointment-reminder', [CronJobController::class, 'appointmentReminder']);
    Route::get('/vehicle-stats', [CronJobController::class, 'vehicleStats']);
    Route::get('/update-positions/{load_number?}/{startTime?}/{currentTime?}', [CronJobController::class, 'updatePositions']);
    Route::get('/update-default-fuel-surcharge', [CronJobController::class, 'updateDefaultFuelSurcharge']);
    Route::get('/update-load-fuel-surcharge', [CronJobController::class, 'updateLoadFuelSurcharge']);
});

Route::get('/available-drivers-coloum-update', function () {
    \App\Models\Bookmark::where('table_id', 'dispatchhub3')->delete();
    return 'success';
});

// Company Admin 2-Factor Authentication - START
Route::group(['middleware' => 'company.admin.auth'], function () {
    Route::group(['middleware' => '2fa'], function () {
        Route::get('two-factor-settings', [TwoFactorSettingController::class, 'index'])->name('two-factor.index');
        Route::post('two-factor-settings/update-settings', [TwoFactorSettingController::class, 'updateSettings'])->name('two-factor.update.setting');
    });
    Route::get('two-factor-authentication', [TwoFactorAuthenticationController::class, 'index'])->name('two-factor-authentication.index');
    Route::post('two-factor-authentication/verify-code', [TwoFactorAuthenticationController::class, 'verifyCode'])->name('two-factor-authentication.verify');
    Route::get('two-factor-authentication/resend-code', [TwoFactorAuthenticationController::class, 'resendCode'])->name('two-factor-authentication.resend');
});
// Company Admin 2-Factor Authentication - END

Route::group(['middleware' => ['company.admin.auth', '2fa']], function () {
    // HomeController
    Route::get('home', [HomeController::class, 'home'])->name('home');
    Route::get('targetRevenue/{tab?}', [HomeController::class, 'getTargetRevenue'])->name('targetRevenue');
    Route::get('actualRevenue/{tab?}', [HomeController::class, 'getActualRevenue'])->name('actualRevenue');
    Route::get('inTransitLoads/{tab?}', [HomeController::class, 'inTransitLoads'])->name('inTransitLoads');
    Route::post('chart-data', [HomeController::class, 'chartData'])->name('chart.data');
    Route::post('widget/data', [HomeController::class, 'widgetData'])->name('widget.data');
    Route::post('widget/delete', [HomeController::class, 'widgetDestroy'])->name('widget.delete');
    Route::post('widget/restore', [HomeController::class, 'widgetRestore'])->name('widget.restore');
    Route::post('widget/notes/store', [HomeController::class, 'widgetNotesStore'])->name('widget.notes.store');

    Route::get('/previous-user-login/{id}/{user_type}', [HomeController::class, 'previous_user_login'])->name('previous_user_login');

    Route::group(['middleware' => 'hasModuleAccess'], function () {
        Route::get('drivers/{driver_id}/loads', [DriverController::class, 'getLoads'])->name('drivers.loads');

        Route::resource('drivers', DriverController::class);
        Route::post('drivers/save-general-info', [DriverController::class, 'saveGeneralInfo'])->name('save.general.info');
        Route::post('drivers/save-compliance', [DriverController::class, 'saveCompliance'])->name('save.compliance');
        Route::post('drivers/save-insurance', [DriverController::class, 'saveInsurance'])->name('save.insurance');
        Route::post('drivers/save-state-map', [DriverController::class, 'saveStateMap'])->name('save.state.map');
        Route::post('drivers/save-deductions', [DriverController::class, 'saveDeductions'])->name('save.deductions');
        Route::post('drivers/save-hr', [DriverController::class, 'saveHr'])->name('save.hr');
        Route::post('drivers/update-status', [DriverController::class, 'updateDriverStatus'])->name('drivers.update.status');
        Route::post('drivers/save-emergency-contacts', [DriverController::class, 'saveEmergencyContacts'])->name('save.emergency.contacts');
        Route::post('drivers/delete-gallery-file', [DriverController::class, 'deleteGalleryFiles'])->name('delete.gallery.file');
        Route::post('drivers/add-deduction-name', [DriverController::class, 'addDeductionName'])->name('driver.add.deduction.name');
        Route::post('drivers/account-tab-upcoming-event', [DriverController::class, 'getDriverUpcomingEvent'])->name('driver.account.tab.upcoming.events');
        Route::post('drivers/state-list-for-map', [DriverController::class, 'stateListForMapNew'])->name('driver.state.list.for.map');
        Route::post('drivers/mileage-rate-state-list-for-map', [DriverController::class, 'mileageRateStateListForMap'])->name('driver.mileage.rate.state.list.for.map');
        Route::post('/driver/sync-driver', [DriverController::class, 'syncDriver'])->name('driver.sync');
        Route::post('drivers/update-profile-image', [DriverController::class, 'updateProfileImage'])->name('driver.update.profile.image');

        Route::POST('get-carrier-terminals', [DriverController::class, 'getTerminals'])->name('driver.carrier_terminals');
        Route::get('drivers/login/{id}', [DriverController::class, 'login'])->name('drivers.login');
        //Route::post('drivers/state-list-for-map', [DriverController::class, 'stateListForMap'])->name('driver.state.list.for.map');
        Route::post('drivers/send-new-password-mail/{id}', [DriverController::class, 'sendNewPasswordMail'])->name('driver.send.new.password.mail');
        Route::post('drivers/team-of-head', [DriverController::class, 'teamOfHead'])->name('driver.team.of.head');
        Route::post('drivers/head-of-team', [DriverController::class, 'headOfTeam'])->name('driver.head.of.team');
        Route::post('drivers/target-revenue', [DriverController::class, 'TargetRevenue'])->name('driver.target.revenue');
        Route::post('drivers/target-revenue-view', [DriverController::class, 'TargetRevenueView']);
        Route::delete('drivers/target-revenue-delete/{id}', [DriverController::class, 'TargetRevenueDestroy'])->name('drivers.target.revenue.delete');
        Route::post('drivers/target-revenue/{id}', [DriverController::class, 'getTargetRevenue'])->name('drivers.get.target.revenue');

        Route::post('drivers/get/form/', [DriverController::class, 'getTermiForm']);
        Route::delete('drivers/delete', [DriverController::class, 'TargetRevenueDestroy'])->name('drivers.delete');

        Route::post('drivers/ajax/list', [DriverController::class, 'getDriversList'])->name('drivers.ajax.list');

        Route::post('occupancy-calander-view', [DriverController::class, 'OccupancyCalanderView'])->name('occupancy.calander.view');
        Route::post('occupancy-calendar-report-view', [DriverController::class, 'OccupancyCalanderReportView'])->name('occupancy.calendar.report.view');
        Route::post('occupancy-calendar-view/load-details-by-date', [DriverController::class, 'viewLoadDetailsByDate'])->name('occupancy.calendar.view.loaddetails');
        Route::post('drivers/account-tab-chart', [DriverController::class, 'AccountTabChart'])->name('driver.account.tab.chart');
        Route::get('/driver/sync-samsara/{samsara_api_key}/{endCursor}', [DriverController::class, 'getSyncDriver'])->name('driver.sync.getsyncdriver');

        Route::get('driver/{id}/request-documents', [DriverController::class, 'getRequestDocuments'])->name('driver.get.request.documents');
        Route::get('driver/{id}/check-active-loads', [DriverController::class, 'checkActiveLoads'])->name('driver.check.active.loads');

        // Event
        Route::post('event-list', [DriverController::class, 'EventList'])->name('driver.list.event');
        Route::post('drivers-add-event', [DriverController::class, 'addEvent'])->name('driver.add.event');
        Route::post('drivers-remove-event', [DriverController::class, 'removeEvent'])->name('driver.remove.event');
        Route::post('drivers-edit-event', [DriverController::class, 'editEvent'])->name('driver.edit.event');
        Route::post('drivers-get-events', [DriverController::class, 'getEvents'])->name('driver.get.event');
        Route::post('drivers-get-events-update', [DriverController::class, 'getEventsUpdates'])->name('driver.get.event.update');
        Route::post('managers-get-events', [ManagerController::class, 'getEvents'])->name('managers.get.event');
        Route::post('dispatcher-get-events', [DispatcherController::class, 'getEvents'])->name('dispatcher.get.event');

        Route::post('drivers-edit-event', [DriverController::class, 'removeEdit'])->name('driver.edit.event');
        Route::post('managers-edit-event', [ManagerController::class, 'removeEdit'])->name('managers.edit.event');
        Route::post('managers-show-event', [ManagerController::class, 'showEvent'])->name('managers.show.event');
        Route::post('dispatcher-edit-event', [DispatcherController::class, 'removeEdit'])->name('dispatcher.edit.event');
        Route::post('managers-get-events-update', [ManagerController::class, 'getEventsUpdates'])->name('managers.get.event.update');
        Route::post('dispatcher-get-events-update', [DispatcherController::class, 'getEventsUpdates'])->name('dispatcher.get.event.update');

        // DispatcherController
        Route::resource('dispatchers', DispatcherController::class);
        Route::get('dispatchers/login/{id}/{previous_user_id}', [DispatcherController::class, 'login'])->name('login.to.dispatcher');
        Route::post('dispatchers/get/form/', [DispatcherController::class, 'getTermiForm']);
        Route::delete('dispatchers/delete', [DispatcherController::class, 'TargetRevenueDestroy'])->name('dispatchers.delete');
        Route::post('dispatchers/check/team/head/{id}', [DispatcherController::class, 'checkTeamHead'])->name('dispatchers.check.team.head');
        Route::post('dispatchers/change/team', [DispatcherController::class, 'changeTeam'])->name('dispatcher.change.team');

        // Dispatcher Report Routes
        Route::get('dispatcher-report', [DispatcherController::class, 'dispatcherReport'])->name('dispatcher.report.index');
        Route::POST('dispatcher-report-data', [DispatcherController::class, 'dispatcherReportData'])->name('dispatcher.report.data');
        Route::post('dispatcher-report-chart-data', [DispatcherController::class, 'dispatcherReportChartData'])->name('dispatcher.report.chart.data');


        // ManagerController
        Route::resource('managers', ManagerController::class);
        Route::get('managers/login/{id}', [ManagerController::class, 'login'])->name('login.to.manager');
        Route::post('managers/get/form/', [ManagerController::class, 'getTermiForm']);
        Route::delete('managers/delete', [ManagerController::class, 'TargetRevenueDestroy'])->name('managers.delete');

        // TeamController
        Route::resource('teams', TeamController::class);
        Route::post('teams/create/form/view', [TeamController::class, 'createFormView'])->name('teams.create.form.view');
        Route::post('teams/edit/form/view', [TeamController::class, 'editFormView'])->name('teams.edit.form.view');

        // WeeklyFuelSurchargeController
        Route::resource('weekly-fuel-surcharges', WeeklyFuelSurchargeController::class);
        Route::post('weekly-fuel-surcharges/edit/form/view', [WeeklyFuelSurchargeController::class, 'editFormView'])->name('weekly.fuel.surcharges.edit.form.view');

        // DriverHosViolationController
        Route::get('drivers/{id}/hos-violation', [DriverHosViolationController::class, 'index'])->name('hos.violation.index');
        Route::post('hos-violation/create/form/view', [DriverHosViolationController::class, 'createFormView'])->name('hos.violation.create.form.view');
        Route::post('hos-violation/store', [DriverHosViolationController::class, 'store'])->name('hos.violation.store');
        Route::post('hos-violation/edit/form/view', [DriverHosViolationController::class, 'editFormView'])->name('hos.violation.edit.form.view');
        Route::patch('hos-violation/update/{id}', [DriverHosViolationController::class, 'update'])->name('hos.violation.update');
        Route::post('hos-violation/show/view', [DriverHosViolationController::class, 'showView'])->name('hos.violation.show.view');
        Route::delete('hos-violation/delete/{id}', [DriverHosViolationController::class, 'destroy'])->name('hos.violation.destroy');

        // Driver Non Vilolation routes
        Route::get('drivers/{id}/non-violation', [DriverHosViolationController::class, 'indexNonViolation'])->name('non.violation.index');
        Route::post('non-violation/create/form/view', [DriverHosViolationController::class, 'createNonVioloationFormView'])->name('non.violation.create.form.view');
        Route::post('non-violation/store', [DriverHosViolationController::class, 'nonViolationStore'])->name('non.violation.store');
        Route::post('non-violation/show/view', [DriverHosViolationController::class, 'showNonViolationView'])->name('non.violation.show.view');
        Route::delete('non-violation/delete/{id}', [DriverHosViolationController::class, 'destroyNonViolation'])->name('non.violation.destroy');
        Route::post('non-violation/edit/form/view', [DriverHosViolationController::class, 'editNonViolationFormView'])->name('non.violation.edit.form.view');
        Route::patch('non-violation/update/{id}', [DriverHosViolationController::class, 'updateNonViolation'])->name('non.violation.update');

        // DriverCitationController
        Route::get('drivers/{id}/citation', [DriverCitationController::class, 'index'])->name('citation.index');
        Route::post('citation/create/form/view', [DriverCitationController::class, 'createFormView'])->name('citation.create.form.view');

        Route::post('citation/store', [DriverCitationController::class, 'store'])->name('citation.store');
        Route::post('citation/edit/form/view', [DriverCitationController::class, 'editFormView'])->name('citation.edit.form.view');
        Route::patch('citation/update/{id}', [DriverCitationController::class, 'update'])->name('citation.update');
        Route::post('citation/show/view', [DriverCitationController::class, 'showView'])->name('citation.show.view');
        Route::post('citation/show/view', [DriverCitationController::class, 'showView'])->name('citation.show.view');
        Route::delete('citation/delete/{id}', [DriverCitationController::class, 'destroy'])->name('citation.destroy');

        // DriverAccidentController
        Route::get('drivers/{id}/accident', [DriverAccidentController::class, 'index'])->name('accident.index');
        Route::post('accident/create/form/view', [DriverAccidentController::class, 'createFormView'])->name('accident.create.form.view');
        Route::post('accident/store', [DriverAccidentController::class, 'store'])->name('accident.store');
        Route::post('accident/edit/form/view', [DriverAccidentController::class, 'editFormView'])->name('accident.edit.form.view');
        Route::patch('accident/update/{id}', [DriverAccidentController::class, 'update'])->name('accident.update');
        Route::post('accident/show/view', [DriverAccidentController::class, 'showView'])->name('accident.show.view');
        Route::delete('accident/delete/{id}', [DriverAccidentController::class, 'destroy'])->name('accident.destroy');

        // DriverMechanicalIssueController
        Route::get('drivers/{id}/mechanical-issue', [DriverMechanicalIssueController::class, 'index'])->name('mechanical.issue.index');
        Route::post('mechanical-issue/create/form/view', [DriverMechanicalIssueController::class, 'createFormView'])->name('mechanical.issue.create.form.view');
        Route::post('mechanical-issue/store', [DriverMechanicalIssueController::class, 'store'])->name('mechanical.issue.store');
        Route::post('mechanical-issue/edit/form/view', [DriverMechanicalIssueController::class, 'editFormView'])->name('mechanical.issue.edit.form.view');
        Route::patch('mechanical-issue/update/{id}', [DriverMechanicalIssueController::class, 'update'])->name('mechanical.issue.update');
        Route::post('mechanical-issue/show/view', [DriverMechanicalIssueController::class, 'showView'])->name('mechanical.issue.show.view');
        Route::delete('mechanical-issue/delete/{id}', [DriverMechanicalIssueController::class, 'destroy'])->name('mechanical.issue.destroy');

        // DriverComplianceSafetyController
        Route::post('compliance-safety/store', [DriverComplianceSafetyController::class, 'store'])->name('compliance.safety.store');

        //DriverQuaterlyLoadController
        Route::get('driver-quaterly-goal', [DriverQuaterlyLoadController::class, 'index'])->name('driver.quarterly.loads');
        Route::post('driver-quaterly-load-data', [DriverQuaterlyLoadController::class, 'ajaxData'])->name('driver.quarterly.loads.data');
        Route::post('driver-target-revenue', [DriverQuaterlyLoadController::class, 'TargetRevenue'])->name('driver.quarterly.target.revenue');

        // DriverOnboardingController
        Route::post('driver-onboarding/store', [DriverOnboardingController::class, 'store'])->name('driver.onboarding.store');
        Route::post('driver-onboarding/file/view', [DriverOnboardingController::class, 'fileView'])->name('driver.onboarding.file.view');

        Route::post('driver-onboarding/file/delete', [DriverOnboardingController::class, 'fileDelete'])->name('driver.onboarding.file.delete');
        Route::get('driver-onboarding', [DriverOnboardingController::class, 'Onboarding'])->name('driver.onboarding.on-boarding');
        Route::get('driver-onboarding-get', [DriverOnboardingController::class, 'onBoardings']);
        Route::get('driver-onboarding-hired-get', [DriverOnboardingController::class, 'driverOnboardingHired']);
        Route::get('driver-onboarding-Terminated-get', [DriverOnboardingController::class, 'driverOnboardingTerminated']);
        Route::get('driver-onboarding-Rejected-get', [DriverOnboardingController::class, 'driverOnboardingRejected']);
        Route::get('driver-onboarding-Html', [DriverOnboardingController::class, 'onBoardingsHtml']);
        Route::get('driver-hired-Html', [DriverOnboardingController::class, 'driverHiredHtml']);
        Route::get('driver-Terminated-Html', [DriverOnboardingController::class, 'driverTerminatedHtml']);
        Route::get('driver-Rejected-Html', [DriverOnboardingController::class, 'driverRejectedHtml']);

        // DriverOnboardingSettingController
        Route::get('driver-onboarding-setting/{driver_id}', [DriverOnboardingSettingController::class, 'index'])->name('driver.onboarding.setting.index');
        Route::get('driver-onboarding-setting/{driver_id}/create', [DriverOnboardingSettingController::class, 'create'])->name('driver.onboarding.setting.create');
        Route::post('driver-onboarding-setting/{driver_id}/store', [DriverOnboardingSettingController::class, 'store'])->name('driver.onboarding.setting.store');
        Route::get('driver-onboarding-setting/{driver_id}/edit/{id}', [DriverOnboardingSettingController::class, 'edit'])->name('driver.onboarding.setting.edit');
        Route::patch('driver-onboarding-setting/{driver_id}/update/{id}', [DriverOnboardingSettingController::class, 'update'])->name('driver.onboarding.setting.update');
        Route::delete('driver-onboarding-setting/{driver_id}/delete/{id}', [DriverOnboardingSettingController::class, 'destroy'])->name('driver.onboarding.setting.destroy');
        Route::post('driver-onboarding-setting/{driver_id}/sort', [DriverOnboardingSettingController::class, 'sort'])->name('driver.onboarding.setting.sort');

        // LoadController
        Route::get('cluster-points-demo/{id?}', [LoadController::class, 'clusterPoints']);
        Route::get('loads/show/{id?}', [LoadController::class, 'clusterPoints']);
        Route::resource('loads', LoadController::class);
        Route::post('active-loads', [LoadController::class, 'index'])->name('active.loads.index');
        Route::post('new-loads', [LoadController::class, 'newLoadsIndex'])->name('new.loads.index');
        Route::post('delivered-loads', [LoadController::class, 'deliveredLoadsIndex'])->name('delivered.loads.index');
        Route::post('complete-loads', [LoadController::class, 'completeLoadsIndex'])->name('complete.loads.index');
        Route::post('onhold-loads', [LoadController::class, 'onholdLoadsIndex'])->name('onhold.loads.index');
        Route::post('cancel-loads', [LoadController::class, 'cancelLoadIndex'])->name('cancel.loads.index');
        Route::post('unoccupied-loads', [LoadController::class, 'unoccupiedLoadIndex'])->name('unoccupied.loads.index');
        Route::post('all-loads', [LoadController::class, 'allLoadIndex'])->name('allload.loads.index');
        Route::post('oos-pending-loads', [LoadController::class, 'OosPendingLoadsIndex'])->name('oos.pending.loads.index');

        Route::get('permanently-destroy/{id}', [LoadController::class, 'permanentlyDestroy'])->name('loads.permanently.destroy');

        Route::post('load-note-view', [LoadController::class, 'loadNoteView'])->name('loads.note.view');
        Route::post('load-note-save', [LoadController::class, 'loadNoteSave'])->name('loads.note.save');
        Route::delete('loads-note-view/delete/{id}', [LoadController::class, 'destroyNote'])->name('loads.note.view.delete');

        Route::post('loads-file-view', [LoadController::class, 'loadFileView']);
        Route::delete('loads-file-view/delete/{id}', [LoadController::class, 'destroyFile'])->name('loads.file.view.delete');
        Route::post('loads-file-save', [LoadController::class, 'loadFileSave'])->name('loads.file.view.save');

        Route::post('loads/broker-info', [LoadController::class, 'brokerInfo'])->name('loads.broker.info');
        Route::post('rts-credit-score-save', [LoadController::class, 'rtsCreditScoreSave'])->name('rts.credit.score.save');
        Route::post('loads-required-documents-update', [LoadController::class, 'requiredDocumentsUpdate'])->name('loads.required.documents.update');
        Route::post('loads/get-load-required-file', [LoadController::class, 'getLoadRequiredFile'])->name('get.load.required.file');
        Route::post('loads/get-load-shipper-files-upload', [LoadController::class, 'getLoadShipperFilesUpload'])->name('get.load.shipper.files.upload');
        Route::post('loads/get-load-consignee-files-upload', [LoadController::class, 'getLoadConsigneeFilesUpload'])->name('get.load.consignee.files.upload');

        Route::post('loads/driver-info', [LoadController::class, 'driverInfo'])->name('loads.driver.info');
        Route::post('loads/truck-owner-options', [LoadController::class, 'truckOwnerOptions'])->name('loads.truck.owner.options');
        Route::post('loads/deadhead-location', [LoadController::class, 'deadheadLocation'])->name('loads.deadhead.location');
        Route::post('loads/fuel-surcharge-info', [LoadController::class, 'fuelSurchargeInfo'])->name('loads.fuel.surcharge.info');

        Route::post('loads/trailer-info', [LoadController::class, 'trailerInfo'])->name('loads.trailer.info');

        Route::get('loads/{id}/split/{isRevert?}', [LoadController::class, 'split'])->name('loads.split');
        Route::post('loads/{id}/split/store', [LoadController::class, 'splitStore'])->name('loads.split.store');

        Route::post('loads/check-load-number', [LoadController::class, 'checkLoadNumber'])->name('loads.check.load_number');
        Route::post('loads/check-driver-location', [LoadController::class, 'checkDriverLocation'])->name('loads.driver.check.location');
        Route::post('loads/check-current-dispatch', [LoadController::class, 'checkCurrentDispatch'])->name('loads.check.current.dispatch');
        Route::post('loads/check-load-overlap', [LoadController::class, 'checkLoadOverlap'])->name('loads.check.load.overlap');

        Route::post('loads/check-customer-review', [LoadController::class, 'checkCustomerReview'])->name('loads.check.customer.review');
        Route::post('loads/review-delete', [LoadController::class, 'reviewDelete'])->name('loads.review.delete');

        Route::post('loads/address-info', [LoadController::class, 'addressInfo'])->name('loads.address.info');

        Route::get('load-by-week', [LoadController::class, 'loadByWeek'])->name('loads.by.week.index');
        Route::post('load-by-week-view', [LoadController::class, 'loadByWeekView'])->name('loads.by.week.view');
        Route::post('load-by-week-save', [LoadController::class, 'loadByWeekSave'])->name('loads.by.week.save');
        Route::post('load-by-week/get-week-list', [LoadController::class, 'getWeekList'])->name('loads.by.week.get.week.list');
        Route::post('load-by-week-print-report', [LoadController::class, 'loadByWeekPrintReport'])->name('loads.by.week.print.report');

        Route::post('add-stop', [LoadController::class, 'addStop'])->name('load.add.stop');
        Route::post('remove-stop', [LoadController::class, 'removeStop'])->name('load.remove.stop');

        Route::post('loads-detention-request', [LoadController::class, 'detentionRequest'])->name('loads.detention.request');
        Route::post('loads-detention-save', [LoadController::class, 'detentionSave'])->name('loads.detention.save');
        Route::post('loads-detention-deny', [LoadController::class, 'detentionDeny'])->name('loads.detention.deny');
        Route::post('loads-detention-revert', [LoadController::class, 'detentionRevert'])->name('loads.detention.revert');
        Route::post('loads-detention-force-stop', [LoadController::class, 'detentionForceStop'])->name('loads.detention.force.stop');

        Route::post('loads-detention-running', [LoadController::class, 'detentionRunning'])->name('loads.detention.running');
        Route::post('loads-pending-detention-list', [LoadController::class, 'pendingDetention'])->name('loads.pending.detention.list');

        Route::post('loads/load-requirement', [LoadController::class, 'LoadRequirement'])->name('load.requirement');
        Route::post('loads/load-requirement-view', [LoadController::class, 'LoadRequirementView']);
        Route::delete('loads/load-requirement-delete/{id}', [LoadController::class, 'LoadRequirementDestroy'])->name('load.requirement.delete');
        Route::post('loads/load-requirement/{id}', [LoadController::class, 'getLoadRequirement'])->name('drivers.get.load.requirement');

        Route::post('loads/accessorial/save', [LoadController::class, 'LoadAccessorialSave'])->name('loads.accessorial.save');
        Route::post('loads/accessorial/destroy', [LoadController::class, 'LoadAccessorialDestroy'])->name('loads.accessorial.destroy');
        Route::post('loads/accessorial/doc-received', [LoadController::class, 'LoadAccessorialReceived'])->name('loads.accessorial.doc.received');
        Route::post('loads/accessorial/detail', [LoadController::class, 'LoadAccessorialDetail'])->name('loads.accessorial.detail');
        Route::post('loads/accessorial/driver-change', [LoadController::class, 'LoadAccessorialDriverChange'])->name('loads.accessorial.driver.change');

        Route::post('loads-appointment-request', [LoadController::class, 'appointmentRequest'])->name('loads.appointment.request');
        Route::post('loads-appointment-save', [LoadController::class, 'appointmentSave'])->name('loads.appointment.save');
        Route::post('loads-appointment-delete', [LoadController::class, 'appointmentDelete'])->name('loads.appointment.delete');

        Route::post('loads-additional-stop-details', [LoadController::class, 'additionalStopDetails'])->name('loads.additional.stop.details');
        Route::post('loads-asset-location-history', [LoadController::class, 'assetLocationHistory'])->name('loads.asset.location.history');
        Route::post('loads-reefer-temperature-history', [LoadController::class, 'reeferTemperatureHistory'])->name('loads.reefer.temperature.history');

        Route::post('loads-document-request', [LoadController::class, 'documentRequest'])->name('loads.document.request');
        Route::post('loads-document-save', [LoadController::class, 'documentSave'])->name('loads.document.save');

        Route::post('loads-get-trimble', [LoadController::class, 'getTrimbleData'])->name('load.getTrimbleData');
        Route::post('update-load-trip', [LoadController::class, 'updateLoadTrip'])->name('load.trip.update');
        Route::get('get-loads-auditload', [LoadController::class, 'AuditLoad'])->name('new.loads.auditload');
        Route::get('get-map', [LoadController::class, 'getMap'])->name('new.loads.getMap');
        Route::match(['get', 'post'], '/loads-export', [LoadController::class, 'loadsExport']);
        Route::get('loads-copy/{id}', [LoadController::class, 'copyLoad'])->name('loads.copy');
        Route::post('loads-lock/{id}', [LoadController::class, 'loadLock'])->name('loads.lock');
        Route::post('loads-unlock-request', [LoadController::class, 'loadsUnlockRequest'])->name('loads.unlock.request');
        Route::post('loads-unlock-request-rejected', [LoadController::class, 'loadsUnlockRequestRejected'])->name('loads.unlock.request.rejected');
        Route::post('loads-check-unlock-request', [LoadController::class, 'loadsCheckUnlockRequest'])->name('loads.check.unlock.request');

        // DocumentController
        Route::resource('documents', DocumentController::class);

        // NoteController
        Route::resource('notes', NoteController::class);

        // BrokerController
        Route::resource('brokers', BrokerController::class);
        Route::post('brokers/add-contact', [BrokerController::class, 'addContact'])->name('brokers.add.contact');
        Route::post('brokers/accessorial/save', [BrokerController::class, 'accessorialSave'])->name('brokers.accessorial.save');
        Route::delete('brokers/accessorial/destroy', [BrokerController::class, 'accessorialDestroy'])->name('brokers.accessorial.destroy');
        Route::post('brokers/accessorial/view', [BrokerController::class, 'accessorialView'])->name('brokers.accessorial.view');

        Route::post('brokers/save-general-info', [BrokerController::class, 'saveGeneralInfo'])->name('brokers.save.tab1');
        Route::post('brokers/save-billing-insurance', [BrokerController::class, 'saveBillingInsurance'])->name('brokers.save.tab2');
        Route::post('brokers/save-lanes-rates', [BrokerController::class, 'saveLanesRates'])->name('brokers.save.tab3');
        Route::post('brokers/save-required-document/{section}', [BrokerController::class, 'saveRequiredDocuments'])->name('brokers.save.tab4');
        Route::post('brokers/save-contacts', [BrokerController::class, 'saveContacts'])->name('brokers.save.tab6');
        Route::post('brokers/save-notification-center', [BrokerController::class, 'saveNotificationCenter'])->name('brokers.save.tab7');
        Route::post('brokers/save-customer-notes', [BrokerController::class, 'saveCustomerNotes'])->name('brokers.save.tab8');
        Route::post('brokers/save-customer-files', [BrokerController::class, 'saveCustomerFiles'])->name('brokers.save.tab9');
        Route::post('brokers/save-internal-notes', [BrokerController::class, 'saveInternalNotes'])->name('brokers.save.tab10');
        Route::post('brokers/save-geofence', [BrokerController::class, 'saveGeofence'])->name('brokers.save.tab11');

        Route::get('brokers/refresh-fuel-surcharge-options/{broker_id}/{type}', [BrokerController::class, 'refreshFuelSurchargeOptions'])->name('brokers.refresh.fuel.surcharge.options');
        Route::match(['get', 'post'], 'brokers/required-document-profile/view', [BrokerController::class, 'requiredDocumentProfile'])->name('brokers.required.document.profile.view');
        Route::post('brokers/add-required-document-profile', [BrokerController::class, 'addRequiredDocumentProfile'])->name('brokers.required.document.profile');
        Route::get('brokers/contacts/{id}', [BrokerController::class, 'getContacts'])->name('brokers.contacts');
        Route::post('brokers/save-place', [BrokerController::class, 'savePlace'])->name('brokers.save.place');
        Route::post('brokers/update-status', [BrokerController::class, 'updateBrokerStatus'])->name('brokers.update.status');
        Route::get('brokers/create-rep/{broker_id}', [BrokerController::class, 'createRep'])->name('brokers.create.rep');
        Route::post('brokers/update-representative', [BrokerController::class, 'updateRepresentative'])->name('brokers.update.representative');
        Route::get('broker/customer-files', [BrokerController::class, 'getCustomerFiles'])->name('broker.customer.files');
        Route::post('broker/save-files-images', [BrokerController::class, 'saveFilesAndImages'])->name('broker.save.files.images');
        Route::post('broker/search-images', [BrokerController::class, 'searchImages'])->name('broker.search.images');
        Route::post('broker/{customer}/loads', [BrokerController::class, 'getLoads'])->name('broker.loads');
        Route::post('broker/loads-tab-reports', [BrokerController::class, 'loadsTabReports'])->name('broker.loads.tab.reports');
        Route::post('broker/billing-loads', [BrokerController::class, 'billLoadsIndex'])->name('billing.loads.index');
        Route::post('broker/update-representative-rating', [BrokerController::class, 'updateRepresentativeRating'])->name('broker.representative.rating');
        // BrokerController

        Route::resource('terminals', TerminalController::class);

        Route::resource('request-documents', GalleryController::class);
        Route::post('request-documents/get/files/view', [GalleryController::class, 'getFiles'])->name('request.documents.get.files.view');
        Route::post('request-documents/save', [GalleryController::class, 'requestDocumentsSave'])->name('request.documents.save');

        Route::get('gallery-download-file/{id}', [GalleryController::class, 'getFileDownload'])->name('gallery.download.file');
        Route::post('gallery-update-status', [GalleryController::class, 'getUpdateStatus'])->name('gallery.update.status');
        Route::post('gallery-update-access', [GalleryController::class, 'getUpdateAccess'])->name('gallery.update.access');
        Route::post('gallery-update-filename', [GalleryController::class, 'getUpdateFilename'])->name('gallery.update.filename');

        Route::post('gallery/images/view', [GalleryController::class, 'galleryImagesView'])->name('gallery.images.view');

        // GalleryDocumentName
        Route::resource('gallery-document-names', GalleryDocumentNameController::class);
        Route::post('gallery-document-names/edit/form/view', [GalleryDocumentNameController::class, 'editFormView'])->name('gallery.document.names.edit.form.view');

        Route::resource('gallery-documents', GalleryDocumentController::class);

        // VendorController
        Route::resource('vendors', VendorController::class);
        Route::post('vendors/store-ajax', [VendorController::class, 'storeAjax'])->name('vendor.storeAjax');
        Route::get('get/vendors', [VendorController::class, 'getVendorList'])->name('get.vendor.list');
        Route::post('get/vendors/by/id', [VendorController::class, 'getVendorByID'])->name('get.vendor.by.id');

        // CarrierController
        Route::resource('carriers', CarrierController::class);

        // MaintenancesController
        Route::resource('maintenances', MaintenanceController::class);
        Route::post('maintenance-udpate-due-date', [MaintenanceController::class, 'updateDueDate'])->name('maintenance.udpate.due.date');
        Route::get('maintenance-due-date-often-data', [MaintenanceController::class, 'DueDateOftenData'])->name('maintenance.dueDate.oftenData');

        Route::resource('maintenance-appointments', MaintenanceAppointmentController::class);

        // CarrierController
        Route::resource('truck-owners', TruckOwnerController::class);

        // TruckController
        Route::resource('trucks', TruckController::class);

        Route::post('truck/maintenance-data-view', [TruckController::class, 'maintenanceView'])->name('get.truck.maintenance.data');
        Route::post('truck/maintenance-data-save', [TruckController::class, 'maintenanceSave'])->name('truck.maintenance-data.save');
        Route::delete('truck/maintenance-is-completed/{id}', [TruckController::class, 'maintenanceIsCompleted'])->name('truck.maintenance.is.completed');
        Route::delete('truck/maintenance-data/delete/{id}', [TruckController::class, 'destroyMaintenance'])->name('truck.maintenance-data.delete');

        Route::post('truck/get/details', [TruckController::class, 'getTruckDetails'])->name('truck.get.details');
        Route::post('truck/get/current-location', [TruckController::class, 'getTruckCurrentLocation'])->name('truck.get.current.location');
        Route::get('/truck/sync-vehicles/{samsara_api_key}/{endCursor}', [TruckController::class, 'getSyncVehicles'])->name('truck.sync.getsyncvehicles');
        Route::post('get/truck/sync-vehicles', [TruckController::class, 'getUpdateDataVehicles'])->name('get.truck.sync.vehicles.data');

        Route::get('truck/{id}/request-documents', [TruckController::class, 'getRequestDocuments'])->name('truck.get.request.documents');
        Route::post('update/truck/image', [TruckController::class, 'UpdateTruckImage'])->name('update.truck.image');
        Route::get('remove/truck/image/{id}', [TruckController::class, 'remvoeTruckImage'])->name('remove.truck.image');

        Route::post('trucks/save-general-info', [TruckController::class, 'saveGeneralInfo'])->name('trucks.save.tab1');
        Route::post('trucks/save-ownership', [TruckController::class, 'saveOwnership'])->name('trucks.save.tab2');
        Route::post('trucks/save-insurance/{section}', [TruckController::class, 'saveInsurance'])->name('trucks.save.tab3');
        Route::post('trucks/save-compliance', [TruckController::class, 'saveCompliance'])->name('trucks.save.tab4');
        Route::post('trucks/save-pm-maintenance-service/{section}', [TruckController::class, 'savePmMaintenanceService'])->name('trucks.save.tab5');
        Route::post('trucks/save-equipment/{section}', [TruckController::class, 'saveEquipment'])->name('trucks.save.tab7');
        Route::post('trucks/save-document/{section}', [TruckController::class, 'saveDocument'])->name('trucks.save.tab8');
        Route::post('trucks/save-state-map', [TruckController::class, 'saveStateMap'])->name('trucks.save.tab9');

        Route::post('trucks/add-insurance-profile', [TruckController::class, 'addInsuranceProfile'])->name('trucks.insurance.profile');
        Route::post('trucks/insurance-profile/view', [TruckController::class, 'insuranceProfileView'])->name('trucks.insurance.profile.view');
        Route::post('trucks/add-pm-service-profile', [TruckController::class, 'addPmServiceProfile'])->name('trucks.pm-service.profile');
        Route::match(['get', 'post'], 'trucks/pm-service-profile/view', [TruckController::class, 'pmServiceProfile'])->name('trucks.pm-service.profile.view');
        Route::get('trucks/pm-service-additional/view', [TruckController::class, 'pmServiceAdditional'])->name('trucks.pm-service.additional.view');
        Route::post('trucks/add-pm-service-warranty-profile', [TruckController::class, 'addPmServiceWarrantyProfile'])->name('trucks.pm-service-warranty.profile');
        Route::match(['get', 'post'], 'trucks/pm-service-warranty/view', [TruckController::class, 'pmServiceWarranty'])->name('trucks.pm-service.warranty.view');
        Route::post('trucks/get-eld-vin-number', [TruckController::class, 'getEldVinNumber'])->name('trucks.get.eldVinNumber');
        Route::post('trucks/eld-connect', [TruckController::class, 'eldConnect'])->name('trucks.eld.connect');
        Route::post('trucks/integration-save', [TruckController::class, 'integrationSave'])->name('trucks.integration.save');
        Route::delete('trucks/integration/delete/{id}', [TruckController::class, 'destroyIntegrations'])->name('truck.integration.delete');
        Route::post('trucks/add-equipment-profile', [TruckController::class, 'addEquipmentProfile'])->name('trucks.equipment.profile');
        Route::match(['get', 'post'], 'trucks/equipment-profile/view', [TruckController::class, 'equipmentProfile'])->name('trucks.equipment.profile.view');
        Route::get('trucks/equipment-additional/view', [TruckController::class, 'equipmentAdditional'])->name('trucks.equipment.additional.view');
        Route::post('trucks/state-list-for-map', [TruckController::class, 'stateListForMap'])->name('trucks.state.list.for.map');
        Route::match(['get', 'post'], 'trucks/document-profile/view', [TruckController::class, 'documentProfile'])->name('trucks.document.profile.view');
        Route::post('trucks/add-document-profile', [TruckController::class, 'addDocumentProfile'])->name('trucks.document.profile');
        Route::get('trucks/document-additional/view', [TruckController::class, 'documentAdditional'])->name('trucks.document.additional.view');

        Route::post('truck/update-profile-image', [TruckController::class, 'updateProfileImage'])->name('truck.update.profile.image');
        Route::post('truck/update-status', [TruckController::class, 'updateTruckStatus'])->name('truck.update.status');

        Route::post('trucks/account-tab-upcoming-event', [TruckController::class, 'getTruckUpcomingEvents'])->name('truck.account.tab.upcoming.events');
        Route::post('trucks/trailer-warnings', [TruckController::class, 'getTrailerWarnings'])->name('truck.get.trailer.warnings');
        Route::post('trucks/{truck_number}/loads', [TruckController::class, 'getLoads'])->name('trucks.loads');

        Route::post('truck/sync-odometer', [TruckController::class, 'syncOdometer'])->name('truck.odometer.sync');
        Route::post('truck/information-tab-reports', [TruckController::class, 'informationTabReports'])->name('truck.info.tab.reports');
        Route::post('truck/loads-tab-reports', [TruckController::class, 'loadsTabReports'])->name('truck.loads.tab.reports');
        Route::post('truck/diagnostics-data', [TruckController::class, 'diagnosticsData'])->name('truck.diagnostics.data');
        Route::post('truck/update-insurance-view', [TruckController::class, 'truckUpdateInsuranceView'])->name('truck.update.insurance.view');
        Route::post('truck/update-on-board-documents-view', [TruckController::class, 'truckUpdateOnBoardDocumentsView'])->name('truck.update.on.board.documents.view');

        Route::post('dispatch-hub/truck-last-location', [TruckController::class, 'truckLastLocation'])->name('truck.last.location');
        Route::post('dispatch-hub/truck-attach-trailer', [TruckController::class, 'truckAttachTrailer'])->name('truck.attach.trailer');
        Route::post('dispatch-hub/truck-drop-attach-trailer', [TruckController::class, 'truckDropAttachTrailer'])->name('truck.drop.attach.trailer');
        Route::post('dispatch-hub/truck-assign-driver', [TruckController::class, 'truckAssignDriverAndCoDriver'])->name('truck.assign.driver');

        Route::post('trucks/integration/transponder-save', [TruckController::class, 'trucksIntegrationTransponderSave'])->name('trucks.integration.transponder.save');
        Route::get('trucks/integration/transponder-history/{id}', [TruckController::class, 'trucksIntegrationTransponderHistory'])->name('trucks.integration.transponder.history');
        Route::post('trucks/integration/transponder-remove', [TruckController::class, 'trucksIntegrationTransponderRemove'])->name('trucks.integration.transponder.remove');
        Route::post('trucks/integration/transponder-reassign', [TruckController::class, 'trucksIntegrationTransponderReassign'])->name('trucks.integration.transponder.reassign');

        // TrailerController
        Route::resource('trailers', TrailerController::class);
        Route::post('trailer/maintenance-data-view', [TrailerController::class, 'maintenanceView'])->name('get.trailer.maintenance.data');
        Route::delete('trailer/maintenance-data/delete/{id}', [TrailerController::class, 'destroyMaintenance'])->name('trailer.maintenance-data.delete');
        Route::post('trailer/maintenance-data-save', [TrailerController::class, 'maintenanceSave'])->name('trailer.maintenance-data.save');
        Route::delete('trailer/maintenance-is-completed/{id}', [TrailerController::class, 'maintenanceIsCompleted'])->name('trailer.maintenance.is.completed');
        Route::get('/trailer/sync-trailers/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'getSyncTrailers'])->name('trailer.sync.getsynctrailers');

        Route::get('trailer/{id}/request-documents', [TrailerController::class, 'getRequestDocuments'])->name('trailer.get.request.documents');
        Route::post('trailer/get/details/', [TrailerController::class, 'getTrailerDetails'])->name('trailer.get.details');

        Route::get('trailer/check-unique-unit', [TrailerController::class, 'checkUniqueUnit'])->name('trailer.check.unique.unit');
        Route::get('trailer/check-unique-vin', [TrailerController::class, 'checkUniqueVin'])->name('trailer.check.unique.vin');
        Route::get('trailer/check-unique-tag_number', [TrailerController::class, 'checkUniqueTagNumber'])->name('trailer.check.unique.tag_number');

        Route::post('trailer/save-general-info', [TrailerController::class, 'saveGeneralInfo'])->name('trailer.save.general.info'); // Tab 1
        Route::post('trailer/save-ownership-info', [TrailerController::class, 'saveOwnershipInfo'])->name('trailer.save.ownership.info'); // Tab 2
        Route::post('trailer/save-insurance-info', [TrailerController::class, 'saveInsuranceInfo'])->name('trailer.save.insurance.info'); // Tab 3
        Route::post('trailer/save-compliance', [TrailerController::class, 'saveCompliance'])->name('trailer.save.compliance.info'); // Tab 4
        Route::post('trailer/save-pm-service-info', [TrailerController::class, 'savePmMaintenanceService'])->name('trailer.save.pm-service.info'); // Tab 5
        Route::post('trailer/save-equipment-info', [TrailerController::class, 'saveEquipment'])->name('trailer.save.equipment.info'); // Tab 7
        Route::post('trailer/save-document-info', [TrailerController::class, 'saveDocument'])->name('trailer.save.document.info'); // Tab 8

        Route::post('trailer/add-insurance-profile', [TrailerController::class, 'addInsuranceProfile'])->name('trailer.insurance.profile');
        Route::post('trailer/insurance-profile/view', [TrailerController::class, 'insuranceProfileView'])->name('trailer.insurance.profile.view');

        Route::post('trailer/add-pm-service-profile', [TrailerController::class, 'addPmServiceProfile'])->name('trailer.pm-service.profile');
        Route::match(['get', 'post'], 'trailer/pm-service-profile/view', [TrailerController::class, 'pmServiceProfile'])->name('trailer.pm-service.profile.view');
        Route::get('trailer/pm-service-additional/view', [TrailerController::class, 'pmServiceAdditional'])->name('trailer.pm-service.additional.view');

        Route::post('trailer/get-eld-vin-number', [TrailerController::class, 'getEldVinNumber'])->name('trailer.get.eldVinNumber');
        Route::post('trailer/eld-connect', [TrailerController::class, 'eldConnect'])->name('trailer.eld.connect');
        Route::post('trailer/integration-save', [TrailerController::class, 'integrationSave'])->name('trailer.integration.save');

        Route::post('trailer/add-pm-service-warranty-profile', [TrailerController::class, 'addPmServiceWarrantyProfile'])->name('trailer.pm-service-warranty.profile');
        Route::match(['get', 'post'], 'trailer/pm-service-warranty/view', [TrailerController::class, 'pmServiceWarranty'])->name('trailer.pm-service.warranty.view');

        Route::post('trailer/add-equipment-profile', [TrailerController::class, 'addEquipmentProfile'])->name('trailer.equipment.profile');
        Route::match(['get', 'post'], 'trailer/equipment-profile/view', [TrailerController::class, 'equipmentProfile'])->name('trailer.equipment.profile.view');
        Route::get('trailer/equipment-additional/view', [TrailerController::class, 'equipmentAdditional'])->name('trailer.equipment.additional.view');

        Route::post('trailer/add-document-profile', [TrailerController::class, 'addDocumentProfile'])->name('trailer.document.profile');
        Route::match(['get', 'post'], 'trailer/document-profile/view', [TrailerController::class, 'documentProfile'])->name('trailer.document.profile.view');
        Route::get('trailer/document-additional/view', [TrailerController::class, 'documentAdditional'])->name('trailer.document.additional.view');

        Route::resource('load-requirement', LoadReqirementController::class);
        Route::post('load-requirement/edit/form/view', [LoadReqirementController::class, 'editFormView'])->name('load.requirement.edit.form.view');

        // DispatchHubController
        Route::get('dispatch-hub', [DispatchHubController::class, 'index'])->name('dispatch.hub.index');

        Route::post('dispatch-hub/widget-data', [DispatchHubController::class, 'widgetData'])->name('dispatch.widget.data');
        Route::post('dispatch-hub/filter-data', [DispatchHubController::class, 'filterData'])->name('dispatch.filter.data');
        Route::post('dispatch-hub/listing-order', [DispatchHubController::class, 'listingOrder'])->name('dispatch.listing.order');

        Route::get('dispatch-hub/on-hold-loads-list', [DispatchHubController::class, 'onHoldLoadsList'])->name('on.hold.loads.list');
        Route::get('dispatch-hub/on-hold-loads-list/child-row', [DispatchHubController::class, 'onHoldLoadsChildHtml'])->name('on.hold.loads.list.child');

        Route::get('dispatch-hub/planned-loads-list', [DispatchHubController::class, 'plannedLoadsList'])->name('planned.loads.list');
        Route::get('dispatch-hub/planned-loads-list/child-row', [DispatchHubController::class, 'plannedLoadChildHtml'])->name('planned.loads.list.child');

        Route::get('dispatch-hub/in-transit-loads-list', [DispatchHubController::class, 'inTransitLoadsList'])->name('in.transit.loads.list');
        Route::get('dispatch-hub/in-transit-loads-list/child-row', [DispatchHubController::class, 'inTransitLoadChildHtml'])->name('in.transit.loads.list.child');

        Route::get('dispatch-hub/all-dispatch', [DispatchHubController::class, 'allDispatch'])->name('all.dispatch.loads.list');
        Route::get('dispatch-hub/all-dispatch/child-row', [DispatchHubController::class, 'allDispatchLoadChildHtml'])->name('all.dispatch.loads.list.child');

        Route::get('dispatch-hub/completed-loads-list', [DispatchHubController::class, 'completedLoadsList'])->name('completed.loads.list');
        Route::post('dispatch-hub/completed-loads-list/billing-status', [DispatchHubController::class, 'completedLoadBillingStatus'])->name('completed.loads.list.billing.status');
        Route::post('dispatch-hub/completed-loads-list/child-row', [DispatchHubController::class, 'completedLoadChildHtml'])->name('completed.loads.list.child');
        Route::post('dispatch-hub/completed-loads-list/file-save', [DispatchHubController::class, 'completedLoadFileSave'])->name('completed.loads.list.file.save');
        Route::post('dispatch-hub/completed-loads-list/file-remove', [DispatchHubController::class, 'completedLoadFileRemove'])->name('completed.loads.list.file.remove');
        Route::post('dispatch-hub/completed-loads-list/request-document', [DispatchHubController::class, 'completedLoadRequestDocument'])->name('completed.loads.list.request.document');
        Route::post('dispatch-hub/completed-loads-list/request-document-save', [DispatchHubController::class, 'completedLoadRequestDocumentSave'])->name('completed.loads.list.request.document.save');
        Route::post('dispatch-hub/completed-loads-list/request-document-history', [DispatchHubController::class, 'completedLoadRequestDocumentHistory'])->name('completed.loads.list.request.document.history');
        Route::post('dispatch-hub/completed-loads-list/add-documentation', [DispatchHubController::class, 'completedLoadAddDocumentation'])->name('completed.loads.list.add.documentation');
        Route::post('dispatch-hub/completed-loads-list/add-documentation-save', [DispatchHubController::class, 'completedLoadAddDocumentationSave'])->name('completed.loads.list.add.documentation.save');
        Route::post('dispatch-hub/completed-loads-list/load-change-status', [DispatchHubController::class, 'completedLoadChangeStatus'])->name('completed.loads.list.load.change.status');

        Route::get('dispatch-hub/available-loads-list', [DispatchHubController::class, 'availableLoadsList'])->name('available.loads.list');

        Route::get('dispatch-hub/available-drivers-list', [DispatchHubController::class, 'availableDriversList'])->name('available.drivers.list');
        Route::get('dispatch-hub/available-drivers-list/child-row', [DispatchHubController::class, 'availableDriversChildHtml'])->name('available.drivers.list.child');

        Route::post('dispatch-hub/available-driver/view', [DispatchHubController::class, 'availableDriverView'])->name('available.driver.view');
        Route::post('dispatch-hub/refresh-driver-samsara-info', [DispatchHubController::class, 'refreshDriverSamsaraInfo'])->name('dispatch.refresh.samsara.info');
        Route::post('dispatch-hub/driver-info', [DispatchHubController::class, 'driverInfo'])->name('dispatch.hub.driver.info');
        Route::post('dispatch-hub/driver-samsara-info', [DispatchHubController::class, 'driverSamsaraInfo'])->name('dispatch.hub.driver.samsara.info');
        Route::post('dispatch-hub/driver-last-location', [DispatchHubController::class, 'driverLastLocation'])->name('dispatch.hub.driver.last.location');

        Route::get('dispatch-hub/book-offer/{id?}/{useAsTemplate?}', [DispatchHubController::class, 'bookOffer'])->name('book.offer');

        Route::post('dispatch-hub/book-offer/save', [DispatchHubController::class, 'bookOfferStore'])->name('book.offer.save');
        Route::post('dispatch-hub/counter-offer/save', [DispatchHubController::class, 'counterOfferSave'])->name('counter.offer.save');
        Route::post('dispatch-hub/cancel-reservation-offer', [DispatchHubController::class, 'cancelReservationOffer'])->name('cancel.reservation.offer');
        Route::delete('dispatch-hub/book-offer/delete/{id}', [DispatchHubController::class, 'bookOfferDelete'])->name('book.offer.delete');

        Route::post('dispatch-hub/book-offer/view', [DispatchHubController::class, 'bookOfferView'])->name('book.offer.view');
        Route::get('driver-offers/{id}', [DispatchHubController::class, 'driverOffers'])->name('driver.offers');
        Route::post('driver-offers-data', [DispatchHubController::class, 'driverOffersData'])->name('driver.offers.data');
        Route::post('dispatch-hub/available-driver-samsara-data', [DispatchHubController::class, 'availableDriverSamsaraData'])->name('available.driver.samsara.data');

        Route::post('dispatch-hub/update-load-co-driver', [DispatchHubController::class, 'updateLoadCoDriver'])->name('dispatch.update.load.codriver');
        Route::post('dispatch-hub/update-load-status', [DispatchHubController::class, 'updateLoadStatus'])->name('dispatch.update.load.status');

        Route::post('dispatch-hub/load-comparison-view', [DispatchHubController::class, 'loadComparisonView'])->name('dispatch.load.comparison.view');

        // ProRouter
        Route::get('pro-routes', [ProRoutesController::class, 'index'])->name('pro-routes.index');
        Route::get('pro-routes/offer-list', [ProRoutesController::class, 'offerList'])->name('pro-routes.offer.list');
        Route::get('pro-routes/favorite-list', [ProRoutesController::class, 'favoriteList'])->name('pro-routes.favorite.list');

        // SettingController
        Route::get('company-settings', [SettingController::class, 'index'])->name('setting.index');
        Route::patch('company-settings/update/{id}', [SettingController::class, 'update'])->name('setting.update');
        Route::post('settings/crop-picture', [SettingController::class, 'cropPicture'])->name('setting.cropPicture');
        Route::post('settings/crop-email-logo', [SettingController::class, 'cropEmailLogo'])->name('setting.emailLogo');

        Route::get('account-settings', [AccountSettingController::class, 'index'])->name('account.index');
        Route::patch('account-settings/update/{id}', [AccountSettingController::class, 'update'])->name('account.update');

        Route::get('integration-settings', [IntegrationSettingsController::class, 'index'])->name('integration.index');
        Route::patch('app-settings/update/{id}', [IntegrationSettingsController::class, 'update'])->name('integration.update');
        Route::post('app-settings/save', [IntegrationSettingsController::class, 'save'])->name('integration.save');

        Route::get('app-settings/view/{appid}', [IntegrationSettingsController::class, 'ViewApp'])->name('integration.view.app');
        Route::delete('/app-settings/destroy/{id}', [IntegrationSettingsController::class, 'destroy'])->name('app-settings.destroy');

        Route::post('/samsara/sync/driver', [SamsaraController::class, 'syncDriver'])->name('app-settings.sync.driver');
        Route::post('/samsara/sync/vehicles', [SamsaraController::class, 'syncVehicles'])->name('app-settings.sync.vehicles');
        Route::post('/samsara/sync/trailers', [SamsaraController::class, 'syncTrailers'])->name('app-settings.sync.trailers');
        Route::get('/samsara/sync-driver/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'getSyncDriver'])->name('samsara.sync.getsyncdriver');
        Route::get('/samsara/sync-vehicles/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'getSyncVehicles'])->name('samsara.sync.getsyncvehicles');
        Route::get('/samsara/sync-trailers/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'getSyncTrailers'])->name('samsara.sync.getsynctrailers');

        Route::get('/samsara/sync-driver-by-ajax/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'syncDriverByAjax'])->name('samsara.sync.syncdriverbyajax');
        Route::get('/samsara/sync-vehicles-by-ajax/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'syncVehiclesByAjax'])->name('samsara.sync.syncvehiclesbyajax');
        Route::get('/samsara/sync-trailers-by-ajax/{samsara_api_key}/{endCursor}', [SamsaraController::class, 'syncTrailersByAjax'])->name('samsara.sync.synctrailersbyajax');

        Route::get('/samsara/cronjob', [SamsaraController::class, 'getSyncChecking'])->name('samsara.sync.getSyncChecking');

        // ShipperController
        Route::resource('shipper', ShipperController::class);
        Route::post('shipper/store-ajax', [ShipperController::class, 'storeAjax'])->name('shipper.storeAjax');
        Route::get('get/shipper', [ShipperController::class, 'getStoreList'])->name('get.shipper.list');

        // ReceiverController
        Route::resource('receiver', ReceiverController::class);
        Route::post('receiver/store-ajax', [ReceiverController::class, 'storeAjax'])->name('receiver.storeAjax');
        Route::get('get/receiver', [ReceiverController::class, 'getReceiverList'])->name('get.receiver.list');

        // ShipperController
        // Route::resource('customer', CustomerController::class);
        Route::resource('shippers-and-consignees', CustomerController::class)->parameters([
            'shippers-and-consignees'  => 'customer'
        ])->names([
            'index'     => 'customer.index',
            'create'    => 'customer.create',
            'store'     => 'customer.store',
            'show'      => 'customer.show',
            'edit'      => 'customer.edit',
            'update'    => 'customer.update',
            'destroy'   => 'customer.destroy',
        ]);
        Route::post('customer/store-ajax', [CustomerController::class, 'storeAjax'])->name('customer.storeAjax');
        Route::get('get/customer', [CustomerController::class, 'getStoreList'])->name('get.customer.list');

        Route::post('get/customer-address/by/id', [CustomerController::class, 'getCustomerAddressById'])->name('get.customeraddress.by.id');

        /**Role Module **/
        Route::get('/roles', [RolePermissionController::class, 'index'])->name('role.index');
        Route::post('/roles/store', [RolePermissionController::class, 'storeRole'])->name('role.store');
        Route::get('/roles/list', [RolePermissionController::class, 'roleList'])->name('role.list');
        Route::delete('/roles/destroy/{id}', [RolePermissionController::class, 'roleDestroy'])->name('role.destroy');
        Route::post('/roles/update', [RolePermissionController::class, 'roleUpdate'])->name('role.update');
        Route::get('/roles/inactive/{id}', [RolePermissionController::class, 'roleInactive'])->name('companyAdmin.role.inactive');
        Route::get('/roles/active/{id}', [RolePermissionController::class, 'roleActive'])->name('role.active');
        Route::get('/roles/edit-permissions/{id}', [RolePermissionController::class, 'editRolePermissions'])->name('role.edit_role_permissions');
        Route::post('/roles/update-permissions/{id}', [RolePermissionController::class, 'updateRolePermissions'])->name('
            role.update_role_permissions');
        Route::get('/roles/update-module', [RolePermissionController::class, 'updatemodule'])->name('
            role.updatemodule');

        // Search
        Route::get('search/', [SearchController::class, 'index'])->name('get.search.data');

        Route::get('leaves/approve', [LeaveController::class, 'index'])->name('leave.take.approve');
        Route::resource('leaves', LeaveController::class);

        Route::post('leave-calendar-show', [LeaveController::class, 'leaveCalanderView'])->name('leave.calendar.show');
        Route::post('leave-show', [LeaveController::class, 'leaveView'])->name('leave.details.view');
        Route::get('take-decision', [LeaveController::class, 'getTakeDecision'])->name('leave.take.decision');

        Route::resource('leaveusertypes', LeaveUserTypesController::class);

        Route::resource('notifications', NotificationController::class);

        Route::resource('bookmarks', BookmarkController::class);

        Route::resource('notifications-status', NotifyController::class);

        // Compliance
        Route::get('compliance', [ComplianceController::class, 'index'])->name('compliance.index');
        Route::post('compliance/widget-data', [ComplianceController::class, 'widgetData'])->name('compliance.widget.data');
        Route::post('compliance/list-data', [ComplianceController::class, 'listData'])->name('compliance.list.data');
        Route::post('compliance/list-option', [ComplianceController::class, 'listOption'])->name('compliance.list.option');
        Route::post('compliance/is-draggable', [ComplianceController::class, 'isDraggable'])->name('compliance.draggable');
        Route::get('compliance/dashboard-report/{index?}', [ComplianceController::class, 'complianceReport'])->name('compliance.report');
        Route::get('compliance/dashboard-report-generate-pdf/{index?}', [ComplianceController::class, 'complianceReportGeneratePDF'])->name('compliance.report.generate.pdf');

        // Fuel Surcharges
        Route::get('fuel-surcharges/{id?}', [FuelSurchargesController::class, 'index'])->name('fuel-surcharges.index');
        Route::get('fuel-surcharges-historical-fuel-data', [FuelSurchargesController::class, 'historicalFuelData'])->name('fuel-surcharges.research');
        Route::post('fuel-surcharges/save-template', [FuelSurchargesController::class, 'saveTemplate'])->name('fuel-surcharges.save');
        Route::post('fuel-surcharges/carrier-rate-per-mile', [FuelSurchargesController::class, 'carrierRatePerMile'])->name('fuel-surcharges.carrierRatePerMile');
        Route::post('fuel-surcharges/customer-rate-per-mile', [FuelSurchargesController::class, 'customerRatePerMile'])->name('fuel-surcharges.customerRatePerMile');

        //Usage
        Route::get('usage/email', [UsageController::class, 'indexEmail'])->name('usage.email.index');
        Route::get('usage/sms', [UsageController::class, 'indexSms'])->name('usage.sms.index');

        // Chart Of Account
        Route::resource('chart-of-accounts', ChartOfAccountController::class);
        Route::post('chart-of-accounts/edit/form/view', [ChartOfAccountController::class, 'editFormView'])->name('chart-of-accounts.edit.form.view');
        Route::post('chart-of-accounts/parent-list', [ChartOfAccountController::class, 'parentList'])->name('chart-of-accounts.parentList');
        Route::post('chart-of-accounts/update-account-status', [ChartOfAccountController::class, 'updateAccountStatus'])->name('chart-of-accounts.updateAccountStatus');
        Route::post('chart-of-accounts/import-default', [ChartOfAccountController::class, 'importDefault'])->name('chart-of-accounts.importDefault');
        Route::get('chart-of-accounts-list/export', [ChartOfAccountController::class, 'exportList'])->name('chart-of-accounts.exportList');
        Route::get('chart-of-accounts-list/import-accounts', [ChartOfAccountController::class, 'importAccounts'])->name('chart-of-accounts.importAccounts');
        Route::post('chart-of-accounts-list/import-accounts/step-one', [ChartOfAccountController::class, 'importAccountsStepOne'])->name('chart-of-accounts.importAccountsStepOne');
        Route::post('chart-of-accounts-list/import-accounts/step-two', [ChartOfAccountController::class, 'importAccountsStepTwo'])->name('chart-of-accounts.importAccountsStepTwo');
        Route::post('chart-of-accounts-list/import-accounts/step-done', [ChartOfAccountController::class, 'importAccountsStepDone'])->name('chart-of-accounts.importAccountsStepDone');

        // Announcement
        Route::resource('announcement', AnnouncementController::class);

        // Announcement
        Route::get('/dispatch-pro-announcement', [CompelAnnouncementController::class, 'index'])->name('compel.announcement.index');
        Route::get('/dispatch-pro-announcement/{compel_announcement}', [CompelAnnouncementController::class, 'show'])->name('compel.announcement.show');
        Route::post('/announcement-clear', [CompelAnnouncementController::class, 'announcementClear'])->name('announcement.clear');

        // Email Template
        Route::resource('email-templates', EmailTemplateController::class);
        Route::post('email-templates/revert', [EmailTemplateController::class, 'revert'])->name('email-templates.revert');
        Route::post('email-wrapper-template', [EmailTemplateController::class, 'emailWrapperTemplate'])->name('email.wrapper.template');
        Route::get('email-wrapper-template-revert', [EmailTemplateController::class, 'emailWrapperTemplatesRevert'])->name('email.wrapper.templates.revert');

        // Pdf Template
        Route::resource('pdf-templates', PdfTemplateController::class)->except([
            'create', 'store', 'destroy'
        ]);
        Route::post('pdf-templates/revert', [PdfTemplateController::class, 'revert'])->name('pdf-templates.revert');

        // Truck Profiles
        Route::resource('truck-insurance-profiles', InsuranceProfileController::class)->parameters(['truck-insurance-profiles' => 'profile']);
        Route::resource('truck-pm-service-profiles', PmServiceProfileController::class)->parameters(['truck-pm-service-profiles' => 'profile']);
        Route::resource('truck-equipment-profiles', EquipmentProfileController::class)->parameters(['truck-equipment-profiles' => 'profile']);
        Route::resource('truck-on-board-document-profiles', OnBoardDocumentProfileController::class)->parameters(['truck-on-board-document-profiles' => 'profile']);
        Route::resource('truck-warranty-profiles', WarrantyProfileController::class)->parameters(['truck-warranty-profiles' => 'profile']);

        // Trailer Profiles
        Route::resource('trailer-insurance-profiles', TrailerInsuranceProfileController::class)->parameters(['trailer-insurance-profiles' => 'profile']);
        Route::resource('trailer-pm-service-profiles', TrailerPmServiceProfileController::class)->parameters(['trailer-pm-service-profiles' => 'profile']);
        Route::resource('trailer-equipment-profiles', TrailerEquipmentProfileController::class)->parameters(['trailer-equipment-profiles' => 'profile']);
        Route::resource('trailer-on-board-document-profiles', TrailerOnBoardDocumentProfileController::class)->parameters(['trailer-on-board-document-profiles' => 'profile']);
        Route::resource('trailer-warranty-profiles', TrailerWarrantyProfileController::class)->parameters(['trailer-warranty-profiles' => 'profile']);

        // Maintenance Appointment Type
        Route::resource('maintenance-appointment-types', MaintenanceAppointmentTypeController::class);
        Route::post('maintenance-appointment-types/edit/form/view', [MaintenanceAppointmentTypeController::class, 'editFormView'])->name('maintenance.appointment.types.edit.form.view');

        // Maintenance Ticket Type
        Route::resource('maintenance-ticket-types', MaintenanceTicketTypeController::class);
        Route::post('maintenance-ticket-types/edit/form/view', [MaintenanceTicketTypeController::class, 'editFormView'])->name('maintenance.ticket.types.edit.form.view');

        // Trailer Types
        Route::resource('trailer-types', TrailerTypeController::class);
        Route::post('trailer-types/edit/form/view', [TrailerTypeController::class, 'editFormView'])->name('trailer.types.edit.form.view');

        // Truck Types
        Route::resource('truck-types', TruckTypeController::class);
        Route::post('truck-types/edit/form/view', [TruckTypeController::class, 'editFormView'])->name('truck.types.edit.form.view');

        // Trailer Groups
        Route::resource('trailer-groups', TrailerGroupController::class);
        Route::post('trailer-groups/edit/form/view', [TrailerGroupController::class, 'editFormView'])->name('trailer.groups.edit.form.view');

        // Truck Groups
        Route::resource('truck-groups', TruckGroupController::class);
        Route::post('truck-groups/edit/form/view', [TruckGroupController::class, 'editFormView'])->name('truck.groups.edit.form.view');

        Route::resource('driver-hos-violation-code', DriverHosViolationCodeController::class);
        Route::resource('driver-citations-violation-code', DriverCitationsViolationCodeController::class);
        Route::resource('driver-accident-violation-code', DriverAccidentViolationCodeController::class);
        Route::resource('driver-inspection-level', DriverInspectionLevelController::class);
        Route::resource('driver-disciplinary-action', DriverDisciplinaryActionController::class);

        // Holiday
        Route::resource('company-holiday', CompanyHolidayController::class);

        // Leave Type
        Route::resource('leave-type', LeaveTypeController::class);

        // Manage Type
        Route::resource('manage-type', ManageTypeController::class);

        // Load Document
        Route::resource('load-document', LoadDocumentController::class);
        Route::post('load-document/edit/form/view', [LoadDocumentController::class, 'editFormView'])->name('load-document.edit.form.view');

        // Load Requirements Items
        Route::resource('load-requirements-items', LoadRequirementsItemController::class);
        Route::post('load-requirements-items/edit/form/view', [LoadRequirementsItemController::class, 'editFormView'])->name('load-requirements-items.edit.form.view');

        // Accessorial
        Route::resource('accessorial', AccessorialController::class);
        Route::post('accessorial/edit/form/view', [AccessorialController::class, 'editFormView'])->name('accessorial.edit.form.view');

        // Commodity
        Route::resource('commodity', CommodityController::class);
        Route::post('commodity/edit/form/view', [CommodityController::class, 'editFormView'])->name('commodity.edit.form.view');

        // Terms
        Route::resource('terms', TermsController::class);
        Route::post('terms/edit/form/view', [TermsController::class, 'editFormView'])->name('terms.edit.form.view');

        // Work Order Documents
        Route::resource('work-order-documents', WorkOrderController::class);
        Route::post('work-order-documents/edit/form/view', [WorkOrderController::class, 'editFormView'])->name('work.order.edit.form.view');

        // Safety And Compliance Documents
        Route::resource('safety-and-compliance-documents', SafetyComplianceController::class);
        Route::post('safety-and-compliance-documents/edit/form/view', [SafetyComplianceController::class, 'editFormView'])->name('safety.compliance.edit.form.view');

        // Onboarding Documents
        Route::resource('onboarding-documents', OnboardingController::class);
        Route::post('onboarding-documents/edit/form/view', [OnboardingController::class, 'editFormView'])->name('onboarding.edit.form.view');

        // Deduction Type
        Route::resource('deduction-names', DeductionTypeController::class);
        Route::post('deduction-names/edit/form/view', [DeductionTypeController::class, 'editFormView'])->name('deduction.names.edit.form.view');

        // Recruiting Source
        Route::resource('recruiting-source', RecruitingSourceController::class);
        Route::post('recruiting-source/edit/form/view', [RecruitingSourceController::class, 'editFormView'])->name('recruiting.source.edit.form.view');

        // Insurance Types
        Route::resource('insurance-types', InsuranceTypeController::class);
        Route::post('insurance-types/edit/form/view', [InsuranceTypeController::class, 'editFormView'])->name('insurance.types.edit.form.view');

        // PM Types
        Route::resource('pm-types', PmTypeController::class);
        Route::post('pm-types/edit/form/view', [PmTypeController::class, 'editFormView'])->name('pm.types.edit.form.view');

        //PM Service Types
        Route::resource('pm-service-types', PmServiceTypeController::class);
        Route::post('pm-service-types/edit/form/view', [PmServiceTypeController::class, 'editFormView'])->name('pm.service.types.edit.form.view');

        //PM Warranty Providers
        Route::resource('pm-warranty-providers', PmWarrantyProviderController::class);
        Route::post('pm-warranty-providers/edit/form/view', [PmWarrantyProviderController::class, 'editFormView'])->name('pm.warranty.providers.edit.form.view');

        //Equipment Titles
        Route::resource('equipment-titles', EquipmentTitleController::class);
        Route::post('equipment-titles/edit/form/view', [EquipmentTitleController::class, 'editFormView'])->name('equipment.titles.edit.form.view');

        //Document Titles
        Route::resource('document-titles', DocumentTitleController::class);
        Route::post('document-titles/edit/form/view', [DocumentTitleController::class, 'editFormView'])->name('document.titles.edit.form.view');

        //Drop Location
        Route::resource('drop-locations', DropLocationController::class);

        //Billing Dashboard
        Route::get('billing/dashboard', [BillingController::class, 'index'])->name('billing.index');
        Route::post('billing/all-loads', [BillingController::class, 'index'])->name('billing.all.loads.index');
        Route::post('billing/ready-to-bill-loads', [BillingController::class, 'readyToBillLoadsIndex'])->name('billing.ready.to.bill.loads.index');
        Route::post('billing/missing-docs-loads', [BillingController::class, 'missingDocsLoadsIndex'])->name('billing.missing.docs.loads.index');
        Route::post('billing/on-hold-loads', [BillingController::class, 'onHoldLoadsIndex'])->name('billing.on.hold.loads.index');
        Route::post('billing/invoiced-loads', [BillingController::class, 'invoicedLoadsIndex'])->name('billing.invoiced.loads.index');
        Route::get('billing/load-child', [BillingController::class, 'loadChild'])->name('billing.load.child');
        Route::post('billing/audit-load/view', [BillingController::class, 'auditLoadView'])->name('billing.audit.load.view');
        Route::get('billing/audit-load/unlock', [BillingController::class, 'auditLoadUnlock'])->name('billing.audit.load.unlock');
        Route::post('billing/audit-load/documents-data-update', [BillingController::class, 'loadDocumentsDataUpdate'])->name('billing.audit.load.documents.data.update');
        Route::post('billing/audit-load/request-document', [BillingController::class, 'loadRequestDocument'])->name('billing.audit.load.request.documents');
        Route::post('billing/audit-load/request-document-save', [BillingController::class, 'loadRequestDocumentSave'])->name('billing.audit.load.request.documents.save');
        Route::post('billing/audit-load/request-document-history', [BillingController::class, 'loadRequestDocumentHistory'])->name('billing.audit.load.request.documents.history');
        Route::post('billing/audit-load/add-documentation', [BillingController::class, 'loadAddDocumentation'])->name('billing.audit.load.add.documentation');
        Route::post('billing/audit-load/add-documentation-save', [BillingController::class, 'loadAddDocumentationSave'])->name('billing.audit.load.add.documentation.save');
        Route::get('billing/invoice/create/{id}', [BillingController::class, 'invoiceCreate'])->name('billing.invoice.create');
        Route::post('billing/invoice/save', [BillingController::class, 'invoiceSave'])->name('billing.invoice.save');
        Route::get('billing/invoice/show/{id}', [BillingController::class, 'invoiceShow'])->name('billing.invoice.show');
        Route::post('billing/invoice/resend', [BillingController::class, 'invoiceResend'])->name('billing.invoice.resend');
        Route::get('billing/invoice/edit/{id}', [BillingController::class, 'editInvoice'])->name('billing.invoice.edit');
        Route::patch('billing/invoice/update/{id}', [BillingController::class, 'updateInvoice'])->name('billing.invoice.update');
        Route::post('billing/load-note/save', [BillingController::class, 'loadNoteSave'])->name('billing.load.note.save');
        Route::post('billing/load-reminder/view', [BillingController::class, 'loadReminderView'])->name('billing.load.reminder.view');
        Route::post('billing/load-reminder/save', [BillingController::class, 'loadReminderSave'])->name('billing.load.reminder.save');
        Route::post('billing/load-reminder/delete', [BillingController::class, 'loadReminderDelete'])->name('billing.load.reminder.delete');
        Route::get('billing/review-load-documents/{id?}', [BillingController::class, 'reviewLoadDocuments'])->name('billing.review.load.documents');
        Route::post('billing/review-load-documents/view', [BillingController::class, 'reviewLoadDocumentsView'])->name('billing.review.load.documents.view');
        Route::post('billing/pay-invoice/view', [BillingController::class, 'getPayInvoiceView'])->name('billing.pay.invoice.view');
        Route::post('billing/payment-accounts/view', [BillingController::class, 'getPaymentAccountsView'])->name('billing.payment.accounts.view');
        Route::post('billing/payment-accounts/save', [BillingController::class, 'paymentAccountsSave'])->name('billing.payment.accounts.save');
        Route::delete('billing/payment-accounts/delete/{id}', [BillingController::class, 'paymentAccountsDelete'])->name('billing.payment.accounts.delete');
        Route::post('billing/load-pay-invoice', [BillingController::class, 'loadPayInvoice'])->name('billing.load.pay.invoice');
        Route::get('billing/invoice-create-link/{id}', [BillingController::class, 'invoiceCreateLink'])->name('billing.invoice.create.link');

        //Lists
        Route::get('lists', [ListController::class, 'index'])->name('lists.index');
        Route::post('lists/drivers-all', [ListController::class, 'driversAll'])->name('lists.drivers.all');
        Route::post('lists/trucks-all', [ListController::class, 'trucksAll'])->name('lists.trucks.all');
        Route::post('lists/trailers-all', [ListController::class, 'trailersAll'])->name('lists.trailers.all');
        Route::post('lists/widgets-save', [ListController::class, 'widgetsSave'])->name('lists.widgets.save');
        // Add Portals
        Route::get('add-portals', [AddPortalsController::class, 'index'])->name('add.portals.index');
        //Map
        Route::match(['get', 'post'], '/map/cluster', [MapController::class, 'index'])->name('map.cluster');
        Route::post('map/cluster/filter-list', [MapController::class, 'filterList'])->name('map.cluster.filter.list');
    });

    // Detention Request
    Route::get('/detention-request', [DetentionRequestController::class, 'index'])->name('detention.request.index');
    Route::post('detention-request-view', [DetentionRequestController::class, 'view'])->name('detention.request.view');
    Route::post('detention-request-save', [DetentionRequestController::class, 'save'])->name('detention.request.save');
    Route::post('detention-request-deny', [DetentionRequestController::class, 'deny'])->name('detention.request.deny');
    Route::post('detention-request-revert', [DetentionRequestController::class, 'revert'])->name('detention.request.revert');
    Route::post('detention-request/resend-broker', [DetentionRequestController::class, 'resendBroker'])->name('detention.request.resend.broker');
    Route::post('detention-request/force-stop', [DetentionRequestController::class, 'forceStop'])->name('detention.request.force.stop');

    /**** Profile ***/
    Route::get('/edit-profile', [ProfileController::class, 'editProfile'])->name('cadmin.editProfile');
    Route::post('/update-profile', [ProfileController::class, 'updateProfile'])->name('cadmin.updateProfile');
    Route::get('/view-profile', [ProfileController::class, 'viewProfile'])->name('cadmin.viewProfile');
    Route::get('/change-password', [ProfileController::class, 'changePassword'])->name('cadmin.changePassword');
    Route::post('/update-password', [ProfileController::class, 'updatePassword'])->name('cadmin.updatePassword');
    Route::get('/update-email/{email}', [ProfileController::class, 'updateEmail'])->name('cadmin.updateEmail');
    Route::post('/check-duplicate-email', [ProfileController::class, 'checkDuplicateEmail'])->name('cadmin.checkDuplicateEmail');
    Route::post('/crop-profile-picture', [ProfileController::class, 'cropProfilePicture'])->name('cadmin.cropProfilePicture');

    // Revenue Tracker - Sanni
    Route::resource(
        'revenue-tracker',
        RevenueTrackersController::class,
        [
            'names'     => [
                'index' => 'revenue.trackers.index',
            ]
        ]
    );
    Route::post('revenue-tracker-teamajax', [RevenueTrackersController::class, 'teamAjax'])->name('revenue.trackers.teamAjax');
    Route::get('revenue-tracker/team/{id}', [RevenueTrackersController::class, 'teamIndex'])->name('revenue.tracker.team.id');
    Route::post('revenue-tracker/team/ajax', [RevenueTrackersController::class, 'teamAjaxByID'])->name('revenue.trackers.teamAjaxByID');

    // Revenue Tracker

    Route::resource('revenuetracke', RevenuetrackerController::class);
    Route::get('revenue-tracker-index', [RevenuetrackerController::class, 'index'])->name('revenue.tracker.index');
    Route::post('revenue-tracker-getfilterdata', [RevenuetrackerController::class, 'getfilterdata'])->name('revenue.tracker.getfilterdata');

    Route::post('revenue-tracker-getdriverfilterdata', [RevenuetrackerController::class, 'getdriverfilterdata'])->name('revenue.tracker.getdriverfilterdata');

    Route::get('revenue-tracker-driverdata/{id}', [RevenuetrackerController::class, 'multipledriverdata'])->name('revenue.tracker.driverdata');

    Route::get('revenue-tracker-getbackdataindex/{id}/{startDate}/{endDate}', [RevenuetrackerController::class, 'getbackdataindex'])->name('revenue.tracker.getbackdataindex');

    Route::get('revenue-tracker-driverDatagetdatewise/{id}/{startDate}/{endDate}', [RevenuetrackerController::class, 'driverDatagetdatewise'])->name('revenue.tracker.driverDatagetdatewised');

    Route::resource('occupancy-calendar', OccupancyCalendarController::class);
    Route::post('occupancy-calendar-show', [OccupancyCalendarController::class, 'OccupancyCalanderView'])->name('occupancy.calendar.show');
    Route::post('occupancy-calendar-report-show', [OccupancyCalendarController::class, 'OccupancyCalanderReportView'])->name('occupancy.calendar.report.show');

    Route::resource('liner-fleet-calendar', LinerFleetCalendarController::class);
    Route::post('liner-fleet-calendar-show', [LinerFleetCalendarController::class, 'LinerFleetCalanderView'])->name('liner.fleet.calendar.show');
    Route::post('liner-fleet-calendar-tbody', [LinerFleetCalendarController::class, 'LinerFleetCalanderTablebody'])->name('liner.fleet.calendar.tbody');

    Route::post('leaveusertypes/add-leaves-to-user', [LeaveUserTypesController::class, 'addLeavesToUser'])->name('add.leaves.to.user');
    Route::post('leaveusertypes/get-user-leaves-allowance', [LeaveUserTypesController::class, 'getUserLeavesAllowance'])->name('get.user.leaves.allowance');
    Route::post('leaveusertypes/edit-user-leaves-allowance-view', [LeaveUserTypesController::class, 'editUserLeavesAllowanceView'])->name('edit.user.leaves.allowance.view');
    Route::post('leaveusertypes/get-user-leaves-timeoff', [LeaveUserTypesController::class, 'getUserLeavesTimeOff'])->name('get.user.leaves.timeoff');
    Route::post('leaveusertypes/check-leave-option', [LeaveUserTypesController::class, 'checkLeaveOption'])->name('check.leave.option');

    ////////////////27-05-22-Manish////////////////////
    Route::post('scrollData', [HomeController::class, 'scrollDataInsert'])->name('scrollInsertData');

    Route::get('/clear-notification', function () {
        clearNotification();
    })->name('clear.notification');

    Route::get('chat', [ChatController::class, 'index'])->name('chat.index');
    Route::get('chat/load-detail', [ChatController::class, 'loadDetail'])->name('chat.load.detail');
    Route::get('chat/load-internal-detail', [ChatController::class, 'loadInternalDetail'])->name('chat.load.internal.detail');
    Route::post('chat/load-truck-location-update', [ChatController::class, 'loadTruckLocationUpdate'])->name('chat.load.truck.location.update');
    Route::post('chat/get-chat-history', [ChatController::class, 'getChatHistory'])->name('chat.get.chat.history');
    // Developed at - 11-04-2023
    Route::post('chat/send-sms-twilio', [ChatController::class, 'sendSmsTwilio'])->name('chat.send.sms.twilio');
    Route::post('chat/load-more-sms-history', [ChatController::class, 'loadMoreSmsHistory'])->name('chat.load.more.sms.history');
    Route::post('chat/search-sms-history', [ChatController::class, 'searchSmsHistory'])->name('chat.search.sms.history');
    Route::post('chat/get-email-for-external-use', [ChatController::class, 'getEmailForExternalUse'])->name('get.email.for.external.use');
    // Developed at 14-04-2023
    Route::post('chat/get-unread-emails', [SendGridController::class, 'getUnreadEmails'])->name('chat.get.unread.emails');
    Route::post('chat/checknew-unread-emails', [SendGridController::class, 'checkUnreadEmails'])->name('chat.checknew.unread.emails');
    // Developed at 18-04-2023
    Route::post('chat/get-unread-message', [ChatController::class, 'getUnreadMessage'])->name('chat.get.unread.message');
    // Developed at 19-04-2023
    Route::post('chat/get-unread-sms-count', [ChatController::class, 'getUnreadMessageCount'])->name('chat.get.unread.smscount');
    Route::post('chat/get-user-phones', [ChatController::class, 'getUserPhones'])->name('chat.get.user.phones');
    Route::post('chat/get-unread-message-details', [ChatController::class, 'getUnreadMessageDetails'])->name('chat.get.unread.message.details');

    //Dynamic Left Sidebar Menu
    Route::post('update-left-sidebar', [LeftSideBarController::class, 'updateLeftSideBar'])->name('update.left.sidebar');
});

Route::get('/detention-request/broker/{id}', [DetentionRequestController::class, 'broker'])->name('detention.request.broker');
Route::post('/detention-request/broker/view-at', [DetentionRequestController::class, 'brokerViewAt'])->name('detention.request.broker.view.at');
Route::post('/detention-request/broker/save', [DetentionRequestController::class, 'brokerSave'])->name('detention.request.broker.save');

Route::get('/appointment-request/{code}', [AppointmentRequestController::class, 'redirect'])->name('appointment.request.redirect');
Route::get('/appointment-request/{id}/{email}/{source}', [AppointmentRequestController::class, 'view'])->name('appointment.request.view');
Route::post('/appointment-request/save', [AppointmentRequestController::class, 'save'])->name('appointment.request.save');

// Type => // 0 = None, 1 = Email, 2 = SMS
// Format => // 0 = Stream, 1 = Save means Download, 2 = Print
Route::get('/broker/invoice/{type}/{id}/{format?}', [BillingController::class, 'viewInvoice'])->name('broker.invoice.view');