

<?php $__env->startSection('title'); ?>
    Company Settings
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link active" id="UserSettings-tab" data-toggle="tab" href="#UserSettings" role="tab" aria-controls="Settings" aria-selected="true">Company Settings</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="UserSettings" role="tabpanel" aria-labelledby="UserSettings-tab">
            <?php echo Form::model($setting, array('route' => ['company.admin.setting.update',$setting->id],'method'=>'PATCH','files'=>'true')); ?>

                <div class="row">
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Company Logo</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <div class="file-upload">
                                            <div class="file-select">
                                                <input type="file" name="profile_picture" id="profile_picture">
                                            </div>
                                        </div>
                                    </div>
                                    <?php if(isset($setting->logo)): ?>
                                        <img src="<?php echo e(asset('storage/companyAdmin/company_logo').'/'.$setting->logo); ?>" id="profilePicturePreview" width="261" />
                                    <?php else: ?>
                                        <img src="<?php echo e(asset('theme/img/dummy-img.jpg')); ?>" id="profilePicturePreview" width="261">
                                    <?php endif; ?>
                                    <input type="hidden" id="profilePicturePath" name="profilePicturePath" value="<?php echo e(asset('storage/companyAdmin/company_logo')); ?>/">
                                    <input type="hidden" name="profile_picture_hidden" id="profile_picture_hidden" >
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Company Email Logo</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <div class="file-upload">
                                            <div class="file-select">
                                                <input type="file" name="profile_picture_email" id="profile_picture_email">
                                            </div>
                                        </div>
                                    </div>
                                    <?php if(isset($setting->email_logo)): ?>
                                        <img src="<?php echo e(asset('storage/companyAdmin/company_email').'/'.$setting->email_logo); ?>" id="profilePicturePreview_email" width="261" />
                                    <?php else: ?>
                                        <img src="<?php echo e(asset('theme/img/dummy-img.jpg')); ?>" id="profilePicturePreview_email" width="261" />
                                    <?php endif; ?>
                                    <input type="hidden" id="profilePicturePath_email" name="profilePicturePath_email" value="<?php echo e(asset('storage/companyAdmin/company_email')); ?>/">
                                    <input type="hidden" name="profile_picture_hidden_email" id="profile_picture_hidden_email" >
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Company Address</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <?php echo Form::textarea('address', old('address'), array('class' => 'form-control', 'placeholder' => 'Address','rows' => '4')); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Billing Information</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <?php echo Form::textarea('billing_information', old('billing_information'), array('class' => 'form-control', 'placeholder' => 'Billing information','rows' => '4')); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Contact Information</h4>
                            <div class="box-padding row">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <?php echo Form::textarea('contact_information', old('contact_information'), array('class' => 'form-control', 'placeholder' => 'Contact Information','rows' => '4')); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Set Logout Time</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('session_lifetime', '1 hour', false, array('class' => 'custom-control-input', 'id' => 'session_lifetime_1')); ?>

                                            <label class="custom-control-label" for="session_lifetime_1">1 hour</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('session_lifetime', '4 hours', false, array('class' => 'custom-control-input', 'id' => 'session_lifetime_4')); ?>

                                            <label class="custom-control-label" for="session_lifetime_4">4 hours</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('session_lifetime', '8 hours', false, array('class' => 'custom-control-input', 'id' => 'session_lifetime_8')); ?>

                                            <label class="custom-control-label" for="session_lifetime_8">8 hours</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('session_lifetime', 'Never', false, array('class' => 'custom-control-input', 'id' => 'session_lifetime_n')); ?>

                                            <label class="custom-control-label" for="session_lifetime_n">Never</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">OOS Equipment</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_equipment', '1', false, array('class' => 'custom-control-input', 'id' => 'oos1')); ?>

                                            <label class="custom-control-label" for="oos1">Allow Loads on OOS Equipment</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_equipment', '2', false, array('class' => 'custom-control-input', 'id' => 'oos2')); ?>

                                            <label class="custom-control-label" for="oos2">Do Not Allow Loads on OOS Equipment</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_equipment', '3', false, array('class' => 'custom-control-input', 'id' => 'oos3')); ?>

                                            <label class="custom-control-label" for="oos3">Allow OOS with Manager Approval on Equipment</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">OOS Drivers</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_driver', '1', false, array('class' => 'custom-control-input', 'id' => 'oos_driver1')); ?>

                                            <label class="custom-control-label" for="oos_driver1">Allow Loads on OOS Driver</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_driver', '2', false, array('class' => 'custom-control-input', 'id' => 'oos_driver2')); ?>

                                            <label class="custom-control-label" for="oos_driver2">Do Not Allow Loads on OOS Driver</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            <?php echo Form::radio('oos_driver', '3', false, array('class' => 'custom-control-input', 'id' => 'oos_driver3')); ?>

                                            <label class="custom-control-label" for="oos_driver3">Allow OOS with Manager Approval on Driver</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="button-bottom">
                    <a href="<?php echo e(route('company.admin.home')); ?>" class="cancel-btn">Cancel</a>
                    <button class="submit-btn">Submit</button>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>

    <!-- Profile picture Crop modal -->
    <div id="uploadimageModal" class="modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Crop Image</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <div id="profile_picture_preview"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary crop-picture custom-btn" data-dismiss="modal">Crop</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <div id="uploadimageModal_email" class="modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Crop Image</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <div id="profile_picture_preview_email"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary crop-picture_email custom-btn" data-dismiss="modal">Crop</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(function(){
            $image_crop     = $('#profile_picture_preview').croppie({
                enableOrientation: true,
                viewport: {
                    width:180,
                    height:38,
                    type:'square' //square
                },
                boundary:{
                    width:300,
                    height:150
                }
            });

            $image_crop2    = $('#profile_picture_preview_email').croppie({
                enableOrientation: true,
                viewport: {
                    width:180,
                    height:38,
                    type:'square' //square
                },
                boundary:{
                    width:300,
                    height:150
                }
            });

            $('#profile_picture').on('change', function(){
                var reader = new FileReader();
                reader.onload = function (event) {
                    $image_crop.croppie('bind', {
                        url: event.target.result
                    }).then(function(){
                        console.log('jQuery bind complete');
                    });
                }
                reader.readAsDataURL(this.files[0]);
                $('#uploadimageModal').modal('show');
            });

            $('#profile_picture_email').on('change', function(){
                var reader2 = new FileReader();
                reader2.onload = function (event) {
                    $image_crop2.croppie('bind', {
                        url: event.target.result
                    }).then(function(){
                        console.log('jQuery bind complete');
                    });
              }
              reader2.readAsDataURL(this.files[0]);
              $('#uploadimageModal_email').modal('show');
            });


            $('.crop-picture').click(function(event){
                $image_crop.croppie('result', {
                    type: 'canvas',
                    size: 'viewport'
                }).then(function(response){
                    $.ajax({
                        url:"<?php echo e(url('company-admin/settings/crop-picture')); ?>",
                        type: "POST",
                        data:{"image": response, "_token" : "<?php echo e(csrf_token()); ?>"},
                        success:function(data){
                            $('#uploadimageModal').modal('hide');
                            $("#profilePicturePreview").show();
                            $('#profilePicturePreview').attr("src",$("#profilePicturePath").val()+data);
                            $('#profile_picture_hidden').val(data);
                        }
                    });
                })
            });

            $('.crop-picture_email').click(function(event){
                $image_crop2.croppie('result', {
                    type: 'canvas',
                    size: 'viewport'
                }).then(function(response){
                    $.ajax({
                        url:"<?php echo e(url('company-admin/settings/crop-email-logo')); ?>",
                        type: "POST",
                        data:{"image": response, "_token" : "<?php echo e(csrf_token()); ?>"},
                        success:function(data){
                            $('#uploadimageModal_email').modal('hide');
                            $("#profilePicturePreview_email").show();
                            $('#profilePicturePreview_email').attr("src",$("#profilePicturePath_email").val()+data);
                            $('#profile_picture_hidden_email').val(data);
                        }
                    });
                })
            });

          });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/setting/index.blade.php ENDPATH**/ ?>