

<?php $__env->startSection('title'); ?>
    Edit Profile
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header-title'); ?>
    Edit Profile
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php echo Form::model($companyAdmin,array(
            'route'     => ['company.admin.cadmin.updateProfile',$companyAdmin->id],
            'method'    => 'POST',
            'files'     => 'true',
            'class'     => 'edit-form'
        )
    ); ?>

        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>First name<span>*</span></label>
                                    <?php echo Form::text('first_name', old('first_name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')); ?>

                                    <?php $__errorArgs = ['first_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-9">
                                <div class="form-group">
                                    <label>Last name<span>*</span></label>
                                    <?php echo Form::text('last_name', old('last_name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')); ?>

                                    <?php $__errorArgs = ['last_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Email<span>*</span></label>
                                    <?php echo Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email', 'disabled' => 'disabled', 'required' => 'required')); ?>

                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="<?php echo e(isset($companyAdmin->latitude)?$companyAdmin->latitude:''); ?>" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="<?php echo e(isset($companyAdmin->longitude)?$companyAdmin->longitude:''); ?>" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="<?php echo e(isset($companyAdmin->timezone_abbr)?$companyAdmin->timezone_abbr:''); ?>" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="<?php echo e(isset($companyAdmin->address_verified)?$companyAdmin->address_verified:'0'); ?>" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            <?php echo Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            <?php echo Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            <?php echo Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            <?php echo Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            <?php echo Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <?php if(isset($companyAdmin->address_verified) && $companyAdmin->address_verified=='1'): ?>
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verified</button>
                                        <?php else: ?>
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verify</button>
                                        <?php endif; ?>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Cell Phone</label>
                                    <?php echo Form::text('cell_phone', old('cell_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone', 'required' => 'required')); ?>

                                    <?php $__errorArgs = ['cell_phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Home Phone</label>
                                    <?php echo Form::text('home_phone', old('home_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone')); ?>

                                    <?php $__errorArgs = ['home_phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group d-none">
                                    <label>Notify SMS</label>
                                    <div class="custom-control custom-switch">
                                        <?php echo Form::checkbox('sms', 1, null, array('class' => 'custom-control-input', 'id' => 'sms')); ?>

                                        <label class="custom-control-label" for="sms"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group d-none">
                                    <label>Notify Email</label>
                                    <div class="custom-control custom-switch">
                                        <?php echo Form::checkbox('notify_email', 1, null, array('class' => 'custom-control-input', 'id' => 'notify_email')); ?>

                                        <label class="custom-control-label" for="notify_email"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Profile Image</label>
                                    <?php echo Form::file('profile_image', ['class' => 'form-control']); ?>

                                </div>
                                <?php if(!is_null($companyAdmin->profile_image)): ?>
                                    <img src="<?php echo e(asset('storage/companyAdmin/profile/'.$companyAdmin->profile_image)); ?>" class="img-fluid proimage" width="100">
                                <?php else: ?>
                                    <img src="<?php echo e(asset('theme/img/avtar.png')); ?>" class="img-fluid proimage" >
                                <?php endif; ?>
                            </div>
                            <?php /*
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Reminder Notify</label>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 0, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '0naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="0naoption">None</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 5, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '5naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="5naoption">Every 5 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 15, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '15naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="15naoption">Every 15 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 30, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '30naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="30naoption">Every 30 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 60, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '60naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="60naoption">Every 1 hours</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Notify Time</label>
                                    <div class="row">
                                        @foreach(getDays() as $key => $day)
                                            <div class="col-md-6">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" @if(in_array($key,$days)) checked @endif class="custom-control-input" id="days{{ $key }}" name="day[]" value="{{ $key }}"><label class="custom-control-label" for="days{{ $key }}">{{ $day }}</label>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            {!! Form::text('start_time', !empty($start_time) ? $start_time : old('start_time'), array('placeholder' => '14:00', 'class' => 'form-control', 'autocomplete' => 'start_time')) !!}
                                        </div>
                                        <div class="col-md-6">
                                            {!! Form::text('end_time', !empty($end_time) ? $end_time : old('end_time'), array('placeholder' => '22:00', 'class' => 'form-control', 'autocomplete' => 'end_time')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            */ ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="<?php echo e(route('company.admin.home')); ?>" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    <?php echo Form::close(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('theme/js/bootstrap-datepicker.js')); ?>"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <!-- <script type="text/javascript">
        $("input[name='start_time']").datetimepicker({
            format: 'HH:mm'
        });
        $("input[name='end_time']").datetimepicker({
            format: 'HH:mm'
        });
    </script> -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/profile/edit.blade.php ENDPATH**/ ?>