<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('theme/css/bootstrap.min.css')); ?>">
        <!-- custom CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('theme/css/default.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('theme/css/media.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('theme/css/login.css')); ?>">
        <title>Trucking Company</title>
    </head>
    <body>
        <div class="login-main text-center">
            <div class="container-fluid h-100">
                <div class="row g-0 h-100">
                    <div class="col-12 col-lg-7 col-xl-custom bg-blueNew text-white ">
                        <div class="login-padding">
                            <div class="login-text">
                                <h1>Welcome To <br> <b>Dispatch Pro</b></h1>
                                <ul>
                                    <li>Infinite Integrations.</li>
                                    <li>Automated Workflow.</li>
                                    <li>Simplified Solutions.</li>
                                </ul>
                                
                            </div>
                        </div>
                    </div>
                    <div class="col-xl col-lg-5">
                        <div class="login-padding">
                            <div class="login-form">
                                <div class="login-logo">
                                    <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('theme/img/logo-new.png')); ?>" alt="Logo"></a>
                                </div>
                                <h2>Account Login</h2>
                                <?php if(session('error')): ?>
                                    <div class="alert alert-danger" role="alert">
                                        <?php echo e(session('error')); ?>

                                    </div>
                                <?php endif; ?>
                                <?php if(session('success')): ?>
                                    <div class="alert alert-success" role="alert">
                                        <?php echo e(session('success')); ?>

                                    </div>
                                <?php endif; ?>
                                <form method="POST" action="<?php echo e(route('company.admin.login')); ?>" autocomplete="off">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group">
                                        <input type="text" name="email" class="form-control" placeholder="Email">
                                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="text-danger" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <div class="form-group">
                                        <input type="password" name="password" class="form-control" placeholder="*********">
                                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="text-danger" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <a href="<?php echo e(route('company.admin.password.request')); ?>" class="btn-link">Forgot Password</a>
                                    <div class="">
                                        <button type="submit" class="btn btn-blue w-100">Login</button>
                                    </div>
                                    <div class="">
                                        <div class="custom-control custom-checkbox-blue">
                                            <input type="checkbox" class="custom-control-input" id="remember" name="remember" <?php echo e(old('remember') ? 'checked' : ''); ?>>
                                            <label class="custom-control-label" for="remember">Keep me signed in</label>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="<?php echo e(asset('theme/js/jquery-3.2.1.slim.min.js')); ?>"></script>
        <script src="<?php echo e(asset('theme/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('theme/js/popper.min.js')); ?>"></script>
        <script src="<?php echo e(asset('theme/js/bootstrap.min.js')); ?>"></script>
    </body>
</html><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/auth/companyAdminLogin.blade.php ENDPATH**/ ?>