

<?php $__env->startSection('title'); ?> Company Admin Dashboard <?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <!--
    <link rel='stylesheet' href="https://cdnjs.cloudflare.com/ajax/libs/gridstack.js/5.1.1/gridstack.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/gridstack.js/5.1.1/gridstack-extra.min.css">
    -->
    <link rel='stylesheet' href="<?php echo e(asset('companyAdmin/companyDashboard/css/gridstack.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('companyAdmin/companyDashboard/css/gridstack-extra.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('companyAdmin/companyDashboard/css/dashboard.css')); ?>">
    <style type="text/css">
        #tabul a.active{
            color: #0095FF !important;
        }
    </style>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('content'); ?>
    <div class="company-dashboard">
        <div class="row justify-content-between">
            <div>
                <h1 class="mb-4">
                    Welcome <?php echo e(auth()->guard('company-admin')->user()->first_name); ?> <?php echo e(auth()->guard('company-admin')->user()->last_name); ?>

                </h1>
            </div>
            <div>
                <a href="javascript:void(0)"
                    class="btn green-btn green-link-btn mb-4 d-none"
                    data-tab="0"
                    data-type="<?php echo e(auth()->guard('company-admin')->user()->type); ?>"
                    data-toggle="modal"
                    data-target="#modalOneModal">Add Widget
                </a>
            </div>
        </div>
        <!-- Tabs navs -->
        <ul class="nav nav-tabs <?php if(auth()->guard('company-admin')->user()->type!=2): ?> d-none <?php endif; ?>" id="tabul" role="tablist">
            <?php if(auth()->guard('company-admin')->user()->type==2): ?>
            <li class="nav-item" role="presentation">
                <a
                    class="nav-link"
                    id="tab-dispacherDashboard"
                    href="#dispacherDashboard"
                    data-tab="1"
                    data-type="<?php echo e(auth()->guard('company-admin')->user()->type); ?>"
                    data-toggle="tab"
                    aria-controls="dispacherDashboard"
                    aria-selected="false"
                    role="tab">My Dashboard
                </a>
            </li>
            <?php endif; ?>
            <?php if(hasPermission(config('settings.company_admin_modules.company_dashboard'),config('settings.permissions.view'))): ?>
            <li class="nav-item" role="presentation">
                <a
                    class="nav-link <?php if(auth()->guard('company-admin')->user()->type==2): ?> d-flex align-items-center disabled <?php endif; ?>"
                    id="tab-companyDashboard"
                    href="#companyDashboard"
                    data-tab="0"
                    data-type="<?php echo e(auth()->guard('company-admin')->user()->type); ?>"
                    data-toggle="tab"
                    aria-controls="companyDashboard"
                    aria-selected="false"
                    role="tab">
                        Company Dashboard
                        <?php if(auth()->guard('company-admin')->user()->type==2): ?>
                            <div class="spinner-border spinner-border-sm ml-2"></div>
                        <?php endif; ?>
                </a>
            </li>
            <?php endif; ?>
        </ul>
        <!-- Tabs navs -->
        <!-- Tabs content -->
        <div class="tab-content" id="tabul-content">
            <?php if(auth()->guard('company-admin')->user()->type==2): ?>
            <div
                class="tab-pane fade"
                id="dispacherDashboard"
                role="tabpanel"
                aria-labelledby="tab-dispacherDashboard">
                <div class="row driverN-block">
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.drivers.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/user.png')); ?>">
                                    <span class="driverN">Drivers</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.dispatch.hub.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/briefcase.png')); ?>">
                                    <span class="driverN">Dispatch Hub</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.compliance.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/Compliance.png')); ?>">
                                    <span class="driverN">Compliance</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.driver.onboarding.on-boarding')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/Onboarding.png')); ?>">
                                    <span class="driverN">Onboarding</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <div class="card card-custom">
                            <div class="card--body">
                                <img src="<?php echo e(asset('theme/img/list.png')); ?>">
                                <span class="driverN">Accounts</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="card card-custom">
                            <div class="card--body">
                                <img src="<?php echo e(asset('theme/img/report.png')); ?>">
                                <span class="driverN">Reports</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="mb-5">
                        <main class="grid-container">
                            <div class="grid-stack" id="dispacherDashboardGrid" data-html="0">
                            </div>
                        </main>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            <?php if(hasPermission(config('settings.company_admin_modules.company_dashboard'),config('settings.permissions.view'))): ?>
            <div
                class="tab-pane fade"
                id="companyDashboard"
                role="tabpanel"
                aria-labelledby="tab-companyDashboard">
                <div class="row driverN-block">
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.drivers.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/user.png')); ?>">
                                    <span class="driverN">Drivers</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.dispatch.hub.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/briefcase.png')); ?>">
                                    <span class="driverN">Dispatch Hub</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.compliance.index')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/Compliance.png')); ?>">
                                    <span class="driverN">Compliance</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <a href="<?php echo e(route('company.admin.driver.onboarding.on-boarding')); ?>">
                            <div class="card card-custom">
                                <div class="card--body">
                                    <img src="<?php echo e(asset('theme/img/Onboarding.png')); ?>">
                                    <span class="driverN">Onboarding</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-2">
                        <div class="card card-custom">
                            <div class="card--body">
                                <img src="<?php echo e(asset('theme/img/list.png')); ?>">
                                <span class="driverN">Accounts</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="card card-custom">
                            <div class="card--body">
                                <img src="<?php echo e(asset('theme/img/report.png')); ?>">
                                <span class="driverN">Reports</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="mb-5">
                        <main class="grid-container">
                            <div class="grid-stack" id="companyDashboardGrid" data-html="0">
                            </div>
                        </main>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <!-- Tabs content -->
        <!-- Modal -->
        <div class="modal fade bg-info" id="modalOneModal" tabindex="-1" role="dialog" aria-labelledby="modalOneLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title" id="modalOneLabel"></h4>
                    </div>
                    <div id="thismodalOne" class="modal-body">
                    </div>
                </div>
            </div>
        </div>
        <!-- End Form Modals -->
    </div>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('companyAdmin/js/highstock.js')); ?>"></script>
    <!--
    <script src="https://code.highcharts.com/stock/modules/data.js"></script>
    <script src="https://code.highcharts.com/stock/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/stock/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/stock/modules/accessibility.js"></script>
    -->
    <script src="<?php echo e(asset('companyAdmin/js/data.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/exporting.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/export-data.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/accessibility.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/highcharts-more.js')); ?>"></script>
    <!--
    <script src="https://cdn.jsdelivr.net/d3js/latest/d3.min.js" charset="utf-8"></script>
    -->
    <script src="<?php echo e(asset('companyAdmin/js/d3.min.js')); ?>" charset="utf-8"></script>

    <script src="<?php echo e(asset('theme/js/ckeditor/build/ckeditor.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/companyDashboard/js/gridstack-h5.min.js')); ?>"></script>

    <script type="text/javascript">
        var isDispacherWidgetsLoad      = 0;
        var totalDispacherWidgets       = 0;
        $(document).ready(function() {
            if($('#tabul li').length==1){
                $('#tabul').addClass('d-none');
            }
            var tabulFirst              = $('#tabul a:first');
            if(tabulFirst.hasClass('active')){
                var tabulFirstTab       = tabulFirst.data('tab');
                $('a[data-target="#modalOneModal"]').attr('data-tab',tabulFirstTab);
                nextTabPaneView(tabulFirst);
            }else{
                $('#tabul a:first').tab('show');
            }
        });
        $('#tabul a').on('show.bs.tab', function(e){
            var that                    = $(this);
            var tab                     = that.data('tab');
            $('a[data-target="#modalOneModal"]').attr('data-tab',tab);
            nextTabPaneView(that);
        });
        $('#tabul a').on('hide.bs.tab', function(e){
            var that                    = $(this);
            var tab                     = that.data('tab');
        });
    </script>
    <script type="text/javascript">
        let layout                      = 'moveScale';
        var loadimg                     = "<?php echo e(asset('theme/img/loading.gif')); ?>";
        let dispacherDashboardGrid;
        if($('#dispacherDashboardGrid').length > 0){
            dispacherDashboardGrid      = GridStack.init({
                cellHeight: 'initial', // start square but will set to % of window width later
                alwaysShowResizeHandle: /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),
                animate: true, // show immediate (animate: true is nice for user dragging though)
                width: 12,
                disableOneColumnMode: true, // will manually do 1 column
                //dragOut: true,
                acceptWidgets: true,// for jfiddle small window size
                float: false,
                autoPosition: true,
                draggable: {
                    handle: '.card-header',
                    scroll: false,
                    appendTo: 'body'
                }
            }, document.getElementById('dispacherDashboardGrid'));
            dispacherDashboardGrid.on('resizestop', function(event, elem) {
                //console.log('dispacherDashboardGrid => resizestop');
                var card                = $(elem).find('.card');
                var slug                = card.attr('data-slug');
                if(slug=='occupancy' || slug=='revenue' || slug=='cpm' || slug=='trailer_type' || slug=='driver_per_team' || slug=='revenue_by_team' || slug=='revenue_by_trailer_type' || slug=='revenue_actual_vs_goal' || slug=='revenue_occupancy_vs_goal' || slug=='revenue_occupancy' || slug=='target_actual_revenue'){
                    setTimeout(function() {
                        $('#w_'+slug+'_1').highcharts().reflow();
                    }, 250);
                }
            });
            dispacherDashboardGrid.on('added removed change', function(e, items) {
                //console.log('dispacherDashboardGrid => added removed change');
                if(typeof items === "undefined"){
                    return false;
                }
                var widgets             = [];
                items.forEach(function(item) {
                    var widgetsObj      = {'type': e.type,'id': item.id,'x': item.x,'y': item.y,'w': item.w,'h': item.h}
                    widgets.push(widgetsObj);
                });

                widgets.sort(function (a, b){
                    return a.id - b.id;
                });

                if(e.type=='removed'){
                    //console.log('dispacherDashboardGrid => removed');
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.widget.delete"); ?>',
                        data: { widgets: widgets, tab:1, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    }).done(function(response) {
                        if(response.success){
                            toastr.success('Deleted successfully', 'Success Alert', { timeOut: 5000 });

                            var modal           = $("#modalOneModal");
                            $.each(response.widgetData, function( index, widget ) {
                                var card        = modal.find('.w_'+widget.slug+'_1');
                                if(card.length > 0){
                                    card.attr('data-is_delete', widget.is_delete);
                                    var img     = card.find('img');
                                    if(img.length > 0)
                                        img.attr('src', widget.inactive_image);
                                }
                            });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }else if (e.type=='change') {
                    //console.log('dispacherDashboardGrid => change');
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.scrollInsertData"); ?>',
                        data: { widgets: widgets, tab:1, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    });
                }else if (e.type=='added') {
                    //console.log('dispacherDashboardGrid => added');
                    if(isDispacherWidgetsLoad==0){
                        totalDispacherWidgets   = Object.keys(widgets).length;
                    }
                    setTimeout(function(){
                        $.each(widgets, function (index,value) {
                            var card                = $('#dispacherDashboardGrid .grid-stack-item-content').find('.card[data-id="'+value.id+'"]');
                            if(card.length > 0){
                                var id              = card.data('id');
                                var slug            = card.data('slug');
                                let objData         = [];
                                objData.push({
                                    id: id,
                                    slug: slug,
                                    load: 1,
                                    tab: 1
                                });
                                getAjaxData(objData);
                            }
                        });
                        resizeGrid();
                    }, 800);
                }
            });
        }
        let companyDashboardGrid;
        if($('#companyDashboardGrid').length > 0){
            companyDashboardGrid        = GridStack.init({
                cellHeight: 'initial', // start square but will set to % of window width later
                alwaysShowResizeHandle: /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),
                animate: true, // show immediate (animate: true is nice for user dragging though)
                width: 12,
                disableOneColumnMode: true, // will manually do 1 column
                //dragOut: true,
                acceptWidgets: true,// for jfiddle small window size
                float: false,
                autoPosition: true,
                draggable: {
                    handle: '.card-header',
                    scroll: false,
                    appendTo: 'body'
                }
            }, document.getElementById('companyDashboardGrid'));
            companyDashboardGrid.on('resizestop', function(event, elem) {
                //console.log('companyDashboardGrid => resizestop');
                var card                = $(elem).find('.card');
                var slug                = card.attr('data-slug');
                if(slug=='occupancy' || slug=='revenue' || slug=='cpm' || slug=='trailer_type' || slug=='driver_per_team' || slug=='revenue_by_team' || slug=='revenue_by_trailer_type' || slug=='revenue_actual_vs_goal' || slug=='revenue_occupancy_vs_goal' || slug=='revenue_occupancy' || slug=='target_actual_revenue'){
                    setTimeout(function() {
                        $('#w_'+slug+'_0').highcharts().reflow();
                    }, 250);
                }
            });
            companyDashboardGrid.on('added removed change', function(e, items) {
                //console.log('companyDashboardGrid => added removed change');
                if(typeof items === "undefined"){
                    return false;
                }
                var widgets             = [];
                items.forEach(function(item) {
                    var widgetsObj      = {'type': e.type,'id': item.id,'x': item.x,'y': item.y,'w': item.w,'h': item.h}
                    widgets.push(widgetsObj);
                });

                widgets.sort(function (a, b){
                    return a.id - b.id;
                });

                if(e.type=='removed'){
                    //console.log('companyDashboardGrid => removed');
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.widget.delete"); ?>',
                        data: { widgets: widgets, tab: 0, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    }).done(function(response) {
                        if(response.success){
                            toastr.success('Deleted successfully', 'Success Alert', { timeOut: 5000 });

                            var modal           = $("#modalOneModal");
                            $.each(response.widgetData, function( index, widget ) {
                                var card        = modal.find('.w_'+widget.slug+'_0');
                                if(card.length > 0){
                                    card.attr('data-is_delete', widget.is_delete);
                                    var img     = card.find('img');
                                    if(img.length > 0)
                                        img.attr('src', widget.inactive_image);
                                }
                            });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }else if (e.type=='change') {
                    //console.log('companyDashboardGrid => change');
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.scrollInsertData"); ?>',
                        data: { widgets: widgets, tab: 0, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    });
                }else if (e.type=='added') {
                    //console.log('companyDashboardGrid => added');
                    setTimeout(function(){
                        $.each(widgets, function(index, value) {
                            var card                = $('#companyDashboardGrid .grid-stack-item-content').find('.card[data-id="'+value.id+'"]');
                            if(card.length > 0){
                                var id              = card.data('id');
                                var slug            = card.data('slug');
                                let objData         = [];
                                objData.push({
                                    id: id,
                                    slug: slug,
                                    load: 1,
                                    tab: 0
                                });
                                getAjaxData(objData);
                            }
                        });
                        resizeGrid();
                    }, 800);
                }
            });
        }

    </script>
    <script type="text/javascript">
        function nextTabPaneView(that){
            //console.log('nextTabPaneView');
            var tab                     =  $(that).data('tab');
            var type                    =  $(that).data('type');
            var showIt                  =  $(that).attr('href');
            var showId                  = showIt.substring(1, showIt.length);
            var gridStack               = $(showIt).find('.grid-stack');
            var gridHtml                = $(showIt).find('.grid-stack').attr('data-html');
            //console.log(showId+' ===> '+tab);
            if(gridStack.length > 0){
                if((!$.trim($(showIt).find('.grid-stack').html()).length) && gridHtml==0) {
                    //console.log('Blank html - '+showId);
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.widget.data"); ?>',
                        data: { tab: tab, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    }).done(function(response) {
                        if(response.success){
                            var widgetData              = response.widgetData;
                            let serializedArry          = [];
                            if(!($.isEmptyObject(widgetData))){
                                var numberOfColsNeeded  = 6;
                                var totalCounter        = Object.keys(widgetData).length;
                                var itemCounter         = 1;

                                var modalHtml           = '';
                                var startRowLabel       = '<div class="row">';
                                var endRowLabel         = '</div>';
                                var start               = '';
                                var end                 = '';

                                $.each(widgetData, function (key, val) {
                                    //console.log(val.slug);
                                    var is_delete       = 0;
                                    if(typeof val.is_delete !== "undefined"){
                                        is_delete       = val.is_delete;
                                    }
                                    start               = '';
                                    if(itemCounter % numberOfColsNeeded == 1){
                                        start           = startRowLabel;
                                    }
                                    mycol               = `
                                        <div class="col-sm-2" style="padding: 12px;">
                                            <div
                                                class="card w_`+val.slug+`_`+tab+`"
                                                data-id="`+val.id+`"
                                                data-slug="`+val.slug+`"
                                                data-is_delete="`+is_delete+`"
                                                data-type="`+type+`"
                                                data-tab="`+tab+`"
                                                style="align-items: center;cursor: pointer;">
                                                <img
                                                    src="`+(is_delete==1?val.inactive_image: val.active_image)+`"
                                                    alt="`+val.name+`"
                                                    style="text-align: end;">
                                                <b style="text-align: center">`+val.name+`</b>
                                            </div>
                                        </div>
                                    `;
                                    end                 = '';
                                    if ((itemCounter % numberOfColsNeeded == 0) || ((itemCounter) == totalCounter)){
                                        end             = endRowLabel;
                                    }
                                    itemCounter++;
                                    modalHtml           += start+mycol+end;

                                    //gridArry
                                    if (is_delete==0) {
                                        var obj                 = {};
                                        var properties          = JSON.parse(val.properties);
                                        obj['id']               = val.id;
                                        obj['x']                = properties.x;
                                        obj['y']                = properties.y;
                                        obj['w']                = properties.w;
                                        obj['h']                = properties.h;
                                        obj['content']          = properties.content;
                                        if(val.slug=='occupancy' || val.slug=='revenue' || val.slug=='cpm') {
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='trailer_type') {
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='company_stats') {
                                            obj['noResize']     = false;
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='driver_per_team') {
                                            obj['minW']         = 6;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='target_actual_revenue') {
                                            obj['minW']         = 12;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='loads_in_transit') {
                                            obj['noResize']     = true;
                                            obj['minW']         = 12;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='revenue_by_team') {
                                            obj['minW']         = 6;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='revenue_by_trailer_type') {
                                            obj['minW']         = 6;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='loads_stats') {
                                            obj['noResize']     = false;
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='revenue_actual_vs_goal' || val.slug=='revenue_occupancy_vs_goal' || val.slug=='revenue_occupancy') {
                                            obj['minW']         = 12;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='events') {
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='notes') {
                                            obj['noResize']     = false;
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='compel_announcements') {
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        } else if (val.slug=='company_announcements') {
                                            obj['minW']         = 3;
                                            obj['minH']         = 3;
                                        }
                                        serializedArry.push(obj);
                                    }
                                });

                                $('a[data-target="#modalOneModal"]').removeClass('d-none');
                                $('#modalOneModal #thismodalOne').append('<div id="'+showId+'ModalHtml">'+modalHtml+'</div>');
                                if(showId=='dispacherDashboard'){
                                    if($('#companyDashboardModalHtml').length > 0){
                                        $('#companyDashboardModalHtml').hide();
                                    }
                                }else{
                                    if($('#dispacherDashboardModalHtml').length > 0){
                                        $('#dispacherDashboardModalHtml').hide();
                                    }
                                }

                                if(tab==1 && isDispacherWidgetsLoad==0 && serializedArry.length==0){
                                    passDispacherWidgets(0);
                                }

                                if(showId=='dispacherDashboard'){
                                    if (typeof dispacherDashboardGrid !== "undefined") {
                                        dispacherDashboardGrid.load(serializedArry);
                                        resizeGrid();
                                    }
                                }else{
                                    if (typeof companyDashboardGrid !== "undefined") {
                                        companyDashboardGrid.load(serializedArry);
                                        resizeGrid();
                                    }
                                }

                                $(showIt).find('.grid-stack').attr('data-html',1);
                            }
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    });
                    return false;
                }else{
                    //console.log('Not blank html - '+showId);
                    if(showId=='dispacherDashboard'){
                        $('#dispacherDashboardModalHtml').show();
                        if($('#companyDashboardModalHtml').length > 0){
                            $('#companyDashboardModalHtml').hide();
                        }
                    }else{
                        $('#companyDashboardModalHtml').show();
                        if($('#dispacherDashboardModalHtml').length > 0){
                            $('#dispacherDashboardModalHtml').hide();
                        }
                    }
                }
            }
        }
        function activeTab(){
            var activeTab               = $("#tabul a.active");
            var tab                     = 0;
            if(activeTab.length > 0){
                tab                     = activeTab.data('tab');
            }
            return tab;
        }
        function resizeGrid() {
            var tab                     = activeTab();
            let width                   = document.body.clientWidth;
            if(tab==1){
                if (typeof dispacherDashboardGrid !== "undefined") {
                    if (width < 700) {
                        dispacherDashboardGrid.column(1, layout).cellHeight('100vw');
                    } else if (width < 850) {
                        dispacherDashboardGrid.column(3, layout).cellHeight('33.3333vw');
                    } else if (width < 950) {
                        dispacherDashboardGrid.column(6, layout).cellHeight('16.6666vw');
                    } else if (width < 1100) {
                        dispacherDashboardGrid.column(8, layout).cellHeight('12.25vw');
                    } else {
                        dispacherDashboardGrid.column(12, layout).cellHeight('8.3333vw');
                    }
                }
            }else{
                if (typeof companyDashboardGrid !== "undefined") {
                    if (width < 700) {
                        companyDashboardGrid.column(1, layout).cellHeight('100vw');
                    } else if (width < 850) {
                        companyDashboardGrid.column(3, layout).cellHeight('33.3333vw');
                    } else if (width < 950) {
                        companyDashboardGrid.column(6, layout).cellHeight('16.6666vw');
                    } else if (width < 1100) {
                        companyDashboardGrid.column(8, layout).cellHeight('12.25vw');
                    } else {
                        companyDashboardGrid.column(12, layout).cellHeight('8.3333vw');
                    }
                }
            }
        }
        window.addEventListener('resize', function() { resizeGrid() });

    </script>
    <script type="text/javascript">
        function getAjaxData(obj){
            $.ajax({
                type: 'POST',
                url: '<?php echo route("company.admin.chart.data"); ?>',
                data: { obj: obj, deviceType: getDeviceType() },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                //async: false,
                //cache: false,
                //timeout: 600000,
            }).done(function(response) {
                if(response.success){
                    if(!$.isEmptyObject(response.data)){
                        var data        = response.data;

                        var tab         = data.tab;
                        var slug        = data.slug;
                        var contentId   = '#w_'+slug+'_'+tab;
                        var chartId     = contentId.substring(1, contentId.length);
                        if(slug!='target_actual_revenue'){
                            $(contentId).html('');
                        }

                        var chartData   = data.chartData;
                        if(!$.isEmptyObject(chartData)){
                            if(slug=='occupancy'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['fleetOccupancy']                   = chartData.fleetOccupancy;
                                chartObject['occupancyGoal']                    = chartData.occupancyGoal;
                                occupancyHighChart(chartObject);
                            }else if (slug=='revenue'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['actualRevenue']                    = chartData.actualRevenue;
                                chartObject['targetRevenue']                    = chartData.targetRevenue;
                                revenueHighChart(chartObject);
                            }else if (slug=='cpm'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['actualCPM']                        = chartData.actualCPM;
                                chartObject['targetCPM']                        = chartData.targetCPM;
                                cpmHighChart(chartObject);
                            }else if (slug=='trailer_type'){
                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['trailerType']                      = chartData.trailerType;
                                chartObject['trailerTypeData']                  = JSON.parse(chartData.trailerTypeData);
                                trailerTypeHighChart(chartObject);
                            }else if (slug=='company_stats'){
                                $(contentId).html(chartData);
                            }else if (slug=='driver_per_team'){
                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['driverPerTeam']                    = JSON.parse(chartData.teamGetNameArray);
                                chartObject['driverPerTeamData']                = JSON.parse(chartData.teamDataPoints);
                                driverPerTeamChart(chartObject);
                            }else if (slug=='target_actual_revenue'){
                                var seriesOptions = [],
                                    seriesCounter = 0,
                                    names = ['TARGETREVENUE', 'ACTUALREVENUE'];

                                /**
                                 * Create the chart when all data is loaded
                                 * @return  {undefined}
                                 */
                                function createChart() {
                                    Highcharts.stockChart(chartId, {
                                        rangeSelector: {
                                            selected: 4
                                        },
                                        exporting: {
                                            enabled: false
                                        },
                                        plotOptions: {
                                            series: {
                                                showInNavigator: true
                                            }
                                        },
                                        tooltip: {
                                            pointFormatter: function() {
                                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                                            },
                                            valueDecimals: 2,
                                        },
                                        scrollbar: {
                                            //enabled: false,
                                            barBackgroundColor: '#bbb',
                                            barBorderRadius: 7,
                                            barBorderWidth: 0,
                                            barHeight: 7,
                                            buttonBackgroundColor: '#bbb',
                                            buttonBorderWidth: 0,
                                            buttonBorderRadius: 7,
                                            trackBackgroundColor: '#dadada',
                                            trackBorderWidth: 1,
                                            trackBorderRadius: 8,
                                            trackBorderColor: '#bbb',
                                        },
                                        series: seriesOptions
                                    });
                                }

                                function success(data) {
                                    var name = this.url.match(/(targetRevenue|actualRevenue)/)[0].toUpperCase();
                                    var i = names.indexOf(name);
                                    seriesOptions[i] = {
                                        name: name,
                                        data: data
                                    };
                                    // console.log(seriesOptions[i].name,seriesOptions[i].data[0]);
                                    // As we're loading the data asynchronously, we don't know what order it
                                    // will arrive. So we keep a counter and create the chart when all the data is loaded.
                                    seriesCounter += 1;

                                    if (seriesCounter === names.length) {
                                        $(contentId).html('');
                                        createChart();
                                    }
                                }

                                var targetRevenueUrl                            = '<?php echo e(route("company.admin.targetRevenue", ":tab")); ?>';
                                targetRevenueUrl                                = targetRevenueUrl.replace(':tab', tab);
                                Highcharts.getJSON(
                                    targetRevenueUrl,
                                    success
                                );
                                var actualRevenueUrl                            = '<?php echo e(route("company.admin.actualRevenue", ":tab")); ?>';
                                actualRevenueUrl                                = actualRevenueUrl.replace(':tab', tab);
                                Highcharts.getJSON(
                                    actualRevenueUrl,
                                    success
                                );
                            }else if (slug=='loads_in_transit'){
                                $(contentId).html(chartData);

                                var loadsInTransitUrl                           = '<?php echo e(route("company.admin.inTransitLoads", ":tab")); ?>';
                                loadsInTransitUrl                               = loadsInTransitUrl.replace(':tab', tab);
                                if(tab==1){
                                    $('#dispacherDashboardGrid .in-transit-loads-data-table').DataTable({
                                        stateSave: true,
                                        language: {
                                            search: "",
                                            searchPlaceholder: "Search...",
                                        },
                                        processing: false,
                                        serverSide: true,
                                        bJQueryUI: true,
                                        searching: false,
                                        pageLength: 5,
                                        ordering: false,
                                        order: [
                                            [11, "desc"]
                                        ],
                                        ajax: {
                                            url: loadsInTransitUrl
                                        },
                                        columns: [
                                            { data: 'load_number',name: 'load_number',orderable: false},
                                            { data: 'full_name',name: 'full_name',orderable: false},
                                            { data: 'truck_number',name: 'truck_number',orderable: false},
                                            { data: 'trailer_number',name: 'trailer_number',orderable: false},
                                            { data: 'phone_number',name: 'phone_number',orderable: false},
                                            { data: 'dispatcher',name: 'booked_by',orderable: false},
                                            { data: 'origin',name: 'origin',orderable: false},
                                            { data: 'destination',name: 'destination',orderable: false},
                                            { data: 'status',name: 'status',orderable: false},
                                            { data: 'load_date',name: 'actual_shipper_date',orderable: false},
                                            { data: 'delivery_date',name: 'actual_delivery_date',orderable: false},
                                            { data: 'created_at',name: 'created_at',visible: false,searchable: false},
                                        ]
                                    });
                                }else{
                                    $('#companyDashboardGrid .in-transit-loads-data-table').DataTable({
                                        stateSave: true,
                                        language: {
                                            search: "",
                                            searchPlaceholder: "Search...",
                                        },
                                        processing: false,
                                        serverSide: true,
                                        bJQueryUI: true,
                                        searching: false,
                                        pageLength: 5,
                                        ordering: false,
                                        order: [
                                            [11, "desc"]
                                        ],
                                        ajax: {
                                            url: loadsInTransitUrl,
                                            data: function(d) {
                                                d.team_id       = $('.in-transit-team-select').val(),
                                                d.equipment     = $('.in-transit-equipment-select').val(),
                                                d.dispatcher    = $('.in-transit-dispatcher-select').val()
                                            }
                                        },
                                        columns: [
                                            { data: 'load_number',name: 'load_number',orderable: false},
                                            { data: 'full_name',name: 'full_name',orderable: false},
                                            { data: 'truck_number',name: 'truck_number',orderable: false},
                                            { data: 'trailer_number',name: 'trailer_number',orderable: false},
                                            { data: 'phone_number',name: 'phone_number',orderable: false},
                                            { data: 'dispatcher',name: 'booked_by',orderable: false},
                                            { data: 'origin',name: 'origin',orderable: false},
                                            { data: 'destination',name: 'destination',orderable: false},
                                            { data: 'status',name: 'status',orderable: false},
                                            { data: 'load_date',name: 'actual_shipper_date',orderable: false},
                                            { data: 'delivery_date',name: 'actual_delivery_date',orderable: false},
                                            { data: 'created_at',name: 'created_at',visible: false,searchable: false},
                                        ]
                                    });
                                }
                            }else if (slug=='revenue_by_team'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['revenueByTeam']                    = chartData.revenueByTeam;
                                chartObject['revenueByTeamData']                = JSON.parse(chartData.revenueByTeamData);
                                revenueByTeamHighChart(chartObject);
                            }else if (slug=='revenue_by_trailer_type'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['revenueByTrailerType']             = chartData.revenueByTrailerType;
                                chartObject['revenueByTrailerTypeData']         = JSON.parse(chartData.revenueByTrailerTypeData);
                                revenueByTrailerTypeHighChart(chartObject);
                            }else if (slug=='loads_stats'){
                                $(contentId).html(chartData);
                            }else if (slug=='revenue_actual_vs_goal'){
                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['weeks']                            = JSON.parse(chartData.weeks);
                                chartObject['actualRevenue']                    = JSON.parse(chartData.actualRevenue);
                                chartObject['targetRevenue']                    = JSON.parse(chartData.targetRevenue);
                                revenueActualVsGoalHighChart(chartObject);
                            }else if (slug=='revenue_occupancy_vs_goal'){
                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['weeks']                            = JSON.parse(chartData.weeks);
                                chartObject['fleetOccupancy']                   = JSON.parse(chartData.fleetOccupancy);
                                chartObject['occupancyGoal']                    = JSON.parse(chartData.occupancyGoal);
                                revenueOccupancyVsGoalHighChart(chartObject);
                            }else if (slug=='revenue_occupancy'){
                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['weeks']                            = JSON.parse(chartData.weeks);
                                chartObject['actualRevenue']                    = JSON.parse(chartData.actualRevenue);
                                chartObject['fleetOccupancy']                   = JSON.parse(chartData.fleetOccupancy);
                                revenueOccupancyHighChart(chartObject);
                            }else if (slug=='events'){
                                $(contentId).html(chartData);
                            }else if (slug=='notes'){
                                $(contentId).html(chartData);
                                ClassicEditor
                                    .create(document.querySelector('#notes_'+tab), {
                                        autosave: {
                                            save(editor) {
                                                return saveData(editor.getData());
                                            }
                                        }
                                    });
                            }else if (slug=='compel_announcements'){
                                $(contentId).html(chartData);
                            }else if (slug=='company_announcements'){
                                $(contentId).html(chartData);
                            }
                        }

                        if(tab==1 && isDispacherWidgetsLoad==0 && totalDispacherWidgets > 0){
                            totalDispacherWidgets--;
                            passDispacherWidgets(totalDispacherWidgets);
                        }
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }
        function getFilterData(obj){
            var tab                     = activeTab();
            $.ajax({
                type: 'POST',
                url: '<?php echo route("company.admin.chart.data"); ?>',
                data: { obj: obj },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
                    var loaderHtml      =
                        `<div class="loadingdiv">
                            <img src="`+loadimg+`">
                        </div>`;
                    $.each(obj, function (index,value) {
                        $('#w_'+value.slug+'_'+tab).html(loaderHtml);
                    });
                },
            }).done(function(response) {
                if(response.success){
                    if(!$.isEmptyObject(response.data)){
                        var data        = response.data;

                        var tab         = data.tab;
                        var slug        = data.slug;
                        var contentId   = '#w_'+slug+'_'+tab;
                        var chartId     = contentId.substring(1, contentId.length);
                        $(contentId).html('');

                        var chartData   = data.chartData;
                        if(!$.isEmptyObject(chartData)){
                            if(slug=='occupancy'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['fleetOccupancy']                   = chartData.fleetOccupancy;
                                chartObject['occupancyGoal']                    = chartData.occupancyGoal;
                                occupancyHighChart(chartObject);
                            }else if (slug=='revenue'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['actualRevenue']                    = chartData.actualRevenue;
                                chartObject['targetRevenue']                    = chartData.targetRevenue;
                                revenueHighChart(chartObject);
                            }else if (slug=='cpm'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['actualCPM']                        = chartData.actualCPM;
                                chartObject['targetCPM']                        = chartData.targetCPM;
                                cpmHighChart(chartObject);
                            }else if (slug=='revenue_by_team'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['revenueByTeam']                    = chartData.revenueByTeam;
                                chartObject['revenueByTeamData']                = JSON.parse(chartData.revenueByTeamData);
                                revenueByTeamHighChart(chartObject);
                            }else if (slug=='revenue_by_trailer_type'){
                                var headingDate                                 = '';
                                if(chartData.startDate){
                                    headingDate                                 += chartData.startDate;
                                }
                                if(chartData.endDate){
                                    headingDate                                 += ' - '+chartData.endDate;
                                }
                                var card                                        = $(contentId).closest('.card');
                                if(card.find('.headingDate').length > 0){
                                    card.find('.headingDate').html(headingDate);
                                }

                                var chartObject                                 = {};
                                chartObject['chartId']                          = chartId;
                                chartObject['revenueByTrailerType']             = chartData.revenueByTrailerType;
                                chartObject['revenueByTrailerTypeData']         = JSON.parse(chartData.revenueByTrailerTypeData);
                                revenueByTrailerTypeHighChart(chartObject);
                            }
                        }
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            }).fail(function(jqXHR, status, exception)  {
                if (jqXHR.status === 0) {
                    error = 'Not connected.\nPlease verify your network connection.';
                } else if (jqXHR.status == 404) {
                    error = 'The requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    error = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    error = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    error = 'Time out error.';
                } else if (exception === 'abort') {
                    error = 'Ajax request aborted.';
                } else {
                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                toastr.error(error, {
                    timeOut: 5000
                });
            });
            return false;
        }
        // Save the data to a fake HTTP server (emulated here with a setTimeout()).
        function saveData(data) {
            return new Promise(resolve => {
                setTimeout(() => {
                    var tab             = activeTab();
                    //console.log( 'Saved', data, tab);
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.widget.notes.store"); ?>',
                        data: {
                            notes: data,
                            tab: tab, 
                            deviceType: getDeviceType()
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });
                    resolve();
                }, 500);
            });
        }
        function passDispacherWidgets(i){
            if(i==0){
                isDispacherWidgetsLoad  = 1;
                totalDispacherWidgets   = 0;
                $('#tab-companyDashboard').removeClass('d-flex align-items-center disabled');
                $('#tab-companyDashboard').find('div').remove();
            }
        }
    </script>
    <script type="text/javascript">
        function occupancyHighChart(chartData){
            var plotColor       = "#E02020";
            var fleetOccupancy  = parseInt(chartData.fleetOccupancy);
            var occupancyGoal   = parseInt(chartData.occupancyGoal);
            if(fleetOccupancy >= occupancyGoal){
                plotColor       =  "#99cc01";
            }
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: 100,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 10,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: 100,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: fleetOccupancy,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: 100,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var mbps = this.y;
                                return '<span class="rpGaugeLabel" style="text-align:center;display:block;">' + mbps + '%<span style="font-size:88%;text-align:center;display:block;">Occupancy</span></span>';
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        yAxis: 1,
                        name: 'Occupancy',
                        data: [fleetOccupancy],
                        tooltip: {
                            valueSuffix: '%'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [occupancyGoal],
                        tooltip: {
                            valueSuffix: '%'
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function revenueHighChart(chartData){
            var plotColor       = "#E02020";
            var actualRevenue   = parseFloat(chartData.actualRevenue);
            var targetRevenue   = parseFloat(chartData.targetRevenue);
            if(actualRevenue >= targetRevenue){
                plotColor       =  "#99cc01";
            }
            var maxRevenue      = 100;
            if(targetRevenue > actualRevenue){
                if(targetRevenue > 0){
                    maxRevenue  = targetRevenue;
                }
            }else{
                if(actualRevenue > 0){
                    maxRevenue  = actualRevenue;
                }
            }

            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: maxRevenue,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 5,
                        distance: -35,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: maxRevenue,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: actualRevenue,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: maxRevenue,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var revenue = this.y;
                                return '$'+Highcharts.numberFormat(revenue, 2, '.', ',');
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        yAxis: 1,
                        name: 'Revenue',
                        data: [actualRevenue],
                        tooltip: {
                            valuePrefix: '$'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [targetRevenue],
                        tooltip: {
                            shared: true,
                            headerFormat: "",
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function cpmHighChart(chartData){
            var plotColor       = "#E02020";
            var targetCPM       = parseFloat(chartData.targetCPM);
            var actualCPM       = parseFloat(chartData.actualCPM);
            if(actualCPM >= targetCPM){
                plotColor       =  "#99cc01";
            }
            var maxCPM          = 100;
            if(targetCPM > actualCPM){
                if(targetCPM > 0){
                    maxCPM      = targetCPM;
                }
            }else{
                if(actualCPM > 0){
                    maxCPM      = actualCPM;
                }
            }

            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: maxCPM,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '30',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 5,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: maxCPM,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'

                        },
                        {
                            from: 0,
                            to:  actualCPM,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: maxCPM,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var cpm = this.y;
                                return '$'+Highcharts.numberFormat(cpm, 2, '.', ',');
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [{
                        yAxis: 1,
                        name: 'CPM',
                        data: [actualCPM],
                        tooltip: {
                            valuePrefix: '$'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [targetCPM],
                        tooltip: {
                            shared: true,
                            headerFormat: "",
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function trailerTypeHighChart(chartData) {
            var trailerType     = parseInt(chartData.trailerType);
            var trailerTypeData = chartData.trailerTypeData;

            var arraData        = [];
            $.each(trailerTypeData, function(key, value) {
                arraData.push([key, parseFloat(value)]);
            });

            var chart           = new Highcharts.Chart({
                chart: {
                    renderTo: chartData.chartId,
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(trailerType+'<br>Trailers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(trailerType+'<br>Trailers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function driverPerTeamChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'bar'
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: {
                    categories: chartData.driverPerTeam
                },
                yAxis: {
                    min: 0
                },
                legend: {
                    reversed: true
                },
                plotOptions: {
                    series: {
                        stacking: 'normal'
                    }
                },
                yAxis: {
                    stackLabels: {
                        enabled: true,
                        formatter: function() {
                            return Highcharts.numberFormat(this.total, 0);
                        }
                    }
                },
                series: chartData.driverPerTeamData
            });
        }
        function revenueByTeamHighChart(chartData) {
            var revenueByTeam       = parseFloat(chartData.revenueByTeam);
            var revenueByTeamData   = chartData.revenueByTeamData;

            var arraData            = [];
            $.each(revenueByTeamData, function(key, value) {
                arraData.push([key, parseFloat(value)]);
            });

            var chart = new Highcharts.Chart({
                tooltip: {
                    formatter: function() {
                        return this.point.name + ': <b>' + '$' + Highcharts.numberFormat(this.y, 2, '.', ',') + '</b>';
                    }
                },
                chart: {
                    renderTo: chartData.chartId,
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTeam, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTeam, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: "", //'$' + Highcharts.numberFormat(revenueByTeam, 2, '.', ',')+'<br>Revenue'
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,

                        },
                        showInLegend: true,
                        innerSize: '60%',
                    },
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            })
        }
        function revenueByTrailerTypeHighChart(chartData) {
            var revenueByTrailerType        = parseFloat(chartData.revenueByTrailerType);
            var revenueByTrailerTypeData    = chartData.revenueByTrailerTypeData;

            var arraData                    = [];
            $.each(revenueByTrailerTypeData, function(key, value) {
                arraData.push([key, parseFloat(value)]);
            });

            var chart = new Highcharts.Chart({
                tooltip: {
                    formatter: function() {
                        return this.point.name + ': <b>' + '$' + Highcharts.numberFormat(this.y, 2, '.', ',') + '</b>';
                    }
                },
                chart: {
                    renderTo: chartData.chartId,
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: "", //'$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue'
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%',
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function revenueActualVsGoalHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'column',
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: {
                    categories: chartData.weeks
                },
                yAxis: [{
                    min: 0,
                    labels: {
                        formatter: function() {
                            return '$' + this.axis.defaultLabelFormatter.call(this);
                        }
                    },
                    title: {
                        text: null
                    }
                }],
                legend: {
                    shadow: false
                },
                tooltip: {
                    shared: true
                },
                plotOptions: {
                    column: {
                        grouping: false,
                        shadow: false,
                        borderWidth: 0
                    }
                },
                series: [{
                    name: 'Actual Revenue',
                    color: 'rgba(165,170,217,1)',
                    data: chartData.actualRevenue,
                    tooltip: {
                        pointFormatter: function() {
                            return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                        }
                    },
                    pointPadding: 0.3,
                    pointPlacement: -0.2
                }, {
                    name: 'Revenue Goal',
                    color: 'rgba(126,86,134,.9)',
                    data: chartData.targetRevenue,
                    tooltip: {
                        pointFormatter: function() {
                            return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                        }
                    },
                    pointPadding: 0.4,
                    pointPlacement: -0.2
                }]
            });
        }
        function revenueOccupancyVsGoalHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'column'
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: {
                    categories: chartData.weeks
                },
                yAxis: [{
                    min: 0,
                    max: 100,
                    labels: {
                        formatter: function() {
                            return this.axis.defaultLabelFormatter.call(this) + '%';
                        }
                    },
                    title: {
                        text: null
                    }
                }],
                legend: {
                    shadow: false
                },
                tooltip: {
                    shared: true
                },
                plotOptions: {
                    column: {
                        grouping: false,
                        shadow: false,
                        borderWidth: 0
                    }
                },
                series: [{
                    name: 'Fleet Occupancy',
                    color: 'rgba(248,161,63,1)',
                    data: chartData.fleetOccupancy,
                    tooltip: {
                        valueSuffix: '%'
                    },
                    pointPadding: 0.3,
                    pointPlacement: -0.2
                }, {
                    name: 'Occupancy Goal',
                    color: 'rgba(186,60,61,.9)',
                    data: chartData.occupancyGoal,
                    tooltip: {
                        valueSuffix: '%'
                    },
                    pointPadding: 0.4,
                    pointPlacement: -0.2
                }]
            });
        }
        function revenueOccupancyHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: [{
                    categories: chartData.weeks,
                    crosshair: true
                }],
                yAxis: [{ // Primary yAxis
                        title: {
                            text: 'Revenue',
                            style: {
                                color: Highcharts.getOptions().colors[0]
                            }
                        },
                        labels: {
                            formatter: function() {
                                return '$' + this.axis.defaultLabelFormatter.call(this);
                            },
                            style: {
                                color: Highcharts.getOptions().colors[0]
                            }
                        }
                    },
                    { // Secondary yAxis
                        labels: {
                            format: '{value}%',
                            style: {
                                color: Highcharts.getOptions().colors[1]
                            }
                        },
                        title: {
                            text: 'Occupancy',
                            style: {
                                color: Highcharts.getOptions().colors[1]
                            }
                        },
                        opposite: true
                    },
                ],
                tooltip: {
                    shared: true
                },
                legend: {
                    shadow: false
                },
                series: [{
                        name: 'Revenue',
                        type: 'column',
                        data: chartData.actualRevenue,
                        tooltip: {
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        }
                    },
                    {
                        name: 'Occupancy',
                        type: 'spline',
                        yAxis: 1,
                        data: chartData.fleetOccupancy,
                        tooltip: {
                            valueSuffix: '%'
                        }
                    }
                ]
            });
        }
    </script>
    <script type="text/javascript">
        Highcharts.setOptions({
            lang: {
                decimalPoint: '.',
                thousandsSep: ','
            }
        });
    </script>
    <script type="text/javascript">
        $('body').on('click', 'a[data-type="filter"]', function (event) {
            event.preventDefault(); //event.stopPropagation(); event.stopImmediatePropagation();
            var that    = $(this);
            var id      = that.data('id');
            var slug    = that.data('slug');
            var range   = that.data('range');
            var tab     = activeTab();
            if(slug){
                var filterData = [];
                filterData.push({
                    id: id,
                    slug: slug,
                    range: range,
                    tab: tab
                });
                getFilterData(filterData);
            }
        });
        $('body').on('click', 'a[data-type="delete"]', function (event) {
            event.preventDefault(); //event.stopPropagation(); event.stopImmediatePropagation();
            var that    = $(this);
            var id      = that.data('id');
            var slug    = that.data('slug');
            var range   = that.data('range');
            var tab     = activeTab();
            if(slug){
                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes, delete it!",
                }).then((result) => {
                    if (result.value) {
                        if(tab==1){
                            if (typeof dispacherDashboardGrid !== "undefined") {
                                dispacherDashboardGrid.removeWidget((this).closest('.grid-stack-item'));
                            }
                        }else{
                            if (typeof companyDashboardGrid !== "undefined") {
                                companyDashboardGrid.removeWidget((this).closest('.grid-stack-item'));
                            }
                        }
                    }
                });
            }
        });
        $('body').on('change', '.in-transit-team-select, .in-transit-equipment-select, .in-transit-dispatcher-select', function (event) {
            $('#companyDashboardGrid .in-transit-loads-data-table').DataTable().ajax.reload();
            // event.stopPropagation();
        });
        $("#modalOneModal").on('click', ".card", function (event) {
            event.preventDefault();
            var card        = $(this);
            var id          = card.attr('data-id');
            var slug        = card.attr('data-slug');
            var tab         = card.attr('data-tab');
            var isDelete    = card.attr('data-is_delete');
            if(slug){
                if(isDelete==1){
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.widget.restore"); ?>',
                        data: { id: id, slug:slug, tab:tab, deviceType: getDeviceType() },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    }).done(function(response) {
                        if(response.success){
                            var grid;
                            if(tab==1){
                                grid                = dispacherDashboardGrid;
                            }else{
                                grid                = companyDashboardGrid;
                            }

                            var widget              = response.widget;
                            var properties          = JSON.parse(widget.properties);

                            var slug                = widget.slug;
                            if(slug=='occupancy' || slug=='revenue' || slug=='cpm'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 3,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='trailer_type'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 3,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='company_stats'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 3,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='driver_per_team'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 6,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='target_actual_revenue'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 4,
                                    content: properties.content
                                });
                            }else if (slug=='loads_in_transit'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 4,
                                    content: properties.content
                                });
                            }else if (slug=='revenue_by_team'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 6,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='revenue_by_trailer_type'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 6,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='loads_stats'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='revenue_actual_vs_goal' || slug=='revenue_occupancy_vs_goal' || slug=='revenue_occupancy'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='events'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='notes'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 8,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='compel_announcements'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='company_announcements'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }

                            var img     = card.find('img');
                            if(img.length > 0)
                                img.attr('src', widget.active_image);

                            setTimeout(function() {
                                card.attr('data-is_delete', 0);
                                $('#modalOneModal').modal('hide');
                            }, 1500);

                            toastr.success('Restored successfully', 'Success Alert', { timeOut: 5000 });
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    });
                    return false;
                }
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/home.blade.php ENDPATH**/ ?>