

<?php $__env->startSection('title'); ?>
    SMS Usage
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <style type="text/css">
        .usage-block>.row>div {
            margin-bottom: 30px;
        }
        .usage-box {
            display: flex;
            /* flex-wrap: wrap; */
            align-items: center;
            justify-content: space-between;
            padding: 17px 25px 25px;
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            height: 100%;
        }
        .usage-box>div:first-child {
            margin-right: 10px;
        }
        .usage-box h2 {
            color: #305F9C;
            font-size: 50px;
            font-weight: bold;
            margin-bottom: 4px;
        }
        .usage-box p {
            color: #342828;
            opacity: 0.83;
            font-size: 18px;
            font-weight: bold;
        }
        .usage-box i {
            color: #305F9C;
            font-size: 55px;
            font-weight: bold;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check input {
            opacity: 0;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 0px;
            border: 2px solid #305F9C;
            border-radius: 4px;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 3px;
            position: absolute;
            top: 3.5px;
            font-size: 10px;
            opacity: 0;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check.all-check label::before {
            left: 0;
        }
        .columReorderModal .modal-dishpatch .modal-body .form-check.all-check label::after {
            left: 3px;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .ngd-new .load-requirements-table .table td,
        .ngd-new .table tbody tr:first-child td {
            border-bottom: 0 !important;
        }
        .bg-aquaBlue {
            background-color: #edf2f7;
        }
        td.from {
            text-transform: lowercase;
        }
        td.to {
            text-transform: lowercase;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="usage-block">
        <div class="row">
            <div class="col-xl-3 col-md-4 col-sm-6">
                <div class="usage-box">
                    <div>
                        <h2><?php echo e(sprintf("%02d", $logCount) ?? '00'); ?></h2>
                        <p>Current Month</p>
                    </div>
                    <div><i class="fa fa-envelope" aria-hidden="true"></i></div>
                </div>
            </div>
            <div class="col-xl-3 col-md-4 col-sm-6">
                <div class="usage-box">
                    <div>
                        <?php if(auth()->guard('company-admin')->user()->getCompany->sms_limit_type == '1'): ?>
                            <h2><?php echo e((auth()->guard('company-admin')->user()->getCompany->sms_limit) ?? '00'); ?></h2>
                        <?php else: ?>
                            <h2 style="font-size: 38px;">Unlimited</h2>
                        <?php endif; ?>
                        <p>Available SMS</p>
                    </div>
                    <div><i class="fa fa-envelope" aria-hidden="true"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="accordion dispatchHubNew-accordion mb-0">
        <div class="card list-item" id="onHoldDiv">
            <div class="card-header" id="headingThree">
                <div class="col-md-12 text-right">
                    <a href="javascript:void(0);"  id="clearAllfilter_table_email_logs" class="btn btn-orange clearAll filter_table_email_logs table_email_logs ml-2 d-none" data-tab="email-logs-data-table"> Clear filters</a>
                    <a href="javascript:void(0);" class="btn btn-primary refreshAll refresh_table_email_logs table_email_logs ml-2 d-none" data-tab="email-logs-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal">Column</a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table m-0 table-blue table-email-log email-logs-data-table">
                        <thead>
                        <tr>
                            <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($filed == 1 && isset(config('settings.table_email_logs')[$key]['name'])): ?>
                                    <?php if(isset(config('settings.table_email_logs')[$key]['searchBuilderType'])): ?>
                                        <?php if( config('settings.table_email_logs')[$key]['searchBuilderType'] == 'string' ): ?>
                                            <th class="<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?>"><?php echo e(config('settings.table_email_logs')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_email_logs_<?php echo e($key); ?>_string" data-modal="SearchByStringModal<?php echo e($key); ?>"></i></th>
                                        <?php elseif( config('settings.table_email_logs')[$key]['searchBuilderType'] == 'date' ): ?>
                                            <th class="<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?>"><?php echo e(config('settings.table_email_logs')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_email_logs_<?php echo e($key); ?>_date" data-modal="SearchByDateModal<?php echo e($key); ?>"></i></th>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <th class="<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?>"><?php echo e(config('settings.table_email_logs')[$key]['name']); ?></th>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                        </thead>
                        <tbody>
                        
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade columReorderModal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch" role="document">
            <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

            <input type="hidden" name="table_id" value="sms_logs">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(isset(config('settings.table_email_logs')[$key]['name'])): ?>
                                <li class="ui-state-default">
                                    <div class="d-flex justify-content-between">
                                        <div class="form-check">
                                            <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                            <input class="form-check-input" type="checkbox" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                            <label class="form-check-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_email_logs')[$key]['name']); ?></label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon pt-1"></i>
                                    </div>
                                </li>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Save</button>
                </div>
            </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        var table = $('.table-email-log').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.usage.sms.index')); ?>",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();

                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                    <?php endforeach; ?>
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_email_logs')[$key]['name'])): ?>
                            <?php if(config("settings.table_email_logs")[$key]["orderable"] == 1 && config("settings.table_email_logs")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?> <?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_email_logs")[$key]["orderable"] == 1): ?>
                                { className: '<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?> <?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_email_logs")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?> <?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '<?php echo e(config("settings.table_email_logs")[$key]["class"]); ?> <?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
        });

        function childRows(rowData){
            let div = $('<div/>').addClass('mt-5 mb-5').html('<p class="text-center">Please wait loading...</p>');
            if(rowData.content_html != ''){
                div.removeClass('mt-5 mb-5').html($.parseHTML(rowData.content_html)[0].data);
                if(rowData.status == '1'){
                    div.removeClass('mt-5 mb-5').html($.parseHTML(rowData.content_html)[0].data);
                }else{
                    div.removeClass('mt-5 mb-5').addClass('px-4 py-4 bg-aquaBlue').html($.parseHTML(rowData.content_html)[0].data);
                }
            }else{
                div.html('<p class="text-center">No data found</p>');
            }
            return div;
        }

        $('.table-email-log tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = table.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:nth-child(5)').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(childRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:nth-child(5)').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        $(function () {
            $(".sortableList").sortable();

            $(document).on("click", ".clearAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();

                $(".clearAll").addClass('d-none');
            });

            $(document).on("click", ".refreshAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);

                $(".refreshAll").addClass('d-none');
            });

            // setTimeout(function () { location.reload(); }, 60 * 1000);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/usage/sms_index.blade.php ENDPATH**/ ?>