<div class="left-menu-open ngd-menu">
    <div class="container-fluid">
        <div class="left-responsive-open">
            <ul class="left-menus">
                <li>
                    <a href="<?php echo e(route('admin.home')); ?>" class="<?php echo e(Request::is('admin/home*') ? 'active' : ''); ?>">
                        Home
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('admin.accounts.index')); ?>" class="<?php echo e(Request::is('admin/accounts*') ? 'active' : ''); ?>">
                        Accounts
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('admin.companies.index')); ?>" class="<?php echo e(Request::is('admin/companies*') ? 'active' : ''); ?>">
                        Companies
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('admin.announcement.index')); ?>" class="<?php echo e(Request::is('admin/announcement*') ? 'active' : ''); ?>">
                        Announcement
                    </a>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle <?php echo e((
                                Request::is('admin/appointment-types*') ||
                                Request::is('admin/ticket-type*') ||
                                Request::is('admin/trailer-types*') ||
                                Request::is('admin/truck-types*')
                            ) ? 'active' : ''); ?>"
                            id="dropdownMaintenance"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Maintenance
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaintenance">
                            <h6>Maintenance</h6>
                            <ul>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/appointment-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.appointment-types.index')); ?>">Appointment Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/ticket-type*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.ticket-type.index')); ?>">Ticket Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/trailer-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.trailer-types.index')); ?>">Trailer Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/truck-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.truck-types.index')); ?>">Truck Types</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle <?php echo e((
                                Request::is('admin/company-hos-violation-code*') ||
                                Request::is('admin/company-citations-violation-code*') ||
                                Request::is('admin/company-accident-violation-code*') ||
                                Request::is('admin/company-inspection-level*') ||
                                Request::is('admin/company-disciplinary-action*')
                            ) ? 'active' : ''); ?>"
                            id="dropdownViolationCode"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Violation Code
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownViolationCode">
                            <h6>Violation Code</h6>
                            <ul>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/company-hos-violation-code*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.company-hos-violation-code.index')); ?>">Driver</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/company-citations-violation-code*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.company-citations-violation-code.index')); ?>">Citations Violation Code</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/company-accident-violation-code*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.company-accident-violation-code.index')); ?>">Accident Violation Code</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/company-inspection-level*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.company-inspection-level.index')); ?>">Company Inspection Level</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/company-disciplinary-action*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.company-disciplinary-action.index')); ?>">Company Disciplinary Action</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle <?php echo e((
                                Request::is('admin/holidays*') ||
                                Request::is('admin/event-type*') ||
                                Request::is('admin/manage-type*') ||
                                Request::is('admin/accessorial*') ||
                                Request::is('admin/commodity*') ||
                                Request::is('admin/terms*') ||
                                Request::is('admin/load-document*') ||
                                Request::is('admin/load-requirements-items*')||
                                Request::is('admin/chart-of-accounts*')||
                                Request::is('admin/work-order-documents*')||
                                Request::is('admin/safety-and-compliance-documents*')||
                                Request::is('admin/onboarding-documents*')||
                                Request::is('admin/deduction-names*')||
                                Request::is('admin/recruiting-source*') ||
                                Request::is('admin/insurance-types*') ||
                                Request::is('admin/pm-types*') ||
                                Request::is('admin/pm-service-types*') ||
                                Request::is('admin/pm-warranty-providers*') ||
                                Request::is('admin/equipment-titles*') ||
                                Request::is('admin/document-titles*') ||
                                Request::is('admin/trailer-groups*') ||
                                Request::is('admin/truck-groups*')
                            ) ? 'active' : ''); ?>"
                            id="dropdownMaster"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Master
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaster">
                            <h6>Master</h6>
                            <ul>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/holidays*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.holidays.index')); ?>">Holidays</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/event-type*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.event-type.index')); ?>">Event Type</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/manage-type*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.manage-type.index')); ?>">Manage Type</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/accessorial*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.accessorial.index')); ?>">Accessorial</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/commodity*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.commodity.index')); ?>">Commodity</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/terms*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.terms.index')); ?>">Terms</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/load-document*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.load-document.index')); ?>">Load Document</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/load-requirements-items*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.load-requirements-items.index')); ?>">Load Requirements Items</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/chart-of-accounts*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.chart-of-accounts.index')); ?>">Chart Of Account</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/work-order-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.work-order-documents.index')); ?>">Work Order Documents</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/safety-and-compliance-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.safety-and-compliance-documents.index')); ?>">Safety And Compliance Documents</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/onboarding-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.onboarding-documents.index')); ?>">Onboarding Documents</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/deduction-names*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.deduction-names.index')); ?>">Deduction Names</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/recruiting-source*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.recruiting-source.index')); ?>">Recruiting Source</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/insurance-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.insurance-types.index')); ?>">Insurance Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/pm-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.pm-types.index')); ?>">PM Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/pm-service-types*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.pm-service-types.index')); ?>">PM Service Types</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/pm-warranty-providers*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.pm-warranty-providers.index')); ?>">PM Warranty Providers</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/equipment-titles*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.equipment-titles.index')); ?>">Equipment Titles</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/document-titles*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.document-titles.index')); ?>">Document Titles</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/trailer-groups*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.trailer-groups.index')); ?>">Trailer Groups</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/truck-groups*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.truck-groups.index')); ?>">Truck Groups</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <a href="<?php echo e(route('admin.app-center.index')); ?>" class="<?php echo e(Request::is('admin/app-center*') ? 'active' : ''); ?>">
                        App Center
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('admin.invoice.index')); ?>" class="<?php echo e(Request::is('admin/invoice*') ? 'active' : ''); ?>">
                        Invoicing
                    </a>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle <?php echo e((
                                Request::is('admin/email-templates*') || 
                                Request::is('admin/pdf-templates*') 
                            ) ? 'active' : ''); ?>"
                            id="dropdownMaster"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Templates
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaster">
                            <h6>Templates</h6>
                            <ul>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/email-templates*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.email-templates.index')); ?>">Email Templates</a></li>
                                <li><a class="dropdown-item <?php echo e(Request::is('admin/pdf-templates*') ? 'active' : ''); ?>" href="<?php echo e(route('admin.pdf-templates.index')); ?>">Pdf Templates</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
            </ul>
            <!-- <span class="copyright">Copyright 2021 CompelLabs</span> -->
        </div>
    </div>
</div>
<?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/adminTheme/sidebarOpen.blade.php ENDPATH**/ ?>