<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\LoadDetail;
use App\Models\Driver;

use Carbon\Carbon;
use DB;

class ReportDriversDataCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'reportdriversdata:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Report Drivers Data';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $getDriver = Driver::select('id')->whereNull('deleted_at')->where('is_report_drivers', 0)->take(20)->get();
        foreach($getDriver as $driver){
            getReportDrivers($driver->id);
        }
    }
}

//php artisan reportdriversdata