<?php

namespace App\Http\Requests\CompanyAdmin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;

class TruckUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        return [
            'unit' => 'required|unique:trucks,unit,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
            'vin_number' => 'unique:trucks,vin_number,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
            //'tag' => 'unique:trucks,tag,'.$request->segment(3).',id,company_id,'.auth()->guard('company-admin')->user()->company_id.',deleted_at,NULL',
        ];
    }
}
