<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Diagnostics extends Model
{
    use HasFactory;

    protected $table = 'diagnostics';

    protected $fillable = [
        'diagnostic_key', 'diagnostic_name', 'is_disabled'
    ];

    public function truck_diagnostics()
    {
        return $this->hasOne(TruckDiagnostics::class, 'id', 'diagnostic_id')->orderBy('display_no', 'ASC');
    }
}
