<?php

namespace App\Models;

use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\Model;

use PDF;
use File;

class FileUpload extends Model
{
    public static function upload($path, $file){
        if(!File::isDirectory('storage/'.$path)){
            File::makeDirectory('storage/'.$path, 0777, true, true);
        }
        $fileName   = time().'_'.$file->getClientOriginalName();
        Storage::disk('public')->putFileAs($path, $file, $fileName);
        return $fileName;
    }

    public static function PDFupload($path, $data, $fileName){
        $path       = 'storage/'.$path;
        if(!File::isDirectory($path)){
            File::makeDirectory($path, 0777, true, true);
        }
        $pdf        = PDF::loadView('companyAdmin.pdf.index', $data);
        $fileName   = time().'_'.$fileName.'.pdf';
        $path       = $path.'/'.$fileName;
        $pdf->save($path);
        return $fileName;
    }
}
