<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LeftMenuByUser extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['company_id', 'user_id', 'user_type', 'menu_id', 'display_no', 'active_status'];

    public function left_menu(){
        return $this->hasOne(LeftMenu::class, 'id', 'menu_id');
    }
}
