<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LoadAudit extends Model
{
    protected $table    	= 'load_audits';
    protected $guarded 		= [];

    // public $timestamps   = false;

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
