<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadLockByUser extends Model
{
    use HasFactory;

    protected $fillable = [
        'company_admin_id',
        'load_detail_id',
    ];

    public function company_admin(){
        return $this->hasOne(CompanyAdmin::class,'id','company_admin_id')->withTrashed();
    }
}
