<?php

return [
	'date_format' 					=> 'm/d/Y',
	'database_date_format' 			=> '%m/%d/%Y',

	'date_time_format' 				=> [
		'12_hour' 					=> 'm/d/Y h:i A',
		'24_hour' 					=> 'm/d/Y H:i'
	],
	'database_date_time_format' 	=> [
		'12_hour' 					=> '%m/%d/%Y %h:%i %p',
		'24_hour' 					=> '%m/%d/%Y %H:%i'
	],

	'js_date_format' 				=> 'MM/DD/YYYY',
	'js_date_time_format' 			=> [
		'12_hour' 					=> 'MM/DD/YYYY hh:mm A',
		'24_hour' 					=> 'MM/DD/YYYY HH:mm'
	],
	'js_time_format' 				=> [
		'12_hour' 					=> 'hh:mm A',
		'24_hour' 					=> 'HH:mm'
	],

	'time_format' 					=> [
		'12_hour' 					=> 'h:i A',
		'24_hour' 					=> 'H:i'
	],
	'database_time_format' 			=> [
		'12_hour' 					=> '%h:%i %p',
		'24_hour' 					=> '%H:%i'
	],

	'icon_fa' 						=> [
		"fa-500px","fa-address-book","fa-address-book-o","fa-address-card","fa-address-card-o","fa-adjust","fa-adn","fa-align-center","fa-align-justify","fa-align-left","fa-align-right",
		"fa-amazon","fa-ambulance","fa-american-sign-language-interpreting","fa-anchor","fa-android","fa-angellist","fa-angle-double-down","fa-angle-double-left","fa-angle-double-right","fa-angle-double-up",
		"fa-angle-down","fa-angle-left","fa-angle-right","fa-angle-up","fa-apple","fa-archive","fa-area-chart","fa-arrow-circle-down","fa-arrow-circle-left","fa-arrow-circle-o-down","fa-arrow-circle-o-left",
		"fa-arrow-circle-o-right","fa-arrow-circle-o-up","fa-arrow-circle-right","fa-arrow-circle-up","fa-arrow-down","fa-arrow-left","fa-arrow-right","fa-arrow-up","fa-arrows","fa-arrows-alt","fa-arrows-h",
		"fa-arrows-v","fa-assistive-listening-systems","fa-asterisk","fa-at","fa-audio-description","fa-backward","fa-balance-scale","fa-ban","fa-bandcamp","fa-bar-chart","fa-barcode","fa-bars","fa-bath",
		"fa-battery-empty","fa-battery-full","fa-battery-half","fa-battery-quarter","fa-battery-three-quarters","fa-bed","fa-beer","fa-behance","fa-behance-square","fa-bell","fa-bell-o","fa-bell-slash",
		"fa-bell-slash-o","fa-bicycle","fa-binoculars","fa-birthday-cake","fa-bitbucket","fa-bitbucket-square","fa-black-tie","fa-blind","fa-bluetooth","fa-bluetooth-b","fa-bold","fa-bolt","fa-bomb","fa-book",
		"fa-bookmark","fa-bookmark-o","fa-braille","fa-briefcase","fa-btc","fa-bug","fa-building","fa-building-o","fa-bullhorn","fa-bullseye","fa-bus","fa-buysellads","fa-calculator","fa-calendar",
		"fa-calendar-check-o","fa-calendar-minus-o","fa-calendar-o","fa-calendar-plus-o","fa-calendar-times-o","fa-camera","fa-camera-retro","fa-car","fa-caret-down","fa-caret-left","fa-caret-right",
		"fa-caret-square-o-down","fa-caret-square-o-left","fa-caret-square-o-right","fa-caret-square-o-up","fa-caret-up","fa-cart-arrow-down","fa-cart-plus","fa-cc","fa-cc-amex","fa-cc-diners-club",
		"fa-cc-discover","fa-cc-jcb","fa-cc-mastercard","fa-cc-paypal","fa-cc-stripe","fa-cc-visa","fa-certificate","fa-chain-broken","fa-check","fa-check-circle","fa-check-circle-o","fa-check-square",
		"fa-check-square-o","fa-chevron-circle-down","fa-chevron-circle-left","fa-chevron-circle-right","fa-chevron-circle-up","fa-chevron-down","fa-chevron-left","fa-chevron-right","fa-chevron-up","fa-child",
		"fa-chrome","fa-circle","fa-circle-o","fa-circle-o-notch","fa-circle-thin","fa-clipboard","fa-clock-o","fa-clone","fa-cloud","fa-cloud-download","fa-cloud-upload","fa-code","fa-code-fork","fa-codepen",
		"fa-codiepie","fa-coffee","fa-cog","fa-cogs","fa-columns","fa-comment","fa-comment-o","fa-commenting","fa-commenting-o","fa-comments","fa-comments-o","fa-compass","fa-compress","fa-connectdevelop",
		"fa-contao","fa-copyright","fa-creative-commons","fa-credit-card","fa-credit-card-alt","fa-crop","fa-crosshairs","fa-css3","fa-cube","fa-cubes","fa-cutlery","fa-dashcube","fa-database","fa-deaf",
		"fa-delicious","fa-desktop","fa-deviantart","fa-diamond","fa-digg","fa-dot-circle-o","fa-download","fa-dribbble","fa-dropbox","fa-drupal","fa-edge","fa-eercast","fa-eject","fa-ellipsis-h","fa-ellipsis-v",
		"fa-empire","fa-envelope","fa-envelope-o","fa-envelope-open","fa-envelope-open-o","fa-envelope-square","fa-envira","fa-eraser","fa-etsy","fa-eur","fa-exchange","fa-exclamation","fa-exclamation-circle",
		"fa-exclamation-triangle","fa-expand","fa-expeditedssl","fa-external-link","fa-external-link-square","fa-eye","fa-eye-slash","fa-eyedropper","fa-facebook","fa-facebook-official","fa-facebook-square",
		"fa-fast-backward","fa-fast-forward","fa-fax","fa-female","fa-fighter-jet","fa-file","fa-file-archive-o","fa-file-audio-o","fa-file-code-o","fa-file-excel-o","fa-file-image-o","fa-file-o","fa-file-pdf-o",
		"fa-file-powerpoint-o","fa-file-text","fa-file-text-o","fa-file-video-o","fa-file-word-o","fa-files-o","fa-film","fa-filter","fa-fire","fa-fire-extinguisher","fa-firefox","fa-first-order","fa-flag",
		"fa-flag-checkered","fa-flag-o","fa-flask","fa-flickr","fa-floppy-o","fa-folder","fa-folder-o","fa-folder-open","fa-folder-open-o","fa-font","fa-font-awesome","fa-fonticons","fa-fort-awesome","fa-forumbee",
		"fa-forward","fa-foursquare","fa-free-code-camp","fa-frown-o","fa-futbol-o","fa-gamepad","fa-gavel","fa-gbp","fa-genderless","fa-get-pocket","fa-gg","fa-gg-circle","fa-gift","fa-git","fa-git-square",
		"fa-github","fa-github-alt","fa-github-square","fa-gitlab","fa-glass","fa-glide","fa-glide-g","fa-globe","fa-google","fa-google-plus","fa-google-plus-official","fa-google-plus-square","fa-google-wallet",
		"fa-graduation-cap","fa-gratipay","fa-grav","fa-h-square","fa-hacker-news","fa-hand-lizard-o","fa-hand-o-down","fa-hand-o-left","fa-hand-o-right","fa-hand-o-up","fa-hand-paper-o","fa-hand-peace-o",
		"fa-hand-pointer-o","fa-hand-rock-o","fa-hand-scissors-o","fa-hand-spock-o","fa-handshake-o","fa-hashtag","fa-hdd-o","fa-header","fa-headphones","fa-heart","fa-heart-o","fa-heartbeat","fa-history",
		"fa-home","fa-hospital-o","fa-hourglass","fa-hourglass-end","fa-hourglass-half","fa-hourglass-o","fa-hourglass-start","fa-houzz","fa-html5","fa-i-cursor","fa-id-badge","fa-id-card","fa-id-card-o",
		"fa-ils","fa-imdb","fa-inbox","fa-indent","fa-industry","fa-info","fa-info-circle","fa-inr","fa-instagram","fa-internet-explorer","fa-ioxhost","fa-italic","fa-joomla","fa-jpy","fa-jsfiddle","fa-key",
		"fa-keyboard-o","fa-krw","fa-language","fa-laptop","fa-lastfm","fa-lastfm-square","fa-leaf","fa-leanpub","fa-lemon-o","fa-level-down","fa-level-up","fa-life-ring","fa-lightbulb-o","fa-line-chart",
		"fa-link","fa-linkedin","fa-linkedin-square","fa-linode","fa-linux","fa-list","fa-list-alt","fa-list-ol","fa-list-ul","fa-location-arrow","fa-lock","fa-long-arrow-down","fa-long-arrow-left",
		"fa-long-arrow-right","fa-long-arrow-up","fa-low-vision","fa-magic","fa-magnet","fa-male","fa-map","fa-map-marker","fa-map-o","fa-map-pin","fa-map-signs","fa-mars","fa-mars-double","fa-mars-stroke",
		"fa-mars-stroke-h","fa-mars-stroke-v","fa-maxcdn","fa-meanpath","fa-medium","fa-medkit","fa-meetup","fa-meh-o","fa-mercury","fa-microchip","fa-microphone","fa-microphone-slash","fa-minus",
		"fa-minus-circle","fa-minus-square","fa-minus-square-o","fa-mixcloud","fa-mobile","fa-modx","fa-money","fa-moon-o","fa-motorcycle","fa-mouse-pointer","fa-music","fa-neuter","fa-newspaper-o",
		"fa-object-group","fa-object-ungroup","fa-odnoklassniki","fa-odnoklassniki-square","fa-opencart","fa-openid","fa-opera","fa-optin-monster","fa-outdent","fa-pagelines","fa-paint-brush","fa-paper-plane",
		"fa-paper-plane-o","fa-paperclip","fa-paragraph","fa-pause","fa-pause-circle","fa-pause-circle-o","fa-paw","fa-paypal","fa-pencil","fa-pencil-square","fa-pencil-square-o","fa-percent","fa-phone",
		"fa-phone-square","fa-picture-o","fa-pie-chart","fa-pied-piper","fa-pied-piper-alt","fa-pied-piper-pp","fa-pinterest","fa-pinterest-p","fa-pinterest-square","fa-plane","fa-play","fa-play-circle",
		"fa-play-circle-o","fa-plug","fa-plus","fa-plus-circle","fa-plus-square","fa-plus-square-o","fa-podcast","fa-power-off","fa-print","fa-product-hunt","fa-puzzle-piece","fa-qq","fa-qrcode","fa-question",
		"fa-question-circle","fa-question-circle-o","fa-quora","fa-quote-left","fa-quote-right","fa-random","fa-ravelry","fa-rebel","fa-recycle","fa-reddit","fa-reddit-alien","fa-reddit-square","fa-refresh",
		"fa-registered","fa-renren","fa-repeat","fa-reply","fa-reply-all","fa-retweet","fa-road","fa-rocket","fa-rss","fa-rss-square","fa-rub","fa-safari","fa-scissors","fa-scribd","fa-search","fa-search-minus",
		"fa-search-plus","fa-sellsy","fa-server","fa-share","fa-share-alt","fa-share-alt-square","fa-share-square","fa-share-square-o","fa-shield","fa-ship","fa-shirtsinbulk","fa-shopping-bag","fa-shopping-basket",
		"fa-shopping-cart","fa-shower","fa-sign-in","fa-sign-language","fa-sign-out","fa-signal","fa-simplybuilt","fa-sitemap","fa-skyatlas","fa-skype","fa-slack","fa-sliders","fa-slideshare","fa-smile-o",
		"fa-snapchat","fa-snapchat-ghost","fa-snapchat-square","fa-snowflake-o","fa-sort","fa-sort-alpha-asc","fa-sort-alpha-desc","fa-sort-amount-asc","fa-sort-amount-desc","fa-sort-asc","fa-sort-desc",
		"fa-sort-numeric-asc","fa-sort-numeric-desc","fa-soundcloud","fa-space-shuttle","fa-spinner","fa-spoon","fa-spotify","fa-square","fa-square-o","fa-stack-exchange","fa-stack-overflow","fa-star",
		"fa-star-half","fa-star-half-o","fa-star-o","fa-steam","fa-steam-square","fa-step-backward","fa-step-forward","fa-stethoscope","fa-sticky-note","fa-sticky-note-o","fa-stop","fa-stop-circle",
		"fa-stop-circle-o","fa-street-view","fa-strikethrough","fa-stumbleupon","fa-stumbleupon-circle","fa-subscript","fa-subway","fa-suitcase","fa-sun-o","fa-superpowers","fa-superscript","fa-table",
		"fa-tablet","fa-tachometer","fa-tag","fa-tags","fa-tasks","fa-taxi","fa-telegram","fa-television","fa-tencent-weibo","fa-terminal","fa-text-height","fa-text-width","fa-th","fa-th-large","fa-th-list",
		"fa-themeisle","fa-thermometer-empty","fa-thermometer-full","fa-thermometer-half","fa-thermometer-quarter","fa-thermometer-three-quarters","fa-thumb-tack","fa-thumbs-down","fa-thumbs-o-down",
		"fa-thumbs-o-up","fa-thumbs-up","fa-ticket","fa-times","fa-times-circle","fa-times-circle-o","fa-tint","fa-toggle-off","fa-toggle-on","fa-trademark","fa-train","fa-transgender","fa-transgender-alt",
		"fa-trash","fa-trash-o","fa-tree","fa-trello","fa-tripadvisor","fa-trophy","fa-truck","fa-try","fa-tty","fa-tumblr","fa-tumblr-square","fa-twitch","fa-twitter","fa-twitter-square","fa-umbrella",
		"fa-underline","fa-undo","fa-universal-access","fa-university","fa-unlock","fa-unlock-alt","fa-upload","fa-usb","fa-usd","fa-user","fa-user-circle","fa-user-circle-o","fa-user-md","fa-user-o",
		"fa-user-plus","fa-user-secret","fa-user-times","fa-users","fa-venus","fa-venus-double","fa-venus-mars","fa-viacoin","fa-viadeo","fa-viadeo-square","fa-video-camera","fa-vimeo","fa-vimeo-square","fa-vine",
		"fa-vk","fa-volume-control-phone","fa-volume-down","fa-volume-off","fa-volume-up","fa-weibo","fa-weixin","fa-whatsapp","fa-wheelchair","fa-wheelchair-alt","fa-wifi","fa-wikipedia-w","fa-window-close",
		"fa-window-close-o","fa-window-maximize","fa-window-minimize","fa-window-restore","fa-windows","fa-wordpress","fa-wpbeginner","fa-wpexplorer","fa-wpforms","fa-wrench","fa-xing","fa-xing-square",
		"fa-y-combinator","fa-yahoo","fa-yelp","fa-yoast","fa-youtube","fa-youtube-play","fa-youtube-square"
	],

	'route_prefix' 					=> [
		'companyadmin' 				=> 'company-admin',
		'driver' 					=> '/employee'
    ],

    'shipper_files' 				=> 'a:2:{i:0;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Scale Ticket";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:1;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:9:"Blind BOL";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}}',

    'consignee_files' 				=> 'a:6:{i:0;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:14:"Bill Of Lading";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:1;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:16:"Delivery Receipt";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:2;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:14:"Purchase Order";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:3;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Packing Slip";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:4;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Scale Ticket";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:5;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:15:"Lumber Receipts";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}}',

	'permissions' 					=> [
		'create' 					=> 1,
		'edit' 						=> 2,
		'delete' 					=> 3,
		'view' 						=> 4,
		'approve' 					=> 5,
		'verify' 					=> 6,
	],

	'company_admin_modules' 		=> [
		'dispatch_hub' 						=> 1,
		'loads' 							=> 2,
		'teams' 							=> 3,
		'weekly_fuel_surcharges' 			=> 4,
		'brokers' 							=> 5,
		'managers' 							=> 6,
		'dispatchers' 						=> 7,
		'drivers' 							=> 8,
		'roles' 							=> 9,
		'customer' 							=> 10,
		'carriers' 							=> 11,
		'trailers' 							=> 12,
		'trucks' 							=> 13,
		'manage_type' 						=> 14,
		'leave_type' 						=> 15,
		'company_holiday' 					=> 16,
		'leaves' 							=> 17,
		'leaveusertypes' 					=> 18,
		'vendors' 							=> 19,
		'notifications_status' 				=> 20,
		'terminals' 						=> 21,
		'company_dashboard' 				=> 22,
		'request_documents' 				=> 23,
		'violation_codes' 					=> 24,
		'maintenances' 						=> 25,
		'maintenance_ticket_types' 			=> 26,
		//maintenance_appointment_types' 	=> 27,
		'driver_quarterly_goals' 			=> 27,
		'load_reservations' 				=> 28,
		'compel_announcement' 				=> 29,
		'announcement' 						=> 30,
		'detention_request' 				=> 31,
		'reports' 							=> 32,
		'currently_onboarding' 				=> 33,
		'trailer_types' 					=> 34,
        'accessorial'               		=> 35,
        'commodity'                 		=> 36,
        'terms'                     		=> 37,
        'load_requirements_items'   		=> 38,
        'dispatcher_revenue_tracker'		=> 39,
        'chart_of_accounts'         		=> 40,
        'compliance'                		=> 41,
        'pro_routes'                		=> 42,
        'truck_owners'              		=> 43,
        'fuel_surcharges'           		=> 44,
        'truck_types' 			    		=> 45,
        'work_orders' 			    		=> 46,
        'safety_compliance'         		=> 47,
        'onboarding'                		=> 48,
        'deduction_names'           		=> 49,
        'load_document'             		=> 50,
        'recruiting_source'         		=> 51,
        'insurance_types'           		=> 52,
        'insurance_profiles'        		=> 53,
        'pm_service_profiles'       		=> 54,
        'pm_types'                  		=> 55,
        'pm_service_types'          		=> 56,
        'pm_warranty_providers'     		=> 57,
        'equipment_titles'          		=> 58,
        'equipment_profiles'        		=> 59,
        'document_titles'           		=> 60,
        'on_board_document_profiles'		=> 61,
        'drop_locations'            		=> 62,
        'usage'                     		=> 63,
        'email_templates'           		=> 64,
        'default_fuel_surcharge'    		=> 65,
        'drivers_terminated' 				=> 66,
        'billing_dashboard' 				=> 67,
        'trailer_groups' 					=> 68,
        'truck_groups' 						=> 69,
        'trailer_insurance_profiles'        => 70,
        'trailer_pm_service_profiles'       => 71,
        'trailer_equipment_profiles'        => 72,
        'trailer_on_board_document_profiles'=> 73,
        'trailer_warranty_profiles'        	=> 74,
        'warranty_profiles'        			=> 75,
        'pdf_templates'           			=> 76,
	],

	'app_id' 						=> [
		'samsara' 					=> 1,
	],

	//[visible, orderable, searchable]
	'table_vendors_first' 			=> ['id' => 1,'name' => 1,'email' => 1,'phone' => 1,'city' => 1,'state' => 1],
	'table_vendors' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone' 					=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'city' 						=> ['name' => 'City', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'state' 					=> ['name' => 'State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_brokers_first' 			=> ['id' => 1,'name' => 1,'mc_number' => 1],
	'table_brokers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_terminals_first' 		=> ['id' => 1,'name' => 1,'terminal_code' => 1],
	'table_terminals' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'terminal_code' 			=> ['name' => 'Terminal Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_carriers_first' 			=> ['id' => 1,'name' => 1,'mc_number' => 1],
	'table_carriers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_customers_first' 		=> ['id' => 1,'name' => 1,'address' => 1,'phone' => 1,'mc_number' => 1],
	'table_customers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'address' 					=> ['name' => 'Address', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone' 					=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_trailers_first' 			=> ['id' => 1,'trailer_id' => 1,'vin' => 1,'tag_number' => 1],
	'table_trailers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_id' 				=> ['name' => 'Trailer Id', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'vin' 						=> ['name' => 'VIN', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'tag_number' 				=> ['name' => 'Tag Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_truck_owners_first' 		=> ['id' => 1,'name' => 1],
	'table_truck_owners' 			=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_trucks_first' 			=> ['id' => 1,'unit' => 1,'vin_number' => 1,'driver' => 1],
	'table_trucks' 					=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'unit' 						=> ['name' => 'Unit', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'vin_number' 				=> ['name' => 'VIN Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'driver' 					=> ['name' => "Driver", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver_details', 'colName1'=>'last_name', 'colName2'=>'first_name'],
	],

	'table_manage_types_first' 		=> ['name' => 1,'category_name' => 1],
	'table_manage_types' 			=> [
		'name'	 					=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'manage_company_types'],
		'category_name' 			=> ['name' => 'Category Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'mc', 'colAlias' => 'name' ],
	],

	'table_leave_types_first' 		=> ['name' => 1,'color' => 1,'half_day_request' => 1,'register_in_the_past' => 1,'enforce_allowance' => 1],
	'table_leave_types' 			=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'color' 					=> ['name' => 'Color', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'half_day_request' 			=> ['name' => 'Half Day Request', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'register_in_the_past' 		=> ['name' => 'Register In The Past', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'enforce_allowance' 		=> ['name' => 'Enforce Allowance', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],

	'table_company_holiday_first' 	=> ['name' => 1,'from_date' => 1,'to_date' => 1],
	'table_company_holiday' 		=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'from_date' 				=> ['name' => 'From Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'to_date' 					=> ['name' => 'To Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
	],

	'table_weekly_fuel_surcharge_first' => ['id' => 1,'week' => 1,'start_date' => 1,'end_date' => 1,'fuel_surcharge' => 1],
	'table_weekly_fuel_surcharge' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'week'		 				=> ['name' => 'Week', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'start_date'		 		=> ['name' => 'Start Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'end_date'		 			=> ['name' => 'End Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'fuel_surcharge' 			=> ['name' => 'Fuel Surcharge', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_teams_first' 			=> ['id' => 1,'name' => 1,'head' => 1,'total_drivers' => 1],
	'table_teams' 					=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'head' 						=> ['name' => 'Head', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'total_drivers' 			=> ['name' => 'Total Drivers', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
	],

	'table_managers_first' 			=> ['id' => 1,'first_name' => 1,'last_name' => 1,'email' => 1],
	'table_managers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'first_name' 				=> ['name' => 'First Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'last_name' 				=> ['name' => 'Last Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_dispatchers_first' 		=> ['id' => 1,'first_name' => 1,'last_name' => 1,'email' => 1],
	'table_dispatchers' 			=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'first_name' 				=> ['name' => 'First Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'last_name' 				=> ['name' => 'Last Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_drivers_first' 			=> ['id' => 1,'name' => 1,'email' => 1,'cell_phone' => 1,'truck_number' => 1,'manager_id' => 1,'start_date' => 1],
	'table_drivers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'colAl1' => 'last_name', 'colAl2' => 'first_name' ],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'cell_phone' 				=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'manager_id' 				=> ['name' => 'Dispatcher ', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'relationTable' => 'dispatcher', 'colName1'=>'first_name', 'colName2'=>'last_name'],
        'start_date' 				=> ['name' => 'Start date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
	],

	'table_loads_active_first' 		=> ['load_number' => 1,'driver' => 1,'broker_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'shipper_location' => 1,'delivery_location' => 1,'status' => 1,'last_location' => 1,'total_bill' => 1, 'actual_delivery_date' => 0, 'booked_by' => 1, 'empty_miles' => 1, 'loaded_miles' => 1, 'total_miles' => 1, 'weight' => 1, 'trailer_type' => 1, 'created_at' => 0, 'updated_at' => 0],
	'table_loads_active' 			=> [
		'load_number' 				=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'driver' 					=> ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'first_name', 'colName2'=>'last_name'],
		'broker_name' 				=> ['name' => 'Customer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'broker', 'colName1'=>'name'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'cell_phone'],
		//'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'dispatcher', 'colName1'=>'first_name', 'colName2'=>'last_name' ],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'shipper_location' 			=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location'],
		'delivery_location' 		=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string','colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'total_bill' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'actual_delivery_date' 		=> ['name' => 'Delivery date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'booked_by' 				=> ['name' => 'Booked by', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'empty_miles' 				=> ['name' => 'Empty Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'loaded_miles' 				=> ['name' => 'Loaded Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'weight' 					=> ['name' => 'Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_type' 				=> ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'created_at' 				=> ['name' => 'Created At', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'updated_at' 				=> ['name' => 'Updated At', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
	],

	// On Hold
	'table_dispatchhub1_first' 		=> [
		'status' 					=> 1,
		'load_number' 				=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'brokerage_firm' 			=> 1,
		'actual_shipper_date' 		=> 1,
		'actual_delivery_date' 		=> 1,
		'origin' 					=> 1,
		'destination' 				=> 1,
		'dispatcher' 				=> 1,
		'day_on_hold'				=> 1,
		'reason_on_hold' 			=> 1
	],
	'table_dispatchhub1' 			=> [
        // 'status' 				=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'status' 					=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'load_number' 				=> ['name' => 'Load', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'brokerage_firm' 			=> ['name' => 'Customer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'brokerage_name'],
        'actual_shipper_date'		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date'		=> ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        // 'dispatcher' 			=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
		'day_on_hold'		       => ['name' => 'Day On Hold', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'reason_on_hold'		   => ['name' => 'Reason', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0]
	],

	// In Transit
	'table_dispatchhub2_first' 		=> [
		'status' 					=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'phone_number' 				=> 1,
		'load_number' 				=> 1,
		'dispatcher' 				=> 1,
		'actual_shipper_date' 		=> 1,
		'actual_delivery_date' 		=> 1,
		'origin' 					=> 1,
		'destination' 				=> 1,
		'last_location' 			=> 1,
		'eta' 						=> 1,
		'miles_out' 				=> 1
	],
	'table_dispatchhub2' 			=> [
        // 'status' 				=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'status' 					=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
        'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
		'load_number' 				=> ['name' => 'Load', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		// 'dispatcher' 			=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date' 		=> ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'last_location' 			=> ['name' => 'Last Location', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'eta' 				        => ['name' => 'ETA', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'miles_out' 				=> ['name' => 'Miles Out', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'total_miles']
	],

	// Available Drivers
	'table_dispatchhub3_first' 		=> [
		'reserve_status' 			=> 1,
		'time_waiting' 				=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'cell_phone' 				=> 1,
		'driver_manager' 			=> 1,
		'last_location' 			=> 1,
		'duty_status' 				=> 1,
		'drive' 					=> 1,
		'shift' 					=> 1,
		'cycle' 					=> 1,
		'cycle_tom' 				=> 1,
		'time_until_break' 			=> 1,
		'updated_at' 				=> 1,
		'previous_load' 			=> 1
	],
	'table_dispatchhub3' 			=> [
		'reserve_status' 			=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'time_waiting' 				=> ['name' => 'Time Waiting', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driverName'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_truck_number'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_trailer_number'],
		'cell_phone' 				=> ['name' => 'Phone Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		// 'driver_manager' 		=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'driver_manager' 			=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_load_delivery_city', 'colName2' => 'previous_load_delivery_state'],
        'duty_status' 				=> ['name' => 'Duty Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'drive' 					=> ['name' => 'Drive', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'shift' 					=> ['name' => 'Shift', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'cycle' 					=> ['name' => 'Cycle', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'cycle_tom' 				=> ['name' => 'Cycle Tom.', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'time_until_break' 	        => ['name' => 'Time until break', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'updated_at' 			    => ['name' => 'Last Updated', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'previous_load' 			=> ['name' => 'Previous Load No.', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0]
    ],

    // Planned Loads
	'table_dispatchhub4_first' 		=> [
		'status' 					=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'phone_number' 				=> 1,
		'load_number' 				=> 1,
		'dispatcher' 				=> 1,
		'actual_shipper_date' 		=> 1,
		'actual_delivery_date' 		=> 1,
		'origin' 					=> 1,
		'destination' 				=> 1,
		'last_location' 			=> 1,
		'eta' 						=> 1,
		'miles' 					=> 1
	],
	'table_dispatchhub4' 			=> [
        // 'status'                 => ['name' => 'Status', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'status'                    => ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
        'load_number' 				=> ['name' => 'Load', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		// 'dispatcher' 			=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'origin' 					=> ['name' => 'Origin', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state' ],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'eta' 				        => ['name' => 'ETA', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'miles' 				    => ['name' => 'Miles', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'total_miles'],
	],

	// Available Loads
	'table_dispatchhub5_first' 		=> [
		'load_status' 				=> 1,
		'load_number' 				=> 1,
		'trailer_number' 			=> 1,
		'brokerage_firm' 			=> 1,
		'actual_shipper_date' 		=> 1,
		'actual_delivery_date' 		=> 1,
		'origin' 					=> 1,
		'destination' 				=> 1,
		'miles' 					=> 1,
		'rate' 						=> 1,
		'cpm' 						=> 1,
		'cust_rep' 					=> 1,
		'carrier_rep' 				=> 1,
		'time_left' 				=> 1
	],
	'table_dispatchhub5' 			=> [
        'load_status' 				=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'load_number' 				=> ['name' => 'Load No', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'brokerage_firm' 			=> ['name' => 'Customer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'brokerage_name'],
        'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'miles' 				    => ['name' => 'Miles', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'total_miles'],
        'rate' 						=> ['name' => 'Rate', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1', 'colName1'=>'total_bill'],
        'cpm' 				        => ['name' => 'CPM', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'cust_rep' 				    => ['name' => 'Cust Rep.', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1', 'colName1'=>'rep'],
        'carrier_rep' 				=> ['name' => 'Carrier Rep.', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
        'time_left' 				=> ['name' => 'Time Left', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
	],

	// Ready to bill load
	'table_dispatchhub6_first' 		=> [
		'load_number' 				=> 1,
		'billing_status' 			=> 1,
		'actual_shipper_date' 		=> 1,
		'actual_delivery_date' 		=> 1,
		'origin' 					=> 1,
		'destination' 				=> 1,
		'brokerage_name' 			=> 1,
		'carrier_name' 				=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'trailer_type_name' 		=> 1
	],
	'table_dispatchhub6' 			=> [
		'load_number' 				=> ['name' => 'Load', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'billing_status' 			=> ['name' => 'Billing Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
        'actual_delivery_date' 		=> ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'origin' 					=> ['name' => 'Origin' ,'orderable' => 0 ,'searchable' => 1 ,'col_search' => 1 ,'searchBuilderType' => 'string' ,'having'=>'1' ,'colName1'=>'shipper_city' ,'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1', 'colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'brokerage_name' 			=> ['name' => 'Customer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'brokerage_name'],
		'carrier_name' 				=> ['name' => 'Carrier', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'carrier_name'],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colName1' => 'first_name', 'colName2' => 'last_name', 'relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_type_name' 		=> ['name' => 'Equipment', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'trailer_type_name'],
	],

	// All dispatch
    'table_dispatchhub7_first' 		=> [
    	'status' 					=> 1,
    	'full_name' 				=> 1,
    	'truck_number' 				=> 1,
    	'trailer_number' 			=> 1,
    	'phone_number' 				=> 1,
    	'load_number' 				=> 1,
    	'dispatcher' 				=> 1,
    	'actual_shipper_date' 		=> 1,
    	'actual_delivery_date' 		=> 1,
    	'origin' 					=> 1,
    	'destination' 				=> 1,
    	'last_location' 			=> 1,
    	'eta' 						=> 1,
    	'miles' 					=> 1
    ],
    'table_dispatchhub7' 			=> [
        // 'status'                 => ['name' => 'Status', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'status'                    => ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
        'truck_number' 				=> ['name' => 'Truck', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
        'load_number' 				=> ['name' => 'Load', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        // 'dispatcher' 			=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'origin' 					=> ['name' => 'Origin', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state' ],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'last_location' 			=> ['name' => 'Last Location', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'eta' 				        => ['name' => 'ETA', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'miles' 				    => ['name' => 'Miles', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'total_miles'],
    ],

	'table_gallery_document_name_first' => ['name' => 1,'source' => 1,'field_name' => 1],
	'table_gallery_document_name' 	=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'source' 					=> ['name' => 'Soruce', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'field_name' 				=> ['name' => 'Field Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],

	'table_request_documents_first' => ['field_name' => 1,'created_by' => 1,'date' => 1,'status' => 1,'requested_by' => 1,'approved_by' => 1,'access' => 1],
	'table_request_documents' 		=> [
		'field_name' 				=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'created_by' 				=> ['name' => 'Created By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'date' 						=> ['name' => 'Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'requested_by' 				=> ['name' => 'Requested By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'approved_by' 				=> ['name' => 'Approved By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'access' 					=> ['name' => 'Access', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_driver_hos_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1],
	'table_driver_hos_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_driver_citations_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1],
	'table_driver_citations_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_driver_accident_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1],
	'table_driver_accident_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_driver_inspection_levels_first' => ['id' => 1,'name' => 1],
	'table_driver_inspection_levels' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_driver_disciplinary_actions_first' => ['id' => 1,'name' => 1],
	'table_driver_disciplinary_actions' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_maintenance_ticket_type_first' => ['id' => 1,'name' => 1],
	'table_maintenance_ticket_type' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
	],

	'table_trailer_type_first' 		=> ['id' => 0,'name' => 1,'is_temp_required' => 1],
	'table_trailer_type' 			=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'is_temp_required' 			=> ['name' => 'Is Temp Required', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1'],
	],

	'table_audit_load_first' 		=> ['id' => 1,'first_name' => 1,'section'=>1,'type' => 1,'created_at' => 1,'before_change' => 1,'after_change' => 1],
	'table_audit_load' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'first_name' 				=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'section' 					=> ['name' => 'Section', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'type' 						=> ['name' => 'Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'created_at' 				=> ['name' => 'Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'before_change' 			=> ['name' => 'Before Change', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'after_change' 				=> ['name' => 'After Change', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_load_requirement_first' 	=> ['id' => 1,'name' => 1],
	'table_load_requirement' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],

	'table_maintenance_appointment_type_first' => ['id' => 1,'name' => 1],
	'table_maintenance_appointment_type' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_maintenances_first' 		=> ['ticket_number' => 1,'name' => 1,'equipment_type' => 1,'equipment_number' => 1,'status' => 1],
	'table_maintenances' 			=> [
		'ticket_number' 			=> ['name' => 'Ticket Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'equipment_type' 			=> ['name' => 'Equipment Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'equipment_number' 			=> ['name' => 'Equipment Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string']
	],

	'table_dispatcher_report_first' => ['dispatcher_name' => 1,'active_drivers' => 1,'inactive_drivers' => 1,'loads' => 1,'gross' => 1,'avg_revenue' => 1,'total_miles' => 1,'avg_miles' => 1,'avg_cpm' => 1,'unoccupied_loads' => 1,'maintenance' => 1,'time_off' => 1,'hos' => 1,'unauthorized' => 1,'no_dispatch' => 1,'loads_built' => 1],
	'table_dispatcher_report' 		=> [
		'dispatcher_name' 			=> ['name' => 'Dispatcher Name', 'orderable' => 1, 'searchable' => 1],
		'active_drivers' 			=> ['name' => 'Active Drivers', 'orderable' => 1, 'searchable' => 1],
		'inactive_drivers' 			=> ['name' => 'Inactive Drivers', 'orderable' => 1, 'searchable' => 1],
		'loads' 					=> ['name' => 'Loads', 'orderable' => 1, 'searchable' => 1],
		'gross' 					=> ['name' => 'Gross', 'orderable' => 1, 'searchable' => 1],
		'avg_revenue' 				=> ['name' => 'Avg Revenue', 'orderable' => 1, 'searchable' => 1],
		'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1],
		'avg_miles' 				=> ['name' => 'Avg Miles', 'orderable' => 1, 'searchable' => 1],
		'avg_cpm' 					=> ['name' => 'Avg CPM', 'orderable' => 1, 'searchable' => 1],
		'unoccupied_loads' 			=> ['name' => 'Unoccupied loads','orderable' => 1, 'searchable' => 1],
		'maintenance' 				=> ['name' => 'Maintenance','orderable' => 1, 'searchable' => 1],
		'time_off' 					=> ['name' => 'Time off','orderable' => 1, 'searchable' => 1],
		'hos' 						=> ['name' => 'Hos','orderable' => 1, 'searchable' => 1],
		'unauthorized' 				=> ['name' => 'Unauthorized','orderable' => 1, 'searchable' => 1],
		'no_dispatch' 				=> ['name' => 'No Dispatch','orderable' => 1, 'searchable' => 1],
		'loads_built' 				=> ['name' => 'Loads Built', 'orderable' => 1 ,'searchable' => 1],
	],

	'table_detentions_first' 		=> [
		'id' 						=> 1,
		'load_number' 				=> 1,
		'driver' 					=> 1,
		'is_stop' 					=> 1,
		'type' 						=> 1,
		//'detention_status' 		=> 1,
		'detention_start_time' 		=> 1,
		'detention_end_time' 		=> 1,
		'review_status' 			=> 1,
		'review_by' 				=> 1
	],
	'table_detentions' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'load_number' 				=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'driver' 					=> ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name','colName2' => 'last_name','relationTable' => 'driver'],
		'is_stop' 					=> ['name' => "Is Stop", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'type' 						=> ['name' => "Type", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		//'detention_status' 		=> ['name' => "Status", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'detention_start_time' 		=> ['name' => "Start Time", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'detention_end_time' 		=> ['name' => "End Time", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'review_status' 			=> ['name' => "Review Status", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'review_by' 				=> ['name' => "Review By", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],

    'table_accessorial_first' 		=> ['id' => 1,'name' => 1,'default_amount' => 1,'gl_code' => 1],
    'table_accessorial' 			=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'default_amount' 			=> ['name' => 'Default Amount', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'gl_code' 					=> ['name' => 'Gl Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
    ],

    'table_commodity_first' 		=> ['id' => 1,'name' => 1],
    'table_commodity' 				=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_terms_first' 			=> ['id' => 1,'name' => 1],
    'table_terms' 					=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_load_document_first' 	=> ['id' => 1,'name' => 1,'include_w_billing' => 1,'fixed' => 1,'for_whom' => 1],
    'table_load_document' 			=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'include_w_billing' 		=> ['name' => 'Include With Billing', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'fixed' 					=> ['name' => 'Default', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'for_whom' 					=> ['name' => 'For', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
    ],

    'table_load_requirements_items_first' => ['id' => 1,'name' => 1],
    'table_load_requirements_items' => [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_chart_of_accounts_first' => ['account_number' => 1, 'account_name' => 1, 'account_type' => 1],
    'table_chart_of_accounts' 		=> [
        'account_number' 			=> ['name' => 'Account Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'account_name' 			    => ['name' => 'Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'account_type' 			    => ['name' => 'Type', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_offers1_first' => ['score_ratting' => 1, 'brokerage_mc' => 1, 'broker_name' => 1, 'point_of_contact' => 1, 'phone' => 1, 'shipper_date_time' => 1, 'origin' => 1, 'delivery_date_time' => 1, 'destination' => 1, 'extra_stops' => 1, 'empty_miles' => 1, 'loaded_miles' => 1, 'total_miles' => 1, 'rate_offered' => 1, 'cpm' => 1, 'm_trailer_type' => 1],
    'table_offers1' => [
        'score_ratting' 			=> ['name' => 'Credit', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'brokerage_mc' 			    => ['name' => 'MC#', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'broker_name' 			    => ['name' => 'Broker', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
        'point_of_contact' 			=> ['name' => 'Contact Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'phone' 		            => ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1'],
        'shipper_date_time' 		=> ['name' => 'Ship Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'shipper_city', 'colName2' => 'shipper_state'],
        'delivery_date_time' 	    => ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'delivery_city', 'colName2' => 'delivery_state'],
        'extra_stops' 				=> ['name' => 'Extra Stops', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1'],
        'empty_miles' 				=> ['name' => 'Empty', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'loaded_miles' 				=> ['name' => 'Loaded', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'rate_offered' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'cpm' 					    => ['name' => 'CPM', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'm_trailer_type' 		    => ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'mile_trailer_type'],
    ],

    'table_offers2_first' => ['score_ratting' => 1, 'brokerage_mc' => 1, 'broker_name' => 1, 'point_of_contact' => 1, 'phone' => 1, 'shipper_date_time' => 1, 'origin' => 1, 'delivery_date_time' => 1, 'destination' => 1, 'extra_stops' => 1, 'empty_miles' => 1, 'loaded_miles' => 1, 'total_miles' => 1, 'rate_offered' => 1, 'cpm' => 1, 'm_trailer_type' => 1],
    'table_offers2' => [
        'score_ratting' 			=> ['name' => 'Credit', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'brokerage_mc' 			    => ['name' => 'MC#', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'broker_name' 			    => ['name' => 'Broker', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
        'point_of_contact' 			=> ['name' => 'Contact Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'phone' 		            => ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having' => '1'],
        'shipper_date_time' 		=> ['name' => 'Ship Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'shipper_city', 'colName2' => 'shipper_state'],
        'delivery_date_time' 	    => ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1', 'colName1' => 'delivery_city', 'colName2' => 'delivery_state'],
        'extra_stops' 				=> ['name' => 'Extra Stops', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having'=>'1'],
        'empty_miles' 				=> ['name' => 'Empty', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'loaded_miles' 				=> ['name' => 'Loaded', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'rate_offered' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'cpm' 					    => ['name' => 'CPM', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'm_trailer_type' 		    => ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1', 'colName1'=>'mile_trailer_type'],
    ],

    /*
    'table_dispatchhub1_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'actual_shipper_date' => 1,'actual_delivery_date' => 1],
    'table_dispatchhub1' 			=> [
        'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
        'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
        'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
        'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'actual_shipper_date'		=> ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date'		=> ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
    ],

    'table_dispatchhub2_first'      => ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'actual_shipper_date' => 1,'actual_delivery_date' => 1],
    'table_dispatchhub2'            => [
        'load_number'               => ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'full_name'                 => ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
        'truck_number'              => ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number'            => ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'phone_number'              => ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
        'dispatcher'                => ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'origin'                    => ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
        'destination'               => ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'status'                    => ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'actual_shipper_date'       => ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
    ],

    'table_dispatchhub3_first'      => [
        'reserve_status'            => 1,
        'time_waiting'              => 1,
        'full_name'                 => 1,
        'truck_number'              => 1,
        'trailer_number'            => 1,
        'cell_phone'                => 1,
        'driver_manager'            => 1,
        'last_location'             => 1,
        'drive'                     => 1,
        'shift'                     => 1,
        'cycle'                     => 1,
        'cycle_tom'                 => 1,
        'duty_status'               => 1,
        'time_in_current_status'    => 1,
        'time_in_unit_break'        => 1,
        'previous_load'             => 1
    ],
    'table_dispatchhub3'            => [
        'reserve_status'            => ['name' => 'Reserve Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'time_waiting'              => ['name' => 'Time Waiting', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0],
        'full_name'                 => ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driverName'],
        'truck_number'              => ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_truck_number'],
        'trailer_number'            => ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_trailer_number'],
        'cell_phone'                => ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'driver_manager'            => ['name' => 'Driver Manager', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'last_location'             => ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_load_delivery_city', 'colName2' => 'previous_load_delivery_state'],
        'drive'                     => ['name' => 'Drive', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
        'shift'                     => ['name' => 'Shift', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
        'cycle'                     => ['name' => 'Cycle', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
        'cycle_tom'                 => ['name' => 'Cycle Tom.', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
        'duty_status'               => ['name' => 'Duty Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
        'time_in_current_status'    => ['name' => 'Time In Current Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'time_in_unit_break'        => ['name' => 'Time In Unit Break', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
        'previous_load'             => ['name' => 'Previous Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
    ],

    'table_dispatchhub4_first'      => ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'time_waiting' => 1,'dispatcher' => 1,'actual_shipper_date' => 1,'origin' => 1,'actual_delivery_date' => 1,'destination' => 1,'status' => 1,'last_location' => 1,'total_bill' => 1],
    'table_dispatchhub4'            => [
        'load_number'               => ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'full_name'                 => ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
        'truck_number'              => ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'trailer_number'            => ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'phone_number'              => ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
        'time_waiting'              => ['name' => 'Time Waiting', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
        'dispatcher'                => ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
        'actual_shipper_date'       => ['name' => 'Pickup Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'origin'                    => ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state' ],
        'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
        'destination'               => ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'status'                    => ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'last_location'             => ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'total_bill'                => ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_dispatchhub5_first'      => ['load_number' => 1,'origin' => 1,'destination' => 1,'load_status' => 1,'last_location' => 1,'rate' => 1],
    'table_dispatchhub5'            => [
        'load_number'               => ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'origin'                    => ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
        'destination'               => ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'load_status'               => ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
        'last_location'             => ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
        'rate'                      => ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'total_bill'],
    ],
    */

    'table_company_truck_types_first' 		=> ['id' => 1,'name' => 1],
    'table_company_truck_types' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_work_orders_first' 		=> ['id' => 1,'name' => 1],
    'table_company_work_orders' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_safety_compliances_first'=> ['id' => 1,'name' => 1],
    'table_company_safety_compliances' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_onboardings_first' 		=> ['id' => 1,'name' => 1],
    'table_company_onboardings' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_deduction_names_first' 	=> ['id' => 1,'name' => 1],
    'table_company_deduction_names' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_driver_view_loads_first' 		=> ['load_number' => 1,'truck_number' => 1,'trailer_number' => 1,'dispatcher' => 1,'shipper_location' => 1,'delivery_location' => 1,'status' => 1,'last_location' => 1,'total_bill' => 1],
    'table_driver_view_loads'        		=> [
        'load_number' 						=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'truck_number' 						=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'trailer_number' 					=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'dispatcher' 						=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'class' => 'text-center'],
        'shipper_location' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location', 'class' => ''],
        'delivery_location' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location', 'class' => ''],
        'status' 							=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order', 'class' => 'text-center'],
        'last_location' 					=> ['name' => 'Last Location', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state', 'class' => ''],
        'total_bill' 						=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
    ],

    'table_company_recruiting_source_first' => ['id' => 1,'name' => 1],
    'table_company_recruiting_source' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_insurance_types_first' 	=> ['id' => 1,'name' => 1],
    'table_company_insurance_types' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_insurance_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_company_insurance_profiles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_pm_service_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_company_pm_service_profiles' 	=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_warranty_profiles_first'	=> ['id' => 1, 'profile_name' => 1],
    'table_company_warranty_profiles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_pm_types_first' 			=> ['id' => 1,'name' => 1],
    'table_company_pm_types' 				=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_pm_service_types_first' 	=> ['id' => 1,'name' => 1],
    'table_company_pm_service_types' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_pm_warranty_providers_first'=> ['id' => 1,'name' => 1],
    'table_company_pm_warranty_providers' 	=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_equipment_titles_first' 	=> ['id' => 1,'name' => 1],
    'table_company_equipment_titles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_equipment_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_company_equipment_profiles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_document_titles_first' 	=> ['id' => 1,'name' => 1],
    'table_company_document_titles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_on_board_document_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_company_on_board_document_profiles'=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_drop_locations_first' 	=> ['id' => 1, 'address' => 1, 'address_2' => 1, 'city' => 1, 'state' => 1, 'zip' => 1, 'address_verified' => 1],
    'table_company_drop_locations' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'address' 				    		=> ['name' => 'Address', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'address_2' 						=> ['name' => 'Address 2', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'city' 				        		=> ['name' => 'City', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'state' 				    		=> ['name' => 'State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'zip' 				        		=> ['name' => 'Zip', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'address_verified' 		    		=> ['name' => 'Address Verified', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],

    'table_truck_view_loads_first' 			=> ['load_number' => 1,'driver' => 1,'broker_name' => '1','trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'shipper_location' => 1,'delivery_location' => 1,'status' => 1,'total_bill' => 1,'booked_by' => 1,'empty_miles' => 1,'loaded_miles' => 1,'total_miles' => 1,'weight' => 1,'trailer_type' => 1],
    'table_truck_view_loads'        		=> [
        'load_number' 						=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'driver'                    		=> ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'first_name', 'colName2'=>'last_name', 'class' => ''],
        'broker_name'               		=> ['name' => 'Customer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'broker', 'colName1'=>'name', 'class' => ''],
        'trailer_number' 					=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'phone_number'              		=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'cell_phone', 'class' => ''],
        'dispatcher' 						=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'class' => 'text-center'],
        'shipper_location' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location', 'class' => ''],
        'delivery_location' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location', 'class' => ''],
        'status' 							=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order', 'class' => 'text-center'],
        'total_bill' 						=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'booked_by'                 		=> ['name' => 'Booked by', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'empty_miles'               		=> ['name' => 'Empty Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'loaded_miles'              		=> ['name' => 'Loaded Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'total_miles'               		=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'weight'                    		=> ['name' => 'Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'trailer_type'              		=> ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
    ],

    'table_email_logs_first' 				=> ['user_id' => 1, 'from' => 1, 'to' => 1, 'subject' => 1, 'content' => 1, 'sent_date' => 1, 'status' => 1],
    'table_email_logs' 						=> [
        'user_id' 							=> ['name' => 'User', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'searchBuilderType' => 'string', 'class' => ''],
        'from' 								=> ['name' => 'From', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'to' 				        		=> ['name' => 'To', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'subject' 							=> ['name' => 'Subject', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'content' 							=> ['name' => 'Content', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
        'sent_date' 						=> ['name' => 'Sent Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'class' => ''],
        'status' 							=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
    ],

    'table_sms_logs_first' 					=> ['user_id' => 1, 'from' => 1, 'to' => 1, 'content' => 1, 'sent_date' => 1, 'status' => 1],
    'table_sms_logs' 						=> [
        'user_id' 							=> ['name' => 'User', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'searchBuilderType' => 'string', 'class' => ''],
        'from' 								=> ['name' => 'From', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'to' 				        		=> ['name' => 'To', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'content' 							=> ['name' => 'Content', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
        'sent_date' 						=> ['name' => 'Sent Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'class' => ''],
        'status' 							=> ['name' => 'Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
    ],

    'table_email_templates_first' 			=> ['title' => 1, 'description' => 1],
    'table_email_templates' 				=> [
        'title' 							=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'description' 						=> ['name' => 'Description', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],

    'table_billing_loads_first' 			=> ['audit' => 1, 'load_number' => 1, 'invoice_number' => 1, 'broker_name' => 1, 'actual_shipper_date' => 1, 'shipper_location' => 1, 'actual_delivery_date' => 1, 'delivery_location' => 1, 'status' => 1, 'total_bill' => 1, 'factor_invoices' => 1, 'documents' => 1, 'review' => 1], //, 'invoice_now' => 1
    'table_billing_loads' => [
        'audit'                 			=> ['name' => '', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
        'load_number'           			=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'invoice_number'        			=> ['name' => 'Invoice', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'td-invoice-number'],
        'broker_name'           			=> ['name' => 'Customer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'broker', 'colName1'=>'name', 'class' => ''],
        'actual_shipper_date'   			=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date', 'class' => ''],
        'shipper_location'      			=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location', 'class' => ''],
        'actual_delivery_date'  			=> ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date', 'class' => ''],
        'delivery_location'     			=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string','colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location', 'class' => ''],
        'status'                			=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order', 'class' => ''],
        'total_bill'            			=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'factor_invoices'       			=> ['name' => 'Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'documents'             			=> ['name' => 'Documents', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center td-document'],
        'review'                			=> ['name' => 'Review', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ' td-review'],
        //'invoice_now'           			=> ['name' => '', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center td-invoice-now'],
    ],

    'table_customer_billing_loads_first' 	=> ['audit' => 1, 'load_number' => 1, 'invoice_number' => 1, 'actual_shipper_date' => 1, 'shipper_location' => 1, 'actual_delivery_date' => 1, 'delivery_location' => 1, 'status' => 1, 'total_bill' => 1, 'factor_invoices' => 1, 'documents' => 1, 'review' => 1], //, 'invoice_now' => 1
    'table_customer_billing_loads' => [
        'audit'                 			=> ['name' => '', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center'],
        'load_number'           			=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'invoice_number'        			=> ['name' => 'Invoice', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'actual_shipper_date'   			=> ['name' => 'Pickup Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date', 'class' => ''],
        'shipper_location'      			=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location', 'class' => ''],
        'actual_delivery_date'  			=> ['name' => 'Delivery Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date', 'class' => ''],
        'delivery_location'     			=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string','colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location', 'class' => ''],
        'status'                			=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order', 'class' => ''],
        'total_bill'            			=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'factor_invoices'       			=> ['name' => 'Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'documents'             			=> ['name' => 'Documents', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center td-document'],
        'review'                			=> ['name' => 'Review', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ' td-review'],
        //'invoice_now'           			=> ['name' => '', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0, 'class' => 'text-center td-invoice-now'],
    ],

    'table_customer_loads_first' 		=> ['load_number' => 1,'driver' => 1,'truck_number' => '1','trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'shipper_location' => 1,'delivery_location' => 1,'status' => 1,'total_bill' => 1,'booked_by' => 1,'empty_miles' => 1,'loaded_miles' => 1,'total_miles' => 1,'weight' => 1,'trailer_type' => 1],
    'table_customer_loads'        => [
        'load_number' 				=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'driver'                    => ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'first_name', 'colName2'=>'last_name', 'class' => ''],
        'truck_number'              => ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'truck', 'colName1'=>'truck_number', 'class' => ''],
        'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => 'text-center'],
        'phone_number'              => ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'cell_phone', 'class' => ''],
        'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'class' => 'text-center'],
        'shipper_location' 			=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'shipper_address_one','colAl2' => 'shipper_address_two','colAl3' =>'shipper_city','colAl4' => 'shipper_state','colAl5' => 'shipper_zip','colAl6' => 'shipper_location', 'class' => ''],
        'delivery_location' 		=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location', 'class' => ''],
        'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order', 'class' => 'text-center'],
        'total_bill' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'booked_by'                 => ['name' => 'Booked by', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'empty_miles'               => ['name' => 'Empty Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'loaded_miles'              => ['name' => 'Loaded Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'total_miles'               => ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'weight'                    => ['name' => 'Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
        'trailer_type'              => ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'class' => ''],
    ],

    'table_company_trailer_groups_first' 	=> ['id' => 1,'name' => 1],
    'table_company_trailer_groups' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_company_truck_groups_first' 		=> ['id' => 1,'name' => 1],
    'table_company_truck_groups' 			=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_trailer_company_insurance_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_trailer_company_insurance_profiles' 		=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_trailer_company_pm_service_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_trailer_company_pm_service_profiles' 	=> [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_trailer_company_equipment_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_trailer_company_equipment_profiles'      => [
        'id'                                => ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name'                      => ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_trailer_company_on_board_document_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_trailer_company_on_board_document_profiles'=> [
        'id'                                => ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name'                      => ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_trailer_company_warranty_profiles_first'=> ['id' => 1, 'profile_name' => 1],
    'table_trailer_company_warranty_profiles' 	   => [
        'id' 								=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'profile_name' 						=> ['name' => 'Profile Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
    ],

    'table_pdf_templates_first' 			=> ['name' => 1, 'description' => 1],
    'table_pdf_templates' 					=> [
        'name' 								=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
    ],

	'table_lists_drivers_first' 			=> [
		'status_name' 						=> 1,
		'driver_unique_id' 					=> 1,
		'driver_type' 						=> 1,
		'first_name' 						=> 1,
		'middle_name' 						=> 1,
		'last_name' 						=> 1,
		'suffix_name' 						=> 1,
		'nick_name' 						=> 1,
		'address' 							=> 1,
		'city' 								=> 1,
		'state' 							=> 1,
		'zip' 								=> 1,
		'cell_phone' 						=> 1,
		'home_phone' 						=> 1,
		'fax' 								=> 1,
		'email' 							=> 1,
		'birthday' 							=> 1,
		'is_1099_name' 						=> 1,
		'truck_number' 						=> 1,
		'trailer_number' 					=> 1,
		'trailer_type_name' 				=> 1,
		'carrier_name' 						=> 1,
		'terminal_name' 					=> 1,
		'team_name' 						=> 1,

		'manager_name' 						=> 1,
		'load_planner_name' 				=> 1,
		'recruiter_name' 					=> 1,
		'recruiting_source_name' 			=> 1,

		'eobr_provider_name' 				=> 1,
		'eobr_id' 							=> 1,
		'twic_certified_name' 				=> 1,
		'tsa_certified_name' 				=> 1,
		'tanker_endorsement_name' 			=> 1,
		'passport_expiration' 				=> 1,
		'passport_number' 					=> 1,
		'medical_cert' 						=> 1,
		'license_class_name' 				=> 1,
		'license_exp' 						=> 1,
		'anniversary' 						=> 1,
		'mvr_date' 							=> 1,
		'next_review' 						=> 1,
		'termination_date' 					=> 1,
		'termination_reason' 				=> 1,
		'years_experience' 					=> 1,
		'fuel_card_type_name' 				=> 1,
		'fuel_card_number' 					=> 1,
		'smoker_name' 						=> 1,
		'gender_name' 						=> 1,
	],
	'table_lists_drivers' 					=> [
		'status_name' 						=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'driver_unique_id' 					=> ['name' => 'Driver ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'driver_type' 						=> ['name' => 'Driver Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'first_name' 						=> ['name' => 'First Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'middle_name' 						=> ['name' => 'Middle Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'last_name' 						=> ['name' => 'Last Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'suffix_name' 						=> ['name' => 'Suffix', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'nick_name' 						=> ['name' => 'Nickname/Handlename', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'address' 							=> ['name' => 'Address Street', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'city' 								=> ['name' => 'City', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'state' 							=> ['name' => 'State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'zip' 								=> ['name' => 'Zip', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'cell_phone' 						=> ['name' => 'Cell Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'home_phone' 						=> ['name' => 'Home Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'fax' 								=> ['name' => 'Fax', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'email' 							=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'birthday' 							=> ['name' => 'Date Of Birth', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'is_1099_name' 						=> ['name' => '1099', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'truck_number' 						=> ['name' => 'Truck No', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'driver_informations', 'colAlias' => 'truck_number'],
		'trailer_number' 					=> ['name' => 'Trailer No', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'driver_informations', 'colAlias' => 'trailer_number'],
		'trailer_type_name' 				=> ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailer_types', 'colAlias' => 'name'],
		'carrier_name' 						=> ['name' => 'Carrier', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'carriers', 'colAlias' => 'name'],
		'terminal_name' 					=> ['name' => 'Terminal', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'terminals', 'colAlias' => 'name'],
		'team_name' 						=> ['name' => 'Team', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'teams', 'colAlias' => 'name'],

		'manager_name' 						=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'load_planner_name' 				=> ['name' => 'Load Planner', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'recruiter_name' 					=> ['name' => 'Recruiter', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'recruiting_source_name' 			=> ['name' => 'Recruiting Source', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'company_recruiting_sources', 'colAlias' => 'name'],

		'eobr_provider_name' 				=> ['name' => 'ELD Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'eobr_id' 							=> ['name' => 'ELD Id', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'twic_certified_name' 				=> ['name' => 'TWIC', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'tsa_certified_name' 				=> ['name' => 'TSA', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'tanker_endorsement_name' 			=> ['name' => 'Tanker', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'passport_expiration' 				=> ['name' => 'Passport Exp', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'passport_number' 					=> ['name' => 'Passport #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'medical_cert' 						=> ['name' => 'Medical Expiration', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'license_class_name' 				=> ['name' => 'License Class', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'license_exp' 						=> ['name' => 'License Expiration', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'anniversary' 						=> ['name' => 'Anniversary Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'mvr_date' 							=> ['name' => 'Last MVR', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'next_review' 						=> ['name' => 'Next MVR', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'termination_date' 					=> ['name' => 'Termination Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'drivers'],
		'termination_reason' 				=> ['name' => 'Termination Reason', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'years_experience' 					=> ['name' => 'Years Experience', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'fuel_card_type_name' 				=> ['name' => 'Fuel Card', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'fuel_card_number' 					=> ['name' => 'Fuel Card Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'drivers'],
		'smoker_name' 						=> ['name' => 'Smoker', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'gender_name' 						=> ['name' => 'Gender', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
	],

	'table_lists_trucks_first' 				=> [
		'status_name' 						=> 1,
		'truck_unique_id' 					=> 1,
		'assign_status' 					=> 1,
		'unit' 								=> 1,
		'year' 								=> 1,
		'make' 								=> 1,
		'model' 							=> 1,
		'vin_number' 						=> 1,
		'ownership_name' 					=> 1,
		'tag_state_name' 					=> 1,
		'tag_number' 						=> 1,
		'tag_exp' 							=> 1,
		'color' 							=> 1,
		'driver_name' 						=> 1,
		'co_driver_name' 					=> 1,
		'trailer' 							=> 1,
		'truck_type_name' 					=> 1,
		'license_class_name' 				=> 1,
		'carrier_name' 						=> 1,
		'terminal_name' 					=> 1,
		'team_name' 						=> 1,
		'manager_name' 						=> 1,
		'company_owner_name' 				=> 1, // Owner Name
		'carb_compliant_name' 				=> 1,
		'company_lease_name' 				=> 1,
		'eld_provider' 						=> 1,
		'tag_photo_exists' 					=> 1,
		'tag_type_name' 					=> 1,
		'fuel_type_name' 					=> 1,
		'fuel_capacity' 					=> 1,
		'tire_size' 						=> 1,
		'axles' 							=> 1,
		'gross_weight' 						=> 1,
		'max_load_weight' 					=> 1,
		'engine' 							=> 1,
		'transmission' 						=> 1,
		'automatic_transmission_name' 		=> 1,
		'high_cube_name' 					=> 1,
		'vented_name' 						=> 1,
		'liftgate_name' 					=> 1,
		'pallet_jack_name' 					=> 1,
		'reefer_equipped_name' 				=> 1,
		'apu_equipped_name' 				=> 1,
		'truck_group_name' 					=> 1,
	],
	'table_lists_trucks' 					=> [
		'status_name' 						=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'truck_unique_id' 					=> ['name' => 'Truck ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'assign_status' 					=> ['name' => 'Assigned', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'unit' 								=> ['name' => 'Unit No', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'year' 								=> ['name' => 'Year', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'make' 								=> ['name' => 'Make', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'model' 							=> ['name' => 'Model', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'vin_number' 						=> ['name' => 'VIN', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'ownership_name' 					=> ['name' => 'Ownership', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'tag_state_name' 					=> ['name' => 'Tag State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'states', 'colAlias' => 'name'],
		'tag_number' 						=> ['name' => 'Tag', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'tag_exp' 							=> ['name' => 'Tag Exp', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'trucks'],
		'color' 							=> ['name' => 'Color', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'driver_name' 						=> ['name' => 'Driver', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'co_driver_name' 					=> ['name' => 'Co-Driver', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'trailer' 							=> ['name' => 'Trailer', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
		'truck_type_name' 					=> ['name' => 'Truck Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'company_truck_types', 'colAlias' => 'name'],
		'license_class_name' 				=> ['name' => 'Required License', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'carrier_name' 						=> ['name' => 'Carrier', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'carriers', 'colAlias' => 'name'],
		'terminal_name' 					=> ['name' => 'Terminal', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'terminals', 'colAlias' => 'name'],
		'team_name' 						=> ['name' => 'Team', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'teams', 'colAlias' => 'name'],
		'manager_name' 						=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'company_owner_name' 				=> ['name' => 'Owner', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
		'carb_compliant_name' 				=> ['name' => 'Carb Compliant', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'company_lease_name' 				=> ['name' => 'Company/Lease', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1],
		'eld_provider' 						=> ['name' => 'ELD Type', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'tag_photo_exists' 					=> ['name' => 'Tag On File', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'tag_type_name' 					=> ['name' => 'Tag Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'fuel_type_name' 					=> ['name' => 'Fuel Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'fuel_capacity' 					=> ['name' => 'Fuel Capacity', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'tire_size' 						=> ['name' => 'Tire Size', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'axles' 							=> ['name' => 'Axles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'gross_weight' 						=> ['name' => 'Gross Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'max_load_weight' 					=> ['name' => 'Max Load Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'engine' 							=> ['name' => 'Engine', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'transmission' 						=> ['name' => 'Transmission Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks'],
		'automatic_transmission_name' 		=> ['name' => 'Auto Transmission', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'high_cube_name' 					=> ['name' => 'High Cube', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'vented_name' 						=> ['name' => 'Vented', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'liftgate_name' 					=> ['name' => 'Lifgate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'pallet_jack_name' 					=> ['name' => 'Pallet Jack', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'reefer_equipped_name' 				=> ['name' => 'Reefer Equipped', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'apu_equipped_name' 				=> ['name' => 'APU Equipped', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'truck_group_name' 					=> ['name' => 'Truck Group', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'company_truck_groups', 'colAlias' => 'name'],
	],

	'table_lists_trailers_first' 			=> [
		'status_name' 						=> 1,
		'trailer_unique_id' 				=> 1,
		'assign_status' 					=> 1,
		'trailer_id' 						=> 1,
		'year' 								=> 1,
		'make' 								=> 1,
		'model' 							=> 1,
		'vin' 								=> 1,
		'carrier_name' 						=> 1,
		'tag_state_name' 					=> 1,
		'tag_number' 						=> 1,
		'tag_expiration' 					=> 1,
		'color' 							=> 1,
		'terminal_name' 					=> 1,
		'truck_unit' 						=> 1,
		'driver_name' 						=> 1,
		'team_name' 						=> 1,
		'manager_name' 						=> 1,
		'carb_compliant_name' 				=> 1,
		'tag_photo_exists' 					=> 1,
		'axles' 							=> 1,
		'gross_weight' 						=> 1,
		'max_load_weight' 					=> 1,
		'trailer_type_name' 				=> 1,
		'plated_trailer_name' 				=> 1,
		'suspension_type_name' 				=> 1,
		'roof_type_name' 					=> 1,
		'floor_type_name' 					=> 1,
		'doors_type_name' 					=> 1,
	],
	'table_lists_trailers' 					=> [
		'status_name' 						=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'trailer_unique_id' 				=> ['name' => 'Trailer ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'assign_status' 					=> ['name' => 'Assigned', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'trailer_id' 						=> ['name' => 'Unit No', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'year' 								=> ['name' => 'Year', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'make' 								=> ['name' => 'Make', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'model' 							=> ['name' => 'Model', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'vin' 								=> ['name' => 'VIN', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'carrier_name' 						=> ['name' => 'Carrier', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'carriers', 'colAlias' => 'name'],
		'tag_state_name' 					=> ['name' => 'Tag State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'states', 'colAlias' => 'name'],
		'tag_number' 						=> ['name' => 'Tag', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'tag_expiration' 					=> ['name' => 'Tag Exp', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date', 'tableName' => 'trailers'],
		'color' 							=> ['name' => 'Color', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'terminal_name' 					=> ['name' => 'Terminal', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'terminals', 'colAlias' => 'name'],
		'truck_unit' 						=> ['name' => 'Truck #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trucks', 'colAlias' => 'unit'],
		'driver_name' 						=> ['name' => 'Driver', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'team_name' 						=> ['name' => 'Team', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'teams', 'colAlias' => 'name'],
		'manager_name' 						=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'carb_compliant_name' 				=> ['name' => 'Carb Compliant', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'tag_photo_exists' 					=> ['name' => 'Tag On File', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'axles' 							=> ['name' => 'Axles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'gross_weight' 						=> ['name' => 'Gross Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'max_load_weight' 					=> ['name' => 'Max Load Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailers'],
		'trailer_type_name' 				=> ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'trailer_types', 'colAlias' => 'name'],
		'plated_trailer_name' 				=> ['name' => 'Plated', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'suspension_type_name' 				=> ['name' => 'Suspension', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'roof_type_name' 					=> ['name' => 'Roof', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'floor_type_name' 					=> ['name' => 'Floor', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
		'doors_type_name' 					=> ['name' => 'Doors', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'having' => '1'],
	],
];

?>
