<?php

return [
	'date_format' 				=> 'm/d/Y',
	'database_date_format' 		=> '%m/%d/%Y',

	'date_time_format' 			=> [
		'12_hour' 				=> 'm/d/Y h:i A',
		'24_hour' 				=> 'm/d/Y H:i'
	],
	'database_date_time_format' => [
		'12_hour' 				=> '%m/%d/%Y %h:%i %p',
		'24_hour' 				=> '%m/%d/%Y %H:%i'
	],

	'js_date_format' 			=> 'MM/DD/YYYY',
	'js_date_time_format' 		=> [
		'12_hour' 				=> 'MM/DD/YYYY hh:mm A',
		'24_hour' 				=> 'MM/DD/YYYY HH:mm'
	],
	'js_time_format' 			=> [
		'12_hour' 				=> 'hh:mm A',
		'24_hour' 				=> 'HH:mm'
	],

	'time_format' 				=> [
		'12_hour' 				=> 'h:i A',
		'24_hour' 				=> 'H:i'
	],
	'database_time_format' 		=> [
		'12_hour' 				=> '%h:%i %p',
		'24_hour' 				=> '%H:%i'
	],

	'icon_fa' 					=> [
		"fa-500px","fa-address-book","fa-address-book-o","fa-address-card","fa-address-card-o","fa-adjust","fa-adn","fa-align-center","fa-align-justify","fa-align-left","fa-align-right",
		"fa-amazon","fa-ambulance","fa-american-sign-language-interpreting","fa-anchor","fa-android","fa-angellist","fa-angle-double-down","fa-angle-double-left","fa-angle-double-right","fa-angle-double-up",
		"fa-angle-down","fa-angle-left","fa-angle-right","fa-angle-up","fa-apple","fa-archive","fa-area-chart","fa-arrow-circle-down","fa-arrow-circle-left","fa-arrow-circle-o-down","fa-arrow-circle-o-left",
		"fa-arrow-circle-o-right","fa-arrow-circle-o-up","fa-arrow-circle-right","fa-arrow-circle-up","fa-arrow-down","fa-arrow-left","fa-arrow-right","fa-arrow-up","fa-arrows","fa-arrows-alt","fa-arrows-h",
		"fa-arrows-v","fa-assistive-listening-systems","fa-asterisk","fa-at","fa-audio-description","fa-backward","fa-balance-scale","fa-ban","fa-bandcamp","fa-bar-chart","fa-barcode","fa-bars","fa-bath",
		"fa-battery-empty","fa-battery-full","fa-battery-half","fa-battery-quarter","fa-battery-three-quarters","fa-bed","fa-beer","fa-behance","fa-behance-square","fa-bell","fa-bell-o","fa-bell-slash",
		"fa-bell-slash-o","fa-bicycle","fa-binoculars","fa-birthday-cake","fa-bitbucket","fa-bitbucket-square","fa-black-tie","fa-blind","fa-bluetooth","fa-bluetooth-b","fa-bold","fa-bolt","fa-bomb","fa-book",
		"fa-bookmark","fa-bookmark-o","fa-braille","fa-briefcase","fa-btc","fa-bug","fa-building","fa-building-o","fa-bullhorn","fa-bullseye","fa-bus","fa-buysellads","fa-calculator","fa-calendar",
		"fa-calendar-check-o","fa-calendar-minus-o","fa-calendar-o","fa-calendar-plus-o","fa-calendar-times-o","fa-camera","fa-camera-retro","fa-car","fa-caret-down","fa-caret-left","fa-caret-right",
		"fa-caret-square-o-down","fa-caret-square-o-left","fa-caret-square-o-right","fa-caret-square-o-up","fa-caret-up","fa-cart-arrow-down","fa-cart-plus","fa-cc","fa-cc-amex","fa-cc-diners-club",
		"fa-cc-discover","fa-cc-jcb","fa-cc-mastercard","fa-cc-paypal","fa-cc-stripe","fa-cc-visa","fa-certificate","fa-chain-broken","fa-check","fa-check-circle","fa-check-circle-o","fa-check-square",
		"fa-check-square-o","fa-chevron-circle-down","fa-chevron-circle-left","fa-chevron-circle-right","fa-chevron-circle-up","fa-chevron-down","fa-chevron-left","fa-chevron-right","fa-chevron-up","fa-child",
		"fa-chrome","fa-circle","fa-circle-o","fa-circle-o-notch","fa-circle-thin","fa-clipboard","fa-clock-o","fa-clone","fa-cloud","fa-cloud-download","fa-cloud-upload","fa-code","fa-code-fork","fa-codepen",
		"fa-codiepie","fa-coffee","fa-cog","fa-cogs","fa-columns","fa-comment","fa-comment-o","fa-commenting","fa-commenting-o","fa-comments","fa-comments-o","fa-compass","fa-compress","fa-connectdevelop",
		"fa-contao","fa-copyright","fa-creative-commons","fa-credit-card","fa-credit-card-alt","fa-crop","fa-crosshairs","fa-css3","fa-cube","fa-cubes","fa-cutlery","fa-dashcube","fa-database","fa-deaf",
		"fa-delicious","fa-desktop","fa-deviantart","fa-diamond","fa-digg","fa-dot-circle-o","fa-download","fa-dribbble","fa-dropbox","fa-drupal","fa-edge","fa-eercast","fa-eject","fa-ellipsis-h","fa-ellipsis-v",
		"fa-empire","fa-envelope","fa-envelope-o","fa-envelope-open","fa-envelope-open-o","fa-envelope-square","fa-envira","fa-eraser","fa-etsy","fa-eur","fa-exchange","fa-exclamation","fa-exclamation-circle",
		"fa-exclamation-triangle","fa-expand","fa-expeditedssl","fa-external-link","fa-external-link-square","fa-eye","fa-eye-slash","fa-eyedropper","fa-facebook","fa-facebook-official","fa-facebook-square",
		"fa-fast-backward","fa-fast-forward","fa-fax","fa-female","fa-fighter-jet","fa-file","fa-file-archive-o","fa-file-audio-o","fa-file-code-o","fa-file-excel-o","fa-file-image-o","fa-file-o","fa-file-pdf-o",
		"fa-file-powerpoint-o","fa-file-text","fa-file-text-o","fa-file-video-o","fa-file-word-o","fa-files-o","fa-film","fa-filter","fa-fire","fa-fire-extinguisher","fa-firefox","fa-first-order","fa-flag",
		"fa-flag-checkered","fa-flag-o","fa-flask","fa-flickr","fa-floppy-o","fa-folder","fa-folder-o","fa-folder-open","fa-folder-open-o","fa-font","fa-font-awesome","fa-fonticons","fa-fort-awesome","fa-forumbee",
		"fa-forward","fa-foursquare","fa-free-code-camp","fa-frown-o","fa-futbol-o","fa-gamepad","fa-gavel","fa-gbp","fa-genderless","fa-get-pocket","fa-gg","fa-gg-circle","fa-gift","fa-git","fa-git-square",
		"fa-github","fa-github-alt","fa-github-square","fa-gitlab","fa-glass","fa-glide","fa-glide-g","fa-globe","fa-google","fa-google-plus","fa-google-plus-official","fa-google-plus-square","fa-google-wallet",
		"fa-graduation-cap","fa-gratipay","fa-grav","fa-h-square","fa-hacker-news","fa-hand-lizard-o","fa-hand-o-down","fa-hand-o-left","fa-hand-o-right","fa-hand-o-up","fa-hand-paper-o","fa-hand-peace-o",
		"fa-hand-pointer-o","fa-hand-rock-o","fa-hand-scissors-o","fa-hand-spock-o","fa-handshake-o","fa-hashtag","fa-hdd-o","fa-header","fa-headphones","fa-heart","fa-heart-o","fa-heartbeat","fa-history",
		"fa-home","fa-hospital-o","fa-hourglass","fa-hourglass-end","fa-hourglass-half","fa-hourglass-o","fa-hourglass-start","fa-houzz","fa-html5","fa-i-cursor","fa-id-badge","fa-id-card","fa-id-card-o",
		"fa-ils","fa-imdb","fa-inbox","fa-indent","fa-industry","fa-info","fa-info-circle","fa-inr","fa-instagram","fa-internet-explorer","fa-ioxhost","fa-italic","fa-joomla","fa-jpy","fa-jsfiddle","fa-key",
		"fa-keyboard-o","fa-krw","fa-language","fa-laptop","fa-lastfm","fa-lastfm-square","fa-leaf","fa-leanpub","fa-lemon-o","fa-level-down","fa-level-up","fa-life-ring","fa-lightbulb-o","fa-line-chart",
		"fa-link","fa-linkedin","fa-linkedin-square","fa-linode","fa-linux","fa-list","fa-list-alt","fa-list-ol","fa-list-ul","fa-location-arrow","fa-lock","fa-long-arrow-down","fa-long-arrow-left",
		"fa-long-arrow-right","fa-long-arrow-up","fa-low-vision","fa-magic","fa-magnet","fa-male","fa-map","fa-map-marker","fa-map-o","fa-map-pin","fa-map-signs","fa-mars","fa-mars-double","fa-mars-stroke",
		"fa-mars-stroke-h","fa-mars-stroke-v","fa-maxcdn","fa-meanpath","fa-medium","fa-medkit","fa-meetup","fa-meh-o","fa-mercury","fa-microchip","fa-microphone","fa-microphone-slash","fa-minus",
		"fa-minus-circle","fa-minus-square","fa-minus-square-o","fa-mixcloud","fa-mobile","fa-modx","fa-money","fa-moon-o","fa-motorcycle","fa-mouse-pointer","fa-music","fa-neuter","fa-newspaper-o",
		"fa-object-group","fa-object-ungroup","fa-odnoklassniki","fa-odnoklassniki-square","fa-opencart","fa-openid","fa-opera","fa-optin-monster","fa-outdent","fa-pagelines","fa-paint-brush","fa-paper-plane",
		"fa-paper-plane-o","fa-paperclip","fa-paragraph","fa-pause","fa-pause-circle","fa-pause-circle-o","fa-paw","fa-paypal","fa-pencil","fa-pencil-square","fa-pencil-square-o","fa-percent","fa-phone",
		"fa-phone-square","fa-picture-o","fa-pie-chart","fa-pied-piper","fa-pied-piper-alt","fa-pied-piper-pp","fa-pinterest","fa-pinterest-p","fa-pinterest-square","fa-plane","fa-play","fa-play-circle",
		"fa-play-circle-o","fa-plug","fa-plus","fa-plus-circle","fa-plus-square","fa-plus-square-o","fa-podcast","fa-power-off","fa-print","fa-product-hunt","fa-puzzle-piece","fa-qq","fa-qrcode","fa-question",
		"fa-question-circle","fa-question-circle-o","fa-quora","fa-quote-left","fa-quote-right","fa-random","fa-ravelry","fa-rebel","fa-recycle","fa-reddit","fa-reddit-alien","fa-reddit-square","fa-refresh",
		"fa-registered","fa-renren","fa-repeat","fa-reply","fa-reply-all","fa-retweet","fa-road","fa-rocket","fa-rss","fa-rss-square","fa-rub","fa-safari","fa-scissors","fa-scribd","fa-search","fa-search-minus",
		"fa-search-plus","fa-sellsy","fa-server","fa-share","fa-share-alt","fa-share-alt-square","fa-share-square","fa-share-square-o","fa-shield","fa-ship","fa-shirtsinbulk","fa-shopping-bag","fa-shopping-basket",
		"fa-shopping-cart","fa-shower","fa-sign-in","fa-sign-language","fa-sign-out","fa-signal","fa-simplybuilt","fa-sitemap","fa-skyatlas","fa-skype","fa-slack","fa-sliders","fa-slideshare","fa-smile-o",
		"fa-snapchat","fa-snapchat-ghost","fa-snapchat-square","fa-snowflake-o","fa-sort","fa-sort-alpha-asc","fa-sort-alpha-desc","fa-sort-amount-asc","fa-sort-amount-desc","fa-sort-asc","fa-sort-desc",
		"fa-sort-numeric-asc","fa-sort-numeric-desc","fa-soundcloud","fa-space-shuttle","fa-spinner","fa-spoon","fa-spotify","fa-square","fa-square-o","fa-stack-exchange","fa-stack-overflow","fa-star",
		"fa-star-half","fa-star-half-o","fa-star-o","fa-steam","fa-steam-square","fa-step-backward","fa-step-forward","fa-stethoscope","fa-sticky-note","fa-sticky-note-o","fa-stop","fa-stop-circle",
		"fa-stop-circle-o","fa-street-view","fa-strikethrough","fa-stumbleupon","fa-stumbleupon-circle","fa-subscript","fa-subway","fa-suitcase","fa-sun-o","fa-superpowers","fa-superscript","fa-table",
		"fa-tablet","fa-tachometer","fa-tag","fa-tags","fa-tasks","fa-taxi","fa-telegram","fa-television","fa-tencent-weibo","fa-terminal","fa-text-height","fa-text-width","fa-th","fa-th-large","fa-th-list",
		"fa-themeisle","fa-thermometer-empty","fa-thermometer-full","fa-thermometer-half","fa-thermometer-quarter","fa-thermometer-three-quarters","fa-thumb-tack","fa-thumbs-down","fa-thumbs-o-down",
		"fa-thumbs-o-up","fa-thumbs-up","fa-ticket","fa-times","fa-times-circle","fa-times-circle-o","fa-tint","fa-toggle-off","fa-toggle-on","fa-trademark","fa-train","fa-transgender","fa-transgender-alt",
		"fa-trash","fa-trash-o","fa-tree","fa-trello","fa-tripadvisor","fa-trophy","fa-truck","fa-try","fa-tty","fa-tumblr","fa-tumblr-square","fa-twitch","fa-twitter","fa-twitter-square","fa-umbrella",
		"fa-underline","fa-undo","fa-universal-access","fa-university","fa-unlock","fa-unlock-alt","fa-upload","fa-usb","fa-usd","fa-user","fa-user-circle","fa-user-circle-o","fa-user-md","fa-user-o",
		"fa-user-plus","fa-user-secret","fa-user-times","fa-users","fa-venus","fa-venus-double","fa-venus-mars","fa-viacoin","fa-viadeo","fa-viadeo-square","fa-video-camera","fa-vimeo","fa-vimeo-square","fa-vine",
		"fa-vk","fa-volume-control-phone","fa-volume-down","fa-volume-off","fa-volume-up","fa-weibo","fa-weixin","fa-whatsapp","fa-wheelchair","fa-wheelchair-alt","fa-wifi","fa-wikipedia-w","fa-window-close",
		"fa-window-close-o","fa-window-maximize","fa-window-minimize","fa-window-restore","fa-windows","fa-wordpress","fa-wpbeginner","fa-wpexplorer","fa-wpforms","fa-wrench","fa-xing","fa-xing-square",
		"fa-y-combinator","fa-yahoo","fa-yelp","fa-yoast","fa-youtube","fa-youtube-play","fa-youtube-square"
	],

	'route_prefix' 				=> [
		'companyadmin' 			=> 'company-admin',
		'driver' 				=> '/employee'
    ],

    'shipper_files' 			=> 'a:2:{i:0;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Scale Ticket";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:1;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:9:"Blind BOL";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}}',

    'consignee_files' 			=> 'a:6:{i:0;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:14:"Bill Of Lading";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:1;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:16:"Delivery Receipt";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:2;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:14:"Purchase Order";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:3;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Packing Slip";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:4;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:12:"Scale Ticket";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}i:5;a:4:{s:11:"is_required";s:3:"off";s:4:"name";s:15:"Lumber Receipts";s:4:"type";s:1:"1";s:5:"fixed";s:3:"yes";}}',

	'permissions' 				=> [
		'create' 				=> 1,
		'edit' 					=> 2,
		'delete' 				=> 3,
		'view' 					=> 4,
		'approve' 				=> 5,
		'verify' 				=> 6,
	],

	'company_admin_modules' 	=> [
		'dispatch_hub' 				=> 1,
		'loads' 					=> 2,
		'teams' 					=> 3,
		'weekly_fuel_surcharges' 	=> 4,
		'brokers' 					=> 5,
		'managers' 					=> 6,
		'dispatchers' 				=> 7,
		'drivers' 					=> 8,
		'roles' 					=> 9,
		'customer' 					=> 10,
		'carriers' 					=> 11,
		'trailers' 					=> 12,
		'trucks' 					=> 13,
		'manage_type' 				=> 14,
		'leave_type' 				=> 15,
		'company_holiday' 			=> 16,
		'leaves' 					=> 17,
		'leaveusertypes' 			=> 18,
		'vendors' 					=> 19,
		'notifications_status' 		=> 20,
		'terminals' 				=> 21,
		'company_dashboard' 		=> 22,
		'request_documents' 		=> 23,
		'violation_codes' 			=> 24,
		'maintenances' 				=> 25,
		'maintenance_ticket_types' 	=> 26,
		//maintenance_appointment_types' => 27,
		'driver_quarterly_goals' 	=> 27,
		'load_reservations' 		=> 28,
		'compel_announcement' 		=> 29,
		'announcement' 				=> 30,
		'detention_request' 		=> 31,
		'reports' 					=> 32,
		'currently_onboarding' 		=> 33,
		'trailer_types' 			=> 34,
        'accessorial'               => 35,
        'commodity'                 => 36,
        'terms'                     => 37,
        'load_requirements_items'   => 38,
        'dispatcher_revenue_tracker'=> 39,
        'chart_of_accounts'         => 40,
        'compliance'                => 41,
	],

	'app_id' 					=> [
		'samsara' 				=> 1,
	],

	//[visible, orderable, searchable]
	'table_vendors_first' 			=> ['id' => 1,'name' => 1,'email' => 1,'phone' => 1,'city' => 1,'state' => 1,'action' => 1,],
	'table_vendors' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone' 					=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'city' 						=> ['name' => 'City', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'state' 					=> ['name' => 'State', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_brokers_first' 			=> ['id' => 1,'name' => 1,'mc_number' => 1,'action' => 1,],
	'table_brokers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_terminals_first' 		=> ['id' => 1,'name' => 1,'terminal_code' => 1,'action' => 1,],
	'table_terminals' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'terminal_code' 			=> ['name' => 'Terminal Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_carriers_first' 			=> ['id' => 1,'name' => 1,'mc_number' => 1,'action' => 1,],
	'table_carriers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_customers_first' 		=> ['id' => 1,'name' => 1,'address' => 1,'phone' => 1,'mc_number' => 1,'action' => 1],
	'table_customers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'address' 					=> ['name' => 'Address', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone' 					=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'mc_number' 				=> ['name' => 'MC Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_trailers_first' 			=> ['id' => 1,'trailer_id' => 1,'vin' => 1,'tag_number' => 1,'action' => 1],
	'table_trailers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_id' 				=> ['name' => 'Trailer Id', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'vin' 						=> ['name' => 'VIN', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'tag_number' 				=> ['name' => 'Tag Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_trucks_first' 			=> ['id' => 1,'unit' => 1,'vin_number' => 1,'action' => 1],
	'table_trucks' 					=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'unit' 						=> ['name' => 'Unit', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'vin_number' 				=> ['name' => 'VIN Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_manage_types_first' 		=> ['name' => 1,'category_name' => 1,'action' => 1],
	'table_manage_types' 			=> [
		'name'	 					=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'manage_company_types'],
		'category_name' 			=> ['name' => 'Category Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'tableName' => 'mc', 'colAlias' => 'name' ],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_leave_types_first' 		=> ['name' => 1,'color' => 1,'half_day_request' => 1,'register_in_the_past' => 1,'enforce_allowance' => 1,'action' => 1],
	'table_leave_types' 			=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'color' 					=> ['name' => 'Color', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'half_day_request' 			=> ['name' => 'Half Day Request', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'register_in_the_past' 		=> ['name' => 'Register In The Past', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'enforce_allowance' 		=> ['name' => 'Enforce Allowance', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_company_holiday_first' 	=> ['name' => 1,'from_date' => 1,'to_date' => 1,'action' => 1],
	'table_company_holiday' 		=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'from_date' 				=> ['name' => 'From Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'to_date' 					=> ['name' => 'To Date', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,],
	],

	'table_weekly_fuel_surcharge_first' => ['id' => 1,'week' => 1,'start_date' => 1,'end_date' => 1,'fuel_surcharge' => 1,'action' => 1],
	'table_weekly_fuel_surcharge' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'week'		 				=> ['name' => 'Week', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'start_date'		 		=> ['name' => 'Start Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'end_date'		 			=> ['name' => 'End Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'date'],
		'fuel_surcharge' 			=> ['name' => 'Fuel Surcharge', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_teams_first' 			=> ['id' => 1,'name' => 1,'head' => 1,'total_drivers' => 1,'action' => 1],
	'table_teams' 					=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'head' 						=> ['name' => 'Head', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'colName1' => 'first_name,', 'colName2' => 'last_name','relationTable' => 'dispatcher',],
		'total_drivers' 			=> ['name' => 'Total Drivers', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string','colName3' => 'drivers','relationTable' => 'drivers'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_managers_first' 			=> ['id' => 1,'first_name' => 1,'last_name' => 1,'email' => 1,'action' => 1],
	'table_managers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'first_name' 				=> ['name' => 'First Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'last_name' 				=> ['name' => 'Last Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_dispatchers_first' 		=> ['id' => 1,'first_name' => 1,'last_name' => 1,'email' => 1,'action' => 1],
	'table_dispatchers' 			=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'first_name' 				=> ['name' => 'First Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'last_name' 				=> ['name' => 'Last Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_drivers_first' 			=> ['id' => 1,'name' => 1,'email' => 1,'cell_phone' => 1,'action' => 1],
	'table_drivers' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'colAl1' => 'last_name,', 'colAl2' => 'first_name' ],
		'email' 					=> ['name' => 'Email', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'cell_phone' 				=> ['name' => 'Phone', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_loads_active_first' 		=> ['load_number' => 1,'driver' => 1,'broker_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'shipper_location' => 1,'delivery_location' => 1,'status' => 1,'last_location' => 1,'total_bill' => 1, 'actual_delivery_date' => 0, 'booked_by' => 0, 'empty_miles' => 0, 'loaded_miles' => 0, 'total_miles' => 0, 'weight' => 0, 'trailer_type' => 0, 'created_at' => 0, 'updated_at' => 0],
	'table_loads_active' 			=> [
		'load_number' 				=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'driver' 					=> ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'first_name', 'colName2'=>'last_name' ],
		'broker_name' 				=> ['name' => 'Customer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'broker', 'colName1'=>'name'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'driver', 'colName1'=>'cell_phone'],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string', 'relationTable' => 'dispatcher', 'colName1'=>'first_name', 'colName2'=>'last_name' ],
		'shipper_location' 			=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'delivery_location' 		=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string','colAl1' =>'delivery_address_one','colAl2' => 'delivery_address_two','colAl3' =>'delivery_city','colAl4' => 'delivery_state','colAl5' => 'delivery_zip','colAl6' => 'delivery_location'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'status', 'statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,],
		'total_bill' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'actual_delivery_date' 		=> ['name' => 'Delivery date', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'searchBuilderType' => 'date'],
		'booked_by' 				=> ['name' => 'Booked by', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'empty_miles' 				=> ['name' => 'Empty Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'loaded_miles' 				=> ['name' => 'Loaded Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'weight' 					=> ['name' => 'Weight', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'trailer_type' 				=> ['name' => 'Trailer Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'created_at' 				=> ['name' => 'Created At', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'searchBuilderType' => 'date'],
		'updated_at' 				=> ['name' => 'Updated At', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0, 'searchBuilderType' => 'date'],

	],

	'table_dispatchhub1_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'actual_shipper_date' => 1,'actual_delivery_date' => 1,],
	'table_dispatchhub1' 			=> [
		'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'actual_shipper_date'		=> ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'actual_delivery_date'		=> ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
	],

	// 'table_dispatchhub1_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'load_date' => 1,'delivery_date' => 1,],
	// 'table_dispatchhub1' 			=> [
	// 	'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'load_date' 				=> ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	// 	'delivery_date' 			=> ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	//],

	'table_dispatchhub2_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'actual_shipper_date' => 1,'actual_delivery_date' => 1,],
	'table_dispatchhub2' 			=> [
		'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'actual_shipper_date' 		=> ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'actual_delivery_date' 		=> ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
	],

	//'table_dispatchhub3_first'=> ['previous_load' => 1,'full_name' => 1,'time_waiting' => 1,'driver_manager' => 1,'cell_phone' => 1,'last_location' => 1],
	'table_dispatchhub3_first' 		=> [
		'reserve_status' 			=> 1,
		'time_waiting' 				=> 1,
		'full_name' 				=> 1,
		'truck_number' 				=> 1,
		'trailer_number' 			=> 1,
		'cell_phone' 				=> 1,
		'driver_manager' 			=> 1,
		'last_location' 			=> 1,
		'drive' 					=> 1,
		'shift' 					=> 1,
		'cycle' 					=> 1,
		'cycle_tom' 				=> 1,
		'duty_status' 				=> 1,
		'time_in_current_status' 	=> 1,
		'time_in_unit_break' 		=> 1,
		'previous_load' 			=> 1
	],
	'table_dispatchhub3' 			=> [
		'reserve_status' 			=> ['name' => 'Reserve Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'time_waiting' 				=> ['name' => 'Time Waiting', 'orderable' => 1, 'searchable' => 0, 'col_search' => 0],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driverName'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_truck_number'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_trailer_number'],
		'cell_phone' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'driver_manager' 			=> ['name' => 'Driver Manager', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'previous_load_delivery_city', 'colName2' => 'previous_load_delivery_state'],
		'drive' 					=> ['name' => 'Drive', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
		'shift' 					=> ['name' => 'Shift', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
		'cycle' 					=> ['name' => 'Cycle', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
		'cycle_tom' 				=> ['name' => 'Cycle Tom.', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
		'duty_status' 				=> ['name' => 'Duty Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0,'searchBuilderType' => 'string'],
		'time_in_current_status' 	=> ['name' => 'Time In Current Status', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'time_in_unit_break' 		=> ['name' => 'Time In Unit Break', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'previous_load' 			=> ['name' => 'Previous Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,],
	],

	'table_dispatchhub4_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'time_waiting' => 1,'dispatcher' => 1,'actual_shipper_date' => 1,'origin' => 1,'actual_delivery_date' => 1,'destination' => 1,'status' => 1,'last_location' => 1,'total_bill' => 1],
	'table_dispatchhub4' 			=> [
		'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable'=>'driver'],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'cell_phone','relationTable'=>'driver'],
		'time_waiting' 				=> ['name' => 'Time Waiting', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name', 'colName2' => 'last_name','relationTable' => 'dispatcher'],
		'actual_shipper_date' 		=> ['name' => 'Pickup Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state' ],
		'actual_delivery_date'      => ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'status'                    => ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'total_bill' 				=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
	],

	'table_dispatchhub5_first' 		=> ['load_number' => 1,'origin' => 1,'destination' => 1,'load_status' => 1,'last_location' => 1,'rate' => 1],
	'table_dispatchhub5' 			=> [
		'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'load_status' 				=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'status','statusColName' => 'load_status', 'orderCol' => 'load_status_order'],
		'last_location' 			=> ['name' => 'Last Location', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string', 'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'rate' 						=> ['name' => 'Rate', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','having'=>'1','colName1'=>'total_bill'],
	],

	// complete load
	'table_dispatchhub6_first' 		=> ['load_number' => 1,'full_name' => 1,'truck_number' => 1,'trailer_number' => 1,'phone_number' => 1,'dispatcher' => 1,'origin' => 1,'destination' => 1,'status' => 1,'load_date' => 1,'delivery_date' => 1,],
	'table_dispatchhub6' 			=> [
		'load_number' 				=> ['name' => 'Load #', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'full_name' 				=> ['name' => 'Drivers Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'truck_number' 				=> ['name' => 'Truck', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'trailer_number' 			=> ['name' => 'Trailer', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'phone_number' 				=> ['name' => 'Phone Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'dispatcher' 				=> ['name' => 'Dispatcher', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'origin' 					=> ['name' => 'Origin', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'having'=>'1','colName1'=>'shipper_city', 'colName2' => 'shipper_state'],
		'destination' 				=> ['name' => 'Destination', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'having'=>'1','colName1'=>'delivery_city', 'colName2' => 'delivery_state'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'load_date' 				=> ['name' => 'Load Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'delivery_date' 			=> ['name' => 'Delivery Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],

	'table_gallery_document_name_first' => ['name' => 1,'source' => 1,'field_name' => 1,'action' => 1],
	'table_gallery_document_name' 	=> [
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'source' 					=> ['name' => 'Soruce', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'field_name' 				=> ['name' => 'Field Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_request_documents_first' => ['field_name' => 1,'created_by' => 1,'date' => 1,'status' => 1,'requested_by' => 1,'approved_by' => 1,'access' => 1,'action' => 1],
	'table_request_documents' 		=> [
		'field_name' 				=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'created_by' 				=> ['name' => 'Created By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'date' 						=> ['name' => 'Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'requested_by' 				=> ['name' => 'Requested By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'approved_by' 				=> ['name' => 'Approved By', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'access' 					=> ['name' => 'Access', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],



	'table_driver_hos_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1,'action' => 1],
	'table_driver_hos_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_driver_citations_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1,'action' => 1],
	'table_driver_citations_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_driver_accident_violation_codes_first' => ['id' => 1,'code' => 1,'description' => 1,'action' => 1],
	'table_driver_accident_violation_codes' => [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'code' 						=> ['name' => 'Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'description' 				=> ['name' => 'Description', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_driver_inspection_levels_first' => ['id' => 1,'name' => 1,'action' => 1],
	'table_driver_inspection_levels' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_driver_disciplinary_actions_first' => ['id' => 1,'name' => 1,'action' => 1],
	'table_driver_disciplinary_actions' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_maintenance_ticket_type_first' => ['id' => 1,'name' => 1,'action' => 1,],
	'table_maintenance_ticket_type' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_trailer_type_first' => ['id' => 0,'name' => 1,'is_temp_required' => 1,'action' => 1],
	'table_trailer_type' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'is_temp_required' 			=> ['name' => 'Is Temp Required', 'orderable' => 1, 'searchable' => 1, 'col_search' => 0,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_audit_load_first' => ['id' => 1,'first_name' => 1,'section'=>1,'type' => 1,'created_at' => 1,'before_change' => 1,'after_change' => 1],
	'table_audit_load' 		=> [
		'id' 				=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'first_name' 		=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'section' 			=> 	['name' => 'Section', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'type' 				=> ['name' => 'Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'created_at' 		=> ['name' => 'Date', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'before_change' 	=> ['name' => 'Before Change', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'after_change' 		=> ['name' => 'After Change', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_load_requirement_first' => ['id' => 1,'name' => 1,'action' => 1,],
	'table_load_requirement' 		=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_maintenance_appointment_type_first' => ['id' => 1,'name' => 1,'action' => 1,],
	'table_maintenance_appointment_type' 	=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_maintenances_first' 		=> ['ticket_number' => 1,'name' => 1,'equipment_type' => 1,'equipment_number' => 1,'status' => 1,'action' => 1,],
	'table_maintenances' 			=> [
		'ticket_number' 			=> ['name' => 'Ticket Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'equipment_type' 			=> ['name' => 'Equipment Type', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'equipment_number' 			=> ['name' => 'Equipment Number', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'status' 					=> ['name' => 'Status', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
	],

	'table_dispatcher_report_first' => ['dispatcher_name' => 1,'active_drivers' => 1,'inactive_drivers' => 1,'loads' => 1,'gross' => 1,'avg_revenue' => 1,'total_miles' => 1,'avg_miles' => 1,'avg_cpm' => 1,'unoccupied_loads' => 1,'maintenance' => 1,'time_off' => 1,'hos' => 1,'unauthorized' => 1,'no_dispatch' => 1,'loads_built' => 1,'action' => 1],
	'table_dispatcher_report' 		=> [
		'dispatcher_name' 			=> ['name' => 'Dispatcher Name', 'orderable' => 1, 'searchable' => 1],
		'active_drivers' 			=> ['name' => 'Active Drivers', 'orderable' => 1, 'searchable' => 1],
		'inactive_drivers' 			=> ['name' => 'Inactive Drivers', 'orderable' => 1, 'searchable' => 1],
		'loads' 					=> ['name' => 'Loads', 'orderable' => 1, 'searchable' => 1],
		'gross' 					=> ['name' => 'Gross', 'orderable' => 1, 'searchable' => 1],
		'avg_revenue' 				=> ['name' => 'Avg Revenue', 'orderable' => 1, 'searchable' => 1],
		'total_miles' 				=> ['name' => 'Total Miles', 'orderable' => 1, 'searchable' => 1],
		'avg_miles' 				=> ['name' => 'Avg Miles', 'orderable' => 1, 'searchable' => 1],
		'avg_cpm' 					=> ['name' => 'Avg CPM', 'orderable' => 1, 'searchable' => 1],
		'unoccupied_loads' 			=> ['name' => 'Unoccupied loads','orderable' => 1, 'searchable' => 1],
		'maintenance' 				=> ['name' => 'Maintenance','orderable' => 1, 'searchable' => 1],
		'time_off' 					=> ['name' => 'Time off','orderable' => 1, 'searchable' => 1],
		'hos' 						=> ['name' => 'Hos','orderable' => 1, 'searchable' => 1],
		'unauthorized' 				=> ['name' => 'Unauthorized','orderable' => 1, 'searchable' => 1],
		'no_dispatch' 				=> ['name' => 'No Dispatch','orderable' => 1, 'searchable' => 1],
		'loads_built' 				=> ['name' => 'Loads Built', 'orderable' => 1 ,'searchable' => 1],
		'action' 					=> ['name' => 'Action','class' => 'notexport', 'orderable' => 0, 'searchable' => 0],
	],

	'table_detentions_first' 		=> [
		'id' 						=> 1,
		'action' 					=> 1,
		'load_number' 				=> 1,
		'driver' 					=> 1,
		'is_stop' 					=> 1,
		'type' 						=> 1,
		//'detention_status' 		=> 1,
		'detention_start_time' 		=> 1,
		'detention_end_time' 		=> 1,
		'review_status' 			=> 1,
		'review_by' 				=> 1
	],
	'table_detentions' 				=> [
		'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
		'load_number' 				=> ['name' => 'Load', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'driver' 					=> ['name' => "Driver's Name", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string','colName1' => 'first_name','colName2' => 'last_name','relationTable' => 'driver'],
		'is_stop' 					=> ['name' => "Is Stop", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'type' 						=> ['name' => "Type", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		//'detention_status' 		=> ['name' => "Status", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
		'detention_start_time' 		=> ['name' => "Start Time", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'detention_end_time' 		=> ['name' => "End Time", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'date'],
		'review_status' 			=> ['name' => "Review Status", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
		'review_by' 				=> ['name' => "Review By", 'orderable' => 1, 'searchable' => 1, 'col_search' => 1],
	],
    'table_accessorial_first' => ['id' => 1,'name' => 1,'default_amount' => 1,'gl_code' => 1,'action' => 1,],
    'table_accessorial' 		=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'default_amount' 			=> ['name' => 'Default Amount', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'gl_code' 					=> ['name' => 'Gl Code', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1, 'searchBuilderType' => 'string'],
        'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],
    'table_commodity_first' => ['id' => 1,'name' => 1,'action' => 1,],
    'table_commodity' 		=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],
    'table_terms_first' => ['id' => 1,'name' => 1,'action' => 1,],
    'table_terms' 		=> [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],
    'table_load_requirements_items_first' => ['id' => 1,'name' => 1,'action' => 1,],
    'table_load_requirements_items' => [
        'id' 						=> ['name' => 'ID', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'name' 						=> ['name' => 'Name', 'orderable' => 1, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],
    'table_chart_of_accounts_first' => ['account_number' => 1, 'account_name' => 1, 'account_type' => 1,'action' => 1],
    'table_chart_of_accounts' => [
        'account_number' 			=> ['name' => 'Account Number', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'account_name' 			    => ['name' => 'Name', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'account_type' 			    => ['name' => 'Type', 'orderable' => 0, 'searchable' => 1, 'col_search' => 1,'searchBuilderType' => 'string'],
        'action' 					=> ['name' => 'Action', 'orderable' => 0, 'searchable' => 0, 'col_search' => 0],
    ],
];

?>

