<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsCompletedToTruckMaintenanceLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_maintenance_logs', function (Blueprint $table) {
            $table->integer('is_completed')->after('waranty_miles')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_maintenance_logs', function (Blueprint $table) {
            $table->dropColumn('is_completed');
        });
    }
}
