<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNotifyBrokerFieldToLoadNotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_notes', function (Blueprint $table) {
            $table->integer('notify_broker')->default(0)->after('notify_dirver');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_notes', function (Blueprint $table) {
            $table->dropColumn('notify_broker');
        });
    }
}
