<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFileNameFiledsToLoadFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->string('filename')->nullable()->after('load_file_type_id');
            $table->integer('load_file_type_id')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_files', function (Blueprint $table) {
            $table->dropColumn('filename');
        });
    }
}
