<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeOtherNotifyToMaintenancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('maintenances', function (Blueprint $table) {
            $table->longText('notify_other')->nullable()->change();
            $table->longText('display_on_calendar_other')->nullable()->change();
            $table->integer('created_by_type')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('maintenances', function (Blueprint $table) {
            $table->integer('notify_other')->nullable()->change();
            $table->integer('display_on_calendar_other')->nullable()->change();
            $table->dropColumn('created_by_type');
        });
    }
}
