<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTicketFieldToMaintenancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('maintenances', function (Blueprint $table) {
            $table->string('ticket_number')->nullable()->after('id');
            $table->integer('custom_repeat_every_number')->nullable()->after('warranty_mileage_file');
            $table->integer('custom_repeat_every_type')->nullable()->after('warranty_mileage_file');
            $table->string('custom_repeat_on')->nullable()->after('warranty_mileage_file');
            $table->string('custom_ends')->nullable()->after('warranty_mileage_file');
            $table->date('custom_ends_date')->nullable()->after('warranty_mileage_file');
            $table->integer('custom_ends_occurrences_number')->nullable()->after('warranty_mileage_file');
            $table->string('custom_ends_occurrences_type')->nullable()->after('warranty_mileage_file');
        });
    }

    
    
    
    
    
    
    


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('maintenances', function (Blueprint $table) {
            $table->dropColumn('ticket_number');
            $table->dropColumn('custom_repeat_every_number');
            $table->dropColumn('custom_repeat_every_type');
            $table->dropColumn('custom_repeat_on');
            $table->dropColumn('custom_ends');
            $table->dropColumn('custom_ends_date');
            $table->dropColumn('custom_ends_occurrences_number');
            $table->dropColumn('custom_ends_occurrences_type');
        });
    }
}
