<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMarkAsCompletedColumnToDriverOnboardingSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_onboarding_settings', function (Blueprint $table) {
            $table->integer('mark_as_completed')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_onboarding_settings', function (Blueprint $table) {
            $table->dropColumn('mark_as_completed');
        });
    }
}
