<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateLegthForBankColumnsTableTerminals extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->string('bank_active_status', 800)->nullable(true)->default(null)->change();
            $table->string('bank_name', 800)->nullable(true)->default(null)->change();
            $table->string('account_number', 800)->nullable(true)->default(null)->change();
            $table->string('routing_number', 800)->nullable(true)->default(null)->change();
            $table->string('bank_contact_name', 800)->nullable(true)->default(null)->change();
            $table->string('bank_contact_email', 800)->nullable(true)->default(null)->change();
            $table->string('name_on_account', 800)->nullable(true)->default(null)->change();
            $table->string('bank_contact', 800)->nullable(true)->default(null)->change();
            $table->string('bank_phone', 800)->nullable(true)->default(null)->change();
            $table->string('bext', 800)->nullable(true)->default(null)->change();
            $table->string('bank_email', 800)->nullable(true)->default(null)->change();
            $table->string('picture_of_voided_check', 800)->nullable(true)->default(null)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->string('bank_active_status')->nullable(true)->default(null)->change();
            $table->string('bank_name')->nullable(true)->default(null)->change();
            $table->string('account_number')->nullable(true)->default(null)->change();
            $table->string('routing_number')->nullable(true)->default(null)->change();
            $table->string('bank_contact_name')->nullable(true)->default(null)->change();
            $table->string('bank_contact_email')->nullable(true)->default(null)->change();
            $table->string('name_on_account')->nullable(true)->default(null)->change();
            $table->string('bank_contact')->nullable(true)->default(null)->change();
            $table->string('bank_phone')->nullable(true)->default(null)->change();
            $table->string('bext')->nullable(true)->default(null)->change();
            $table->string('bank_email')->nullable(true)->default(null)->change();
            $table->string('picture_of_voided_check')->nullable(true)->default(null)->change();
        });
    }
}
