<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFieldToLoadLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_logs', function (Blueprint $table) {
            $table->integer('load_type')->nullable()->after('load_id');
            $table->integer('load_status')->nullable()->after('load_id');
            $table->integer('load_stop_id')->nullable()->after('load_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_logs', function (Blueprint $table) {
            $table->dropColumn('load_type');
            $table->dropColumn('load_status');
            $table->dropColumn('load_stop');
        });
    }
}
