<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsDummyToLoadRequirementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_requirements', function (Blueprint $table) {
            $table->tinyInteger('is_dummy')->default(0)->comment('1=Yes,0=No')->after('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_requirements', function (Blueprint $table) {
            $table->dropColumn('is_dummy');
        });
    }
}
