<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFileNotProvidedToLoadAccessorialsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_accessorials', function (Blueprint $table) {
            $table->enum('file_not_provided', ['on', 'off'])->after('is_received')->default('off');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_accessorials', function (Blueprint $table) {
            $table->dropColumn('file_not_provided');
        });
    }
}
