<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeUserTypeToLoadAuditsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement("ALTER TABLE `load_audits` CHANGE `user_type` `user_type` ENUM('Company Admin', 'Driver','Broker') NULL DEFAULT NULL;");
        \DB::table('load_audits')->update(['user_type' => 'Company Admin']);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement("ALTER TABLE `load_audits` CHANGE `user_type` `user_type` INT(11) NULL DEFAULT NULL;");
        \DB::table('load_audits')->update(['user_type' => null]);
    }
}
