<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnFilterInTableComplianceWidgets extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('compliance_widgets', function (Blueprint $table) {
            $table->text('filters')->nullable()->after('isDraggable');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('compliance_widgets', function (Blueprint $table) {
            $table->dropColumn('filters');
        });
    }
}
