<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnToStoreReadMsgStatus extends Migration
{
    public function up()
    {
        Schema::table('email_chat_history', function (Blueprint $table) {
            $table->integer('is_email_read')->default(0);
        });
    }

    public function down()
    {
        Schema::table('email_chat_history', function (Blueprint $table) {
            $table->dropColumn('is_email_read');
        });
    }
}
