<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnActualTotalMileageInReportDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('report_drivers', function (Blueprint $table) {
            $table->float('actual_total_mileage', 10, 2)->default(0.0)->after('actual_mileage');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('report_drivers', function (Blueprint $table) {
            $table->dropColumn('actual_total_mileage');
        });
    }
}
