<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DropRequestDateFromLoadAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->dropColumn([
                'note'
            ]);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_appointments', function (Blueprint $table) {
            $table->text('note')->nullable()->after('reminder_status');
        });
    }
}
