<?php

use App\Models\Company;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\RecruitingSource;
use App\Models\CompanyRecruitingSource;

class InsertRecruitingSourcesDefultData extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        RecruitingSource::truncate();
        CompanyRecruitingSource::truncate();

        $data = RecruitingSource::create(['name' => 'Facebook']);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyRecruitingSource::create(['company_id' => $compnay->id, 'name' => $data->name]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        RecruitingSource::truncate();
        CompanyRecruitingSource::truncate();
    }
}
