<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckProfilePmServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_profile_pm_services', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->integer('pm_service_profile');
            $table->integer('type');
            $table->integer('service_type')->nullable();
            $table->string('interval_type')->nullable();
            $table->string('schedule')->nullable();
            $table->date('due_date')->nullable();
            $table->date('last_performed')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_profile_pm_services');
    }
}
