<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\PmType;
use App\Models\CompanyPmType;
use App\Models\Company;

class InsertDefaultPmTypes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        PmType::truncate();
        CompanyPmType::truncate();

        PmType::insert([
            ['name' => 'Semi', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Apu', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Truck Reefer', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyPmType::insert([
                ['company_id' => $compnay->id, 'name' => 'Semi', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Apu', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Truck Reefer', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PmType::truncate();
        CompanyPmType::truncate();
    }
}
