<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAnnouncementClearByUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('announcement_clear_by_users', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->bigInteger('announcement_id')->unsigned();
            $table->tinyInteger('user_type')->comment('0: Company Admin, 1: Manager, 2: Dispatcher, 3: Driver');
            $table->bigInteger('user_id')->unsigned();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('announcement_clear_by_users');
    }
}
