<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerCarrierInsurancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_carrier_insurances', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('broker_id');
            $table->text('carrier_insurance_name')->nullable();
            $table->text('carrier_insurance_type')->nullable();
            $table->text('carrier_policy_number')->nullable();
            $table->text('carrier_limit')->nullable();
            $table->text('carrier_deductible')->nullable();
            $table->text('carrier_expiration_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_carrier_insurances');
    }
}
