<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerCustomerInsurancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_customer_insurances', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('broker_id');
            $table->text('customer_insurance_name')->nullable();
            $table->text('customer_insurance_type')->nullable();
            $table->text('customer_policy_number')->nullable();
            $table->text('customer_limit')->nullable();
            $table->text('customer_deductible')->nullable();
            $table->text('customer_expiration_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_customer_insurances');
    }
}
