<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrokerBondInformationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('broker_bond_information', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('broker_id');
            $table->text('surety_bond_required')->nullable();
            $table->text('surety_bond_company')->nullable();
            $table->text('surety_bond_expiration')->nullable();
            $table->text('surety_bond_amount')->nullable();
            $table->text('surety_bond_email')->nullable();
            $table->text('bond_contact_name')->nullable();
            $table->text('bond_phone_number')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('broker_bond_information');
    }
}
