<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnLastUpdatedForDefaultFuelSurchargesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('default_fuel_surcharges', function (Blueprint $table) {
            $table->date('last_updated_diesel')->nullable()->after('rate_type_diesel');
            $table->date('last_updated_gas')->nullable()->after('rate_type_gas');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('default_fuel_surcharges', function (Blueprint $table) {
            $table->dropColumn(['last_updated_diesel', 'last_updated_gas']);
        });
    }
}
