<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeColumnAccountNumberInLoadBillingPayInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_pay_invoices', function (Blueprint $table) {
            $table->integer('account_number')->unsigned()->nullable(true)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_pay_invoices', function (Blueprint $table) {
            $table->integer('account_number')->unsigned()->nullable(false)->change();
        });
    }
}
