<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DropColumnInvoiceHistoryInLoadBillingInvoiceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_billing_invoice', function (Blueprint $table) {
            $table->dropColumn('invoice_history');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_billing_invoice', function (Blueprint $table) {
            $table->text('invoice_history')->nullable();
        });
    }
}
