<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangePositionOfStatusInTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement('ALTER TABLE `trailers` CHANGE `status` `status` INT(11) NULL DEFAULT NULL AFTER `last_location_notes`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `vin` `vin` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_id`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `type` `type` INT(11) NULL DEFAULT NULL AFTER `vin`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `color` `color` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `model`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `length` `length` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `unladen_weight`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `width` `width` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `length`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `height` `height` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `width`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `current_assigned_truck` `current_assigned_truck` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `color`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `current_assigned_driver` `current_assigned_driver` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `current_assigned_truck`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `axles` `axles` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `current_assigned_driver`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `tire_size` `tire_size` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `axles`;');  
        \DB::statement('ALTER TABLE `trailers` CHANGE `suspension_type` `suspension_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tire_size`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `spare_tire_rank` `spare_tire_rank` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `suspension_type`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `roof_type` `roof_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `spare_tire_rank`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `floor_type` `floor_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `roof_type`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `vented` `vented` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `floor_type`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `spread_axie` `spread_axie` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `vented`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `tracker_provider` `tracker_provider` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `spread_axie`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `tracker_id` `tracker_id` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tracker_provider`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `tag_upload_image` `tag_upload_image` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tag_expiration`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `carrier` `carrier` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tag_upload_image`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `ownership` `ownership` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `terminal`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_id` `owner_id` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `ownership`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_name` `owner_name` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_id`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_address` `owner_address` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_name`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `purchased_new` `purchased_new` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_address`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_purchase_price` `owner_purchase_price` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `purchased_new`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_purchase_date` `owner_purchase_date` DATE NULL DEFAULT NULL AFTER `owner_purchase_price`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_documents` `owner_documents` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_purchase_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `leasing_co` `leasing_co` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_documents`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_expiration_date` `lease_expiration_date` DATE NULL DEFAULT NULL AFTER `leasing_co`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_documents` `lease_documents` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_expiration_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_agreement_title` `lease_agreement_title` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_documents`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `fai_due_date` `fai_due_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_agreement_title`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `fai_attachment` `fai_attachment` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `fai_due_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `trailer_interchange` `trailer_interchange` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `fai_attachment`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `trailer_interchange_image` `trailer_interchange_image` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_interchange`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `depreciated_value` `depreciated_value` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_interchange_image`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `onboard_equipment` `onboard_equipment` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `depreciated_value`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `equipment_comments` `equipment_comments` LONGTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `onboard_equipment`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `in_service_date` `in_service_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `equipment_comments`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `federal_inspection_type` `federal_inspection_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `in_service_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `federal_inspection_interval` `federal_inspection_interval` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `federal_inspection_type`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `last_inspection` `last_inspection` DATETIME NULL DEFAULT NULL AFTER `federal_inspection_interval`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `last_server_date` `last_server_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `last_inspection`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `last_inspection_location` `last_inspection_location` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `last_server_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `next_inspection` `next_inspection` DATETIME NULL DEFAULT NULL AFTER `last_inspection_location`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `next_service_date` `next_service_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `next_inspection`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `phys_dam_attachment` `phys_dam_attachment` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `insured_value`;'); 
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement('ALTER TABLE `trailers` CHANGE `status` `status` INT(11) NULL DEFAULT NULL AFTER `trailer_id`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `length` `length` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `model`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `type` `type` INT(11) NULL DEFAULT NULL AFTER `length`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `vin` `vin` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `type`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `last_inspection` `last_inspection` DATETIME NULL DEFAULT NULL AFTER `next_service`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `next_inspection` `next_inspection` DATETIME NULL DEFAULT NULL AFTER `last_inspection`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `axles` `axles` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_exp_date`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_id` `owner_id` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `leasing_company`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_name` `owner_name` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_id`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_address` `owner_address` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_name`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `equipment_comments` `equipment_comments` LONGTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_service_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `in_service_date` `in_service_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `equipment_comments`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `next_service_date` `next_service_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `reefer_current_hours`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `last_inspection_location` `last_inspection_location` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `next_service_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `last_server_date` `last_server_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `last_inspection_location`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `federal_inspection_interval` `federal_inspection_interval` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `last_server_date`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `federal_inspection_type` `federal_inspection_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `federal_inspection_interval`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `current_assigned_driver` `current_assigned_driver` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `federal_inspection_type`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `current_assigned_truck` `current_assigned_truck` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `current_assigned_driver`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `depreciated_value` `depreciated_value` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `current_assigned_truck`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `trailer_interchange_image` `trailer_interchange_image` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `depreciated_value`;');  
        \DB::statement('ALTER TABLE `trailers` CHANGE `trailer_interchange` `trailer_interchange` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_interchange_image`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `fai_attachment` `fai_attachment` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `trailer_interchange`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `fai_due_date` `fai_due_date` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `fai_attachment`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_agreement_title` `lease_agreement_title` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `fai_due_date`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_documents` `lease_documents` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_agreement_title`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `lease_expiration_date` `lease_expiration_date` DATE NULL DEFAULT NULL AFTER `lease_documents`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `leasing_co` `leasing_co` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `lease_expiration_date`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_documents` `owner_documents` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `leasing_co`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `purchased_new` `purchased_new` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_documents`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_purchase_date` `owner_purchase_date` DATE NULL DEFAULT NULL AFTER `purchased_new`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `owner_purchase_price` `owner_purchase_price` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_purchase_date`;'); 
        \DB::statement('ALTER TABLE `trailers` CHANGE `ownership` `ownership` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `owner_purchase_price`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `carrier` `carrier` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `ownership`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `onboard_equipment` `onboard_equipment` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `carrier`;');
        
        \DB::statement('ALTER TABLE `trailers` CHANGE `spare_tire_rank` `spare_tire_rank` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `onboard_equipment`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `vented` `vented` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `plated_interior`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `spread_axie` `spread_axie` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `logistics_post`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `suspension_type` `suspension_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `spread_axie`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `floor_type` `floor_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `suspension_type`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `roof_type` `roof_type` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `floor_type`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `phys_dam_attachment` `phys_dam_attachment` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `roof_type`;'); 

        \DB::statement('ALTER TABLE `trailers` CHANGE `tag_upload_image` `tag_upload_image` VARCHAR(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `phys_dam_ins_carrier`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `tracker_id` `tracker_id` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tag_upload_image`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `tracker_provider` `tracker_provider` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `tracker_id`;');

        \DB::statement('ALTER TABLE `trailers` CHANGE `width` `width` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `deck_height`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `height` `height` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `width`;');
        \DB::statement('ALTER TABLE `trailers` CHANGE `color` `color` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `height`;');
        
        \DB::statement('ALTER TABLE `trailers` CHANGE `tire_size` `tire_size` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `color`;');
    }
}
