<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckTransponderProviderRemoveAndReassignsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_transponder_provider_remove_and_reassigns', function (Blueprint $table) {
            $table->id();
            $table->integer('truck_id')->unsigned();
            $table->integer('transponder_id')->unsigned()->nullable();
            $table->string('action_type');
            $table->string('truck_number')->nullable();
            $table->string('provider');
            $table->string('provider_id');
            $table->date('action_date');
            $table->time('action_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_transponder_provider_remove_and_reassigns');
    }
}
