<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnUrlInLeftMenusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('left_menus', function (Blueprint $table) {
            $table->string('url')->nullable()->after('name');
            $table->string('icon')->nullable()->after('url');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('left_menus', function (Blueprint $table) {
            $table->dropColumn(['url', 'icon']);
        });
    }
}
