// firebase sample code snippets from https://firebase.google.com/docs/cloud-messaging/js/client
// [START initialize_firebase_in_sw]
// Give the service worker access to Firebase Messaging.
// Note that you can only use Firebase Messaging here, other Firebase libraries
// are not available in the service worker.
// importScripts('https://code.jquery.com/ui/1.13.1/jquery-ui.js');
// importScripts('./theme/js/axios.min.js');
// importScripts('https://cdnjs.cloudflare.com/ajax/libs/axios/1.2.3/axios.js');
// importScripts('https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.5.4/socket.io.min.js');
importScripts('https://cdn.socket.io/4.5.4/socket.io.min.js');
importScripts('https://www.gstatic.com/firebasejs/4.8.0/firebase-app.js');
importScripts('https://www.gstatic.com/firebasejs/4.8.0/firebase-messaging.js');


// document.write(
//     unescape("%3Cscript src='https://www.gstatic.com/firebasejs/4.8.0/firebase-messaging.js' type='text/javascript'%3E%3C/script%3E")
//   );

// Initialize the Firebase app in the service worker by passing in the
// messagingSenderId.
firebase.initializeApp({
    'messagingSenderId': '507177924723'
});

// Retrieve an instance of Firebase Messaging so that it can handle background
// messages.
const messaging = firebase.messaging();
const socket = io.connect('http://localhost:8000');
// [END initialize_firebase_in_sw]


async function makeRequest() {

  // const config = {
  //     method: 'get',
  //     url: 'http://localhost:8000/me'
  // }

  // let res = await axios.get('http://localhost:8000/me');

  // console.log(res.status);
 
  

  socket.emit("hello", "world");
  console.log("function called***************");
}

socket.on("demo", function () {
  console.log("received socket demo event in the sw file");
}); 

messaging.setBackgroundMessageHandler(async function(payload) {
 
  
  console.log('[firebase-messaging-sw.js] Received background message ', payload);
    // Customize notification here
    const notificationTitle = 'Background Message Title';
    const notificationOptions = {
        body: 'Background Message body.'
    };

    let result;
    let data = {
      conversationSid: payload.data.conversation_sid, messageSid: payload.data.message_sid
    //   conversationSid: payload.data.conversation_sid, author:payload.data.author, msgSid: payload.data.message_sid
    };
    data = {};
    try {
     await  makeRequest();
      // let res = {};
      // res =  await axios.get('http://localhost:8000/me');

      // // let data =await res.data;
      // console.log(await res);

      // let response = await axios.request({
      //   url: '/me',
      //   baseURL: 'http://localhost:8000',
      //   method: 'get',
      //   // withCredentials: true,
      //   // data: data
      // });
      // console.log("axios sw file response",await response);
      // .then(async response => {
      //   // result = await $.ajax({
      //   //   url: baseUrl + '/api/getConversationMessage',
      //   //   data: data,
      //   //   type: 'POST',
      //   //   crossDomain: true,
      //   //   headers: {
      //   //     "Authorization": `Bearer ${getCookie('twilio_token')}`,
      //   //     "Content-Type": "application/x-www-form-urlencoded",
      //   //     "Access-Control-Allow-Origin": "*",
      //   //   }
      //   // });
      //   console.log("axios sw file response",response);
      //   return self.registration.showNotification(notificationTitle,
      //   notificationOptions);
      // })
    }
    catch (e) { console.log("create new direct message contact error", e); }
    // await result;
    // console.log(result);
    // if (await result) {

    //return self.registration.showNotification(notificationTitle,  notificationOptions);    

    
});
