{!! Form::model($chartOfAccount, array('route' => ['admin.chart-of-accounts.update', $chartOfAccount->id], 'method'=>'PATCH', 'files'=>'true','class'=>'updateForm')) !!}
<div class="modal-body">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group drop-search">
                <label>Account Type<span>*</span></label>
                <div class="position-relative">
                    {!! Form::select('account_type', ['' => 'Select Type']+getChartOfAccountsTypes(null, 'listing'), null, ['class' => 'form-control accountType select2', 'required' => 'required', 'data-parsley-errors-container' => '#account_type-errors']) !!}
                    <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                </div>
                <div id="account_type-errors"></div>
                <div class="mt-1 text-danger account_type_error"></div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group drop-search">
                <label>Parent Account</label>
                <div class="position-relative">
                    {!! Form::select('parent_account', ['' => 'Select Parent']+$parents, null, ['class' => 'form-control select2']) !!}
                    <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Account Name<span>*</span></label>
                {!! Form::text('account_name', old('account_name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                <div class="mt-1 text-danger account_name_error"></div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Account Number<span>*</span></label>
                {!! Form::text('account_number', old('account_number'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                <div class="mt-1 text-danger account_number_error"></div>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button class="btn blue-btn">Update</button>
    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
</div>
{!! Form::close() !!}
