@extends($adminTheme)

@section('title')
    Company Show
@endsection

@section('header-title')
    View User
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Company Name</label>
                            <h5>{{ $company->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5>{{ $company->address }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Phone</label>
                        </div>
                        @if ($company->phone)
                        	<h5><a href="tel:{{ $company->phone }}">{{ $company->phone }}</a></h5>
                        @else	
                        	<h5> - </h5>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Account Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>First name</label>
                            <h5>{{ $companyAdmin->first_name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-9">
                        <div class="form-group">
                            <label>Last name</label>
                            <h5>{{ $companyAdmin->last_name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email</label>
                            <h5>{{ $companyAdmin->email }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection