<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title> @yield('title') </title>
    {{-- style --}}
        @include('adminTheme.style')
        @yield('style')
    {{-- style --}}
</head>
<body cz-shortcut-listen="true">
    {{-- header --}}
        @include('adminTheme.header')
    {{-- header --}}

    {{-- sidebar --}}
        @include('adminTheme.sidebar')
    {{-- sidebar --}}

    {{-- sidebar open --}}
        @include('adminTheme.sidebarOpen')
    {{-- sidebar open --}}

    {{-- content --}}
        <div class="main-wrapper ngd-wrapper ngd-new wrapper-toggle">
            <div class="container-fluid">
                @yield('content')
            </div>
        </div>
    {{-- content --}}

    @include('map.modal.pobox')

    {{-- script --}}
        @include('adminTheme.script')
        @stack('before-scripts')
        @yield('script')
        @stack('after-scripts')
    {{-- script --}}

    {{-- alert --}}
        @include('adminTheme.alert')
    {{-- alert --}}
</body>
</html>
