<div class="left-menu-open ngd-menu">
    <div class="container-fluid">
        <div class="left-responsive-open">
            <ul class="left-menus">
                <li>
                    <a href="{{ route('admin.home') }}" class="{{ Request::is('admin/home*') ? 'active' : '' }}">
                        Home
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.accounts.index') }}" class="{{ Request::is('admin/accounts*') ? 'active' : '' }}">
                        Accounts
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.companies.index') }}" class="{{ Request::is('admin/companies*') ? 'active' : '' }}">
                        Companies
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.announcement.index') }}" class="{{ Request::is('admin/announcement*') ? 'active' : '' }}">
                        Announcement
                    </a>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle {{ (
                                Request::is('admin/appointment-types*') ||
                                Request::is('admin/ticket-type*') ||
                                Request::is('admin/trailer-types*') ||
                                Request::is('admin/truck-types*')
                            ) ? 'active' : '' }}"
                            id="dropdownMaintenance"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Maintenance
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaintenance">
                            <h6>Maintenance</h6>
                            <ul>
                                <li><a class="dropdown-item {{ Request::is('admin/appointment-types*') ? 'active' : '' }}" href="{{ route('admin.appointment-types.index') }}">Appointment Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/ticket-type*') ? 'active' : '' }}" href="{{ route('admin.ticket-type.index') }}">Ticket Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/trailer-types*') ? 'active' : '' }}" href="{{ route('admin.trailer-types.index') }}">Trailer Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/truck-types*') ? 'active' : '' }}" href="{{ route('admin.truck-types.index') }}">Truck Types</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle {{ (
                                Request::is('admin/company-hos-violation-code*') ||
                                Request::is('admin/company-citations-violation-code*') ||
                                Request::is('admin/company-accident-violation-code*') ||
                                Request::is('admin/company-inspection-level*') ||
                                Request::is('admin/company-disciplinary-action*')
                            ) ? 'active' : '' }}"
                            id="dropdownViolationCode"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Violation Code
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownViolationCode">
                            <h6>Violation Code</h6>
                            <ul>
                                <li><a class="dropdown-item {{ Request::is('admin/company-hos-violation-code*') ? 'active' : '' }}" href="{{ route('admin.company-hos-violation-code.index') }}">Driver</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/company-citations-violation-code*') ? 'active' : '' }}" href="{{ route('admin.company-citations-violation-code.index') }}">Citations Violation Code</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/company-accident-violation-code*') ? 'active' : '' }}" href="{{ route('admin.company-accident-violation-code.index') }}">Accident Violation Code</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/company-inspection-level*') ? 'active' : '' }}" href="{{ route('admin.company-inspection-level.index') }}">Company Inspection Level</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/company-disciplinary-action*') ? 'active' : '' }}" href="{{ route('admin.company-disciplinary-action.index') }}">Company Disciplinary Action</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle {{ (
                                Request::is('admin/holidays*') ||
                                Request::is('admin/event-type*') ||
                                Request::is('admin/manage-type*') ||
                                Request::is('admin/accessorial*') ||
                                Request::is('admin/commodity*') ||
                                Request::is('admin/terms*') ||
                                Request::is('admin/load-document*') ||
                                Request::is('admin/load-requirements-items*')||
                                Request::is('admin/chart-of-accounts*')||
                                Request::is('admin/work-order-documents*')||
                                Request::is('admin/safety-and-compliance-documents*')||
                                Request::is('admin/onboarding-documents*')||
                                Request::is('admin/deduction-names*')||
                                Request::is('admin/recruiting-source*') ||
                                Request::is('admin/insurance-types*') ||
                                Request::is('admin/pm-types*') ||
                                Request::is('admin/pm-service-types*') ||
                                Request::is('admin/pm-warranty-providers*') ||
                                Request::is('admin/equipment-titles*') ||
                                Request::is('admin/document-titles*') ||
                                Request::is('admin/trailer-groups*') ||
                                Request::is('admin/truck-groups*')
                            ) ? 'active' : '' }}"
                            id="dropdownMaster"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Master
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaster">
                            <h6>Master</h6>
                            <ul>
                                <li><a class="dropdown-item {{ Request::is('admin/holidays*') ? 'active' : '' }}" href="{{ route('admin.holidays.index') }}">Holidays</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/event-type*') ? 'active' : '' }}" href="{{ route('admin.event-type.index') }}">Event Type</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/manage-type*') ? 'active' : '' }}" href="{{ route('admin.manage-type.index') }}">Manage Type</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/accessorial*') ? 'active' : '' }}" href="{{ route('admin.accessorial.index') }}">Accessorial</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/commodity*') ? 'active' : '' }}" href="{{ route('admin.commodity.index') }}">Commodity</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/terms*') ? 'active' : '' }}" href="{{ route('admin.terms.index') }}">Terms</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/load-document*') ? 'active' : '' }}" href="{{ route('admin.load-document.index') }}">Load Document</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/load-requirements-items*') ? 'active' : '' }}" href="{{ route('admin.load-requirements-items.index') }}">Load Requirements Items</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/chart-of-accounts*') ? 'active' : '' }}" href="{{ route('admin.chart-of-accounts.index') }}">Chart Of Account</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/work-order-documents*') ? 'active' : '' }}" href="{{ route('admin.work-order-documents.index') }}">Work Order Documents</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/safety-and-compliance-documents*') ? 'active' : '' }}" href="{{ route('admin.safety-and-compliance-documents.index') }}">Safety And Compliance Documents</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/onboarding-documents*') ? 'active' : '' }}" href="{{ route('admin.onboarding-documents.index') }}">Onboarding Documents</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/deduction-names*') ? 'active' : '' }}" href="{{ route('admin.deduction-names.index') }}">Deduction Names</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/recruiting-source*') ? 'active' : '' }}" href="{{ route('admin.recruiting-source.index') }}">Recruiting Source</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/insurance-types*') ? 'active' : '' }}" href="{{ route('admin.insurance-types.index') }}">Insurance Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/pm-types*') ? 'active' : '' }}" href="{{ route('admin.pm-types.index') }}">PM Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/pm-service-types*') ? 'active' : '' }}" href="{{ route('admin.pm-service-types.index') }}">PM Service Types</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/pm-warranty-providers*') ? 'active' : '' }}" href="{{ route('admin.pm-warranty-providers.index') }}">PM Warranty Providers</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/equipment-titles*') ? 'active' : '' }}" href="{{ route('admin.equipment-titles.index') }}">Equipment Titles</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/document-titles*') ? 'active' : '' }}" href="{{ route('admin.document-titles.index') }}">Document Titles</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/trailer-groups*') ? 'active' : '' }}" href="{{ route('admin.trailer-groups.index') }}">Trailer Groups</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/truck-groups*') ? 'active' : '' }}" href="{{ route('admin.truck-groups.index') }}">Truck Groups</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <a href="{{ route('admin.app-center.index') }}" class="{{ Request::is('admin/app-center*') ? 'active' : '' }}">
                        App Center
                    </a>
                </li>
                <li>
                    <a href="{{ route('admin.invoice.index') }}" class="{{ Request::is('admin/invoice*') ? 'active' : '' }}">
                        Invoicing
                    </a>
                </li>
                <li>
                    <div class="dropdown">
                        <button
                            type="button"
                            class="btn btn-secondary dropdown-toggle {{ (
                                Request::is('admin/email-templates*') || 
                                Request::is('admin/pdf-templates*') 
                            ) ? 'active' : '' }}"
                            id="dropdownMaster"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">
                            Templates
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMaster">
                            <h6>Templates</h6>
                            <ul>
                                <li><a class="dropdown-item {{ Request::is('admin/email-templates*') ? 'active' : '' }}" href="{{ route('admin.email-templates.index') }}">Email Templates</a></li>
                                <li><a class="dropdown-item {{ Request::is('admin/pdf-templates*') ? 'active' : '' }}" href="{{ route('admin.pdf-templates.index') }}">Pdf Templates</a></li>
                            </ul>
                        </div>
                    </div>
                </li>
            </ul>
            <!-- <span class="copyright">Copyright 2021 CompelLabs</span> -->
        </div>
    </div>
</div>
