{{-- Request Document - START --}}
<div class="modal fade" id="requestDocument" tabindex="-1" role="dialog" aria-labelledby="requestDocumentModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-xl modal-dialog-centered modal-blue modal-billingNew modal-docReq" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="requestDocumentModalLabel">Documentation Request</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0"></label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="append-view"></div>
        </div>
    </div>
</div>
{{-- Request Document - END --}}

{{-- Upload Document - START --}}
<div class="modal fade" id="uploadBillingDocument" tabindex="-1" role="dialog" aria-labelledby="uploadBillingModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog  modal-dialog-centered modal-blue modal-billingNew modal-uploadBilling" role="document">
        <div class="modal-content">
            <div class="modal-body p-3">
                <p class="modal-bodyTitle">Upload Document</p>
                <div class="mb-3">
                    <input type="hidden" id="load-id" value="">
                    <input type="hidden" id="load-details-id" value="">
                    <input type="hidden" id="encrypt-id" value="">
                    <input type="hidden" id="load-document-details" value="">
                    <input type="hidden" id="parent-row-index" value="">
                    <input type="hidden" id="is-child-row" value="">
                    <div class="row g-8New">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Document Name</label>
                                {!! Form::text('document_Name', null, array('class' => 'form-control document-Name', 'placeholder' => 'Enter File name', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class=" col-md-6">
                            <div class="form-group">
                                <label>Stop Number</label>
                                <select class="form-control stop-number select2 fil-disabled"></select>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="uploadBilling-block">
                                <input class="file-input" type="file" name="document_upload" multiple>
                                <img src="{{ asset('theme/img/uploadBilling.png') }}" alt="icon">
                                <span class="file-message">Upload Documents</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row g-4 align-items-center">
                    <div class="col">
                        <div class="form-check">
                            {!! Form::checkbox('include_with_billing', 1, null, array('class' => 'form-check-input include-with-billing', 'id' => 'include-with-billing')) !!}
                            <label class="form-check-label ml-4" for="include-with-billing">Include w/Billing</label>
                        </div>
                    </div>
                    <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
                    <div class="col-auto"><button type="button" class="btn btn-bluefill upload-document">Upload</button></div>
                </div>
            </div>
        </div>
    </div>
</div>
{{-- Upload Document - END --}}

{{-- Add Document - START --}}
<div class="modal fade" id="addDocumentation" tabindex="-1" role="dialog" aria-labelledby="addDocumentationModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-xl  modal-dialog-centered modal-blue modal-billingNew modal-addDocumentation" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="addDocumentationModalLabel">Add Documentation</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0"></label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="append-view"></div>
        </div>
    </div>
</div>
{{-- Add Document - END --}}

{{-- Add Note - START --}}
<div class="modal  fade" id="addNote" tabindex="-1" role="dialog" aria-labelledby="addNoteModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-addNote" role="document">
        {!! Form::open(['autocomplete'  => 'off', 'name' => 'add-note-form', 'id' => 'add-note-form']) !!}
        <input type="hidden" id="load-detail-id" name="load_detail_id" value="">
        <div class="modal-content">
            <div class="modal-header d-block">
                <h5 class="modal-title" id="addNoteModalLabel">Add Note</h5>
            </div>
            <div class="modal-body p-3">
                <div class="row g-8New">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Type</label>
                            <select class="form-control select2" id="type" name="type" data-parsley-errors-container="#type-errors" required>
                                <option value="">Select </option>
                                <option value="Call">Call</option>
                                <option value="Email">Email</option>
                                <option value="Mail">Mail</option>
                                <option value="SMS">SMS</option>
                            </select>
                            <div id="type-errors"></div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Time</label>
                            <div class="position-relative">
                                <input type="text" class="form-control timePicker" id="time" name="time" placeholder="Time" required>
                                <img src=" {{ asset('theme/img/time-blue.png') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Date</label>
                            <div class="position-relative">
                                <input type="text" class="form-control datePicker" id="date" name="date" placeholder="Date" required>
                                <img src=" {{ asset('theme/img/calendar-blue.png') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Contact</label>
                            <input type="text" class="form-control" id="contact" name="contact" placeholder="Contact" required>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="form-group">
                            <label>Description</label>
                            <textarea class="form-control" rows="4" id="description" name="description" placeholder="Description" required></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-bluefill" id="save-note">Add</button>
            </div>
        </div>
        {!! Form::close() !!}
    </div>
</div>
{{-- Add Note - END --}}

{{-- Add Reminder - START --}}
<div class="modal fade" id="addReminder" tabindex="-1" role="dialog" aria-labelledby="addReminderModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-xl modal-dialog-centered modal-blue modal-billingNew modal-addReminder" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="requestDocumentModalLabel">Reminder</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0">Load No. <span id="load-number"></span></label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="append-view" style="width: 1140px;"></div>
        </div>
    </div>
</div>
{{-- Add Reminder - END --}}

{{-- Receive Payment - START --}}
<div class="modal fade" id="receivePayment" tabindex="-1" role="dialog" aria-labelledby="receivePaymentModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-receivePayment" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="receivePaymentModalLabel">Pay Invoice</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0">Load Number DTL-9827</label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="append-view"></div>
        </div>
    </div>
</div>
{{-- Receive Payment - END --}}

{{-- Add / Edit Payment Account - START --}}
<div class="modal fade" id="addEdit" tabindex="-1" role="dialog" aria-labelledby="addEditModalLabel" aria-hidden="true">
    <div class="modal-dialog   modal-dialog-centered modal-blue modal-billingNew modal-addEdit" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <h5 class="modal-title" id="addEditModalLabel">Add / Edit Account</h5>
            </div>
            <div class="append-view"></div>
        </div>
    </div>
</div>
{{-- Add / Edit Payment Account - START --}}

{{-- Create Payment Account - START --}}
<div class="modal fade" id="createAccount" tabindex="-1" role="dialog" aria-labelledby="createAccountModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-createAccount" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <h5 class="modal-title" id="createAccountModalLabel">Create Account</h5>
            </div>
            {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'create-payment-account-form', 'id' => 'create-payment-account-form']) !!}
            <input type="hidden" id="load-detail-id" name="load_detail_id" value="">
            <div class="modal-body p-3">
                <div class="form-group">
                    <label>Name</label>
                    {!! Form::text('account_name', null, array('class' => 'form-control', 'id' => 'account-name', 'placeholder' => 'Enter Account Name', 'required' => 'required')) !!}
                </div>
                <div class="form-group">
                    <label>Payment Type</label>
                    <select id="account-payment-type" name="account_payment_type" class="form-control select2AccountPaymentType" data-parsley-errors-container="#account-payment-type-errors" required>
                        <option value="">Select</option>
                        @foreach (brokerPaymentMethod() as $id => $paymentType)
                            <option value="{{ $id }}" data-icon="{{ $paymentType['icon'] }}">{{ $paymentType['text'] }}</option>
                        @endforeach
                    </select>
                    {{-- {!! Form::select('account_payment_type', ['' => 'Select'] + getPaymentTypes(), null, ['class' => 'form-control select2', 'id' => 'account-payment-type', 'data-parsley-errors-container' => '#account-payment-type-errors', 'required' => 'required']) !!} --}}
                    <div id="account-payment-type-errors"></div>
                </div>
                <div class="form-group">
                    <label>Expiration</label>
                    <div class="position-relative">
                        {!! Form::text('account_expiration', null, array('class' => 'form-control', 'id' => 'account-expiration', 'placeholder' => 'MM/YYYY', 'maxlength' => '7', 'required' => 'required')) !!}
                        {{--<img src=" http://127.0.0.1:8001/theme/img/calendar-blue.png" alt="icon">--}}
                    </div>
                </div>
                <div class="form-group">
                    <label>Account Number</label>
                    {!! Form::text('account_number', null, array('class' => 'form-control integer-input', 'id' => 'account-number', 'placeholder' => 'Enter Last 4 Digits', 'maxlength' => '4', 'required' => 'required')) !!}
                </div>
                <div class="form-check mb-2">
                    {!! Form::checkbox('set_active', 1, null, array('class' => 'form-check-input', 'id' => 'set-active')) !!}
                    <label class="form-check-label pl-1" for="set-active">Set as Active</label>
                </div>
                {{--
                <div class="form-check mb-2">
                    {!! Form::checkbox('remove_account', 1, null, array('class' => 'form-check-input', 'id' => 'remove-account')) !!}
                    <label class="form-check-label pl-1" for="remove-account">Remove Account</label>
                </div>
                --}}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-bluefill" id="createLoadPaymentAccount">Create</button>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>
{{-- Create Payment Account - END --}}

{{-- Edit Payment Account - START --}}
<div class="modal fade" id="editAccount" tabindex="-1" role="dialog" aria-labelledby="editAccountModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-blue modal-billingNew modal-editAccount" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <h5 class="modal-title" id="editAccountModalLabel">Edit Account</h5>
            </div>
            {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'edit-payment-account-form', 'id' => 'edit-payment-account-form']) !!}
            <input type="hidden" id="payment-account-id" name="payment_account_id" value="">
            <div class="modal-body p-3">
                <div class="form-group">
                    <label>Name</label>
                    {!! Form::text('account_name', null, array('class' => 'form-control', 'id' => 'edit-account-name', 'placeholder' => 'Enter Account Name', 'required' => 'required')) !!}
                </div>
                <div class="form-group">
                    <label>Payment Type</label>
                    <select id="edit-account-payment-type" name="account_payment_type" class="form-control select2AccountPaymentType" data-parsley-errors-container="#account-payment-type-errors" required>
                        <option value="">Select</option>
                        @foreach (brokerPaymentMethod() as $id => $paymentType)
                            <option value="{{ $id }}" data-icon="{{ $paymentType['icon'] }}">{{ $paymentType['text'] }}</option>
                        @endforeach
                    </select>
                    {{-- {!! Form::select('account_payment_type', ['' => 'Select'] + getPaymentTypes(), null, ['class' => 'form-control select2', 'id' => 'edit-account-payment-type', 'data-parsley-errors-container' => '#account-payment-type-errors', 'required' => 'required']) !!} --}}
                    <div id="account-payment-type-errors"></div>
                </div>
                <div class="form-group">
                    <label>Expiration</label>
                    <div class="position-relative">
                        {!! Form::text('account_expiration', null, array('class' => 'form-control', 'id' => 'edit-account-expiration', 'placeholder' => 'MM/YYYY', 'maxlength' => '7', 'required' => 'required')) !!}
                        {{--<img src=" http://127.0.0.1:8001/theme/img/calendar-blue.png" alt="icon">--}}
                    </div>
                </div>
                <div class="form-group">
                    <label>Account Number</label>
                    {!! Form::text('account_number', null, array('class' => 'form-control integer-input', 'id' => 'edit-account-number', 'placeholder' => 'Enter Last 4 Digits', 'maxlength' => '4', 'required' => 'required')) !!}
                </div>
                <div class="form-check mb-2">
                    {!! Form::checkbox('set_active', 1, null, array('class' => 'form-check-input', 'id' => 'edit-set-active')) !!}
                    <label class="form-check-label pl-1" for="edit-set-active">Set as Active</label>
                </div>
                <div class="form-check mb-2">
                    {!! Form::checkbox('remove_account', 1, null, array('class' => 'form-check-input', 'id' => 'edit-remove-account')) !!}
                    <label class="form-check-label pl-1" for="edit-remove-account">Remove Account</label>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-bluefill" id="saveLoadPaymentAccount">Save</button>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>
{{-- Edit Payment Account - END --}}
