<html>
<head>
    <style type="text/css">
        {{-- bootstrap4.min.css --}}
        {!! file_get_contents(public_path('/theme/css/bootstrap.min.css')) !!}

        {{-- dataTables.bootstrap4.min.css --}}
        {!! file_get_contents(public_path('/theme/css/dataTables.bootstrap4.min.css')) !!}

        @page {
            margin-top: 0.3in !important;
            margin-bottom: 0.3in !important
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="table-responsive">
            <table width="100%">
                <tr>
                    <td>
                        <table style="border: 1px solid #D8D8DD; width: 100%; height: 100%;">
                            <tr>
                                <td colspan="6">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="padding: 10px 10px 5px 10px">
                                                <span style="font-weight: 600;">{!! $invoiceData['company_name'] !!}</span><br>
                                                {!!  $invoiceData['company_address'] ?? '' !!}<br>
                                                <b>Phone:</b> {!! $invoiceData['company_phone'] ?? '' !!}
                                            </td>
                                            <td style="padding: 10px;border-bottom: 1px solid #D8D8DD;width: 150px;text-align: center;" rowspan="2">
                                                <table style="width: 100%;">
                                                    <tr>
                                                        <td style="text-align: right;font-weight: bold;padding-right: 10px;">Invoice Number</td>
                                                    </tr>
                                                    <tr>
                                                        <td style="font-size: 12px;font-weight: bold;text-align: right;padding-right: 50px;">
                                                            {!! $invoiceData['invoice_number'] !!}
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="padding-top: 10px;text-align: right;{{ ($loadInvoice->add_qr_code == '0') ? 'display:none;' : '' }}">
                                                            @if(!empty($invoiceData['company_logo']))
                                                                <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->merge($invoiceData['company_logo'], 0.90, true)->errorCorrection('H')->generate(route('company.admin.billing.invoice.show', ['id' => base64Encode($loadInvoice->id)]))) }}" alt="QrCode" style="width: 100%;height: calc(100% - 40px);object-fit: contain;object-position: top center;margin-bottom: 10px;" />
                                                            @else
                                                                <img src="data:image/png;base64, {{ base64_encode(QrCode::format('png')->style('dot')->eye('square')->size(300)->errorCorrection('H')->generate(route('company.admin.billing.invoice.show', ['id' => base64Encode($loadInvoice->id)]))) }}" alt="QrCode" style="width: 100%;height: calc(100% - 40px);object-fit: contain;object-position: top center;margin-bottom: 10px;" />
                                                            @endif
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding:  5px 10px 10px  10px;border-bottom: 1px solid #D8D8DD;">
                                                <table style="width: 100%;">
                                                    <tr>
                                                        <td style="width: 160px;"> Bill To: <br>
                                                            {!! $invoiceData['billing_address'] ?? '' !!}
                                                        </td>
                                                        <td style="padding-left: 10px;">
                                                        <span style="width: 45px;height: 45px;background: #FF6D10;border-radius: 50%;overflow: hidden;display: flex;align-items: center;justify-content: center;">
                                                            <img src="{{ asset('storage/companyAdmin/broker/customer_logo/'.$invoiceData['customer_logo']) }}" style="width: 100%;height: 100%;object-fit: cover;object-position: center center;" alt="logo">
                                                        </span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="padding: 10px;">
                                                <span style="font-weight: bold;">Origin:</span> <br>
                                                {!! $invoiceData['origin'] ?? '' !!}
                                            </td>
                                            <td style="padding: 10px;">
                                                <span style="font-weight: bold;">Destination:</span> <br>
                                                {!! $invoiceData['origin'] ?? '' !!}
                                            </td>
                                            <td style="padding: 10px;">
                                                <span style="font-weight: bold;">Commodity:</span> <br>
                                                {!! $invoiceData['commodity'] ?? '' !!}
                                            </td>
                                            <td style="padding: 10px;">
                                                <span style="font-weight: bold;">Weight:</span> <br>
                                                {!! $invoiceData['weight'] ?? '' !!} lbs
                                            </td>
                                            <td style="padding: 10px;">
                                                <span style="font-weight: bold;">Load Type:</span> <br>
                                                {!! $invoiceData['load_type'] ?? '' !!}
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td width="50%" style="font-weight: bold;padding: 10px 2px 2px 10px;" colspan="2">DESCRIPTION</td>
                                <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: center;">QUANTITY</td>
                                <td width="15%" style="font-weight: bold;padding: 15px 2px 2px 2px;text-align: right;">RATE</td>
                                <td width="20%" style="font-weight: bold;padding: 15px 15px 2px 2px;text-align: right;" colspan="2">AMOUNT</td>
                            </tr>
                            <tr>
                                <td style="padding: 2px 2px 2px 15px" colspan="2">Linehaul</td>
                                <td style="padding: 2px 2px 2px 2px;text-align: center;">1</td>
                                <td style="padding: 2px 2px 2px 2px;text-align: right;">{!! $invoiceData['line_haul_formatted'] !!}</td>
                                <td style="padding: 2px 15px 2px 2px;text-align: right;" colspan="2">{!! $invoiceData['line_haul_formatted'] !!}</td>
                            </tr>
                            <tr>
                                <td style="padding: 2px 2px 2px 15px" colspan="2">Fuel Surcharge</td>
                                @if($invoiceData['fuel_surcharge_rate_type'] == 1)
                                    <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['agreed_upon_rate_formatted'] !!}</td>
                                    <td style="padding: 2px 2px 2px 2px;text-align: right;">% {!! ((float)$invoiceData['fuel_surcharge_cost_per_mile']/100) !!}</td>
                                    <td style="padding: 2px 15px 2px 2px;text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                @else
                                    <td style="padding: 2px 2px 2px 2px;text-align: center;">{!! $invoiceData['loaded_miles_formatted'] !!}</td>
                                    <td style="padding: 2px 2px 2px 2px;text-align: right;">$ {!! $invoiceData['fuel_surcharge_cost_per_mile'] !!}</td>
                                    <td style="padding: 2px 15px 2px 2px;text-align: right;" colspan="2">{!! $invoiceData['fuel_surcharge_formatted'] !!}</td>
                                @endif
                            </tr>
                            @foreach($invoiceData['accessorial_and_detention'] as $accessorialAndDetention)
                                {!! $accessorialAndDetention !!}
                            @endforeach
                            <tr>
                                <td colspan="6" style="padding: 0;border-bottom: 1px solid #D8D8DD;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td colspan="3" style="padding: 10px;">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="font-weight: bold;padding: 1px 0;">NOTES:</td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: 600;padding: 1px 2px 2px 2px">
                                                {!! $invoiceData['invoice_notes'] !!}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: 500;padding: 2px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                                <td colspan="3" style="padding: 10px;vertical-align: top;">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="font-weight: bold;padding: 2px;">
                                                Linehaul
                                            </td>
                                            <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                {!! $invoiceData['line_haul_formatted'] !!}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: bold;padding: 2px;">
                                                Fuel
                                            </td>
                                            <td style="font-weight: bold;padding: 2px;text-align: right;">
                                                {!! $invoiceData['fuel_surcharge_formatted'] !!}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: bold;padding: 2px 2px 5px 2px;">
                                                Accessorials
                                            </td>
                                            <td style="font-weight: bold;padding: 2px 2px 5px 2px;text-align: right;">
                                                {!! $invoiceData['accessorial_amount_formatted'] !!}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;">
                                                Detention
                                            </td>
                                            <td style="font-weight: bold;padding: 2px 2px 5px 2px;border-bottom: 1px solid #D8D8DD;text-align: right;">
                                                {!! $invoiceData['detention_amount_formatted'] !!}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-weight: bold;padding: 5px 2px 2px 2px;">
                                                Invoice Total
                                            </td>
                                            <td style="font-weight: bold;padding: 5px 2px 2px 2px;text-align: right;">
                                                {!! $invoiceData['invoice_total_formatted'] !!}
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="font-weight: bold;padding:2px 2px 2px 15px ;">
                                    Remit Payment To:
                                </td>
                                <td colspan="2" rowspan="2" style="padding:10px;text-align: center;border-bottom: 1px solid #D8D8DD;">
                                    Thank
                                    you for your business!
                                </td>
                                <td colspan="2" rowspan="2" style="padding:10px;border-bottom: 1px solid #D8D8DD;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="padding: 0 2px 10px 15px ;border-bottom: 1px solid #D8D8DD;">
                                    {!! $invoiceData['factor_invoices'] !!}
                                </td>
                            </tr>
                            <tr>
                                <td colspan="6" style="border-bottom: 1px solid #D8D8DD;">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="font-size: 12px;padding: 10px 2px 1px 15px;font-weight: bold;">
                                                TERMS
                                            </td>
                                            <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                INVOICE DATE
                                            </td>
                                            <td style="font-size: 12px;padding: 10px 2px 1px 2px;font-weight: bold;">
                                                DUE DATE
                                            </td>
                                            <td style="font-size: 12px;padding: 10px 15px 1px 2px;font-weight: bold;background: #e8effd;text-align: right;">
                                                BALANCE DUE
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding: 1px 4px 4px 15px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-payments-terms-days">Net 30 Days</td>
                                            <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-invoice-date">{!! $invoiceData['invoice_date'] !!}</td>
                                            <td style="padding: 1px 4px 4px 2px;font-weight: bold;font-size: 16px;white-space:nowrap" id="pdf-due-date">{!! $invoiceData['due_date'] !!}</td>
                                            <td style="padding: 1px 15px 4px 2px;font-weight: bold;font-size: 16px;background: #e8effd;text-align: right;white-space:nowrap">{!! $invoiceData['balance_due_formatted'] !!}</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="6" style="text-align: center ;font-size: 10px;padding: 10px 0px 8px 0px;font-weight: 600;">
                                    This invoice was created by DispatchPro Inc. Powered by the pro's at &nbsp;&nbsp;<img src="{{ (!empty($invoiceData['company_logo'])) ? asset(substr($invoiceData['company_logo'], strpos($invoiceData['company_logo'], 'storage'))) : '' }}" style="width:75px" alt="Logo"> <br>
                                    Pay this invoice at <a href="javascript:void(0);" style="color: #305F9C;text-decoration: none; text-transform: lowercase;">www.dispatchpro.com/payments</a>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
    </div>

    <script type="text/javascript">
        {!! file_get_contents(public_path('/theme/js/jquery.min.js')) !!}

        $(function (){
            let w = window;
            w.document.title = '{!! $invoiceData['invoice_number'] !!}';
            setTimeout(function(){
                w.print();
                //w.close();
            }, 50);
        });
    </script>
</body>
</html>
