<div class="pdfPreview-sidebarPdng text-center">
    <h6 class="mb-0"><b>Documents</b><span id="active-page-count"></span></h6>
</div>
<hr class="my-0">
<div class="custom-scrollbar">
    @php $i = 0; @endphp
    @foreach(collect($loadDocuments['merged_documents'])->sortBy([['file_verify', 'asc']])->toArray() as $loadDocument)
        @php
            $historyLastElement = (!empty($loadDocument['history'])) ? end($loadDocument['history']) : []; // get last element from history array
        @endphp
        @if($loadDocument['status'] == 'Complete')
            <div class="pdfPreview-sidebarPdng text-center">
                <input type="hidden" id="load-document" value="{{ json_encode($loadDocument) ?? '' }}">
                <div class="pdf-img {{ ($i == 0) ? 'active' : '' }}">
                    @if($loadDocument['type'] == '1')
                        <div class="pdf">
                            @if(in_array($loadDocument['source'], ['load_details', 'load_stops', 'load_document_request_items']))
                                <object data="{{ asset('storage/companyAdmin/load_detail_document/'.$loadDocument['file'][0]) ?? '' }}" type="application/pdf" width="100%" height="100%">
                                    <p>
                                        Your web browser doesn't have a PDF plugin.
                                        <a href="{{ asset('storage/companyAdmin/load_detail_document/'.$loadDocument['file'][0]) ?? '' }}">
                                            Click here to download the PDF file.
                                        </a>
                                    </p>
                                </object>
                            @elseif(in_array($loadDocument['source'], ['load_accessorials']))
                                <object data="{{ asset('storage/companyAdmin/gallery/'.$loadDocument['file']) ?? '' }}" type="application/pdf" width="100%" height="100%">
                                    <p>
                                        Your web browser doesn't have a PDF plugin.
                                        <a href="{{ asset('storage/companyAdmin/gallery/'.$loadDocument['file']) ?? '' }}">
                                            Click here to download the PDF file.
                                        </a>
                                    </p>
                                </object>
                            @elseif(in_array($loadDocument['source'], ['load_files']))
                                <object data="{{ asset('storage/companyAdmin/loadfile/'.$loadDocument['file'][0]) ?? '' }}" type="application/pdf" width="100%" height="100%">
                                    <p>
                                        Your web browser doesn't have a PDF plugin.
                                        <a href="{{ asset('storage/companyAdmin/loadfile/'.$loadDocument['file'][0]) ?? '' }}">
                                            Click here to download the PDF file.
                                        </a>
                                    </p>
                                </object>
                            @endif
                        </div>
                    @elseif($loadDocument['type'] == '2')
                        <div class="received mt-5">
                            <img src="{{ asset('theme/img/check-circle.png') }}" alt="icon">
                            <p class="mb-0 font-weight-bold">Mark as Received</p><span>By {{ $loadDocument['uploaded_by'] ?? '' }} on {{ $loadDocument['uploaded_at'] ?? '' }}</span>
                        </div>
                    @endif
                    @if(isset($loadDocument['file_verify']) && $loadDocument['file_verify'] == '1')
                        <a href="javascript:void(0);" class="btn btn-success">
                            <i class="fa fa-check ml-1" aria-hidden="true"></i> Approved
                        </a>
                    @elseif(isset($loadDocument['file_verify']) && $loadDocument['file_verify'] == '2')
                        @if(!empty($historyLastElement) && isset($historyLastElement['uploaded_at']))
                            <a href="javascript:void(0);" class="btn btn-danger">
                                <i class="fa fa-times" aria-hidden="true"></i> Rejected
                            </a>
                        @elseif(!empty($historyLastElement) && isset($historyLastElement['requested_at']))
                            <a href="javascript:void(0);" class="btn btn-danger">
                                <i class="fa fa-spinner" aria-hidden="true"></i> Rejected
                            </a>
                        @endif
                    @else
                        <a href="javascript:void(0);" class="btn btn-danger">
                            <i class="fa fa-clock-o" aria-hidden="true"></i> Pending
                        </a>
                    @endif
                </div>
                @if($loadDocument['type'] == '1')
                    @if(in_array($loadDocument['source'], ['load_details', 'load_stops', 'load_document_request_items']))
                        <h6 class="mb-0" data-page-count="{{ getPdfPageCount(public_path('storage\\companyAdmin\\load_detail_document\\'.$loadDocument['file'][0])) ?? 0 }}">
                            {{ $loadDocument['stop']['name'] ?? '' }}: {{ $loadDocument['filename'] ?? '' }} <br> (Page {{ getPdfPageCount(public_path('storage\\companyAdmin\\load_detail_document\\'.$loadDocument['file'][0])) ?? 0 }})
                        </h6>
                    @elseif($loadDocument['source'] == 'load_accessorials')
                        <h6 class="mb-0" data-page-count="{{ getPdfPageCount(public_path('storage\\companyAdmin\\gallery\\'.$loadDocument['file'])) ?? 0 }}">
                            {{ $loadDocument['stop']['name'] ?? '' }}: {{ $loadDocument['filename'] ?? '' }} <br> (Page {{ getPdfPageCount(public_path('storage\\companyAdmin\\gallery\\'.$loadDocument['file'])) ?? 0 }})
                        </h6>
                    @elseif($loadDocument['source'] == 'load_files')
                        <h6 class="mb-0" data-page-count="{{ getPdfPageCount(public_path('storage\\companyAdmin\\loadfile\\'.$loadDocument['file'][0])) ?? 0 }}">
                            {{ $loadDocument['stop']['name'] ?? '' }}: {{ $loadDocument['filename'] ?? '' }} <br> (Page {{ getPdfPageCount(public_path('storage\\companyAdmin\\loadfile\\'.$loadDocument['file'][0])) ?? 0 }})
                        </h6>
                    @endif
                @elseif($loadDocument['type'] == '2')
                    <h6 class="mb-0">
                        {{ $loadDocument['stop']['name'] ?? '' }}: {{ $loadDocument['filename'] ?? '' }}
                    </h6>
                @endif
            </div>
            @if(!$loop->last) <hr class="my-0"> @endif
            @php $i++; @endphp
        @endif
    @endforeach
</div>
