@if(count($notesDetails) > 0)
    <table class="mt-0">
        @php $i=1; @endphp
        @foreach ($notesDetails as $key => $node)
        @php
        if(isset($node['documents']) && is_array($node['documents']) && !empty($node['documents'])){
            $documents = $node['documents'];
        }else{
            $documents = [];
        }
        @endphp
        <tr>
            <td>{{ $i }}</td>
            <td>
                @if(count($documents) > 0)
                    <a
                    href="javascript:void(0);"
                    data-toggle="modal"
                    data-target="#loadsdModal{{ $i }}"
                    title="{{$node['note']}}"
                    >
                    {{ strlen($node['note']) > 45 ?substr($node['note'], 0, 45) . "..." : $node['note'];  }}
                        </a>
                        <div class="modal fade teamModal" id="loadsdModal{{ $i }}" tabindex="-1" aria-labelledby="loadsdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadsdModalLabel">Attachments</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @foreach($documents as $document)
                                            @php
                                                //$file_path  = 'storage/companyAdmin/temp/'.$document;
                                                $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $document }}
                                                </a>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        <span  title="{{$node['note']}}">{{ strlen($node['note']) > 45 ?substr($node['note'], 0, 45) . "..." : $node['note'];  }}</span>       
                
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
    </table>
@else
    <p><strong>No Notes Found.</strong></p>
@endif