@extends($companyAdminTheme)

@section('title')
    Dispatch Hub
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .viewReason {
            color: #305F9C;
            font-size: 18px;
        }
        .prevLeft {
            position: relative;
            left: 0;
        }
        .prevRight {
            position: absolute;
            right: 0;
        }
        .table-blueBr tbody td {
            padding: 4px 8px !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
    </style>
    <style>
        .table-dishpatchHub .ui-widget {
            font-size: 14px;
            color: rgb(52 40 40 / 83%);
            border: 1px solid #97B8E3;
            width: 144px;
            height: 36px;
            padding: 3px 7px 4px 7px;
            border-radius: 10px;
            -moz-appearance: none;
            -webkit-appearance: none;
            appearance: none;
            background-size: auto;
            background: #fff no-repeat center right 10px;
        }
        .ui-menu-icons .ui-menu-item {
            padding-left: 1em !important;
        }
        option.avatar {
            background-repeat: no-repeat !important;
            padding-left: 20px;
        }
        .avatar .ui-icon {
            background-position: left top;
        }
        .ui-selectmenu-button .ui-button .ui-widget .ui-selectmenu-button-closed .ui-corner-all .ui-selectmenu-icon {
            rotate: 180deg;
        }
        .img-holder {
            position: relative;
            display: inline-block;
        }
        .img-holder p {
            top: 53%;
            left: 0;
            right: 0;
            position: absolute;
            transform: translate(0, -50%);
            text-align: center;
            color: #fff;
            text-shadow: 0 0 15px;
            font-size: 10px;
        }
        .btn-filter-applied {
            color: #fff !important;
            background-color: #FF6D10 !important;
        }
    </style>
    <style type="text/css">
        .lite-grey {
            background-color: #F1F3F6;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding .table thead {
            background-color: transparent;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul {
            overflow-y: hidden;
            overflow-x: auto;
            flex-wrap: nowrap;
            padding: 0 0px 0 12px;
            align-items: center;
            white-space: initial;
            height: auto;
            min-height: 53px;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul.heding li {
            font-family: 'Inter', sans-serif;
            color: #322727;
            font-size: 14px;
            line-height: 17px;
            font-weight: 600;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li {
            -ms-flex-preferred-size: 0;
            flex-basis: 0;
            -webkit-box-flex: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
            text-align: left;
            padding: 8px 4px !important;
            height: 100%;
            display: flex;
            align-items: center;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:first-of-type {
            max-width: 120px;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:nth-of-type(2) {
            max-width: 120px;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:nth-of-type(3) {
            max-width: 200px;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:nth-last-of-type(2) {
            max-width: none;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:last-of-type {
            max-width: 100px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li:last-of-type .btn {
            margin-right: 8px;
        }
        #completedLoadsDiv .ready-to-bill-inner-body {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            margin-bottom: 9px;
        }
        #completedLoadsDiv .ready-to-bill-inner-body li {
            font-family: 'Inter', sans-serif;
            font-size: 14px;
            line-height: 17px;
            color: #322727;
            font-weight: 400;
        }
        #completedLoadsDiv .ready-to-bill-inner-heding ul li a.btn-blue:hover img{
            filter: brightness(0) saturate(100%) invert(30%) sepia(9%) saturate(5668%) hue-rotate(181deg) brightness(101%) contrast(82%);
        }
        #completedLoadsDiv .dataTables_wrapper .btn{
            border-radius: 10px !important;
        }
    </style>
    <style type="text/css">
        .table-readyToBillDocReq {
            margin-top: -10px;
            margin-bottom: 12px;
            margin-left: 120px;
            width: auto;
            border: 1px solid #DADADE;
            border-radius:  10px;
            min-height: auto !important;
        }
        .table-readyToBillDocReq table {
            width: 100%;
            margin-top: 0 !important;
        }
        .table-readyToBillDocReq thead {
            background: transparent !important;
        }
        .dataTable .table-readyToBillDocReq thead::before ,
        .dataTable .table-readyToBillDocReq thead tr th:not(:last-child)::before {
            display: none;
        }
        .dataTable .table-readyToBillDocReq table thead tr:nth-child(1) th{
            color: #322727;
            font-weight: 600;
            border-bottom: 1px solid #D8D8DD !important;
            padding: 7px 8px !important;
        }
        .dataTable .table-readyToBillDocReq tr td {
            font-weight: normal;  padding: 5px 8px !important;
        }
    </style>
    <style type="text/css">
        .modal-readyToBillDocReq .modal-header label {
            font-size: 18px;
            font-weight: bold;
        }
        .modal-readyToBillDocReq .modal-body {
            font-family: 'Inter', sans-serif;
        }
        .modal-blue.modal-readyToBillDocReq .form-group {
            margin-bottom: 10px;
        }
        .modal-blue.modal-readyToBillDocReq .form-group:last-child {
            margin-bottom: 0;
        }
        .modal-readyToBillDocReq .form-group label {
            color: #616376;
            font-size: 14px;
            font-weight: bold;
            margin-bottom: 4px;
        }
        /* Select2 start */
        .modal-readyToBillDocReq .select2-container {
            width: 100% !important;
        }
        .modal-readyToBillDocReq .select2-container .select2-selection--single {
            height: 51px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .modal-readyToBillDocReq .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .modal-readyToBillDocReq .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 51px !important;
        }
        .modal-readyToBillDocReq .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 100%;
            width: 14px;
            right: 17px;
        }
        .modal-readyToBillDocReq .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 17px;
            padding-right: 33px;
            /*font-weight: 600;*/
            /*color: #616376;*/
            color: #444 !important;
            font-size: 14px !important;
            font-weight: 400 !important;
        }
        .modal-readyToBillDocReq .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        .modal-readyToBillDocReq .select2-container--default .select2-selection--single .select2-selection__arrow b {
            border-top-color: #305F9C;
            border-width: 7px 7px 0 7px;
            margin-left: 0;
            left: 0;
        }
        /* Select2 end */
        .modal-readyToBillDocReq p.address {
            color: #000000;
            font-size: 16px;
            margin-bottom: 27px;
        }
        .modal-readyToBillDocReq .form-control {
            color: #616376 !important;
            font-size: 14px;
            font-weight: 600 !important;
            padding: 14px 17px;
            border-color: #D8D8DD;
            border-radius: 10px;
            height: auto;
        }
        .modal-readyToBillDocReq .modal-footer {
            color: #616376;
            font-size: 14px;
            font-family: 'Inter', sans-serif;
        }
        .modal-readyToBillDocReq .modal-footer label {
            font-weight: 600;
            margin-bottom: 0;
        }
        .modal-readyToBillDocReq .btn-bluefill {
            color: #fff;
            background: #305F9c;
            border-color: #305F9c;
        }
        .modal-readyToBillDocReq .btn-bluefill:hover {
            color: #305F9c;
            background: #fff;
        }
        .modal-readyToBillDocReq .form-check-label {
            margin-bottom: 0;
            color: #000000;
            font-size: 12px;
            font-weight: 600;
        }
        /* History table start */
        .table-readyToBillDocReqModal {
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
        }
        .table-readyToBillDocReqModal table {
            margin-top: 0 !important;
            width: 100%;
        }
        .table-readyToBillDocReqModal th,
        .table-readyToBillDocReqModal td {
            padding: 8px 7px;
            border-bottom: 1px solid #CCCCCC;
        }
        .table-readyToBillDocReqModal tr:last-child td {
            border-bottom: 0;
        }
        .table-readyToBillDocReqModal th {
            color: #000000;
            font-size: 12px;
            font-weight: 600;
        }
        .table-readyToBillDocReqModal td {
            color: #616376;
            font-size: 10px;
            font-weight: 500;
        }
        /* History table end */
        /* History button start */
        .readyToBillDocReqHistory-button {
            color: #305F9C;
            font-size: 14px;
            font-weight: 600;
            padding: 0;
            border: 0;
            background: transparent;
        }
        .readyToBillDocReqHistory-button i {
            transition: all .5s;
        }
        .readyToBillDocReqHistory-button+.table-responsive {
            margin-top: 9px;
        }
        .readyToBillDocReqHistory-button.active i {
            transform: rotate(180deg);
        }
        /* History button end */
    </style>
@endsection

@section('content')
    {{---------- New Functionality ----------}}
    <div class="text-right dispatchHub-addBtn">
        <div class="dropdown dropdown-blue-theme btn-widget-2 dropleft">
            <a class="btn btn-blue dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                Add Widget
            </a>
            <form class="dropdown-menu p-0">
                <div class="arrow">
                    <div class="dropdown-hedding">
                        <div>
                            <h6 class="">Select Widgets</h6>
                            <span>Select Up To 5</span>
                        </div>
                    </div>
                    <div class="dropdown-body">
                        @if(count($counterWidgetsList) > 0)
                            <ul id="counterSortable">
                                @foreach($counterWidgetsList as $widgets)
                                    <li class="widgets-item drag-drop" data-index="{{ $widgets['display_no'] }}" data-name="{{ $widgets['widget_name'] }}">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="chk_{{ $loop->index }}" value="1" {{ ($widgets['isActive'] == '1') ? 'checked' : '' }}>
                                                <label class="form-check-label" for="chk_{{ $loop->index }}">{{ $widgets['widget_name'] }}</label>
                                            </div>
                                            <img src="{{ asset($widgets['icon']) }}" class="img-fluid float-right" alt="">
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        @else
                            <h5 class="m-0 mt-3 text-center text-black font-weight-bold">No found widgets</h5>
                        @endif
                    </div>
                </div>
                <hr class="dropdown-divider">
                <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                    <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                    @if(count($counterWidgetsList) > 0)
                        <button type="button" class="btn btn-blue btn-filter updateCounterFilter">Filter Selected</button>
                    @endif
                </div>
            </form>
        </div>
    </div>

    <div class="dispatchHubNew-block">
        <div class="row" id="dispatchHubCounterDiv" style="{{ (count($counterWidgetsList) == 0) ? 'display: block;' : '' }}">
            @if(count($counterWidgetsList) > 0)
                @foreach($counterWidgetsList as $widgets)
                    @if($widgets['isActive'] == '1')
                        <div class="col-xl-3 col-md-4 col-sm-6">
                            <div class="dispatchHubNew-box">
                                <div>
                                    <h2>{{ $widgets['count'] }}</h2>
                                    <p>{{ $widgets['widget_name'] }}</p>
                                </div>
                                <div><img src="{{ asset($widgets['icon']) }}" alt="Icon"></div>
                            </div>
                        </div>
                    @endif
                @endforeach
            @else
                <h5 class="mb-5 mt-5 text-center text-black font-weight-bold">No found widgets</h5>
            @endif
        </div>
    </div>

    <div class="dispatchHubNew-btn">
        <ul class="cust-select-2">
            <li>
                <div class="dropdown">
                    <a class="btn btn-filter-applied d-none" href="javascript:void(0);" role="button" id="btnClearFilter"> Clear filters</a>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnTeamFilter">
                        Team <img src="{{ asset('theme/images/team.svg') }}" class="" alt="Team" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Team</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTeamList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_team" value="1">
                                                    <label class="form-check-label" for="select_all_team">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTeamList() as $teamId => $teamName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="team_{{ $teamId }}" value="{{ $teamId }}" {{ (isset($filters['teamArr']) && in_array($teamId, $filters['teamArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="team_{{ $teamId }}">{{ $teamName }}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h5 class="m-0 text-center text-black font-weight-bold">No found team</h5>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTeamList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnDispatcherFilter">
                        Dispatcher <img src="{{ asset('theme/images/headset.svg') }}" class="mr-2" alt="Dispatcher" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Dispatcher</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_dispatcher" value="1">
                                                    <label class="form-check-label" for="select_all_dispatcher">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id) as $dispatcherId => $dispatcherName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="dispatcher_{{ $dispatcherId }}" value="{{ $dispatcherId }}" {{ (isset($filters['dispatcherArr']) && in_array($dispatcherId, $filters['dispatcherArr']) ? 'checked' : '') }}>
                                                    <label class="form-check-label" for="dispatcher_{{ $dispatcherId }}">{{ $dispatcherName }}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any dispatcher</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnEquipmentFilter">
                        Equipment <img src="{{ asset('theme/images/compliance-equipment.svg') }}" class="" alt="Equipment" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Equipment</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTrailerTypeList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_equipment" value="1">
                                                    <label class="form-check-label" for="select_all_equipment">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTrailerTypeList() as $equipmentId => $equipmentName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="equipment_{{ $equipmentId }}" value="{{ $equipmentId }}" {{ (isset($filters['equipmentArr']) && in_array($equipmentId, $filters['equipmentArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="equipment_{{ $equipmentId }}">{{ $equipmentName }}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any equipment</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTrailerTypeList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnCarrierFilter">
                        Carrier <img src="{{ asset('theme/images/truck.svg') }}" class="" alt="Carrier" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Carrier</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getCarrierList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_carrier" value="1">
                                                    <label class="form-check-label" for="select_all_carrier">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getCarrierList() as $carrierId => $carrierName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="carrier_{{ $carrierId }}" value="{{ $carrierId }}" {{ (isset($filters['carrierArr']) && in_array($carrierId, $filters['carrierArr']) ? 'checked' : '') }}>
                                                    <label class="form-check-label" for="carrier_{{ $carrierId }}">{{ $carrierName }}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any carrier</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getCarrierList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
        </ul>
        <div class="d-inline-block">
            <div class="custom-control custom-switch-blue">
                <input type="checkbox" class="custom-control-input" name="mergeCompactView" id="mergeCompactView" value="1" {{ (!is_null($mergeCompactView) && $mergeCompactView  == '1') ? 'checked' : '' }}>
                <label class="custom-control-label" for="mergeCompactView"></label>
            </div>
            <p>Merge - Compact View</p>
        </div>
    </div>

    <div class="accordion dispatchHubNew-accordion mb-0" id="listingSortable">
        {{-- On Hold --}}
        <div class="card list-item" id="onHoldDiv" data-index="{{ $listingOrder[0]['display_no'] ?? '' }}" data-name="{{ $listingOrder[0]['name'] ?? 'On Hold' }}">
            <div class="card-header" id="headingOne">
                <button class="hold mr-15" type="button" data-toggle="collapse" data-target="#one-collapse" aria-expanded="true" aria-controls="one-collapse">
                    {{ $listingOrder[0]['name'] ?? 'On Hold'}} <span id="totalOnHoldLoads">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub1_table1" 
                        class="btn btn-orange clearAll filter_table_dispatchhub1 table_dispatchhub1 ml-2 d-none"
                        data-tablevariable="table1" 
                        data-tab="on-hold-load-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub1 table_dispatchhub1 ml-2 d-none"
                        data-tablevariable="table1" 
                        data-tab="on-hold-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal1">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="one-collapse" class="collapse show" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub on-hold-load-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub1')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub1')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{ $key }}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{ $key }}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub1_{{ $key }}_status columnFilter" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub1')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check01{{ $key }}">{{ config('settings.table_dispatchhub1')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- On Hold --}}

        {{-- Available Drivers --}}
        <div class="card list-item" id="availableDriversDiv" data-index="{{ $listingOrder[1]['display_no'] ?? '' }}" data-name="{{ $listingOrder[1]['name'] ?? 'Available Drivers' }}">
            <div class="card-header" id="headingTwo">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#two-collapse" aria-expanded="false" aria-controls="two-collapse">
                    {{ $listingOrder[1]['name'] ?? 'Available Drivers'}} <span id="totalAvailableDrivers">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub3_table3" 
                        class="btn btn-orange clearAll filter_table_dispatchhub3 table_dispatchhub3 ml-2 d-none"
                        data-tablevariable="table3" 
                        data-tab="available-drivers-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub3 table_dispatchhub3 ml-2 d-none"
                        data-tablevariable="table3" 
                        data-tab="available-drivers-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal3">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="two-collapse" class="collapse" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub table-avaDriver available-drivers-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField3 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub3')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub3')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{ $key }}_string" data-table="table3" data-modal="SearchByStringModal{{ $key }}table3"></i></th>
                                                @elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{ $key }}_date" data-table="table3" data-modal="SearchByDateModal{{ $key }}table3"></i></th>
                                                @elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub3_{{ $key }}_status columnFilter" data-table="table3" data-modal="SearchByStatusModal{{ $key }}table3"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModal3Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub3">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal3Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField3 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub3')[$key]['name']))
                                        @if(!in_array($key,$getField3Hide))
                                            <li class="ui-state-default">
                                                <div class="d-flex justify-content-between">
                                                    <div class="form-check">
                                                        <input type="hidden" value="0" name="field[{{ $key }}]">
                                                        <input class="form-check-input" type="checkbox" id="Check03{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                        <label class="form-check-label" for="Check03{{ $key }}">{{ config('settings.table_dispatchhub3')[$key]['name'] }}</label>
                                                    </div>
                                                    <i class="fa fa-align-justify drag-icon pt-1"></i>
                                                </div>
                                            </li>
                                        @endif
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Available Drivers --}}

        {{-- PrePlanned Loads --}}
        <div class="card list-item" id="prePlannedLoadsDiv" data-index="{{ $listingOrder[2]['display_no'] ?? '' }}" data-name="{{ $listingOrder[2]['name'] ?? 'PrePlanned Loads' }}">
            <div class="card-header" id="headingThree">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#three-collapse" aria-expanded="false" aria-controls="three-collapse">
                    {{ $listingOrder[2]['name'] ?? 'PrePlanned Loads'}} <span id="totalPlannedLoads">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub4_table4" 
                        class="btn btn-orange clearAll filter_table_dispatchhub4 table_dispatchhub4 ml-2 d-none"
                        data-tablevariable="table4" 
                        data-tab="planned-load-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub4 table_dispatchhub4 ml-2 d-none"
                        data-tablevariable="table4" 
                        data-tab="planned-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal4">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="three-collapse" class="collapse" aria-labelledby="headingThree">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub planned-load-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField4 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub4')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub4')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{ $key }}_string" data-table="table4" data-modal="SearchByStringModal{{ $key }}table4"></i></th>
                                                @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{ $key }}_date" data-table="table4" data-modal="SearchByDateModal{{ $key }}table4"></i></th>
                                                @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub4_{{ $key }}_status columnFilter" data-table="table4" data-modal="SearchByStatusModal{{ $key }}table4"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal4" tabindex="-1" role="dialog" aria-labelledby="exampleModal4Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub4">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal4Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField4 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub4')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub4')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- PrePlanned Loads --}}

        {{-- In Transit --}}
        <div class="card list-item" id="inTransitDiv" data-index="{{ $listingOrder[3]['display_no'] ?? '' }}" data-name="{{ $listingOrder[3]['name'] ?? 'In Transit' }}">
            <div class="card-header" id="headingFour">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#four-collapse" aria-expanded="false" aria-controls="four-collapse">
                    {{ $listingOrder[3]['name'] ?? 'In Transit'}} <span id="totalInTransitLoads">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub2_table2" 
                        class="btn btn-orange clearAll filter_table_dispatchhub2 table_dispatchhub2 ml-2 d-none"
                        data-tablevariable="table2" 
                        data-tab="in-transit-loads-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub2 table_dispatchhub2 ml-2 d-none"
                        data-tablevariable="table2" 
                        data-tab="in-transit-loads-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal2">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="four-collapse" class="collapse" aria-labelledby="headingFour">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub in-transit-loads-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField2 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub2')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub2')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{ $key }}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                                @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{ $key }}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                                @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub2_{{ $key }}_status columnFilter" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField2 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub2')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check02{{ $key }}">{{ config('settings.table_dispatchhub2')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- In Transit --}}

        {{-- Available Loads --}}
        <div class="card list-item" id="availableLoadsDiv" data-index="{{ $listingOrder[4]['display_no'] ?? '' }}" data-name="{{ $listingOrder[4]['name'] ?? 'Available Loads' }}">
            <div class="card-header" id="headingFive">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#five-collapse" aria-expanded="false" aria-controls="five-collapse">
                    {{ $listingOrder[4]['name'] ?? 'Available Loads'}} <span id="totalAvailableLoads">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub5_table5" 
                        class="btn btn-orange clearAll filter_table_dispatchhub5 table_dispatchhub5 ml-2 d-none"
                        data-tablevariable="table5" 
                        data-tab="available-load-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub5 table_dispatchhub5 ml-2 d-none"
                        data-tablevariable="table5" 
                        data-tab="available-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal5">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="five-collapse" class="collapse" aria-labelledby="headingFive">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub available-load-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField5 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub5')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub5')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{ $key }}_string" data-table="table5" data-modal="SearchByStringModal{{ $key }}table5"></i></th>
                                                @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{ $key }}_date" data-table="table5" data-modal="SearchByDateModal{{ $key }}table5"></i></th>
                                                @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub5_{{ $key }}_status columnFilter" data-table="table5" data-modal="SearchByStatusModal{{ $key }}table5"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal5" tabindex="-1" role="dialog" aria-labelledby="exampleModal5Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub5">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal5Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField5 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub5')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check05{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check05{{ $key }}">{{ config('settings.table_dispatchhub5')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Available Loads --}}

        {{-- Ready To Bill --}}
        <div class="card list-item" id="completedLoadsDiv" data-index="{{ $listingOrder[6]['display_no'] ?? '' }}" data-name="{{ $listingOrder[6]['name'] ?? 'Ready To Bill' }}">
            <div class="card-header" id="headingSeven">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#seven-collapse" aria-expanded="false" aria-controls="seven-collapse">
                    {{ $listingOrder[6]['name'] ?? 'Ready To Bill'}} <span id="totalCompletedLoads">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub6_table6" 
                        class="btn btn-orange clearAll filter_table_dispatchhub6 table_dispatchhub6 ml-2 d-none"
                        data-tablevariable="table6" 
                        data-tab="completed-load-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub6 table_dispatchhub6 ml-2 d-none"
                        data-tablevariable="table6" 
                        data-tab="completed-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal6">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="seven-collapse" class="collapse" aria-labelledby="headingSeven">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub completed-load-data-table">
                            <thead>
                                <tr>
                                    <th></th>
                                    @foreach($getField6 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub6')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub6')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub6')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub6')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub6_{{ $key }}_string" data-table="table6" data-modal="SearchByStringModal{{ $key }}table6"></i></th>
                                                @elseif( config('settings.table_dispatchhub6')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub6')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub6_{{ $key }}_date" data-table="table6" data-modal="SearchByDateModal{{ $key }}table6"></i></th>
                                                @elseif( config('settings.table_dispatchhub6')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_dispatchhub6')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub6_{{ $key }}_status columnFilter" data-table="table6" data-modal="SearchByStatusModal{{ $key }}table6"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub6')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal6" tabindex="-1" role="dialog" aria-labelledby="exampleModal6Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub6">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal6Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField6 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub6')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check06{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check06{{ $key }}">{{ config('settings.table_dispatchhub6')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Ready To Bill --}}

        {{-- All Dispatch --}}
        <div class="card list-item" id="allDispatchDiv" data-index="{{ $listingOrder[5]['display_no'] ?? '' }}" data-name="{{ $listingOrder[5]['name'] ?? 'All Dispatch' }}">
            <div class="card-header" id="headingSix">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#six-collapse" aria-expanded="false" aria-controls="six-collapse">
                    {{ $listingOrder[5]['name'] ?? 'All Dispatch'}} <span id="totalAllDispatch">00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a 
                        href="javascript:void(0);" 
                        id="clearAlltable_dispatchhub7_table7" 
                        class="btn btn-orange clearAll filter_table_dispatchhub7 table_dispatchhub7 ml-2 d-none"
                        data-tablevariable="table7" 
                        data-tab="all-dispatch-data-table"> Clear filters</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-primary refreshAll refresh_table_dispatchhub7 table_dispatchhub7 ml-2 d-none"
                        data-tablevariable="table7" 
                        data-tab="all-dispatch-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a 
                        href="javascript:void(0);" 
                        class="btn btn-blueTheme ml-2" 
                        data-toggle="modal" 
                        data-target="#exampleModal7">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg') }}" alt="icon"></div>
                </div>
            </div>
            <div id="six-collapse" class="collapse" aria-labelledby="headingSix">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub all-dispatch-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField7 as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub7')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub7')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub7_{{ $key }}_string" data-table="table7" data-modal="SearchByStringModal{{ $key }}table7"></i></th>
                                                @elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub7_{{ $key }}_date" data-table="table7" data-modal="SearchByDateModal{{ $key }}table7"></i></th>
                                                @elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub7_{{ $key }}_status columnFilter" data-table="table7" data-modal="SearchByStatusModal{{ $key }}table7"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal7" tabindex="-1" role="dialog" aria-labelledby="exampleModal7Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub7">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal7Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField7 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub7')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type="hidden" value="0" name="field[{{ $key }}]">
                                                    <input class="form-check-input" type="checkbox" id="Check07{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check07{{ $key }}">{{ config('settings.table_dispatchhub7')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- All Dispatch --}}
    </div>

    {{-- Modal --}}

    {{-- Hold Status --}}
    <div class="modal fade" id="holdStatus" tabindex="-1" role="dialog" aria-labelledby="holdStatusLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-holdStatus" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="holdStatusLabel">Hold Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#" id="holdStatusForm">
                        <input type="hidden" id="loadId" value="" />
                        <input type="hidden" id="listName" value="" />
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">On Hold Reason</label>
                                    {!! Form::select('reason_on_hold', ['' => 'Select Reason']+getNotificationReason(), null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">Subcategory</label>
                                    {!! Form::select('reason_on_hold_sub_category', ['' => 'Select Subcategory'], null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold_sub_category']) !!}
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-0">
                                    <label for="reason_on_hold_notes">Notes</label>
                                    <textarea class="form-control" id="reason_on_hold_notes" rows="7" required></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr cancelOnHoldStatus" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue updateOnHoldStatus">Save</button>
                </div>
            </div>
        </div>
    </div>
    {{-- Hold Status --}}

    {{-- View Reason --}}
    <div class="modal fade" id="viewReason" tabindex="-1" role="dialog" aria-labelledby="viewReasonLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-viewReason" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewReasonLabel">On Hold Reason</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    {{-- View Reason --}}

    {{-- Load Comparison View --}}
    <div class="modal fade" id="loadCompare" role="dialog" aria-labelledby="loadCompareLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-xl modal-dialog-centered modal-dishpatch modal-loadCompare" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="loadCompareLabel">Load Comparison View</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    {{-- Load Comparison View --}}

    @include('companyAdmin.dispatchHub.modal.availableDriver')

    {{-- Modal --}}
    {{---------- New Functionality ----------}}
@endsection

@section('modal')
    <div class="modal fade" id="documentListModal" tabindex="-1" role="dialog" aria-labelledby="documentListLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="documentListLabel">Document List</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-left mulimagbu append-view">
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="readyToBillDocReqModal" role="dialog" aria-labelledby="readyToBillDocReqModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dialog-centered modal-blue modal-addLoad modal-docReq modal-readyToBillDocReq" role="document">
            <div class="modal-content">
                <div class="modal-header d-block">
                    <div class="row justify-content-between">
                        <div class="col-auto">
                            <h5 class="modal-title" id="readyToBillDocReqModalLabel"></h5>
                        </div>
                        <div class="col-auto">
                            <div class="d-flex align-items-center">
                                <label class="text-white mb-0"></label>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">×</span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="append-view">
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function initializeStatusWidget() {
            $.widget( "custom.selectmenu", $.ui.selectmenu, {
                _setText: function( element, value ) {
                    if(value == "Pending"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Pending') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Preplaned"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Preplaned') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Confirmed"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Confirmed') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "In Transit"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('In Transit') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "On Hold"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('On Hold') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else{
                        element.text(value);
                    }
                },
                _renderItem: function( ul, item ) {
                    let li = $( "<li>" ),
                        wrapper = $("<div>", { text: item.label } );
                    if (item.disabled) {
                        li.addClass( "ui-state-disabled" );
                    }
                    $("<span>", {
                        style: item.element.attr("data-style"),
                        "class": "ui-icon " + item.element.attr("data-class")
                    }).appendTo(wrapper);
                    return li.append(wrapper).appendTo(ul);
                }
            });

            $(".updateStatus").selectmenu({
                change: function( event, ui ) {
                    let status      = ui.item.value;
                    let loadId      = ui.item.element[0].attributes[3].value;
                    let dataTable   = ui.item.element[0].attributes[4].value;

                    //console.log(status, loadId, dataTable);

                    if(status == 7){
                        $("#holdStatus").modal('show');
                        $("#listName").val(dataTable);
                        $("#loadId").val(loadId);
                    }else{
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("company.admin.dispatch.update.load.status") !!}',
                            data: {
                                loadId:loadId,
                                status:status
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                        }).done(function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                                $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                                $('.planned-load-data-table').DataTable().ajax.reload(null, false);
                                $('.in-transit-loads-data-table').DataTable().ajax.reload(null, false);
                                $('.all-dispatch-data-table').DataTable().ajax.reload(null, false);
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        });
                    }
                    return false;
                }
            }).selectmenu("menuWidget").addClass("ui-menu-icons avatar");
        }
    </script>

    <script type="text/javascript">
        // On Hold Loads DataTable - START
        var onHoldLoadTable         = $('.on-hold-load-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.on.hold.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table1').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table1').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table1').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table1').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table1').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table1').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table1').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table1').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table1').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table1').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table1').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table1').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table1').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table1').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table1').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table1').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table1').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}    = $("#conditionstatus_{{ $key }}_{{ $ke }}_table1:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}             = $('#is_status_condition_applied{{ $key }}_table1').val();
                        d.search_status_name_{{ $key }}                  = $('#statusOrgColName{{ $key }}_table1').val();
                        d.search_status_table_name_{{ $key }}            = $('#statusTableType{{ $key }}_table1').val();
                        d.search_status_sort_{{ $key }}                  = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}           = $("#statusOrderColName{{ $key }}_table1").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalOnHoldLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalOnHoldLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub1')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub1")[$key]["orderable"] == 1 && config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: [],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        $('.on-hold-load-data-table tbody').on('click', '.details-control', function () {
            var tr                  = $(this).closest('tr');
            var row                 = onHoldLoadTable.row(tr);
            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(onHoldLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        function onHoldLoadChildRows(rowData){
            let div                 = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.on.hold.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });
            return div;
        }
        // On Hold Loads DataTable - END
     </script>
     <script type="text/javascript">
        // Available Drivers DataTable - START
        var availableDriversTable   = $('.available-drivers-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.available.drivers.list') }}",
                data: function (d) {
                    <?php foreach($getField3 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table3').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table3').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table3').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table3').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table3').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table3').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table3').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table3').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table3').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table3').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table3').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table3').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table3').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table3').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table3').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table3').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table3').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table3:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table3').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table3').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table3').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table3").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableDrivers").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableDrivers").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField3 as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_dispatchhub3')[$key]['name'])): ?>
                                <?php if(config("settings.table_dispatchhub3")[$key]["orderable"] == 1 && config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["orderable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
            ],
            order: [],
            createdRow: function (row, data, index) {
                $(row).attr('data-id', data.id);
            }
        });

        $('.available-drivers-data-table tbody').on('click', '.details-control', function () {
            var tr                  = $(this).closest('tr');
            var row                 = availableDriversTable.row(tr);
            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
            } else {
                row.child(availableDriversChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
            }
        });

        function availableDriversChildRows(rowData) {
            let div                 = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.available.drivers.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });
            return div;
        }
        // Available Drivers DataTable - END
    </script>
    <script type="text/javascript">
        // Planned Loads DataTable - START
        var plannedLoadTable        = $('.planned-load-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.planned.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField4 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table4').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table4').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table4').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table4').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table4').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table4').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table4').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table4').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table4').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table4').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table4').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table4').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table4').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table4').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table4').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table4').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table4').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table4:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table4').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table4').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table4').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table4").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalPlannedLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalPlannedLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                <?php foreach($getField4 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub4')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub4")[$key]["orderable"] == 1 && config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: [],
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey){
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function() {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField4)) !!}).html('loading...');
                            },
                            success: function(response) {
                                if(response.stops.length > 0){
                                    $format         = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField4)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            },
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        $('.planned-load-data-table tbody').on('click', '.details-control', function () {
            var tr                  = $(this).closest('tr');
            var row                 = plannedLoadTable.row(tr);
            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(plannedLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        function plannedLoadChildRows(rowData) {
            let div                 = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.planned.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }
        // Planned Loads DataTable - END
    </script>
    <script type="text/javascript">
        // In Transit Loads DataTable - START
        var inTransitLoadTable      = $('.in-transit-loads-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.in.transit.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField2 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table2').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table2').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table2').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table2').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table2').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table2').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table2').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table2').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table2').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table2').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table2').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table2').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table2').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table2').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table2').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table2').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table2').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table2:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table2').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table2').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table2').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table2").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalInTransitLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalInTransitLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                <?php foreach($getField2 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub2')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub2")[$key]["orderable"] == 1 && config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: [],
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField2)) !!}).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField2)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            },
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        $('.in-transit-loads-data-table tbody').on('click', '.details-control', function () {
            var tr                  = $(this).closest('tr');
            var row                 = inTransitLoadTable.row(tr);
            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(inTransitLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        function inTransitLoadChildRows(rowData) {
            let div                 = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.in.transit.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });
            return div;
        }
        // In Transit Loads DataTable - END
    </script>
    <script type="text/javascript">
        // Available Loads DataTable - START
        var availableLoadTable      = $('.available-load-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.available.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField5 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table5').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table5').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table5').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table5').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table5').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table5').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table5').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table5').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table5').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table5').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table5').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table5').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table5').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table5').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table5').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table5').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table5').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table5:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table5').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table5').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table5').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table5").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                <?php foreach($getField5 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub5')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub5")[$key]["orderable"] == 1 && config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: []
        });
        // Available Loads DataTable - END
    </script>
    <script type="text/javascript">
        // Completed Loads DataTable - START
        var completedLoadTable      = $('.completed-load-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.completed.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField6 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table6').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table6').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table6').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table6').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();

                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table6').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table6').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table6').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table6').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table6').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table6').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table6').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table6').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table6').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table6').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table6').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table6').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table6').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table6:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table6').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table6').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table6').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table6").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalCompletedLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalCompletedLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                {
                    className: '',
                    orderable: false,
                    searchable: false,
                    data: null,
                    defaultContent: '<div class="round-icon details-control"><i class="fa fa-caret-down" aria-hidden="true"></i></div>'
                },
                <?php foreach($getField6 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub6')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub6")[$key]["orderable"] == 1 && config("settings.table_dispatchhub6")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub6")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub6")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: [],
            createdRow: function(row, data, index) {
                $(row).attr('data-id', data.id); // Load Detail id

                // Make an AJAX request to get the detailed information
                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/billing-status',
                    type: 'POST',
                    data: {
                        id: data.id // Load Detail id
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    async: true,
                    beforeSend: function () {
                        $(row).find('td.billing_status').html('Loading...');
                    },
                    success: function(response) {
                        if(response.success){
                            if(typeof response.status !== "undefined"){
                                if(response.status == 0){
                                    $(row).find('td.billing_status').html('<div class="text-danger">Missing Paperwork</div>');
                                }else{
                                    $(row).find('td.billing_status').html('<div class="text-success">Ready To Bill</div>');
                                }
                            }
                        }else{
                            // console.log(response.message);
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        // console.log('Failed to load data');
                    }
                });
            },
        });
        // Completed Loads DataTable - END

        // Add event listener for opening and closing details
        completedLoadTable.on('click', 'td .details-control', function (e) {
            var tr                  = $(e.target).closest('tr');
            var row                 = completedLoadTable.row(tr);
            if (row.child.isShown()) {
                // This row is already open - close it
                row.child.hide();

                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-up').addClass('fa-caret-down').removeClass('fa-caret-up');
            }
            else {
                // Open this row
                row.child('<div class="mt-5 mb-5"><p class="text-center">Please wait loading...</p></div>').show();

                tr.addClass('shown');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up').removeClass('fa-caret-down');

                // Make an AJAX request to get the detailed information
                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/child-row',
                    type: 'POST',
                    data: {
                        id: row.data().id // Load Detail id
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        // console.log('beforeSend');
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            // Format the child row with the received data
                            row.child(html).show();
                            row.child().find('td:first').addClass('py-0');
                        }else{
                            row.child('<div class="mt-5 mb-5"><p class="text-center">No data found</p></div>').show();
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        row.child('<div class="mt-5 mb-5"><p class="text-center">Oops! Something went wrong..</p></div>').show();
                    }
                });
            }
        });

        $(document).ready(function() {
            $('#documentListModal').on('hidden.bs.modal', function () {
                $('#documentListModal .modal-title').text('Document List');
                $('#documentListModal').find('.append-view').html('');
            });
        });
        $(document).on('click', '.ready-to-bill-inner-body a[data-documents]', function (event) {
            event.preventDefault();
            // console.log('Documents Details');
            // return false;

            var that                        = $(this);
            var name                        = that.attr('data-name');
            var path                        = that.attr('data-path');
            var documents                   = that.attr('data-documents');
            var html                        = '';
            try {
                var parsedDocuments         = JSON.parse(documents);
                if (Array.isArray(parsedDocuments)) {
                    // console.log("Valid JSON array:", parsedDocuments);
                    $.each(parsedDocuments, function(index, value) {
                        // List of common image file extensions
                        var imageExtensions = ['jpg', 'jpeg', 'png', 'gif'];
                        // Get the file extension from the file name
                        var fileExtension   = value.split('.').pop().toLowerCase();
                        // Check if the file extension is in the list of image extensions
                        if (imageExtensions.indexOf(fileExtension) !== -1) {
                            // console.log(value + ' is an image file.');
                            html            += `<a href="`+path+`/`+value+`" target="_blank" class="mb-3 d-block">
                                <img src="`+path+`/`+value+`" alt="`+value+`" class="img-fluid">
                            </a>`;
                        } else {
                            // console.log(value + ' is not an image file.');
                            html            += `<a href="`+path+`/`+value+`" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                `+value+`
                            </a>`;
                        }
                    });
                } else {
                    // console.log("Not a valid JSON array");
                }
            } catch (error) {
                // console.log('Invalid JSON string:', error.message);
                // List of common image file extensions
                var imageExtensions         = ['jpg', 'jpeg', 'png', 'gif'];
                // Get the file extension from the file name
                var fileExtension           = documents.split('.').pop().toLowerCase();
                // Check if the file extension is in the list of image extensions
                if (imageExtensions.indexOf(fileExtension) !== -1) {
                    // console.log(documents + ' is an image file.');
                    html                    += `<a href="`+path+`/`+documents+`" target="_blank" class="mb-3 d-block">
                        <img src="`+path+`/`+documents+`" alt="`+documents+`" class="img-fluid">
                    </a>`;
                } else {
                    // console.log(documents + ' is not an image file.');
                    html                    += `<a href="`+path+`/`+documents+`" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                        `+documents+`
                    </a>`;
                }
            }
            if(html!=''){
                $('#documentListModal .modal-title').text(name);
                $('#documentListModal').find('.append-view').html(html);
                setTimeout(function() {
                    $('#documentListModal').modal('show');
                }, 250);
            }
        });
        $(document).on('change', '.completed-load-data-table .dishpatchPlan-main .custom-file-input, .completed-load-data-table .dishpatchPlan-main .custom-control-input[type="checkbox"]', function(event) {
            event.preventDefault();
            // console.log('File change');
            // return false;

            var that                        = $(this);
            var currentUl                   = that.closest('.ready-to-bill-inner-body');

            var random_id                   = currentUl.attr('data-random_id');
            var jsonData                    = currentUl.attr('data-jsonString');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject              = JSON.parse(jsonData);

                var formData                = new FormData();
                formData.append('random_id', random_id);
                formData.append('jsonData', jsonData);

                if(that.hasClass('custom-file-input')){
                    var files               = that[0].files;
                    // Check if files are selected
                    if (files.length <= 0) {
                        return false;
                    }

                    if (typeof jsonObject.source !== "undefined") {
                        if($.inArray(jsonObject.source, ['load_cod_galleries','load_accessorials']) !== -1){
                            if(jsonObject.source == 'load_cod_galleries'){
                                if(files.length > 1){
                                    toastr.error('Please select one document.', 'Error Alert', {
                                        timeOut: 5000
                                    });
                                    return false;
                                }
                            }else{
                                for (var i = 0; i < files.length; i++) {
                                    var validExtensions = ['png','jpeg','jpg','gif'];
                                    var fileName        = files[i].name;
                                    var fileNameExt     = fileName.substr(fileName.lastIndexOf('.') + 1);
                                    if ($.inArray(fileNameExt, validExtensions) == -1){
                                        toastr.error('Only JPG/JPEG, PNG and GIF files are allowed.', 'Error Alert', {
                                            timeOut: 5000
                                        });
                                        return false;
                                    }
                                }
                            }
                        }
                    }

                    // Append files and additional data to FormData
                    for (var i = 0; i < files.length; i++) {
                        formData.append('files[]', files[i]);
                    }
                }else{
                    if (that.is(':checked')) {
                        formData.append('is_received', 'on');
                    }else{
                        formData.append('is_received', 'off');
                    }
                }

                $.ajax({
                    type: 'POST',
                    url: '/company-admin/dispatch-hub/completed-loads-list/file-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true);
                    },
                    success: function(response) {
                        if(response.success){
                            var shown       = 0;
                            if(currentUl.hasClass('shown')){
                                if (currentUl.next('div.table-readyToBillDocReq').length) {
                                    currentUl.next('div.table-readyToBillDocReq').remove();
                                }

                                currentUl.removeClass('shown');
                                shown       = 1;
                            }

                            // Create a new jQuery object from the new HTML content
                            var newUl       = $(response.html);
                            // Replace the current <ul> with the new <ul> at the same position
                            currentUl.replaceWith(newUl);

                            var enable      = 1; // by default enable
                            var closestDiv  = newUl.closest('.dishpatchPlan-main');
                            var documentsUl = closestDiv.find('ul[data-random_id]');
                            if(documentsUl.length > 0){
                                documentsUl.each(function(index, element) {
                                    if(!$(element).hasClass('lite-grey')){
                                        enable = 0; // disable button
                                        return false; // Stops the iteration
                                    }
                                });
                            }
                            if(enable == 1){
                                closestDiv.find('button.load-ready-to-bill').text('Ready To Bill');
                                closestDiv.find('button.load-ready-to-bill').prop('disabled', false);
                            } else {
                                closestDiv.find('button.load-ready-to-bill').text('Send to Billing');
                                closestDiv.find('button.load-ready-to-bill').prop('disabled', true);
                            }

                            if(shown == 1){
                                newUl.find('li a.history-button').trigger('click');
                            }

                            if(closestDiv.length > 0){
                                if(closestDiv.closest('tr').length > 0){
                                    var row = closestDiv.closest('tr').prev();
                                    if(row.length > 0 && row.hasClass('shown')){
                                        updateBillingStatus(row);
                                    }
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.completed-load-data-table .dishpatchPlan-main .remove-document', function (event) {
            event.preventDefault();
            // console.log('Remove document');
            // return false;

            var that                        = $(this);
            var currentUl                   = that.closest('.ready-to-bill-inner-body');

            var random_id                   = currentUl.attr('data-random_id');
            var jsonData                    = currentUl.attr('data-jsonString');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject              = JSON.parse(jsonData);

                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/file-remove',
                    type: 'POST',
                    data: {
                        random_id: random_id,
                        jsonData: jsonData // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.html('Remove &nbsp;<i class="fa fa-spinner" aria-hidden="true"></i>');
                    },
                    success: function(response) {
                        if(response.success){
                            var shown       = 0;
                            if(currentUl.hasClass('shown')){
                                if (currentUl.next('div.table-readyToBillDocReq').length) {
                                    currentUl.next('div.table-readyToBillDocReq').remove();
                                }

                                currentUl.removeClass('shown');
                                shown       = 1;
                            }

                            // Create a new jQuery object from the new HTML content
                            var newUl       = $(response.html);
                            // Replace the current <ul> with the new <ul> at the same position
                            currentUl.replaceWith(newUl);

                            var enable      = 1; // by default enable
                            var closestDiv  = newUl.closest('.dishpatchPlan-main');
                            var documentsUl = closestDiv.find('ul[data-random_id]');
                            if(documentsUl.length > 0){
                                documentsUl.each(function(index, element) {
                                    if(!$(element).hasClass('lite-grey')){
                                        enable = 0; // disable button
                                        return false; // Stops the iteration
                                    }
                                });
                            }
                            if(enable == 1){
                                closestDiv.find('button.load-ready-to-bill').text('Ready To Bill');
                                closestDiv.find('button.load-ready-to-bill').prop('disabled', false);
                            } else {
                                closestDiv.find('button.load-ready-to-bill').text('Send to Billing');
                                closestDiv.find('button.load-ready-to-bill').prop('disabled', true);
                            }

                            if(shown == 1){
                                newUl.find('li a.history-button').trigger('click');
                            }

                            if(closestDiv.length > 0){
                                if(closestDiv.closest('tr').length > 0){
                                    var row = closestDiv.closest('tr').prev();
                                    if(row.length > 0 && row.hasClass('shown')){
                                        updateBillingStatus(row);
                                    }
                                }
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.html('Remove');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#readyToBillDocReqModal').on('hidden.bs.modal', function () {
                // console.log('Document request modal hidden');
                $('#readyToBillDocReqModal .modal-title').text('');
                $('#readyToBillDocReqModal .modal-header label').text('');
                $('#readyToBillDocReqModal').find('.append-view').html('');
            });
            $('#readyToBillDocReqModal').on('show.bs.modal', function () {
                // console.log('Document request modal show');
                $('#readyToBillDocReqModal').find('.append-view').html(`
                    <div class="loadingdiv">
                        <img src="`+loadimg+`">
                    </div>
                `);
            });
        });
        $(document).on('click', '.completed-load-data-table .dishpatchPlan-main .request-document', function (event) {
            event.preventDefault();
            // console.log('Request document');
            // return false;

            var that                            = $(this);
            var currentUl                       = that.closest('.ready-to-bill-inner-body');

            var random_id                       = currentUl.attr('data-random_id');
            var jsonData                        = currentUl.attr('data-jsonString');

            var row                             = currentUl.closest('.dishpatchPlan-main').closest('tr').prev();
            if(jsonData && row && row.attr('data-id') !== undefined){
                // Parse JSON using vanilla JavaScript
                var jsonObject                  = JSON.parse(jsonData);

                var load_number                 = row.find('.load_number').text() ?? '';

                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/request-document',
                    type: 'POST',
                    data: {
                        random_id: random_id,
                        jsonData: jsonData // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#readyToBillDocReqModal .modal-title').text('Documentation Request');
                        $('#readyToBillDocReqModal .modal-header label').text('Load No. '+load_number);
                        $('#readyToBillDocReqModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#readyToBillDocReqModal').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#readyToBillDocReqModal #ṛeqDocFrm');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2-selectModal').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            width : '100%',
                                            placeholder: placeholderText,
                                            dropdownParent: $('#readyToBillDocReqModal')
                                        });
                                        $this.find('option:first').hide();
                                    });
                                    modalForm.find('.readyToBillDocReqHistory-button').trigger('click');
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('click', '.reqDoc-save-btn', function(event) {
            event.preventDefault();
            // console.log('reqDoc-save-btn');
            // return false;

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#readyToBillDocReqModal #ṛeqDocFrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());
                var random_id                   = paramsObject.random_id;
                if(random_id){
                    var currentUl               = $('ul.ready-to-bill-inner-body[data-random_id="'+random_id+'"]');
                    if(currentUl.length > 0){
                        // Get the checkbox value using jQuery
                        var checkboxValue       = $('#readyToBillDocReqModal #rtbdrm_include_w_billing').prop('checked');
                        // Determine the value to pass based on checkbox state
                        var valueToPass         = checkboxValue ? 'yes' : 'no';

                        var formData            = new FormData(form[0]);
                        formData.append('include_w_billing', valueToPass);

                        $.ajax({
                            type: 'POST',
                            url: '/company-admin/dispatch-hub/completed-loads-list/request-document-save',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            cache : false,
                            processData: false,
                            contentType: false,
                            beforeSend: function() {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                            success: function(response) {
                                if (response.success) {
                                    var shown   = 0;
                                    if(currentUl.hasClass('shown')){
                                        if (currentUl.next('div.table-readyToBillDocReq').length) {
                                            currentUl.next('div.table-readyToBillDocReq').remove();
                                        }

                                        currentUl.removeClass('shown');
                                        shown   = 1;
                                    }

                                    // Create a new jQuery object from the new HTML content
                                    var newUl   = $(response.html);
                                    // Replace the current <ul> with the new <ul> at the same position
                                    currentUl.replaceWith(newUl);

                                    if(shown == 1){
                                        newUl.find('li a.history-button').trigger('click');
                                    }

                                    var txt     = btnTxt;
                                    txt         = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                    toastr.success(
                                        txt+' successfully',
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                $('#readyToBillDocReqModal').modal('hide');
                                            }
                                        }
                                    );
                                } else {
                                    toastr.error(response.message, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                that.prop('disabled', false).html(btnTxt);
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }else{
                        toastr.error('Oops! Something went wrong..', 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                }else{
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                }
                return false;
            }
        });
        $(document).on('click', '.readyToBillDocReqHistory-button', function(event) {
            event.preventDefault();
            // console.log('readyToBillDocReqHistory-button');
            // return false;

            var that                            = $(this);
            var existingDiv                     = that.next('.table-responsive');
            var myTbody                         = existingDiv.find('tbody');
            // Checking content length
            var tbodyContentLength              = myTbody.children().length;
            if (tbodyContentLength === 0) {
                var form                        = $('#readyToBillDocReqModal #ṛeqDocFrm');
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());

                // Make an AJAX request to get the detailed information
                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/request-document-history',
                    type: 'POST',
                    data: {
                        random_id: paramsObject.random_id,
                        jsonData: paramsObject.jsonData // Load Document Data
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        that.removeClass('active');
                        that.next('.table-responsive').removeClass('d-none');

                        myTbody.html(`<tr><td colspan="7">Please wait loading...</td></tr>`);
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            myTbody.html(html);
                        }else{
                            myTbody.html(`<tr><td colspan="7">No data available in table</td></tr>`);
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        myTbody.html(`<tr><td colspan="7">Oops! Something went wrong..</td></tr>`);
                    }
                });
                return false;
            } else {
                if(that.hasClass('active')){
                    that.removeClass('active');
                    that.next('.table-responsive').removeClass('d-none');
                }else{
                    that.addClass('active');
                    that.next('.table-responsive').addClass('d-none');
                }
            }
        });
        $(document).on('click', '.completed-load-data-table .dishpatchPlan-main li a.history-button', function (event) {
            event.preventDefault();
            // console.log('history button');
            // return false;

            var that                            = $(this);
            var currentUl                       = that.closest('.ready-to-bill-inner-body');

            var random_id                       = currentUl.attr('data-random_id');
            var jsonData                        = currentUl.attr('data-jsonString');
            if(jsonData){
                // Parse JSON using vanilla JavaScript
                var jsonObject                  = JSON.parse(jsonData);

                var existingDiv                 = currentUl.next('div.table-readyToBillDocReq');
                if(currentUl.hasClass('shown')){
                    if (existingDiv.length) {
                        existingDiv.remove();
                    }

                    currentUl.removeClass('shown');
                }else{
                    currentUl.after(`
                        <div class="table-responsive table-readyToBillDocReq text-center">
                            <table>
                                <thead>
                                    <tr>
                                        <th>Request No.</th>
                                        <th>Request Time/Date</th>
                                        <th>Upload Time/Date</th>
                                        <th>Requested By</th>
                                        <th>Requested To</th>
                                        <th>Uploaded By</th>
                                        <th>Upload Type</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td colspan="7">Please wait loading...</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    `);
                    currentUl.addClass('shown');

                    // Get the div element that was added after currentUl
                    var addedDiv                = currentUl.next('.table-responsive');

                    // Make an AJAX request to get the detailed information
                    $.ajax({
                        url: '/company-admin/dispatch-hub/completed-loads-list/request-document-history',
                        type: 'POST',
                        data: {
                            random_id: random_id,
                            jsonData: jsonData // Load Document Data
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        beforeSend: function () {
                            // console.log('beforeSend');
                        },
                        success: function(response) {
                            var html    = response.html;
                            if(typeof html !== "undefined"){
                                addedDiv.find('tbody').html(html);
                            }else{
                                addedDiv.find('tbody').html(`<tr><td colspan="7">No data available in table</td></tr>`);
                            }
                        },
                        complete: function() {
                            // console.log('complete');
                        },
                        error: function(jqXHR, status, exception) {
                            addedDiv.find('tbody').html(`<tr><td colspan="7">Oops! Something went wrong..</td></tr>`);
                        }
                    });
                    return false;
                }
            }
        });
        $(document).on('click', '.completed-load-data-table .dishpatchPlan-main button.add-documentation', function (event) {
            event.preventDefault();
            // console.log('Add Documentation');
            // return false;

            var that                            = $(this);
            var row                             = that.closest('.dishpatchPlan-main').closest('tr').prev();
            if(row && row.attr('data-id') !== undefined){
                var id                          = row.attr('data-id');
                var load_number                 = row.find('.load_number').text() ?? '';
                var brokerage_name              = row.find('.brokerage_name').text()?.trim() || '';
                if(brokerage_name == ''){
                    toastr.error('Please select broker.', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                $.ajax({
                    url: '/company-admin/dispatch-hub/completed-loads-list/add-documentation',
                    type: 'POST',
                    data: {
                        id: id // Load Detail id
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#readyToBillDocReqModal .modal-title').text('Add Documentation');
                        $('#readyToBillDocReqModal .modal-header label').text('Load No. '+load_number);
                        $('#readyToBillDocReqModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                    success: function(response) {
                        var html    = response.html;
                        if(typeof html !== "undefined"){
                            $('#readyToBillDocReqModal').find('.append-view').html(html);
                            setTimeout(function() {
                                var modalForm   = $('#readyToBillDocReqModal #addDocFrm');
                                if(modalForm.length > 0){
                                    modalForm.find('.select2-selectModal').each(function() {
                                        var $this = $(this);
                                        var placeholderText = $this.find('option:first').text();
                                        $this.select2({
                                            allowClear: true,
                                            width : '100%',
                                            placeholder: placeholderText,
                                            dropdownParent: $('#readyToBillDocReqModal')
                                        });
                                        $this.find('option:first').hide();
                                    });
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        // console.log('complete');
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            }
        });
        $(document).on('change', '#readyToBillDocReqModal select[name="doc_req_stop_no"]', function() {
            var optionSelected                  = $("option:selected", this);
            var selectedValue                   = optionSelected.val();
            if(selectedValue != ''){
                var myArray                     = [];
                var name                        = optionSelected.attr('data-name');
                if (typeof name !== 'undefined' && name !== null && name.trim() !== '') {
                    myArray.push(name);
                }
                var customer_name               = optionSelected.attr('data-customer_name');
                if (typeof customer_name !== 'undefined' && customer_name !== null && customer_name.trim() !== '') {
                    myArray.push(customer_name);
                }
                var addresses                   = optionSelected.attr('data-addresses');
                if (typeof addresses !== 'undefined' && addresses !== null && addresses.trim() !== '') {
                    myArray.push(addresses);
                }
                var result                      = myArray.join('<br>');
                $('.modal-readyToBillDocReq p.address').html(result)
            }else{
                $('.modal-readyToBillDocReq p.address').html('')
            }
        });
        $(document).on('change', '#readyToBillDocReqModal select[name="doc_req_name_id"]', function() {
            var that                            = $(this);

            var optionSelected                  = $("option:selected", this);
            var selectedValue                   = optionSelected.val();
            var selectedText                    = '';
            if(selectedValue && selectedValue!='0'){
                selectedText                    = optionSelected.text();
            }

            if(selectedValue=='0'){
                that.closest('.form-group').find('#rtbdrm_doc_req_name').attr('type', 'text');
                that.closest('.form-group').find('#rtbdrm_doc_req_name').prop('required', true);
            }else{
                that.closest('.form-group').find('#rtbdrm_doc_req_name').attr('type', 'hidden');
                that.closest('.form-group').find('#rtbdrm_doc_req_name').prop('required', false);
            }
            that.closest('.form-group').find('#rtbdrm_doc_req_name').val(selectedText);

            if(optionSelected.attr('data-include_w_billing') == 'yes'){
                that.closest('.append-view').find('#rtbdrm_doc_req_include_w_billing').prop('checked', true);
            }else{
                that.closest('.append-view').find('#rtbdrm_doc_req_include_w_billing').prop('checked', false);
            }
        });
        $(document).on('change', '#readyToBillDocReqModal select[name="doc_req_driver_id"]', function() {
            doc_req_email_sms_contact();
        });
        $(document).on('change', '#readyToBillDocReqModal input[name="doc_req_email"], #readyToBillDocReqModal input[name="doc_req_sms"]', function() {
            doc_req_email_sms_contact();
        });
        $(document).on('click', '.addDoc-save-btn', function(event) {
            event.preventDefault();
            // console.log('addDoc-save-btn');
            // return false;

            var that                            = $(this);
            var btnTxt                          = that.text();

            var form                            = $('#readyToBillDocReqModal #addDocFrm');
            var parsley                         = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var paramsObject                = JSON.parse(form.find('input[name="params"]').val());
                var id                          = paramsObject.load_detail_id;
                if (typeof id === 'undefined') {
                    toastr.error('Oops! Something went wrong..', 'Error Alert', {
                        timeOut: 5000
                    });
                    return false;
                }

                // Get the checkbox value using jQuery
                var checkboxValue               = $('#readyToBillDocReqModal #rtbdrm_doc_req_include_w_billing').prop('checked');
                // Determine the value to pass based on checkbox state
                var valueToPass                 = checkboxValue ? 'yes' : 'no';

                var formData                    = new FormData(form[0]);
                formData.append('doc_req_include_w_billing', valueToPass);

                $.ajax({
                    type: 'POST',
                    url: '/company-admin/dispatch-hub/completed-loads-list/add-documentation-save',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if (response.success) {
                            var txt             = btnTxt;
                            txt                 = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                            toastr.success(
                                txt+' successfully',
                                'Success Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        var row = $('.completed-load-data-table').find('tbody tr.shown[data-id="'+id+'"]');
                                        if(row.length > 0){
                                            row.find('td .details-control').trigger('click').delay(100).trigger('click');
                                            updateBillingStatus(row);
                                        }
                                        $('#readyToBillDocReqModal').modal('hide');
                                    }
                                }
                            );
                        } else {
                            toastr.error(response.message, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            }
        });
        $(document).on('click', '.completed-load-data-table .dishpatchPlan-main button.load-ready-to-bill:not([disabled])', function(event) {
            event.preventDefault();
            // console.log('Ready To Bill');
            // return false;

            var that                            = $(this);
            var id                              = that.attr('data-id'); // Load detail id
            if(id){
                // Show confirmation dialog
                Swal.fire({
                    title: "Are you sure you want to change load status?",
                    icon: "warning",
                    showCancelButton: true,
                    reverseButtons: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes, change it!",
                    allowOutsideClick: false
                }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: '/company-admin/dispatch-hub/completed-loads-list/load-change-status',
                            type: 'POST',
                            data: {
                                id: id
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            beforeSend: function () {
                                // console.log('beforeSend');
                            },
                            success: function(response) {
                                if(response.success){
                                    var txt = that.text();
                                    txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                    toastr.success(
                                        txt+' successfully', // response.message,
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                $('.completed-load-data-table').DataTable().ajax.reload(null, false);
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            },
                            complete: function() {
                                // console.log('complete');
                            },
                            error: function(jqXHR, status, exception) {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                        return false;
                    }
                });
            }
        });
    </script>
    <script type="text/javascript">
        function updateBillingStatus(row){
            $.ajax({
                url: '/company-admin/dispatch-hub/completed-loads-list/billing-status',
                type: 'POST',
                data: {
                    id: row.attr('data-id') // Load Detail id
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function () {
                    row.find('td.billing_status').html('Loading...');
                },
                success: function(response) {
                    if(response.success){
                        if(typeof response.status !== "undefined"){
                            if(response.status == 0){
                                row.find('td.billing_status').html('<div class="text-danger">Missing Paperwork</div>');
                            }else{
                                row.find('td.billing_status').html('<div class="text-success">Ready To Bill</div>');
                            }
                        }
                    }else{
                        // console.log(response.message);
                    }
                },
                complete: function() {
                    // console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    // console.log('Failed to load data');
                }
            });
        }
        function doc_req_email_sms_contact(){
            var email                           = $('#readyToBillDocReqModal input[name="doc_req_email"]').is(':checked') ? true : false;
            var sms                             = $('#readyToBillDocReqModal input[name="doc_req_sms"]').is(':checked') ? true : false;
            if(email === true || sms ===  true){
                var optionSelected              = $('#readyToBillDocReqModal select[name="doc_req_driver_id"] option:selected');
                var selectedValue               = optionSelected.val();
                var selectedText                = optionSelected.text();

                var emailAttributeValue         = optionSelected.attr('data-email');
                if(typeof emailAttributeValue === "undefined" || emailAttributeValue === ""){
                    emailAttributeValue         = '';
                }
                var cellPhoneAttributeValue     = optionSelected.attr('data-cell_phone');
                if(typeof cellPhoneAttributeValue === "undefined" || cellPhoneAttributeValue === ""){
                    cellPhoneAttributeValue     = '';
                }

                var myObject                    = {};
                if(selectedValue){
                    myObject                    = {
                        id: selectedValue,
                        name: selectedText,
                        email: emailAttributeValue,
                        phone: cellPhoneAttributeValue
                    };
                }

                if($.isEmptyObject(myObject)){
                    $('#readyToBillDocReqModal .doc_req_send_contacts').html('');
                }else{
                    var addedObject                 = {};
                    var addedHtml                   = $('#readyToBillDocReqModal .doc_req_send_contacts');
                    addedHtml.find("tbody tr").each(function(index) {
                        var that                    = $(this);
                        addedObject['id']           = that.find('.send-driver_id').val();
                        if(typeof that.find('.send-email').val() !== 'undefined'){
                            addedObject['email']    = that.find('.send-email').val();
                        }
                        if(typeof that.find('.send-phone').val() !== 'undefined'){
                            addedObject['phone']    = that.find('.send-phone').val();
                        }
                    });

                    var driverId                    = myObject.id;
                    var driverName                  = myObject.name;
                    var emailval                    = myObject.email;
                    var phoneval                    = myObject.phone;
                    if ('id' in addedObject && addedObject.id === driverId) {
                        if(addedObject.hasOwnProperty('email') && addedObject.email !== undefined){
                            emailval                = addedObject.email;
                        }
                        if(addedObject.hasOwnProperty('phone') && addedObject.phone !== undefined){
                            phoneval                = addedObject.phone;
                        }
                    }

                    var html                        = '';

                    // Table thead
                    var thead                       = `<tr>
                        <th>#</th>
                        <th>Name</th>
                    `;
                    if(email === true && sms === true){
                        thead                       += `<th>Email</th><th>SMS</th>`;
                    } else if (email === true && sms === false) {
                        thead                       += `<th>Email</th>`;
                    } else {
                        thead                       += `<th>SMS</th>`;
                    }
                    thead                           += `</tr>`;

                    // Table tbody
                    var tbody                       = '';
                    var tr                          = `<tr>
                            <td>
                                <input type="hidden" class="send-driver_id" name="doc_req_send_driver_id" value="`+driverId+`">
                                1
                            </td>
                            <td>`+driverName+`</td>
                    `;
                    if(email === true && sms === true){
                        tr                          += `
                            <td>
                                <input type="email" class="form-control send-email" name="doc_req_send_email" value="`+emailval+`" required>
                            </td>
                            <td>
                                <input type="text" class="form-control send-phone phone" name="doc_req_send_phone" value="`+phoneval+`" required>
                            </td>`;
                    } else if (email === true && sms === false) {
                        tr                          += `
                            <td>
                                <input type="email" class="form-control send-email" name="doc_req_send_email" value="`+emailval+`" required>
                            </td>`;
                    } else {
                        tr                          += `
                            <td>
                                <input type="text" class="form-control send-phone phone" name="doc_req_send_phone" value="`+phoneval+`" required>
                            </td>`;
                    }
                    tr                              += `</tr>`;
                    tbody                           += tr;

                    // Div
                    html                            += `<div class="row">
                        <div class="col-12">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                        `+thead+`
                                    </thead>
                                    <tbody>
                                        `+tbody+`
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>`;

                    $('#readyToBillDocReqModal .doc_req_send_contacts').html(html);
                }
            }else{
                $('#readyToBillDocReqModal .doc_req_send_contacts').html('');
            }
        }
    </script>
    <script type="text/javascript">
        // All Dispatch - START
        var allDispatchLoadTable    = $('.all-dispatch-data-table').DataTable({
            stateSave: true,
            orderCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            fixedHeader: true,
            processing: true,
            serverSide: true,
            searching: false,
            ordering: false,
            info: false,
            paging: true,
            pageLength: 10,
            lengthChange: false,
            ajax: {
                url: "{{ route('company.admin.all.dispatch.loads.list') }}",
                data: function (d) {
                    <?php foreach($getField7 as $key => $filed): ?>
                        d.search_string_value_{{ $key }}                = $('#search_string_{{ $key }}_table7').val();
                        d.search_string_name_{{ $key }}                 = $('#stringKey{{ $key }}_table7').val();
                        d.search_string_type_{{ $key }}                 = $('#stringType{{ $key }}_table7').val();
                        d.search_table_name_{{ $key }}                  = $('#stringTableType{{ $key }}_table7').val();
                        d.search_string_condition_{{ $key }}            = $("input[type='radio'][name='condition{{ $key }}']:checked").val();
                        d.search_string_sort_{{ $key }}                 = $("input[type='radio'][name='string_sort_{{ $key }}']:checked").val();
                        
                        d.search_string_relation_table_{{ $key }}       = $('#stringRelationTable{{ $key }}_table7').val();
                        d.search_string_col_name1_{{ $key }}            = $('#stringColName1{{ $key }}_table7').val();
                        d.search_string_col_name2_{{ $key }}            = $('#stringColName2{{ $key }}_table7').val();
                        d.search_string_static_{{ $key }}               = $('#stringStatic{{ $key }}_table7').val();

                        d.search_string_having_{{ $key }}               = $('#stringHaving{{ $key }}_table7').val();

                        d.search_string_concatws_{{ $key }}             = $('#stringConcatws{{ $key }}_table7').val();
                        d.search_string_orcol2_{{ $key }}               = $('#stringOrCol2{{ $key }}_table7').val();
                        d.search_string_notnull_{{ $key }}              = $('#stringNotNull{{ $key }}_table7').val();

                        d.search_date_from_value_{{ $key }}             = $('#search_date_{{ $key }}_table7').val();
                        d.search_date_to_value_{{ $key }}               = $('#search_date_end_{{ $key }}_table7').val();
                        d.search_date_name_{{ $key }}                   = $('#dateKey{{ $key }}_table7').val();
                        d.search_date_type_{{ $key }}                   = $('#dateType{{ $key }}_table7').val();
                        d.search_date_table_name_{{ $key }}             = $('#dateTableType{{ $key }}_table7').val();
                        d.search_date_condition_{{ $key }}              = $("input[type='radio'][name='conditiondate{{ $key }}']:checked").val();
                        d.search_date_sort_{{ $key }}                   = $("input[type='radio'][name='date_sort_{{ $key }}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{ $key }}_{{ $ke }}   = $("#conditionstatus_{{ $key }}_{{ $ke }}_table7:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{ $key }}            = $('#is_status_condition_applied{{ $key }}_table7').val();
                        d.search_status_name_{{ $key }}                 = $('#statusOrgColName{{ $key }}_table7').val();
                        d.search_status_table_name_{{ $key }}           = $('#statusTableType{{ $key }}_table7').val();
                        d.search_status_sort_{{ $key }}                 = $("input[type='radio'][name='status_sort_{{ $key }}']:checked").val();
                        d.search_status_sort_column_{{ $key }}          = $("#statusOrderColName{{ $key }}_table7").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAllDispatch").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAllDispatch").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                <?php foreach($getField7 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub7')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub7")[$key]["orderable"] == 1 && config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub7")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            order: [],
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField7)) !!}).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField7)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            },
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        $('.all-dispatch-data-table tbody').on('click', '.details-control', function () {
            var tr                  = $(this).closest('tr');
            var row                 = allDispatchLoadTable.row(tr);
            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(allDispatchLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });

        function allDispatchLoadChildRows(rowData) {
            let div                 = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.all.dispatch.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }
        // All Dispatch - END
    </script>
    {{---------- New Functionality ----------}}
    <script type="text/javascript">
        function reArrangeIndexNo(type){
            var index = 1;

            if(type == 'counter'){
                $('#counterSortable .widgets-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }else if(type == 'listing'){
                $('#listingSortable .list-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }
        }

        function filterData(isReload, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr) {
            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.dispatch.filter.data") !!}',
                data: {
                    isMerge: isMerge,
                    teamArr: teamArr,
                    dispatcherArr: dispatcherArr,
                    equipmentArr: equipmentArr,
                    carrierArr: carrierArr,
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    if(isReload){
                        onHoldLoadTable.draw();
                        availableDriversTable.draw();
                        plannedLoadTable.draw();
                        inTransitLoadTable.draw();
                        availableLoadTable.draw();
                        allDispatchLoadTable.draw();
                        completedLoadTable.draw();
                    }
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function updateListingOrder(){
            let dataArr         = [];
            $('#listingSortable .list-item').each(function (key, val){
                let that        = $(this);
                let index       = that.attr('data-index');
                let itemName    = that.attr('data-name');
                dataArr.push({'displayNo': index, 'itemName': itemName});
            });

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.dispatch.listing.order") !!}',
                data: { dataArr: JSON.stringify(dataArr) },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function viewLoadComparison(driverId){
            $.ajax({
                type: 'POST',
                url: "{{ route('company.admin.dispatch.load.comparison.view') }}",
                data: { id: driverId },
                dataType: 'json',
                async: true,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if(response.success){
                        $("#loadCompare .modal-body").html('').html(response.htmlView);
                        $("#loadCompare").modal('show');
                    }
                },
            });
        }

        function changeBtnOnFilter() {
            if($("[id^='team_']").filter(':checked').length > 0 || $("[id^='dispatcher_']").filter(':checked').length > 0 || $("[id^='equipment_']").filter(':checked').length > 0 || $("[id^='carrier_']").filter(':checked').length > 0){
                if($("[id^='team_']").filter(':checked').length > 0){
                    $("#btnTeamFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team-white.svg') }}');
                }else{
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team.svg') }}');
                }

                if($("[id^='dispatcher_']").filter(':checked').length > 0){
                    $("#btnDispatcherFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset-white.svg') }}');
                }else{
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset.svg') }}');
                }

                if($("[id^='equipment_']").filter(':checked').length > 0){
                    $("#btnEquipmentFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment-white.svg') }}');
                }else{
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment.svg') }}');
                }

                if($("[id^='carrier_']").filter(':checked').length > 0){
                    $("#btnCarrierFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck-white.svg') }}');
                }else{
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck.svg') }}');
                }

                $("#btnClearFilter").removeClass('d-none');
            }else{
                if($("[id^='team_']").filter(':checked').length == 0){
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team.svg') }}');
                }

                if($("[id^='dispatcher_']").filter(':checked').length == 0){
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset.svg') }}');
                }

                if($("[id^='equipment_']").filter(':checked').length == 0){
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment.svg') }}');
                }

                if($("[id^='carrier_']").filter(':checked').length == 0){
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck.svg') }}');
                }

                $("#btnClearFilter").addClass('d-none');
            }
        }
    </script>
    <script type="text/javascript">
        $(function () {
            $(window).load(function () {
                changeBtnOnFilter();
            });

            $(".sortableList").sortable();

            // Available Driver View Modal
            $("body").on("click", ".show-available-driver", function() {
                var token       = $('meta[name="csrf-token"]').attr('content');
                var driver_id   = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/dispatch-hub/available-driver/view",
                    method: "POST",
                    data: {
                        _token: token,
                        driver_id: driver_id
                    },
                    success: function(response) {
                        $('#availableDriverModal').find('.append-modal-view').html(response.view);
                    }
                });
            });

            $(document).on("click", ".btn-filter, .btn-cancel", function (){
                $(this).parent().parent().parent().find('a').trigger('click');
            });

            //New Functionalitys
            $('#counterSortable').sortable({
                items: '.widgets-item:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('counter');
                }
            });

            $(document).on("click", ".updateCounterFilter", function (){
                let dataArr         = [];
                let chkChecked      = 0;
                $('#counterSortable .widgets-item').each(function (key, val){
                    let that        = $(this);
                    let index       = that.attr('data-index');
                    let itemName    = that.attr('data-name');
                    let isActive    = that.find('.form-check-input').is(':checked');
                    if(isActive){
                        chkChecked++;
                    }
                    dataArr.push({'displayNo': index, 'itemName': itemName, 'isActive': (isActive) ? '1' : '0'});
                });

                if(chkChecked < 5 || chkChecked > 5){
                    Swal.fire({
                        title: "Error!",
                        html: "<h4>Please select up to 5 widget</h4>",
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatch.widget.data") !!}',
                        data: { dataArr: JSON.stringify(dataArr) },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            let widgetData = response.widgetData;
                            $("#dispatchHubCounterDiv").html("").html(widgetData);
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                    return false;
                }
            });

            $('#listingSortable').sortable({
                items: '.list-item',
                handle: ".move",
                tolerance: "pointer",
                cursor: 'move',
                axis: "y",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                    $(ui.item).css("left", "115px");
                },
                stop: function(e, ui) {

                },
                update:function(e, ui) {
                    reArrangeIndexNo('listing');
                    updateListingOrder();
                }
            });

            // soring listing cards when page load
            $("#listingSortable .list-item").sort(function(a, b) {
                return $(a).attr("data-index") - $(b).attr("data-index");
            }).appendTo("#listingSortable");

            // Team Filter
            $(document).on("change", "#select_all_team", function (){
                if($(this).is(':checked')){
                    $('[id^="team_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="team_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='team_']", function() {
                if ($("[id^='team_']").filter(':checked').length === $("[id^='team_']").length) {
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                } else {
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Dispatcher Filter
            $(document).on("change", "#select_all_dispatcher", function (){
                if($(this).is(':checked')){
                    $('[id^="dispatcher_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="dispatcher_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='dispatcher_']", function (){
                if($("[id^='dispatcher_']").filter(':checked').length === $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Equipment Filter
            $(document).on("change", "#select_all_equipment", function (){
                if($(this).is(':checked')){
                    $('[id^="equipment_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="equipment_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='equipment_']", function (){
                if($("[id^='equipment_']").filter(':checked').length === $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }
            });

            //Carrier Filter
            $(document).on("change", "#select_all_carrier", function (){
                if($(this).is(':checked')){
                    $('[id^="carrier_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="carrier_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='carrier_']", function (){
                if($("[id^='carrier_']").filter(':checked').length === $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("change", "#mergeCompactView", function (){
                let isMerge         = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                if(isMerge){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }

                let teamArr         = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr   = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr    = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr      = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(false, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });
            $(document).on("click", ".filterData", function (){
                let isMerge         = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                let teamArr         = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr   = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr    = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr      = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(true, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });

            $(document).on("click", ".addCoDriver", function (){
                $(this).addClass('d-none');
                $(this).next('.coDriverDiv').removeClass('d-none');
            });

            $(document).on("click", ".removeCoDriver", function (){
                if($(this).prev().prev().val() != ""){
                    $(this).prev().prev().val("").trigger('change');
                }
                $(this).parent().addClass('d-none');
                $(this).parent().prev('.addCoDriver').removeClass('d-none');
            });

            $(document).on("change", ".updateCoDriver", function (){
                let loadId      = $(this).attr('data-load');
                let dataTabel   = $(this).attr('data-tabel');
                let coDriver    = $(this).val();

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.dispatch.update.load.codriver") !!}',
                    data: {
                        loadId:loadId,
                        coDriver:coDriver
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                }).done(function(response) {
                    if(response.success){
                        //$('.'+dataTabel).DataTable().ajax.reload(null, false);

                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            });

            $(document).on("click", ".updateOnHoldStatus", function (){
                let loadId                  = $("#loadId").val();
                let listName                = $('#listName').val();
                let reasonOnHold            = $('#reason_on_hold').val();
                let reasonOnHoldSubCategory = $('#reason_on_hold_sub_category').val();
                let reasonOnHoldNotes       = $('#reason_on_hold_notes').val();

                if($("#holdStatusForm").parsley().validate()){
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatch.update.load.status") !!}',
                        data: {
                            isOnHoldPopup: true,
                            loadId: loadId,
                            reasonOnHold: reasonOnHold,
                            reasonOnHoldSubCategory: reasonOnHoldSubCategory,
                            reasonOnHoldNotes: reasonOnHoldNotes,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            $("#holdStatus").modal('hide');
                            $('#loadId').val("");
                            $('#listName').val("");
                            $('#reason_on_hold').val("");
                            $('#reason_on_hold_sub_category').val("");
                            $('#reason_on_hold_notes').val("");

                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                            $('.'+listName).DataTable().ajax.reload(null, false);
                            $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".cancelOnHoldStatus", function (){
                let listName    = $('#listName').val();
                $('.'+listName).DataTable().ajax.reload(null, false);

                $('#loadId').val("");
                $('#listName').val("");
                $('#reason_on_hold').val("");
                $('#reason_on_hold_sub_category').val("");
                $('#reason_on_hold_notes').val("");
            });

            $(document).on("click", ".viewReason", function (){
                $("#viewReason .modal-body").html('').html('<p class="font-weight-bold">'+ $(this).attr('data-reason') +'</p>');
                $("#viewReason").modal('show');
            });

            $(document).on("click", ".destroyOffer", function (){
                let url         = $(this).attr('data-action');
                let driverId    = $(this).attr('data-driver');

                if(url != ""){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                data: {},
                                dataType: 'json',
                                async: true,
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        viewLoadComparison(driverId);
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        $('.available-drivers-data-table').DataTable().ajax.reload(null, false);
                                    }
                                },
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".loadComparison", function (){
                let driverId    = $(this).attr('data-driver');
                viewLoadComparison(driverId);
            });

            $(document).on("click", ".refreshDriverSamsaraInfo", function (){
                let parentTr    = $(this).closest('tr');
                let driverId    = parentTr.attr('data-id');

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.dispatch.refresh.samsara.info') }}",
                    data: { id: driverId },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        if(response.success){
                            if(!$.isEmptyObject(response.data)){
                                if(response.data.duty_status == "sleeperBed"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-theme">SB</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "offDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-danger">OF</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "onDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-themeOrange">on</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "driving"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-success">D</span> ' + response.data.duty_status);
                                }else{
                                    parentTr.find('.duty_status').html(response.data.duty_status);
                                }
                                parentTr.find('.drive').text(response.data.drive);
                                parentTr.find('.shift').text(response.data.shift);
                                parentTr.find('.cycle').text(response.data.cycle);
                                parentTr.find('.cycle_tom').text(response.data.cycle_tom);
                                parentTr.find('.time_until_break').text(response.data.time_in_unit_break);
                                parentTr.find('.updated_at').html(response.data.updated_at + '<a href="javascript:void(0);" class="refreshDriverSamsaraInfo ml-3" data-driver="'+ driverId +'">Refresh</a>');
                            }
                        }
                    }
                });
            });

            $(document).on("click", ".clearAll", function (){
                let tab         = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();
            });

            $(document).on("click", ".refreshAll", function (){
                let tab         = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);
            });

            $(document).on("click", "#btnClearFilter", function (){
                $("#select_all_team").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="team_"]').prop('checked', false);

                $("#select_all_dispatcher").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="dispatcher_"]').prop('checked', false);

                $("#select_all_equipment").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="equipment_"]').prop('checked', false);

                $("#select_all_carrier").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="carrier_"]').prop('checked', false);

                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                filterData(true, isMerge, [], [], [], []);

                $("#btnClearFilter").addClass('d-none');
            });

            @if(!is_null($mergeCompactView))
                if($("#mergeCompactView").is(':checked')){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }
            @else
                $("#onHoldDiv").removeClass('d-none');
                $("#prePlannedLoadsDiv").removeClass('d-none');
                $("#inTransitDiv").removeClass('d-none');
                $("#allDispatchDiv").addClass('d-none');
            @endif

            @if(!empty($filters))
                let teamFilterCount         = '{!! (isset($filters['teamArr'])) ? count($filters['teamArr']) : 0 !!}';
                let dispatcherFilterCount   = '{!! (isset($filters['dispatcherArr'])) ? count($filters['dispatcherArr']) : 0 !!}';
                let equipmentFilterCount    = '{!! (isset($filters['equipmentArr'])) ? count($filters['equipmentArr']) : 0 !!}';
                let carrierFilterCount      = '{!! (isset($filters['carrierArr'])) ? count($filters['carrierArr']) : 0 !!}';

                if(teamFilterCount == $("[id^='team_']").length){
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }

                if(dispatcherFilterCount == $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }

                if(equipmentFilterCount == $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }

                if(carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }

                if(teamFilterCount == $("[id^='team_']").length && dispatcherFilterCount == $("[id^='dispatcher_']").length && equipmentFilterCount == $("[id^='equipment_']").length && carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_filter").prop('checked', true);
                    $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                }else{
                    $("#select_all_filter").prop('checked', false);
                    $("#select_all_filter").parent().addClass('filter-select-all-dash');
                }
            @endif
        });
    </script>
    {{---------- New Functionality ----------}}
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
