@if($showtype == 'year')
<div class="card-header calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-12 text-center">
            <div class="btn-group" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>
                <h5 class="calender-title mt-3 mx-3">Year {{ $year }}</h5>
                <input type="hidden" class="cyear" value="{{ $year }}">
                <input type="hidden" class="cmonth" value="{{ $month }}">
                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="card-body px-3 calender-section quarterlyview p-0">
    <div class="row">
        @for ($x = 1; $x <= 12; $x++)
            @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>

{{--
<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title">Year {{ $year }}</h5>
            <input type="hidden" class="cyear" value="{{ $year }}">
            <input type="hidden" class="cmonth" value="{{ $month }}">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right " role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section quarterlyview">
    <!--h4 class="box-title text-uppercase">Annual View</h4-->
    <div class="row">
        @for ($x = 1; $x <= 12; $x++)
        @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>
--}}
@endif

@if($showtype == 'month')
<div class="card-header calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-12 text-center">
            <div class="btn-group" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>
                <h5 class="calender-title mt-3 mx-3">{{ $month_name }} {{ $year }}</h5>
                <input type="hidden" class="cyear" value="{{ $year }}">
                <input type="hidden" class="cmonth" value="{{ $month }}">
                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="card-body px-3 calender-section monthly-calender p-0">
    <div class="row">
        @for ($x = $month; $x <= $month; $x++)
            @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>

{{--
<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title">{{ $month_name }} {{ $year }}</h5>
            <input type="hidden" class="cyear" value="{{ $year }}">
            <input type="hidden" class="cmonth" value="{{ $month }}">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section monthly-calender">
    <!--h4 class="box-title text-uppercase"> Monthly View</h4-->
    <div class="row">
        @for ($x = $month; $x <= $month; $x++)
        @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>
--}}
@endif

@if($showtype == 'quarterly')
<div class="card-header calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-12 text-center">
            <div class="btn-group" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>
                <h5 class="calender-title mt-3 mx-3">{{ $month_name }} - {{ $last_month_name }} {{ $year }}</h5>
                <input type="hidden" class="cyear" value="{{ $year }}">
                <input type="hidden" class="cmonth" value="{{ $month }}">
                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="card-body px-3 calender-section quarterlyview p-0">
    <div class="row">
        @for ($x = $month; $x <= $month+2; $x++)
            @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>

{{--
<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title">{{ $month_name }} - {{ $last_month_name }} {{ $year }}</h5>
            <input type="hidden" class="cyear" value="{{ $year }}">
            <input type="hidden" class="cmonth" value="{{ $month }}">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section quarterlyview">
    <!--h4 class="box-title text-uppercase"> Monthly View</h4-->
    <div class="row">
        @for ($x = $month; $x <= $month+2; $x++)
        @php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); @endphp
        @endfor
    </div>
</div>
--}}
@endif

@if($showtype == 'weekly')

@php
   $sunday = \Carbon\Carbon::parse($startDate)->format('Y-m-d');
   $sunday_name = \Carbon\Carbon::parse($startDate)->format('l');

   $monday = \Carbon\Carbon::parse($startDate)->addDay()->format('Y-m-d');
   $monday_name = \Carbon\Carbon::parse($startDate)->addDay()->format('l');

   $tuesday = \Carbon\Carbon::parse($startDate)->addDays(2)->format('Y-m-d');
   $tuesday_name = \Carbon\Carbon::parse($startDate)->addDays(2)->format('l');

   $wednesday = \Carbon\Carbon::parse($startDate)->addDays(3)->format('Y-m-d');
   $wednesday_name = \Carbon\Carbon::parse($startDate)->addDays(3)->format('l');

   $thursday = \Carbon\Carbon::parse($startDate)->addDays(4)->format('Y-m-d');
   $thursday_name = \Carbon\Carbon::parse($startDate)->addDays(4)->format('l');

   $friday = \Carbon\Carbon::parse($startDate)->addDays(5)->format('Y-m-d');
   $friday_name = \Carbon\Carbon::parse($startDate)->addDays(5)->format('l');

   //$saturday = \Carbon\Carbon::parse($startDate)->addDays(6)->format('Y-m-d');
   //$saturday_name = \Carbon\Carbon::parse($startDate)->addDays(6)->format('l');

   $saturday = \Carbon\Carbon::parse($endDate)->format('Y-m-d');
   $saturday_name = \Carbon\Carbon::parse($endDate)->format('l');

   $days = [$sunday,$monday,$tuesday,$wednesday,$thursday,$friday,$saturday];
@endphp

<div class="card-header calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-12 text-center">
            <div class="btn-group" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>
                <h5 class="calender-title mt-3 mx-3">{{ $year }} Week {{ $week }}</h5>
                <input type="hidden" class="start_date" value="{{ $startDate }}">
                <input type="hidden" class="end_date" value="{{ $endDate }}">
                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="card-body px-3 calender-section monthly-calender weeklyview p-0">
    <div class="row">
        <div class="calendar-content ">
            <div class="calendar-body">
                <div class="calendar-days">
                    <div>{{ $sunday_name }}</div>
                    <div>{{ $monday_name }}</div>
                    <div>{{ $tuesday_name }}</div>
                    <div>{{ $wednesday_name }}</div>
                    <div>{{ $thursday_name }}</div>
                    <div>{{ $friday_name }}</div>
                    <div>{{ $saturday_name }}</div>
                </div>
                <div class="calendar-dates-no">
                    @foreach($days as $day)
                        @php echo draw_calendar_weekly($day, $driver_id); @endphp
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>

{{--
<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title">{{ $year }} Week {{ $week }}</h5>
            <input type="hidden" class="start_date" value="{{ $startDate }}">
            <input type="hidden" class="end_date" value="{{ $endDate }}">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section monthly-calender weeklyview">
    <div class="row">
        <div class="calendar-content ">
            <div class="calendar-body">
                <div class="calendar-days">
                    <div>{{ $sunday_name }}</div>
                    <div>{{ $monday_name }}</div>
                    <div>{{ $tuesday_name }}</div>
                    <div>{{ $wednesday_name }}</div>
                    <div>{{ $thursday_name }}</div>
                    <div>{{ $friday_name }}</div>
                    <div>{{ $saturday_name }}</div>
                </div>
                <div class="calendar-dates-no">
                    @foreach($days as $day)
                       @php echo draw_calendar_weekly($day, $driver_id); @endphp
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
--}}
@endif
