@foreach($events as $event)
    <li>
        <div class="d-flex">
            <div class="p-2">
                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="34" height="39">
            </div>
            <div class="d-flex flex-column">
                <div class="pt-2">
                    {{ \Carbon\Carbon::parse($event['start'])->format('F d, Y') }}
                </div>
                <div>
                    <span>
                        @if(!empty($event['icon']))
                            <i class="fa {{ $event['icon'] }}"></i>
                        @endif
                        {{ $event['title'] }}
                    </span>
                </div>
            </div>
        </div>
    </li>
@endforeach
