{!! Form::model($data,array('route' => ['company.admin.leaveusertypes.update',$data->id],'method'=>'PATCH','files'=>'true','class'=>'editLeaveAllowanceForm')) !!}
    <div class="modal-body">
        <div class="form-group">
            <label>Title<span>*</span></label>
            <input type="text" class="form-control" value="{{ $data->leave_type->name }}" disabled>
            <span class="error title_error text-danger"></span>
        </div>
        @if($data->days_per_year_for_driver > 0)
        <div class="form-group mb-4">
            <label>Allowance days per year for driver<span>*</span></label>
            {!! Form::select('days_per_year_for_driver', ['' => 'Select Allowance days per year']+getDaysPerYear(), null, ['class' => 'custom-select form-control select2', 'required' => 'required']) !!}
            @error('days_per_year_for_driver')
                <span class="text-danger" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
        @endif
        @if($data->days_per_year_for_dispatcher > 0)
        <div class="form-group mb-4">
            <label>Allowance days per year for dispatcher<span>*</span></label>
            {!! Form::select('days_per_year_for_dispatcher', ['' => 'Select Allowance days per year']+getDaysPerYear(), null, ['class' => 'custom-select form-control select2', 'required' => 'required']) !!}
            @error('days_per_year_for_dispatcher')
                <span class="text-danger" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
        @endif
        @if($data->days_per_year_for_manager > 0)
        <div class="form-group mb-4">
            <label>Allowance days per year for manager<span>*</span></label>
            {!! Form::select('days_per_year_for_manager', ['' => 'Select Allowance days per year']+getDaysPerYear(), null, ['class' => 'custom-select form-control select2', 'required' => 'required']) !!}
            @error('days_per_year_for_manager')
                <span class="text-danger" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>
        @endif
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-blue">Update</button>
    </div>
{!! Form::close() !!}

<script>
    $(function (){
        $('.editLeaveAllowanceForm .select2').each(function() {
            var $this = $(this);
            var placeholderText = $this.find('option:first').text();
            $this.select2({
                allowClear: true,
                width : '100%',
                placeholder: placeholderText
            });
            $this.find('option:first').hide();
        });
    });
</script>
