{!! Form::open(array('route' => 'company.admin.mechanical.issue.store','method'=>'POST','files'=>'true','class'=>'storeMechanicalIssueForm')) !!}
    <div class="modal-body">
        {!! Form::hidden('driver_id', $driverId) !!}
        <div class="form-group">
            <label>Title<span>*</span></label>
            {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
            <span class="error title_error text-danger"></span>
        </div>   
        <div class="form-group">
            <label>Date<span>*</span></label>
            {!! Form::text('date', old('date'), array('class' => 'form-control date', 'autocomplete' => 'off')) !!}
            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
        </div>
        <span class="error date_error text-danger"></span>
        <div class="form-group">
            <label>Type</label>
            {!! Form::select('type', ['' => 'Select']+getMechanicalIssuesList(), null, ['class' => 'custom-select form-control mechanical-issue-type']) !!}
        </div>
        <div class="form-group other-div" style="display: none;">
            <label>Other</label>
            {!! Form::text('other', old('other'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
        </div>
        <div class="form-group">
            <label>Load Number</label>
            {!! Form::text('load_number', old('load_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
        </div>
        <div class="form-group">
            <label>State</label>
            {!! Form::select('state', ['' => 'Select']+getStateList(), null, ['class' => 'custom-select select2 form-control']) !!}
        </div>
        <div class="form-group">
            <label>Notes</label>
            {!! Form::textarea('note', old('note'), array('class' => 'form-control spl-tarea', 'autocomplete' => 'new', 'rows' => '5')) !!}
        </div>
        <div class="choose-file">
            <div class="row align-items-center">
                <div class="col-lg-2 col-md-3">
                    <div class="image-wrapper">
                        <label class="label" for="input">No file selected.</label>
                        <div class="input">
                            <input name="image" id="file" type="file">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn blue-btn">Add New</button>
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
    </div>
{!! Form::close() !!}