<div class="occupancy-table linerviewtabe">
    <div class="table-responsive">
        <table class="table-bordered">
            <thead class="parent-headdiv">
                <tr>
                    <th></th>
                    @foreach($monthdata as $mdata)
                        <th>{{ $mdata['dayname'] }}</th>
                    @endforeach
                    <th></th>
                </tr>
                <tr>
                    <th>Name</th>
                    @foreach($monthdata as $mdata)
                        <th>{{ $mdata['daynumber'] }}</th>
                    @endforeach
                    <th>Occupancy</th>
                </tr>
            </thead>
            <tbody class="parent-tbody">
                @foreach($driver_list as $driver)
                    <tr class="abc">
                        <td class="text-center table-data" data-value="{{ strtolower($driver->last_name) }}" >
                          <span href="javascript:void(0)" class="show-available-driver" data-driver-id="{{ $driver->id }}" data-toggle="modal" data-target="#availableDriverModal">{{ $driver->last_name }}, {{ $driver->first_name }}</span><br>
                       </td>
                        @php
                            echo liner_fleet_calendar($monthdata,$driver->id);
                        @endphp
                        <td class="drivper{{$driver->id}}"></td>
                        <script type="text/javascript">
                            var driid                   = '{{$driver->id}}';
                            var workingday              = $("td.driv"+driid).length;
                            var oday                    = $("td.o-box.driv"+driid).length;
                            var tot                     = (oday * 100) / workingday;
                            var tot                     = Math.round(tot);
                            if (isNaN(tot)){
                                var tot                 = 0;
                            }
                            $("td.drivper{{$driver->id}}").html(Math.round(tot)+'%');
                        </script>
                    </tr>
                @endforeach
            </tbody>
            <tfoot class="footer-tbody-data">
                <tr>
                    <td>{{ $month_name }} Total</td>
                    @foreach($monthdata as $mdata)
                    <td>{{ count($driver_list) }}</td>
                    @endforeach

                </tr>
                <tr>
                    <td>Fleet Occupancy</td>
                    <input type="hidden" class="montcc" value="0" />
                    <input type="hidden" class="montedcc" value="0" />
                    @foreach($monthdata as $mdata)
                        <script type="text/javascript">
                            var coln                    = '{{$mdata['daynumber']}}';
                            var workingday              = $("td.dayn"+coln).length;
                            var oday                    = $("td.o-box.dayn"+coln).length;
                            var ctot                    = (oday * 100) / workingday;
                            var ctot                    = Math.round(ctot);
                            if (isNaN(ctot)){
                                var ctot                = 0;
                            }else{
                                var montcc              = $(".montcc").val();
                                $(".montcc").val(parseInt(ctot)+parseInt(montcc));

                                var montedcc            = $(".montedcc").val();
                                $(".montedcc").val(parseInt(montedcc) + 1);
                            }
                            $("td.colnu"+coln).html(Math.round(ctot)+'%');
                        </script>
                        <td class="colnu{{$mdata['daynumber']}}"></td>
                    @endforeach
                    <td class="allper"></td>
                </tr>
            </tfoot>
        </table>
    </div>
</div>
<div class="occupancy-week">
    <div class="table-responsive">
        <table class="table-bordered">
            <thead>
                <tr>
                    @foreach($getWeekRange as $key => $weekRange)
                    <th>Week {{ $key }}</th>
                    @endforeach
                </tr>
            </thead>
            <tbody>
                <tr>
                    @foreach($getWeekRange as $weekkey => $weekRange)
                        <td class="weeknu{{ $weekkey }}">0%</td>
                        @php
                            $weekday                    = [];
                            $weekdayocu                 = [];
                            $m=0;
                        @endphp
                        @foreach($weekRange as $dd)
                            @php
                                if($weekkey == count($getWeekRange)){
                                    if(01 != $dd){
                                        $weekday[$m]    = '.dayn'.$dd;
                                        $weekdayocu[$m] = '.o-box.dayn'.$dd;
                                    }
                                }else{
                                    $weekday[$m]        = '.dayn'.$dd;
                                    $weekdayocu[$m]     = '.o-box.dayn'.$dd;
                                }

                                $m++;
                            @endphp
                        @endforeach
                        @php
                            $weekday                    = implode(', ',$weekday);
                            $weekdayocu                 = implode(', ',$weekdayocu);
                        @endphp
                        <script type="text/javascript">
                            function wekklodse{{$weekkey}}(){
                                var weekcol             = '{{$weekkey}}';
                                var cusclass            = '{{$weekday}}';
                                var cusclassocu         = '{{$weekdayocu}}';
                                var workingday          = $(cusclass).length;
                                var oday                = $(cusclassocu).length;
                                var ctot                = (oday * 100) / workingday;
                                var ctot                = Math.round(ctot);
                                if (isNaN(ctot)){
                                    var ctot            = 0;
                                }
                                $("td.weeknu"+weekcol).html(Math.round(ctot)+'%');
                            }
                            wekklodse{{$weekkey}}();
                        </script>
                    @endforeach
                </tr>
            </tbody>
        </table>
    </div>
</div>
<script type="text/javascript">
    function setontedcc(){
        var montcc      = $(".montcc").val();
        var montedcc    = $(".montedcc").val();
        var allper      = parseInt(montcc)/parseInt(montedcc);
        var allper      = Math.round(allper);
        $(".allper").html(allper+'%');
    }
    setontedcc();
</script>
