<div class="modal-body p-0">
    <div class="modal-padding">
    	<form id="docReqFrm" name="docReqFrm" autocomplete="off">
    		<input type="hidden" name="params" value="{{ json_encode($formData) }}">
    		<input type="hidden" name="id" value="{{ $load_document_request->id ?? '' }}">
    		<div class="docReq-wrapper">
    			@if(isset($load_document_request->items) && $load_document_request->items->isNotEmpty())
    				<!-- edit -->
    				@foreach($load_document_request->items as $ikey => $item)
			    		<div class="row sub-wrapper" data-last-index="{{ $ikey }}">
			    			<input type="hidden" name="doc_req[{{ $ikey }}][item_id]" value="{{ $item->id }}">
			    		    <div class="col-lg">
			    		        <div class="row">
			    		            <div class="col-md-3 col-sm-6">
			    		                <div class="form-group">
			    		                    <label for="doc_req_{{ $ikey }}_driver_id">Driver</label>
			    		                    <select class="form-control select2" name="doc_req[{{ $ikey }}][driver_id]" id="doc_req_{{ $ikey }}_driver_id" required>
			    		                    	<option value="">Select</option>
			    		                    	@if(isset($load_drivers_array) && !empty($load_drivers_array))
			    		                    		@foreach ($load_drivers_array as $key => $node)
			    		                    		    <option value="{{ $key }}" data-email="{{ $node['email'] }}" data-cell_phone="{{ $node['cell_phone'] }}" {{ (isset($item->driver_id) && $item->driver_id == $key) ? 'selected' : '' }}>{{ $node['name'] }}</option>
			    		                    		@endforeach
			    		                    	@endif
			    		                    </select>
			    		                </div>
			    		            </div>
			    		            <div class="col-md-3 col-sm-6">
			    		                <div class="form-group">
			    		                    <label for="doc_req_{{ $ikey }}_stop_no">Stop No.</label>
			    		                    <select class="form-control select2" name="doc_req[{{ $ikey }}][stop_no]" id="doc_req_{{ $ikey }}_stop_no" required>
			    		                        <option value="">Select</option>
			    		                        @if(isset($load_stops_array) && !empty($load_stops_array))
			    		                        	@php
			    		                        		$estop_no 				= '';
			    		                        		$searchResults 			= array_filter($load_stops_array, function($var) use ($item){
			    		                        		    return (
			    		                        		    	$var['type'] == $item->type &&
			    		                        		    	$var['is_stop'] == $item->is_stop &&
			    		                        		    	$var['load_stop_id'] == $item->load_stop_id
			    		                        		    );
			    		                        		});
			    		                        		if(!empty($searchResults)){
			    		                        			$firstMatchingItem 	= reset($searchResults); // Get the first element of the filtered array
			    		                        			$estop_no 			= $firstMatchingItem['stop_no'] ?? '';
			    		                        		}
			    		                        	@endphp
			    		                        	@foreach ($load_stops_array as $key => $node)
			    		                        		@php
			    		                        			$name  				=  ($node['type'] == '1') ? 'Pickup Stop - '.$node['stop_no'] : 'Delivery Stop - '.$node['stop_no'];
			    		                        			$addresses       	= [];
			    		                        			if(isset($node['address_one']) && $node['address_one']!==''){
			    		                        			    $addresses[]    = $node['address_one'];
			    		                        			}
			    		                        			if(isset($node['city']) && $node['city']!==''){
			    		                        			    $addresses[]    = $node['city'];
			    		                        			}
			    		                        			if(isset($node['state']) && $node['state']!==''){
			    		                        			    $addresses[]    = $node['state'];
			    		                        			}
			    		                        			if(isset($node['zip']) && $node['zip']!==''){
			    		                        			    $addresses[]    = $node['zip'];
			    		                        			}
			    		                        			$addresses          = implode(', ', $addresses);
			    		                        		@endphp
			    		                        	    <option value="{{ $node['stop_no'] }}" {{ ($estop_no == $node['stop_no']) ? 'selected' : '' }}>{{ $name.' '.$addresses }}</option>
			    		                        	@endforeach
			    		                        @endif
			    		                    </select>
			    		                </div>
			    		            </div>
			    		            @php
			    		            	$files 			= [];
			    		            	if(isset($item->files) && is_serialized($item->files) && !empty(unserialize($item->files))){
			    		            	    $files  	= unserialize($item->files);
			    		            	}
			    		            	$is_other 		= 0;
			    		            	if(0 == ($files['name_id'] ?? '')){
			    		            		$is_other 	= 1;
			    		            	}
			    		            @endphp
			    		            <div class="col-md-3 col-sm-6">
			    		                <div class="form-group">
			    		                    <label for="doc_req_{{ $ikey }}_name_id">Document Name</label>
			    		                    <select class="form-control select2 document-name_id" name="doc_req[{{ $ikey }}][name_id]" id="doc_req_{{ $ikey }}_name_id" data-parsley-errors-container="#doc_req_{{ $ikey }}_name_id_errors" required>
			    		                        <option value="">Select</option>
			    		                        @if(isset($load_documents) && !empty($load_documents))
			    		                        	@foreach ($load_documents as $key => $node)
			    		                        	    <option value="{{ $node['id'] }}" data-include_w_billing="{{ $node['include_w_billing'] }}" {{ ($node['id'] == ($files['name_id'] ?? '')) ? 'selected' : '' }}>{{ $node['name'] }}</option>
			    		                        	@endforeach
			    		                        @endif
			    		                        <option value="0" {{ (0 == ($files['name_id'] ?? '')) ? 'selected' : '' }}>Other</option>
			    		                    </select>
			    		                    <div id="doc_req_{{ $ikey }}_name_id_errors"></div>
			    		                    @if($is_other)
			    		                    	<input type="text" class="form-control document-name mt-1" name="doc_req[{{ $ikey }}][name]" id="doc_req_{{ $ikey }}_name" value="{{ $files['name'] ?? '' }}" required>
			    		                    @else
			    		                    	<input type="hidden" class="form-control document-name mt-1" name="doc_req[{{ $ikey }}][name]" id="doc_req_{{ $ikey }}_name" value="{{ $files['name'] ?? '' }}">
			    		                    @endif
			    		                </div>
			    		            </div>
			    		            <div class="col-md-3 col-sm-6">
			    		                <div class="form-group">
			    		                    <label for="doc_req_{{ $ikey }}_type">Document Type</label>
			    		                    <select class="form-control select2" name="doc_req[{{ $ikey }}][type]" id="doc_req_{{ $ikey }}_type">
												<option value="">Select</option>
			    		                        <option value="1" {{ ('1' == ($files['type'] ?? '')) ? 'selected' : '' }}>Copy</option>
			    		                        <option value="2" {{ ('2' == ($files['type'] ?? '')) ? 'selected' : '' }}>Original</option>
			    		                    </select>
			    		                </div>
			    		            </div>
			    		        </div>
			    		    </div>
			    		    <div class="col-auto">
			    		    	<div class="form-group">
			    		    		<label for="doc_req_{{ $ikey }}_include_w_billing">Include w/ Billing</label>
				    				<div class="custom-control custom-checkbox mt-2">
						    		    <input type="checkbox" class="custom-control-input document-include_w_billing" name="doc_req[{{ $ikey }}][include_w_billing]" id="doc_req_{{ $ikey }}_include_w_billing" value="yes" {{ (isset($files['include_w_billing']) && $files['include_w_billing']=="yes") ? "checked" : "" }}>
						    		    <label class="custom-control-label" for="doc_req_{{ $ikey }}_include_w_billing"></label>
						    		</div>
			    		    	</div>
			    		    </div>
			    		    <div class="col-auto">
			    		        <div class="form-group">
			    		            <label for="doc_type" class="d-block">&nbsp;</label>
        	    		        	@if($loop->first)
        	    		        		<button type="button" class="btn btn-blue btn-plus docReq-add-btn">
        	    		        			<i class="fa fa-plus" aria-hidden="true"></i>
        	    		        		</button>
            		        	    @else
            		        	    	<button type="button" class="btn btn-danger btn-minus docReq-remove-btn">
            		        	    		<i class="fa fa-trash" aria-hidden="true"></i>
            		        	    	</button>
            		        	    @endif
			    		        </div>
			    		    </div>
			    		</div>
    				@endforeach
    			@else
    				<!-- add -->
		    		<div class="row sub-wrapper" data-last-index="0">
		    		    <div class="col-lg">
		    		        <div class="row">
		    		            <div class="col-md-3 col-sm-6">
		    		                <div class="form-group">
		    		                    <label for="doc_req_0_driver_id">Driver</label>
		    		                    <select class="form-control select2" name="doc_req[0][driver_id]" id="doc_req_0_driver_id" required>
		    		                    	<option value="">Select</option>
		    		                    	@if(isset($load_drivers_array) && !empty($load_drivers_array))
		    		                    		@foreach ($load_drivers_array as $key => $node)
		    		                    		    <option value="{{ $key }}" data-email="{{ $node['email'] }}" data-cell_phone="{{ $node['cell_phone'] }}">{{ $node['name'] }}</option>
		    		                    		@endforeach
		    		                    	@endif
		    		                    </select>
		    		                </div>
		    		            </div>
		    		            <div class="col-md-3 col-sm-6">
		    		                <div class="form-group">
		    		                    <label for="doc_req_0_stop_no">Stop No.</label>
		    		                    <select class="form-control select2" name="doc_req[0][stop_no]" id="doc_req_0_stop_no" required>
		    		                        <option value="">Select</option>
		    		                        @if(isset($load_stops_array) && !empty($load_stops_array))
		    		                        	@foreach ($load_stops_array as $key => $node)
		    		                        		@php
		    		                        			$name  				=  ($node['type'] == '1') ? 'Pickup Stop - '.$node['stop_no'] : 'Delivery Stop - '.$node['stop_no'];
		    		                        			$addresses       	= [];
		    		                        			if(isset($node['address_one']) && $node['address_one']!==''){
		    		                        			    $addresses[]    = $node['address_one'];
		    		                        			}
		    		                        			if(isset($node['city']) && $node['city']!==''){
		    		                        			    $addresses[]    = $node['city'];
		    		                        			}
		    		                        			if(isset($node['state']) && $node['state']!==''){
		    		                        			    $addresses[]    = $node['state'];
		    		                        			}
		    		                        			if(isset($node['zip']) && $node['zip']!==''){
		    		                        			    $addresses[]    = $node['zip'];
		    		                        			}
		    		                        			$addresses          = implode(', ', $addresses);
		    		                        		@endphp
		    		                        	    <option value="{{ $node['stop_no'] }}">{{ $name.' '.$addresses }}</option>
		    		                        	@endforeach
		    		                        @endif
		    		                    </select>
		    		                </div>
		    		            </div>
		    		            <div class="col-md-3 col-sm-6">
		    		                <div class="form-group">
		    		                    <label for="doc_req_0_name_id">Document Name</label>
		    		                    <select class="form-control select2 document-name_id" name="doc_req[0][name_id]" id="doc_req_0_name_id" data-parsley-errors-container="#doc_req_0_name_id_errors" required>
		    		                        <option value="">Select</option>
		    		                        @if(isset($load_documents) && !empty($load_documents))
		    		                        	@foreach ($load_documents as $key => $node)
		    		                        	    <option value="{{ $node['id'] }}" data-include_w_billing="{{ $node['include_w_billing'] }}">{{ $node['name'] }}</option>
		    		                        	@endforeach
		    		                        @endif
		    		                        <option value="0">Other</option>
		    		                    </select>
		    		                    <div id="doc_req_0_name_id_errors"></div>
		    		                    <input type="hidden" class="form-control document-name mt-1" name="doc_req[0][name]" id="doc_req_0_name" value="">
		    		                </div>
		    		            </div>
		    		            <div class="col-md-3 col-sm-6">
		    		                <div class="form-group">
		    		                    <label for="doc_req_0_type">Document Type</label>
		    		                    <select class="form-control select2" name="doc_req[0][type]" id="doc_req_0_type">
											<option value="">Select</option>
		    		                        <option value="1">Copy</option>
		    		                        <option value="2">Original</option>
		    		                    </select>
		    		                </div>
		    		            </div>
		    		        </div>
		    		    </div>
		    		    <div class="col-auto">
		    		    	<div class="form-group">
		    		    		<label for="doc_req_0_include_w_billing">Include w/ Billing</label>
			    				<div class="custom-control custom-checkbox mt-2">
					    		    <input type="checkbox" class="custom-control-input document-include_w_billing" name="doc_req[0][include_w_billing]" id="doc_req_0_include_w_billing" value="yes">
					    		    <label class="custom-control-label" for="doc_req_0_include_w_billing"></label>
					    		</div>
		    		    	</div>
		    		    </div>
		    		    <div class="col-auto">
		    		        <div class="form-group">
		    		            <label for="doc_type" class="d-block">&nbsp;</label>
		    		            <button type="button" class="btn btn-blue btn-plus docReq-add-btn">
		    		            	<i class="fa fa-plus" aria-hidden="true"></i>
		    		            </button>
		    		            <!-- <button type="button" class="btn btn-danger btn-minus docReq-remove-btn">
		    		            	<i class="fa fa-trash" aria-hidden="true"></i>
		    		            </button> -->
		    		        </div>
		    		    </div>
		    		</div>
    			@endif
    		</div>
    		<div class="form-group mt-1">
    		    <label for="instructions">Instructions</label>
    		    <textarea class="form-control" name="instructions" id="instructions" rows="5" placeholder="Enter Instructions">{{ $load_document_request->instructions ?? '' }}</textarea>
    		</div>
    		@php
    			$request_via = isset($load_document_request->request_via) && $load_document_request->request_via!='' ? explode(',', $load_document_request->request_via) : [];
    		@endphp
    		<div class="form-group mt-1">
    		    <label>Request Via:</label>
    		    <div class="row">
    		        <!-- <div class="col-auto">
    		            <div class="custom-control custom-checkbox">
    		                <input type="checkbox" class="custom-control-input" name="doc_req_mobile_messaging" id="doc_req_mobile_messaging">
    		                <label class="custom-control-label" for="doc_req_mobile_messaging"><span>Mobile Messaging</span></label>
    		            </div>
    		        </div> -->
    		        <div class="col-auto">
    		            <div class="custom-control custom-checkbox">
    		                <input type="checkbox" class="custom-control-input" name="doc_req_email" id="doc_req_email" {{ in_array('1', $request_via) ? 'checked' : '' }}>
    		                <label class="custom-control-label" for="doc_req_email"><span>Email</span></label>
    		            </div>
    		        </div>
    		        @php
    		        	$getCompanyTwilioData = getCompanyTwilioData();
    		        @endphp
    		        @if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes')
    		        	<div class="col-auto">
    		        	    <div class="custom-control custom-checkbox">
    		        	        <input type="checkbox" class="custom-control-input" name="doc_req_sms" id="doc_req_sms" {{ in_array('2', $request_via) ? 'checked' : '' }}>
    		        	        <label class="custom-control-label" for="doc_req_sms"><span>SMS (Fees May Apply)</span></label>
    		        	    </div>
    		        	</div>
    		        @endif
    		    </div>
    		</div>
    		@php
    			$html = '';
    		@endphp
    		@if(isset($load_document_request->request_send_contacts) && is_serialized($load_document_request->request_send_contacts) && !empty(unserialize($load_document_request->request_send_contacts)))
    			@php
    			    $request_send_contacts 			= unserialize($load_document_request->request_send_contacts);
    			@endphp
    			@if(!empty($request_send_contacts))
    				@php
    					$foundOne 					= false;
    					$foundTwo 					= false;
    				@endphp
    				@foreach ($request_via as $key => $via)
    					@if ($via === "1")
    						@php
    							$foundOne 			= true;
    						@endphp
    					@elseif ($via === "2")
    						@php
    							$foundTwo 			= true;
    						@endphp
    					@endif
    				@endforeach
    				@if($foundOne || $foundTwo)
    					@php
    						$thead 					= '<tr><th>#</th><th>Name</th>';
    					@endphp
    					@if ($foundOne && $foundTwo)
    					    @php
    					    	$thead 				.= '<th>Email</th><th>SMS</th>';
    					    @endphp
    					@elseif ($foundOne)
    					    @php
    					    	$thead 				.= '<th>Email</th>';
    					    @endphp
    					@elseif ($foundTwo)
    					    @php
    					    	$thead 				.= '<th>SMS</th>';
    					    @endphp
    					@endif
    					@php
    						$thead 					.= '</tr>';
    					@endphp

    					@php
    						$tbody 					= '';
    					@endphp
    					@foreach ($request_send_contacts as $key => $request_send_contact)
    						@php
    							$driver 			= $load_drivers_array[$request_send_contact['driver_id']] ?? [];
    						@endphp
    						@if(!empty($driver))
    							@php
    								++$key;
    								$tr 			= '<tr><td><input type="hidden" class="send-driver_id" name="request_send_contacts['.$key.'][driver_id]" value="'.$request_send_contact['driver_id'].'">'.$key.'</td><td>'.$driver['name'].'</td>';
    							@endphp
    							@if ($foundOne && $foundTwo)
    							    @php
    							    	$tr 		.= '<td><input type="email" class="form-control send-email" name="request_send_contacts['.$key.'][email]" value="'.$request_send_contact['email'].'" required></td><td><input type="text" class="form-control send-phone phone" name="request_send_contacts['.$key.'][phone]" value="'.$request_send_contact['phone'].'" required></td>';
    							    @endphp
    							@elseif ($foundOne)
    							    @php
    							    	$tr 		.= '<td><input type="email" class="form-control send-email" name="request_send_contacts['.$key.'][email]" value="'.$request_send_contact['email'].'" required></td>';
    							    @endphp
    							@elseif ($foundTwo)
    							    @php
    							    	$tr 		.= '<td><input type="text" class="form-control send-phone phone" name="request_send_contacts['.$key.'][phone]" value="'.$request_send_contact['phone'].'" required></td>';
    							    @endphp
    							@endif
    							@php
    								$tr 			.= '</tr>';
    							@endphp
    							@php
    								$tbody 			.= $tr;
    							@endphp
    						@endif
    					@endforeach
    					@php
    						$html 					= '<div class="row"><div class="col-12"><div class="table-responsive"><table class="table"><thead>'.$thead.'</thead><tbody>'.$tbody.'</tbody></table></div></div></div>';
    					@endphp
    				@endif
    			@endif
    		@endif
    		<div class="request_send_contacts">{!! $html !!}</div>
    	</form>
    </div>
</div>
<div class="modal-footer d-block">
	<div class="row">
	    <div class="col-md-3 col-auto">
	        <div class="form-group">
	            <label>
	            	Created By:
	            	@if(isset($load_document_request->creator))
	            		@if($load_document_request->created_by_type == 3)
	            			{{ $load_document_request->creator->full_name }}
	            		@else
	            			{{ $load_document_request->creator->full_name }}
	            		@endif
	            	@endif
	            </label>
	        </div>
	    </div>
	    <div class="col-md-3 col-auto">
	        <div class="form-group">
	            <label>
	            	Created At:
	            	@if(isset($load_document_request->created_at))
	            		{{ date(getTimeLayout(), strtotime($load_document_request->created_at)) }}
	            	@endif
	            </label>
	        </div>
	    </div>
	    <div class="col-md-auto ml-auto">
	        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
	        <button type="button" class="btn btn-blue docReq-save-btn">Save</button>
	    </div>
	</div>
</div>