@if(count($static_files) > 0 || count($required_files) > 0 || count($accessorial_files) > 0 || count($cod_files) > 0 || count($getFile) > 0)
    <table class="table load-table load-document-table">
        <tr>
            <th>Status</th>
            <th>Stop</th>
            <th>Document Name</th>
            <th>Uploaded by</th>
            <th>Date Uploaded</th>
            <th>Action</th>
        </tr>
        @php $i=1; @endphp
        @foreach ($static_files as $key => $node)
            @php
                if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                    $documents = $node['file'];
                }else{
                    $documents = [];
                }
            @endphp
            <tr>
                <td class="{{ $node['status']=='Complete'?'text-success':'text-danger' }}">{{ $node['status'] }}</td>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadsdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadsdModal{{ $i }}" tabindex="-1" aria-labelledby="loadsdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadsdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block" >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
                <td>{{ $node['uploaded_by'] ?? '' }}</td>
                <td>{{ $node['uploaded_at'] ?? '' }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            class="editAjax2"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                    @else
                        <a
                            href="javascript:void(0);"
                            class="editAjax2"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-upload" aria-hidden="true"></i>
                        </a>
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($required_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="6" class="text-left">
                        <b>Required Documents</b>
                    </td>
                </tr>
            @endif
            @php
                if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                    $documents = $node['file'];
                }else{
                    $documents = [];
                }
            @endphp
            <tr>
                <td class="{{ $node['status']=='Complete'?'text-success':'text-danger' }}">{{ $node['status'] }}</td>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadRdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadRdModal{{ $i }}" tabindex="-1" aria-labelledby="loadRdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadRdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block" >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
                <td>{{ $node['uploaded_by'] ?? '' }}</td>
                <td>{{ $node['uploaded_at'] ?? '' }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            class="editAjax2"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                    @else
                        <a
                            href="javascript:void(0);"
                            class="editAjax2"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-upload" aria-hidden="true"></i>
                        </a>
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($accessorial_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="6" class="text-left">
                        <b>Accessorial Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td class="{{ $node['status']=='Complete'?'text-success':'text-danger' }}">{{ $node['status'] }}</td>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadAdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadAdModal{{$i}}" tabindex="-1" aria-labelledby="loadAdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadAdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @php
                                            $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                            $type       = \File::extension($file_path);
                                        @endphp
                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="mb-3 d-block">
                                                <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                            </a>
                                        @else
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="btn btn-outline-primary mb-3 d-block">
                                                {{ $node['file'] }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
                <td>{{ $node['uploaded_by'] ?? '' }}</td>
                <td>{{ $node['uploaded_at'] ?? '' }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            class="editAjax3"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                    @else
                        <a
                            href="javascript:void(0);"
                            class="editAjax3"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-upload" aria-hidden="true"></i>
                        </a>
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($cod_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="6" class="text-left">
                        <b>COD Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td class="{{ $node['status']=='Complete'?'text-success':'text-danger' }}">{{ $node['status'] }}</td>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadCodModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadCodModal{{$i}}" tabindex="-1" aria-labelledby="loadCodModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadCodModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @php
                                            $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                            $type       = \File::extension($file_path);
                                        @endphp
                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="mb-3 d-block">
                                                <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                            </a>
                                        @else
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="btn btn-outline-primary mb-3 d-block">
                                                {{ $node['file'] }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
                <td>{{ $node['uploaded_by'] ?? '' }}</td>
                <td>{{ $node['uploaded_at'] ?? '' }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            class="editAjax3"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                    @else
                        <a
                            href="javascript:void(0);"
                            class="editAjax3"
                            data_edit_id="{{ $node['data_id'] }}"
                            data_source_id="{{ $node['source'] }}"
                            data_edit_filename="{{ $node['filename'] }}"
                            data_edit_note=""
                            data_edit_field_name="{{ $node['field_name'] }}"
                            style="text-decoration: none;"
                        >
                            <i class="fa fa-upload" aria-hidden="true"></i>
                        </a>
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($getFile as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="6" class="text-left">
                        <b>Other Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td class="text-success">Completed</td>
                <td>Load</td>
                <td>
                    <a
                        href="javascript:void(0);"
                        data-toggle="modal"
                        data-target="#loadOdModal{{ $i }}"
                    >
                        {{ $node->filename }}
                    </a>
                    <div class="modal fade teamModal" id="loadOdModal{{$i}}" tabindex="-1" aria-labelledby="loadOdModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="loadOdModalLabel">{{ $node->filename }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body  text-left mulimagbu">
                                    @php
                                        if(!empty($node->document)){
                                            $documents = unserialize($node->document);
                                        }else{
                                            $documents = [];
                                        }
                                    @endphp
                                    @if(is_array($documents) && count($documents) > 0)
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                               <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block"
                                                >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node->filename }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block"
                                                >
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    @endif
                                    <p class="teswrap"><strong>Note: </strong>{{ $node->note }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
                <td>{{ $node->company_admin->full_name ?? "" }}</td>
                <td>
                    {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $node->updated_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}
                </td>
                <td>
                    <a
                        href="javascript:void(0);"
                        class="editAjax"
                        data_edit_id="{{ $node->id }}"
                        data_source_id=""
                        data_edit_filename="{{ $node->filename }}"
                        data_edit_note="{{ $node->note }}"
                        data_edit_field_name=""
                        style="text-decoration: none;"
                    >
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>

                    <a
                        href="javascript:void(0);"
                        class="destroyAjax"
                        data-action="{{ route('company.admin.loads.file.view.delete',$node->id) }}"
                        data-id="{{ $node->id }}"
                    >
                        <i class="fa fa-trash" aria-hidden="true"></i>
                    </a>
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
    </table>
@else
    <p><strong>Files Record Not Found.</strong></p>
@endif
<script type="text/javascript">
    $("body").on("click", ".destroyAjax", function () {
        // console.log('Destroy Other Document');
        // return false;
        var current_object = $(this);
        Swal.fire({
            title: "Are you sure?",
            text: "You won't be able to revert this!",
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "Yes, delete it!",
        }).then((result) => {
            if (result.value) {
                $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                var action      = current_object.attr('data-action');
                var id          = current_object.attr('data-id');
                var token       = $("input[name='_token']").val();
                $.ajax({
                    url: action,
                    method: "delete",
                    data: { _token : token , id : id},
                    success: function(response) {
                        toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                        loadFileView();
                    }
               });
            }
        });
    });
    $("body").on("click", ".editAjax", function () {
        // console.log('Other Document Edit Ajax');
        // return false;
        var current_object      = $(this);
        var edit_id             = current_object.attr('data_edit_id');
        var edit_source_id      = current_object.attr('data_source_id');
        var edit_field_name     = current_object.attr('data_edit_field_name');

        var edit_filename       = current_object.attr('data_edit_filename');
        var edit_note           = current_object.attr('data_edit_note');

        $('.edit_id').val(edit_id);
        $('.edit_source_id').val(edit_source_id);
        $('.edit_field_name').val(edit_field_name);
        $('.doc_filename').val(edit_filename);
        $('.doc_filenote').val(edit_note);

        $('.doc_filename').removeAttr('placeholder');
        $('.doc_filename').prop('readonly',false).prop('required',true);
        $('.doc_filenote').prop('readonly',false).prop('required',false);
    });
    $("body").on("click", ".editAjax2", function () {
        // console.log('Required Document Edit Ajax 2');
        // return false;
        var current_object      = $(this);
        var edit_id             = current_object.attr('data_edit_id');
        var edit_source_id      = current_object.attr('data_source_id');
        var edit_field_name     = current_object.attr('data_edit_field_name');

        var edit_filename       = current_object.attr('data_edit_filename');
        var edit_note           = current_object.attr('data_edit_note');

        $('.edit_id').val(edit_id);
        $('.edit_source_id').val(edit_source_id);
        $('.edit_field_name').val(edit_field_name);
        $('.doc_filename').val(edit_filename);
        $('.doc_filenote').val(edit_note);

        $('.doc_filename').removeAttr('placeholder');
        $('.doc_filename').prop('readonly',true).prop('required',false);
        $('.doc_filenote').prop('readonly',true).prop('required',false);
    });
    $("body").on("click", ".editAjax3", function () {
        // console.log('Accessorial & cod Document Edit Ajax 3');
        // return false;
        var current_object      = $(this);
        var edit_id             = current_object.attr('data_edit_id');
        var edit_source_id      = current_object.attr('data_source_id');
        var edit_field_name     = current_object.attr('data_edit_field_name');

        var edit_filename       = current_object.attr('data_edit_filename');
        var edit_note           = current_object.attr('data_edit_note');

        $('.edit_id').val(edit_id);
        $('.edit_source_id').val(edit_source_id);
        $('.edit_field_name').val(edit_field_name);
        if(edit_source_id=='load_accessorials'){
            var filenames       = edit_filename.split(" - ");
            if(filenames.length > 1){
                edit_filename   = filenames[1];
            }else{
                edit_filename   = '';
            }
            if(edit_filename){
                $('.doc_filename').val(edit_filename);
            }else{
                $('.doc_filename').val('');
                $('.doc_filename').attr('placeholder', 'Please enter accessorial document name');
            }
            $('.doc_filename').prop('readonly',false).prop('required',true);
        }else{
            $('.doc_filename').removeAttr('placeholder');
            $('.doc_filename').val(edit_filename);
            $('.doc_filename').prop('readonly',true).prop('required',false);
            var totalfiles      = document.getElementById('doc_file').files.length;
            if(totalfiles > 1){
                // $('.doc_file').val('');
                // $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                // $('.drop-zone__thumb').remove();
                toastr.error('Please select one file.', 'Error Alert', {
                    timeOut: 5000
                });
            }
        }
        $('.doc_filenote').val(edit_note);
        $('.doc_filenote').prop('readonly',true).prop('required',false);
    });
</script>