<div class="row no-wrap-block splitlaoinfo">
    <div class="col-md-12">
        <div class="white-box mb-4">
            <h5>Split Load Information</h5>
            <div class="box-padding">
                <div class="row">
                        <div class="col-md-4">
                            <span class="submitted mt-2 mb-3">Current Driver:<span>{{ getLoadCurrentDriver($load->id) }}</span></span>
                        </div>
                        <div class="col-md-4">
                            <span class="submitted mt-2 mb-3">Current Dispatcher:<span>{{ getLoadCurrentDispatcher($load->id) }}</span></span>
                        </div>
                    </div>
                
                    @php $i = 1; @endphp
                    @foreach($loadDrivers as $key => $loadDriver)
                        <div class="row driver-split-load-calc">
                            <div class="col-md-2">
                                <span class="submitted mb-3">{{ isset($loadDriver->driver->full_name) ? $loadDriver->driver->full_name : '' }}</span>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Pay %</label>
                                    <input class="form-control pay-percentage" disabled type="number" value="{{ $loadDriver->pay_percentage }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Mileage %</label>
                                    <input class="form-control pay-percentage" disabled type="number" value="{{ $loadDriver->mileage_percentage }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Pay $</label>
                                    <input class="form-control pay-percentage" disabled type="number" value="{{ $loadDriver->pay }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Miles</label>
                                    <input class="form-control pay-percentage" disabled type="number" value="{{ $loadDriver->miles }}">
                                </div>
                            </div>
                        </div>
                        @php $i++; @endphp
                    @endforeach
                
            </div>
        </div>
    </div>
</div>