@php
    $stop_no                        = $formData['stop_no'];
    $stop_index                     = $formData['stop_index'];
    $page                           = $formData['page'];
    $random_id                      = $stop_index.\Str::random(8);

    //$dropSearchDropDown             = (isset($formData['dropSearchDropDown'])) ? $formData['dropSearchDropDown'] : "";
    //$dropTrailerDetails             = (isset($formData['dropTrailerDetails'])) ? $formData['dropTrailerDetails'] : [];

    // accessorial_unique_id
    $accessorial_unique_id          = $formData['accessorial_unique_id'] ?? '';
    $stop_accessorial_unique_id     = \Str::random(4).substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12);
@endphp
<div class="stop geocoding {{ $random_id }}" data-stop_no="{{ $stop_no }}" data-customer_type="1" data-stop_index="{{ $stop_index }}">
    <input type="hidden" class="random_id" name="stop[{{ $stop_index }}][random_id]" value="{{ $random_id }}">
    <input type="hidden" class="actual_stop_no" name="stop[{{ $stop_index }}][stop_no]" value="">

    <div class="hedding-section">
        <div class="row justify-content-between">
            <div class="col-auto">
                <div class="hedding">
                    <i class="fa fa-sort" aria-hidden="true"></i>
                    <h2 class="stop-hedding"><span class="changetypelabel">Pickup</span> - Stop <span class="stop_no">{{ $stop_no }}</span></h2>
                    <a href="javascript:void(0);" class="pickup-status text-warning">Pending</a>
                </div>
            </div>
            <div class="col-auto mt-2 mt-sm-0">
                <div class="d-flex justify-content-end stop-btnGroup">
                    <!-- Stop DropTrailers - START -->
                    @if($page == 'edit')
                        <a href="javascript:void(0);" class="btn btn-newGary dropTrailer-btn ml-2" data-toggle="modal" data-target="#dropTrailerBlock_{{ $stop_index }}" id="dropTrailerBtn_{{ $stop_index }}"><i class="fa fa-plus" aria-hidden="true"></i>DropTrailer</a>
                        {{--
                            <div class="modal fade" id="dropTrailerBlock_{{ $stop_index }}" role="dialog" aria-labelledby="dropTrailerLabel" aria-hidden="true" data-backdrop="static">
                                <div class="modal-dialog modal-lg modal-blue modal-addLoad" role="document">
                                    <div class="modal-content">
                                        <input type="hidden" class="dropStopNumber" name="drop[{{ $stop_index }}][stop_number]" value="{{ $stop_no }}">
                                        <div class="modal-header">
                                            <h5 class="modal-title mr-5">Drop Trailer: <span id="dropTrailer_{{ $stop_index }}"></span></h5>
                                            <h5 class="modal-title mr-5">Driver: <span id="dropDriverName_{{ $stop_index }}"></span></h5>
                                            <h5 class="modal-title mr-5">Truck: <span id="dropTruck_{{ $stop_index }}"></span></h5>
                                            <button type="button" class="close dropCancelBtn_top_{{ $stop_index }}" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="">
                                                <div class="d-flex flex-row bd-highlight align-items-center mb-3 dropTrailer-head">
                                                    <div class="switches-container mr-3">
                                                        <input type="radio" id="dropSwitchLoaded_{{ $stop_index }}" name="drop[{{ $stop_index }}][empty_loaded]" value="0" checked>
                                                        <input type="radio" id="dropSwitchEmpty_{{ $stop_index }}" name="drop[{{ $stop_index }}][empty_loaded]" value="1">
                                                        <label for="dropSwitchLoaded_{{ $stop_index }}">Loaded</label>
                                                        <label for="dropSwitchEmpty_{{ $stop_index }}">Empty</label>
                                                        <div class="switch-wrapper">
                                                            <div class="switch">
                                                                <div>Loaded</div>
                                                                <div>Empty</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="custom-control custom-checkbox drop-checkbox_{{ $stop_index }} mr-3">
                                                        <input type="checkbox" class="custom-control-input" id="dropAtStop_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_at_stop]" value="1">
                                                        <label class="custom-control-label" for="dropAtStop_{{ $stop_index }}">Drop at Stop</label>
                                                    </div>
                                                    <div class="custom-control custom-checkbox">
                                                        <input type="checkbox" class="custom-control-input" id="dropKeepDriver_{{ $stop_index }}" name="drop[{{ $stop_index }}][keep_assigned]" value="1">
                                                        <label class="custom-control-label" for="dropKeepDriver_{{ $stop_index }}">Keep load assigned to driver</label>
                                                    </div>
                                                </div>
                                                <div class="row dropTrailer-row mt-4">
                                                    <div class="col-md-4 col-sm-5">
                                                        <div class="form-group">
                                                            <label for="dorp-date">Drop Date / Time</label>
                                                            <input type="text" class="form-control" id="dropDorpDate_{{ $stop_index }}" name="drop[{{ $stop_index }}][dorp_date]" placeholder="" style="font-size: 13px;">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8 col-sm-7">
                                                        <div class="form-group drop-search">
                                                            <div class="row justify-content-between">
                                                                <div class="col-auto">
                                                                    <label for="drop-loc">Drop Location</label>
                                                                </div>
                                                                <div class="col-auto">
                                                                    <div class="custom-control custom-checkbox" style="margin-top: -1px;">
                                                                        <input type="checkbox" class="custom-control-input" name="drop[{{ $stop_index }}][loc_by_custom]" id="dropLocByCustom_{{ $stop_index }}" value="1">
                                                                        <label class="custom-control-label" for="dropLocByCustom_{{ $stop_index }}">Custom</label>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12">
                                                                    <select class="form-control select2" id="dropLocByUser_{{ $stop_index }}" name="drop[{{ $stop_index }}][loc_by_user]">
                                                                        {!! $dropSearchDropDown !!}
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <input type="hidden" id="dropUserType_{{ $stop_index }}" name="drop[{{ $stop_index }}][user_type]" value="">
                                                        </div>
                                                        <div class="form-group drop-select">
                                                            <label for="dropAdd1_{{ $stop_index }}">Drop Location</label>
                                                            <select class="form-control dropLocByStop" id="dropLocByStop_{{ $stop_index }}" name="drop[{{ $stop_index }}][loc_by_stop]">
                                                                <option value="">Select Stop</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12 geocoding" data-type="stop-drop">
                                                        <div class="row">
                                                            <input type="hidden" class="geocoding-latitude" name="drop[{{ $stop_index }}][drop_latitude]" value="" autocomplete="off">
                                                            <input type="hidden" class="geocoding-longitude" name="drop[{{ $stop_index }}][drop_longitude]" value="" autocomplete="off">
                                                            <input type="hidden" class="geocoding-abbr" name="drop[{{ $stop_index }}][drop_timezone_abbr]" value="" autocomplete="off">
                                                            <input type="hidden" class="geocoding-verified" name="drop[{{ $stop_index }}][drop_address_verified]" value="" autocomplete="off">
                                                            <div class="col-sm-6">
                                                                <div class="form-group">
                                                                    <label for="dropAdd1_{{ $stop_index }}">Address 1:</label>
                                                                    <input type="text" class="form-control geocoding-address-1" id="dropAdd1_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_add1]" placeholder="" value="" readonly>
                                                                    <span class="error dropAdd1_{{ $stop_index }}_error text-danger"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <div class="form-group">
                                                                    <label for="dropAdd2_{{ $stop_index }}">Address 2:</label>
                                                                    <input type="text" class="form-control geocoding-address-2" id="dropAdd2_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_add2]" placeholder="" value="" readonly>
                                                                    <span class="error dropAdd2_{{ $stop_index }}_error text-danger"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <div class="form-group">
                                                                    <label for="dropCity_{{ $stop_index }}">City:</label>
                                                                    <input type="text" class="form-control geocoding-city" id="dropCity_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_city]" placeholder="" value="" readonly>
                                                                    <span class="error dropCity_{{ $stop_index }}_error text-danger"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl col-md-2 col-6">
                                                                <div class="form-group">
                                                                    <label for="dropState_{{ $stop_index }}">State:</label>
                                                                    <input type="text" class="form-control geocoding-state" id="dropState_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_state]" value="" placeholder="" readonly>
                                                                    <span class="error dropState_{{ $stop_index }}_error text-danger"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2 col-6">
                                                                <div class="form-group">
                                                                    <label for="dropZip_{{ $stop_index }}">Zip:</label>
                                                                    <input type="text" class="form-control geocoding-zip" id="dropZip_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_zip]" placeholder="" value="" readonly>
                                                                    <span class="error dropZip_{{ $stop_index }}_error text-danger"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-auto col-md-2 col-6 d-none">
                                                                <div class="d-flex align-items-center h-100">
                                                                    <a href="javascript:void(0);" class="a-link justify-content-end geocoding-btn" data-type="pickup-drop" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="dropNotes_{{ $stop_index }}">Notes:</label>
                                                            <textarea id="dropNotes_{{ $stop_index }}" name="drop[{{ $stop_index }}][drop_notes]" rows="3" class="form-control"></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <div class="col-12 pl-1 pr-0">
                                                <label class="mt-2 mb-0 font-weight-bold" id="dropCreatedBy_{{ $stop_index }}">Created By: </label>
                                                <button class="btn btn-blue float-right" data-dismiss="modal">Drop</button>
                                                <button type="button" class="btn btn-blueBr float-right deliveryDropCancelBtn" data-dismiss="modal">Cancel</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        --}}
                    @endif
                    <!-- Stop DropTrailers - END -->
                    <!-- data-type="Stop"  -->
                    <a href="javascript:void(0);" class="close remove-shop-btn"><i class="fa fa-times" aria-hidden="true"></i></a>
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-between">
        <!-- New Date -->
        <div class="col">
            <div class="mb-2">
                <div class="btn-group pickupBtn-group">
                    <button type="button" class="btn btn-blue time-range-btn">
                        {!! Form::radio('stop['.$stop_index.'][date_time_range]', 0, true, array(
                                'class' => 'custom-control-input stop-date_time_range'
                            )
                        ) !!} APPOINTMENT
                    </button>
                    <button type="button" class="btn btn-blueBr time-range-btn">
                        {!! Form::radio('stop['.$stop_index.'][date_time_range]', 1, false, array(
                                'class' => 'custom-control-input stop-date_time_range'
                            )
                        ) !!} Range
                    </button>
                </div>
            </div>
        </div>
        <div class="col-auto">
            <div class="mb-2">
                <div class="btn-group pickupBtn-group">
                    <button type="button" class="btn btn-blue customer-type-btn">
                        {!! Form::radio('stop['.$stop_index.'][customer_type]', 1, true, array(
                                'class' => 'custom-control-input stop-customer_type'
                            )
                        ) !!} Shipper
                    </button>
                    <button type="button" class="btn btn-blueBr customer-type-btn">
                        {!! Form::radio('stop['.$stop_index.'][customer_type]', 2, false, array(
                                'class' => 'custom-control-input stop-customer_type'
                            )
                        ) !!} Consignee
                    </button>
                </div>
            </div>
        </div>
        <div class="col-sm-12">
            <div class="row align-items-center">
                @if(getDeliveryDateOption() == 1)
                    <div class="col-md-6 col-sm-6">
                        <div class="form-group">
                            <label>
                                <span class="apprangelabel">Appointment</span> Date / Time
                                <!-- <br/> <span>(This date and time will be based on location)</span> -->
                            </label>
                            <div class="position-relative position-group">
                                {!! Form::text('stop['.$stop_index.'][date_time]', null, array(
                                        'class'                         => 'form-control stop-date-time' ,
                                        'autocomplete'                  => 'off',
                                        'onPaste'                       => 'return false',
                                        'required'                      => 'required',
                                        'data-parsley-errors-container' => '#stop-'.$stop_index.'-date-time-errors'
                                    )
                                ) !!}
                                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                            </div>
                            <div id="stop-{{ $stop_index }}-date-time-errors"></div>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 stopDateTimeEnd d-none">
                        <div class="form-group">
                            <label>
                                <span class="apprangelabel">Appointment</span> Date / Time End
                                <!-- <br/> <span>(This date and time will be based on location)</span> -->
                            </label>
                            <div class="position-relative position-group">
                                {!! Form::text('stop['.$stop_index.'][date_time_end]', null, array(
                                        'class'                             => 'form-control stop-date-time-end',
                                        'autocomplete'                      => 'off',
                                        'onPaste'                           => 'return false',
                                        'data-parsley-errors-container'     => '#stop-'.$stop_index.'-date-time-end-errors'
                                    )
                                ) !!}
                                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                            </div>
                            <div id="stop-{{ $stop_index }}-date-time-end-errors"></div>
                        </div>
                    </div>
                @elseif(getDeliveryDateOption() == 2 || getDeliveryDateOption() == 3)
                    <div class="col-md-6 col-sm-6 disbaleDatepop">
                        <div class="row">
                            <div class="col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label><span class="apprangelabel">Appointment</span> Date</label>
                                    <div class="position-relative position-group">
                                        <input type="text" class="form-control custstopdate" placeholder="MM/DD/YYYY" onPaste="return false">
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label><span class="apprangelabel">Appointment</span> Time</label>
                                    <div class="position-relative position-group">
                                        <input type="text" class="form-control custstoptime" placeholder="HH:MM" onPaste="return false">
                                        <img src="{{ asset('theme/images/proRouter-time.png') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        {!! Form::text('stop['.$stop_index.'][date_time]', null, array(
                                'class'                         => 'form-control stop-date-time hidden',
                                'autocomplete'                  => 'off',
                                'onPaste'                       => 'return false',
                                'required'                      => 'required',
                                'data-parsley-errors-container' => '#stop-'.$stop_index.'-date-time-errors'
                            )
                        ) !!}
                        <div id="stop-{{ $stop_index }}-date-time-errors"></div>
                    </div>
                    <div class="col-md-6 col-sm-6 disbaleDatepop stopDateTimeEnd d-none">
                        <div class="row">
                            <div class="col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label><span class="apprangelabel">Appointment</span> Date End</label>
                                    <div class="position-relative position-group">
                                        <input type="text" class="form-control custstopdateend" placeholder="MM/DD/YYYY" onPaste="return false">
                                        <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label><span class="apprangelabel">Appointment</span> Time End</label>
                                    <div class="position-relative position-group">
                                        <input type="text" class="form-control custstoptimeend" placeholder="HH:MM" onPaste="return false">
                                        <img src="{{ asset('theme/images/proRouter-time.png') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        </div>
                        {!! Form::text('stop['.$stop_index.'][date_time_end]', null, array(
                                'class'                         => 'form-control stop-date-time-end hidden',
                                'autocomplete'                  => 'off',
                                'onPaste'                       => 'return false',
                                'data-parsley-errors-container' => '#stop-'.$stop_index.'-date-time-end-errors'
                            )
                        ) !!}
                        <div id="stop-{{ $stop_index }}-date-time-end-errors"></div>
                    </div>
                @endif
                <!-- // Request Appointment -->
                <div class="col-auto req-appointment-div">
                    <a href="javascript:void(0);" class="a-link req-appointment-link disabled">Set Customer and <span>Shipper</span> to request an appointment</a>
                    <input type="hidden" class="req-appointment-input" name="stop[{{ $stop_index }}][appointment]" value="">
                    <!-- display: inline-block; margin-top: 20px; -->
                </div>
                <!-- // Request Appointment -->
            </div>
        </div>
        <!-- New Date -->
        <!-- // Drop Trailer Schedule -->
        <div class="col-12 drop_trailer-schedule">
            <div class="row mb-3">
                <div class="col-auto">
                    <div class="custom-control custom-radio custom-sqRadio">
                        {!! Form::radio('stop['.$stop_index.'][drop_trailer_schedule]', 0, true, array(
                                'class' => 'custom-control-input drop_trailer-schedule-type',
                                'id'        => 'stop_'.$stop_index.'_drop_trailer_schedule_0'
                            )
                        ) !!}
                        <label class="custom-control-label fw-600" for="stop_{{ $stop_index }}_drop_trailer_schedule_0">Live</label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="custom-control custom-radio custom-sqRadio">
                        {!! Form::radio('stop['.$stop_index.'][drop_trailer_schedule]', 1, false, array(
                                'class'     => 'custom-control-input drop_trailer-schedule-type',
                                'id'        => 'stop_'.$stop_index.'_drop_trailer_schedule_1',
                                'disabled'  => 'disabled'
                            )
                        ) !!}
                        <label class="custom-control-label fw-600" for="stop_{{ $stop_index }}_drop_trailer_schedule_1">Drop Trailer</label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="custom-control custom-radio custom-sqRadio">
                        {!! Form::radio('stop['.$stop_index.'][drop_trailer_schedule]', 2, false, array(
                                'class'     => 'custom-control-input drop_trailer-schedule-type',
                                'id'        => 'stop_'.$stop_index.'_drop_trailer_schedule_2'
                            )
                        ) !!}
                        <label class="custom-control-label fw-600" for="stop_{{ $stop_index }}_drop_trailer_schedule_2">Drop & Hook</label>
                    </div>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-6 drop_trailer_id-schedule-div d-none">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_drop_trailer_id">Drop Trailer</label>
                        {!! Form::select('stop['.$stop_index.'][drop_trailer_id]',
                            ['' => 'Select'], null, [
                                'class'     => 'custom-select form-control drop_trailer_id-schedule',
                                'id'        => 'stop_'.$stop_index.'_drop_trailer_id'
                            ]
                        ) !!}
                    </div>
                </div>
                <div class="col-md-6 pickup_trailer_id-schedule-div d-none">
                    <label for="stop_{{ $stop_index }}_pickup_trailer_id">Pickup Trailer</label>
                    {!! Form::select('stop['.$stop_index.'][pickup_trailer_id]',
                        ['' => 'Search & Select', 'TRAILERTBD' => 'To Be Determined - Trailer Number Not Assigned Yet'], null, [
                            'class'                         => 'custom-select form-control pickup_trailer_id-schedule',
                            'id'                            => 'stop_'.$stop_index.'_pickup_trailer_id',
                            'data-parsley-errors-container' => '#stop_'.$stop_index.'_pickup_trailer_id-errors'
                        ]
                    ) !!}
                    <div id="stop_{{ $stop_index }}_pickup_trailer_id-errors"></div>
                </div>
            </div>
        </div>
        <!-- // Drop Trailer - Scheduled -->
        <div class="col-12">
            <input type="hidden" class="geocoding-latitude" name="stop[{{ $stop_index }}][latitude]" value="">
            <input type="hidden" class="geocoding-longitude" name="stop[{{ $stop_index }}][longitude]" value="">
            <input type="hidden" class="geocoding-verified" name="stop[{{ $stop_index }}][address_verified]" value="0">
            <div id="#stop_{{ $stop_index }}_timezone_abbr-errors" class="text-right">
                <input type="hidden" class="geocoding-abbr" name="stop[{{ $stop_index }}][timezone_abbr]" value="" data-parsley-errors-container="#stop_{{ $stop_index }}_timezone_abbr-errors" data-parsley-required-message="Please verify address">
            </div>
        </div>
        <div class="col-sm-12 text-right">
            <span class="geocoding-timezone d-none"></span>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <label for="stop_{{ $stop_index }}_customer_id"><span class="changetext">Shipper</span></label>
                    </div>
                    <div class="col-auto">
                        <a
                            href="javascript:void(0);"
                            class="a-link add-shipper-link"
                            data-stop_index="{{ $stop_index }}"
                            data-toggle="modal"
                            data-target="#addShipperModal">
                            Add New +
                        </a>
                    </div>
                    <div class="col-12">
                        {!! Form::select('stop['.$stop_index.'][customer_id]', ['' => 'Shipper']+getCustomerList(), null, [
                                'class'         => 'form-control stop-select2',
                                'id'            => 'stop_'.$stop_index.'_customer_id',
                                'data-email'    => '',
                                'data-phone'    => ''
                            ]
                        ) !!}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_address_one">Address 1</label>
                        <input type="text" class="form-control stop-address-1 geocoding-address-1 trimble-autocomplete" name="stop[{{ $stop_index }}][address_one]" id="stop_{{ $stop_index }}_address_one">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_address_two">Address 2</label>
                        <input type="text" class="form-control stop-address-2 geocoding-address-2" name="stop[{{ $stop_index }}][address_two]" id="stop_{{ $stop_index }}_address_two">
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_city">City</label>
                        <input type="text" class="form-control stop-city geocoding-city" name="stop[{{ $stop_index }}][city]" id="stop_{{ $stop_index }}_city">
                    </div>
                </div>
                <div class="col-xl col-md-2 col-6">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_state">State</label>
                        <input type="text" class="form-control stop-state geocoding-state" name="stop[{{ $stop_index }}][state]" id="stop_{{ $stop_index }}_state">
                    </div>
                </div>
                <div class="col-md-2 col-6">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_zip">Zip</label>
                        <input type="text" class="form-control stop-zip geocoding-zip" name="stop[{{ $stop_index }}][zip]" id="stop_{{ $stop_index }}_zip">
                    </div>
                </div>
                <div class="col-xl-auto col-md-2 col-6">
                    <div class="d-flex align-items-center h-100">
                        <a
                            href="javascript:void(0);"
                            class="a-link justify-content-end verify-address-btn geocoding-btn"
                            data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify Address</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <label for="stop_{{ $stop_index }}_stop_note">Notes</label>
                <textarea class="form-control h-auto" name="stop[{{ $stop_index }}][stop_note]" id="stop_{{ $stop_index }}_stop_note" cols="30" rows="2"></textarea>
            </div>
        </div>
        <div class="col-12 isItemizeDiv d-none">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_commodity">Commodity</label>
                        {!! Form::select('stop['.$stop_index.'][commodity]', ['' => 'Commodity']+getCompanyAdminCommodityList(auth()->guard('company-admin')->user()->company_id), null, [
                                'class'                         => 'custom-select form-control commodity-select2',
                                'data-parsley-errors-container' => 'stop_'.$stop_index.'_commodity-errors'
                            ]
                        ) !!}
                        <div id="stop_{{ $stop_index }}_commodity-errors"></div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_stop_value">Stop Value</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </div>
                            <input type="text" class="form-control stop-value two-decimal-input comma-two-decimal-input" name="stop[{{ $stop_index }}][stop_value]" id="stop_{{ $stop_index }}_stop_value">
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_stop_weight">Stop Weight</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">lbs</span>
                            </div>
                            <input type="text" class="form-control stop-weight integer-input comma-integer-input" name="stop[{{ $stop_index }}][stop_weight]" id="stop_{{ $stop_index }}_stop_weight" data-parsley-errors-container="#stop_{{ $stop_index }}_stop_weight-errors">
                        </div>
                        <div id="stop_{{ $stop_index }}_stop_weight-errors"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 isItemizeDiv d-none">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_reefer_mode">Reefer Mode</label>
                        {!! Form::select('stop['.$stop_index.'][reefer_mode]', [
                            ''  => 'Select',
                            '1' => 'Continuous',
                            '2' => 'Cycle',
                        ], null, ['class' => 'custom-select form-control']) !!}
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="row justify-content-between">
                            <div class="col-auto">
                                <label class="mb-0">Reefer Temp</label>
                            </div>
                            <div class="col-auto mb-1">
                                <div class="d-flex align-items-center">
                                    <label class="switch-text mb-0 mr-2" for="stop_{{ $stop_index }}_reefer_temp_type">°C</label>
                                    <div class="custom-control custom-switch-blue custom-switch-small mr-2">
                                        {!! Form::checkbox('stop['.$stop_index.'][reefer_temp_type]', 1, false, array(
                                                'class' => 'custom-control-input reefer-temp-type',
                                                'id'    => 'stop_'.$stop_index.'_reefer_temp_type'
                                            )
                                        ) !!}
                                        <label class="custom-control-label mb-0" for="stop_{{ $stop_index }}_reefer_temp_type"></label>
                                    </div>
                                    <label class="switch-text mb-0" for="stop_{{ $stop_index }}_reefer_temp_type">°F</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <input type="number" class="form-control reefer-temp integer-input" name="stop[{{ $stop_index }}][reefer_temp]" id="stop_{{ $stop_index }}_reefer_temp" step="any" data-old="">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="stop_{{ $stop_index }}_pickup_number" class="stop-pickup_number_label">Pickup Number</label>
                        <input type="text" class="form-control" name="stop[{{ $stop_index }}][pickup_number]" id="stop_{{ $stop_index }}_pickup_number">
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 isItemizeDiv d-none">
            <div class="row mb-10">
                <div class="col-sm-2 text-muted">Stop Weight: <span class="stop-weight-txt"></span></div>
                <div class="col-sm-1 border-right"></div>
                <div class="col-sm-2 text-muted">Stop Value: <span class="stop-value-txt"></span></div>
                <div class="col-sm-1 border-right"></div>
                <div class="col-sm-2 text-muted">Total Load Weight: <span class="total-load-weight-txt"></span></div>
                <div class="col-sm-1 border-right"></div>
                <div class="col-sm-2 text-muted">Total Load Value: <span class="total-load-value-txt"></span></div>
            </div>
        </div>
    </div>
    <div class="row">
        <!-- accessorial-div -->
        <div class="col-12 sigale mb-10">
            <div class="single-collapse">
                <div>
                    <button
                        type="button"
                        class="btn accessorials-collapse-btn"
                        data-toggle="collapse"
                        data-target="#accessorials-stop-{{ $stop_index }}-collapse"
                        aria-expanded="true"
                        aria-controls="accessorials-stop-{{ $stop_index }}-collapse">
                        Accessorial + <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                    </button>
                </div>
                <div
                    class="collapse show accessorials-collapse-div"
                    id="accessorials-stop-{{ $stop_index }}-collapse">
                    <div class="card-body">
                        <!-- accessorials-table -> accessorialsLoad-table -->
                        <div class="table-responsive accessorialsLoad-table">
                            <table class="addLoad-table mt-0">
                                <thead>
                                    <tr>
                                        <th>Status</th>
                                        <th>Name</th>
                                        <th>Qty</th>
                                        <th>Rate</th>
                                        <th>Total</th>
                                        <th>Received</th>
                                        <th class="text-right">
                                            <!-- data-type="Stop"  -->
                                            <a
                                                href="javascript:void(0);"
                                                class="a-link accessorial-link"
                                                data-temp="1"
                                                data-type="3"
                                                data-is_stop="1"
                                                data-random_id="{{ $random_id }}"
                                                data-unique_id="{{ $accessorial_unique_id }}"
                                                data-btn_unique_id="{{ $stop_accessorial_unique_id }}"
                                            >Add +</a>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody data-record_exists="no">
                                    <tr>
                                        <td colspan="7">No data available in table</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 sigale">
            <div class="single-collapse">
                <div>
                    <button
                        type="button"
                        class="btn required-documents-collapse-btn collapsed d-none"
                        data-toggle="collapse"
                        data-target="#required-documents-stop-{{ $stop_index }}-collapse"
                        aria-expanded="false"
                        aria-controls="required-documents-stop-{{ $stop_index }}-collapse">
                        Required Documents <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                    </button>
                </div>
                <div class="required-documents-collapse-div collapse" id="required-documents-stop-{{ $stop_index }}-collapse">
                    <div class="card-body">
                        <!-- required-documents-table -> requiredLoad-table -->
                        <div class="table-responsive requiredLoad-table">
                        </div>
                    </div>
                </div>
            </div>
            <div class="position-relative add-edit-popup mb-2 d-none">
                <a href="javascript:void(0);"
                    class="a-link add-edit-btn">
                    Add / Edit Required Documents
                </a>
                <div class="add-edit-block d-none">
                </div>
            </div>
            <div class="mb-2">
                <a href="javascript:void(0);" class="a-link add-dimension-btn">Add Dimension +</a>
            </div>
            <div class="dimension-wrapper">
            </div>
            <button class="btn add-shop-btn" type="button"> Add Stop +</button>
        </div>
    </div>
</div>
