<div class="col-md-12 mt-2 mb-2">
    <p class="mt-2 mb-1">When Shipper - <span class="text-primary rep-broker-contact" data-toggle="modal" id="shipperaddRow">Add New</span></p>
</div>
<div class="col-md-12">
    @php
        if(!empty($data->shipper_files)){
            $shipper_files = unserialize($data->shipper_files);
        }else{
            $shipper_files = unserialize(config('settings.shipper_files'));
        }

        $newSetShi=1001;
    @endphp
    @if(is_array($shipper_files) && count($shipper_files) > 0)
        @foreach($shipper_files as $shipperf)
        <div class="row" id="shipperinputFormRow">
            <div class="col-md-1 cheskejw">
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="is_required1{{$newSetShi}}"  name="shipper_files[is_required][{{$newSetShi}}]" @if($shipperf['is_required'] == 'on') checked @endif>
                    <label class="custom-control-label" for="is_required1{{$newSetShi}}"></label>
                </div>
            </div>
            <div class="col-md-5 pl-0 pr-0">
                @if($shipperf['fixed'] == 'yes')
                <div class="form-group mt-1">
                    <input type="hidden" name="shipper_files[name][{{$newSetShi}}]" value="{{$shipperf['name']}}">
                    <label>{{$shipperf['name']}}</label>
                </div>
                @else
                <div class="form-group">
                    <input class="form-control" name="shipper_files[name][{{$newSetShi}}]" value="{{$shipperf['name']}}" type="text" required />
                </div>
                @endif
            </div>
            <div class="col-md-5 custom-width radio-btn-div stradibut">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <label class="btn btn-secondary @if($shipperf['type'] == 1) active @endif">
                    <input class="custom-control-input" name="shipper_files[type][{{$newSetShi}}]" type="radio" value="1" @if($shipperf['type'] == 1) checked @endif> Copy
                    </label>
                    <label class="btn btn-secondary @if($shipperf['type'] == 2) active @endif">
                    <input class="custom-control-input" name="shipper_files[type][{{$newSetShi}}]" type="radio" value="2" @if($shipperf['type'] == 2) checked @endif> Original
                    </label>
                </div>
            </div>
            <div class="col-md-1 pl-0 pr-0">
                @if($shipperf['fixed'] == 'yes')
                    <input type="hidden" name="shipper_files[fixed][{{$newSetShi}}]" value="yes">
                @else
                    <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                    <input type="hidden" name="shipper_files[fixed][{{$newSetShi}}]" value="no">
                @endif
                
            </div>
        </div>
        @php $newSetShi++; @endphp
        @endforeach
    @endif
    <div id="shippernewRow">
    </div>
</div>

<div class="col-md-12 mt-4 mb-2">
    <p class="mt-2 mb-1">When Consignee - <span class="text-primary rep-broker-contact" data-toggle="modal" id="consigneeaddRow">Add New</span></p>
</div>
<div class="col-md-12">
    @php
        if(!empty($data->shipper_files)){
            $consignee_files = unserialize($data->consignee_files);
        }else{
            $consignee_files = unserialize(config('settings.consignee_files'));
        }
        $newConShi=1001;
    @endphp
    @if(is_array($consignee_files) && count($consignee_files) > 0)
        @foreach($consignee_files as $consigneef)
        <div class="row" id="shipperinputFormRow">
            <div class="col-md-1 cheskejw">
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="is_requi{{$newConShi}}"  name="consignee_files[is_required][{{$newConShi}}]" @if($consigneef['is_required'] == 'on') checked @endif>
                    <label class="custom-control-label" for="is_requi{{$newConShi}}"></label>
                </div>
            </div>
            <div class="col-md-5 pl-0 pr-0">
                @if($consigneef['fixed'] == 'yes')
                <div class="form-group mt-1">
                    <input type="hidden" name="consignee_files[name][{{$newConShi}}]" value="{{$consigneef['name']}}">
                    <label>{{$consigneef['name']}}</label>
                </div>
                @else
                <div class="form-group">
                    <input class="form-control" name="consignee_files[name][{{$newConShi}}]" value="{{$consigneef['name']}}" type="text" required />
                </div>
                @endif
            </div>
            <div class="col-md-5 custom-width radio-btn-div stradibut">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <label class="btn btn-secondary @if($consigneef['type'] == 1) active @endif">
                    <input class="custom-control-input" name="consignee_files[type][{{$newConShi}}]" type="radio" value="1" @if($consigneef['type'] == 1) checked @endif> Copy
                    </label>
                    <label class="btn btn-secondary @if($consigneef['type'] == 2) active @endif">
                    <input class="custom-control-input" name="consignee_files[type][{{$newConShi}}]" type="radio" value="2" @if($consigneef['type'] == 2) checked @endif> Original
                    </label>
                </div>
            </div>
            <div class="col-md-1 pl-0 pr-0">
                @if($consigneef['fixed'] == 'yes')
                    <input type="hidden" name="consignee_files[fixed][{{$newConShi}}]" value="yes">
                @else
                    <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                    <input type="hidden" name="consignee_files[fixed][{{$newConShi}}]" value="no">
                @endif
                
            </div>
        </div>
        @php $newConShi++; @endphp
        @endforeach
    @endif
    <div id="consigneenewRow">
    </div>
</div>

<script type="text/javascript">
    var m = parseInt('{{$newSetShi}}');
    $("#shipperaddRow").click(function () {
        var html = '';
        html += '<div class="row" id="shipperinputFormRow">';
        html += '<div class="col-md-1 cheskejw">';
        html += '<div class="custom-control custom-checkbox">';
        html += '<input type="checkbox" class="custom-control-input" id="sameashi2w'+m+'" name="shipper_files[is_required]['+m+']">';
        html += '<label class="custom-control-label" for="sameashi2w'+m+'"></label>';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-5 pl-0 pr-0">';
        html += '<div class="form-group mt-1">';
        html += '<input class="form-control" name="shipper_files[name]['+m+']" type="text" required />';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
        html += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
        html += '<label class="btn btn-secondary active">';
        html += '<input class="custom-control-input" name="shipper_files[type]['+m+']" type="radio" value="1" checked="checked"> Copy';
        html += '</label>';
        html += '<label class="btn btn-secondary">';
        html += '<input class="custom-control-input" name="shipper_files[type]['+m+']" type="radio" value="2" > Original';
        html += '</label>';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-1 pl-0 pr-0">';
        html += '<a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>';
        html += '<input type="hidden" name="shipper_files[fixed]['+m+']" value="no">';
        html += '</div>';
        html += '</div>';

        $('#shippernewRow').append(html);
        m++
    });

    // remove row
    $(document).on('click', '#shipperremoveRow', function () {
        $(this).closest('#shipperinputFormRow').remove();
    });

    var il = parseInt('{{$newConShi}}');
    $("#consigneeaddRow").click(function () {
        
        var html = '';
        html += '<div class="row" id="consigneeinputFormRow">';
        html += '<div class="col-md-1 cheskejw">';
        html += '<div class="custom-control custom-checkbox">';
        html += '<input type="checkbox" class="custom-control-input" id="sameadd2w'+il+'" name="consignee_files[is_required]['+il+']">';
        html += '<label class="custom-control-label" for="sameadd2w'+il+'"></label>';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-5 pl-0 pr-0">';
        html += '<div class="form-group mt-1">';
        html += '<input class="form-control" name="consignee_files[name]['+il+']" type="text" required />';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
        html += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
        html += '<label class="btn btn-secondary active">';
        html += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="1" checked="checked"> Copy';
        html += '</label>';
        html += '<label class="btn btn-secondary">';
        html += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="2" > Original';
        html += '</label>';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-1 pl-0 pr-0">';
        html += '<a href="javascript:void(0)" class="btn btn-danger" id="consigneeremoveRow"><i class="fa fa-trash"></i></a>';
        html += '<input type="hidden" name="consignee_files[fixed]['+il+']" value="no">';
        html += '</div>';
        html += '</div>';

        $('#consigneenewRow').append(html);
        il++
    });

    // remove row
    $(document).on('click', '#consigneeremoveRow', function () {
        $(this).closest('#consigneeinputFormRow').remove();
    });
</script>