@if($showtype == 'month')
    <h5 class="box-title">Monthly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Monthly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
                <p>Total Monthly Miles (Deadhead) <span>{{ $getLoadDeadheadMileage }}</span></p>
                <p>Total Monthly Miles (Loaded) <span>{{ $getLoadLoadedMileage }}</span></p>
                <p>Total Monthly Miles (Total) <span>{{ $getLoadTotalMileage }}</span></p>

                <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
                <p>Average Miles Per Day (Deadhead) <span>{{ $AverageDeadheadMilePerDay }}</span></p>
                <p>Average Miles Per Day (Loaded) <span>{{ $AverageLoadedMilePerDay }}</span></p>
                <p>Average Miles Per Day (Total) <span>{{ $AverageTotalMilePerDay }}</span></p>

                <p>Cent Per Mile (Loaded) <span>{{ getPrice($CentLoadedPerMile) }}</span></p>
                <p>Cent Per Mile (Total) <span>{{ getPrice($CentTotalPerMile) }}</span></p>

                <p>Monthly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
                <p>Monthly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'year')
    <h5 class="box-title">Yearly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Yearly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
                <p>Total Yearly Miles (Deadhead) <span>{{ $getLoadDeadheadMileage }}</span></p>
                <p>Total Yearly Miles (Loaded) <span>{{ $getLoadLoadedMileage }}</span></p>
                <p>Total Yearly Mile (Total) <span>{{ $getLoadTotalMileage }}</span></p>

                <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
                <p>Average Miles Per Day (Deadhead) <span>{{ $AverageDeadheadMilePerDay }}</span></p>
                <p>Average Miles Per Day (Loaded) <span>{{ $AverageLoadedMilePerDay }}</span></p>
                <p>Average Mile Per Day (Total) <span>{{ $AverageTotalMilePerDay }}</span></p>

                <p>Cent Per Mile (Loaded) <span>{{ getPrice($CentLoadedPerMile) }}</span></p>
                <p>Cent Per Mile (Total) <span>{{ getPrice($CentTotalPerMile) }}</span></p>

                <p>Yearly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
                <p>Yearly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'quarterly')
    <h5 class="box-title">Quarterly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Quarterly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
                <p>Total Quarterly Miles (Deadhead) <span>{{ $getLoadDeadheadMileage }}</span></p>
                <p>Total Quarterly Miles (Loaded) <span>{{ $getLoadLoadedMileage }}</span></p>
                <p>Total Quarterly Mile (Total) <span>{{ $getLoadTotalMileage }}</span></p>

                <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
                <p>Average Miles Per Day (Deadhead) <span>{{ $AverageDeadheadMilePerDay }}</span></p>
                <p>Average Miles Per Day (Loaded) <span>{{ $AverageLoadedMilePerDay }}</span></p>
                <p>Average Mile Per Day (Total) <span>{{ $AverageTotalMilePerDay }}</span></p>

                <p>Cent Per Mile (Loaded) <span>{{ getPrice($CentLoadedPerMile) }}</span></p>
                <p>Cent Per Mile (Total) <span>{{ getPrice($CentTotalPerMile) }}</span></p>

                <p>Quarterly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
                <p>Quarterly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'weekly')
    <h5 class="box-title">Weekly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Weekly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
                <p>Total Weekly Miles (Deadhead) <span>{{ $getLoadDeadheadMileage }}</span></p>
                <p>Total Weekly Miles (Loaded) <span>{{ $getLoadLoadedMileage }}</span></p>
                <p>Total Weekly Mile (Total) <span>{{ $getLoadTotalMileage }}</span></p>

                <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
                <p>Average Miles Per Day (Deadhead) <span>{{ $AverageDeadheadMilePerDay }}</span></p>
                <p>Average Miles Per Day (Loaded) <span>{{ $AverageLoadedMilePerDay }}</span></p>
                <p>Average Mile Per Day (Total) <span>{{ $AverageTotalMilePerDay }}</span></p>

                <p>Cent Per Mile (Loaded) <span>{{ getPrice($CentLoadedPerMile) }}</span></p>
                <p>Cent Per Mile (Total) <span>{{ getPrice($CentTotalPerMile) }}</span></p>

                <p>Weekly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
                <p>Weekly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
            </div>
        </div>
    </div>
@endif

{{--
@if($showtype == 'month')
<h5 class="box-title">Monthly Performance Summary</h5>
<div class="box-padding">
    <div class="filter-box">
        <div class="">
            <p>Total Monthly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
            <p>Total Monthly Mile <span>{{ $getLoadMileage }}</span></p>
            <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
            <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
            <p>Cent Per Mile <span>{{ getPrice($CentPerMile) }}</span></p>
            <p>Monthly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
            <p>Monthly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>

        </div>
    </div>
</div>
@endif

@if($showtype == 'year')
<h5 class="box-title">Yearly Performance Summary</h5>
<div class="box-padding">
    <div class="filter-box">
        <div class="">
            <p>Total Yearly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
            <p>Total Yearly Mile <span>{{ $getLoadMileage }}</span></p>
            <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
            <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
            <p>Cent Per Mile <span>{{ getPrice($CentPerMile) }}</span></p>
            <p>Yearly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
            <p>Yearly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
        </div>
    </div>
</div>
@endif

@if($showtype == 'quarterly')
<h5 class="box-title">Quarterly Performance Summary</h5>
<div class="box-padding">
    <div class="filter-box">
        <div class="">
            <p>Total Quarterly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
            <p>Total Quarterly Mile <span>{{ $getLoadMileage }}</span></p>
            <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
            <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
            <p>Cent Per Mile <span>{{ getPrice($CentPerMile) }}</span></p>
            <p>Quarterly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
            <p>Quarterly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
        </div>
    </div>
</div>
@endif

@if($showtype == 'weekly')
<h5 class="box-title">Weekly Performance Summary</h5>
<div class="box-padding">
    <div class="filter-box">
        <div class="">
            <p>Total Weekly Revenue <span>{{ getPrice($getLoadGrossRevenue) }}</span></p>
            <p>Total Weekly Mile <span>{{ $getLoadMileage }}</span></p>
            <p>Average Revenue Per Day <span>{{ getPrice($verageRevenuePerDay) }}</span></p>
            <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
            <p>Cent Per Mile <span>{{ getPrice($CentPerMile) }}</span></p>
            <p>Weekly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
            <p>Weekly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
        </div>
    </div>
</div>
@endif
--}}
