            <div class="col-12">
                <label> This report is for the period starting from {{$current_startdate}} to {{$current_enddate}} </label>
            </div>
            <div class="col-md-6 col-lg-3 md-4">
                <div class="card">
                    <div class="card-header " style="background-color:red">
                        FLEET
                    </div>
                    <table class="cs-table   w-100 fleet-content">

                        <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                    ${{number_format((float)$totalrevenue_target, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                {{number_format((float)$sum_count_total_target_miles, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{@$totalactivedriver}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                     {{$totalinactivedriver}}
                                </td>
                            </tr>
                             <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                     {{@$totalactivedriver + $totalinactivedriver}}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">
                                 ${{number_format((float)$sum_team_count_load_revanyPerunit, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">
                                    {{round(@$tot_count_new_loadDetaildataget)}}
                                </td>
                            </tr>
                            <tr>
                                <td>CPM Per Unit</td>
                                <td class="text-right">
                              
                                     ${{number_format((float)@$all_count_sum_actual_cpm, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue </h5>

                                    @if($sum_count_revenuDataset < $sum_count_load_revanyActual)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($sum_count_revenuDataset > $sum_count_load_revanyActual)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if($total_count_occupancy_revenue > $totalRevenue)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->

                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-right  ">
                                      ${{number_format((float)$sum_count_revenuDataset, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-right">
                                    ${{number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                      @php $revenTotData = ($sum_count_load_revanyActual) - ($sum_count_revenuDataset); @endphp
                                      {{number_format((float)$revenTotData, 2, '.', '')}}
                                </td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage</h5>

                                    @if($all_count_total_occupancy_miles < $sum_actualcountmiles)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($all_count_total_occupancy_miles > $sum_actualcountmiles)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if($all_count_total_occupancy_miles > $sum_actualcountmiles)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->

                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-right  ">

                                     {{number_format((float)$all_count_total_occupancy_miles, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-right">
                                {{$sum_actualcountmiles}}
                              </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                @php $totactiveDataall = $sum_actualcountmiles - $all_count_total_occupancy_miles; @endphp
                                     {{-- @php $totactiveDataall = $all_count_total_occupancy_miles; @endphp--}}
                                     
                                    {{number_format((float)$totactiveDataall, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile </h5>

                                    @if($totalCPM_driver > $all_count_sum_actual_cpm)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($totalCPM_driver < $all_count_sum_actual_cpm)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-right  ">

                                      {{@number_format((float)@$totalCPM_driver, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM</td>
                                <td class="text-right">
                                    @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                    @endphp

                                   {{@number_format((float)@$all_count_sum_actual_cpm, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                    @php $totCpmDataall = ($all_count_sum_actual_cpm) - (@$totalCPM_driver); @endphp

                                    {{@number_format((float)@$totCpmDataall, 2, '.', '')}}

                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal </h5>

                                     @if($sum_count_actualreve_divide_by < $tot_sum_fleetOccupancyData)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($sum_count_actualreve_divide_by > $tot_sum_fleetOccupancyData)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                 <!--    @if($count_count_unitat_goal_data > $count_fleetOccuData)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50"><strong>{{@number_format((float)@$count_count_unitat_goal_data, 2, '.', '')}} </strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong><!-- {{@number_format((float)@$divide_count_getdataOccupancyDays, 2, '.', '')}} -->{{round(@$tot_sum_fleetOccupancyData)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal</td>
                                <td class="text-center w-50"><strong><!-- {{@number_format((float)@$sum_count_actualreve_divide_by, 2, '.', '')}} --> {{@round($sum_count_actualreve_divide_by)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                <!-- {{@number_format((float)@$sum_count_actualreve_divide_by - @$count_fleetOccuData, 2, '.', '')}} --> {{round(@$sum_count_actualreve_divide_by - @$tot_sum_fleetOccupancyData)}}%</strong></td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy </h5>



                                    @if($tot_sum_fleetOccupancyData < $sum_count_occupancy_goalData)

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($tot_sum_fleetOccupancyData > $sum_count_occupancy_goalData)

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if($all_sum_quarterly_occupancy > $totalfleet_occupancy)

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->

                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50"><strong><!-- {{number_format((float)$sum_count_occupancy_goalData, 2, '.', '')}} -->  {{@round($sum_count_occupancy_goalData)}}% </strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                               <!-- 29-03 <td class="text-center w-50"><strong>{{@$tot_sum_fleetOccupancyData}}%</strong></td> -->

                                <td class="text-center w-50"><strong>{{@round($tot_sum_fleetOccupancyData)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                    @php $countOccData = ($tot_sum_fleetOccupancyData) - (@$sum_count_occupancy_goalData); @endphp
                               <!--  {{number_format((float)$countOccData, 2, '.', '')}}  -->{{@round($countOccData)}}%</strong></td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table gauge-table   w-100 table-bordered">

                         <tbody>
                             <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>

                                        <figure class="highcharts-figure1">
                                          <div id="maincontainer1"></div>

                                        </figure> </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage</span>

                                        <figure class="highcharts-figure2">
                                          <div id="maincontainer2"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                        <figure class="highcharts-figure3">
                                          <div id="maincontainer3"></div>

                                        </figure>
                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                        <figure class="highcharts-figure4">
                                          <div id="maincontainer4"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <div style="border: 1px solid black; margin:8px 0">
                        <table class="cs-table  revenue-band-table m-0 w-100 ">
                            <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                            </thead>
                           <tbody>
                                <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_sum_3000Lower}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_3000to4000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_4000to5000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_5000to6000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_6000to7000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{$all_greater_then_seven}}</strong></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            @php $i='1';   @endphp

            @foreach($dataArray as $dataArrayset)
            @php $colorcode = "#" . rand(100,1000);
                 $base_enco = base64_encode($dataArrayset['teamId']);

                 //dd($dataArrayset);
            @endphp

            <div class="col-md-6 col-lg-3 md-4">
{{--                <a href="javascript:void(0)" class="getDataTeamWish">{{@$dataArrayset['teamName']}}</a>--}}
               <!--   <a href="{{route('company.admin.revenue.tracker.driverdata',@$base_enco)}}">   -->
            <a href="{{route('company.admin.revenue.tracker.driverDatagetdatewised',[@$base_enco,@$passcurrent_startdate,@$passcurrent_enddate])}}">
                    <div class="card-header " style="background-color:{{@$colorcode}}">
                           {{@$dataArrayset['teamName']}}
                    </div>
                    <table class="cs-table   w-100 fleet-content">

                        <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                    ${{number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                    {{number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                        </thead>
                          <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{@$dataArrayset['activedriver']}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                   {{@$dataArrayset['inactivedriver']}}
                                </td>
                            </tr>
                           <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                     {{@$dataArrayset['activedriver'] + $dataArrayset['inactivedriver']}}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">
                                      ${{@number_format((float)$dataArrayset['load_revanyPerunit'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">

                                    {{round(@$dataArrayset['new_loadDetaildataget'])}}
                                </td>
                            </tr>
                            <tr>
                                <td>CPM Per Unit </td>
                                <td class="text-right">

                                   ${{number_format((float)$dataArrayset['actual_cpm'], 2, '.', '')}}
                                   <!-- {{number_format((float)$dataArrayset['cpm_per_unit_countData'], 2, '.', '')}} -->
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue </h5>

                                     @if(@$dataArrayset['revenuDataset'] < @$dataArrayset['load_revanyActual'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['revenuDataset'] > @$dataArrayset['load_revanyActual'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                   <!--  @if(@$dataArrayset['totalOccupancy'] > @$dataArrayset['load_revanyPerunit'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                </th>
                            </tr>
                        </thead>
                       <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-right  ">

                                    ${{number_format((float)$dataArrayset['revenuDataset'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-right">

                                    ${{@number_format((float)$dataArrayset['load_revanyActual'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                  @php
                                   $revenTotDataall = ($dataArrayset['load_revanyActual']) - ($dataArrayset['revenuDataset']); @endphp
                                    {{@number_format((float)$revenTotDataall, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage


                                    @if(@$dataArrayset['total_occupancy_miles'] < @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                             <!--        @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                    </h5>


                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-right  ">
                                      {{@number_format((float)@$dataArrayset['total_occupancy_miles'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-right">
{{--{{dd($dataArrayset['total_occupancy_miles'])}}--}}
                                    {{round(@$dataArrayset['total_occupancy_miles'])}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                    @php

                                     $totactiveData = (@$dataArrayset['Miles']) - (@$dataArrayset['total_occupancy_miles']); @endphp

                                    {{number_format((float)$totactiveData, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile

                                    @if(@$dataArrayset['target_CPM'] < @$dataArrayset['actual_cpm'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if(@$dataArrayset['target_CPM'] > @$dataArrayset['actual_cpm'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                              <!--       @if(@$dataArrayset['target_CPM'] > @$dataArrayset['actual_cpm'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif -->
                                    </h5>
                                </th>
                            </tr>
                        </thead>
                       <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-right  ">


                                   {{@number_format((float)@$dataArrayset['target_CPM'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM </td>
                                <td class="text-right">
                                     @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                     @endphp


                                  {{@number_format((float)@$dataArrayset['actual_cpm'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="text-right">
                                   @php @$minsData = $dataArrayset['actual_cpm'];

                                   $totcpmdata = ($minsData) - (@$dataArrayset['target_CPM']);
                                   @endphp


                                     {{@number_format((float)@$totcpmdata, 2, '.', '')}}
                                </td>
                            </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal


                                    @if(@$dataArrayset['actualreve_divide_by'] < @$dataArrayset['fleetOccupancyData'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                   @if(@$dataArrayset['actualreve_divide_by'] > @$dataArrayset['fleetOccupancyData'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                    <!-- @if(@$dataArrayset['unitat_goal_data'] > @$dataArrayset['fleet_occupancy'])

                                       <div class="valu-content  y-tike"> </div>

                                    @endif
 -->
                                    </h5>
                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50"><strong>{{@number_format((float)@$dataArrayset['unitat_goal_data'], 2, '.', '')}} </strong></td>
                            </tr>

                             <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong><!-- {{@number_format((float)@$dataArrayset['getdataOccupancyDays'], 2, '.', '')}} -->{{@round($dataArrayset['fleetOccupancyData'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['actualreve_divide_by'])}}%</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>


                                   {{round(@$dataArrayset['actualreve_divide_by'] - @$dataArrayset['fleetOccupancyData'])}}%</strong></td>
                            </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                            <tr>
                                 <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy </h5>

                                    @if($dataArrayset['fleetOccupancyData'] < @$dataArrayset['occupancy_goalData'])

                                       <div class="valu-content  r-tike"> </div>

                                    @endif

                                    @if($dataArrayset['fleetOccupancyData'] > @$dataArrayset['occupancy_goalData'])

                                        <div class="valu-content  l-tike"> </div>

                                    @endif

                                     <!-- @if($dataArrayset['fleet_occupancy'] > @$dataArrayset['quarterly_occupancy'])

                                       <div class="valu-content y-tike"> </div>

                                    @endif -->

                                </th>
                            </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                             <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['occupancy_goalData'])}}%</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['fleetOccupancyData'])}}%</strong></td>

                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                    @php $fleet_occ = $dataArrayset['fleetOccupancyData'];

                                     $quarterly_occ = $dataArrayset['occupancy_goalData'];

                                     $minsOcc = $fleet_occ - $quarterly_occ;
                                 @endphp

                           {{@round($minsOcc)}}%</strong></td>
                            </tr>
                        </tbody>
                    </table>

                    <table class="cs-table gauge-table   w-100 table-bordered">

                         <tbody>
                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>

                                         <figure class="highcharts-figure1">
                                          <div id="container1{{@$dataArrayset['teamId']}}"></div>

                                        </figure>
                                    </div>
                                </td>

                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage</span>

                                        <figure class="highcharts-figure2">
                                          <div id="container2{{@$dataArrayset['teamId']}}"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                            <figure class="highcharts-figure3">
                                          <div id="container3{{@$dataArrayset['teamId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                         <figure class="highcharts-figure4">
                                          <div id="container4{{@$dataArrayset['teamId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <div style="border: 1px solid black; margin:8px 0">
                        <table class="cs-table  revenue-band-table m-0 w-100  ">
                            <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                            </thead>
                            <tbody>
                               <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['three_Lower']}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['threeTofour']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['fourTofive']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['fiveTosix']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['sixToseven']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$dataArrayset['greater_then_seven']}}</strong></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
<!--                 <figure class="highcharts-figure">
                    <div id="container{{@$i}}"></div>
                    <p class="highcharts-description">

                    </p>
                </figure> -->
        </a>
            </div>
            <script>

            ///// start 1st /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container1{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Revenue: ${{number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}}</strong><strong>Actual Revenue: ${{@number_format((float)$dataArrayset['load_revanyActual'], 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataArrayset['load_revanyActual'], 2, '.', '')}}],
                  //  data: [{{@number_format((float)$dataArrayset['totalOccupancy'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataArrayset['load_revanyActual'], 2, '.', '')}}</span>$<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 1st //

                 ///// start 2nd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container2{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Miles:  {{number_format((float)$dataArrayset['total_target_miles'], 2, '.', '')}}  </strong><strong>Actual Miles: {{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}],
                    //data: [{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_data'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 2nd //

                // Highcharts.chart("container3{{@$dataArrayset['teamId']}}", {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: '',
                //     innerSize: '50%',
                //     data: [
                //       ['Target CPM', {{@$dataArrayset['target_CPM']}}],
                //       ['Actual CPM', {{@$dataArrayset['actual_cpm']}}],
                //     ]
                //   }]
                // });


                ///// start 3rd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container3{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>CPM: {{@number_format((float)$totcpmdata, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$totcpmdata, 2, '.', '')}}],
                    //data: [{{@number_format((float)$dataArrayset['actual_cpm'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$totcpmdata, 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 3rd //


                //  Highcharts.chart("container4{{@$dataArrayset['teamId']}}", {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: '',
                //     innerSize: '50%',
                //     data: [
                //       ['Occupancy Goal', {{@$dataArrayset['quarterly_occupancy']}}],
                //       ['Fleet Occupancy', {{@$dataArrayset['fleetOccupancyData']}}],
                //     ]
                //   }]
                // });

                 ///// start 3rd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('container4{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$dataArrayset['occupancy_goalData'], 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Occupancy : {{number_format((float)$dataArrayset['occupancy_goalData'], 2, '.', '')}} %</strong><strong>Fleet Occupancy : {{@number_format((float)$dataArrayset['fleetOccupancyData'], 2, '.', '')}} %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$dataArrayset['fleetOccupancyData'], 2, '.', '')}}],
                    //data: [{{@number_format((float)$dataArrayset['fleetOccupancyData'], 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$dataArrayset['fleetOccupancyData'], 2, '.', '')}}</span>%<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// end 4th //
                </script>
            @php $i++; @endphp
            @endforeach
                  <script type="text/javascript">

                ///////////

// Highcharts.chart('maincontainer1', {
//   chart: {
//     plotBackgroundColor: null,
//     plotBorderWidth: 0,
//     plotShadow: false
//   },
//   title: {
//     text: '',
//     align: 'center',
//     verticalAlign: 'middle',
//     y: 60
//   },
//   tooltip: {
//     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
//   },
//   accessibility: {
//     point: {
//       valueSuffix: '%'
//     }
//   },
//   plotOptions: {
//     pie: {
//       dataLabels: {
//         enabled: true,
//         distance: -50,
//         style: {
//           fontWeight: 'bold',
//           color: 'white'
//         }
//       },
//       startAngle: -90,
//       endAngle: 90,
//       center: ['50%', '20%'],
//       size: '100
                //       %'
//     }
//   },
//   series: [{
//     type: 'pie',
//     name: '',
//     innerSize: '50%',
//     data: [
//       ['Actual Revenue',{{@$sum_team_count_load_revanyPerunit}}],
//       ['Occupancy Revenue',{{@$tot_counttotalOccupancy}}],
//     ]
//   }]
// });
                 ///// start 1st /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer1', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$totalrevenue_target, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Revenue: ${{@number_format((float)$totalrevenue_target, 2, '.', '')}} </strong><strong>Actual Revenue: ${{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                 series: [{
                    data: [{{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}</span>$<br/>' +
                            '</div>'
                    }
                }]

            }));

                 ///// start 2nd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer2', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$sum_count_total_target_miles, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Miles: {{@number_format((float)$sum_count_total_target_miles, 2, '.', '')}} </strong><strong>Actual Miles: {{round(@$sum_actualcountmiles)}}</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{round(@$sum_actualcountmiles)}}],
                   // data: [{{@number_format((float)$sum_actualcountmiles, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{round(@$sum_actualcountmiles)}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// 2nd end//

// Highcharts.chart('maincontainer3', {
//   chart: {
//     plotBackgroundColor: null,
//     plotBorderWidth: 0,
//     plotShadow: false
//   },
//   title: {
//     text: '',
//     align: 'center',
//     verticalAlign: 'middle',
//     y: 60
//   },
//   tooltip: {
//     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
//   },
//   accessibility: {
//     point: {
//       valueSuffix: '%'
//     }
//   },
//   plotOptions: {
//     pie: {
//       dataLabels: {
//         enabled: true,
//         distance: -50,
//         style: {
//           fontWeight: 'bold',
//           color: 'white'
//         }
//       },
//       startAngle: -90,
//       endAngle: 90,
//       center: ['50%', '20%'],
//       size: '100%'
//     }
//   },
//   series: [{
//     type: 'pie',
//     name: 'CPM',
//     innerSize: '50%',
//     data: [
//       ['Target CPM', {{@$totalCPM_driver}}],
//       ['Actual CPM', {{@$all_count_sum_actual_cpm}}],
//     ]
//   }]
// });

                 ///// start 3rd /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer3', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>CPM: {{@number_format((float)$totCpmDataall, 2, '.', '')}} </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$totCpmDataall, 2, '.', '')}}],
                   // data: [{{@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$totCpmDataall, 2, '.', '')}}</span><br/>' +
                            '</div>'
                    }
                }]

            }));

            /// 3rd end//

// Highcharts.chart('maincontainer4', {
//   chart: {
//     plotBackgroundColor: null,
//     plotBorderWidth: 0,
//     plotShadow: false
//   },
//   title: {
//     text: '',
//     align: 'center',
//     verticalAlign: 'middle',
//     y: 60
//   },
//   tooltip: {
//     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
//   },
//   accessibility: {
//     point: {
//       valueSuffix: '%'
//     }
//   },
//   plotOptions: {
//     pie: {
//       dataLabels: {
//         enabled: true,
//         distance: -50,
//         style: {
//           fontWeight: 'bold',
//           color: 'white'
//         }
//       },
//       startAngle: -90,
//       endAngle: 90,
//       center: ['50%', '20%'],
//       size: '100%'
//     }
//   },
//   series: [{
//     type: 'pie',
//     name: 'Browser share',
//     innerSize: '50%',
//     data: [
//       ['Occupancy Goal', {{@$all_sum_quarterly_occupancy}}],
//       ['Fleet Occupancy', {{@$all_count_fleetOccupancyData}}],
//     ]
//   }]
// });

                 ///// start 4th /////

                var gaugeOptions = {
                chart: {
                    type: 'solidgauge',
                    spacingBottom: 0,
                     height: 100,
                     width: 100,
                     marginRight: 0,
                     marginBottom: 0,
                },

                title: null,

                pane: {
                    center: ['50%', '50%'],
                    size: '100%',
                    startAngle: -130,
                    endAngle: 130,
                    background: {
                        backgroundColor:
                            Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        innerRadius: '60%',
                        outerRadius: '100%',
                        shape: 'arc'
                    }
                },

                exporting: {
                    enabled: false
                },

                tooltip: {
                    enabled: true
                },

                // the value axis
                yAxis: {
                    stops: [
                        [0.1, '#DF5353'], // red
                        [0.4, '#DDDF0D'], // yellow
                        [0.5, '#55BF3B'], // green


                    ],
                    lineWidth: 1,
                    tickWidth: 1,
                    minorTickInterval: null,
                    tickAmount: 1,
                    title: {
                        y: -70
                    },
                    labels: {
                        y: 16
                    }
                },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
            var chartSpeed = Highcharts.chart('maincontainer4', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: {{@number_format((float)$sum_count_occupancy_goalData, 2, '.', '')}},
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Occupancy : {{@number_format((float)$sum_count_occupancy_goalData, 2, '.', '')}} %</strong><strong>Fleet Occupancy : {{@number_format((float)$tot_sum_fleetOccupancyData, 2, '.', '')}} %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [{{@number_format((float)$tot_sum_fleetOccupancyData, 2, '.', '')}}],
                    //data: [{{@number_format((float)$all_count_fleetOccupancyData, 2, '.', '')}}],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">{{@number_format((float)$tot_sum_fleetOccupancyData, 2, '.', '')}}</span>%<br/>' +
                            '</div>'
                    }
                }]

            }));

            /// 4th end//


                // Manish13-04-22
$(document).on('click','.getDataTeamWish',function (){
   alert(1);
});
</script>
