@extends($companyAdminTheme)

@section('title')
    Loads
@endsection
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/solid-gauge.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<script src="https://code.highcharts.com/modules/accessibility.js"></script>
@section('style')
    <style type="text/css">
        .load-btn label {
            width: 99px !important;
        }

        .load-edit-link {
            text-decoration: underline;
        }


        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 220px;
            max-width: 360px;
            margin: 0em auto !important;
        }

        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        /*.gauge-table div{
            height: min-content;
        }*/
        .highcharts-announcer-container {
            display: none;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }


    </style>

    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/data.js"></script>
    <script src="https://code.highcharts.com/modules/drilldown.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>

    <style type="text/css">
        .load-detail {
            position: absolute;
            background-color: #ffffff;
            z-index: 1;
            padding: 5px 15px 5px 30px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            left: 0;
            top: 26px;
            min-width: 100%;
            width: auto;
        }

        .load-detail ul, .load-detail ul li {
            list-style: disc;
            text-align: left;
        }

        .multiple-loads {
            cursor: pointer;
        }

        .highcharts-figure #container {
            height: 150px;
        }

        .highcharts-background {
            fill: transparent !important;
        }


        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }


        .highcharts-container {
            height: 170px !important;
            margin: auto;
            left: -7px;
            top: 20px;
        }

        .highcharts-root {
            /*margin-left: -13px !important;*/
        }

        /*#SubmitForm .btn-clear{
            color: white;
            margin: auto;
            text-align: center;
             vertical-align: middle; */
        /* justify-content: center; */
        /* align-items: center;
         display: flex;
         background-color: #6c757d;
     }*/
        /*Manish-13-04-22*/
        #cover-spin {
            position: fixed;
            width: 100%;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            /*background-color: rgba(255, 255, 255, 0.7);*/
            z-index: 9999;
            display: none;
        }

        @-webkit-keyframes spin {
            from {
                -webkit-transform: rotate(0deg);
            }
            to {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            from {
                transform: rotate(0deg);
            }
            to {
                transform: rotate(360deg);
            }
        }

        #cover-spin::after {
            display: block;
            position: absolute;
            left: 48%;
            top: 40%;
            border: 5px solid #f3f3f3;
            border-radius: 50%;
            border-top: 5px solid #3498db;
            width: 50px;
            height: 50px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
            content: '';

        }

        /*end*/
    </style>
@endsection

@section('content')

    @php if(count($getDriver) == 0){ @endphp

    <p> No data found. </p>

    @php }else{ @endphp

    <div class=" cs-report">

        <div class="cs-report">
            <div class="row form-block">
                <div class="col-md-3">
                    <form>
                        <label class="invisible">test</label>
                        <select class="select_id custom-select form-control  " id="select_id" name="actors">
                            <option value="CurrentWeek">Current Week</option>
                            <option value="LastWeek">Last Week</option>
                            <option value="CurrentMonth">Current Month</option>
                            <option value="LastMonth">Last Month</option>
                            <option value="ThisYear">This Year</option>
                            <option value="LastYear">Last Year</option>
                        </select>
                    </form>


                </div>
                <div class="col-md-9">
                    <form id="SubmitForm">
                        <div class="row">
                            <div class="col-md-4 custom-width">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    <input type="text" name="start_date" class="form-control" id="date_picker1" required
                                           autocomplete="off" placeholder="00/00/0000">
                                    <img src="images/calendar.png" alt="">
                                </div>
                            </div>
                            <div class="col-md-4 custom-width">
                                <div class="form-group  d-block">
                                    <label>End Date</label>
                                    <input type="text" name="end_date" class="form-control" id="date_picker2" required
                                           autocomplete="off" placeholder="00/00/0000">

                                    <img src="images/calendar.png" alt="">
                                </div>
                            </div>
                            <div class="col-md-2 custom-width">

                                <div class="form-group  d-block  button-bottom mt-27">

                                    <button type="submit" class="submit-btn">Submit</button>
                                </div>
                            </div>
                            <div class="col-md-2 custom-width">
                                <div class="form-group  d-block  button-bottom mt-27">


                                    <a href="{{route('company.admin.revenue.tracker.index')}}"
                                       class="submit-btn btn-clear"> Clear</a>
                                </div>
                            </div>

                        </div>
                    </form>
                </div>
                <!-- <div class="col-md-12">
                    <div class="form-group mt-2">
                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                            <label class="btn btn-secondary active shippingTime">
                                <input type="radio" name="shipping" id="shipping1" checked=""> Set Time
                            </label>
                            <label class="btn btn-secondary shippingRange">
                                <input type="radio" name="shipping" id="shipping2"> Range
                            </label>

                        </div>
                    </div>
                </div> -->
            <!--   <form id="SubmitForm">
                                <div class="col-md-12 custom-width">
                                    <div class="form-group">
                                        <label>Start Date/Time</label>
                                        <input type="text"  name="start_date"  class="form-control" id="shipperDate" autocomplete="off">
                                        <img src="images/calendar.png" alt="">
                                    </div>
                                </div>
                                <div class="col-md-12 custom-width">
                                    <div class="form-group shippingEnd">
                                        <label>End Date/Time </label>
                                        <input type="text" name="end_date" class="form-control" id="shipperDateEnd" autocomplete="off">
                                        <img src="images/calendar.png" alt="">
                                    </div>
                                </div>

                                <div class="col-md-6 custom-width">

                                        <div class="form-group  d-block  button-bottom m-0">

                                            <button  type="submit" class="submit-btn">Submit</button>
                                        </div>
                                    </div>
                                     <div class="col-md-6 custom-width">
                                        <div class="form-group  d-block  button-bottom m-0">


                                            <a href="{{route('company.admin.revenue.tracker.index')}}"
                                            class="submit-btn btn-clear"> Clear</a>
                                        </div>
                                    </div>
                             </form> -->
            </div>
            {{--Manish-13-04-22--}}
            <div id="cover-spin"></div>
            {{--            end--}}
            <div class="row widthclass" id="incompletebehavior">
                <div class="col-12">

                    <label> This report is for the period starting from {{date('d-m-Y', strtotime($current_startdate))}}
                        to {{date('d-m-Y', strtotime($current_enddate))}} </label>
                </div>
                {{--                Manish new code 21-04-22--}}
                {{--                {{dd()}}--}}
                <div class="col-md-6 col-lg-3 md-4">
                    <div class="card">
                        <div class="card-header" style="background-color:red">
                            FLEET
                        </div>

                        <!-- <ul class="list-group list-group-flush">
                                <li class="list-group-item text-center p-0">Fleet Totals</li>Total Target Revenue
                            </ul> -->
                        <table class="cs-table   w-100 fleet-content">

                            <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                    ${{number_format((float)$totalrevenue_target, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                    {{number_format((float)$sum_count_driverTotoccrevDatacount, 2, '.', '')}}
                                </td>
                            </tr>

                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{@$totalactivedriver}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                    {{@$totalinactivedriver}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                    {{@$totalactivedriver + $totalinactivedriver}}
                                </td>
                            </tr>

                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">
{{--{{dd($sum_team_count_load_revanyPerunit)}}--}}
                                    ${{number_format((float)@$sum_team_count_load_revanyPerunit, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">
                                    {{round(@$tot_count_new_loadDetaildataget)}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td>CPM Per Unit</td>
                                <td class="text-right">
                                    ${{number_format((float)@$tot_cpm_per_unit_countData, 2, '.', '')}}

                                </td>
                            </tr>

                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue </h5>


                                    @if($sum_count_occupancyRevData < $sum_count_load_revanyActual)

                                        <div class="valu-content  r-tike"></div>

                                    @endif

                                    @if($sum_count_occupancyRevData > $sum_count_load_revanyActual)

                                        <div class="valu-content  l-tike"></div>

                                @endif

                                <!--   @if($tot_counttotalOccupancy > $sum_team_count_load_revanyPerunit)

                                    <div class="valu-content  y-tike"> </div>

@endif -->

                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-center w-50"><strong>

                                        ${{@number_format((float)$sum_count_occupancyRevData, 2, '.', '')}}
                                    </strong>
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-center w-50"><strong>

                                    <!-- ${{@number_format((float)$totalRevenue, 2, '.', '')}} -->
                                        ${{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}
                                    </strong>
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-center w-50"><strong>
                                        @php $revenTotData = $sum_count_load_revanyActual - $sum_count_occupancyRevData; @endphp
                                        {{@number_format((float)$revenTotData, 2, '.', '')}}
                                    </strong>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage </h5>

                                    @if($all_count_total_occupancy_miles < $totalMiles)

                                        <div class="valu-content  r-tike"></div>

                                    @endif

                                    @if($all_count_total_occupancy_miles > $totalMiles)

                                        <div class="valu-content  l-tike"></div>

                                @endif

                                <!--  @if($all_count_total_occupancy_miles > $totalMiles)

                                    <div class="valu-content  y-tike"> </div>

@endif -->
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-center w-50"><strong>
                                    {{@number_format((float)$all_count_total_occupancy_miles, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-center w-50"><strong>
                                    {{round(@$totalMiles)}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-center w-50"><strong>
                                    @php $totMilesDataall = $totalMiles - $all_count_total_occupancy_miles;  @endphp


                                    {{@number_format((float)$totMilesDataall, 2, '.', '')}}
                                </td>
                            </tr>

                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile </h5>
{{--                                    {{dd($all_count_sum_actual_cpm)}}--}}
                                    @if($totalCPM_driver > $all_count_sum_actual_cpm)

                                        <div class="valu-content  r-tike"></div>

                                    @endif

                                    @if($totalCPM_driver < $all_count_sum_actual_cpm)

                                        <div class="valu-content  l-tike"></div>

                                    @endif

{{--                                                                        @if($totalCPM_driver > $all_count_sum_actual_cpm)--}}

{{--                                                                            <div class="valu-content  y-tike"></div>--}}

{{--                                                                        @endif--}}

                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-center w-50">

                                    {{@number_format((float)$totalCPM_driver, 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM</td>
                                <td class="text-center w-50">
                                    @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                    @endphp

                                    {{@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')}}
                                </td>

                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-center w-50">
                                    <div
                                        class="valu-content "> @php $totcpmData = $all_count_sum_actual_cpm - $totalCPM_driver; @endphp

                                        {{@number_format((float)$totcpmData, 2, '.', '')}}
                                    </div>
                                </td>
                            </tr>


                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal


                                    </h5>
                                    @if($count_count_unitat_goal_data < $sum_driverTotocc)

                                        <div class="valu-content  r-tike"></div>

                                    @endif

                                    @if($count_count_unitat_goal_data > $sum_driverTotocc)

                                        <div class="valu-content  l-tike"></div>

                                @endif

                                <!-- @if($count_count_unitat_goal_data > $sum_driverTotocc)

                                    <div class="valu-content  y-tike"> </div>

@endif -->
                                </th>
                            </tr>
                            </thead>
                            <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50">
                                    <strong> {{@number_format((float)$count_count_unitat_goal_data, 2, '.', '')}} </strong>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>
                                        {{round(@$sum_driverTotocc)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal</td>
                                <td class="text-center w-50">
                                    <strong><!-- {{@number_format((float)$sum_count_data_actualreve_divide_by, 2, '.', '')}} --> {{round($sum_count_data_actualreve_divide_by)}}
                                        %</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>
                                    @php $mindOccu =  $sum_count_data_actualreve_divide_by - @$sum_driverTotocc; @endphp
                                    <!-- {{@number_format((float)$mindOccu, 2, '.', '')}} --> {{@round($mindOccu)}}
                                        %</strong></td>
                            </tr>


                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy </h5>

                                    @if($sum_count_quarterly_occupancy_goal > $sum_driverTotocc)

                                        <div class="valu-content  r-tike"></div>

                                    @endif

                                    @if($sum_count_quarterly_occupancy_goal < $sum_driverTotocc)

                                        <div class="valu-content  l-tike"></div>

                                @endif

                                <!--   @if($all_sum_quarterly_occupancy > $totalfleet_occupancy)

                                    <div class="valu-content  y-tike"> </div>

@endif -->

                                </th>
                            </tr>
                            </thead>
                            <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50">
                                    <strong><!-- {{number_format((float)$sum_count_quarterly_occupancy_goal, 2, '.', '')}} -->{{@round($sum_count_quarterly_occupancy_goal)}}
                                        %</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>
                                        {{round(@$sum_driverTotocc)}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>

                                    @php $occmainData =  $sum_driverTotocc - @$sum_count_quarterly_occupancy_goal; @endphp
                                    <!-- {{number_format((float)$occmainData, 2, '.', '')}} --> {{@round($occmainData)}}
                                        %</strong></td>
                            </tr>

                            </tbody>
                        </table>

                        <table class="cs-table gauge-table   w-100 table-bordered">

                            <tbody>
                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>

                                        <figure class="highcharts-figure1 highchartcustome">
                                            <div id="maincontainer1"></div>

                                        </figure>
                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage</span>

                                        <figure class="highcharts-figure2">
                                            <div id="maincontainer2"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                        <figure class="highcharts-figure3">
                                            <div id="maincontainer3"></div>

                                        </figure>
                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                        <figure class="highcharts-figure4">
                                            <div id="maincontainer4"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                            </tbody>
                        </table>

                        <div style="border: 1px solid black; margin:8px 0">
                            <table class="cs-table  revenue-band-table m-0 w-100 ">
                                <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_sum_3000Lower}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_3000to4000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_4000to5000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_5000to6000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_6000to7000}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{@$all_greater_then_seven}}</strong></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                {{--{{dd($getAllTeamsWithDrivers)}}--}}

{{--                @foreach($getAllTeamsWithDrivers as $getAllTeamsWithDriver)--}}
{{--                    @php $colorcode = "#" . rand(100,1000);--}}
{{--                    $base_enco = base64_encode($getAllTeamsWithDriver->team_id);--}}
{{--                    @endphp--}}

{{--                    <div class="col-md-6 col-lg-3 md-4">--}}
{{--                        <div class="card">--}}
{{--                            <a href="{{route('company.admin.revenue.tracker.driverDatagetdatewised',[@$base_enco,@$passcurrent_startdate,@$passcurrent_enddate])}}" target="_blank">--}}
{{--                            <div class="card-header " style="background-color:{{@$colorcode}}">--}}

{{--                                {{$getAllTeamsWithDriver->name}}--}}

{{--                            </div>--}}
{{--                            </a>--}}
{{--                        </div>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}

{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Total Target Revenue</td>--}}
{{--                                <td class="text-right  ">--}}
{{--<?php--}}
{{--                                    $get_quarter = \Carbon\Carbon::now()->quarter;--}}
{{--                                    $get_year = \Carbon\Carbon::now()->year;--}}

{{--                                    $now = \Carbon::now();--}}
{{--                                    $weekStartDate = $now->startOfWeek()->format('Y-m-d');--}}
{{--                                    $weekEndDate = $now->endOfWeek()->format('Y-m-d');--}}

{{--                                    $revenueTotal = DriverFinancial::where('year',$get_year)->first();--}}
{{--                                    dd($revenueTotal);--}}

{{--//                                    dd($getLoadGrossRevenuedividedriver);--}}
{{--                                    ?>--}}
{{--                                    ${{number_format((float)$getAllTeamsWithDriver->revenueTotal, 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Total Target Miles</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    {{number_format((float)@$getAllTeamsWithDriver->target_miles, 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center">--}}
{{--                                    <h5> Driver Count</h5>--}}
{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Active Driver Count</td>--}}
{{--                                <td class="text-right  ">--}}
{{--                                   --}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Inactive Driver Count</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    --}}
{{--                                    --}}{{--                                    {{$inactive_driver}}--}}
{{--                                    --}}{{--                                    {{@$dataArrayset['inactivedriver']}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr class="lineclass">--}}
{{--                                <td>Net</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    {{@count($getDrivercount) + @count($inactive_driver)}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center">--}}
{{--                                    <h5>Unit Average</h5>--}}
{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Revenue Per Unit</td>--}}
{{--                                <td class="text-right  ">--}}

{{--                                    ${{@number_format((float)$dataArrayset['load_revanyPerunit'], 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Mileage Per Unit</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    {{round(@$dataArrayset['new_loadDetaildataget'])}}--}}

{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr class="lineclass">--}}
{{--                                <td>CPM Per Unit</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    ${{@number_format((float)$dataArrayset['cpm_per_unit_countData'], 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center table-head">--}}
{{--                                    <h5 class="table-heading"> Revenue </h5>--}}

{{--                                    @if(@$dataArrayset['occupancyRevData'] < @$dataArrayset['divideActual_rev'])--}}

{{--                                        <div class="valu-content  r-tike"></div>--}}

{{--                                    @endif--}}

{{--                                    @if(@$dataArrayset['occupancyRevData'] > @$dataArrayset['divideActual_rev'])--}}

{{--                                        <div class="valu-content  l-tike"></div>--}}

{{--                                @endif--}}

{{--                                <!--   @if(@$dataArrayset['totalOccupancy'] > @$dataArrayset['load_revanyActual'])--}}

{{--                                    <div class="valu-content  y-tike"> </div>--}}

{{--@endif -->--}}

{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Occupancy Revenue</td>--}}
{{--                                <td class="text-right  ">--}}

{{--                                    --}}{{--                                    ${{number_format((float)$dataArrayset['occupancyRevData'], 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Actual Revenue</td>--}}
{{--                                <td class="text-right">--}}
{{--                                    --}}{{--                                    ${{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr class="lineclass">--}}
{{--                                <td></td>--}}
{{--                                <td class="text-right">--}}

{{--                                    --}}{{--                                    @php $revenTotDataall = $dataArrayset['divideActual_rev'] - $dataArrayset['occupancyRevData']; @endphp--}}
{{--                                    --}}{{--                                    {{@number_format((float)$revenTotDataall, 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center table-head">--}}
{{--                                    <h5 class="table-heading"> Mileage </h5>--}}

{{--                                    @if(@$dataArrayset['total_occupancy_miles'] < @$dataArrayset['actual_milecount_total_occupancy_miles_data'])--}}

{{--                                        <div class="valu-content  r-tike"></div>--}}

{{--                                    @endif--}}

{{--                                    @if(@$dataArrayset['total_occupancy_miles'] >  @$dataArrayset['actual_milecount_total_occupancy_miles_data'])--}}

{{--                                        <div class="valu-content  l-tike"></div>--}}

{{--                                @endif--}}

{{--                                <!-- @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_data'])--}}

{{--                                    <div class="valu-content  y-tike"> </div>--}}

{{--@endif -->--}}

{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Occupancy Miles</td>--}}
{{--                                <td class="text-right  ">--}}
{{--                                    {{@number_format((float)$dataArrayset['total_occupancy_miles'], 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Actual Miles</td>--}}
{{--                                <td class="text-right">--}}

{{--                                    {{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr class="lineclass">--}}
{{--                                <td></td>--}}
{{--                                <td class="text-right">--}}
{{--                                    --}}{{--                                    @php $totmilesData =  @$dataArrayset['actual_milecount_total_occupancy_miles_data'] - $dataArrayset['total_occupancy_miles'];--}}

{{--                                    --}}{{--                                    @endphp--}}

{{--                                    {{@number_format((float)$totmilesData, 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}


{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center table-head">--}}
{{--                                    <h5 class="table-heading"> Cent Per Mile </h5>--}}

{{--                                    <div class="valu-content  y-tike"></div>--}}


{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td>Target CPM</td>--}}
{{--                                <td class="text-right  ">--}}

{{--                                    {{number_format((float)@$dataArrayset['target_CPM'], 2, '.', '')}}--}}

{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td>Actual CPM</td>--}}
{{--                                <td class="text-right">--}}

{{--                                    @php--}}

{{--                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);--}}

{{--                                    @endphp--}}

{{--                                    {{number_format((float)@$dataArrayset['actual_cpm'], 2, '.', '')}}--}}

{{--                                </td>--}}
{{--                            </tr>--}}
{{--                            <tr class="lineclass">--}}
{{--                                <td></td>--}}
{{--                                <td class="text-right">--}}
{{--                                    @php @$minsData = $dataArrayset['actual_cpm'];--}}

{{--                                    $totcpmData = $minsData - @$dataArrayset['target_CPM'];--}}
{{--                                    @endphp--}}

{{--                                    {{number_format((float)@$totcpmData, 2, '.', '')}}--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}

{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center table-head">--}}
{{--                                    <h5 class="table-heading"> % of Goal </h5>--}}

{{--                                    @if(@$dataArrayset['data_actualreve_divide_by'] < @$dataArrayset['fleetOccupancyData_tot'])--}}

{{--                                        <div class="valu-content  r-tike"></div>--}}

{{--                                    @endif--}}

{{--                                    @if(@$dataArrayset['data_actualreve_divide_by'] > @$dataArrayset['fleetOccupancyData_tot'])--}}

{{--                                        <div class="valu-content  l-tike"></div>--}}

{{--                                @endif--}}

{{--                                <!--  @if(@$dataArrayset['unitat_goal_data'] > @$dataArrayset['fleetOccupancyData_tot'])--}}

{{--                                    <div class="valu-content  y-tike"> </div>--}}

{{--@endif -->--}}

{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody class="border-bottom-2">--}}
{{--                            <tr>--}}
{{--                                <td class="text-center w-50">% of Units At Goal</td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <strong>{{@number_format((float)@$dataArrayset['unitat_goal_data'], 2, '.', '')}}</strong>--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            <tr>--}}
{{--                                <td class="text-center w-50">Fleet Occupancy</td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <strong>{{round(@$dataArrayset['fleetOccupancyData_tot'])}}--}}
{{--                                        %</strong></td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td class="text-center w-50">% of Revenue Goal</td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <strong> {{@round($dataArrayset['data_actualreve_divide_by'])}}%</strong>--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            <tr>--}}
{{--                                <td class="text-center w-50">Occupancy (-/+)</td>--}}
{{--                                <td class="text-center w-50 text-danger "><strong>--}}
{{--                                        --}}{{--                                        @php $coccsumData = $dataArrayset['data_actualreve_divide_by']  - $dataArrayset['fleetOccupancyData_tot'];  @endphp--}}

{{--                                        {{@round($coccsumData)}}%</strong></td>--}}
{{--                            </tr>--}}


{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <table class="cs-table   w-100 fleet-content">--}}
{{--                            <thead>--}}
{{--                            <tr>--}}
{{--                                <th colspan="2" class="text-center table-head">--}}
{{--                                    <h5 class="table-heading"> Occupancy </h5>--}}

{{--                                    --}}{{--                                    @if($dataArrayset['quarterly_occupancy_goal'] < @$dataArrayset['fleetOccupancyData_tot'])--}}

{{--                                    <div class="valu-content  r-tike"></div>--}}

{{--                                    --}}{{--                                    @endif--}}

{{--                                    --}}{{--                                    @if($dataArrayset['quarterly_occupancy_goal'] > @$dataArrayset['fleetOccupancyData_tot'])--}}

{{--                                    <div class="valu-content  l-tike"></div>--}}

{{--                                    --}}{{--                                @endif--}}
{{--                                    --}}{{--                                    @if($dataArrayset['quarterly_occupancy_goal'] > @$dataArrayset['fleetOccupancyData'])--}}

{{--                                    <div class="valu-content y-tike"></div>--}}

{{--                                    --}}{{--@endif --}}

{{--                                </th>--}}
{{--                            </tr>--}}
{{--                            </thead>--}}
{{--                            <tbody class="border-bottom-2">--}}
{{--                            <tr>--}}
{{--                                <td class="text-center w-50">Occupancy Goal</td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <strong>{{round(@$dataArrayset['quarterly_occupancy_goal'])}}%</strong></td>--}}
{{--                            </tr>--}}

{{--                            <tr>--}}
{{--                                <td class="text-center w-50">Fleet Occupancy</td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <strong> {{round(@$dataArrayset['fleetOccupancyData_tot'])}}%</strong></td>--}}
{{--                            </tr>--}}
{{--                            <tr>--}}
{{--                                <td class="text-center w-50">Occupancy (-/+)</td>--}}
{{--                                <td class="text-center w-50 text-danger "><strong>--}}

{{--                                        --}}{{--                                        @php $fleet_occ = $dataArrayset['fleetOccupancyData_tot'];--}}

{{--                                        --}}{{--                                     $quarterly_occ = $dataArrayset['quarterly_occupancy_goal'];--}}

{{--                                        --}}{{--                                     $minsOcc = $fleet_occ - $quarterly_occ;--}}
{{--                                        --}}{{--                                        @endphp--}}

{{--                                        {{round(@$minsOcc)}}%--}}
{{--                                    </strong></td>--}}
{{--                            </tr>--}}
{{--                            </tbody>--}}
{{--                        </table>--}}

{{--                        <table class="cs-table gauge-table   w-100 table-bordered">--}}

{{--                            <tbody>--}}
{{--                            <tr>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <div> <!-- Gauge 1  --> <span> Revenue </span>--}}

{{--                                    <!--   <figure class="highcharts-figure2">--}}
{{--                                          <div id="container1{{@$dataArrayset['teamId']}}"></div>--}}

{{--                                        </figure> -->--}}
{{--                                        <figure class="highcharts-figure2">--}}
{{--                                            <div id="container1{{@$dataArrayset['teamId']}}"--}}
{{--                                                 class="chart-container"></div>--}}
{{--                                        </figure>--}}
{{--                                    </div>--}}
{{--                                </td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <div> <!-- Gauge 2 --> <span> Mileage  </span>--}}

{{--                                        <figure class="highcharts-figure2">--}}
{{--                                            <div id="container2{{@$dataArrayset['teamId']}}"></div>--}}

{{--                                        </figure>--}}
{{--                                    </div>--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            <tr>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <div> <!-- Gauge 3 --> <span> CPM</span>--}}


{{--                                        <figure class="highcharts-figure2">--}}
{{--                                            <div id="container3{{@$dataArrayset['teamId']}}"></div>--}}

{{--                                        </figure>--}}
{{--                                    </div>--}}
{{--                                </td>--}}
{{--                                <td class="text-center w-50">--}}
{{--                                    <div> <!-- Gauge 4  --><span> Occupancy</span>--}}

{{--                                        <figure class="highcharts-figure2">--}}
{{--                                            <div id="container4{{@$dataArrayset['teamId']}}"></div>--}}

{{--                                        </figure>--}}
{{--                                    </div>--}}
{{--                                </td>--}}
{{--                            </tr>--}}

{{--                            </tbody>--}}
{{--                        </table>--}}
{{--                        <div style="border: 1px solid black; margin:8px 0">--}}
{{--                            <table class="cs-table  revenue-band-table m-0 w-100  ">--}}
{{--                                <thead>--}}
{{--                                <tr>--}}
{{--                                    <th colspan="2" class="text-center">--}}
{{--                                        <h5> Units By Revenue Band </h5>--}}
{{--                                    </th>--}}
{{--                                </tr>--}}
{{--                                <tr class="bg-secondary">--}}
{{--                                    <th class="text-center text-white py-1">Range</th>--}}
{{--                                    <th class="text-center text-white py-1">Driver(s)</th>--}}

{{--                                </tr>--}}
{{--                                </thead>--}}
{{--                                <tbody>--}}
{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['three_Lower']}}</strong></td>--}}
{{--                                </tr>--}}

{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['threeTofour']}}</strong></td>--}}
{{--                                </tr>--}}
{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['fourTofive']}}</strong></td>--}}
{{--                                </tr>--}}
{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['fiveTosix']}}</strong></td>--}}
{{--                                </tr>--}}
{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['sixToseven']}}</strong></td>--}}
{{--                                </tr>--}}
{{--                                <tr>--}}
{{--                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>--}}
{{--                                    <td class="text-center w-50">--}}
{{--                                        <strong>{{@$dataArrayset['greater_then_seven']}}</strong></td>--}}
{{--                                </tr>--}}
{{--                                </tbody>--}}
{{--                            </table>--}}
{{--                        </div>--}}

{{--                    </div>--}}

{{--                @endforeach--}}
                {{--                <div class="col-md-6 col-lg-3 md-4">--}}
                {{--                    <div class="card">--}}
                {{--                        <div class="card-header" style="background-color:red">--}}
                {{--                            FLEET--}}
                {{--                        </div>--}}

                {{--                        <!-- <ul class="list-group list-group-flush">--}}
                {{--                                <li class="list-group-item text-center p-0">Fleet Totals</li>Total Target Revenue--}}
                {{--                            </ul> -->--}}
                {{--                        <table class="cs-table   w-100 fleet-content">--}}

                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Total Target Revenue</td>--}}
                {{--                                <td class="text-right  ">--}}
                {{--                                    ${{number_format((float)$totalrevenue_target, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Total Target Miles</td>--}}
                {{--                                <td class="text-right">--}}
                {{--                                    {{number_format((float)$sum_count_driverTotoccrevDatacount, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}

                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center">--}}
                {{--                                    <h5> Driver Count</h5>--}}
                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Active Driver Count</td>--}}
                {{--                                <td class="text-right  ">--}}
                {{--                                    {{@$totalactivedriver}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Inactive Driver Count</td>--}}
                {{--                                <td class="text-right">--}}
                {{--                                    {{@$totalinactivedriver}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr class="lineclass">--}}
                {{--                                <td>Net</td>--}}
                {{--                                <td class="text-right">--}}
                {{--                                    {{@$totalactivedriver + $totalinactivedriver}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}
                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center">--}}
                {{--                                    <h5>Unit Average</h5>--}}
                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Revenue Per Unit</td>--}}
                {{--                                <td class="text-right  ">--}}

                {{--                                    ${{number_format((float)@$sum_team_count_load_revanyPerunit, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Mileage Per Unit</td>--}}
                {{--                                <td class="text-right">--}}
                {{--                                    {{round(@$tot_count_new_loadDetaildataget)}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr class="lineclass">--}}
                {{--                                <td>CPM Per Unit</td>--}}
                {{--                                <td class="text-right">--}}
                {{--                                    ${{number_format((float)@$tot_cpm_per_unit_countData, 2, '.', '')}}--}}

                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}

                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center table-head">--}}
                {{--                                    <h5 class="table-heading"> Revenue </h5>--}}


                {{--                                    @if($sum_count_occupancyRevData < $sum_count_load_revanyActual)--}}

                {{--                                        <div class="valu-content  r-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    @if($sum_count_occupancyRevData > $sum_count_load_revanyActual)--}}

                {{--                                        <div class="valu-content  l-tike"></div>--}}

                {{--                                @endif--}}

                {{--                                <!--   @if($tot_counttotalOccupancy > $sum_team_count_load_revanyPerunit)--}}

                {{--                                    <div class="valu-content  y-tike"> </div>--}}

                {{--@endif -->--}}

                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Occupancy Revenue</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}

                {{--                                        ${{@number_format((float)$sum_count_occupancyRevData, 2, '.', '')}}--}}
                {{--                                    </strong>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Actual Revenue</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}

                {{--                                    <!-- ${{@number_format((float)$totalRevenue, 2, '.', '')}} -->--}}
                {{--                                        ${{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}--}}
                {{--                                    </strong>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr class="lineclass">--}}
                {{--                                <td></td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                        @php $revenTotData = $sum_count_load_revanyActual - $sum_count_occupancyRevData; @endphp--}}
                {{--                                        {{@number_format((float)$revenTotData, 2, '.', '')}}--}}
                {{--                                    </strong>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}
                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center table-head">--}}
                {{--                                    <h5 class="table-heading"> Mileage </h5>--}}

                {{--                                    @if($all_count_total_occupancy_miles < $totalMiles)--}}

                {{--                                        <div class="valu-content  r-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    @if($all_count_total_occupancy_miles > $totalMiles)--}}

                {{--                                        <div class="valu-content  l-tike"></div>--}}

                {{--                                @endif--}}

                {{--                                <!--  @if($all_count_total_occupancy_miles > $totalMiles)--}}

                {{--                                    <div class="valu-content  y-tike"> </div>--}}

                {{--@endif -->--}}
                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Occupancy Miles</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                    {{@number_format((float)$all_count_total_occupancy_miles, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Actual Miles</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                    {{round(@$totalMiles)}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr class="lineclass">--}}
                {{--                                <td></td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                    @php $totMilesDataall = $totalMiles - $all_count_total_occupancy_miles;  @endphp--}}


                {{--                                    {{@number_format((float)$totMilesDataall, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}
                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center table-head">--}}
                {{--                                    <h5 class="table-heading"> Cent Per Mile </h5>--}}
                {{--                                    --}}{{--{{dd($all_count_sum_actual_cpm)}}--}}
                {{--                                    @if($totalCPM_driver < $all_count_sum_actual_cpm)--}}

                {{--                                        <div class="valu-content  r-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    @if($totalCPM_driver > $all_count_sum_actual_cpm)--}}

                {{--                                        <div class="valu-content  l-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    --}}{{--                                    @if($totalCPM_driver > $all_count_sum_actual_cpm)--}}

                {{--                                    --}}{{--                                        <div class="valu-content  y-tike"></div>--}}

                {{--                                    --}}{{--                                    @endif--}}

                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td>Target CPM</td>--}}
                {{--                                <td class="text-center w-50">--}}

                {{--                                    {{@number_format((float)$totalCPM_driver, 2, '.', '')}}--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td>Actual CPM</td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    @php--}}

                {{--                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);--}}

                {{--                                    @endphp--}}

                {{--                                    {{@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')}}--}}
                {{--                                </td>--}}

                {{--                            </tr>--}}
                {{--                            <tr class="lineclass">--}}
                {{--                                <td></td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <div--}}
                {{--                                        class="valu-content "> @php $totcpmData = $all_count_sum_actual_cpm - $totalCPM_driver; @endphp--}}

                {{--                                        {{@number_format((float)$totcpmData, 2, '.', '')}}--}}
                {{--                                    </div>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}


                {{--                            </tbody>--}}
                {{--                        </table>--}}

                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center table-head">--}}
                {{--                                    <h5 class="table-heading"> % of Goal--}}


                {{--                                    </h5>--}}
                {{--                                    @if($count_count_unitat_goal_data < $sum_driverTotocc)--}}

                {{--                                        <div class="valu-content  r-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    @if($count_count_unitat_goal_data > $sum_driverTotocc)--}}

                {{--                                        <div class="valu-content  l-tike"></div>--}}

                {{--                                @endif--}}

                {{--                                <!-- @if($count_count_unitat_goal_data > $sum_driverTotocc)--}}

                {{--                                    <div class="valu-content  y-tike"> </div>--}}

                {{--@endif -->--}}
                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody class="border-bottom-2">--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">% of Units At Goal</td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <strong> {{@number_format((float)$count_count_unitat_goal_data, 2, '.', '')}} </strong>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">Fleet Occupancy</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                        {{round(@$sum_driverTotocc)}}%</strong></td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">% of Revenue Goal</td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <strong><!-- {{@number_format((float)$sum_count_data_actualreve_divide_by, 2, '.', '')}} --> {{round($sum_count_data_actualreve_divide_by)}}--}}
                {{--                                        %</strong></td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">Occupancy (-/+)</td>--}}
                {{--                                <td class="text-center w-50 text-danger "><strong>--}}
                {{--                                    @php $mindOccu =  $sum_count_data_actualreve_divide_by - @$sum_driverTotocc; @endphp--}}
                {{--                                    <!-- {{@number_format((float)$mindOccu, 2, '.', '')}} --> {{@round($mindOccu)}}--}}
                {{--                                        %</strong></td>--}}
                {{--                            </tr>--}}


                {{--                            </tbody>--}}
                {{--                        </table>--}}
                {{--                        <table class="cs-table   w-100 fleet-content">--}}
                {{--                            <thead>--}}
                {{--                            <tr>--}}
                {{--                                <th colspan="2" class="text-center table-head">--}}
                {{--                                    <h5 class="table-heading"> Occupancy </h5>--}}

                {{--                                    @if($sum_count_quarterly_occupancy_goal > $sum_driverTotocc)--}}

                {{--                                        <div class="valu-content  r-tike"></div>--}}

                {{--                                    @endif--}}

                {{--                                    @if($sum_count_quarterly_occupancy_goal < $sum_driverTotocc)--}}

                {{--                                        <div class="valu-content  l-tike"></div>--}}

                {{--                                @endif--}}

                {{--                                <!--   @if($all_sum_quarterly_occupancy > $totalfleet_occupancy)--}}

                {{--                                    <div class="valu-content  y-tike"> </div>--}}

                {{--@endif -->--}}

                {{--                                </th>--}}
                {{--                            </tr>--}}
                {{--                            </thead>--}}
                {{--                            <tbody class="border-bottom-2">--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">Occupancy Goal</td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <strong><!-- {{number_format((float)$sum_count_quarterly_occupancy_goal, 2, '.', '')}} -->{{@round($sum_count_quarterly_occupancy_goal)}}--}}
                {{--                                        %</strong></td>--}}
                {{--                            </tr>--}}

                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">Fleet Occupancy</td>--}}
                {{--                                <td class="text-center w-50"><strong>--}}
                {{--                                        {{round(@$sum_driverTotocc)}}%</strong></td>--}}
                {{--                            </tr>--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">Occupancy (-/+)</td>--}}
                {{--                                <td class="text-center w-50 text-danger "><strong>--}}

                {{--                                    @php $occmainData =  $sum_driverTotocc - @$sum_count_quarterly_occupancy_goal; @endphp--}}
                {{--                                    <!-- {{number_format((float)$occmainData, 2, '.', '')}} --> {{@round($occmainData)}}--}}
                {{--                                        %</strong></td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}

                {{--                        <table class="cs-table gauge-table   w-100 table-bordered">--}}

                {{--                            <tbody>--}}
                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <div> <!-- Gauge 1 --> <span> Revenue</span>--}}

                {{--                                        <figure class="highcharts-figure1 highchartcustome">--}}
                {{--                                            <div id="maincontainer1"></div>--}}

                {{--                                        </figure>--}}
                {{--                                    </div>--}}
                {{--                                </td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <div> <!-- Gauge 2 --> <span> Mileage</span>--}}

                {{--                                        <figure class="highcharts-figure2">--}}
                {{--                                            <div id="maincontainer2"></div>--}}

                {{--                                        </figure>--}}

                {{--                                    </div>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            <tr>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <div> <!-- Gauge 3 --> <span> CPM</span>--}}

                {{--                                        <figure class="highcharts-figure3">--}}
                {{--                                            <div id="maincontainer3"></div>--}}

                {{--                                        </figure>--}}
                {{--                                    </div>--}}
                {{--                                </td>--}}
                {{--                                <td class="text-center w-50">--}}
                {{--                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>--}}

                {{--                                        <figure class="highcharts-figure4">--}}
                {{--                                            <div id="maincontainer4"></div>--}}

                {{--                                        </figure>--}}
                {{--                                    </div>--}}
                {{--                                </td>--}}
                {{--                            </tr>--}}

                {{--                            </tbody>--}}
                {{--                        </table>--}}

                {{--                        <div style="border: 1px solid black; margin:8px 0">--}}
                {{--                            <table class="cs-table  revenue-band-table m-0 w-100 ">--}}
                {{--                                <thead>--}}
                {{--                                <tr>--}}
                {{--                                    <th colspan="2" class="text-center">--}}
                {{--                                        <h5> Units By Revenue Band </h5>--}}
                {{--                                    </th>--}}
                {{--                                </tr>--}}
                {{--                                <tr class="bg-secondary">--}}
                {{--                                    <th class="text-center text-white py-1">Range</th>--}}
                {{--                                    <th class="text-center text-white py-1">Driver(s)</th>--}}

                {{--                                </tr>--}}
                {{--                                </thead>--}}
                {{--                                <tbody>--}}
                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_sum_3000Lower}}</strong></td>--}}
                {{--                                </tr>--}}

                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_3000to4000}}</strong></td>--}}
                {{--                                </tr>--}}
                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_4000to5000}}</strong></td>--}}
                {{--                                </tr>--}}
                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_5000to6000}}</strong></td>--}}
                {{--                                </tr>--}}
                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_6000to7000}}</strong></td>--}}
                {{--                                </tr>--}}
                {{--                                <tr>--}}
                {{--                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>--}}
                {{--                                    <td class="text-center w-50"><strong>{{@$all_greater_then_seven}}</strong></td>--}}
                {{--                                </tr>--}}
                {{--                                </tbody>--}}
                {{--                            </table>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}

                @php $i='1'; @endphp
                @php //dd($dataArray); @endphp
                @foreach($dataArray as $dataArrayset)
                    @php $colorcode = "#" . rand(100,1000);
                 $base_enco = base64_encode($dataArrayset['teamId']);

                 //dd($dataArray);
                    @endphp
                    <div class="col-md-6 col-lg-3 md-4">
                    <!-- <a href="{{route('company.admin.revenue.tracker.driverdata',@$base_enco)}}"> -->

                        <a href="{{route('company.admin.revenue.tracker.driverDatagetdatewised',[@$base_enco,@$passcurrent_startdate,@$passcurrent_enddate])}}">
                                                        <div class="card">
                                                            <div class="card-header " style="background-color:{{@$colorcode}}">

                                                                {{@$dataArrayset['teamName']}}
                                                            </div>
                                                            <table class="cs-table   w-100 fleet-content">

                                                                <tbody>
                                                                <tr>
                                                                    <td>Total Target Revenue</td>
                                                                    <td class="text-right  ">

                                                                        ${{number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Total Target Miles</td>
                                                                    <td class="text-right">
                                                                        {{number_format((float)$dataArrayset['driverTotoccrevDatacount'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>

                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center">
                                                                        <h5> Driver Count</h5>
                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>Active Driver Count</td>
                                                                    <td class="text-right  ">
                                                                        {{@$dataArrayset['activedriver']}}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Inactive Driver Count</td>
                                                                    <td class="text-right">
                                                                        {{@$dataArrayset['inactivedriver']}}
                                                                    </td>
                                                                </tr>
                                                                <tr class="lineclass">
                                                                    <td>Net</td>
                                                                    <td class="text-right">
                                                                        {{@$dataArrayset['activedriver'] + @$dataArrayset['inactivedriver']}}
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>
                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center">
                                                                        <h5>Unit Average</h5>
                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>Revenue Per Unit</td>
                                                                    <td class="text-right  ">
{{--{{dd($dataArrayset['divideActual_rev'])}}--}}
{{--                                                                        ${{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}--}}
                                                                        ${{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Mileage Per Unit</td>
                                                                    <td class="text-right">
{{--                                                                        {{dd($dataArrayset)}}--}}
                                                                        {{round(@$dataArrayset['Miles'])}}

                                                                    </td>
                                                                </tr>
                                                                <tr class="lineclass">
                                                                    <td>CPM Per Unit</td>
                                                                    <td class="text-right">
{{--                                                                        {{dd($dataArrayset['actual_cpm'])}}--}}
                                                                        ${{@number_format((float)$dataArrayset['actual_cpm'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>

                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center table-head">
                                                                        <h5 class="table-heading"> Revenue </h5>

                                                                        @if(@$dataArrayset['occupancyRevData'] < @$dataArrayset['divideActual_rev'])

                                                                            <div class="valu-content  r-tike"></div>

                                                                        @endif

                                                                        @if(@$dataArrayset['occupancyRevData'] > @$dataArrayset['divideActual_rev'])

                                                                            <div class="valu-content  l-tike"></div>

                                                                    @endif

                                                                    <!--   @if(@$dataArrayset['totalOccupancy'] > @$dataArrayset['load_revanyActual'])

                                                                        <div class="valu-content  y-tike"> </div>

                            @endif -->

                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>Occupancy Revenue</td>
                                                                    <td class="text-right  ">

                                                                        ${{number_format((float)$dataArrayset['occupancyRevData'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Actual Revenue</td>
                                                                    <td class="text-right">
                                                                        ${{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>
                                                                <tr class="lineclass">
                                                                    <td></td>
                                                                    <td class="text-right">

                                                                        @php $revenTotDataall = $dataArrayset['divideActual_rev'] - $dataArrayset['occupancyRevData']; @endphp
                                                                        {{@number_format((float)$revenTotDataall, 2, '.', '')}}
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>
                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center table-head">
                                                                        <h5 class="table-heading"> Mileage </h5>

                                                                        @if(@$dataArrayset['total_occupancy_miles'] < @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                                                            <div class="valu-content  r-tike"></div>

                                                                        @endif

                                                                        @if(@$dataArrayset['total_occupancy_miles'] >  @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                                                            <div class="valu-content  l-tike"></div>

                                                                    @endif

                                                                    <!-- @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_data'])

                                                                        <div class="valu-content  y-tike"> </div>

                            @endif -->

                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>Occupancy Miles</td>
                                                                    <td class="text-right  ">
{{--                                                                        {{dd($dataArrayset)}}--}}
                                                                        {{@number_format((float)$dataArrayset['total_occupancy_miles'], 2, '.', '')}}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Actual Miles</td>
                                                                    <td class="text-right">

                                                                        {{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}
                                                                    </td>
                                                                </tr>
                                                                <tr class="lineclass">
                                                                    <td></td>
                                                                    <td class="text-right">
                                                                        @php $totmilesData =  @$dataArrayset['actual_milecount_total_occupancy_miles_data'] - $dataArrayset['total_occupancy_miles'];

                                                                        @endphp

                                                                        {{@number_format((float)$totmilesData, 2, '.', '')}}
                                                                    </td>
                                                                </tr>


                                                                </tbody>
                                                            </table>
                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center table-head">
                                                                        <h5 class="table-heading"> Cent Per Mile </h5>

                                                                        @if(@$dataArrayset['target_CPM'] > @$dataArrayset['actual_cpm'])

                                                                            <div class="valu-content  r-tike"></div>

                                                                        @endif

                                                                        @if(@$dataArrayset['target_CPM'] < @$dataArrayset['actual_cpm'])

                                                                            <div class="valu-content  l-tike"></div>

                                                                    @endif

                                                                    <!-- @if(@$dataArrayset['target_CPM'] > @$dataArrayset['actual_cpm'])

                                                                        <div class="valu-content  y-tike"> </div>

                            @endif -->

                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>Target CPM</td>
                                                                    <td class="text-right  ">

                                                                        {{number_format((float)@$dataArrayset['target_CPM'], 2, '.', '')}}

                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>Actual CPM</td>
                                                                    <td class="text-right">

                                                                        @php
                                                                            $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                                                        @endphp

                                                                        {{number_format((float)@$dataArrayset['actual_cpm'], 2, '.', '')}}

                                                                    </td>
                                                                </tr>
                                                                <tr class="lineclass">
                                                                    <td></td>
                                                                    <td class="text-right">
                                                                        @php @$minsData = $dataArrayset['actual_cpm'];

                                                                $totcpmData = $minsData - @$dataArrayset['target_CPM'];
                                                                        @endphp

                                                                        {{number_format((float)@$totcpmData, 2, '.', '')}}
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>

                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center table-head">
                                                                        <h5 class="table-heading"> % of Goal </h5>

                                                                        @if(@$dataArrayset['data_actualreve_divide_by'] < @$dataArrayset['fleetOccupancyData_tot'])

                                                                            <div class="valu-content  r-tike"></div>

                                                                        @endif

                                                                        @if(@$dataArrayset['data_actualreve_divide_by'] > @$dataArrayset['fleetOccupancyData_tot'])

                                                                            <div class="valu-content  l-tike"></div>

                                                                    @endif

                                                                    <!--  @if(@$dataArrayset['unitat_goal_data'] > @$dataArrayset['fleetOccupancyData_tot'])

                                                                        <div class="valu-content  y-tike"> </div>

                            @endif -->

                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody class="border-bottom-2">
                                                                <tr>
                                                                    <td class="text-center w-50">% of Units At Goal</td>
                                                                    <td class="text-center w-50">
                                                                        <strong>{{@number_format((float)@$dataArrayset['unitat_goal_data'], 2, '.', '')}}</strong>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td class="text-center w-50">Fleet Occupancy</td>
                                                                    <td class="text-center w-50">
                                                                        <strong>{{round(@$dataArrayset['fleetOccupancyData_tot'])}}
                                                                            %</strong></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-center w-50">% of Revenue Goal</td>
                                                                    <td class="text-center w-50">
                                                                        <strong> {{@round($dataArrayset['data_actualreve_divide_by'])}}%</strong>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td class="text-center w-50">Occupancy (-/+)</td>
                                                                    <td class="text-center w-50 text-danger "><strong>
                                                                            @php $coccsumData = $dataArrayset['data_actualreve_divide_by']  - $dataArrayset['fleetOccupancyData_tot'];  @endphp

                                                                            {{@round($coccsumData)}}%</strong></td>
                                                                </tr>


                                                                </tbody>
                                                            </table>
                                                            <table class="cs-table   w-100 fleet-content">
                                                                <thead>
                                                                <tr>
                                                                    <th colspan="2" class="text-center table-head">
                                                                        <h5 class="table-heading"> Occupancy </h5>

                                                                        @if($dataArrayset['quarterly_occupancy_goal'] < @$dataArrayset['fleetOccupancyData_tot'])

                                                                            <div class="valu-content  r-tike"></div>

                                                                        @endif

                                                                        @if($dataArrayset['quarterly_occupancy_goal'] > @$dataArrayset['fleetOccupancyData_tot'])

                                                                            <div class="valu-content  l-tike"></div>

                                                                    @endif

                                                                    <!--    @if($dataArrayset['quarterly_occupancy_goal'] > @$dataArrayset['fleetOccupancyData'])

                                                                        <div class="valu-content y-tike"> </div>

                            @endif -->

                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody class="border-bottom-2">
                                                                <tr>
                                                                    <td class="text-center w-50">Occupancy Goal</td>
                                                                    <td class="text-center w-50">
                                                                        <strong>{{round(@$dataArrayset['quarterly_occupancy_goal'])}}%</strong></td>
                                                                </tr>

                                                                <tr>
                                                                    <td class="text-center w-50">Fleet Occupancy</td>
                                                                    <td class="text-center w-50">
                                                                        <strong> {{round(@$dataArrayset['fleetOccupancyData_tot'])}}%</strong></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-center w-50">Occupancy (-/+)</td>
                                                                    <td class="text-center w-50 text-danger "><strong>

                                                                            @php $fleet_occ = $dataArrayset['fleetOccupancyData_tot'];

                                                                 $quarterly_occ = $dataArrayset['quarterly_occupancy_goal'];

                                                                 $minsOcc = $fleet_occ - $quarterly_occ;
                                                                            @endphp

                                                                            {{round(@$minsOcc)}}%
                                                                        </strong></td>
                                                                </tr>
                                                                </tbody>
                                                            </table>

                                                            <table class="cs-table gauge-table   w-100 table-bordered">

                                                                <tbody>
                                                                <tr>
                                                                    <td class="text-center w-50">
                                                                        <div> <!-- Gauge 1  --> <span> Revenue </span>

                                                                        <!--   <figure class="highcharts-figure2">
                                                                      <div id="container1{{@$dataArrayset['teamId']}}"></div>

                                                                    </figure> -->
                                                                            <figure class="highcharts-figure2">
                                                                                <div id="container1{{@$dataArrayset['teamId']}}"
                                                                                     class="chart-container"></div>
                                                                            </figure>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center w-50">
                                                                        <div> <!-- Gauge 2 --> <span> Mileage  </span>

                                                                            <figure class="highcharts-figure2">
                                                                                <div id="container2{{@$dataArrayset['teamId']}}"></div>

                                                                            </figure>
                                                                        </div>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td class="text-center w-50">
                                                                        <div> <!-- Gauge 3 --> <span> CPM</span>


                                                                            <figure class="highcharts-figure2">
                                                                                <div id="container3{{@$dataArrayset['teamId']}}"></div>

                                                                            </figure>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center w-50">
                                                                        <div> <!-- Gauge 4  --><span> Occupancy</span>

                                                                            <figure class="highcharts-figure2">
                                                                                <div id="container4{{@$dataArrayset['teamId']}}"></div>

                                                                            </figure>
                                                                        </div>
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                            </table>
                                                            <div style="border: 1px solid black; margin:8px 0">
                                                                <table class="cs-table  revenue-band-table m-0 w-100  ">
                                                                    <thead>
                                                                    <tr>
                                                                        <th colspan="2" class="text-center">
                                                                            <h5> Units By Revenue Band </h5>
                                                                        </th>
                                                                    </tr>
                                                                    <tr class="bg-secondary">
                                                                        <th class="text-center text-white py-1">Range</th>
                                                                        <th class="text-center text-white py-1">Driver(s)</th>

                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr>
                                                                        <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['three_Lower']}}</strong></td>
                                                                    </tr>

                                                                    <tr>
                                                                        <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['threeTofour']}}</strong></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['fourTofive']}}</strong></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['fiveTosix']}}</strong></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['sixToseven']}}</strong></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                                                        <td class="text-center w-50">
                                                                            <strong>{{@$dataArrayset['greater_then_seven']}}</strong></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>

                                                        </div>

                                                    </a></div>


                            <script type="text/javascript">

                                ///// start 1st /////

                                var gaugeOptions = {
                                    chart: {
                                        type: 'solidgauge',
                                        spacingBottom: 0,
                                        height: 100,
                                        width: 100,
                                        marginRight: 0,
                                        marginBottom: 0,
                                    },

                                    title: null,

                                    pane: {
                                        center: ['50%', '50%'],
                                        size: '100%',
                                        startAngle: -130,
                                        endAngle: 130,
                                        background: {
                                            backgroundColor:
                                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                            innerRadius: '60%',
                                            outerRadius: '100%',
                                            shape: 'arc'
                                        }
                                    },

                                    exporting: {
                                        enabled: false
                                    },

                                    tooltip: {
                                        enabled: true
                                    },

                                    // the value axis
                                    yAxis: {
                                        stops: [
                                            [0.1, '#DF5353'], // red
                                            [0.4, '#DDDF0D'], // yellow
                                            [0.5, '#55BF3B'], // green


                                        ],
                                        lineWidth: 1,
                                        tickWidth: 1,
                                        minorTickInterval: null,
                                        tickAmount: 1,
                                        title: {
                                            y: -70
                                        },
                                        labels: {
                                            y: 16
                                        }
                                    },

                                    plotOptions: {
                                        solidgauge: {
                                            dataLabels: {
                                                y: 5,
                                                borderWidth: 0,
                                                useHTML: true
                                            }
                                        }
                                    }
                                };
                                var chartSpeed = Highcharts.chart('container1{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                                    yAxis: {
                                        min: 0,
                                        max: {{@number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}},
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    tooltip: {
                                        shared: true,
                                        useHTML: true,
                                        headerFormat: '',
                                        pointFormat: '<strong>Target Revenue: ${{@number_format((float)$dataArrayset['revenue_target'], 2, '.', '')}}</strong><strong>Actual Revenue : ${{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}</strong>',
                                        footerFormat: '',
                                        valueDecimals: 2,
                                        outside: true,
                                        hideDelay: 0
                                    },
                                    series: [{
                                        data: [{{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}],
                                        //  data: [{{@number_format((float)$tot_counttotalOccupancy, 2, '.', '')}}],
                                        dataLabels: {
                                            format:
                                                '<div style="margin-top:-25px;text-align:center">' +
                                                '<span style="font-size:12px">{{@number_format((float)$dataArrayset['divideActual_rev'], 2, '.', '')}}</span>$<br/>' +
                                                '</div>'
                                        }
                                    }]

                                }));

                                ///// start 2nd /////

                                var gaugeOptions = {
                                    chart: {
                                        type: 'solidgauge',
                                        spacingBottom: 0,
                                        height: 100,
                                        width: 100,
                                        marginRight: 0,
                                        marginBottom: 0,
                                    },

                                    title: null,

                                    pane: {
                                        center: ['50%', '50%'],
                                        size: '100%',
                                        startAngle: -130,
                                        endAngle: 130,
                                        background: {
                                            backgroundColor:
                                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                            innerRadius: '60%',
                                            outerRadius: '100%',
                                            shape: 'arc'
                                        }
                                    },

                                    exporting: {
                                        enabled: false
                                    },

                                    tooltip: {
                                        enabled: true
                                    },

                                    // the value axis
                                    yAxis: {
                                        stops: [
                                            [0.1, '#DF5353'], // red
                                            [0.4, '#DDDF0D'], // yellow
                                            [0.5, '#55BF3B'], // green


                                        ],
                                        lineWidth: 1,
                                        tickWidth: 1,
                                        minorTickInterval: null,
                                        tickAmount: 1,
                                        title: {
                                            y: -70
                                        },
                                        labels: {
                                            y: 16
                                        }
                                    },

                                    plotOptions: {
                                        solidgauge: {
                                            dataLabels: {
                                                y: 5,
                                                borderWidth: 0,
                                                useHTML: true
                                            }
                                        }
                                    }
                                };
                                var chartSpeed = Highcharts.chart('container2{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                                    yAxis: {
                                        min: 0,
                                        max: {{@number_format((float)$dataArrayset['driverTotoccrevDatacount'], 2, '.', '')}},
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    tooltip: {
                                        shared: true,
                                        useHTML: true,
                                        headerFormat: '',
                                        pointFormat: '<strong>Target Miles: {{@number_format((float)$dataArrayset['driverTotoccrevDatacount'], 2, '.', '')}}</strong><strong>Actual Miles : {{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}</strong>',
                                        footerFormat: '',
                                        valueDecimals: 2,
                                        outside: true,
                                        hideDelay: 0
                                    },
                                    series: [{
                                        data: [{{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}],
                                        // data: [{{@number_format((float)$totalMiles, 2, '.', '')}}],
                                        dataLabels: {
                                            format:
                                                '<div style="margin-top:-25px;text-align:center">' +
                                                '<span style="font-size:12px">{{round(@$dataArrayset['actual_milecount_total_occupancy_miles_data'])}}</span><br/>' +
                                                '</div>'
                                        }
                                    }]

                                }));

                                /// end 2nd //


                                ///// start 3rd /////

                                var gaugeOptions = {
                                    chart: {
                                        type: 'solidgauge',
                                        spacingBottom: 0,
                                        height: 100,
                                        width: 100,
                                        marginRight: 0,
                                        marginBottom: 0,
                                    },

                                    title: null,

                                    pane: {
                                        center: ['50%', '50%'],
                                        size: '100%',
                                        startAngle: -130,
                                        endAngle: 130,
                                        background: {
                                            backgroundColor:
                                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                            innerRadius: '60%',
                                            outerRadius: '100%',
                                            shape: 'arc'
                                        }
                                    },

                                    exporting: {
                                        enabled: false
                                    },

                                    tooltip: {
                                        enabled: true
                                    },

                                    // the value axis
                                    yAxis: {
                                        stops: [
                                            [0.1, '#DF5353'], // red
                                            [0.4, '#DDDF0D'], // yellow
                                            [0.5, '#55BF3B'], // green


                                        ],
                                        lineWidth: 1,
                                        tickWidth: 1,
                                        minorTickInterval: null,
                                        tickAmount: 1,
                                        title: {
                                            y: -70
                                        },
                                        labels: {
                                            y: 16
                                        }
                                    },

                                    plotOptions: {
                                        solidgauge: {
                                            dataLabels: {
                                                y: 5,
                                                borderWidth: 0,
                                                useHTML: true
                                            }
                                        }
                                    }
                                };
                                var chartSpeed = Highcharts.chart('container3{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                                    yAxis: {
                                        min: 0,
                                        max: 100,
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    tooltip: {
                                        shared: true,
                                        useHTML: true,
                                        headerFormat: '',
                                        pointFormat: '<strong>CPM: {{@number_format((float)$totcpmData, 2, '.', '')}} </strong>',
                                        footerFormat: '',
                                        valueDecimals: 2,
                                        outside: true,
                                        hideDelay: 0
                                    },
                                    series: [{
                                        data: [{{@number_format((float)$totcpmData, 2, '.', '')}}],
                                        //data: [{{@number_format((float)$dataArrayset['actual_cpm'], 2, '.', '')}}],
                                        dataLabels: {
                                            format:
                                                '<div style="margin-top:-25px;text-align:center">' +
                                                '<span style="font-size:12px">{{@number_format((float)$totcpmData, 2, '.', '')}}</span><br/>' +
                                                '</div>'
                                        }
                                    }]

                                }));

                                /// end 3rd //
                                //  Highcharts.chart("container4{{@$dataArrayset['teamId']}}", {
                                //   chart: {
                                //     plotBackgroundColor: null,
                                //     plotBorderWidth: 0,
                                //     plotShadow: false
                                //   },
                                //   title: {
                                //     text: '',
                                //     align: 'center',
                                //     verticalAlign: 'middle',
                                //     y: 60
                                //   },
                                //   tooltip: {
                                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                //   },
                                //   accessibility: {
                                //     point: {
                                //       valueSuffix: '%'
                                //     }
                                //   },
                                //   plotOptions: {
                                //     pie: {
                                //       dataLabels: {
                                //         enabled: true,
                                //         distance: -50,
                                //         style: {
                                //           fontWeight: 'bold',
                                //           color: 'white'
                                //         }
                                //       },
                                //       startAngle: -90,
                                //       endAngle: 90,
                                //       center: ['50%', '20%'],
                                //       size: '100%'
                                //     }
                                //   },
                                //   series: [{
                                //     type: 'pie',
                                //     name: '',
                                //     innerSize: '50%',
                                //     data: [
                                //       ['Occupancy Goal', {{@$dataArrayset['quarterly_occupancy']}}],
                                //       ['Fleet Occupancy', {{@$dataArrayset['fleetOccupancyData']}}],
                                //     ]
                                //   }]
                                // });


                                ///// start 4th /////

                                var gaugeOptions = {
                                    chart: {
                                        type: 'solidgauge',
                                        spacingBottom: 0,
                                        height: 100,
                                        width: 100,
                                        marginRight: 0,
                                        marginBottom: 0,
                                    },

                                    title: null,

                                    pane: {
                                        center: ['50%', '50%'],
                                        size: '100%',
                                        startAngle: -130,
                                        endAngle: 130,
                                        background: {
                                            backgroundColor:
                                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                            innerRadius: '60%',
                                            outerRadius: '100%',
                                            shape: 'arc'
                                        }
                                    },

                                    exporting: {
                                        enabled: false
                                    },

                                    tooltip: {
                                        enabled: true
                                    },

                                    // the value axis
                                    yAxis: {
                                        stops: [
                                            [0.1, '#DF5353'], // red
                                            [0.4, '#DDDF0D'], // yellow
                                            [0.5, '#55BF3B'], // green


                                        ],
                                        lineWidth: 1,
                                        tickWidth: 1,
                                        minorTickInterval: null,
                                        tickAmount: 1,
                                        title: {
                                            y: -70
                                        },
                                        labels: {
                                            y: 16
                                        }
                                    },

                                    plotOptions: {
                                        solidgauge: {
                                            dataLabels: {
                                                y: 5,
                                                borderWidth: 0,
                                                useHTML: true
                                            }
                                        }
                                    }
                                };
                                var chartSpeed = Highcharts.chart('container4{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                                    yAxis: {
                                        min: 0,
                                        max: {{@number_format((float)$dataArrayset['quarterly_occupancy_goal'], 2, '.', '')}},
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    tooltip: {
                                        shared: true,
                                        useHTML: true,
                                        headerFormat: '',
                                        pointFormat: '<strong>Occupancy: {{@number_format((float)$dataArrayset['quarterly_occupancy_goal'], 2, '.', '')}} %</strong><strong>Fleet Occupancy: {{round(@$dataArrayset['fleetOccupancyData_tot'])}} %</strong>',
                                        footerFormat: '',
                                        valueDecimals: 2,
                                        outside: true,
                                        hideDelay: 0
                                    },
                                    series: [{
                                        data: [{{@number_format((float)$dataArrayset['fleetOccupancyData_tot'], 2, '.', '')}}],
                                        // data: [{{@number_format((float)$totalfleet_occupancy, 2, '.', '')}}],
                                        dataLabels: {
                                            format:
                                                '<div style="margin-top:-25px;text-align:center">' +
                                                '<span style="font-size:12px">{{@number_format((float)$dataArrayset['fleetOccupancyData_tot'], 2, '.', '')}}</span>%<br/>' +
                                                '</div>'
                                        }
                                    }]

                                }));

                                /// end 4th //
                            </script>
                        @php $i++; @endphp
                        @endforeach
                    </div>


                    @endsection

                @section('script')

                    <script>
                        // Create the chart
                        Highcharts.chart('hhcontainer{{@$i}}', {
                            chart: {
                                type: 'pie'
                            },
                            title: {
                                text: 'text data'
                            },
                            subtitle: {
                                text: 'text data'
                            },

                            accessibility: {
                                announceNewData: {
                                    enabled: true
                                },
                                point: {
                                    valueSuffix: '%'
                                }
                            },

                            plotOptions: {
                                series: {
                                    dataLabels: {
                                        enabled: true,
                                        format: '{point.name}: {point.y:.1f}%'
                                    }
                                }
                            },

                            tooltip: {
                                headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
                                pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}%</b> of total<br/>'
                            },

                            series: [
                                {
                                    name: "",
                                    colorByPoint: true,
                                    data: [
                                        {
                                            // name: "",
                                            y: 62.74,
                                            // drilldown: ""
                                        },
                                        {
                                            //name: "",
                                            y: 10.57,
                                            //drilldown: ""
                                        }
                                    ]
                                }
                            ],
                            drilldown: {
                                series: [
                                    {
                                        name: "Chrome",
                                        id: "Chrome",
                                        data: [
                                            [
                                                "v65.0",
                                                0.1
                                            ],
                                            [
                                                "v64.0",
                                                1.3
                                            ]
                                        ]
                                    },
                                    {
                                        name: "Opera",
                                        id: "Opera",
                                        data: [
                                            [
                                                "v50.0",
                                                0.96
                                            ],
                                            [
                                                "v49.0",
                                                0.82
                                            ]
                                        ]
                                    }
                                ]
                            }
                        });
                    </script>

                    <script type="text/javascript">

                        $(document).ready(function () {

                            var startDate;
                            var endDate;
                            $("#date_picker1").datepicker({
                                dateFormat: 'mm-dd-yy'
                            })
///////
///////
                            $("#date_picker2").datepicker({
                                dateFormat: 'mm-dd-yy'
                            });
///////
                            $('#date_picker1').change(function () {
                                startDate = $(this).datepicker('getDate');
                                $("#date_picker2").datepicker("option", "minDate", startDate);
                            })

///////
                            $('#date_picker2').change(function () {
                                endDate = $(this).datepicker('getDate');
                                $("#date_picker1").datepicker("option", "maxDate", endDate);
                            })

                            jQuery.browser = {};
                            // $(function () {
                            //     $("[id*=txtFrom]").datepicker({
                            //        // dateFormat: 'dd-mm-yy',
                            //         minDate: new Date(1999, 10 - 1, 25),
                            //         onSelect: function (selected) {
                            //             var dt = new Date(selected);
                            //             dt.setDate(dt.getDate() + 1);
                            //             $("[id*=txtTo]").datepicker("option", "minDate", dt);
                            //         }
                            //     });
                            //     $("[id*=txtTo]").datepicker({
                            //         // dateFormat: 'dd-mm-yy',
                            //         onSelect: function (selected) {
                            //             var dt = new Date(selected);
                            //             dt.setDate(dt.getDate() - 1);
                            //             $("[id*=txtFrom]").datepicker("option", "maxDate", dt);
                            //         }
                            //     });
                            // });

                            $('#SubmitForm').on('submit', function (e) {

                                e.preventDefault();

                                let startDate = $('#date_picker1').val();
                                let endDate = $('#date_picker2').val();

                                var id = 'datefilter';

                                $.ajax({
                                    url: "{{route('company.admin.revenue.tracker.getfilterdata')}}",
                                    type: "POST",
                                    data: {
                                        "_token": "{{ csrf_token() }}",
                                        startDate: startDate,
                                        endDate: endDate,
                                        id: id,
                                    },
                                    success: function (response) {
                                        // $('#successMsg').show();
                                        //console.log(response);

                                        $("#incompletebehavior").html(response);
                                    },
                                    error: function (response) {
                                        $('#nameErrorMsg').text(response.responseJSON.errors.name);
                                        $('#emailErrorMsg').text(response.responseJSON.errors.email);
                                        $('#mobileErrorMsg').text(response.responseJSON.errors.mobile);
                                        $('#messageErrorMsg').text(response.responseJSON.errors.message);
                                    },
                                });
                            });

                            ////


                        });
                        // Manish 13-04-22
                        {{--jQuery(document).ready(function () {--}}
                        {{--    var id = "CurrentWeek";--}}
                        {{--    $('#cover-spin').show();--}}
                        {{--    jQuery.ajax({--}}
                        {{--        url: "{{route('company.admin.revenue.tracker.getfilterdata')}}",--}}
                        {{--        method: 'post',--}}
                        {{--        data: {"_token": "{{ csrf_token() }}", "id": id},--}}
                        {{--        success: function (result) {--}}
                        {{--            $('#cover-spin').hide();--}}
                        {{--            $("#incompletebehavior").html(result);--}}


                        {{--        }--}}
                        {{--    });--}}
                        {{--});--}}
                        // end
                        jQuery(document).ready(function () {
                            jQuery('.select_id').change(function (e) {
                                e.preventDefault()
                                $('#cover-spin').show();
                                var id = this.value;
                                jQuery.ajax({
                                    url: "{{route('company.admin.revenue.tracker.getfilterdata')}}",
                                    method: 'post',
                                    data: {"_token": "{{ csrf_token() }}", "id": id},
                                    success: function (result) {
                                        $('#cover-spin').hide();
                                        $("#incompletebehavior").html(result);


                                    }
                                });
                            });
                        });

                        // $('select[name="actors"]').on('change', function() {
                        //   $('#select_id').text(this.value);

                        //   alert('dss');
                        // });

                    </script>
                    <script>
                        var table = $('.data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            pageLength: "{{ perPageView() }}",
                            //order: [[25, "desc"]],
                            info: false,
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.active.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.new-load-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.new.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.delivered-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.delivered.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.complete-load-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.complete.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.onhold-load-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.onhold.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.cancel-load-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.cancel.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });

                        var table = $('.unoccupied-load-data-table').DataTable({
                            stateSave: true,
                            language: {
                                search: "",
                                searchPlaceholder: "Search...",
                            },
                            processing: true,
                            serverSide: true,
                            bJQueryUI: true,
                            ordering: false,
                            // pageLength: 1,
                            //order: [[12, "desc"]],
                            pageLength: "{{ perPageView() }}",
                            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                            ajax: {
                                url: "{{ route('company.admin.unoccupied.loads.index') }}",
                                type:'POST',
                                dataType: "json",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            },
                            columns: [
                                {data: 'load_number', name: 'load_number'},
                                {data: 'driver', name: 'driver'},
                                {data: 'truck_number', name: 'truck_number', orderable: false},
                                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                                {data: 'phone_number', name: 'phone_number', orderable: false},
                                {data: 'dispatcher', name: 'dispatcher'},
                                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                                {data: 'status', name: 'status', orderable: false},
                                {data: 'last_location', name: 'last_location', orderable: false},
                                {data: 'total_bill', name: 'total_bill', orderable: false},
                                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                                {data: 'action', name: 'action', orderable: false, searchable: false}
                            ]
                        });


                        ///////////

                        // Highcharts.chart('maincontainer1', {
                        //   chart: {
                        //     plotBackgroundColor: null,
                        //     plotBorderWidth: 0,
                        //     plotShadow: false
                        //   },
                        //   title: {
                        //     text: '',
                        //     align: 'center',
                        //     verticalAlign: 'middle',
                        //     y: 20
                        //   },
                        //   tooltip: {
                        //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                        //   },
                        //   accessibility: {
                        //     point: {
                        //       valueSuffix: '%'
                        //     }
                        //   },
                        //   plotOptions: {
                        //     pie: {
                        //       dataLabels: {
                        //         enabled: true,
                        //         distance: -50,
                        //         style: {
                        //           fontWeight: 'bold',
                        //           color: 'white'
                        //         }
                        //       },
                        //       startAngle: -90,
                        //       endAngle: 90,
                        //       center: ['50%', '20%'],
                        //       size: '100%'
                        //     }
                        //   },
                        //   series: [{
                        //     type: 'pie',
                        //     name: '',
                        //     innerSize: '50%',
                        //     data: [
                        //       ['Actual Revenue',{{@$sum_team_count_load_revanyPerunit}}],
                        //       ['Occupancy Revenue',{{@$tot_counttotalOccupancy}}],
                        //     ]
                        //   }]
                        // });
                        var gaugeOptions = {
                            chart: {
                                type: 'solidgauge',
                                spacingBottom: 0,
                                height: 100,
                                width: 100,
                                marginRight: 0,
                                marginBottom: 0,
                            },

                            title: null,

                            pane: {
                                center: ['50%', '50%'],
                                size: '100%',
                                startAngle: -130,
                                endAngle: 130,
                                background: {
                                    backgroundColor:
                                        Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                    innerRadius: '60%',
                                    outerRadius: '100%',
                                    shape: 'arc'
                                }
                            },

                            exporting: {
                                enabled: false
                            },

                            tooltip: {
                                enabled: true
                            },

                            // the value axis
                            yAxis: {
                                stops: [
                                    [0.1, '#DF5353'], // red
                                    [0.4, '#DDDF0D'], // yellow
                                    [0.5, '#55BF3B'], // green


                                ],
                                lineWidth: 1,
                                tickWidth: 1,
                                minorTickInterval: null,
                                tickAmount: 1,
                                title: {
                                    y: -70
                                },
                                labels: {
                                    y: 16
                                }
                            },

                            plotOptions: {
                                solidgauge: {
                                    dataLabels: {
                                        y: 5,
                                        borderWidth: 0,
                                        useHTML: true
                                    }
                                }
                            }
                        };
                        var chartSpeed = Highcharts.chart('maincontainer1', Highcharts.merge(gaugeOptions, {
                            yAxis: {
                                min: 0,
                                max: {{@number_format((float)$totalrevenue_target, 2, '.', '')}},
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                shared: true,
                                useHTML: true,
                                headerFormat: '',
                                pointFormat: '<strong> Target Revenue: ${{@number_format((float)$totalrevenue_target, 2, '.', '')}} </strong><strong> Actual Revenue: ${{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}} </strong>',
                                footerFormat: '',
                                valueDecimals: 2,
                                outside: true,
                                hideDelay: 0
                            },
                            series: [{
                                data: [{{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}],
                                dataLabels: {
                                    format:
                                        '<div style="margin-top:-25px;text-align:center">' +
                                        '<span style="font-size:12px">{{@number_format((float)$sum_count_load_revanyActual, 2, '.', '')}}</span>$<br/>' +
                                        '</div>'
                                }
                            }]

                        }));


                        var gaugeOptions = {
                            chart: {
                                type: 'solidgauge',
                                spacingBottom: 0,
                                height: 100,
                                width: 100,
                                marginRight: 0,
                                marginBottom: 0,
                            },

                            title: null,

                            pane: {
                                center: ['50%', '50%'],
                                size: '100%',
                                startAngle: -130,
                                endAngle: 130,
                                background: {
                                    backgroundColor:
                                        Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                    innerRadius: '60%',
                                    outerRadius: '100%',
                                    shape: 'arc'
                                }
                            },

                            exporting: {
                                enabled: false
                            },

                            tooltip: {
                                enabled: true
                            },

                            // the value axis
                            yAxis: {
                                stops: [
                                    [0.1, '#DF5353'], // red
                                    [0.4, '#DDDF0D'], // yellow
                                    [0.5, '#55BF3B'], // green


                                ],
                                lineWidth: 1,
                                tickWidth: 1,
                                minorTickInterval: null,
                                tickAmount: 1,
                                title: {
                                    y: -70
                                },
                                labels: {
                                    y: 16
                                }
                            },

                            plotOptions: {
                                solidgauge: {
                                    dataLabels: {
                                        y: 5,
                                        borderWidth: 0,
                                        useHTML: true
                                    }
                                }
                            }
                        };
                        var chartSpeed = Highcharts.chart('maincontainer2', Highcharts.merge(gaugeOptions, {
                            yAxis: {
                                min: 0,
                                max: {{@number_format((float)$sum_count_driverTotoccrevDatacount, 2, '.', '')}},
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                shared: true,
                                useHTML: true,
                                headerFormat: '',
                                pointFormat: '<strong>Target Miles: {{@number_format((float)$sum_count_driverTotoccrevDatacount, 2, '.', '')}} </strong><strong>Actual Miles:{{round(@$totalMiles)}}</strong>',
                                footerFormat: '',
                                valueDecimals: 2,
                                outside: true,
                                hideDelay: 0
                            },
                            series: [{
                                data: [{{round(@$totalMiles)}}],
                                //data: [{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_data'], 2, '.', '')}}],
                                dataLabels: {
                                    format:
                                        '<div style="margin-top:-25px;text-align:center">' +
                                        '<span style="font-size:12px">{{round(@$totalMiles)}}</span><br/>' +
                                        '</div>'
                                }
                            }]

                        }));

                        var gaugeOptions = {
                            chart: {
                                type: 'solidgauge',
                                spacingBottom: 0,
                                height: 100,
                                width: 100,
                                marginRight: 0,
                                marginBottom: 0,
                            },

                            title: null,

                            pane: {
                                center: ['50%', '50%'],
                                size: '100%',
                                startAngle: -130,
                                endAngle: 130,
                                background: {
                                    backgroundColor:
                                        Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                    innerRadius: '60%',
                                    outerRadius: '100%',
                                    shape: 'arc'
                                }
                            },

                            exporting: {
                                enabled: false
                            },

                            tooltip: {
                                enabled: true
                            },

                            // the value axis
                            yAxis: {
                                stops: [
                                    [0.1, '#DF5353'], // red
                                    [0.4, '#DDDF0D'], // yellow
                                    [0.5, '#55BF3B'], // green


                                ],
                                lineWidth: 1,
                                tickWidth: 1,
                                minorTickInterval: null,
                                tickAmount: 1,
                                title: {
                                    y: -70
                                },
                                labels: {
                                    y: 16
                                }
                            },

                            plotOptions: {
                                solidgauge: {
                                    dataLabels: {
                                        y: 5,
                                        borderWidth: 0,
                                        useHTML: true
                                    }
                                }
                            }
                        };
                        var chartSpeed = Highcharts.chart('maincontainer3', Highcharts.merge(gaugeOptions, {
                            yAxis: {
                                min: 0,
                                max: 100,
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                shared: true,
                                useHTML: true,
                                headerFormat: '',
                                pointFormat: '<strong>CPM: {{@number_format((float)$totcpmData, 2, '.', '')}}</strong>',
                                footerFormat: '',
                                valueDecimals: 2,
                                outside: true,
                                hideDelay: 0
                            },
                            series: [{
                                data: [{{@number_format((float)$totcpmData, 2, '.', '')}}],
                                // data: [{{@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')}}],
                                dataLabels: {
                                    format:
                                        '<div style="margin-top:-25px;text-align:center">' +
                                        '<span style="font-size:12px">{{@number_format((float)$totcpmData, 2, '.', '')}}</span><br/>' +
                                        '</div>'
                                }
                            }]

                        }));

                        var gaugeOptions = {
                            chart: {
                                type: 'solidgauge',
                                spacingBottom: 0,
                                height: 100,
                                width: 100,
                                marginRight: 0,
                                marginBottom: 0,
                            },

                            title: null,

                            pane: {
                                center: ['50%', '50%'],
                                size: '100%',
                                startAngle: -130,
                                endAngle: 130,
                                background: {
                                    backgroundColor:
                                        Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                    innerRadius: '60%',
                                    outerRadius: '100%',
                                    shape: 'arc'
                                }
                            },

                            exporting: {
                                enabled: false
                            },

                            tooltip: {
                                enabled: true
                            },

                            // the value axis
                            yAxis: {
                                stops: [
                                    [0.1, '#DF5353'], // red
                                    [0.4, '#DDDF0D'], // yellow
                                    [0.5, '#55BF3B'], // green


                                ],
                                lineWidth: 1,
                                tickWidth: 1,
                                minorTickInterval: null,
                                tickAmount: 1,
                                title: {
                                    y: -70
                                },
                                labels: {
                                    y: 16
                                }
                            },

                            plotOptions: {
                                solidgauge: {
                                    dataLabels: {
                                        y: 5,
                                        borderWidth: 0,
                                        useHTML: true
                                    }
                                }
                            }
                        };
                        var chartSpeed = Highcharts.chart('maincontainer4', Highcharts.merge(gaugeOptions, {
                            yAxis: {
                                min: 0,
                                max: {{@number_format((float)$sum_count_quarterly_occupancy_goal, 2, '.', '')}},
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                shared: true,
                                useHTML: true,
                                headerFormat: '',
                                pointFormat: '<strong>Occupancy: {{@number_format((float)$sum_count_quarterly_occupancy_goal, 2, '.', '')}} %</strong><strong>Fleet Occupancy : {{@number_format((float)$sum_driverTotocc, 2, '.', '')}}%</strong>',
                                footerFormat: '',
                                valueDecimals: 2,
                                outside: true,
                                hideDelay: 0
                            },
                            series: [{
                                data: [{{@number_format((float)$sum_driverTotocc, 2, '.', '')}}],
                                //  data: [{{@number_format((float)$dataArrayset['fleetOccupancyData'], 2, '.', '')}}],
                                dataLabels: {
                                    format:
                                        '<div style="margin-top:-25px;text-align:center">' +
                                        '<span style="font-size:12px">{{@number_format((float)$sum_driverTotocc, 2, '.', '')}}</span>%<br/>' +
                                        '</div>'
                                }
                            }]

                        }));

                    </script>

                    <!-- //  -->
                    <script type="text/javascript">
                        //    var gaugeOptions = {
                        //     chart: {
                        //         type: 'solidgauge',
                        //         spacingBottom: 0,
                        //          height: 116,
                        //          width: 160,
                        //          marginRight: 0,
                        //          marginBottom: 0,
                        //     },

                        //     title: null,

                        //     pane: {
                        //         center: ['35%', '50%'],
                        //         size: '100%',
                        //         startAngle: -130,
                        //         endAngle: 130,
                        //         background: {
                        //             backgroundColor:
                        //                 Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                        //             innerRadius: '60%',
                        //             outerRadius: '100%',
                        //             shape: 'arc'
                        //         }
                        //     },

                        //     exporting: {
                        //         enabled: false
                        //     },

                        //     tooltip: {
                        //         enabled: true
                        //     },

                        //     // the value axis
                        //     yAxis: {
                        //         stops: [
                        //             [0.1, '#DF5353'], // red
                        //             [0.4, '#DDDF0D'], // yellow
                        //             [0.5, '#55BF3B'], // green


                        //         ],
                        //         lineWidth: 1,
                        //         tickWidth: 1,
                        //         minorTickInterval: null,
                        //         tickAmount: 1,
                        //         title: {
                        //             y: -70
                        //         },
                        //         labels: {
                        //             y: 16
                        //         }
                        //     },

                        //     plotOptions: {
                        //         solidgauge: {
                        //             dataLabels: {
                        //                 y: 5,
                        //                 borderWidth: 0,
                        //                 useHTML: true
                        //             }
                        //         }
                        //     }
                        // };
                        // var chartSpeed = Highcharts.chart('container1{{@$dataArrayset['teamId']}}', Highcharts.merge(gaugeOptions, {
                        //     yAxis: {
                        //         min: 0,
                        //         max: 100,
                        //     },
                        //     credits: {
                        //         enabled: false
                        //     },
                        //     tooltip: {
                        //            shared: true,
                        //            useHTML: true,
                        //            headerFormat: '',
                        //            pointFormat: '<strong>Occupancy Based Revenue: yt %</strong>',
                        //            footerFormat: '',
                        //            valueDecimals: 2,
                        //            outside: true,
                        //            hideDelay:0
                        //        },
                        //     series: [{
                        //         data: [80],
                        //         data: [15],
                        //         dataLabels: {
                        //             format:
                        //                 '<div style="margin-top:-25px;text-align:center">' +
                        //                 '<span style="font-size:12px">{y}</span>%<br/>' +
                        //                 '</div>'
                        //         }
                        //     }]

                        // }));


                    </script>
    @php } @endphp
@endsection
