@extends($companyAdminTheme)

@section('title')
    Shipper Show
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $shipper->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5>{{ $shipper->address }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Rep Name</label>
                            <h5>{{ $shipper->rep_name }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Account Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group m-0">
                            <label>Phone Number</label>
                        </div>
                        @if ($shipper->phone_number)
                            <h5><a href="tel:{{ $shipper->phone_number }}">{{ $shipper->phone_number }}</a></h5>
                        @else   
                            <h5> - </h5>
                        @endif
                    </div>
                    <div class="col-md-6 col-sm-9">
                        <div class="form-group">
                            <label>MC Number</label>
                            <h5>{{ $shipper->mc_number }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Ext</label>
                            <h5>{{ $shipper->ext }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>800 Number</label>
                            <h5>{{ $shipper->eight_hundred_number }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection