{!! Form::model($team, array('route' => ['company.admin.teams.update',$team->id],'method'=>'PATCH','files'=>'true','class'=>'updateTeamForm')) !!}
    <div class="modal-body">
        <h5 class="body-title mb-0">Information</h5>
        <div class="row">
            <div class="col-8 py-3">
                <div class="form-group">
                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'placeholder' => 'Team Name', 'autocomplete' => 'new')) !!}
                    <span class="error name_error text-danger"></span>
                </div>
                <div class="form-group">
                    {!! Form::select('head_id', ['' => 'Team Lead']+$dispatcherList, null, ['class' => 'custom-select form-control']) !!}
                </div>
            </div>
            <div class="col-4">
                <div class="choose-file m-0">
                    <div class="image-wrapper">
                        @if (!is_null($team->image))
                            <img src="{{ asset('storage/companyAdmin/team/'.$team->image) }}" class="" alt="Uploaded file" id="uploadImg" width="100" style="opacity: 1;">
                            <label class="label" for="input">{{ $team->image }}</label>
                            <div class="input">
                                {!! Form::file('image', ['class' => 'form-control', 'id' => 'file']) !!}
                                <input type="button" value="Changes file" id="upload" class="changeImg">
                            </div>
                        @else
                            <label class="label" for="input">No file selected.</label>
                            <div class="input">
                                {!! Form::file('image', ['class' => 'form-control', 'id' => 'file']) !!}
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
        <button class="btn blue-btn">Update</button>
    </div>
{!! Form::close() !!}
