<div class="row pb-2" data-last-index="{{ $rowIndex }}">
    <div class="col-md-2 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="types" class="mb-1">Type</label>
            @endif
            {!! Form::select('types[]', ['' => 'Select Type'] + getCompanyPmType(), $pm_service_additional_item->company_pm_type_id ?? null, [
                    'class' => 'form-control select2'
                ]
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="service-type" class="mb-1">Service Type</label>
            @endif
            {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getCompanyPmServiceType(), $pm_service_additional_item->company_pm_service_type_id ?? null, [
                    'class' => 'form-control select2'
                ]
            ) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="interval-type" class="mb-1">Interval Type</label>
            @endif
            {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getCompanyPmServiceIntervalType(), $pm_service_additional_item->interval_type ?? null, [
                    'class' => 'form-control intervalType select2'
                ]
            ) !!}
        </div>
    </div>
    @if(isset($pm_service_additional_item))
        @if($pm_service_additional_item->interval_type == '1' || $pm_service_additional_item->interval_type == '2')
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="schedule" class="mb-1">Schedule</label>
                    @endif
                    {!! Form::text('schedule[]', $pm_service_additional_item->schedule ?? null, array(
                            'class'             => 'form-control integer-input',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Due</label>
                    @endif
                    {!! Form::text('due_date[]', $pm_service_additional_item->due_date ?? null, array(
                            'class'             => 'form-control integer-input',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="last-performed" class="mb-1">Last Performed</label>
                    @endif
                    {!! Form::text('last_performed[]', $pm_service_additional_item->last_performed ?? null, array(
                            'class'             => 'form-control integer-input',
                            'placeholder'       => 'Enter'
                        )
                    ) !!}
                </div>
            </div>
        @else
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="schedule" class="mb-1">Schedule</label>
                    @endif
                    {!! Form::select('schedule[]', ['' => 'Select'] + getTrailerSchedules(), $pm_service_additional_item->schedule ?? null, [
                            'class'             => 'form-control schedule select2'
                        ]
                    ) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Due</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('due_date[]', $pm_service_additional_item->due_date ?? null, array(
                                'class'         => 'form-control date',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="last-performed" class="mb-1">Last Performed</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('last_performed[]', $pm_service_additional_item->last_performed ?? null, array(
                                'class'         => 'form-control date',
                                'placeholder'   => 'Enter'
                            )
                        ) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
        @endif
    @else
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="schedule" class="mb-1">Schedule</label>
                @endif
                {!! Form::text('schedule[]', null, array(
                        'class'                 => 'form-control integer-input',
                        'placeholder'           => 'Enter'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="due" class="mb-1">Due</label>
                @endif
                {!! Form::text('due_date[]', null, array(
                        'class'                 => 'form-control integer-input',
                        'placeholder'           => 'Enter'
                    )
                ) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="last-performed" class="mb-1">Last Performed</label>
                @endif
                {!! Form::text('last_performed[]', null, array(
                        'class'                 => 'form-control integer-input',
                        'placeholder'           => 'Enter'
                    )
                ) !!}
            </div>
        </div>
    @endif
    <div class="pl-1 @if($rowIndex == 0) mt-4 @endif">
        <div class="form-group d-flex">
            @if(isset($pm_service_additional_item))
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                @if($isLast)
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                @endif
            @else
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            @endif
        </div>
    </div>
</div>