@if(isset($isReLoadView) && isset($truck))
    @foreach($truck->truck_additional_documents as $truckAdditionalDocument)
        <div class="row pb-2">
            <input type="hidden" name="old_id[]" value="{{$truckAdditionalDocument->id}}">
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="title" class="mb-1">Title</label>
                    @endif
                    {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $truckAdditionalDocument->title ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="qty" class="mb-1">DOT Required</label>
                    @endif
                    {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], $truckAdditionalDocument->dot_required ?? null, ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
                </div>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="value" class="mb-1">Exp Date</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('exp_dates[]', $truckAdditionalDocument->exp_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 @if($loop->index == 0) mt-4 @endif">
                <div class="form-group d-flex justify-content-between">
                    <div>
                        <input type="hidden" name="doc_types[]" class="docType" value="{{ $truckAdditionalDocument->doc_type ?? '2' }}">
                        @if(isset($truckAdditionalDocument->doc_type) && $truckAdditionalDocument->doc_type == '1')
                            <button type="button" class="btn btn-blue btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blueBr btn-original mt-1 ml-1">Original</button>
                        @else
                            <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                            <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                        @endif
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="documentsFile">
                            <i class="fa fa-picture-o additionalDocumentFile gallary-edit {{ checkeGalleryFileUpload($truckAdditionalDocument->truck_id, 'additional_document_file_'.$truckAdditionalDocument->id) }}" aria-hidden="true" data-id="{{$truckAdditionalDocument->truck_id}}" data-source="truck" data-field="additional_document_file_{{$truckAdditionalDocument->id}}" data-is-dummy="0" data-toggle="modal" data-target="#galleryModal" title="Additional Document File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentAdditionalRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                    @if($loop->last)
                        <div>
                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn">
                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="row pb-2">
        <input type="hidden" name="old_id[]" value="{{$truckAdditionalDocument->id}}">
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="title" class="mb-1">Title</label>
                @endif
                {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $truckAdditionalDocument->title ?? null, ['class' => 'form-control select2']) !!}
            </div>
        </div>
        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="qty" class="mb-1">DOT Required</label>
                @endif
                {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], $truckAdditionalDocument->dot_required ?? null, ['class' => 'form-control select2', 'data-no-search' => 'true']) !!}
            </div>
        </div>
        <div class="col-md-4 pl-1 pr-1 document-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="value" class="mb-1">Exp Date</label>
                @endif
                <div class="input-group">
                    {!! Form::text('exp_dates[]', $truckAdditionalDocument->exp_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                </div>
            </div>
        </div>
        <div class="pl-1 @if($rowIndex == 0) mt-4 @endif">
            <div class="form-group d-flex justify-content-between">
                <div>
                    <input type="hidden" name="doc_types[]" class="docType" value="{{ $truckAdditionalDocument->doc_type ?? '2' }}">
                    @if(isset($truckAdditionalDocument->doc_type) && $truckAdditionalDocument->doc_type == '1')
                        <button type="button" class="btn btn-blue btn-copy mt-1">Copy</button>
                        <button type="button" class="btn btn-blueBr btn-original mt-1 ml-1">Original</button>
                    @else
                        <button type="button" class="btn btn-blueBr btn-copy mt-1">Copy</button>
                        <button type="button" class="btn btn-blue btn-original mt-1 ml-1">Original</button>
                    @endif
                </div>
                <div>
                    <a href="javascript:void(0);" class="documentsFile">
                        <i class="fa fa-picture-o additionalDocumentFile gallary-edit {{ checkeGalleryFileUpload($truckAdditionalDocument->truck_id, 'additional_document_file_'.$truckAdditionalDocument->id) }}" aria-hidden="true" data-id="{{$truckAdditionalDocument->truck_id}}" data-source="truck" data-field="additional_document_file_{{$truckAdditionalDocument->id}}" data-is-dummy="0" data-toggle="modal" data-target="#galleryModal" title="Additional Document File"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                @if($isLast)
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                @endif
            </div>
        </div>
    </div>
@endif
