@if(isset($truck) && !is_null($truck->truck_profile_insurances))
    @isset($truck->truck_profile_insurances->pluck('insurance_profile')[0])
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{{ getCompanyInsuranceProfilesName()[$truck->truck_profile_insurances->pluck('insurance_profile')[0]] ?? '' }}</h6>
            </div>
        </div>
    </div>
    @endisset
    @foreach($truck->truck_profile_insurances as $truckProfileInsurance)
        <input type="hidden" name="old_id[]" value="{{ $truckProfileInsurance->id }}">
        <div class="row pt-2">
            <div class="col-md-3 ins-prev-custom-grid pr-1">
                <div class="form-group">
                    <label for="insurance-types" class="mb-1">{{ getCompanyInsuranceTypes()[$truckProfileInsurance->insurance_type] }}</label>
                    <select class="form-control select2" name="insurance_vendor[]">
                        <option value="">Select Insurance Vendor</option>
                        @foreach (getVendorList() as $id => $vendorName){
                        <option value="{{$id}}" {{ ($truckProfileInsurance->insurance_vendor == $id) ? 'selected' : '' }}>{{$vendorName}}</option>
                        @endforeach
                    </select>
                    <input type="hidden" name="insurance_type[]" value="{{ $truckProfileInsurance->insurance_type ?? null }}">
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="policy-number" class="mb-1">Policy No.</label>
                    <input class="form-control" placeholder="Enter" name="policy_number[]" type="text" value="{{ $truckProfileInsurance->policy_number ?? null }}">
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="value" class="mb-1">Value</label>
                    <div class="input-group pre-append">
                        <div class="input-group-prepend">
                            <span class="input-group-text">$</span>
                        </div>
                        <input class="form-control integer-input comma-integer-input" placeholder="Enter" name="value[]" type="text" value="{{ $truckProfileInsurance->value ?? null }}">
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="date-added" class="mb-1">Date Added</label>
                    <div class="input-group">
                        <input class="form-control date" placeholder="Enter" name="date_added[]" type="text" value="@if(!is_null($truckProfileInsurance->date_added)){{ \Carbon\Carbon::parse($truckProfileInsurance->date_added)->format('m/d/Y') ?? null }}@endif">
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                    <div class="input-group">
                        <input class="form-control date" placeholder="Enter" name="expiration_date[]" type="text" value="@if(!is_null($truckProfileInsurance->expiration_date)){{ \Carbon\Carbon::parse($truckProfileInsurance->expiration_date)->format('m/d/Y') ?? null }}@endif">
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 mt-4">
                <div class="form-group d-flex">
                    <div>
                        <a href="javascript:void(0);" class="insuranceFile">
                            <i class="fa fa-picture-o profileInsuranceFile gallary-edit {{checkeGalleryFileUpload($truck->id, 'profile_insurance_file_'.$truckProfileInsurance->id)}}" aria-hidden="true" data-id="{{$truck->id}}" data-source="truck" data-field="profile_insurance_file_{{$truckProfileInsurance->id}}" data-is-dummy="0" data-toggle="modal" data-target="#galleryModal" title="Insurance File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="removeMoreProfileRows">
                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@endif
