<div id="filterModalContainer"></div>
<script type="text/javascript">
    var isDispatchHubPage           = {{ isset($isDispatchHubPage) ? 'true' : 'false' }};
    // console.log("isDispatchHubPage:", isDispatchHubPage);
    var isProRoutePage              = {{ isset($isProRoutePage) ? 'true' : 'false' }};
    // console.log("isProRoutePage:", isProRoutePage);
    var isDispatchOrProRoutePage    = {{ isset($isDispatchHubPage) || isset($isProRoutePage) ? 'true' : 'false' }};
    // console.log("isDispatchOrProRoutePage:", isDispatchOrProRoutePage);

    if (isDispatchOrProRoutePage) {
        // console.log('isDispatchOrProRoutePage is true.');

        $(document).on( 'click', '.clearAll', function(e) {
            e.preventDefault();
            // console.log('Click clearAll');
            // return false;

            var that                = $(this);
            var closestDiv          = that.closest('div');
            if (closestDiv.length === 0) {
                // console.log('No closest div found.');
                return false;
            } else {
                var refreshAll      = closestDiv.find('.refreshAll');
                if (refreshAll.length === 0) {
                    // console.log('No .refreshAll elements found within the closest div.');
                    return false;
                }

                var variable        = that.attr('data-tablevariable');
                var tab             = that.attr('data-tab');
                if (typeof variable === 'undefined' && typeof tab === 'undefined') {
                    // console.log('Both data-tablevariable and data-tab attributes are not defined or do not exist');
                    return false;
                }

                if($('#filterModalContainer .'+variable).length > 0){
                    $('#filterModalContainer .'+variable).remove();
                }
                if($('.'+tab).closest('.dataTables_wrapper').length > 0){
                    $('.'+tab).closest('.dataTables_wrapper').find('.columnFilter.filter_icon_orange').removeClass('filter_icon_orange');
                }
                that.addClass('d-none');
                refreshAll.addClass('d-none');

                if($('#active_tab').length > 0){
                    $('#active_tab').val('');
                }else if($('#previous_tab').length > 0){
                    $('#previous_tab').val('');
                }

                // drawTables(variable);
            }
        });
        $(document).on( 'click', '.refreshAll', function(e) {
            e.preventDefault();
            // console.log('Click refreshAll');
            // return false;

            var that                = $(this);
            var closestDiv          = that.closest('div');
            if (closestDiv.length === 0) {
                // console.log('No closest div found.');
                return false;
            } else {
                var clearAll        = closestDiv.find('.clearAll');
                if (clearAll.length === 0) {
                    // console.log('No .clearAll elements found within the closest div.');
                    return false;
                }

                var variable        = clearAll.attr('data-tablevariable');
                var tab             = clearAll.attr('data-tab');
                if (typeof variable === 'undefined' && typeof tab === 'undefined') {
                    // console.log('Both data-tablevariable and data-tab attributes are not defined or do not exist');
                    return false;
                }

                if($('#filterModalContainer .'+variable).length > 0){
                    $('#filterModalContainer .'+variable).remove();
                }
                if($('.'+tab).closest('.dataTables_wrapper').length > 0){
                    $('.'+tab).closest('.dataTables_wrapper').find('.columnFilter.filter_icon_orange').removeClass('filter_icon_orange');
                }
                that.addClass('d-none');
                clearAll.addClass('d-none');

                if($('#active_tab').length > 0){
                    $('#active_tab').val('');
                }else if($('#previous_tab').length > 0){
                    $('#previous_tab').val('');
                }

                // drawTables(variable);
            }
        });
    } else {
        // console.log('isDispatchOrProRoutePage is false.');

        $(document).on( 'click', '.clearAll', function(e) {
            e.preventDefault();
            // console.log('Click clearAll');
            // return false;

            var that                = $(this);
            var variable            = that.attr('data-tablevariable');
            if (typeof variable === 'undefined') {
                // console.log('data-tablevariable attribute is not defined or does not exist');
                return false;
            }

            if($('#filterModalContainer .'+variable).length > 0){
                $('#filterModalContainer .'+variable).remove();
            }
            if(that.closest('.dataTables_wrapper').length > 0){
                that.closest('.dataTables_wrapper').find('.columnFilter.filter_icon_orange').removeClass('filter_icon_orange');
            }
            that.addClass('d-none');

            if($('#active_tab').length > 0){
                $('#active_tab').val('');
            }else if($('#previous_tab').length > 0){
                $('#previous_tab').val('');
            }

            drawTables(variable);
        });
        $(document).on( 'click', '.refreshAll', function(e) {
            e.preventDefault();
            // console.log('Click refreshAll');
            // return false;

            var that                = $(this);
            var variable            = that.attr('data-tablevariable');
            if (typeof variable === 'undefined') {
                // console.log('data-tablevariable attribute is not defined or does not exist');
                return false;
            }

            if($('#filterModalContainer .'+variable).length > 0){
                $('#filterModalContainer .'+variable).remove();
            }
            if(that.closest('.dataTables_wrapper').length > 0){
                that.closest('.dataTables_wrapper').find('.columnFilter.filter_icon_orange').removeClass('filter_icon_orange');
                that.closest('.dataTables_wrapper').find('.clearAll').addClass('d-none');
            }

            if($('#active_tab').length > 0){
                $('#active_tab').val('');
            }else if($('#previous_tab').length > 0){
                $('#previous_tab').val('');
            }

            drawTables(variable);
        });
    }

    $(document).on( 'click', '.btn-close', function(e) {
        e.preventDefault();
        // console.log('Click btn-close');
        // return false;

        $(this).closest('.filter-dispatchBlock').removeClass('active');
    });
    $(document).on( 'click', '.columnFilter', function(e) {
        e.preventDefault();
        // console.log('Click columnFilter');
        // return false;

        var that                                = $(this);

        var x                                   = that.offset();
        var parentx                             = that.closest('th').offset();
        var rt                                  = ( $(window).width() - ( parentx.left + $(this).closest('th').outerWidth()));
        var left                                = parentx.left;

        var modal                               = '#'+that.attr('data-modal'); // Ex. #SearchByStringModaldriver_unique_idtable1
        if ($(modal).length === 0) {
            // console.log(modal + " does not exist, appending HTML.");

            var classValue                      = that.attr('class'); // Ex. fa fa-filter columnFilter table_lists_drivers_driver_unique_id_string
            var tablevariable                   = that.attr('data-table'); // Ex. table1
            if (typeof tablevariable === 'undefined') {
                // console.log('data-table attribute is not defined or does not exist');
                return false;
            }

            var clearAll                        = $('.clearAll[data-tablevariable="'+tablevariable+'"]');
            if (clearAll.length === 0) {
                // console.log('No element with data-tablevariable="' + tablevariable + '" found.');
                return false;
            }
            var clearAllId                      = clearAll.attr('id'); // Ex. clearAlltable_lists_drivers_table1

            var configTable                     = clearAllId.replace('clearAll', '');
            if (configTable.indexOf(tablevariable) !== -1) {
                configTable                     = configTable.replace('_'+tablevariable, '');
            }
            // Ex. configTable = table_lists_drivers

            var config                          = {!! json_encode(config('settings')) !!};

            var searchString                    = '#SearchByStringModal';
            // Check if the searchString exists in the mainString
            if (modal.indexOf(searchString) !== -1) {
                // console.log('String exists');

                // Check if key is not empty (i.e., it exists)
                var key                         = modal.replace(searchString, '').replace(tablevariable, '');
                if (key) {
                    // console.log('Key value exists:', key);

                    if (!$.isEmptyObject(config)) {
                        // console.log('The config object is not empty'); // Ex. key = driver_unique_id

                        // Now you can access the configTable property of the config object
                        var configTableObject   = config[configTable];
                        // Check if configTableObject is not empty
                        if (!$.isEmptyObject(configTableObject)) {
                            // console.log('configTableObject is not empty:', configTableObject); // Log that configTableObject is not empty along with its value

                            if (configTableObject.hasOwnProperty(key)) {
                                if (configTableObject[key].hasOwnProperty('searchBuilderType')) {
                                    // console.log('Key exists in configTableObject and has the searchBuilderType property.');

                                    if (configTableObject[key]['searchBuilderType'] !== undefined && configTableObject[key]['searchBuilderType'] !== null && configTableObject[key]['searchBuilderType'] !== '' && configTableObject[key]['searchBuilderType'] === 'string') {
                                        // console.log('Key exists in configTableObject and has a non-empty, non-null, non-undefined searchBuilderType property that is "string".');

                                        // Check if both the 'key' and 'name' keys exist and if the value is not empty
                                        var fieldnameValue      = ''; // configTableObject[key]?.name || '';
                                        if (configTableObject[key].hasOwnProperty('name')) {
                                            fieldnameValue      = (typeof configTableObject[key]['name'] === 'string' && configTableObject[key]['name'] !== null && configTableObject[key]['name'] !== undefined && $.trim(configTableObject[key]['name']) !== '') ? configTableObject[key]['name'] : '';
                                        }

                                        var filterModalHTML     = '<div>';

                                        filterModalHTML         += `
                                            <input type="hidden" class="filterApplied`+configTable+`_`+tablevariable+`" id="string_`+configTable+`_`+key+`_`+tablevariable+`" value="0">
                                            <div class="filter-dispatchBlock rsetform`+key+tablevariable+`" id="SearchByStringModal`+key+tablevariable+`" style="width:auto;height:auto;">
                                                <div class="filter-dispatchContent">
                                                    <div class="filter-head">
                                                        <h5>Filter By: <span>`+fieldnameValue+`</span></h5>
                                                    </div>`;

                                        // Filter Body
                                        filterModalHTML         += `<div class="filter-body">
                                            <input type="hidden" name="stringKey`+key+`" id="stringKey`+key+`_`+tablevariable+`" value="`+key+`">
                                            <input type="hidden" name="stringType`+key+`" id="stringType`+key+`_`+tablevariable+`" value="string">`;
                                       
                                        if (configTableObject[key].hasOwnProperty('tableName') && configTableObject[key]['tableName'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringTableType`+key+`" id="stringTableType`+key+`_`+tablevariable+`" value="`+configTableObject[key]['tableName']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringTableType`+key+`" id="stringTableType`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAlias') && configTableObject[key]['colAlias'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAlias`+key+`" id="stringColAlias`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAlias']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAlias`+key+`" id="stringColAlias`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('having') && configTableObject[key]['having'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringHaving`+key+`" id="stringHaving`+key+`_`+tablevariable+`" value="`+configTableObject[key]['having']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringHaving`+key+`" id="stringHaving`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('concat_ws') && configTableObject[key]['concat_ws'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringConcatws`+key+`" id="stringConcatws`+key+`_`+tablevariable+`" value="`+configTableObject[key]['concat_ws']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringConcatws`+key+`" id="stringConcatws`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('orCol2') && configTableObject[key]['orCol2'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringOrCol2`+key+`" id="stringOrCol2`+key+`_`+tablevariable+`" value="`+configTableObject[key]['orCol2']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringOrCol2`+key+`" id="stringOrCol2`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('notNull') && configTableObject[key]['notNull'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringNotNull`+key+`" id="stringNotNull`+key+`_`+tablevariable+`" value="`+configTableObject[key]['notNull']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringNotNull`+key+`" id="stringNotNull`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('relationTable') && configTableObject[key]['relationTable'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringRelationTable`+key+`" id="stringRelationTable`+key+`_`+tablevariable+`" value="`+configTableObject[key]['relationTable']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringRelationTable`+key+`" id="stringRelationTable`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colName1') && configTableObject[key]['colName1'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColName1`+key+`" id="stringColName1`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colName1']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColName1`+key+`" id="stringColName1`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colName2') && configTableObject[key]['colName2'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColName2`+key+`" id="stringColName2`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colName2']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColName2`+key+`" id="stringColName2`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colName3') && configTableObject[key]['colName3'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColName3`+key+`" id="stringColName3`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colName3']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColName3`+key+`" id="stringColName3`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('staticString') && configTableObject[key]['staticString'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringStatic`+key+`" id="stringStatic`+key+`_`+tablevariable+`" value="`+configTableObject[key]['staticString']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringStatic`+key+`" id="stringStatic`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl1') && configTableObject[key]['colAl1'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl1`+key+`" id="stringColAl1`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl1']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl1`+key+`" id="stringColAl1`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl2') && configTableObject[key]['colAl2'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl2`+key+`" id="stringColAl2`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl2']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl2`+key+`" id="stringColAl2`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl3') && configTableObject[key]['colAl3'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl3`+key+`" id="stringColAl3`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl3']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl3`+key+`" id="stringColAl3`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl4') && configTableObject[key]['colAl4'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl4`+key+`" id="stringColAl4`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl4']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl4`+key+`" id="stringColAl4`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl5') && configTableObject[key]['colAl5'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl5`+key+`" id="stringColAl5`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl5']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl5`+key+`" id="stringColAl5`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAl6') && configTableObject[key]['colAl6'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl6`+key+`" id="stringColAl6`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAl6']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringColAl6`+key+`" id="stringColAl6`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('specialClass') && configTableObject[key]['specialClass'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringFilterClass`+key+`" id="stringFilterClass`+key+`_`+tablevariable+`" value="`+configTableObject[key]['specialClass']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringFilterClass`+key+`" id="stringFilterClass`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('prevColName') && configTableObject[key]['prevColName'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="stringPrevColName`+key+`" id="stringPrevColName`+key+`_`+tablevariable+`" value="`+configTableObject[key]['prevColName']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="stringPrevColName`+key+`" id="stringPrevColName`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        filterModalHTML         += `<ul>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="string_sort_`+key+`" id="string_sort_asc_`+key+`_`+tablevariable+`" value="asc">
                                                    <label class="form-check-label" for="string_sort_asc_`+key+`_`+tablevariable+`">Sort Ascending</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="string_sort_`+key+`" id="string_sort_desc_`+key+`_`+tablevariable+`" value="desc">
                                                    <label class="form-check-label" for="string_sort_desc_`+key+`_`+tablevariable+`">Sort Descending</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="fliter-dispatchBlock">
                                            <a href="javascript:void(0);" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="string" class="btn-link chkclear">Clear Filter</a>
                                        </div>
                                        <ul class="filter-checkbox mb-10">
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="=" name="condition`+key+`" id="condition_equal_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_equal_`+key+`_`+tablevariable+`">Equals</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="!=" name="condition`+key+`" id="condition_not_equel_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_not_equel_`+key+`_`+tablevariable+`">Not Equal</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="contain" name="condition`+key+`" id="condition_contains_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_contains_`+key+`_`+tablevariable+`">Contains</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="starts" name="condition`+key+`" id="condition_starts_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_starts_`+key+`_`+tablevariable+`">Start with</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="empty" name="condition`+key+`" id="condition_empty_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_empty_`+key+`_`+tablevariable+`">Is Empty</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="not_empty" name="condition`+key+`" id="condition_not_empty_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_not_empty_`+key+`_`+tablevariable+`">Is Not Empty</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="fliter-dispatchBlock">
                                            <div class="form-group d-none" id="search_string_section">
                                                <input placeholder="Enter filter value here" type="text" class="form-control searchStringClass" id="search_string_`+key+`_`+tablevariable+`" name="search_string_`+key+`_`+tablevariable+`">
                                            </div>
                                        </div>`;

                                        filterModalHTML         += `</div>`;
                                        // Filter Body

                                        // Filter Footer
                                        filterModalHTML         += `<div class="filter-footer">`;
                                        filterModalHTML         += `<button type="button" class="btn btn-outline-blue btn-close mr-1">Cancel</button>`;
                                        if (configTableObject[key].hasOwnProperty('specialClass') && configTableObject[key]['specialClass'] !== '') {
                                            filterModalHTML     += `<button type="button" class="btn btn-blue btn-close ml-1" data-filtertype="string">Filter Selected</button>`;
                                        } else {
                                            filterModalHTML     += `<button type="button" class="btn btn-blue btn-close ml-1 filterString" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="string">Filter Selected</button>`;
                                        }
                                        filterModalHTML         += `</div>`;
                                        // Filter Footer

                                        filterModalHTML         += `</div>
                                            </div>
                                        `;

                                        filterModalHTML         += `</div>`;
                                        // console.log(filterModalHTML);

                                        // Append the generated HTML to the container if not already added
                                        if ($('#SearchByStringModal' + key + tablevariable).length === 0) {
                                            if ($('#filterModalContainer').length === 0) {
                                                $('body').append('<div id="filterModalContainer"></div>');
                                            }
                                            if($('#filterModalContainer .'+tablevariable).length === 0){
                                                $('#filterModalContainer').append(`<div class="`+tablevariable+`"></div>`);
                                            }
                                            // First script block
                                            $('#filterModalContainer .'+tablevariable).append(filterModalHTML);

                                            var scriptContent   = `
                                                // STRING TYPE FILTERS - START
                                                /* Clear string column filter */
                                                $(document).on( 'click', '.rsetform`+key+tablevariable+` .chkclear', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Clear string column filter');
                                                    // return false;

                                                    var that                = $(this);

                                                    // filter-dispatchBlock
                                                    that.parent().parent().parent().parent().removeClass('active');

                                                    // filter-body
                                                    that.parent().parent().find('.searchStringClass').val('');
                                                    that.parent().parent().find('#search_string_section').addClass('d-none');

                                                    $('.rsetform`+key+tablevariable+` input[type=checkbox]').prop('checked', false);
                                                    $('.rsetform`+key+tablevariable+` input[type=radio]').prop('checked', false);

                                                    var variable            = that.attr('data-tablevariable');
                                                    var stringTable         = that.attr('data-table');
                                                    var stringKey           = that.attr('data-key');
                                                    var stringFilterType    = that.attr('data-filtertype');

                                                    // Icon
                                                    var stringFilterClass   = '.' + stringTable +'_'+ stringKey +'_'+ stringFilterType;
                                                    if($(stringFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(stringFilterClass+'[data-table="'+variable+'"]').removeClass('filter_icon_orange');
                                                    }else{
                                                        $(stringFilterClass).removeClass('filter_icon_orange');
                                                    }

                                                    // Not Applied
                                                    $('#string_'+stringTable+'_'+stringKey+'_'+variable).val(0); // 1 = Applied, 0 = Not Applied

                                                    // Hide clear all filter button if all filter have been cleared
                                                    var values              = [];
                                                    $('.filterApplied'+stringTable+'_'+variable).each(function(){
                                                        values.push(this.value);
                                                    });
                                                    if( values.length > 0 ) {
                                                        if( !values.includes('1') ) {
                                                            // Clear filters
                                                            if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                                $('.clearAll[data-tablevariable="'+variable+'"]').addClass('d-none');
                                                            }else if ($('#clearAll'+stringTable).length > 0){
                                                                $('#clearAll'+stringTable).addClass('d-none');
                                                            }else if ($('.filter_'+stringTable).length > 0){
                                                                $('.filter_'+stringTable).addClass('d-none');
                                                            }
                                                        }
                                                    }

                                                    $('#SearchByStringModal`+key+tablevariable+`').modal('hide');

                                                    drawTables(variable);
                                                });
                                                /* Submit search query */
                                                $(document).on( 'click', '.rsetform`+key+tablevariable+` .filterString', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Submit search query');
                                                    // return false;

                                                    var that                = $(this);

                                                    var key                 = $('.rsetform`+key+tablevariable+` #search_string_`+key+`_`+tablevariable+`').val();

                                                    var condition           = $('.rsetform`+key+tablevariable+` input[type="radio"][name="condition`+key+`"]:checked').val();
                                                    var sort                = $('.rsetform`+key+tablevariable+` input[type="radio"][name="string_sort_`+key+`"]:checked').val();

                                                    if( typeof condition == 'undefined' && typeof sort == 'undefined' ) {
                                                        alert( 'Please select an option to filter result ssss' );
                                                        return;
                                                    }
                                                    if( condition ) {
                                                        if( condition != 'empty' && condition != 'not_empty'  ) {
                                                            if( key == '' ) {
                                                                alert( 'Please enter value to search' );
                                                                return;
                                                            }
                                                        }
                                                    }

                                                    var variable            = that.attr('data-tablevariable'); // Js Table Name
                                                    var stringTable         = that.attr('data-table'); // Setting Table Name
                                                    var stringKey           = that.attr('data-key'); // Field Name
                                                    var stringFilterType    = that.attr('data-filtertype'); // Field Type

                                                    // Icon
                                                    var stringFilterClass   = '.' + stringTable +'_'+ stringKey +'_'+ stringFilterType;
                                                    if($(stringFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(stringFilterClass+'[data-table="'+variable+'"]').addClass('filter_icon_orange');
                                                    }else{
                                                        $(stringFilterClass).addClass('filter_icon_orange');
                                                    }

                                                    // Applied
                                                    $('#string_'+stringTable+'_'+stringKey+'_'+variable).val(1); // 1 = Applied, 0 = Not Applied

                                                    // Clear filters
                                                    if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                        $('.clearAll[data-tablevariable="'+variable+'"]').removeClass('d-none');
                                                    }else if ($('#clearAll'+stringTable).length > 0){
                                                        $('#clearAll'+stringTable).removeClass('d-none');
                                                    }else if ($('.filter_'+stringTable).length > 0){
                                                        $('.filter_'+stringTable).removeClass('d-none');
                                                    }

                                                    // Refresh
                                                    if ($('.refresh_'+stringTable).length > 0){
                                                        $('.refresh_'+stringTable).removeClass('d-none');
                                                    }

                                                    // 
                                                    if($('#active_tab').length > 0){
                                                        $('#active_tab').val(variable);
                                                    }else if($('#previous_tab').length > 0){
                                                        $('#previous_tab').val(variable);
                                                    }

                                                    drawTables(variable);
                                                });
                                                /* Change string condition radio */
                                                $(document).on( 'change', '.rsetform`+key+tablevariable+`  input[type=radio][name=condition`+key+`]', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Change string condition radio');
                                                    // return false;

                                                    var value               = this.value;
                                                    if( value == 'empty' || value == 'not_empty' ) {
                                                        $('.rsetform`+key+tablevariable+` #search_string_section').addClass('d-none');
                                                    } else {
                                                        $('.rsetform`+key+tablevariable+` #search_string_section').removeClass('d-none');
                                                    }
                                                });
                                                // STRING TYPE FILTERS - END
                                            `;

                                            // Create script element
                                            var scriptElement   = document.createElement('script');
                                            scriptElement.type  = 'text/javascript';
                                            scriptElement.text  = scriptContent;

                                            // Append script element to the element with id 'filterModalContainer'
                                            $('#filterModalContainer .'+tablevariable).append(scriptElement);

                                            $(modal).css({ 
                                                "position":"absolute",
                                                "top":x.top + 30,
                                                "left":left
                                            });
                                            if($(modal).hasClass('active')){
                                                $(modal).removeClass('active');
                                            }else{
                                                $(modal).toggleClass('active');
                                            }
                                        }
                                    } else {
                                        // console.log('Key exists in configTableObject but searchBuilderType is blank, undefined, null, or not "string".');
                                    }
                                } else {
                                    // console.log('Key exists in configTableObject but does not have searchBuilderType property.');
                                }
                            } else {
                                // console.log('Key does not exist in configTableObject.');
                            }
                        } else {
                            // console.log('configTableObject is empty.'); // Log that configTableObject is empty
                        }
                    } else {
                        // console.log('The config object is empty');
                    }
                } else {
                    // console.log('Key value does not exist.');
                }
            } else {
                // console.log('String does not exist');
            }

            var searchDate                      = '#SearchByDateModal';
            // Check if the searchDate exists in the mainString
            if (modal.indexOf(searchDate) !== -1) {
                // console.log('Date exists');

                // Check if key is not empty (i.e., it exists) 
                var key                         = modal.replace(searchDate, '').replace(tablevariable, '');
                if (key) {
                    // console.log('Key value exists:', key);

                    if (!$.isEmptyObject(config)) {
                        // console.log('The config object is not empty'); // Ex. key = driver_unique_id

                        // Now you can access the configTable property of the config object
                        var configTableObject   = config[configTable];
                        // Check if configTableObject is not empty
                        if (!$.isEmptyObject(configTableObject)) {
                            // console.log('configTableObject is not empty:', configTableObject); // Log that configTableObject is not empty along with its value

                            if (configTableObject.hasOwnProperty(key)) {
                                if (configTableObject[key].hasOwnProperty('searchBuilderType')) {
                                    // console.log('Key exists in configTableObject and has the searchBuilderType property.');

                                    if (configTableObject[key]['searchBuilderType'] !== undefined && configTableObject[key]['searchBuilderType'] !== null && configTableObject[key]['searchBuilderType'] !== '' && configTableObject[key]['searchBuilderType'] === 'date') {
                                        // console.log('Key exists in configTableObject and has a non-empty, non-null, non-undefined searchBuilderType property that is "date".');

                                        // Check if both the 'key' and 'name' keys exist and if the value is not empty
                                        var fieldnameValue      = ''; // configTableObject[key]?.name || '';
                                        if (configTableObject[key].hasOwnProperty('name')) {
                                            fieldnameValue      = (typeof configTableObject[key]['name'] === 'string' && configTableObject[key]['name'] !== null && configTableObject[key]['name'] !== undefined && $.trim(configTableObject[key]['name']) !== '') ? configTableObject[key]['name'] : '';
                                        }

                                        var filterModalHTML     = '<div>';

                                        filterModalHTML         += `
                                            <input type="hidden" class="filterApplied`+configTable+`_`+tablevariable+`" id="date_`+configTable+`_`+key+`_`+tablevariable+`" value="0">
                                            <div class="filter-dispatchBlock dsetform`+key+tablevariable+`" id="SearchByDateModal`+key+tablevariable+`" style="width:auto;height:auto;">
                                                <div class="filter-dispatchContent">
                                                    <div class="filter-head">
                                                        <h5>Filter By: <span>`+fieldnameValue+`</span></h5>
                                                    </div>`;

                                        // Filter Body
                                        filterModalHTML         += `<div class="filter-body">
                                            <input type="hidden" name="dateKey`+key+`" id="dateKey`+key+`_`+tablevariable+`" value="`+key+`">
                                            <input type="hidden" name="dateType`+key+`" id="dateType`+key+`_`+tablevariable+`" value="date">`;

                                        if (configTableObject[key].hasOwnProperty('tableName') && configTableObject[key]['tableName'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="dateTableType`+key+`" id="dateTableType`+key+`_`+tablevariable+`" value="`+configTableObject[key]['tableName']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="dateTableType`+key+`" id="dateTableType`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAlias') && configTableObject[key]['colAlias'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="dateColAlias`+key+`" id="dateColAlias`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAlias']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="dateColAlias`+key+`" id="dateColAlias`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        filterModalHTML         += `<ul>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="date_sort_`+key+`" id="date_sort_asc_`+key+`_`+tablevariable+`" value="asc">
                                                    <label class="form-check-label" for="date_sort_asc_`+key+`_`+tablevariable+`">Sort Ascending</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="date_sort_`+key+`" id="date_sort_desc_`+key+`_`+tablevariable+`" value="desc">
                                                    <label class="form-check-label" for="date_sort_desc_`+key+`_`+tablevariable+`">Sort Descending</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="fliter-dispatchBlock">
                                            <a href="javascript:void(0);" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="date" class="btn-link chkclear">Clear Filter</a>
                                        </div>
                                        <ul class="filter-checkbox mb-10">
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="=" name="conditiondate`+key+`" id="condition_equal_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_equal_`+key+`_`+tablevariable+`">Equals</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="!=" name="conditiondate`+key+`" id="condition_not_equel_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_not_equel_`+key+`_`+tablevariable+`">Not Equal</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value=">" name="conditiondate`+key+`" id="condition_greater_than_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_greater_than_`+key+`_`+tablevariable+`">Greater Than</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value=">=" name="conditiondate`+key+`" id="condition_greater_than_equalto_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_greater_than_equalto_`+key+`_`+tablevariable+`">Greater Than or Equal to</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="<" name="conditiondate`+key+`" id="condition_less_than_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_less_than_`+key+`_`+tablevariable+`">Less Than</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="<=" name="conditiondate`+key+`" id="condition_less_than_equalto_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_less_than_equalto_`+key+`_`+tablevariable+`">Less Than or Equal to</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="<>" name="conditiondate`+key+`" id="condition_between_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_between_`+key+`_`+tablevariable+`">Is Between</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="today" name="conditiondate`+key+`" id="condition_today_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_today_`+key+`_`+tablevariable+`">Today</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" value="month" name="conditiondate`+key+`" id="condition_month_`+key+`_`+tablevariable+`">
                                                    <label class="form-check-label" for="condition_month_`+key+`_`+tablevariable+`">This Month</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="fliter-dispatchBlock">
                                            <div class="form-group d-none" id="search_date_section">
                                                <label for="search_date_`+key+`_`+tablevariable+`">from</label>
                                                <input type="text" class="form-control filterfromdate" name="search_date_`+key+`" id="search_date_`+key+`_`+tablevariable+`" placeholder="Enter filter date here">
                                            </div>
                                            <div class="form-group d-none" id="search_date_end_section">
                                                <label for="search_date_end_`+key+`_`+tablevariable+`">To</label>
                                                <input type="text" class="form-control filtertodate" name="search_date_end_`+key+`" id="search_date_end_`+key+`_`+tablevariable+`" placeholder="Enter filter date here">
                                            </div>
                                        </div>`;

                                        filterModalHTML         += `</div>`;
                                        // Filter Body

                                        // Filter Footer
                                        filterModalHTML         += `<div class="filter-footer">`;
                                        filterModalHTML         += `<button type="button" class="btn btn-outline-blue btn-close mr-1">Cancel</button>`;
                                        filterModalHTML         += `<button type="button" class="btn btn-blue btn-close ml-1 filterDate" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="date">Filter Selected</button>`;
                                        filterModalHTML         += `</div>`;
                                        // Filter Footer

                                        filterModalHTML         += `</div>
                                            </div>
                                        `;

                                        filterModalHTML         += `</div>`;
                                        // console.log(filterModalHTML);

                                        // Append the generated HTML to the container if not already added
                                        if ($('#SearchByDateModal' + key + tablevariable).length === 0) {
                                            if ($('#filterModalContainer').length === 0) {
                                                $('body').append('<div id="filterModalContainer"></div>');
                                            }
                                            if($('#filterModalContainer .'+tablevariable).length === 0){
                                                $('#filterModalContainer').append(`<div class="`+tablevariable+`"></div>`);
                                            }
                                            // First script block
                                            $('#filterModalContainer .'+tablevariable).append(filterModalHTML);

                                            var scriptContent   = `
                                                $('.filterfromdate').datetimepicker({
                                                    format: dateLayout,
                                                    useCurrent: false
                                                });
                                                $('.filtertodate').datetimepicker({
                                                    format: dateLayout,
                                                    useCurrent: false
                                                });
                                                $('.filterfromdate').datetimepicker().on('dp.change', function(e) {
                                                    var startDate       = $(this).val();
                                                    var endDate         = moment(startDate).add(1, 'day').format('MM/DD/YYYY');
                                                    $(this).closest('.fliter-dispatchBlock').find('.filtertodate').val('');
                                                    $(this).closest('.fliter-dispatchBlock').find('.filtertodate').data('DateTimePicker').minDate(endDate);
                                                });
                                                // DATE TYPE FILTERS - START
                                                /* Clear date column filter */
                                                $(document).on( 'click', '.dsetform`+key+tablevariable+` .chkclear', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Clear date column filter');
                                                    // return false;

                                                    var that                = $(this);

                                                    // filter-dispatchBlock
                                                    that.parent().parent().parent().parent().removeClass('active');

                                                    // filter-body
                                                    that.parent().parent().find('.filterfromdate').val('');
                                                    that.parent().parent().find('.filtertodate').val('');
                                                    that.parent().parent().find('#search_date_section').addClass('d-none');
                                                    that.parent().parent().find('#search_date_end_section').addClass('d-none');

                                                    $('.dsetform`+key+tablevariable+` input[type=checkbox]').prop('checked', false);
                                                    $('.dsetform`+key+tablevariable+` input[type=radio]').prop('checked', false);

                                                    var variable            = that.attr('data-tablevariable');
                                                    var dateTable           = that.attr('data-table');
                                                    var dateKey             = that.attr('data-key');
                                                    var dateFilterType      = that.attr('data-filtertype');

                                                    // Icon
                                                    var dateFilterClass     = '.' + dateTable +'_'+ dateKey +'_'+ dateFilterType;
                                                    if($(dateFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(dateFilterClass+'[data-table="'+variable+'"]').removeClass('filter_icon_orange');
                                                    }else{
                                                        $(dateFilterClass).removeClass('filter_icon_orange');
                                                    }

                                                    // Not Applied
                                                    $('#date_'+dateTable+'_'+dateKey+'_'+variable).val(0); // 1 = Applied, 0 = Not Applied

                                                    // Hide clear all filter button if all filter have been cleared
                                                    var values              = [];
                                                    $('.filterApplied'+dateTable+'_'+variable).each(function(){
                                                        values.push(this.value);
                                                    });
                                                    if( values.length > 0 ) {
                                                        if( !values.includes('1') ) {
                                                            // Clear filters
                                                            if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                                $('.clearAll[data-tablevariable="'+variable+'"]').addClass('d-none');
                                                            }else if ($('#clearAll'+dateTable).length > 0){
                                                                $('#clearAll'+dateTable).addClass('d-none');
                                                            }else if ($('.filter_'+dateTable).length > 0){
                                                                $('.filter_'+dateTable).addClass('d-none');
                                                            }
                                                        }
                                                    }

                                                    $('#SearchByDateModal`+key+tablevariable+`').modal('hide');

                                                    drawTables(variable);
                                                });
                                                /* Submit search query */
                                                $(document).on( 'click', '.dsetform`+key+tablevariable+` .filterDate', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Submit search query');
                                                    // return false;

                                                    var that                = $(this);

                                                    var keyfrom             = $('.dsetform`+key+tablevariable+` #search_date_`+key+`_`+tablevariable+`').val();
                                                    var keyto               = $('.dsetform`+key+tablevariable+` #search_date_end_`+key+`_`+tablevariable+`').val();

                                                    var condition           = $('.dsetform`+key+tablevariable+` input[type="radio"][name="conditiondate`+key+`"]:checked').val();
                                                    var sort                = $('.dsetform`+key+tablevariable+` input[type="radio"][name="date_sort_`+key+`"]:checked').val();

                                                    if( typeof condition == 'undefined' && typeof sort == 'undefined' ) {
                                                        alert( 'Please select an option to filter result' );
                                                        return;
                                                    }
                                                    if( condition ) {
                                                        if( condition != 'today' && condition != 'month' ) {
                                                            if( condition == '<>' ) {
                                                                if( keyfrom == '' && keyto == '' ) {
                                                                    alert( 'Please enter date to search' );
                                                                    return;
                                                                }
                                                            } else {
                                                                if( keyfrom == '' ) {
                                                                    alert( 'Please enter value to search' );
                                                                    return;
                                                                }
                                                            }
                                                        }
                                                    }

                                                    var variable            = that.attr('data-tablevariable');
                                                    var dateTable           = that.attr('data-table');
                                                    var dateKey             = that.attr('data-key');
                                                    var dateFilterType      = that.attr('data-filtertype');

                                                    // Icon
                                                    var dateFilterClass     = '.' + dateTable +'_'+ dateKey +'_'+ dateFilterType;
                                                    if($(dateFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(dateFilterClass+'[data-table="'+variable+'"]').addClass('filter_icon_orange');
                                                    }else{
                                                        $(dateFilterClass).addClass('filter_icon_orange');
                                                    }

                                                    // Applied
                                                    $('#date_'+dateTable+'_'+dateKey+'_'+variable).val(1); // 1 = Applied, 0 = Not Applied

                                                    // Clear filters
                                                    if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                        $('.clearAll[data-tablevariable="'+variable+'"]').removeClass('d-none');
                                                    }else if ($('#clearAll'+dateTable).length > 0){
                                                        $('#clearAll'+dateTable).removeClass('d-none');
                                                    }else if ($('.filter_'+dateTable).length > 0){
                                                        $('.filter_'+dateTable).removeClass('d-none');
                                                    }

                                                    // Refresh
                                                    if ($('.refresh_'+dateTable).length > 0){
                                                        $('.refresh_'+dateTable).removeClass('d-none');
                                                    }

                                                    // 
                                                    if($('#active_tab').length > 0){
                                                        $('#active_tab').val(variable);
                                                    }else if($('#previous_tab').length > 0){
                                                        $('#previous_tab').val(variable);
                                                    }

                                                    drawTables(variable);
                                                });
                                                /* Change date condition radio */
                                                $(document).on( 'change', '.dsetform`+key+tablevariable+` input[type=radio][name=conditiondate`+key+`]', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Change date condition radio');
                                                    // return false;

                                                    var value               = this.value;
                                                    if( value == 'empty' || value == 'not_empty' || value == 'today' || value == 'month' ) {
                                                        $('.dsetform`+key+tablevariable+` #search_date_section').addClass('d-none');
                                                        $('.dsetform`+key+tablevariable+` #search_date_end_section').addClass('d-none');
                                                    } else if( value == '<>' ) {
                                                        $('.dsetform`+key+tablevariable+` #search_date_section').removeClass('d-none');
                                                        $('.dsetform`+key+tablevariable+` #search_date_end_section').removeClass('d-none');
                                                    } else {
                                                        $('.dsetform`+key+tablevariable+` #search_date_section').removeClass('d-none');
                                                        $('.dsetform`+key+tablevariable+` #search_date_end_section').addClass('d-none');
                                                    }
                                                });
                                                // DATE TYPE FILTERS - END
                                            `;

                                            // Create script element
                                            var scriptElement   = document.createElement('script');
                                            scriptElement.type  = 'text/javascript';
                                            scriptElement.text  = scriptContent;

                                            // Append script element to the element with id 'filterModalContainer'
                                            $('#filterModalContainer .'+tablevariable).append(scriptElement);

                                            $(modal).css({ 
                                                "position":"absolute",
                                                "top":x.top + 30,
                                                "left":left
                                            });
                                            if($(modal).hasClass('active')){
                                                $(modal).removeClass('active');
                                            }else{
                                                $(modal).toggleClass('active');
                                            }
                                        }
                                    } else {
                                        // console.log('Key exists in configTableObject but searchBuilderType is blank, undefined, null, or not "date".');
                                    }
                                } else {
                                    // console.log('Key exists in configTableObject but does not have searchBuilderType property.');
                                }
                            } else {
                                // console.log('Key does not exist in configTableObject.');
                            }
                        } else {
                            // console.log('configTableObject is empty.'); // Log that configTableObject is empty
                        }
                    } else {
                        // console.log('The config object is empty');
                    }
                } else {
                    // console.log('Key value does not exist.');
                }
            } else {
                // console.log('Date does not exist');
            }

            var searchStatus                    = '#SearchByStatusModal';
            // Check if the searchStatus exists in the mainString
            if (modal.indexOf(searchStatus) !== -1) {
                // console.log('Status exists');

                // Check if key is not empty (i.e., it exists)
                var key                         = modal.replace(searchStatus, '').replace(tablevariable, '');
                if (key) {
                    // console.log('Key value exists:', key);

                    if (!$.isEmptyObject(config)) {
                        // console.log('The config object is not empty'); // Ex. key = driver_unique_id

                        // Now you can access the configTable property of the config object
                        var configTableObject   = config[configTable];
                        // Check if configTableObject is not empty
                        if (!$.isEmptyObject(configTableObject)) {
                            // console.log('configTableObject is not empty:', configTableObject); // Log that configTableObject is not empty along with its value

                            if (configTableObject.hasOwnProperty(key)) {
                                if (configTableObject[key].hasOwnProperty('searchBuilderType')) {
                                    // console.log('Key exists in configTableObject and has the searchBuilderType property.');

                                    if (configTableObject[key]['searchBuilderType'] !== undefined && configTableObject[key]['searchBuilderType'] !== null && configTableObject[key]['searchBuilderType'] !== '' && configTableObject[key]['searchBuilderType'] === 'status') {
                                        // console.log('Key exists in configTableObject and has a non-empty, non-null, non-undefined searchBuilderType property that is "status".');

                                        // Check if both the 'key' and 'name' keys exist and if the value is not empty
                                        var fieldnameValue      = ''; // configTableObject[key]?.name || '';
                                        if (configTableObject[key].hasOwnProperty('name')) {
                                            fieldnameValue      = (typeof configTableObject[key]['name'] === 'string' && configTableObject[key]['name'] !== null && configTableObject[key]['name'] !== undefined && $.trim(configTableObject[key]['name']) !== '') ? configTableObject[key]['name'] : '';
                                        }

                                        var filterModalHTML     = '<div>';

                                        filterModalHTML         += `
                                            <input type="hidden" class="filterApplied`+configTable+`_`+tablevariable+`" id="status_`+configTable+`_`+key+`_`+tablevariable+`" value="0">
                                            <input type="hidden" class="" id="is_status_condition_applied`+key+`_`+tablevariable+`" value="0">
                                            <div class="filter-dispatchBlock ssetform`+key+tablevariable+`" id="SearchByStatusModal`+key+tablevariable+`" style="width:auto;height:auto;">
                                                <div class="filter-dispatchContent">
                                                    <div class="filter-head">
                                                        <h5>Filter By: <span>`+fieldnameValue+`</span></h5>
                                                    </div>`;

                                        // Filter Body
                                        filterModalHTML         += `<div class="filter-body">
                                            <input type="hidden" name="statusKey`+key+`" id="statusKey`+key+`_`+tablevariable+`" value="`+key+`">`;

                                        if (configTableObject[key].hasOwnProperty('tableName') && configTableObject[key]['tableName'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="statusTableType`+key+`" id="statusTableType`+key+`_`+tablevariable+`" value="`+configTableObject[key]['tableName']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="statusTableType`+key+`" id="statusTableType`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('colAlias') && configTableObject[key]['colAlias'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="statusColAlias`+key+`" id="statusColAlias`+key+`_`+tablevariable+`" value="`+configTableObject[key]['colAlias']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="statusColAlias`+key+`" id="statusColAlias`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('statusColName') && configTableObject[key]['statusColName'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="statusOrgColName`+key+`" id="statusOrgColName`+key+`_`+tablevariable+`" value="`+configTableObject[key]['statusColName']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="statusOrgColName`+key+`" id="statusOrgColName`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        if (configTableObject[key].hasOwnProperty('orderCol') && configTableObject[key]['orderCol'] !== '') {
                                            filterModalHTML     += `<input type="hidden" name="statusOrderColName`+key+`" id="statusOrderColName`+key+`_`+tablevariable+`" value="`+configTableObject[key]['orderCol']+`">`;
                                        } else {
                                            filterModalHTML     += `<input type="hidden" name="statusOrderColName`+key+`" id="statusOrderColName`+key+`_`+tablevariable+`" value="">`;
                                        }

                                        filterModalHTML         += `<ul>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="status_sort_`+key+`" id="status_sort_asc_`+key+`_`+tablevariable+`" value="asc">
                                                    <label class="form-check-label" for="status_sort_asc_`+key+`_`+tablevariable+`">Sort Ascending</label>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input radio" type="radio" name="status_sort_`+key+`" id="status_sort_desc_`+key+`_`+tablevariable+`" value="desc">
                                                    <label class="form-check-label" for="status_sort_desc_`+key+`_`+tablevariable+`">Sort Descending</label>
                                                </div>
                                            </li>
                                        </ul>
                                        <div class="fliter-dispatchBlock">
                                            <a href="javascript:void(0);" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="status" class="btn-link chkclear">Clear Filter</a>
                                        </div>`;

                                        // Status List
                                        var statusList          = '';
                                        if (isDispatchHubPage) {
                                            // console.log('if (isDispatchHubPage) is true'); // Log the message

                                            var dispatchHubStatuses     = @json(dispatchHubStatus());
                                            // console.log('dispatchHubStatuses:', dispatchHubStatuses);

                                            if (!$.isEmptyObject(dispatchHubStatuses)) {
                                                // console.log('Statuses available');

                                                $.each(dispatchHubStatuses, function(ke, val) {
                                                    // console.log('Key:', ke, 'Value:', val);

                                                    statusList          += `<li>
                                                        <div class="form-check selStatusValues`+key+tablevariable+`">
                                                            <input class="form-check-input checkedStatusAnswer" type="checkbox" value="1" name="conditionstatus_`+key+`_`+ke+`" id="conditionstatus_`+key+`_`+ke+`_`+tablevariable+`">
                                                            <label class="form-check-label" for="conditionstatus_`+key+`_`+ke+`_`+tablevariable+`">`+val+`</label>
                                                        </div>
                                                    </li>`;
                                                });
                                            }else{
                                                // console.log('No statuses available');
                                            }
                                        } else {
                                            // console.log('if (isDispatchHubPage) is false');

                                            var staticLoadStatuses      = @json(App\Helpers\Common::getStaticLoadStatus());
                                            // console.log('staticLoadStatuses:', staticLoadStatuses);

                                            if (!$.isEmptyObject(staticLoadStatuses)) {
                                                // console.log('Statuses available');

                                                $.each(staticLoadStatuses, function(ke, val) {
                                                    // console.log('Key:', ke, 'Value:', val);

                                                    statusList          += `<li>
                                                        <div class="form-check selStatusValues`+key+tablevariable+`">
                                                            <input class="form-check-input checkedStatusAnswer" type="checkbox" value="1" name="conditionstatus_`+key+`_`+ke+`" id="conditionstatus_`+key+`_`+ke+`_`+tablevariable+`">
                                                            <label class="form-check-label" for="conditionstatus_`+key+`_`+ke+`_`+tablevariable+`">`+val+`</label>
                                                        </div>
                                                    </li>`;
                                                });
                                            }else{
                                                // console.log('No statuses available');
                                            }
                                        }
                                        filterModalHTML         += `<ul class="filter-checkbox mb-10">`+statusList+`</ul>`;
                                        // Status List

                                        filterModalHTML         += `</div>`;
                                        // Filter Body

                                        // Filter Footer
                                        filterModalHTML         += `<div class="filter-footer">`;
                                        filterModalHTML         += `<button type="button" class="btn btn-outline-blue btn-close mr-1">Cancel</button>`;
                                        filterModalHTML         += `<button type="button" class="btn btn-blue btn-close ml-1 filterStatus" data-tablevariable="`+tablevariable+`" data-table="`+configTable+`" data-key="`+key+`" data-filtertype="status">Filter Selected</button>`;
                                        filterModalHTML         += `</div>`;
                                        // Filter Footer

                                        filterModalHTML         += `</div>
                                            </div>
                                        `;

                                        filterModalHTML         += `</div>`;
                                        // console.log(filterModalHTML);

                                        // Append the generated HTML to the container if not already added
                                        if ($('#SearchByStatusModal' + key + tablevariable).length === 0) {
                                            if ($('#filterModalContainer').length === 0) {
                                                $('body').append('<div id="filterModalContainer"></div>');
                                            }
                                            if($('#filterModalContainer .'+tablevariable).length === 0){
                                                $('#filterModalContainer').append(`<div class="`+tablevariable+`"></div>`);
                                            }
                                            // First script block
                                            $('#filterModalContainer .'+tablevariable).append(filterModalHTML);

                                            var scriptContent   = `
                                                // STATUS TYPE FILTERS - START
                                                /* Clear status column filter */
                                                $(document).on( 'click', '.ssetform`+key+tablevariable+` .chkclear', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Clear status column filter');
                                                    // return false;

                                                    var that                = $(this);

                                                    // filter-dispatchBlock
                                                    that.parent().parent().parent().parent().removeClass('active');

                                                    $('.ssetform`+key+tablevariable+` input[type=checkbox]').prop('checked', false);
                                                    $('.ssetform`+key+tablevariable+` input[type=radio]').prop('checked', false);

                                                    var variable            = that.attr('data-tablevariable');
                                                    var statusTable         = that.attr('data-table');
                                                    var statusKey           = that.attr('data-key');
                                                    var statusFilterType    = that.attr('data-filtertype');

                                                    // Icon
                                                    var statusFilterClass   = '.' + statusTable +'_'+ statusKey +'_'+ statusFilterType;
                                                    if($(statusFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(statusFilterClass+'[data-table="'+variable+'"]').removeClass('filter_icon_orange');
                                                    }else{
                                                        $(statusFilterClass).removeClass('filter_icon_orange');
                                                    }

                                                    // Not Applied
                                                    $('#status_'+statusTable+'_'+statusKey+'_'+variable).val(0); // 1 = Applied, 0 = Not Applied
                                                    $('#is_status_condition_applied`+key+`_`+tablevariable+`').val(0);

                                                    // Hide clear all filter button if all filter have been cleared
                                                    var values              = [];
                                                    $('.filterApplied'+statusTable+'_'+variable).each(function(){
                                                        values.push(this.value);
                                                    });
                                                    if( values.length > 0 ) {
                                                        if( !values.includes('1') ) {
                                                            // Clear filters
                                                            if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                                $('.clearAll[data-tablevariable="'+variable+'"]').addClass('d-none');
                                                            }else if ($('#clearAll'+statusTable).length > 0){
                                                                $('#clearAll'+statusTable).addClass('d-none');
                                                            }else if ($('.filter_'+statusTable).length > 0){
                                                                $('.filter_'+statusTable).addClass('d-none');
                                                            }
                                                        }
                                                    }

                                                    $('#SearchByStatusModal`+key+tablevariable+`').modal("hide");

                                                    drawTables(variable);
                                                });
                                                /* Submit search query */
                                                $(document).on( 'click', '.ssetform`+key+tablevariable+` .filterStatus', function(e) {
                                                    e.preventDefault();
                                                    // console.log('Submit search query');
                                                    // return false;

                                                    var that                = $(this);

                                                    var sort                = $('.ssetform`+key+tablevariable+` input[type="radio"][name="status_sort_`+key+`"]:checked').val();
                                                    var sel                 = $('.selStatusValues`+key+tablevariable+` input[type=checkbox]:checked').map(function(_, el) {
                                                        return $(el).val();
                                                    }).get();

                                                    if( sel.length == '' && typeof sort == 'undefined' ) {
                                                        alert( 'Please select an option to filter result' );
                                                        that.closest('.filter-dispatchBlock').find('.chkclear').trigger('click');
                                                        return;
                                                    }

                                                    var variable            = that.attr('data-tablevariable');
                                                    var statusTable         = that.attr('data-table');
                                                    var statusKey           = that.attr('data-key');
                                                    var statusFilterType    = that.attr('data-filtertype');

                                                    // Icon
                                                    var statusFilterClass   = '.' + statusTable +'_'+ statusKey +'_'+ statusFilterType;
                                                    if($(statusFilterClass+'[data-table="'+variable+'"]').length > 0){
                                                        $(statusFilterClass+'[data-table="'+variable+'"]').addClass('filter_icon_orange');
                                                    }else{
                                                        $(statusFilterClass).addClass('filter_icon_orange');
                                                    }

                                                    // Applied
                                                    $('#status_'+statusTable+'_'+statusKey+'_'+variable).val(1); // 1 = Applied, 0 = Not Applied
                                                    $('#is_status_condition_applied`+key+`_`+tablevariable+`').val(1);

                                                    // Clear filters
                                                    if($('.clearAll[data-tablevariable="'+variable+'"]').length > 0){
                                                        $('.clearAll[data-tablevariable="'+variable+'"]').removeClass('d-none');
                                                    }else if ($('#clearAll'+statusTable).length > 0){
                                                        $('#clearAll'+statusTable).removeClass('d-none');
                                                    }else if ($('.filter_'+statusTable).length > 0){
                                                        $('.filter_'+statusTable).removeClass('d-none');
                                                    }

                                                    // Refresh
                                                    if ($('.refresh_'+statusTable).length > 0){
                                                        $('.refresh_'+statusTable).removeClass('d-none');
                                                    }

                                                    // 
                                                    if($('#active_tab').length > 0){
                                                        $('#active_tab').val(variable);
                                                    }else if($('#previous_tab').length > 0){
                                                        $('#previous_tab').val(variable);
                                                    }

                                                    drawTables(variable);
                                                });
                                                // STATUS TYPE FILTERS - END
                                            `;

                                            // Create script element
                                            var scriptElement   = document.createElement('script');
                                            scriptElement.type  = 'text/javascript';
                                            scriptElement.text  = scriptContent;

                                            // Append script element to the element with id 'filterModalContainer'
                                            $('#filterModalContainer .'+tablevariable).append(scriptElement);

                                            $(modal).css({ 
                                                "position":"absolute",
                                                "top":x.top + 30,
                                                "left":left
                                            });
                                            if($(modal).hasClass('active')){
                                                $(modal).removeClass('active');
                                            }else{
                                                $(modal).toggleClass('active');
                                            }
                                        }
                                    } else {
                                        // console.log('Key exists in configTableObject but searchBuilderType is blank, undefined, null, or not "status".');
                                    }
                                } else {
                                    // console.log('Key exists in configTableObject but does not have searchBuilderType property.');
                                }
                            } else {
                                // console.log('Key does not exist in configTableObject.');
                            }
                        } else {
                            // console.log('configTableObject is empty.'); // Log that configTableObject is empty
                        }
                    } else {
                        // console.log('The config object is empty');
                    }
                } else {
                    // console.log('Key value does not exist.');
                } 
            } else {
                // console.log('Status does not exist');
            }
        } else {
            // console.log(modal + " already exists.");

            $(modal).css({ 
                "position":"absolute",
                "top":x.top + 30,
                "left":left
            });
            if($(modal).hasClass('active')){
                $(modal).removeClass('active');
            }else{
                $(modal).toggleClass('active');
            }
        }
    });
    function drawTables( tablevar ){
        // console.log("isDispatchHubPage:", isDispatchHubPage);
        // console.log("isProRoutePage:", isProRoutePage);
        // console.log("tablevar:", tablevar);

        if (isDispatchHubPage) {
            // console.log("Dispatch Hub Page Logic");

            if (tablevar == 'table1' && typeof onHoldLoadTable !== 'undefined') {
                // console.log("Drawing onHoldLoadTable");
                onHoldLoadTable.draw();
            } else if (tablevar == 'table2' && typeof inTransitLoadTable !== 'undefined') {
                // console.log("Drawing inTransitLoadTable");
                inTransitLoadTable.draw();
            } else if (tablevar == 'table3' && typeof availableDriversTable !== 'undefined') {
                // console.log("Drawing availableDriversTable");
                availableDriversTable.draw();
            } else if (tablevar == 'table4' && typeof plannedLoadTable !== 'undefined') {
                // console.log("Drawing plannedLoadTable");
                plannedLoadTable.draw();
            } else if (tablevar == 'table5' && typeof availableLoadTable !== 'undefined') {
                // console.log("Drawing availableLoadTable");
                availableLoadTable.draw();
            } else if (tablevar == 'table6' && typeof completedLoadTable !== 'undefined') {
                // console.log("Drawing completedLoadTable");
                completedLoadTable.draw();
            } else if (tablevar == 'table7' && typeof allDispatchLoadTable !== 'undefined') {
                // console.log("Drawing allDispatchLoadTable");
                allDispatchLoadTable.draw();
            } else {
                // console.log("No matching table found for Dispatch Hub Page");
            }
        } else if (isProRoutePage) {
            // console.log("Pro Route Page Logic");

            if (tablevar == 'table1' && typeof offersTable !== 'undefined') {
                // console.log("Drawing offersTable");
                offersTable.draw();
            } else if (tablevar == 'table2' && typeof favoritesTable !== 'undefined') {
                // console.log("Drawing favoritesTable");
                favoritesTable.draw();
            } else {
                // console.log("No matching table found for Pro Route Page");
            }
        } else {
            // console.log("Default Page Logic");

            if (tablevar == 'table1' && typeof table1 !== 'undefined') {
                // console.log("Drawing table1");
                table1.draw();
            } else if (tablevar == 'table2' && typeof table2 !== 'undefined') {
                // console.log("Drawing table2");
                table2.draw();
            } else if (tablevar == 'table3' && typeof table3 !== 'undefined') {
                // console.log("Drawing table3");
                table3.draw();
            } else if (tablevar == 'table4' && typeof table4 !== 'undefined') {
                // console.log("Drawing table4");
                table4.draw();
            } else if (tablevar == 'table5' && typeof table5 !== 'undefined') {
                // console.log("Drawing table5");
                table5.draw();
            } else if (tablevar == 'table6' && typeof table6 !== 'undefined') {
                // console.log("Drawing table6");
                table6.draw();
            } else if (tablevar == 'table7' && typeof table7 !== 'undefined') {
                // console.log("Drawing table7");
                table7.draw();
            } else if (tablevar == 'table8' && typeof table8 !== 'undefined') {
                // console.log("Drawing table8");
                table8.draw();
            } else if (tablevar == 'table9' && typeof table9 !== 'undefined') {
                // console.log("Drawing table9");
                table9.draw();
            } else {
                // console.log("No matching table found for Default Page");
            }
        }
    }
</script>