@extends($driverAdminTheme)

@section('title')
    Company Announcement
@endsection

@section('header-title')
    View Company Announcement
@endsection

@section('content')
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Name</label>
                            <h5 class="fs-14">{{ $announcement->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Created At</label>
                            <h5 class="fs-14">{{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Description</label>
                            {!! $announcement->description !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection