<div class="col-md-6">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_driver_equipment"><i class="fa fa-plus"></i> Driver and Equipment</h4>
        @else
            <h4 class="box-title">Driver and Equipment</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_driver_equipment">
        @else
            <div class="box-padding">
        @endif
            <div class="row">
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Driver Name: 
                            <span>
                                {{ isset($loadDetail->driver)?$loadDetail->driver->full_name:''}}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Truck Number: 
                            <span>
                                {{ isset($loadDetail->truck_number)?$loadDetail->truck_number:''}}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Trailer Number: 
                            <span>
                                {{ isset($loadDetail->trailer_number)?$loadDetail->trailer_number:'#######'}}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-group mb-0">
                        <label class="control-label">Trailer Type: 
                            <span>
                                {{ $gtypeLabel }}
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">
                            Dispatcher:
                            <span>
                                @if($loadDetail->self_dispatch==1)
                                Self Dispatch
                                @else
                                    @if(isset($loadDetail->booked_by) && $loadDetail->booked_by!=0)
                                        {{ isset($loadDetail->dispatcher->full_name)?$loadDetail->dispatcher->full_name:''}}
                                    @else
                                        Self Dispatch
                                    @endif 
                                @endif
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group mb-0">
                        <label class="control-label">Load Created By: 
                            <span>
                                {{ isset($loadDetail->company_admin->full_name) ? $loadDetail->company_admin->full_name : '' }}
                            </span>
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>