@if($stops->count() > 0)
<div class="col-12">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_stop"><i class="fa fa-plus"></i> Additional Stops - {{ $stops->count() }} stops ({{ $stops->where('customer_type', 1)->count() }} pickup, {{ $stops->where('customer_type', 2)->count() }} delivery)</h4>
        @else
            <h4 class="box-title">Additional Stops - {{ $stops->count() }} stops ({{ $stops->where('customer_type', 1)->count() }} pickup, {{ $stops->where('customer_type', 2)->count() }} delivery)</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_stop">
        @else
            <div class="box-padding">
        @endif
            <div class="accordion" id="accordion-stop">
                @foreach ($stops as $lkey => $stop)
                    @php
                        $stopType       = 'Pickup';
                        $sNo            = ++$lkey;
                    @endphp
                    @if($stop->customer_type==2)
                        @php
                            $stopType   = 'Delivery';
                        @endphp
                    @endif
                    <div class="row card-stop mb-3">
                        <div class="col-12">
                            <div class="form-group mb-0">
                                <label class="control-label">
                                    @if($stop->status==1)
                                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion-stop" href="#collapse{{ $sNo }}">
                                            <i class="fa fa-plus"></i> Stop {{ $sNo }}: {{ $stopType }}
                                        </a>
                                    @else
                                        Stop {{ $sNo }}: {{ $stopType }}
                                    @endif
                                    @if(!in_array($loadDetail->load_status,[0,1,2,3]))
                                        @if(isset($stop->timezone_abbr) && $stop->timezone_abbr!='')
                                            @if($stop->status==1)
                                                <span class="text-success">Complete - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','abbr' => $stop->timezone_abbr])." ".$stop->timezone_abbr }}</span>
                                            @elseif($stop->status==2)
                                                <span class="text-danger">Reject - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','abbr' => $stop->timezone_abbr])." ".$stop->timezone_abbr }}</span>
                                            @else
                                                <span class="text-default">Pending</span>
                                            @endif
                                        @else
                                            @if($stop->status==1)
                                                <span class="text-success">Complete - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getTimeZone])." ".$getTimeZoneId }}</span>
                                            @elseif($stop->status==2)
                                                <span class="text-danger">Reject - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getTimeZone])." ".$getTimeZoneId }}</span>
                                            @else
                                                <span class="text-default">Pending</span>
                                            @endif
                                        @endif
                                        <?php /*
                                        @if($stop->status==1)
                                            <span class="text-success">Complete - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone])." ".\Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T') }}</span>
                                        @elseif($stop->status==2)
                                            <span class="text-danger">Reject - {{ convertTimeToUSERzone(['str' => $stop->status_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone])." ".\Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T') }}</span>
                                        @else
                                            <span class="text-default">Pending</span>
                                        @endif
                                        */ ?>
                                    @endif
                                </label>
                            </div>
                        </div>
                        <div class="col-12">
                            @if($stop->status==1)
                                <div class="row stop-collapse collapse" id="collapse{{ $sNo }}">
                            @else
                                <div class="row">
                            @endif
                                @php
                                    $detention              = isset($stop->detention)?$stop->detention:null;
                                @endphp
                                @if(!is_null($detention) && in_array($detention->detention_status,[2,3]))
                                    @php
                                        $startDate          = isset($detention->detention_start_time)?dateTimeFormatter($detention->detention_start_time, 'm/d/Y H:i','Y-m-d H:i:s'):\Carbon\Carbon::now()->format('m/d/Y H:i');
                                        $date1              = \Carbon\Carbon::parse($startDate);
                                        $endDate            = isset($detention->detention_end_time)?dateTimeFormatter($detention->detention_end_time, 'm/d/Y H:i','Y-m-d H:i:s'):\Carbon\Carbon::now()->format('m/d/Y H:i');
                                        $date2              = \Carbon\Carbon::parse($endDate);
                                        $hours              = intval($date1->diffInHours($date2));
                                        if ($hours < 10){
                                            $hours          = "0".$hours;
                                        }
                                        $minutes            = intval($date1->diff($date2)->format('%I'));
                                        if ($minutes < 10){
                                            $minutes        = "0".$minutes;
                                        }
                                    @endphp
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">
                                                Detention Requested - 
                                                <span  class="elapsed-time">[@if($startDate > $endDate)-@endif{{ $hours }}:{{ $minutes }}]</span>
                                                <a 
                                                    href="javascript:void(0)" 
                                                    class="view-detention"
                                                    data-id="{{ $stop->id }}"
                                                    data-is_stop="1"
                                                    data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Stop {{ $sNo }}: {{ $stopType }}"
                                                    data-detention_id="{{ $detention->id }}"
                                                    data-detention_status="{{ $detention->detention_status }}"
                                                >
                                                    View Detention
                                                </a>
                                            </label>
                                        </div>
                                    </div>
                                @endif
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">{{ $stopType }} Date:
                                            <span>
                                                @if($stop->date_time_range==1)
                                                    {{ dateTimeFormatter($stop->getRawOriginal('date_time'),'m/d/Y','Y-m-d H:i:s').' - '.dateTimeFormatter($stop->getRawOriginal('date_time_end'),'m/d/Y','Y-m-d H:i:s') }}
                                                @else
                                                    @if(isset($stop->date_time))
                                                        {{ dateTimeFormatter($stop->getRawOriginal('date_time'),'m/d/Y','Y-m-d H:i:s') }}
                                                    @endif
                                                @endif
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">{{ $stopType }} Time:
                                            <span>
                                                @if($stop->date_time_range==1)
                                                    {{ dateTimeFormatter($stop->getRawOriginal('date_time'),getTimeLayout(0),'Y-m-d H:i:s').' - '.dateTimeFormatter($stop->getRawOriginal('date_time_end'),getTimeLayout(0),'Y-m-d H:i:s').' '.$stop->timezone_abbr }}
                                                @else
                                                    @if(isset($stop->date_time))
                                                        {{ dateTimeFormatter($stop->getRawOriginal('date_time'),getTimeLayout(0),'Y-m-d H:i:s').' '.$stop->timezone_abbr }}
                                                    @endif
                                                @endif
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">{{ $stopType }} Location:
                                            <span>
                                                {{ isset($stop->customer->name) ? $stop->customer->name : '' }}
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                @php
                                    $stop_addresses         = [];
                                @endphp
                                @if(isset($stop->address_one) && $stop->address_one!=='')
                                    @php
                                        $stop_addresses[]   = $stop->address_one;
                                    @endphp
                                @endif
                                @if(isset($stop->address_two) && $stop->address_two!=='')
                                    @php
                                        $stop_addresses[]   = $stop->address_two;
                                    @endphp
                                @endif
                                @if(isset($stop->city) && $stop->city!=='')
                                    @php
                                        $stop_addresses[]   = $stop->city;
                                    @endphp
                                @endif
                                @if(isset($stop->state) && $stop->state!=='')
                                    @php
                                        $stop_addresses[]   = $stop->state;
                                    @endphp
                                @endif
                                @if(isset($stop->zip) && $stop->zip!=='')
                                    @php
                                        $stop_addresses[]   = $stop->zip;
                                    @endphp
                                @endif
                                @php
                                    $stop_addresses         = implode(', ', $stop_addresses);
                                @endphp
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">{{ $stopType }} Address:
                                            <span>
                                                {{ isset($stop->address_one) ? $stop->address_one : '' }}
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">Directions:
                                            <span>
                                                @if(!empty($stop_addresses))
                                                    <a href="https://www.google.com/maps?saddr=Current+Location&daddr={{ urlencode($stop_addresses) }}" target="_blank">
                                                        Click To Open
                                                    </a>
                                                @endif
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-0">
                                        <label class="control-label">Notes:
                                            <span>
                                                {{ isset($stop->stop_note) ? $stop->stop_note : '' }}
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                @if($stop->customer_type==2)
                                    @php
                                        $uploaded_docs      = unserialize($stop->stop_consignee_files_upload);
                                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                                            $uploaded_docs  = [];
                                        }
                                    @endphp
                                @else
                                    @php
                                        $uploaded_docs      = unserialize($stop->stop_shipper_files_upload);
                                        if(is_null($uploaded_docs) || empty($uploaded_docs)){
                                            $uploaded_docs  = [];
                                        }
                                    @endphp
                                @endif
                                @php
                                    $stop_accessorials      = $stop->accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                                @endphp
                                @if(!empty($uploaded_docs) || $stop_accessorials->isNotEmpty())
                                    <p class="mt-2 mb-2 ml-3">When {{ $stop->customer_type=='2'?'Consignee':'Shipper' }}</p>
                                    @foreach ($uploaded_docs as $ukey => $docs)
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">{{ $docs['name'] }}:
                                                    <span>
                                                        @if(isset($docs['file']) && !empty($docs['file']))
                                                            @foreach($docs['file'] as $document)
                                                                @php
                                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                                    $type       = \File::extension($file_path);
                                                                @endphp
                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                   <a href="{{ asset($file_path) }}" target="_blank" class="ml-1"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                @else
                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="ml-1"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                        @if($docs['type'] == 1)
                                                            @if(isset($docs['file_not_provided']) && $docs['file_not_provided']=='on')
                                                                @if(isset($docs['file']) && !empty($docs['file']))
                                                                    &nbsp;(Not provided)
                                                                @else
                                                                    Not provided
                                                                @endif
                                                            @endif
                                                        @else
                                                            @if(isset($docs['is_received']) && $docs['is_received']=='on')
                                                                Received
                                                            @else
                                                                Not Received
                                                            @endif
                                                        @endif
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                    @endforeach
                                    @if($stop_accessorials->isNotEmpty())
                                        <p class="mt-2 mb-2 ml-3">When Accessorial</p>
                                        @foreach ($stop_accessorials as $key => $node)
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">{{ $node->company_accessorial->name }}:
                                                        <span>
                                                            @if(isset($node->gallery))
                                                                @php
                                                                    $file_path  = 'storage/companyAdmin/gallery/'.$node->gallery->image;
                                                                    $type       = \File::extension($file_path);
                                                                @endphp
                                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
                                                                @else
                                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mr-2"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Click To Open</a>
                                                                @endif
                                                            @endif
                                                            @if(isset($node->file_not_provided) && $node->file_not_provided=='on')
                                                                @if(isset($node->gallery))
                                                                    &nbsp;(Not provided)
                                                                @else
                                                                    Not provided
                                                                @endif
                                                            @endif
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                        @endforeach
                                    @endif
                                @endif
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
</div>
@endif