@php
    $stop_no  = $formData['stop_no'];
@endphp

<div class="modal-bod p-0">
    <div class="modal-padding">
        @if(!empty($required_documents))
            <!-- // Type 1 = Copy, 2 = Original -->
            <!-- // Required Documents -->
            @php
                $i=1;
            @endphp
            @foreach ($required_documents as $key => $node)
                @php
                    $unique_id      = 'stop_'.$stop_no.'_required_'.$node['sr'].'_mdl';
                @endphp
                <div class="d-block required-documents-checkbox" data-unique_id="{{ $unique_id }}" data-status="{{ $node['status'] }}" data-jsonString="{{ json_encode($node) }}">
                    <p class="fw-500 mb-1 text-dark-theme fs-14">
                        @if(isset($node['filename_id']) && $node['filename_id']=='0')
                            Other - {{ $node['filename'] }}
                        @else
                            {{ $node['filename'] }}
                        @endif
                        @if($node['type'] == '2')
                            (Original)
                        @endif
                    </p>
                    @if($node['type'] == '1')
                        <ul class="nav required-documents-check align-items-center">
                            <li>
                                <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                    <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                                </button>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                                </div>
                            </li>
                        </ul>
                    @else
                        <ul class="nav required-documents-check align-items-center">
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="is_received_{{ $unique_id }}">Received</label>
                                </div>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                                </div>
                            </li>
                        </ul>
                    @endif
                </div>
                @php
                    $i++;
                @endphp
            @endforeach
        @endif
        @if(!empty($requested_documents))
            <!-- // Type 1 = Copy, 2 = Original -->
            <!-- // Requested Documents -->
            @php
                $i=1;
            @endphp
            @foreach ($requested_documents as $key => $node)
                @php
                    $unique_id      = 'stop_'.$stop_no.'_requested_'.$node['sr'].'_mdl';
                @endphp
                <div class="d-block required-documents-checkbox" data-unique_id="{{ $unique_id }}" data-status="{{ $node['status'] }}" data-jsonString="{{ json_encode($node) }}">
                    <p class="fw-500 mb-1 text-dark-theme fs-14">
                        @if(isset($node['filename_id']) && $node['filename_id']=='0')
                            Other - {{ $node['filename'] }}
                        @else
                            {{ $node['filename'] }}
                        @endif
                        @if($node['type'] == '2')
                            (Original)
                        @endif
                    </p>
                    @if($node['type'] == '1')
                        <ul class="nav required-documents-check align-items-center">
                            <li>
                                <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                    <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                                </button>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                                </div>
                            </li>
                        </ul>
                    @else
                        <ul class="nav required-documents-check align-items-center">
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="is_received_{{ $unique_id }}">Received</label>
                                </div>
                            </li>
                            <li>
                                <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_{{ $unique_id }}">
                                    <label class="custom-control-label fw-500" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                                </div>
                            </li>
                        </ul>
                    @endif
                </div>
                @php
                    $i++;
                @endphp
            @endforeach
        @endif
        @if(!empty($accessorial_documents))
            <!-- // Accessorial Documents -->
            @php
                $i=1;
            @endphp
            @foreach ($accessorial_documents as $key => $node)
                @php
                    $unique_id      = 'stop_'.$stop_no.'_accessorial_'.$node['sr'].'_mdl';
                @endphp
                <div class="d-block required-documents-checkbox" data-unique_id="{{ $unique_id }}" data-status="{{ $node['status'] }}" data-jsonString="{{ json_encode($node) }}">
                    <p class="fw-500 mb-1 text-dark-theme fs-14">
                        {{ $node['filename'] }}
                    </p>
                    <ul class="nav required-documents-check align-items-center">
                        <li>
                            <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                            </button>
                        </li>
                        <li>
                            <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}">
                                <label class="custom-control-label fw-500" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                            </div>
                        </li>
                    </ul>
                </div>
                @php
                    $i++;
                @endphp
            @endforeach
        @endif
        <p class="fs-12 fw-500">Load will not pay until all documents are received and approved.</p>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
    <button type="button" class="btn btn-blue continue-btn" data-id="{{ $formData['id'] }}" data-customer_type="{{ $formData['customer_type'] }}" data-is_stop="{{ $formData['is_stop'] }}" data-type="{{ $formData['type'] }}" data-stop_no="{{ $stop_no }}">
        I'm in a rush, I will upload later.
    </button>
    <!-- Continue -->
    <!-- Type 1 = Arrive, 2 = Depart -->
</div>