<div class="modal-body">
    <div class="row justify-content-center">
        <div class="col-12">
            <div class="row align-items-center">
                <div class="col-lg-4 col-md-4">
                    <div class="text-end">
                        <strong class="text-theme-color fw-600 mb-1">Pickup</strong>
                        <ul>
                        	<!-- // D n/j/Y - Mon 6/20/2023 -->
                        	<li class="mb-1 fs-14 fw-500">{{ date('D n/j', strtotime($load_detail->getRawOriginal('shipper_date_time'))) }}</li>
                        	@php
                        		$sttt 								= [];
                        		$stime 								= [];
                        		if($load_detail->shipping_time_range == 0){
                        			$stime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('shipper_date_time')));
                        		}else{
                        			$stime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('shipper_date_time')));
                        			$stime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('shipper_date_time_end')));
                        		}
                        		$sttt[] 							= implode('-', $stime);
                        		if(isset($load_detail->shipper_timezone_abbr)){
                        			$sttt[] 						= $load_detail->shipper_timezone_abbr;
                        		}
                        		if($load_detail->shipping_time_range == 0){
                        			$sttt[] 						= 'Appointment';
                        		}else{
                        			$sttt[] 						= 'Range';
                        		}
                        	@endphp
                            <li class="mb-1 fs-14 fw-500">{{ implode(' ', $sttt) }}</li>
                            <li class="mb-1 fs-14 text-dark fw-600">
                            	@php
                            	    $shipper_addresses              = [];
                            	@endphp
                            	@if(isset($load_detail->shipper_address_one) && $load_detail->shipper_address_one!=='')
                            	    @php
                            	        $shipper_addresses[]        = $load_detail->shipper_address_one;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->shipper_address_two) && $load_detail->shipper_address_two!=='')
                            	    @php
                            	        $shipper_addresses[]        = $load_detail->shipper_address_two;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->shipper_city) && $load_detail->shipper_city!=='')
                            	    @php
                            	        $shipper_addresses[]        = $load_detail->shipper_city;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->shipper_state) && $load_detail->shipper_state!=='')
                            	    @php
                            	        $shipper_addresses[]        = $load_detail->shipper_state;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->shipper_zip) && $load_detail->shipper_zip!=='')
                            	    @php
                            	        $shipper_addresses[]        = $load_detail->shipper_zip;
                            	    @endphp
                            	@endif
                            	@php
                            	    $shipper_addresses              = implode(', ', $shipper_addresses);
                            	@endphp
                            	{{ $shipper_addresses }}
                            </li>
                            <li class="mb-1 fs-12 fw-500">
                            	<a href="javascript:void(0);" class="text-theme-color">
                            		@if($load_detail->shipper_drop_trailer_schedule == 1)
                            		    Drop Trailer
                            		@elseif($load_detail->shipper_drop_trailer_schedule == 2)
                            		    Drop & Hook
                            		@else
                            		    Live
                            		@endif
                            	</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4">
                    <div class="row text-center my-sm-3 my-2">
                        <div class="col-12">
                            <span class="fs-12 text-dark fw-500">{{ isset($load_detail->total_miles) ? formatNumberWithoutZeros($load_detail->total_miles).' mi' : '' }}</span>
                        </div>
                        <hr class="w-100">
                        <div class="col-12">
                        	<span class="fs-12 text-dark fw-500">
                        		@php
                        		    $total_stops  					= 0;
                        		@endphp
                        		@if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty())
                        		    @php
                        		        $total_stops    			+= $load_detail->loads->load_stops->count();
                        		    @endphp
                        		@endif
                        		@if($total_stops > 0)
                        			@if($total_stops >= 2)
                        				{{ $total_stops }} Stops
                        			@else
                        				{{ $total_stops }} Stop
                        			@endif
                        		@else
                        			Non Stop
                        		@endif
                        	</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4">
                    <div class="text-start">
                        <strong class="text-theme-color fw-600 mb-1">Delivery</strong>
                        <ul>
                    		<!-- // D n/j/Y - Mon 6/20/2023 -->
                    		<li class="mb-1 fs-14 fw-500">{{ date('D n/j', strtotime($load_detail->getRawOriginal('delivery_date_time'))) }}</li>
                    		@php
                    			$dttt 								= [];
                    			$dtime 								= [];
                    			if($load_detail->delivery_time_range == 0){
                    				$dtime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('delivery_date_time')));
                    			}else{
                    				$dtime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('delivery_date_time')));
                    				$dtime[] 						= date(getTimeLayout(0), strtotime($load_detail->getRawOriginal('delivery_date_time_end')));
                    			}
                    			$dttt[] 							= implode('-', $dtime);
                    			if(isset($load_detail->delivery_timezone_abbr)){
                    				$dttt[] 						= $load_detail->delivery_timezone_abbr;
                    			}
                    			if($load_detail->delivery_time_range == 0){
                    				$dttt[] 						= 'Appointment';
                    			}else{
                    				$dttt[] 						= 'Range';
                    			}
                    		@endphp
                    	    <li class="mb-1 fs-14 fw-500">{{ implode(' ', $dttt) }}</li>
                            <li class="mb-1 fs-14 text-dark fw-600">
                            	@php
                            	    $delivery_addresses             = [];
                            	@endphp
                            	@if(isset($load_detail->delivery_address_one) && $load_detail->delivery_address_one!=='')
                            	    @php
                            	        $delivery_addresses[]       = $load_detail->delivery_address_one;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->delivery_address_two) && $load_detail->delivery_address_two!=='')
                            	    @php
                            	        $delivery_addresses[]       = $load_detail->delivery_address_two;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->delivery_city) && $load_detail->delivery_city!=='')
                            	    @php
                            	        $delivery_addresses[]       = $load_detail->delivery_city;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->delivery_state) && $load_detail->delivery_state!=='')
                            	    @php
                            	        $delivery_addresses[]       = $load_detail->delivery_state;
                            	    @endphp
                            	@endif
                            	@if(isset($load_detail->delivery_zip) && $load_detail->delivery_zip!=='')
                            	    @php
                            	        $delivery_addresses[]       = $load_detail->delivery_zip;
                            	    @endphp
                            	@endif
                            	@php
                            	    $delivery_addresses             = implode(', ', $delivery_addresses);
                            	@endphp
                            	{{ $delivery_addresses }}
                            </li>
                            <li class="mb-1 fs-12 text-theme-color fw-500">
                            	<a href="javascript:void(0);" class="text-theme-color">
                            		@if($load_detail->delivery_drop_trailer_schedule == 1)
                            		    Drop Trailer
                            		@elseif($load_detail->delivery_drop_trailer_schedule == 2)
                            		    Drop & Hook
                            		@else
                            		    Live
                            		@endif
                            	</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- click on Dispatch Now button to show load requirements popup & View Loads button to show view load details -->
<div class="modal-footer">
    <button type="button" class="btn btn-blueBr details-btn" data-id="{{ $load_detail->id }}">View Loads</button>
    <button type="button" class="btn btn-blue confirm-btn" data-id="{{ $load_detail->id }}">Dispatch Now</button>
</div>