<?php
    $getAdminLoginData = auth()->guard('admin')->user();
?>
<header class="ngd-header">
    <div class="container-fluid">
        <nav class="navbar navbar-expand-lg navbar-light">
            <img src="<?php echo e(asset('theme/img/logo.png')); ?>" alt="Logo">
            <button class="navbar-dark navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent"
                aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item menu-responsive profile-btn">
                        <div class="dropdown">
                            <button class="btn dropdown-toggle" type="button" id="dropdownAdminMenuButton"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="userProfile-img">
                                    <img src="<?php echo e(asset('theme/images/user.png')); ?>" alt="User Logo">
                                </span>
                                Hello, <?php echo e($getAdminLoginData->first_name.' '.$getAdminLoginData->last_name); ?>

                                <img src="<?php echo e(asset('theme/images/dropdown.png')); ?>" alt="dropdown" class="dropdown-icon">
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownAdminMenuButton">
                                <a class="dropdown-item" href="<?php echo e(route('admin.setting.index')); ?>">Account setting</a>
                                <a class="dropdown-item" href="<?php echo e(route('admin.two-factor.index')); ?>">2 factor settings</a>
                                <a
                                    class="dropdown-item" href="<?php echo e(route('admin.logout')); ?>"
                                    onclick="event.preventDefault();document.getElementById('logout-form').submit();">
                                    Logout
                                </a>
                                <form id="logout-form" action="<?php echo e(route('admin.logout')); ?>" method="POST" class="d-none">
                                    <?php echo csrf_field(); ?>
                                </form>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
<?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/adminTheme/header.blade.php ENDPATH**/ ?>