

<?php $__env->startSection('title'); ?>
    Chart Of Accounts
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/select2.min.css')); ?>">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 40px;
        }
        .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple{
            border: 1px solid #707070;
            border-radius: 0;
            color: #000000 !important;
            overflow: hidden !important;
            min-height: 40px;
            height: auto !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 40px;
            font-size: 14px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 40px;
            margin-right: 5px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b{
            border-color: #000 transparent transparent transparent;
        }
        /*.drop-search .select2-selection__arrow b{*/
        /*    display:none !important;*/
        /*}*/
        .custom-error-style {
            color: #dc3545;
            font-weight: bolder;
            font-size: 14px;
            line-height: 1.5;
        }
        .previewDataDiv {
            font-size: 13px !important;
        }
        #child_node {
            color: #ff6627;
            font-weight: 600;
        }
    </style>
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="white-box table-view">
        <h3 class="table-title">Chart Of Accounts</h3>
        <div class="add-responsive">
            <table class="table data-table">
                <thead>
                <tr>
                    <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($filed == 1 && isset(config('settings.table_chart_of_accounts')[$key]['name'])): ?>
                            <?php if(isset(config('settings.table_chart_of_accounts')[$key]['searchBuilderType'])): ?>
                                <?php if( config('settings.table_chart_of_accounts')[$key]['searchBuilderType'] == 'string' ): ?>
                                    <th <?php if($loop->index == 0): ?> width="15%" <?php elseif($loop->index == 1): ?> width="60%"  <?php elseif($loop->index == 2): ?> width="8%" <?php else: ?> width="15%" <?php endif; ?>><?php echo e(config('settings.table_chart_of_accounts')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_chart_of_accounts_<?php echo e($key); ?>_string" data-modal="SearchByStringModal<?php echo e($key); ?>"></i></th>
                                <?php elseif( config('settings.table_chart_of_accounts')[$key]['searchBuilderType'] == 'date' ): ?>
                                    <th width="15%"><?php echo e(config('settings.table_chart_of_accounts')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_chart_of_accounts_<?php echo e($key); ?>_date" data-modal="SearchByDateModal<?php echo e($key); ?>"></i></th>
                                <?php endif; ?>
                            <?php else: ?>
                                <th width="15%"><?php echo e(config('settings.table_chart_of_accounts')[$key]['name']); ?></th>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

            <input type="hidden" name="table_id" value="chart_of_accounts" />
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(isset(config('settings.table_chart_of_accounts')[$key]['name'])): ?>
                                <li class="ui-state-default">
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                        <input type="checkbox" class="custom-control-input" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed == 1): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_chart_of_accounts')[$key]['name']); ?></label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                </li>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ul>
                    <ul class="sortableList connected-sortable droppable-area1">
                        <li class="ui-state-default">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="checkDisplayInactive" name="checkDisplayInactive" value="1">
                                <label class="custom-control-label" for="checkDisplayInactive">Display Inactive Rows</label>
                            </div>
                            <i class="fa fa-align-justify drag-icon"></i>
                        </li>
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btnUpdateColumn">Save</button>
                </div>
            </div>
            <?php echo Form::close(); ?>

        </div>
    </div>

    <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="groupsTitle" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered modal-editAcc modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header pt-2 pb-2">
                    <h5 class="modal-title" id="exampleModalLongTitle" style="font-size: 20px !important;">Add Account Information</h5>
                    <button type="button" class="close closeModal" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0">
                    <div class="row m-0">
                        <div class="col-md-6 p-0">
                            <?php echo Form::open(array('route' => 'company.admin.chart-of-accounts.store', 'method'=>'POST', 'class'=>'storeForm')); ?>

                            <div class="form-group">
                                <label for="editAcc-select">Account Type *</label>
                                <?php echo Form::select('account_type', ['' => 'Select Type']+getChartOfAccountsTypes(null, 'listing'), null, ['class' => 'form-control accountType select2-select', 'required' => 'required', 'data-parsley-errors-container' => '#edit-account_type-errors', 'data-parent-modal' => '#createModal']); ?>

                                <div id="edit-account_type-errors"></div>
                                <div class="mt-1 custom-error-style account_type_error"></div>
                            </div>
                            <div class="form-group">
                                <label for="parentAcc-select">Parent Account </label>
                                <?php echo Form::select('parent_account', ['' => 'Select Parent'], null, ['class' => 'form-control select2-select addParentId']); ?>

                            </div>
                            <div class="form-group">
                                <label for="parentAcc-select">Account Name *</label>
                                <?php echo Form::text('account_name', old('account_name'), array('class' => 'form-control addAccountName appendNode', 'autocomplete' => 'new', 'required' => 'required')); ?>

                                <div class="mt-1 custom-error-style account_name_error"></div>
                            </div>
                            <div class="form-group mb-3">
                                <label for="parentAcc-select">Account Number *</label>
                                <?php echo Form::text('account_number', old('account_number'), array('class' => 'form-control addAccountNumber appendNode', 'autocomplete' => 'new', 'required' => 'required')); ?>

                                <div class="mt-1 custom-error-style account_number_error"></div>
                            </div>
                            <div class="text-right">
                                <button type="button" class="btn btn-themeGray closeModal pl-4 pr-4" data-dismiss="modal">Cancel</button>
                                <button class="btn btn-orange pl-4 pr-4">Save</button>
                            </div>
                            <?php echo Form::close(); ?>

                        </div>
                        <div class="col-md-6 br-left p-0">
                            <div class="incomeAcc-preview">
                                <h6 id="preview-header">Account Preview</h6>
                                <div class="incomeAcc-box">
                                    <div class="scrollbar" id="preview-body">
                                        <div class="loadingdiv mt-5 d-none"><img src="<?php echo e(asset('theme/img/loading.gif')); ?>" /></div>
                                        <div class="previewDataDiv">
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="groupsTitle" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered modal-editAcc modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header pt-2 pb-2">
                    <h5 class="modal-title" id="exampleModalLongTitle" style="font-size: 20px !important;">Edit Account Information</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body p-0">
                    <div class="row m-0">
                        <div class="col-md-6 p-0">
                            <div class="append-form"></div>
                        </div>
                        <div class="col-md-6 br-left p-0">
                            <div class="incomeAcc-preview">
                                <h6 id="preview-header">Account Preview</h6>
                                <div class="incomeAcc-box">
                                    <div class="scrollbar" id="preview-body">
                                        <div class="loadingdiv mt-5 d-none"><img src="<?php echo e(asset('theme/img/loading.gif')); ?>" /></div>
                                        <div class="previewDataDiv">
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="<?php echo e(asset('theme/js/select2.full.min.js')); ?>"></script>
    <script type="text/javascript">
        $('.storeForm').parsley();

        var table = $('.data-table').DataTable({
            stateSave: false,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            fixedColumns: {
                leftColumns: 0, // Number of columns to be fixed on the left
                rightColumns: 1, // Number of columns to be fixed on the right
                // heightMatch: "auto"
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            //ajax: "<?php echo e(route('company.admin.chart-of-accounts.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.chart-of-accounts.index')); ?>",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>').val();
                        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>').val();
                        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>').val();
                        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_from_date<?php echo e($key); ?>').val();
                        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_from_date<?php echo e($key); ?>').val();
                        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>').val();
                        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>').val();
                        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                    <?php endforeach; ?>
                        d.display_inactive_rows = (localStorage.getItem('displayInactive') && localStorage.getItem('displayInactive') == '1') ? 1 : 0;
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_chart_of_accounts')[$key]['name'])): ?>
                            <?php if(config("settings.table_chart_of_accounts")[$key]["orderable"] == 1 && config("settings.table_chart_of_accounts")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_chart_of_accounts")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_chart_of_accounts")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a href="javascript:void(0);" id="clearAll<?php echo e(str_replace("settings.", "", $tableName)); ?>" class="btn btn-orange clearAll filter_<?php echo e(str_replace("settings.", "", $tableName)); ?> <?php echo e(str_replace("settings.", "", $tableName)); ?> ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");

        $('<button type="button" class="btn btn-primary ml-3 mr-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

        <?php if($isEmptyTable == 0): ?>
            $('<div class="input-group" style="width: auto !important;"><div class="input-group-append"><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createModal">New</button><button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button><div class="dropdown-menu"><a class="dropdown-item" href="javascript:void(0);" id="importDefault">Import Default</a></div></div></div>').appendTo(".dataTables_filter");
        <?php else: ?>
           $('<div class="input-group" style="width: auto !important;"><div class="input-group-append"><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createModal">New</button><button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button><div class="dropdown-menu"><a class="dropdown-item" href="<?php echo route('company.admin.chart-of-accounts.importAccounts'); ?>" id="importCsv">Import CSV/Excel</a><a class="dropdown-item" href="<?php echo route('company.admin.chart-of-accounts.exportList'); ?>" id="exportCSV">Export</a></div></div></div>').appendTo(".dataTables_filter");
        <?php endif; ?>

        /*$(document).ready(function() {
            $('.data-table thead tr').clone(true).appendTo('.data-table thead');
            $('.data-table thead tr:eq(1) th').each( function (i) {
                var title       = $(this).text();
                var getClass    = $(this).attr("class");
                if(getClass == 'sorting'){
                    var search_value = table.column(i).search();
                    $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

                    $('input,select', this ).on( 'keyup change', function () {
                        if ( table.column(i).search() !== this.value ) {
                            table.column(i).search( this.value ).draw();
                        }
                    });
                }else{
                    $(this).html('');
                }
            });
        });*/

        $( function() {
            $("#sortable").sortable();

            $('.select2-select').each(function() {
                var $this = $(this);
                var placeholderText = $this.find('option:first').text();
                $this.select2({
                    allowClear: true,
                    dropdownParent: $('#createModal'),
                    width : '100%',
                    placeholder: placeholderText
                });
                $this.find('option:first').hide();
            });

            // Update Status
            $("body").on("click", ".updateStatus", function () {
                var current_object = $(this);

                var action = current_object.attr('data-action');
                var id = current_object.attr('data-id');
                var token = $("input[name='_token']").val();

                $('body').html("<form class='form-inline destroy-form' method='POST' action='"+action+"'></form>");
                $('body').find('.destroy-form').append('<input name="id" type="hidden" value="'+ id +'">');
                $('body').find('.destroy-form').append('<input name="_token" type="hidden" value="'+ token +'">');
                $('body').find('.destroy-form').submit();
            });

            if(localStorage.getItem('displayInactive') == '1'){
                $("#checkDisplayInactive").prop('checked', true);
            }

            $("body").on("click", ".btnUpdateColumn", function (e) {
                e.preventDefault();

                if($("#checkDisplayInactive").is(':checked')){
                    localStorage.setItem('displayInactive', '1');
                }else{
                    localStorage.setItem('displayInactive', '0');
                }

                $(".store-form").submit();
            });

            $(document).on("click", "#importDefault", function (){
                Swal.fire({
                    title: '<h4 class="font-weight-bold">Please wait Importing...</h4>',
                    allowEscapeKey: false,
                    allowOutsideClick: false,
                    didOpen: () => {
                        Swal.showLoading()
                    }
                });
                $.ajax({
                    url: "<?php echo e(route('company.admin.chart-of-accounts.importDefault')); ?>",
                    method: "POST",
                    data: { _token : "<?php echo e(csrf_token()); ?>" },
                    success: function(response) {
                        Swal.fire({
                            title: 'Imported',
                            text: 'Default data imported successfully.',
                            icon: 'success',
                            showConfirmButton: false,
                            timer: 1500,
                        }).then(function () {
                            window.location.reload();
                        });
                    }
                });
            });

            $(".storeForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each( response.responseJSON.errors, function( key, value ) {
                            var key = key.replace(/\./g, '_');
                            $.each( value , function( skey, svalue ) {
                                console.log('.'+key+'_error');
                                $('.'+key+'_error').text(svalue);
                            });
                        });
                    }
                },
            });

            $(document).on("change", ".accountType", function(){
                let modalId = $(this).data('parent-modal');

                let editId = "";
                if(modalId == "#editModal"){
                    editId = $("#editRec").val();
                }

                $(modalId + ' .loadingdiv').removeClass('d-none');
                $(modalId + ' .previewDataDiv').addClass('d-none');

                var token   = "<?php echo e(csrf_token()); ?>";
                var accountType = $(this).val();

                if(accountType != ""){
                    $(modalId + " #preview-header").text($(this).select2('data')[0].text + ' - Account Preview');
                    let display_inactive_rows = (localStorage.getItem('displayInactive') && localStorage.getItem('displayInactive') == '1') ? 1 : 0;

                    $.ajax({
                        url: "/company-admin/chart-of-accounts/parent-list",
                        method: "POST",
                        data: { _token : token , accountType : accountType, displayInactiveParent: display_inactive_rows, editId: editId },
                        success: function(response) {
                            $(modalId + ' .addParentId').html("").html(response.dropDownHtml);
                            $(modalId + ' .loadingdiv').addClass('d-none');
                            $(modalId + ' .previewDataDiv').html("").html(response.parentChildTree).removeClass('d-none');
                            $(modalId + ' .previewDataDiv ul:first').attr('id', 'parent_root');
                        }
                    });
                }else{
                    $(modalId + " #preview-header").text('Account Preview');
                    $(modalId + " .addParentId").html('<option value="">Select Parent</option>');

                    $(modalId + ' .loadingdiv').addClass('d-none');
                    $(modalId + ' .previewDataDiv').html("").removeClass('d-none');
                }
            });

            $(document).on("change", "#createModal .addParentId", function(){
                $("#createModal .appendNode").trigger('keyup');
            });

            $(document).on('keyup', "#createModal .appendNode", function (){
                let accountType = $("#createModal .accountType").val();

                if(accountType != ""){
                    let parentId = $("#createModal .addParentId").val();
                    let accountNumber = ($.isNumeric($("#createModal .addAccountNumber").val())) ? $("#createModal .addAccountNumber").val() : "";
                    let accountName = (!$.isNumeric($("#createModal .addAccountName").val())) ? $("#createModal .addAccountName").val() : "";

                    if(accountNumber == "" && accountName == ""){
                        $("#createModal #child_node").remove();
                    }else{
                        let childNode = "";
                        if(accountNumber != "" && accountName != ""){
                            childNode = accountNumber + ' - ' + accountName;
                        }else if(accountNumber == "" && accountName != ""){
                            childNode = accountName;
                        }else if(accountNumber != "" && accountName == ""){
                            childNode = accountNumber;
                        }

                        if(childNode != ""){
                            $("#createModal #child_node").remove();
                            if(parentId == ""){
                                $("#createModal #parent_root").append('<li id="child_node">'+ childNode +'</li>');
                            }else{
                                if($("#createModal #parent_" + parentId).next('ul')[0] != undefined){
                                    $("#createModal #parent_" + parentId).next('ul').append('<li id="child_node">'+ childNode +'</li>');
                                }else{
                                    $("#createModal #parent_" + parentId).after('<ul><li id="child_node">'+ childNode +'</li></ul>');
                                }
                            }
                        }
                    }
                }
            });

            $(document).on('click', "#createModal .closeModal", function (){
                $("#createModal .accountType").val("").trigger('change');
                $("#createModal .addAccountName").val("").trigger('change');
                $("#createModal .addAccountNumber").val("").trigger('change');
            });

            $("body").on("click", ".edit-btn", function () {
                var token   = "<?php echo e(csrf_token()); ?>";
                var id      = $(this).data('id');
                let display_inactive_rows = (localStorage.getItem('displayInactive') && localStorage.getItem('displayInactive') == '1') ? 1 : 0;
                $.ajax({
                    url: "/company-admin/chart-of-accounts/edit/form/view",
                    method: "POST",
                    data: { _token : token , id : id, displayInactiveParent: display_inactive_rows },
                    success: function(response) {
                        $('#editModal').find('.append-form').html(response.view);
                        $('#editModal .select2-select').each(function() {
                            var $this = $(this);
                            var placeholderText = $this.find('option:first').text();
                            $this.select2({
                                allowClear: true,
                                dropdownParent: $('#editModal'),
                                width : '100%',
                                placeholder: placeholderText
                            });
                            $this.find('option:first').hide();
                        });
                        $('.updateForm').parsley();

                        $('#editModal #preview-header').text(response.headerPreview + " - Account Preview");
                        $('#editModal .loadingdiv').addClass('d-none');
                        $('#editModal .previewDataDiv').html("").html(response.parentChildTree).removeClass('d-none');
                        $('#editModal .previewDataDiv ul:first').attr('id', 'parent_root');
                        $('#parent_'+id).attr('id', 'child_node');

                        $(".updateForm").ajaxForm({
                            complete: function (response) {
                                if (response.responseJSON.success) {
                                    window.location.href = window.location.href;
                                } else {
                                    $('.error').text('');
                                    $.each( response.responseJSON.errors, function( key, value ) {
                                        var key = key.replace(/\./g, '_');
                                        $.each( value , function( skey, svalue ) {
                                            $('.'+key+'_error').text(svalue);
                                        });
                                    });
                                }
                            },
                        });
                    }
                });
            });

            $(document).on("change", "#editModal .addParentId", function(){
                $("#editModal .appendNode").trigger('keyup');
            });

            $(document).on('keyup', "#editModal .appendNode", function (){
                let accountType = $("#editModal .accountType").val();
                let currentParent = $('#editModal #currentParent').val();

                if(accountType != ""){
                    let parentId = $("#editModal .addParentId").val();
                    let accountNumber = ($.isNumeric($("#editModal .addAccountNumber").val())) ? $("#editModal .addAccountNumber").val() : "";
                    let accountName = (!$.isNumeric($("#editModal .addAccountName").val())) ? $("#editModal .addAccountName").val() : "";

                    if(accountNumber == "" && accountName == ""){
                        $("#editModal #child_node").remove();
                    }else{
                        let childNode = "";
                        if(accountNumber != "" && accountName != ""){
                            childNode = accountNumber + ' - ' + accountName;
                        }else if(accountNumber == "" && accountName != ""){
                            childNode = accountName;
                        }else if(accountNumber != "" && accountName == ""){
                            childNode = accountNumber;
                        }

                        if(childNode != ""){
                            if(currentParent == parentId){
                                $("#editModal #child_node").text("").text(childNode);
                            }else{
                                $("#editModal #child_node").remove();
                                if(parentId == ""){
                                    $("#editModal #parent_root").append('<li id="child_node">'+ childNode +'</li>');
                                }else{
                                    if($("#editModal #parent_" + parentId).next('ul')[0] != undefined){
                                        $("#editModal #parent_" + parentId).next('ul').append('<li id="child_node">'+ childNode +'</li>');
                                    }else{
                                        $("#editModal #parent_" + parentId).after('<ul><li id="child_node">'+ childNode +'</li></ul>');
                                    }
                                }
                            }
                        }
                    }
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/chartOfAccounts/index.blade.php ENDPATH**/ ?>