

<?php $__env->startSection('title'); ?>
    Maintenance Appointment Types
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link id="bsdp-css" href="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker3.min.css" rel="stylesheet">
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="table-control">
        <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">Add New</button>
    </div>
    <div class="white-box table-view">
        <h3 class="table-title">Maintenance Appointment Type</h3>
        <div class="add-responsive">
            <table id="teamsTable" class="table data-table">
                <thead>
                    <tr>
                        

                        <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($filed == 1 && isset(config('settings.table_maintenance_appointment_type')[$key]['name'])): ?>
                                <?php if(isset(config('settings.table_maintenance_appointment_type')[$key]['searchBuilderType'])): ?>
                                    <?php if( config('settings.table_maintenance_appointment_type')[$key]['searchBuilderType'] == 'string' ): ?>
                                    <th><?php echo e(config('settings.table_maintenance_appointment_type')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_maintenance_appointment_type_<?php echo e($key); ?>_string" data-modal="SearchByStringModal<?php echo e($key); ?>"></i></th>
                                    <?php elseif( config('settings.table_maintenance_appointment_type')[$key]['searchBuilderType'] == 'date' ): ?>
                                    <th><?php echo e(config('settings.table_maintenance_appointment_type')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_maintenance_appointment_type_<?php echo e($key); ?>_date" data-modal="SearchByDateModal<?php echo e($key); ?>"></i></th>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <th><?php echo e(config('settings.table_maintenance_appointment_type')[$key]['name']); ?></th>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                <input type="hidden" name="table_id" value="maintenance_appointment_type" />

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(isset(config('settings.table_maintenance_appointment_type')[$key]['name'])): ?>
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                            <input type="checkbox" class="custom-control-input" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed == 1): ?> checked <?php endif; ?>>
                                            <label class="custom-control-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_maintenance_appointment_type')[$key]['name']); ?></label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
    <!-- Create Modal -->
    <?php echo $__env->make('companyAdmin.maintenanceAppointmentType.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Create Modal -->

    <!-- Edit Modal -->
    <?php echo $__env->make('companyAdmin.maintenanceAppointmentType.edit', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Edit Modal -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>


        $('.storeForm').parsley();
        $('.updateForm').parsley();

        var table = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            scrollX: true,
            scrollCollapse: true,
            fixedHeader: true,
            fixedColumns: {
                leftColumns: 0, // Number of columns to be fixed on the left
                rightColumns: 1, // Number of columns to be fixed on the right
                // heightMatch: "auto"
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            //order: [[0, "desc"]],
            ajax: {
            url: "<?php echo e(route('company.admin.maintenance-appointment-types.index')); ?>",
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>').val();
                    d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>').val();
                    d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>').val();
                    d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>').val();
                    d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                    d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();

                    d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>').val();
                    d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>').val();
                    d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>').val();
                    d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>').val();
                    d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>').val();
                    d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                    d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                <?php endforeach; ?>
            }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_maintenance_appointment_type')[$key]['name'])): ?>
                            <?php if(config("settings.table_maintenance_appointment_type")[$key]["orderable"] == 1 && config("settings.table_maintenance_appointment_type")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_maintenance_appointment_type")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_maintenance_appointment_type")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a href="javascript:void(0);" id="clearAll<?php echo e(str_replace("settings.", "", $tableName)); ?>" class="btn btn-orange clearAll filter_<?php echo e(str_replace("settings.", "", $tableName)); ?> <?php echo e(str_replace("settings.", "", $tableName)); ?> ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

        // $(document).ready(function() {
        //     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
        //     $('.data-table thead tr:eq(1) th').each( function (i) {
        //         var title       = $(this).text();
        //         var getClass    = $(this).attr("class");
        //         if(getClass == 'sorting'){
        //             var search_value = table.column(i).search();
        //             $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

        //             $('input,select', this ).on( 'keyup change', function () {
        //                 if ( table.column(i).search() !== this.value ) {
        //                     table.column(i).search( this.value ).draw();
        //                 }
        //             });
        //         }else{
        //             $(this).html('');
        //         }
        //     });
        // });

        $( function() {
            $("#sortable").sortable();
        });

        $('#createModal').on('shown.bs.modal', function() {
            $('#weeklyDate').datepicker({
                format: dateLayout,
                calendarWeeks: true,
                todayHighlight: true,
                container: '#createModal .modal-body'
            }).on("change", function(e) {
                $('#createModal .modal-body .date').val(e.target.value);
            });
        });

        $("body").on("click", ".create-btn", function () {
            var today   = new Date();
            var dd      = String(today.getDate()).padStart(2, '0');
            var mm      = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
            var yyyy    = today.getFullYear();

            today       = mm + '/' + dd + '/' + yyyy;

            $(".storeForm").trigger("reset");
            $(".storeForm").find(".date").val(today);
            $(".storeForm").find(".error").text('');
        });

        $("body").on("click", ".edit-btn", function () {
            var token   = $('meta[name="csrf-token"]').attr('content');
            var id      = $(this).data('id');
            $.ajax({
                url: "/company-admin/maintenance-appointment-types/edit/form/view",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $('#editModal').find('.append-form').html(response.view);

                    $('#weeklyDateEdit').datepicker({
                        format: dateLayout,
                        calendarWeeks: true,
                        todayHighlight: true,
                        container: '#editModal .modal-body'
                    }).on("change", function(e) {
                        $('#editModal .modal-body .date').val(e.target.value);
                    });

                    var date        = new Date(response.data.date);
                    $("#weeklyDateEdit").datepicker("setDate", date);

                    $(".updateForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each( response.responseJSON.errors, function( key, value ) {
                                    var key = key.replace(/\./g, '_');
                                    $.each( value , function( skey, svalue ) {
                                        $('.'+key+'_error').text(svalue);
                                    });
                                });
                            }
                        },
                    });
                }
            });
        });

        $(".storeForm").ajaxForm({
            complete: function (response) {
                if (response.responseJSON.success) {
                    window.location.href = window.location.href;
                } else {
                    $('.error').text('');
                    $.each( response.responseJSON.errors, function( key, value ) {
                        var key = key.replace(/\./g, '_');
                        $.each( value , function( skey, svalue ) {
                            $('.'+key+'_error').text(svalue);
                        });
                    });
                }
            },
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/maintenanceAppointmentType/index.blade.php ENDPATH**/ ?>