

<?php $__env->startSection('title'); ?>
    Teams
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .grid-view .white-box {
            box-shadow: 0px 0px 20px #cccccc8c;
            border-radius: 10px;
        }
        .grid-view .dataTables_filter {
            justify-content: end;
            align-items: center;
            display: flex;
        }
        .gview-search .grid-view-search {
            height: 33px;
            font-size: 14px;
            font-weight: bold !important;
            border-color: #707070;
            border-radius: 4px !important;
            padding: 0px 7px;
            color: #000 !important;
            font-family: 'Open Sans', sans-serif;
            margin-left: 0.5em;
            display: inline-block;
            width: auto;
        }
        .choose-file {
            border: 0;
            padding: 0;
        }
        .image-wrapper label {
            font-size: 14px;
        }
        .image-wrapper {
            left: 30%;
        }
        .image-wrapper label {
            bottom: -25px;
        }
    </style>
    <style type="text/css">
        .table-view .dataTable thead tr th {
            background-color: #305f9c;
        }
        .table-view .dataTables_scrollBody table.dataTable > thead tr th {
            padding: 0 15px !important;
        }
        .table-view .DTFC_RightBodyLiner table.dataTable > thead tr th {
            height: 0;
            padding: 0 15px !important;
            opacity: 0;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="table-control">
    <ul>
        <li class="listClick change-view" data-view="table"><span style="background-image: url('<?php echo e(asset('theme/img/list-icon.png')); ?>');"></span></li>
        <li class="gridClick change-view" data-view="grid"><span style="background-image: url('<?php echo e(asset('theme/img/grid-icon.png')); ?>');"></span></li>
    </ul>
    <button class="green-btn add-new-btn" data-toggle="modal" data-target="#newTeamModal">Add New</button>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Teams</h3>
    <div class="add-responsive">
        <table id="teamsTable" class="table data-table">
            <thead>
                <tr>
                    
                    <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($filed == 1 && isset(config('settings.table_teams')[$key]['name'])): ?>
                            <?php if(isset(config('settings.table_teams')[$key]['searchBuilderType'])): ?>
                              <?php if( config('settings.table_teams')[$key]['searchBuilderType'] == 'string' ): ?>
                              <th><?php echo e(config('settings.table_teams')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_teams_<?php echo e($key); ?>_string" data-modal="SearchByStringModal<?php echo e($key); ?>"></i></th>
                              <?php elseif( config('settings.table_teams')[$key]['searchBuilderType'] == 'date' ): ?>
                              <th><?php echo e(config('settings.table_teams')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_teams_<?php echo e($key); ?>_date" data-modal="SearchByDateModal<?php echo e($key); ?>"></i></th>
                              <?php endif; ?>
                            <?php else: ?>
                              <th><?php echo e(config('settings.table_teams')[$key]['name']); ?></th>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>
<div class="grid-view mt-5">
    <div class="dataTables_filter">
        <label class="gview-search">
            <input type="search" class="form-control form-control-sm grid-view-search" placeholder="Search..." aria-controls="teamsTable">
        </label>
    </div>
    <div class="row append-grid-view">

    </div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

    <input type="hidden" name="table_id" value="teams" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(isset(config('settings.table_teams')[$key]['name'])): ?>
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                        <input type="checkbox" class="custom-control-input" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed == 1): ?> checked <?php endif; ?>>
                        <label class="custom-control-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_teams')[$key]['name']); ?></label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    <?php echo Form::close(); ?>

  </div>
</div>


<?php echo $__env->make('companyAdmin.team.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('companyAdmin.team.edit', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script src="<?php echo e(asset('theme/js/jquery.form.min.js')); ?>"></script>
<script src="<?php echo e(asset('companyAdmin/js/team.js')); ?>"></script>

<script>
var view = "table";
var filter = null;

var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    scrollX: true,
    scrollCollapse: true,
    fixedHeader: true,
    fixedColumns: {
        leftColumns: 0, // Number of columns to be fixed on the left
        rightColumns: 1, // Number of columns to be fixed on the right
        // heightMatch: "auto"
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    ordering: false,
    pageLength: "<?php echo e(perPageView()); ?>",

    //order: [[0, "desc"]],
    // ajax: {
    //         url: "<?php echo e(route('company.admin.teams.index')); ?>",
    //         data: function (d) {
    //             d.view = view;
    //         },
    //     },
    ajax: {
    url: "<?php echo e(route('company.admin.teams.index')); ?>",
    // data: function (d) {
    //   d.view = view;
    //   <?php foreach($getField as $key => $filed): ?>
    //     d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>').val();
    //     d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>').val();
    //     d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>').val();
    //     d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>').val();
    //     d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
    //     d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();

    //     d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>').val();
    //     d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>').val();
    //     d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>').val();
    //     d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>').val();
    //     d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>').val();
    //     d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
    //     d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
    //   <?php endforeach; ?>
    // }
    data: function (d) {
      d.view = view;
      <?php foreach($getField as $key => $filed): ?>
          d.search_string_value_<?php echo e($key); ?>            = $('#search_string_<?php echo e($key); ?>').val();
          d.search_string_name_<?php echo e($key); ?>             = $('#stringKey<?php echo e($key); ?>').val();
          d.search_string_type_<?php echo e($key); ?>             = $('#stringType<?php echo e($key); ?>').val();
          d.search_table_name_<?php echo e($key); ?>              = $('#stringTableType<?php echo e($key); ?>').val();
          d.search_string_condition_<?php echo e($key); ?>        = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
          d.search_string_sort_<?php echo e($key); ?>             = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();

          d.search_string_relation_table_<?php echo e($key); ?>   = $('#stringRelationTable<?php echo e($key); ?>').val();
          d.search_string_col_name1_<?php echo e($key); ?>        = $('#stringColName1<?php echo e($key); ?>').val();
          d.search_string_col_name2_<?php echo e($key); ?>        = $('#stringColName2<?php echo e($key); ?>').val();
          d.search_string_col_name3_<?php echo e($key); ?>        = $('#stringColName3<?php echo e($key); ?>').val();
          d.search_string_static_<?php echo e($key); ?>           = $('#stringStatic<?php echo e($key); ?>').val();

          d.search_string_having_<?php echo e($key); ?>           = $('#stringHaving<?php echo e($key); ?>').val();

          d.search_date_from_value_<?php echo e($key); ?>         = $('#search_date_<?php echo e($key); ?>').val();
          d.search_date_to_value_<?php echo e($key); ?>           = $('#search_date_end_<?php echo e($key); ?>').val();
          d.search_date_name_<?php echo e($key); ?>               = $('#dateKey<?php echo e($key); ?>').val();
          d.search_date_type_<?php echo e($key); ?>               = $('#dateType<?php echo e($key); ?>').val();
          d.search_date_table_name_<?php echo e($key); ?>         = $('#dateTableType<?php echo e($key); ?>').val();
          d.search_date_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
          d.search_date_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

          <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
          <?php endforeach; ?>

          d.search_status_condition_<?php echo e($key); ?>        = $('#is_status_condition_applied<?php echo e($key); ?>').val();
          d.search_status_name_<?php echo e($key); ?>             = $('#statusOrgColName<?php echo e($key); ?>').val();
          d.search_status_table_name_<?php echo e($key); ?>       = $('#statusTableType<?php echo e($key); ?>').val();
          d.search_status_sort_<?php echo e($key); ?>             = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
          d.search_status_sort_column_<?php echo e($key); ?>      = $("#statusOrderColName<?php echo e($key); ?>").val();
        <?php endforeach; ?>
      }
    },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_teams')[$key]['name'])): ?>
                <?php if(config("settings.table_teams")[$key]["orderable"] == 1 && config("settings.table_teams")[$key]["searchable"] == 1): ?>
                  { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_teams")[$key]["orderable"] == 1): ?>
                  { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_teams")[$key]["searchable"] == 1): ?>
                  { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>
        { data: 'action', name: 'action', orderable: false, searchable: false }
    ]
});

$('<a href="javascript:void(0);" class="btn btn-primary refreshAll ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
$('<a href="javascript:void(0);" id="clearAll<?php echo e(str_replace("settings.", "", $tableName)); ?>" class="btn btn-orange clearAll filter_<?php echo e(str_replace("settings.", "", $tableName)); ?> <?php echo e(str_replace("settings.", "", $tableName)); ?> ml-3 d-none">Clear filters</a>').prependTo(".dataTables_filter");
$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".table-view .dataTables_filter");

// $(document).ready(function() {
//     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
//     $('.data-table thead tr:eq(1) th').each( function (i) {
//         console.log();
//         var title = $(this).text();
//         var getClass = $(this).attr("class");
//         if(getClass == 'sorting'){
//           var search_value = table.column(i).search();
//           $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );


//           $( 'input,select', this ).on( 'keyup change', function () {
//               if ( table.column(i).search() !== this.value ) {
//                   table
//                       .column(i)
//                       .search( this.value )
//                       .draw();
//               }
//           });
//         }else{
//           $(this).html('');
//         }
//     });
// });

$( function() {
  $("#sortable").sortable();

    $(document).ready(function() {
        <?php if(isset(request()->create) && request()->create == 'new'): ?>
            $('.add-new-btn').click();
        <?php endif; ?>
    });
} );

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\dispatchpro\resources\views/companyAdmin/team/index.blade.php ENDPATH**/ ?>